
--    06.04.2018

-- FIX >>  : 9701.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_EXPORT_PFR_100_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_EXPORT_PFR_100_17]

GO

CREATE      PROCEDURE [dbo].SZV_STAZH_EXPORT_PFR_100_17 (
@DOC_LINK int  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK = @DOC_LINK

CREATE TABLE #ODV1_ONLY(DOC_LINK INT , ODV1_ONLY TINYINT )	
insert into #ODV1_ONLY(DOC_LINK, ODV1_ONLY)
select 
	doc_link = d.link,
	ODV1_ONLY = (SELECT TOP 1 [type] FROM dbo.SS_SZV_STAZH_PACHKA WHERE link = d.Link)
from #DOC d


--  

CREATE TABLE #ODV1 (
		[LINK_SZV]     INT, 
		[YEAR]     INT ,
		[PER]      INT ,
		[PER_edt]      INT ,
		[YEAR_edt]     INT ,
		[PER10]    INT ,
		[TYPE]	   tinyint,
		[VID_KOR]  tinyint, 
		[COUNT_P]  INT,
		[COUNT_PK] INT,
		[COUNT_PERS] INT,  
		[REG_NOM_PF] VARCHAR(20),
		[DEP_NAME] VARCHAR(254),
		[OKPO] VARCHAR(40),
		[INN] VARCHAR(12),
		[KPP] VARCHAR(9),
		DATE_CRT datetime,
		DATE_DOC datetime,
		[GUID] UNIQUEIDENTIFIER)  

CREATE TABLE #ODV1_2 (
		[LINK_SZV]  INT,
		[link_pers] INT , 
		[subdiv_name] VARCHAR(254), 
		[POST_NAME] VARCHAR(254) , 
		[num_stake] NUMERIC(5,2),
		[work_stake] NUMERIC(5,2),
		[Fakt_Work] VARCHAR(254) ,
		[DOC_NAME] VARCHAR(10), 
		[OSOB_USL] VARCHAR(10) , 
		[N_OSOB_USL] VARCHAR(150) ,
		POS_SPIS VARCHAR(150))  

create table #SZV_ST (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[NGROUP] INT,
	[T_DOG] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int)



create table #PERS_INFO2 (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[T_DOG] INT ,
	[NGROUP] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int)



--       -
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
	
			INSERT INTO #ODV1 ([LINK_SZV],[YEAR],[PER],[PER_EDT],[YEAR_EDT],[PER10],[TYPE],[VID_KOR],[COUNT_P],[COUNT_PK],[COUNT_PERS],
							   [REG_NOM_PF],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC,[GUID])  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 1 
			
			INSERT INTO #ODV1_2 ([LINK_SZV],[link_pers],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],
								 [DOC_NAME],[OSOB_USL],[N_OSOB_USL] ,[POS_SPIS] )  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 2 
			
	
			---  #SZV_ST
				
				INSERT INTO #SZV_ST([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV)
				exec dbo.SZV_STAZH_PRINT @LINK_DOC
				
	
				update #SZV_ST  set FM = UPPER(FM), IM = UPPER(IM), OT = UPPER(OT), ADDRESS2 = UPPER(ADDRESS2) WHERE link_SZV = @LINK_DOC 
			
				
				--  #PERS_INFO2 

				INSERT INTO #PERS_INFO2([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP)

				SELECT	[LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP
				FROM #SZV_ST
			

			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			

DECLARE @NN INT, @PN INT, @ON INT
SELECT @NN = 0, @PN = 0, @ON = 0




DECLARE @PI_NGROUP INT, @PI_ID INT, @PI_link_szv int, @PI_T_DOG tinyint  
DECLARE @Cur_PI CURSOR
SET @Cur_PI = CURSOR FORWARD_ONLY

FOR select link_szv, NGROUP,T_DOG, [ID]  from #SZV_ST order by link_szv,T_DOG, NGROUP, [ID]

OPEN @Cur_PI
FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @NN = (CASE WHEN @PI_NGROUP <> @PN THEN 1 ELSE (CASE WHEN @ON <> @PI_ID THEN @NN + 1 ELSE @NN END) END)
		SET @PN = (CASE WHEN @PI_NGROUP <> @PN THEN @PI_NGROUP ELSE @PN END)

		UPDATE A
		SET 
			ID = @NN
		FROM #SZV_ST A 
		WHERE link_szv = @PI_link_szv and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID

		SET @ON = @NN				

	END

	FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
END

CLOSE @Cur_PI
DEALLOCATE @Cur_PI




-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @link_szv INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC datetime, 
	@INN VARCHAR(12), @KPP VARCHAR(9), @OKPO VARCHAR(40), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@COUNT_P VARCHAR(10) , @COUNT_PK VARCHAR(10), @COUNT_PERS VARCHAR(4), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4),@sved int , @TYP_SVED VARCHAR(20), @kor INT,
	@VID_KOR VARCHAR(20),@PER VARCHAR(1),@PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4),  @TYPE VARCHAR(20), @GUID VARCHAR(36),
	@EGRUL varchar(15), @CHIEF_POST_OUR VARCHAR(150) , @CH_FM  VARCHAR(150) , @CH_IM  VARCHAR(150),@CH_OT  VARCHAR(150)
	/*@INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	
	@KATEG VARCHAR(20)*/

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


SELECT @CHIEF_POST_OUR = (SELECT TOP 1 post_name FROM dbo.SD_EMPL AS se WHERE link  = a.face_link),
		@CH_FM = (SELECT TOP 1 LTRIM(RTRIM(FM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_IM = (SELECT TOP 1 LTRIM(RTRIM(IM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_OT = (SELECT TOP 1 LTRIM(RTRIM(OT)) FROM dbo.sd_empl WHERE link  = a.face_link)
FROM DICTIONARY_OTV_FACE_ALL A  
inner join dbo.SS_SZV_STAZH_PACHKA P on a.dep_link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )
AND  a.NAME = '' 



SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	link_szv,
	FNAME = '_'+ RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))) + '_'+LEFT(REPLACE([REG_NOM_PF],'-',''),6)+'_-_'+CONVERT(VARCHAR(8),ltrim(rtrim(replace(CONVERT(VARCHAR(10),DATE_DOC,102),'.',''))))+'_'+ltrim(rtrim([GUID]))+'.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	[OKPO] = RTRIM(LTRIM(COALESCE(OKPO,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))),
	--PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	[COUNT_P] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_P]))), 	
	[COUNT_PK] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PK]))),
	[COUNT_PERS] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PERS]))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = DATE_DOC,
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SVED = [TYPE] ,
	TYP_SVED = (CASE WHEN [TYPE] = 1 THEN '' else (CASE WHEN [TYPE] = 2 THEN '' else '' end) end),
	KOR = [VID_KOR] ,
	VID_KOR = (CASE WHEN [VID_KOR] = 2 THEN '' else (CASE WHEN [VID_KOR] = 3 THEN '' else '' end) end),
	[PER] = 0 ,  --CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	PER_EDT = CONVERT(VARCHAR(1),[PER_edt]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	[GUID] = RTRIM(LTRIM(CONVERT(VARCHAR(36),iSnull([GUID],null))))
from #ODV1 order by link_szv

/*  A63        61 */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	 @SVED, @TYP_SVED, @KOR,@VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'UTF-8' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://.///2014-01-01" xmlns:xs="http://www.w3.org/2001/XMLSchema">'
			/*UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21"'+CHAR(10)+CHAR(13)
+ ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://.//-/2017-01-01'+CHAR(10)
+'..\..\..\..\\\\2017\-_2017-01-01.xsd">'*/
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				 
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<-1>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + CASE when @VID_KOR = 2 THEN '1' ELSE '0' end + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'					
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + RTRIM(LTRIM(ISNULL(@COUNT_PERS,''))) + '</>'
	

	IF (SELECT COUNT([work_stake])  FROM #ODV1_2 WHERE [LINK_SZV] =  @link_szv ) <>0
	BEGIN 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  SELECT @lcFNAME , SPACE(2) + '<>'
		
		
		-- 1 
		DECLARE @Cur2 CURSOR, @LINK_SZV1 int, @subdiv_name varchar(254), @POST_NAME varchar(254), @num_stake NUMERIC(5,2), @work_stake NUMERIC(5,2),
				@Fakt_Work VARCHAR(254), @DOC_NAME VARCHAR (10),@OSOB_USL VARCHAR(10),@POS_SPIS VARCHAR(150) 
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
			Select	[LINK_SZV],[subdiv_name],
					[POST_NAME],[num_stake],[work_stake],
					[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 
			FROM #ODV1_2  WHERE  [LINK_SZV] = @link_szv 
			GROUP BY [LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 			   			
		
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN	
						IF isnull(@OSOB_USL,'') <> '' AND isnull(@POS_SPIS,'') <> '' 
						begin		
							  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											Select @lcFNAME, SPACE(3) + '<:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@subdiv_name,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@POST_NAME,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(CONVERT(VARCHAR(8),ISNULL(@num_stake,''))))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(ISNULL(@work_stake,''))))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@Fakt_Work,''))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@DOC_NAME,'-')))+'</:>' 
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@OSOB_USL,'')))+'</:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@POS_SPIS,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '</:>'
								  UNION ALL SELECT @lcFNAME, SPACE(3) + '</:>'
						end
					END
				
					FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS					  
					
				END 
			CLOSE @Cur2
			DEALLOCATE @Cur2
								
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(3) + '<:>'+ RTRIM(LTRIM(CONVERT(VARCHAR(8),SUM(@num_stake))))+ '</:> '  + CHAR(10)
							  +	 SPACE(3) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(sum(@work_stake))))) + '</:>'
				FROM #ODV1_2 WHERE LINK_SZV = @DOC_LINK  GROUP BY LINK_SZV
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	END 

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+REPLACE(RTRIM(LTRIM(isnull(@CHIEF_POST_OUR,''))),' ','')+'</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_FM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_IM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_OT,'')))+'</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(VARCHAR(10),@DATE_DOC , 120) +'</>'
		UNION ALL SELECT @lcFNAME, SPACE(1) + '</-1>'

	-- - 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	Select @lcFNAME, SPACE(1) + '<->'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	UNION ALL Select @lcFNAME, SPACE(2) + '<>'+CASE WHEN  @SVED = 2 THEN '2' 
															     WHEN  @SVED = 1 AND @KOR = 1 THEN '0'	
															     WHEN @SVED = 1 AND @KOR = 2 THEN '1'
															ELSE '0'  END    
												  +'</>'  + CHAR(10)
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	


	DECLARE @LINK_SZV_ST int, @TYPE_SV INT , @TYPE_KOR INT , @ID int, @ID_EX INT, @PF_NUMBER VARCHAR(14)
	SET @Cur2 = CURSOR FORWARD_ONLY
	FOR 
	Select	[LINK_SZV],[TYPE_SV],[TYPE],[ID],[PFNUMBER]
	FROM #SZV_ST  WHERE  [LINK_SZV] = @link_szv 
	GROUP BY [LINK_SZV],[ID],[PFNUMBER],[TYPE_SV],[TYPE]
	ORDER BY [LINK_SZV],[ID],[PFNUMBER]	,[TYPE_SV],[TYPE]	   			
	
	OPEN @Cur2
	FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN	
			  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						Select @lcFNAME, SPACE(2) +'<>'	+ CHAR(10)
										  + SPACE(3) + '<>'	+ CHAR(10)  
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(FM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(IM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(OT,'')))+'</:>'+ CHAR(10) 
										  + SPACE(3) + '</>'+ CHAR(10) 
										  + SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL([PFNUMBER],''))) + '</>' + CHAR(10) 
										FROM 	#SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER

									
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
									Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
										FROM #pers_info2
										where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER
		  
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
								Select @lcFNAME, SPACE(2) +'</>'	+ CHAR(10)  
										FROM 	#SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1  AND [PFNUMBER] = @PF_NUMBER
		END
	
		FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER--,@ID_EX 				  
		
	END 
	CLOSE @Cur2
	DEALLOCATE @Cur2	
		

	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, SPACE(1) + '</->'	
	UNION ALL SELECT @lcFNAME, SPACE(0) +'</>'

	FETCH NEXT FROM @Cur1 INTO  @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	@SVED, @TYP_SVED,@KOR, @VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]















GO


GRANT EXECUTE ON dbo.[SZV_STAZH_EXPORT_PFR_100_17] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9712.sql

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CALENDAR_DAYS_INFO]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_CALENDAR_DAYS_INFO]

GO

CREATE PROCEDURE dbo.SA_CALENDAR_DAYS_INFO (@linkEmpl int, @Month int, @Year int)
AS

DECLARE @INFO TABLE (
	ORD TINYINT, 
	NAME VARCHAR(254), 
	DATE_BEG DATETIME, 
	DATE_END DATETIME, 
	COMMENT VARCHAR(254), 
	LINK_OBJ INT, 
	CODE_OBJ VARCHAR(254)
)

/*     */

declare @DateBegin datetime, @DateEnd datetime

SET @DateBegin = dbo.ConvertDMY2Date(1,@Month,@Year) 
SET @DateEnd 	= dbo.DateEndOfMonth(@DateBegin)

DECLARE @DateAccept datetime, @DateSack datetime
SET @DateAccept = ISNULL(dbo.kd_DateBeginWork(@linkEmpl,@DateEnd),'19000101')
SET @DateSack   = ISNULL(dbo.kd_DateEndWork(@linkEmpl,@DateEnd),'30000101')

IF @DateAccept > @DateEnd OR @DateSack < @DateBegin
BEGIN
	SELECT ORD = 1, '!' AS NAME_PER, DATE_BEG = @DateAccept, DATE_END = @DateSack, 
		CNT_DAYS = 0, 
		RealCount = 0, '      !  ' COM, LINK_OBJ = 0, CODE_OBJ = ''
	
	RETURN 0
END

SET @DateBegin = (case when @DateAccept < @DateBegin then @DateBegin else @DateAccept end)
SET @DateEnd = (case when @DateSack < @DateEnd then @DateSack else @DateEnd end)  

DECLARE @RealCount NUMERIC(18,2)
SET @RealCount = DBO.SA_CALENDAR_DAYS_FN(@linkEmpl,@Month,@Year)

INSERT INTO @INFO (ORD, NAME, DATE_BEG, DATE_END, COMMENT, LINK_OBJ, CODE_OBJ)
SELECT 
	1, ' ', @DateBegin, @DateEnd, '  /',
	(SELECT ORDER_LINK FROM ITEM_MOVE WHERE NEW_FACE = 1 AND EMPL_LINK = @linkEmpl AND ACTIVE = 1),
	'ORDERS_REESTR'

UPDATE @INFO
SET LINK_OBJ = (SELECT TOP 1 ORDER_LINK FROM ITEM_DIS_FACE IM WHERE EMPL_LINK = @linkEmpl AND  ACTIVE = 1)
WHERE @DateSack = @DateEnd

DECLARE @S TABLE 
([TYPE] int,
 [PRIOR] int,
 [HOUR]  numeric(6,2),
 [DATE_1] datetime,
 [DATE_2] datetime,
 [DOC]	int,
 [H] int,
 LINK_DOC INT 	 	
)


--     ,        
DECLARE @TYPE_OTHER_DEP_PERIOD INT, @PRIOR_OTHER_DEP_PERIOD INT, @HOUR_OTHER_DEP_PERIOD NUMERIC(18,2)

SELECT TOP 1 @TYPE_OTHER_DEP_PERIOD = N.LINK, @PRIOR_OTHER_DEP_PERIOD = TD.PRIORITET, @HOUR_OTHER_DEP_PERIOD = TD.[HOUR]
FROM 
	dbo.NETRUD N
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
ORDER BY
	(CASE WHEN WORK_D = 13 THEN 1 ELSE 2 END), N.CODE

IF @TYPE_OTHER_DEP_PERIOD IS NOT NULL
	INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H], LINK_DOC)
	SELECT 
		[TYPE] = @TYPE_OTHER_DEP_PERIOD, 
		[PRIOR] = @PRIOR_OTHER_DEP_PERIOD, 
		[HOUR] = @HOUR_OTHER_DEP_PERIOD,
		[DATE_1] = (CASE WHEN P.DATE1 < @DateBegin THEN @DateBegin ELSE P.DATE1 END),
		[DATE_2] = (CASE WHEN P.DATE2 > @DateEnd  THEN @DateEnd ELSE P.DATE2 END),
		[DOC]	= 4,--    
		[H] = 0,
		D.LINK
	FROM
		dbo.SAL_OTHER_DEP D
		INNER JOIN dbo.SAL_OTHER_DEP_PERIOD_DATES P ON D.LINK = P.LINK_DOC
	WHERE
		LINK_EMPL = @linkEmpl
		AND
		(
			P.DATE1 BETWEEN @DateBegin AND @DateEnd 
			OR P.DATE2 BETWEEN @DateBegin AND @DateEnd 
			OR (P.DATE1 < @DateBegin AND P.DATE2 > @DateEnd)
		)
			
-----------------------------------------------------------------------

INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H], LINK_DOC)
--
SELECT [TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], H, LINK FROM 
(SELECT 
	[TYPE] = SD.[TYPE],
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR],
	[DATE_1] = (CASE WHEN SD.DATE1 < @DateBegin THEN @DateBegin ELSE SD.DATE1 END),
	[DATE_2] = (CASE WHEN SD.DATE2 > @DateEnd  THEN @DateEnd ELSE SD.DATE2 END),
	[DOC]	= 1,
	[H] = 0,
	LINK = SD.LINK_UP 
FROM 
	dbo.SDOC_DIS SD
	INNER JOIN dbo.NETRUD N ON SD.[TYPE] = N.LINK
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
WHERE 
	SD.LINK_EMPL = @linkEmpl
	AND
	(SD.DATE1 BETWEEN @DateBegin AND @DateEnd OR SD.DATE2 BETWEEN @DateBegin AND @DateEnd OR
	  ((SD.DATE1 < @DateBegin) AND(SD.DATE2 > @DateEnd)))
 
UNION
--
SELECT 	
	[TYPE] = VV.TYPE_LINK,
	[PRIOR] = TD.PRIORITET,
	[HOUR] 	= TD.[HOUR],
	[DATE_1] = (CASE WHEN DATE_BEGIN < @DateBegin THEN @DateBegin ELSE IV.DATE_BEGIN END),
	[DATE_2] = (CASE WHEN ISNULL((

					SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

                    SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
                    WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
					ELSE IVB.DATE_BREAK - 1 END) 

					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc), 
					
                    (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END))) >@DateEnd 

					THEN @DateEnd  
                    ELSE ISNULL((

                    SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM ITEM_VACATION_DIS IVD
        				WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  

 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 

					ELSE IVB.DATE_BREAK - 1 END)  
					
					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc),
					
					ISNULL((
					
					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) END),
	[DOC] = (case when coalesce(TD.WORK_D,1) = 7 then 22 else 2 end),
	H = VV.HOLIDAY,
	LINK = IV.LINK
FROM 
	dbo.item_vacation iv
	INNER JOIN dbo.vacation_vid VV ON VV.LINK = iv.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = VV.TYPE_LINK
WHERE 
	IV.EMPL_LINK = @linkEmpl 
	AND IV.ACTIVE = 1
	AND COALESCE(VV.TIME_ARCHE,0) = 0 
	AND (IV.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IV.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IV.DATE_BEGIN<@DateBegin) AND (IV.DATE_END>@DateEnd))
		OR IV.LINK IN (SELECT VAC_LINK FROM dbo.VACATION_DIS WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND NEW_DATE_END > @DateBegin)
	    )
	AND IV.LINK NOT IN (SELECT VAC_LINK FROM dbo.item_vacation_break ivb WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND ivb.DATE_BREAK < @DateBegin)

--
UNION
SELECT 
	[TYPE] 	= it.type_link, 
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR], 
	[DATE_1] = (CASE WHEN IT.[DATE_BEGIN]<@DateBegin THEN @DateBegin ELSE IT.[DATE_BEGIN] END),
	[DATE_2] = (CASE WHEN (ISNULL((SELECT (CASE WHEN ITL.NEW_DATE_END > IT.DATE_END THEN ITL.NEW_DATE_END ELSE IT.DATE_END END)
				 FROM dbo.ITEM_TRAVEL_LONG ITL WHERE ITL.TRAVEL_LINK = IT.LINK AND ITL.ACTIVE = 1),IT.DATE_END))> @DateEnd 
				 THEN @DateEnd ELSE 
				(ISNULL((SELECT (CASE WHEN ITL.NEW_DATE_END > IT.DATE_END THEN ITL.NEW_DATE_END ELSE IT.DATE_END END)
				 FROM dbo.ITEM_TRAVEL_LONG ITL WHERE ITL.TRAVEL_LINK = IT.LINK AND ITL.ACTIVE = 1),IT.DATE_END)) END),
	[DOC]= 3,
	[H] = 0,
	LINK = IT.LINK
FROM 
	dbo.item_travel IT
	INNER JOIN dbo.komand_vid KV ON KV.LINK = IT.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = KV.TYPE_LINK
WHERE  
	IT.EMPL_LINK = @linkEmpl 
	AND IT.ACTIVE = 1 
	AND COALESCE(KV.TIME_ARCHE,0) = 0 
	AND (IT.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IT.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IT.DATE_BEGIN<@DateBegin) AND(IT.DATE_END>@DateEnd))
	 )
)  TAB

DELETE FROM @S
WHERE DATE_1 > DATE_2

INSERT INTO @INFO (ORD, NAME, DATE_BEG, DATE_END, COMMENT, LINK_OBJ, CODE_OBJ)
	SELECT 2, ' ', DATE_1, DATE_2, ' ', LINK_DOC, 'ORDER_DISABILITY_SHEET'
	FROM @S WHERE DOC = 1
UNION 
	SELECT 3, ',  ', DATE_1, DATE_2, '  ', LINK_DOC, 'VACATION'
	FROM @S WHERE DOC IN (2,22) AND coalesce(H,0) = 1
UNION 
	SELECT 4, ',   ', DATE_1, DATE_2, '  ', LINK_DOC, 'VACATION'
	FROM @S WHERE DOC IN (2,22) AND coalesce(H,0) <> 1
UNION 
	SELECT 5, '', DATE_1, DATE_2, '  ', LINK_DOC, 'TRAVEL'
	FROM @S WHERE DOC = 3
UNION 
	SELECT 6, '   ', DATE_1, DATE_2, '   ', LINK_DOC, 'DOC_SAL_OTHER_DEP'
	FROM @S WHERE DOC = 4	

INSERT INTO @INFO (ORD, NAME, DATE_BEG, DATE_END, COMMENT, LINK_OBJ, CODE_OBJ)
SELECT 7, ' ', t1.DATE, t1.DATE, TYPE_HOL_STR, LINK, 'KD_HOLIDAYS'
FROM
	dbo.SD_DAY(@DateBegin,@DateEnd) T1 
	INNER JOIN KD_HOLIDAYS DH ON day(t1.DATE) = DH.DAY and month(t1.DATE) = DH.MONTH and YEAR(t1.DATE) = DH.YEAR
WHERE 
	(DH.WORK_D = 14 or DH.WORK_D = 11) AND TYPE_HOL = 1
	AND
	EXISTS (SELECT * FROM @INFO I WHERE ORD = 3 AND T1.DATE BETWEEN DATE_BEG AND DATE_END)

SELECT ORD, [NAME] AS NAME_PER, DATE_BEG, DATE_END, 
	CNT_DAYS = CASE WHEN ORD BETWEEN 2 AND 6 THEN -1 ELSE 1 END * (datediff(day,DATE_BEG,DATE_END) + 1 ), 
	RealCount = @RealCount, COMMENT AS COM , LINK_OBJ, CODE_OBJ 
FROM @INFO ORDER BY ORD, DATE_BEG

RETURN 0


GO


GRANT EXECUTE ON dbo.[SA_CALENDAR_DAYS_INFO] TO PUBLIC

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_CALENDAR_DAYS3_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SA_CALENDAR_DAYS3_FN]

GO

CREATE FUNCTION dbo.SA_CALENDAR_DAYS3_FN (@linkEmpl int, @Month int, @Year int)
RETURNS NUMERIC(18,2)
AS
BEGIN

DECLARE @RealCount NUMERIC(18,2)
/*
     ,    ,    :
1)   ,     ,     ;
2)        -;
3)               
  ,               
          ,    
 ,          
   .

,       
-----------------------------------------------
!!!!!    /!!!!,
-----------------------------------------------
  ,       
   ,        1,5 
         ,      3 
 / /            

*/

declare @DateBegin datetime, @DateEnd datetime

SET @DateBegin = dbo.ConvertDMY2Date(1,@Month,@Year) 
SET @DateEnd 	= dbo.DateEndOfMonth(@DateBegin)

DECLARE @DateAccept datetime, @DateSack datetime
SET @DateAccept = ISNULL(dbo.kd_DateBeginWork(@linkEmpl,@DateEnd),'19000101')
SET @DateSack   = ISNULL(dbo.kd_DateEndWork(@linkEmpl,@DateEnd),'30000101')

--SET @DateBegin = (case when @DateAccept < @DateBegin then @DateBegin else @DateAccept end)
--SET @DateEnd = (case when @DateSack < @DateEnd then @DateSack else @DateEnd end)  

DECLARE @S TABLE 
([TYPE] int,
 [PRIOR] int,
 [HOUR]  numeric(6,2),
 [DATE_1] datetime,
 [DATE_2] datetime,
 [DOC]	int,
 [H] int 	
)

-- ,        (    )
DECLARE @TAB_NOTAX TABLE (LINK_PAY INT)
INSERT INTO @TAB_NOTAX (LINK_PAY)
SELECT LINK
FROM
	dbo.PAYS P
WHERE
	P.[OBJECT] = 1 
	AND NOT EXISTS (
		SELECT *
		FROM
			dbo.PAYS PP 
			INNER JOIN dbo.TAX_REF TR ON TR.LINK_TAX = PP.LINK
		WHERE
			PP.[OBJECT] = 3 /**/ AND PP.[WAY_CALC] = 2 /**/
			AND TR.LINK_PAYS = P.LINK
	)

--     ,        
DECLARE @TYPE_OTHER_DEP_PERIOD INT, @PRIOR_OTHER_DEP_PERIOD INT, @HOUR_OTHER_DEP_PERIOD NUMERIC(18,2)
SELECT TOP 1 @TYPE_OTHER_DEP_PERIOD = N.LINK, @PRIOR_OTHER_DEP_PERIOD = TD.PRIORITET, @HOUR_OTHER_DEP_PERIOD = TD.[HOUR]
FROM 
	dbo.NETRUD N
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
ORDER BY
	(CASE WHEN WORK_D = 13 THEN 1 ELSE 2 END), N.CODE

IF @TYPE_OTHER_DEP_PERIOD IS NOT NULL
	INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H])
	SELECT 
		[TYPE] = @TYPE_OTHER_DEP_PERIOD, 
		[PRIOR] = @PRIOR_OTHER_DEP_PERIOD, 
		[HOUR] = @HOUR_OTHER_DEP_PERIOD,
		[DATE_1] = (CASE WHEN P.DATE1 < @DateBegin THEN @DateBegin ELSE P.DATE1 END),
		[DATE_2] = (CASE WHEN P.DATE2 > @DateEnd  THEN @DateEnd ELSE P.DATE2 END),
		[DOC]	= 4,--    
		[H] = 0 		 
	FROM
		dbo.SAL_OTHER_DEP D
		INNER JOIN dbo.SAL_OTHER_DEP_PERIOD_DATES P ON D.LINK = P.LINK_DOC
	WHERE
		LINK_EMPL = @linkEmpl
		AND
		(
			P.DATE1 BETWEEN @DateBegin AND @DateEnd 
			OR P.DATE2 BETWEEN @DateBegin AND @DateEnd 
			OR (P.DATE1 < @DateBegin AND P.DATE2 > @DateEnd)
		)				
-----------------------------------------------------------------------

INSERT INTO @S ([TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], [H])
--
SELECT [TYPE],[PRIOR],[HOUR],[DATE_1],[DATE_2],[DOC], H FROM 
(SELECT 
	[TYPE] = SD.[TYPE],
	[PRIOR] = TD.PRIORITET,
	[HOUR] = TD.[HOUR],
	[DATE_1] = (CASE WHEN SD.DATE1 < @DateBegin THEN @DateBegin ELSE SD.DATE1 END),
	[DATE_2] = (CASE WHEN SD.DATE2 > @DateEnd  THEN @DateEnd ELSE SD.DATE2 END),
	[DOC]	= 1,
	[H] = 0 
FROM 
	dbo.SDOC_DIS SD
	INNER JOIN dbo.NETRUD N ON SD.[TYPE] = N.LINK
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = N.TYPE_LINK
WHERE 
	SD.LINK_EMPL = @linkEmpl
	AND
	(
		SD.DATE1 BETWEEN @DateBegin AND @DateEnd 
		OR SD.DATE2 BETWEEN @DateBegin AND @DateEnd 
		OR (SD.DATE1 < @DateBegin AND SD.DATE2 > @DateEnd)
	)
  
UNION
--
/*
3.1.          ,        
      ,    1  ,       , 
   ,    :
1)   ,     ,     ;
2)                  , 
                
     "       , 
    ,     "  .";
*/
SELECT 	
	[TYPE] = VV.TYPE_LINK,
	[PRIOR] = TD.PRIORITET,
	[HOUR] 	= TD.[HOUR],
	[DATE_1] = (CASE WHEN DATE_BEGIN < @DateBegin THEN @DateBegin ELSE IV.DATE_BEGIN END),
	[DATE_2] = (CASE WHEN ISNULL((

					SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

                    SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
                    WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 
					
					ELSE IVB.DATE_BREAK - 1 END) 

					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc), 
					
    (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END))) >@DateEnd 

					THEN @DateEnd  
                    ELSE ISNULL((

                    SELECT top 1 (CASE WHEN IVB.DATE_BREAK - 1 > (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM ITEM_VACATION_DIS IVD
        				WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc ),IV.DATE_END)) 
					
                    THEN (ISNULL((

					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  

 					FROM dbo.ITEM_VACATION_DIS IVD
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) 

					ELSE IVB.DATE_BREAK - 1 END)  
					
					FROM dbo.ITEM_VACATION_BREAK IVB
					WHERE IVB.VAC_LINK = IV.LINK AND IVB.ACTIVE = 1 order by IVB.DATE_BREAK desc),
					
					ISNULL((
					
					SELECT top 1 (CASE WHEN IVD.NEW_DATE_END > IV.DATE_END THEN IVD.NEW_DATE_END ELSE  IV.DATE_END END)  
 					FROM dbo.ITEM_VACATION_DIS IVD 
					WHERE  IVD.VAC_LINK = IV.LINK AND IVD.ACTIVE = 1 order by IVD.NEW_DATE_END desc),IV.DATE_END)) END),
	[DOC] = (case when coalesce(TD.WORK_D,1) = 7 then 22 else 2 end),
	H = VV.HOLIDAY
FROM 
	dbo.item_vacation iv
	INNER JOIN dbo.vacation_vid VV ON VV.LINK = iv.type_link
	INNER JOIN dbo.TYP_DAYS TD ON TD.LINK = VV.TYPE_LINK
WHERE 
	IV.EMPL_LINK = @linkEmpl 
	AND IV.ACTIVE = 1 
	AND 
		(
		ISNULL(VV.VAC_V,0) = 4 --  /1 3.1   " ".    = 4.    ,       
		OR
		EXISTS (SELECT * FROM @TAB_NOTAX A WHERE A.LINK_PAY = VV.LINK_PAYS) --  /2 3.1  ,     .          ,       
		)
	AND (IV.DATE_BEGIN BETWEEN @DateBegin AND @DateEnd 
		OR IV.DATE_END BETWEEN @DateBegin AND @DateEnd 
		OR ((IV.DATE_BEGIN<@DateBegin) AND (IV.DATE_END>@DateEnd))
		OR IV.LINK IN (SELECT VAC_LINK FROM dbo.VACATION_DIS WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND NEW_DATE_END > @DateBegin)
	    )
	AND IV.LINK NOT IN (SELECT VAC_LINK FROM dbo.item_vacation_break ivb WHERE EMPL_LINK = @linkEmpl AND ACTIVE = 1 AND ivb.DATE_BREAK < @DateBegin)
)  TAB

--
DELETE FROM @S WHERE DATE_1 > DATE_2

---         
update @S
Set DATE_2 = dateadd(day,-dbo.SA_HOLIDAY_COUNT_FN(DATE_1,DATE_2),DATE_2)
where doc = 2 and h = 1
-----

--SELECT * FROM @S
/*
--       
SELECT TT.[TYPE], TT.[DOC], MIN(TT.[DATE]) AS DATE_BEG, MAX(TT.[DATE]) AS DATE_END
FROM
(
SELECT T.[TYPE], T.[DOC], T.[DATE], ROW_NUMBER() OVER (ORDER BY T.[TYPE], T.[DOC], T.[DATE]) AS RN
FROM
(
SELECT 
	D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
FROM 
	dbo.[days_ex](@DateBegin,@DateEnd) D
	INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
) T WHERE T.[NUM] = 1
) TT
GROUP BY TT.[TYPE], TT.[DOC], datediff(day,DATEADD(D,RN-1,@DateBegin),TT.[DATE])
ORDER BY 3,1,2
*/

SET @RealCount =
(
SELECT datediff(day,@DateBegin,@DateEnd) + 1
- ISNULL(
	(
	SELECT COUNT(*)
	FROM
	(
	SELECT 
		D.[DATE], S.[PRIOR], S.[TYPE], S.[DOC], NUM = ROW_NUMBER() OVER (PARTITION BY D.[DATE] ORDER BY S.[PRIOR] DESC)
	FROM 
		dbo.[days_ex](@DateBegin,@DateEnd) D
		INNER JOIN @S S ON D.[DATE] BETWEEN S.DATE_1 AND S.DATE_2
	) T WHERE T.[NUM] = 1
	),0)
)

SET @RealCount = (CASE WHEN @RealCount > 0 THEN @RealCount ELSE 0 END)

RETURN @RealCount

END



GO


GRANT EXECUTE ON dbo.[SA_CALENDAR_DAYS3_FN] TO PUBLIC

GO

GO

-- FIX >>  : 9698.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[EXPORT_FORMATS_ALL_PHIS]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[EXPORT_FORMATS_ALL_PHIS]

GO

CREATE VIEW dbo.EXPORT_FORMATS_ALL_PHIS
AS
SELECT FNAME = ' 1.00 ( 01.03.2016)', PROC_NAME = 'ALL_PHIS_EXPORT', PRG_SKRIPT = '',DIR = 'Bank', TEST_PROC = ''
UNION All 
SELECT FNAME = ' 1.00 ( 01.07.2017 -  )', PROC_NAME = 'ALL_PHIS_EXPORT_MIR', PRG_SKRIPT = '',DIR = 'Bank', TEST_PROC = ''
UNION All 
SELECT FNAME = ' DBF (    )', PROC_NAME = 'ALL_PHIS_EXPORT_DBF', PRG_SKRIPT = '',DIR = 'Bank', TEST_PROC = ''






GO


GRANT SELECT ON dbo.[EXPORT_FORMATS_ALL_PHIS] TO PUBLIC

GO


-- --

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[KJ_KADRY_ALL_PHIS_REP]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[KJ_KADRY_ALL_PHIS_REP]

GO
CREATE       PROCEDURE dbo.KJ_KADRY_ALL_PHIS_REP        
	@dDate1 datetime,
	@cText1 varchar(20),
	@varKScVal1 CHAR(1),
	@varKSnOtborLink1 int
AS BEGIN
	
	-- EXEC KJ_KADRY_ALL_PHIS_REP '20160101' , '223' , '', NULL
	--     
	CREATE TABLE #KSPERS (PERS_LINK INT)
	IF LEN(@varKScVal1) <> 0 
		INSERT	INTO #KSPERS
		SELECT	RECORD FROM OBJECT_VAR_PERSON WHERE LINK_UP = @varKSnOtborLink1
	ELSE
		INSERT	INTO #KSPERS
		SELECT	p.LINK
		FROM	DBO.ku_person p




	/* --   -- */
	DECLARE @intORG_LINK INT 
	SET @intORG_LINK = dbo.GetOwnDepLink()

	--    
	-- !!!      !!! --
	DECLARE
		@ORGNAME VARCHAR(254), @DEP_LINK INT, @ORGFULLNAME VARCHAR(2000),@DEP_ACC_M VARCHAR(20),
	    @DEP_INN VARCHAR(12), @DEP_KPP VARCHAR(9), @DEP_OKPO VARCHAR(20), @DEP_OGRN VARCHAR(13),
	    @N_ACC_CODE VARCHAR(20), @count_phiz INT,
	    @DOC_ID  UNIQUEIDENTIFIER

	SET @count_phiz = (SELECT COUNT(*) FROM #KSPERS)
	SET @DOC_ID = NEWID()    
	SELECT  top 1 	
			@ORGNAME 	= LEFT(DEP.[NAME],254),
			@ORGFULLNAME  = LEFT(DEP.[FULL_NAME],2000),
			@DEP_LINK 	= DEP.LINK,
			@DEP_INN = LEFT(INN,12), @DEP_KPP = LEFT(KPP,9), @DEP_OKPO = LEFT(OKPO,20), @DEP_OGRN = LEFT(OGRN,13) , @DEP_ACC_M = CONVERT(VARCHAR(20),DEP.MAIN_LINK),
			@N_ACC_CODE = N_ACC_CODE
	FROM dbo.DICTIONARY_DEPARTMENT DEP WHERE link = @intORG_LINK


	/*************************/
	
	SELECT	
		N_PP = ROW_NUMBER() OVER (/*PARTITION BY p.LINK */ORDER BY P.FM, P.IM, P.OT ),
		p.LINK,
		p.FM,
		P.IM ,
		P.OT, 
		B.OSB ,
		B.FILIAL,
		B.FILIAL_NAME,
		RESIDENT = CASE  when P.RESIDENT in (1,3) 
							THEN 'FALSE' 
							ELSE 'TRUE' END,
		P.CITIZ_NAME ,
		VALUTE_CODE = 'RUR',
		PODVIDV_CODE = (SELECT TOP 1 POSTFIX FROM dbo.CARDS WHERE link = EC.CARD_LINK ) ,
		VIDV_CODE =  (SELECT TOP 1 CODE FROM dbo.CARDS WHERE link = EC.CARD_LINK ),
		VIDV_NAME = (SELECT TOP 1 NAME FROM dbo.CARDS WHERE link = EC.CARD_LINK ),
		p.DOC_LINK, 
		p.DOC_CODE,
		p.DOC_NAME,
		DOC_SER = convert(varchar(6),(CASE WHEN PATINDEX ( '% %' , substring(P.DOC_NUM,4,16 )) = 0 AND  PATINDEX ( '%/%' , substring(P.DOC_NUM,1,15 )) <> 0
						THEN left(P.DOC_NUM, PATINDEX ( '%/%' , substring(P.DOC_NUM,1,15 ))-1)
						ELSE left(P.DOC_NUM, 5) END) ),

		DOC_NUM = CASE WHEN PATINDEX ( '% %' , substring(P.DOC_NUM,4,16 )) = 0  AND  PATINDEX ( '%/%' , substring(P.DOC_NUM,1,15 )) <> 0 
						then SUBSTRING(P.DOC_NUM,PATINDEX ( '%/%' , substring(P.DOC_NUM,1,20 ))+1,10)
						ELSE SUBSTRING(P.DOC_NUM,7,10) END ,
		DOC_DATE = CONVERT(VARCHAR(10),P.DOC_DATE,104),
		P.DOC_WHOM,
		p.BIRTHDATE,
		SEX = CASE WHEN SEX = 1 THEN '' ELSE '' END ,
		P.BIRTHPLACE,
		PHONE = ltrim(rtrim(Phone_real)),
		[PINDEX] = (select rtrim(PINDEX) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		[PSTR] =  case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then ' ' else '' END,
		PREGION_NAME = (select rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PREGION_SOKR = CASE WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''	
							WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							ELSE ''		
		               END,
		PRAION_N =   (select rtrim(RAION_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),   
		PRAION_S =   (select rtrim(RAION_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),   
		PGOROD_N = (select rtrim(GOROD_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PGOROD_S = (select rtrim(GOROD_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PNASEL_N = (select rtrim(NASEL_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PNASEL_S =(select rtrim(NASEL_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PSTREET_N =(select rtrim(STREET_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		PSTREET_S = (select rtrim(STREET_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
 		PHOUSE = RTRIM(CONVERT(varchar(10),P.HOUSE_OFIC)) ,
		PKORP = RTRIM(CONVERT(varchar(10),P.CORP_OFIC)) ,
		PFLAT = RTRIM(CONVERT(varchar(10),P.FLAT_OFIC)) ,
		[FINDEX] = (select rtrim(PINDEX) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		[FSTR] =  (case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then ' ' else '' END),
		FREGION_NAME = (select rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FREGION_SOKR = CASE WHEN  PATINDEX ( '% %' ,(select TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(select TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''	
							WHEN  PATINDEX ( '% %' ,(select TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(select TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0))) <> 0 THEN ''
							ELSE ''		
		               END,
		FRAION_N =   (select rtrim(RAION_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),   
		FRAION_S =   (select rtrim(RAION_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),   
		FGOROD_N = (select rtrim(GOROD_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FGOROD_S = (select rtrim(GOROD_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FNASEL_N = (select rtrim(NASEL_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FNASEL_S =(select rtrim(NASEL_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FSTREET_N =(select rtrim(STREET_N) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
		FSTREET_S = (select rtrim(STREET_SOCR) from dbo.GetAddressPartsByKladr_SOKR(P.ADR_OFIC_LINK,0)),
 		FHOUSE = RTRIM(CONVERT(varchar(10),P.HOUSE_OFIC)) ,
		FKORP = RTRIM(CONVERT(varchar(10),P.CORP_OFIC)) ,
		FFLAT = RTRIM(CONVERT(varchar(10),P.FLAT_OFIC)) ,
		ADDR = (case when rtrim((select dbo.GetAddressByKladr(P.ADR_OFIC_LINK))) = ''
					 THEN '' 
					 ELSE rtrim((select dbo.GetAddressByKladr(P.ADR_OFIC_LINK))) END )
				 + (CASE WHEN  RTRIM(P.HOUSE_OFIC)='' THEN '' ELSE ', .'+ RTRIM(P.HOUSE_OFIC) END)   
				 + (CASE WHEN  RTRIM(P.CORP_OFIC)='' THEN '' ELSE ', .'+ RTRIM(P.CORP_OFIC) END )
				 + (CASE WHEN  RTRIM(P.FLAT_OFIC)='' THEN '' ELSE ', .'+ RTRIM(P.FLAT_OFIC) END ), 
		ADDR_REAL = (case when rtrim((select dbo.GetAddressByKladr(P.ADR_REAL_LINK))) = ''
					 THEN '' 
					 ELSE rtrim((select dbo.GetAddressByKladr(P.ADR_REAL_LINK))) END )
				 + (CASE WHEN  RTRIM(P.HOUSE_REAL)='' THEN '' ELSE ', .'+ RTRIM(P.HOUSE_REAL) END)   
				 + (CASE WHEN  RTRIM(P.CORP_REAL)='' THEN '' ELSE ', .'+ RTRIM(P.CORP_REAL) END )
				 + (CASE WHEN  RTRIM(P.FLAT_REAL)='' THEN '' ELSE ', .'+ RTRIM(P.FLAT_REAL) END ), 		 
		COL3 = CASE WHEN SEX = 1 THEN 'MR' ELSE 'MRS' END,
		COL2 = 	
		(select replace(replace(replace(replace(replace(replace(replace(replace(replace(REPLACE(REPLACE(
				REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(
				REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(
				REPLACE(REPLACE(replace(upper(p.FM),
                         '','X')
                        ,'','A')
						 , '','B')
						 , '','V')
						 , '', 'G')
						 , '', 'D')
						 , '', 'E')
						 , '','Z') 
						 , '', 'I')
						 , '', 'Y')
						 , '', 'K') 
						 , '', 'L')
						 , '', 'M')
						 , '', 'N')
						 , '', 'O')
						 , '', 'P')
						 , '', 'R')
						 , '', 'S')
						 , '', 'T')
						 , '', 'U')
						 , '', 'F')
						 , '', 'H')
						 , '', 'Y')
						 , '', '#')
						 , '', '''')						
                        , '','ZH')
                        ,'','YO')
                        ,'','TS')
                        ,'','CH')
                        ,'','SH')
                        ,'','SCH')
                        ,'','EH')
                        ,'','YU')
                        ,'','YA'))
                        ,

		COL1= 	
		(select replace(replace(replace(replace(replace(replace(replace(replace(replace(REPLACE(REPLACE(
				REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(
				REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(
				REPLACE(REPLACE(replace(upper(p.im),
                         '','X')
                        ,'','A')
						 , '','B')
						 , '','V')
						 , '', 'G')
						 , '', 'D')
						 , '', 'E')
						 , '','Z') 
						 , '', 'I')
						 , '', 'Y')
						 , '', 'K') 
						 , '', 'L')
						 , '', 'M')
						 , '', 'N')
						 , '', 'O')
						 , '', 'P')
						 , '', 'R')
						 , '', 'S')
						 , '', 'T')
						 , '', 'U')
						 , '', 'F')
						 , '', 'H')
						 , '', 'Y')
						 , '', '#')
						 , '', '''')						
                        , '','ZH')
                        ,'','YO')
                        ,'','TS')
                        ,'','CH')
                        ,'','SH')
                        ,'','SCH')
                        ,'','EH')
                        ,'','YU')
                        ,'','YA'))
                        ,
       DATE_DOC = @dDate1 ,
	   num_dog = @cText1,
	   orgname = @ORGNAME ,
	   org_fuln = @ORGFULLNAME,
	   dep_link = @DEP_LINK,
	   DEP_INN = @DEP_INN,
	   N_ACC_CODE = @N_ACC_CODE,
	   count_phiz = @count_phiz,
       DOC_ID  = @DOC_ID              
		FROM	
		DBO.ku_person p 
		LEFT JOIN dbo.SA_PERSON_ECARD_DEFAULT EC ON EC.PERS_LINK = p.LINK
		LEFT JOIN dbo.BANKS AS b ON b.LINK = EC.BANK_LINK
	WHERE	((LEN(@varKScVal1) <> 0 AND p.LINK IN (SELECT PERS_LINK FROM #KSPERS)) OR LEN(@varKScVal1) = 0)
	ORDER BY P.FM, P.IM, P.OT


DROP TABLE #KSPERS

END






GO


GRANT EXECUTE ON dbo.[KJ_KADRY_ALL_PHIS_REP] TO PUBLIC

GO


-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[ALL_PHIS_EXPORT_MIR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[ALL_PHIS_EXPORT_MIR]

GO

/* : exec [dbo].ALL_PHIS_EXPORT_MIR '20160314','35',95432 */



CREATE   PROCEDURE [dbo].[ALL_PHIS_EXPORT_MIR] (
	@dDate1 datetime,				/**/
	@cText1 VARCHAR(20),				/* */
	@cText2 VARCHAR(20),			/* */
	@cText3 VARCHAR(20),			/* */
	@nFiltlink INT = null /*  . */	
) AS


	
	DECLARE @cVal1 char(1), @nOtborLink1 int	/*  */
	SELECT @nOtborLink1 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFiltlink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE='OTBOR_QUERY_SQL_FL'))
	SELECT @cVal1 = (SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink1 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE='QUERY_OTBOR_CHECK'))


CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT ON

--   
CREATE TABLE #ALL_PHIS(N_PP int, LINK INT, FM VARCHAR(100),	IM varchar(100), OT varchar(100),	OSB VARCHAR(4), filial VARCHAR(5), FILIAL_NAME VARCHAR(254), RESIDENT VARCHAR(5), CITIZ_NAME VARCHAR(100),VALUTE_CODE VARCHAR(3), PODVIDV_CODE VARCHAR(2),
							 VIDV_CODE  VARCHAR(3),VIDV_NAME VARCHAR(100), DOC_LINK INT,DOC_CODE varchar(2), DOC_NAME varchar(50),DOC_SER varchar(6), DOC_NUM varchar(10), DOC_DATE DATETIME, DOC_WHOM varchar(254),
							 BIRTHDATE DATETIME, SEX CHAR(1), BIRTHPLACE VARCHAR(254),PHONE VARCHAR(20),
							 PINDEX VARCHAR (6),PSTR varchar(50),PREGION_N VARCHAR(254),PREGION_S VARCHAR(8),PRAION_N VARCHAR(254),PRAION_S VARCHAR(8),PGOROD_N VARCHAR(254),PGOROD_S VARCHAR(8),PNASEL_N VARCHAR(254),PNASEL_S VARCHAR(8),
							 PSTREET_N VARCHAR(254),PSTREET_S VARCHAR(8),PHOUSE varchar(10),PKORP varchar(50),PFLAT varchar(50),
							 FINDEX VARCHAR (6),FSTR varchar(50),FREGION_N VARCHAR(254),FREGION_S VARCHAR(8),FRAION_N VARCHAR(254),FRAION_S VARCHAR(8),FGOROD_N VARCHAR(254),FGOROD_S VARCHAR(8),FNASEL_N VARCHAR(254),FNASEL_S VARCHAR(8),
							 FSTREET_N VARCHAR(254),FSTREET_S VARCHAR(8),FHOUSE varchar(10),FKORP varchar(10),FFLAT varchar(10), addr varchar(254) ,addr_real varchar(254) ,
							 COL3 VARCHAR(3),COL2 VARCHAR(100),COL1 VARCHAR(100),DATE_DOC datetime,num_dog VARCHAR(20),
							 orgname VARCHAR(254),org_fuln VARCHAR(2000),dep_link INT ,DEP_INN VARCHAR(12),N_ACC_CODE VARCHAR(20),count_phiz INT ,DOC_ID VARCHAR(36)
)
				
INSERT INTO #ALL_PHIS(N_PP,LINK,FM,IM,OT,OSB,filial,FILIAL_NAME,RESIDENT,CITIZ_NAME,VALUTE_CODE,PODVIDV_CODE,VIDV_CODE,VIDV_NAME,
					  DOC_LINK,DOC_CODE,DOC_NAME,DOC_SER,DOC_NUM,DOC_DATE,DOC_WHOM,BIRTHDATE,SEX,BIRTHPLACE,PHONE,
					  PINDEX,PSTR,PREGION_N,PREGION_S,PRAION_N,PRAION_S,PGOROD_N,PGOROD_S,PNASEL_N,PNASEL_S,PSTREET_N,PSTREET_S,PHOUSE,PKORP,PFLAT,
					  FINDEX,FSTR,FREGION_N,FREGION_S,FRAION_N,FRAION_S,FGOROD_N,FGOROD_S,FNASEL_N,FNASEL_S,FSTREET_N,FSTREET_S,FHOUSE,FKORP,FFLAT, addr,addr_real, 
					  COL3,COL2,COL1,DATE_DOC,num_dog,orgname,org_fuln,dep_link,DEP_INN,N_ACC_CODE,count_phiz,DOC_ID
)

exec dbo.KJ_KADRY_ALL_PHIS_REP @dDate1 , @cText1, @cVal1, @nOtborLink1

DELETE FROM #ALL_PHIS WHERE isnull(DOC_ID,'') = ''

IF (SELECT COUNT(*) FROM #ALL_PHIS)=0
BEGIN
	RETURN 1
END	

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

declare @DEP_LINK int, @lcFNAME VARCHAR(254), @INN VARCHAR(12),	@ACC_CODE varchar(20), @FULL_NAME varchar(2000),	@COUNT_PERS INT , @DOC_ID VARCHAR(36), @OSB varchar(4),
@WINDEX VARCHAR(6),@WSTR varchar(50),  @WREGION_NAME VARCHAR(254),@WREGION_SOKR VARCHAR(8),@WRAION_N VARCHAR(254),@WRAION_S VARCHAR(8),@WGOROD_N VARCHAR(254),@WGOROD_S VARCHAR(8),
@WNASEL_N VARCHAR(254),@WNASEL_S VARCHAR(8),@WSTREET_N VARCHAR(254),@wSTREET_S VARCHAR(8),@wHOUSE varchar(10),@wKORP varchar(50),@wFLAT varchar(50)

exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @Cur1 CURSOR, @DEP_LINK1 INT , @ID1 INT /* */ , @nYear int, @nMonth int
set @ID1 = 0
SET @nYear = year(@dDate1)
set @nMonth = month(@dDate1)


---     #ALL_PHIS 	
ALTER TABLE #ALL_PHIS
add EMPL_LINK INT
ALTER TABLE #ALL_PHIS
add POST_NAME VARCHAR(254)



---     
UPDATE ap
SET 	DEP_LINK = @DEP_LINK
		, EMPL_LINK  =  E.link
	  ,POST_name = e.POST_name
FROM
	 #ALL_PHIS AS ap
	INNER JOIN DBO.ku_empl_placing AS E  ON E.pers_LINK = AP.LINK
WHERE E.date_begin IS NOT NULL
	AND @dDate1 BETWEEN	 E.date_begin AND isnull(E.date_sack,'29991231' )
	AND E.SACK <> 1
	AND e.dep_link = @DEP_LINK
--       	
DELETE  FROM #ALL_PHIS WHERE empl_link IS NULL

CREATE TABLE #ALL_PHIS_RES(N_PP int, LINK INT, FM VARCHAR(100),	IM varchar(100), OT varchar(100),	OSB VARCHAR(4), filial VARCHAR(5), FILIAL_NAME VARCHAR(254), RESIDENT VARCHAR(5), CITIZ_NAME VARCHAR(100),VALUTE_CODE VARCHAR(3), PODVIDV_CODE VARCHAR(2),
							 VIDV_CODE  VARCHAR(3),VIDV_NAME VARCHAR(100), DOC_LINK INT,DOC_CODE varchar(2), DOC_NAME varchar(50),DOC_SER varchar(6), DOC_NUM varchar(10), DOC_DATE DATETIME, DOC_WHOM varchar(254),
							 BIRTHDATE DATETIME, SEX CHAR(1), BIRTHPLACE VARCHAR(254),
							 PINDEX VARCHAR (6),PSTR varchar(50),PREGION_N VARCHAR(254),PREGION_S VARCHAR(8),PRAION_N VARCHAR(254),PRAION_S VARCHAR(8),PGOROD_N VARCHAR(254),PGOROD_S VARCHAR(8),PNASEL_N VARCHAR(254),PNASEL_S VARCHAR(8),
							 PSTREET_N VARCHAR(254),PSTREET_S VARCHAR(8),PHOUSE varchar(10),PKORP varchar(50),PFLAT varchar(50),
							 FINDEX VARCHAR (6),FSTR varchar(50),FREGION_N VARCHAR(254),FREGION_S VARCHAR(8),FRAION_N VARCHAR(254),FRAION_S VARCHAR(8),FGOROD_N VARCHAR(254),FGOROD_S VARCHAR(8),FNASEL_N VARCHAR(254),FNASEL_S VARCHAR(8),
							 FSTREET_N VARCHAR(254),FSTREET_S VARCHAR(8),FHOUSE varchar(10),FKORP varchar(10),FFLAT varchar(10), addr varchar(254) ,
							 COL3 VARCHAR(3),COL2 VARCHAR(100),COL1 VARCHAR(100),DATE_DOC datetime,num_dog VARCHAR(20),
							 orgname VARCHAR(254),org_fuln VARCHAR(2000),dep_link INT ,DEP_INN VARCHAR(12),N_ACC_CODE VARCHAR(20),count_phiz INT ,DOC_ID VARCHAR(36),EMPL_LINK INT , POST_NAME VARCHAR(254)
)
				
INSERT INTO #ALL_PHIS_RES (N_PP,LINK,FM,IM,OT,OSB,filial,FILIAL_NAME,RESIDENT,CITIZ_NAME,VALUTE_CODE,PODVIDV_CODE,VIDV_CODE,VIDV_NAME,
					  DOC_LINK,DOC_CODE,DOC_NAME,DOC_SER,DOC_NUM,DOC_DATE,DOC_WHOM,BIRTHDATE,SEX,BIRTHPLACE,
					  PINDEX,PSTR,PREGION_N,PREGION_S,PRAION_N,PRAION_S,PGOROD_N,PGOROD_S,PNASEL_N,PNASEL_S,PSTREET_N,PSTREET_S,PHOUSE,PKORP,PFLAT,
					  FINDEX,FSTR,FREGION_N,FREGION_S,FRAION_N,FRAION_S,FGOROD_N,FGOROD_S,FNASEL_N,FNASEL_S,FSTREET_N,FSTREET_S,FHOUSE,FKORP,FFLAT, addr,
					  COL3,COL2,COL1,DATE_DOC,num_dog,orgname,org_fuln,dep_link,DEP_INN,N_ACC_CODE,count_phiz,DOC_ID,EMPL_LINK,POST_NAME
)
SELECT N_PP = ROW_NUMBER() OVER (/*PARTITION BY p.LINK*/ ORDER BY FM, IM, OT ),
	 LINK,FM,IM,OT,OSB,filial,FILIAL_NAME,RESIDENT,CITIZ_NAME,VALUTE_CODE,PODVIDV_CODE,VIDV_CODE,VIDV_NAME,
	 DOC_LINK,DOC_CODE,DOC_NAME,DOC_SER,DOC_NUM,DOC_DATE,DOC_WHOM,BIRTHDATE,SEX,BIRTHPLACE,
	 PINDEX,PSTR,PREGION_N,PREGION_S,PRAION_N,PRAION_S,PGOROD_N,PGOROD_S,PNASEL_N,PNASEL_S,PSTREET_N,PSTREET_S,PHOUSE,PKORP,PFLAT,
	 FINDEX,FSTR,FREGION_N,FREGION_S,FRAION_N,FRAION_S,FGOROD_N,FGOROD_S,FNASEL_N,FNASEL_S,FSTREET_N,FSTREET_S,FHOUSE,FKORP,FFLAT, addr,
	 COL3,COL2,COL1,DATE_DOC,num_dog,orgname,org_fuln,dep_link,DEP_INN,N_ACC_CODE,count_phiz,DOC_ID,EMPL_LINK,POST_NAME
FROM #ALL_PHIS

DROP TABLE  #ALL_PHIS



--   
-----
	SELECT top 1
	@lcFNAME = '' + LTRIM(rtrim(isnull(@cText3,''))) + '' + ltrim(rtrim(@cText2))+'o.XML' ,
	@INN = DEP_INN,
	@ACC_CODE = dd.N_ACC_CODE,
	@FULL_NAME = ORG_FULN,
	@DOC_ID = DOC_ID,
	@OSB =  LTRIM(rtrim(isnull(@cText3,''))),
	@WINDEX = (select rtrim(PINDEX) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WSTR =  ' ' ,
	@WREGION_NAME = (select rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WREGION_SOKR = CASE WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0))) <> 0 THEN ''	
							WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0))) <> 0 THEN ''
							WHEN  PATINDEX ( '% %' ,(SELECT TOP 1 rtrim(REGION) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0))) <> 0 THEN ''
							ELSE ''		
		               END,
	@WRAION_N =   (select rtrim(RAION_N) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WRAION_S =   (select rtrim(RAION_SOCR) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WGOROD_N = (select rtrim(GOROD_N) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WGOROD_S = (select rtrim(GOROD_SOCR) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WNASEL_N = (select rtrim(NASEL_N) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WNASEL_S =(select rtrim(NASEL_SOCR) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@WSTREET_N =(select rtrim(STREET_N) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@wSTREET_S = (select rtrim(STREET_SOCR) from dbo.GetAddressPartsByKladr_SOKR(dd.REF_LINK_A,0)),
	@wHOUSE = RTRIM(CONVERT(varchar(10),dd.HOUSE)) ,
	@wKORP = RTRIM(CONVERT(varchar(10),dd.CORP)) ,
	@wFLAT = RTRIM(CONVERT(varchar(10),dd.FLAT))
	FROM  #ALL_PHIS_RES  AS a
	INNER JOIN DICTIONARY_DEPARTMENT AS dd ON dd.link = @DEP_LINK
	WHERE DEP_LINK = @DEP_LINK


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, 'windows-1251' -- 
			UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="windows-1251"?>'
			UNION ALL SELECT @lcFNAME, SPACE(0) + '< ="'+ CONVERT(VARCHAR(10),convert(smalldatetime, dbo.DateEndOfMonth(GETDATE())),127) +'"  ="'+rtrim(@cText1)+'" ="'+rtrim(@FULL_NAME)+'" ="'+@INN+'" ="'+rtrim(coalesce(@ACC_CODE,''))+'" ="" ="'+ltrim(rtrim(@cText2))+'" ="'+CONVERT(VARCHAR(10),@dDate1,120)+'">' --'" ="'+rtrim(@DOC_ID)+'"
			 UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'


	set @COUNT_PERS = (select count(*) from #ALL_PHIS_RES)
	
-- -- EXEC KJ_KADRY_ALL_PHIS_REP '20160314' , 35 , '1', 95433
-- exec ALL_PHIS_EXPORT_MIR '20170713','22323','232323','2323223232323',16825
	---
	--  
	---

	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR select N_PP from #ALL_PHIS_RES WHERE DEP_LINK = @DEP_LINK
	
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID1

	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME,
					SPACE(2) + '< ="'+RTRIM(LTRIM(STR(@ID1)))+'">' + CHAR(10)
						+ SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(FM,''))) +'</>' + CHAR(10)
						+ SPACE(3) + '<>'+RTRIM(LTRIM(COALESCE(IM,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(OT,''))) +'</>' + CHAR(10)
						+ SPACE(3) + '< 1="'+RTRIM(LTRIM(COALESCE(COL1,'')))+'" 2="'+RTRIM(LTRIM(COALESCE(COL2,'')))+'" 3="'+RTRIM(LTRIM(COALESCE(COL3,'')))+'"/>' + CHAR(10)
						+ SPACE(3) + '<>'+ CONVERT(VARCHAR(10),BiRTHDATE,127) +'</>' + CHAR(10)
						+ SPACE(3) + '<>'+RTRIM(LTRIM(COALESCE(SEX,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(OSB,''))) + '</>' + CHAR(10)
						+ SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(FILIAL,''))) + '</>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '< ="52" ="6" ="810"/>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '<>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_NAME,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_CODE,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_SER,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_NUM,'')))+'</>' + CHAR(10)
				            + SPACE(4) + '<>'+ CONVERT(VARCHAR(10),DOC_DATE,127) +'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_WHOM,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<></>' + CHAR(10)
						+ SPACE(3) + '</>' + CHAR(10)
						+ SPACE(3) + '<>' + RTRIM(LTRIM(COALESCE(CITIZ_NAME,''))) + '</>' + CHAR(10)
						+ SPACE(3) + '<>' +RTRIM(LTRIM(COALESCE(RESIDENT,''))) + '</>' + CHAR(10)
						+ SPACE(3) + '<>'+RTRIM(LTRIM(COALESCE(BiRTHPLACE,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '<>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(@WINDEX,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+case when RTRIM(LTRIM(COALESCE(@WSTR,''))) = ' ' THEN '643' ELSE '' END +'</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WREGION_NAME,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WREGION_SOKR,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WRAION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WRAION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WGOROD_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WGOROD_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WNASEL_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WNASEL_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WSTREET_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(@WSTREET_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(@wHOUSE,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(@WKORP,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(@WFLAT,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '</>' + CHAR(10)						
						+ SPACE(3) + '<>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PINDEX,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+case when RTRIM(LTRIM(COALESCE(PSTR,'')))= ' ' THEN '643' ELSE '' END+'</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PREGION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PREGION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PRAION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PRAION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PGOROD_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PGOROD_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PNASEL_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PNASEL_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PSTREET_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PSTREET_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PHOUSE,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PKORP,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PFLAT,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '</>' + CHAR(10)
						+ SPACE(3) + '<>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fINDEX,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+ case when RTRIM(LTRIM(COALESCE(fSTR,''))) = ' ' THEN '643' ELSE '' END +'</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fREGION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fREGION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fRAION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fRAION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fGOROD_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fGOROD_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fNASEL_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fNASEL_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fSTREET_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fSTREET_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fHOUSE,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fKORP,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fFLAT,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '</>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						+ SPACE(3) + '<>'+LTRIM(RTRIM(POST_NAME))+'</>' + CHAR(10)
						+ SPACE(3) + '<></>' + CHAR(10)
						
				  + SPACE(2) + '</>' + CHAR(10)

				
			FROM
					#ALL_PHIS_RES
				WHERE
					N_PP = @ID1
	
		END
		
		FETCH NEXT FROM @Cur1 INTO @ID1



	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	

	
	
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(1) + '</>' + CHAR(10)	
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(1) + '<>' + CHAR(10)	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+ +RTRIM(LTRIM(STR(COALESCE(@COUNT_PERS,0))))+ +'</>' + CHAR(10)	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'  + CHAR(10)	
UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '</>' 	




SET NOCOUNT OFF

select * from #OUTPUT  order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]
--exec ALL_PHIS_EXPORT '20160314','35',95432








GO


GRANT EXECUTE ON dbo.[ALL_PHIS_EXPORT_MIR] TO PUBLIC

GO


-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[ALL_PHIS_EXPORT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[ALL_PHIS_EXPORT]

GO

/* : exec ALL_PHIS_EXPORT '20160314','35',95432 */



CREATE   PROCEDURE [dbo].ALL_PHIS_EXPORT (
	@dDate1 datetime,				/**/
	@cText1 VARCHAR(20),				/* */
	@cText2 VARCHAR(20),			/* */
	@cText3 VARCHAR(20),			/* */
	@nFiltlink INT = null /*  . */	
) AS


	
	DECLARE @cVal1 char(1), @nOtborLink1 int	/*  */
	SELECT @nOtborLink1 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFiltlink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE='OTBOR_QUERY_SQL_FL'))
	SELECT @cVal1 = (SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink1 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE='QUERY_OTBOR_CHECK'))


CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT ON

--   
CREATE TABLE #ALL_PHIS(N_PP int, LINK INT, FM VARCHAR(100),	IM varchar(100), OT varchar(100),	OSB VARCHAR(4), filial VARCHAR(5), FILIAL_NAME VARCHAR(254) ,  RESIDENT VARCHAR(5), CITIZ_NAME VARCHAR(100),VALUTE_CODE VARCHAR(3), PODVIDV_CODE VARCHAR(2),
							 VIDV_CODE  VARCHAR(3),VIDV_NAME VARCHAR(100), DOC_LINK INT,DOC_CODE varchar(2), DOC_NAME varchar(50),DOC_SER varchar(6), DOC_NUM varchar(10), DOC_DATE DATETIME, DOC_WHOM varchar(254),
							 BIRTHDATE DATETIME, SEX CHAR(1), BIRTHPLACE VARCHAR(254), PHONE VARCHAR(20),
							 PINDEX VARCHAR (6),PSTR varchar(50),PREGION_N VARCHAR(254),PREGION_S VARCHAR(8),PRAION_N VARCHAR(254),PRAION_S VARCHAR(8),PGOROD_N VARCHAR(254),PGOROD_S VARCHAR(8),PNASEL_N VARCHAR(254),PNASEL_S VARCHAR(8), 
							 PSTREET_N VARCHAR(254),PSTREET_S VARCHAR(8),PHOUSE varchar(10),PKORP varchar(50),PFLAT varchar(50),
							 FINDEX VARCHAR (6),FSTR varchar(50),FREGION_N VARCHAR(254),FREGION_S VARCHAR(8),FRAION_N VARCHAR(254),FRAION_S VARCHAR(8),FGOROD_N VARCHAR(254),FGOROD_S VARCHAR(8),FNASEL_N VARCHAR(254),FNASEL_S VARCHAR(8),
							 FSTREET_N VARCHAR(254),FSTREET_S VARCHAR(8),FHOUSE varchar(10),FKORP varchar(10),FFLAT varchar(10), addr varchar(254) , addr_real  varchar(254) ,
							 COL3 VARCHAR(3),COL2 VARCHAR(100),COL1 VARCHAR(100),DATE_DOC datetime,num_dog VARCHAR(20),
							 orgname VARCHAR(254),org_fuln VARCHAR(2000),dep_link INT ,DEP_INN VARCHAR(12),N_ACC_CODE VARCHAR(20),count_phiz INT ,DOC_ID VARCHAR(36)
)
				 
INSERT INTO #ALL_PHIS(N_PP,LINK,FM,IM,OT,OSB,filial,FILIAL_NAME,RESIDENT,CITIZ_NAME,VALUTE_CODE,PODVIDV_CODE,VIDV_CODE,VIDV_NAME,
					  DOC_LINK,DOC_CODE,DOC_NAME,DOC_SER,DOC_NUM,DOC_DATE,DOC_WHOM,BIRTHDATE,SEX,BIRTHPLACE,PHONE,
					  PINDEX,PSTR,PREGION_N,PREGION_S,PRAION_N,PRAION_S,PGOROD_N,PGOROD_S,PNASEL_N,PNASEL_S,PSTREET_N,PSTREET_S,PHOUSE,PKORP,PFLAT,
					  FINDEX,FSTR,FREGION_N,FREGION_S,FRAION_N,FRAION_S,FGOROD_N,FGOROD_S,FNASEL_N,FNASEL_S,FSTREET_N,FSTREET_S,FHOUSE,FKORP,FFLAT, addr,addr_real,
					  COL3,COL2,COL1,DATE_DOC,num_dog,orgname,org_fuln,dep_link,DEP_INN,N_ACC_CODE,count_phiz,DOC_ID
)

exec dbo.KJ_KADRY_ALL_PHIS_REP @dDate1 , @cText1, @cVal1, @nOtborLink1


DELETE FROM #ALL_PHIS WHERE isnull(DOC_ID,'') = ''  

IF (SELECT COUNT(*) FROM #ALL_PHIS)=0
BEGIN
	RETURN 1
END	

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

declare @DEP_LINK int, @lcFNAME VARCHAR(254), @INN VARCHAR(12),	@ACC_CODE varchar(20), @FULL_NAME varchar(2000),	@COUNT_PERS INT , @DOC_ID VARCHAR(36)

exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @Cur1 CURSOR, @DEP_LINK1 INT , @ID1 INT /* */ , @nYear int, @nMonth int
set @ID1 = 0
SET @nYear = year(@dDate1)
set @nMonth = month(@dDate1)

--   
-----
	SELECT top 1 @lcFNAME = 'imp_card_' + CONVERT(VARCHAR(4),@nYEAR) + '_' + CONVERT(VARCHAR(4),@nMONTH) + '.XML' ,
	@INN = DEP_INN,
	@ACC_CODE = N_ACC_CODE,
	@FULL_NAME = ORG_FULN,
	@COUNT_PERS = COUNt_PHIZ,
	@DOC_ID = DOC_ID
	FROM  #ALL_PHIS WHERE DEP_LINK = @DEP_LINK
	  

	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, 'windows-1251' --  
			UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="windows-1251"?>' 
			UNION ALL SELECT @lcFNAME, SPACE(0) + '< ="'+ CONVERT(VARCHAR(10),convert(smalldatetime, dbo.DateEndOfMonth(GETDATE())),127) +'"  ="'+rtrim(@cText1)+'" ="'+rtrim(@FULL_NAME)+'" ="'+@INN+'" ="'+rtrim(coalesce(@ACC_CODE,''))+'">' -- ="" ="'+rtrim(@DOC_ID)+'" >'
			 UNION ALL SELECT @lcFNAME, SPACE(1) + '<>' 
	DECLARE @DOCCOUNT INT 
	set @DOCCOUNT = (select count(*) from #ALL_PHIS WHERE DEP_LINK = @DEP_LINK1 )

-- -- EXEC KJ_KADRY_ALL_PHIS_REP '20160314' , 35 , '1', 95433
	---
	--  
	---

	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR select N_PP from #ALL_PHIS WHERE DEP_LINK = @DEP_LINK
	
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID1

	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, 
					SPACE(2) + '< ="'+RTRIM(LTRIM(STR(@ID1)))+'">' + CHAR(10)
						+ SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(FM,''))) +'</>' + CHAR(10)
						+ SPACE(3) + '<>'+RTRIM(LTRIM(COALESCE(IM,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(OT,''))) +'</>' + CHAR(10)
						+ SPACE(3) + '<>'+ RTRIM(LTRIM(COALESCE(OSB,''))) + '</>' + CHAR(10) 
						+ SPACE(3) + '<>' +RTRIM(LTRIM(COALESCE(RESIDENT,''))) + '</>' + CHAR(10) 
						+ SPACE(3) + '<>' + RTRIM(LTRIM(COALESCE(CITIZ_NAME,''))) + '</>' + CHAR(10)
						+ SPACE(3) + '< ="'+RTRIM(LTRIM(COALESCE(VIDV_CODE,'')))+'" ="'+RTRIM(LTRIM(COALESCE(PODVIDV_CODE,'')))+'" ="'+RTRIM(LTRIM(COALESCE(VALUTE_CODE,'')))+'">' + RTRIM(LTRIM(COALESCE(VIDV_NAME,''))) + '</>' + CHAR(10)
						+ SPACE(3) + '<>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_NAME,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_SER,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_NUM,'')))+'</>' + CHAR(10)
				            + SPACE(4) + '<>'+ CONVERT(VARCHAR(10),DOC_DATE,127) +'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(DOC_WHOM,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '</>' + CHAR(10)
						+ SPACE(3) + '<>'+ CONVERT(VARCHAR(10),BiRTHDATE,127) +'</>' + CHAR(10)
						+ SPACE(3) + '<>'+RTRIM(LTRIM(COALESCE(SEX,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '<>'+RTRIM(LTRIM(COALESCE(BiRTHPLACE,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '<>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PINDEX,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PSTR,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PREGION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PREGION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PRAION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PRAION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PGOROD_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PGOROD_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PNASEL_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PNASEL_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PSTREET_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(PSTREET_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PSTREET_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PKORP,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(PFLAT,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '</>' + CHAR(10)
						+ SPACE(3) + '<>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fINDEX,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fSTR,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
								+ SPACE(5) + '</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fREGION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fREGION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fRAION_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fRAION_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fGOROD_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fGOROD_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fNASEL_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fNASEL_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fSTREET_N,'')))+'</>' + CHAR(10)
								+ SPACE(5) + '<>'+RTRIM(LTRIM(COALESCE(fSTREET_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fSTREET_S,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fKORP,'')))+'</>' + CHAR(10)
							+ SPACE(4) + '<>'+RTRIM(LTRIM(COALESCE(fFLAT,'')))+'</>' + CHAR(10)
						+ SPACE(3) + '</>' + CHAR(10)
						+ SPACE(3) + '< 1="'+RTRIM(LTRIM(COALESCE(COL1,'')))+'" 2="'+RTRIM(LTRIM(COALESCE(COL2,'')))+'" 3="'+RTRIM(LTRIM(COALESCE(COL3,'')))+'"/>' + CHAR(10)
						+ SPACE(3) + '<>''</>' + CHAR(10)
				  + SPACE(2) + '</>' + CHAR(10)

				  
    			FROM
					#ALL_PHIS
				WHERE 
					N_PP = @ID1 
	
		END
		
		FETCH NEXT FROM @Cur1 INTO @ID1



	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	

	
	
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(1) + '</>' + CHAR(10)	
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(1) + '<>' + CHAR(10)	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+ +RTRIM(LTRIM(STR(COALESCE(@COUNT_PERS,0))))+ +'</>' + CHAR(10)	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'  + CHAR(10)	
  UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '</>' 	




SET NOCOUNT OFF

select * from #OUTPUT  order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]
--exec ALL_PHIS_EXPORT '20160314','35',95432




GO


GRANT EXECUTE ON dbo.[ALL_PHIS_EXPORT] TO PUBLIC

GO

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[ALL_PHIS_EXPORT_DBF]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[ALL_PHIS_EXPORT_DBF]

GO

/* : exec [dbo].ALL_PHIS_EXPORT_DBF '20170613','35','95432','2323' , 95876 */



CREATE   PROCEDURE [dbo].ALL_PHIS_EXPORT_DBF (
	@dDate1 datetime,				/**/
	@cText1 VARCHAR(20),				/* */
	@cText2 VARCHAR(20),			/* */
	@cText3 VARCHAR(20),			/* */
	@nFiltlink INT = null /*  . */	
) AS



	DECLARE @cVal1 char(1), @nOtborLink1 int	/*  */
	SELECT @nOtborLink1 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFiltlink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE='OTBOR_QUERY_SQL_FL'))
	SELECT @cVal1 = ISNULL((SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink1 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE='QUERY_OTBOR_CHECK')),'')

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT ON

--   
CREATE TABLE #ALL_PHIS(N_PP int, LINK INT, FM VARCHAR(100),	IM varchar(100), OT varchar(100),	OSB VARCHAR(4), filial VARCHAR(5), FILIAL_NAME VARCHAR(254) ,  RESIDENT VARCHAR(5), CITIZ_NAME VARCHAR(100),VALUTE_CODE VARCHAR(3), PODVIDV_CODE VARCHAR(2),
							 VIDV_CODE  VARCHAR(3),VIDV_NAME VARCHAR(100), DOC_LINK INT,DOC_CODE varchar(2), DOC_NAME varchar(50),DOC_SER varchar(6), DOC_NUM varchar(10), DOC_DATE VARCHAR(10), DOC_WHOM varchar(254),
							 BIRTHDATE DATETIME, SEX CHAR(1), BIRTHPLACE VARCHAR(254), PHONE VARCHAR(20), 
							 PINDEX VARCHAR (6),PSTR varchar(50),PREGION_N VARCHAR(254),PREGION_S VARCHAR(8),PRAION_N VARCHAR(254),PRAION_S VARCHAR(8),PGOROD_N VARCHAR(254),PGOROD_S VARCHAR(8),PNASEL_N VARCHAR(254),PNASEL_S VARCHAR(8), 
							 PSTREET_N VARCHAR(254),PSTREET_S VARCHAR(8),PHOUSE varchar(10),PKORP varchar(50),PFLAT varchar(50),
							 FINDEX VARCHAR (6),FSTR varchar(50),FREGION_N VARCHAR(254),FREGION_S VARCHAR(8),FRAION_N VARCHAR(254),FRAION_S VARCHAR(8),FGOROD_N VARCHAR(254),FGOROD_S VARCHAR(8),FNASEL_N VARCHAR(254),FNASEL_S VARCHAR(8),
							 FSTREET_N VARCHAR(254),FSTREET_S VARCHAR(8),FHOUSE varchar(10),FKORP varchar(10),FFLAT varchar(10), addr varchar(254), addr_real varchar(254) , 
							 COL3 VARCHAR(3),COL2 VARCHAR(100),COL1 VARCHAR(100),DATE_DOC datetime,num_dog VARCHAR(20),
							 orgname VARCHAR(254),org_fuln VARCHAR(2000),dep_link INT ,DEP_INN VARCHAR(12),N_ACC_CODE VARCHAR(20),count_phiz INT ,DOC_ID VARCHAR(36)
)


INSERT INTO #ALL_PHIS(N_PP,LINK,FM,IM,OT,OSB,filial,FILIAL_NAME,RESIDENT,CITIZ_NAME,VALUTE_CODE,PODVIDV_CODE,VIDV_CODE,VIDV_NAME,
					  DOC_LINK,DOC_CODE,DOC_NAME,DOC_SER,DOC_NUM,DOC_DATE,DOC_WHOM,BIRTHDATE,SEX,BIRTHPLACE,PHONE,
					  PINDEX,PSTR,PREGION_N,PREGION_S,PRAION_N,PRAION_S,PGOROD_N,PGOROD_S,PNASEL_N,PNASEL_S,PSTREET_N,PSTREET_S,PHOUSE,PKORP,PFLAT,
					  FINDEX,FSTR,FREGION_N,FREGION_S,FRAION_N,FRAION_S,FGOROD_N,FGOROD_S,FNASEL_N,FNASEL_S,FSTREET_N,FSTREET_S,FHOUSE,FKORP,FFLAT, addr, addr_real,
					  COL3,COL2,COL1,DATE_DOC,num_dog,orgname,org_fuln,dep_link,DEP_INN,N_ACC_CODE,count_phiz,DOC_ID
)
exec dbo.KJ_KADRY_ALL_PHIS_REP @dDate1 , @cText1, @cVal1, @nOtborLink1

DELETE FROM #ALL_PHIS WHERE isnull(DOC_ID,'') = ''  

IF (SELECT COUNT(*) FROM #ALL_PHIS)=0
BEGIN
	RETURN 1
END	

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

declare @DEP_LINK int, @lcFNAME VARCHAR(254), @OUT_TEXT VARCHAR(3), 
@INN VARCHAR(12),	@ACC_CODE varchar(20), @FULL_NAME varchar(2000),	
@COUNT_PERS INT , @DOC_ID VARCHAR(36) ,  @DEPCODE VARCHAR(15)


exec dbo.xd_whats_zb @DEP_LINK output

SELECT 
	@DEPCODE = DEP.CODE
FROM dbo.DICTIONARY_DEPARTMENT DEP WHERE link = @DEP_LINK


DECLARE @Cur1 CURSOR, @DEP_LINK1 INT , @ID1 INT /* */ , @nYear int, @nMonth INT , @nDay INT
set @ID1 = 0
SET @nYear = year(@dDate1)
set @nMonth = month(@dDate1)
SET @nDay = day(@dDate1)

--   
SET @lcFNAME =  rtrim(@cText1)+ 'C'+ CONVERT(VARCHAR(2),ltrim(rtrim(@nMonth))) + CONVERT(VARCHAR(2),ltrim(rtrim(@nMonth)))  + left(ltrim(rtrim(@cText2)),2) 
SET @OUT_TEXT = 'DBF'

CREATE TABLE #EMPL_PHYS (pers_link INT, empl_link INT, subdiv_code VARCHAR(10), tab VARCHAR(10) , post_name VARCHAR(254), em_phone varchar(15))
INSERT INTO #EMPL_PHYS (pers_link , empl_link, subdiv_code , tab , post_name , em_phone) 
SELECT ap.link , se.link, se.SUBDIV_CODE , se.tab , se.post_name , ep.number
FROM #ALL_PHIS AS ap 
INNER JOIN DBO.ku_empl_placing AS se  ON se.pers_LINK = AP.LINK
LEFT JOIN dbo.empl_phone AS ep ON ep.LINK = se.LINK
WHERE Se.SACK = 0 
and se.DATE_BEGIN IS NOT NULL  
AND @dDate1 between se.date_begin and isnull( se.date_sack,'20991231') 
AND se.DEP_LINK = @DEP_LINK
ORDER BY ap.link

SET NOCOUNT OFF


select 
	F_NAME = '_'+ltrim(rtrim(@lcFNAME)),
	OUT_TEXT = ltrim(rtrim(@OUT_TEXT)),
	FIO = LEFT(ltrim(rtrim(FM)) + ' '+ ltrim(rtrim(IM)) + ' ' + ltrim(rtrim(OT)) , 40 ), 
	SEX ,
	BIRTHDAY = convert(varchar(10),BIRTHDATE,127),
	ADRESS = left(ltrim(rtrim(addr)),80),
	PHONE ,
	COMPANY = ltrim(rtrim(@DEPCODE)),
	CEH = ep.subdiv_code,
	TABNOM = ep.tab,
	LATFIO = LEFT(ltrim(rtrim(COL1)) + ' '+ ltrim(rtrim(COL2))  , 40 ),
	FAMILY = '',
	JOB = left(ltrim(rtrim(ep.POST_NAME)),40),
	JOBPHONE = left(ltrim(rtrim(isnull(ep.em_phone,''))),20),
	RESIDENT = ap.resident,
	RESADDRESS = left(ltrim(rtrim(ADDR_REAL)),80) ,
	PASNOM = LEFT(ltrim(rtrim(DOC_SER)) + ' ' + ltrim(rtrim(DOC_NUM)),20),
	PASDAT = DOC_DATE,
	PASPLACE = LEFT(ltrim(rtrim(DOC_WHOM)),100),
	ACC_NUMBER = '*'
 
from  #ALL_PHIS  ap
LEFT JOIN #EMPL_PHYS ep ON ep.pers_link = ap.LINK
WHERE ap.DEP_LINK = @DEP_LINK ORDER BY n_pp 


--select * from #OUTPUT  order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]
--exec ALL_PHIS_EXPORT '20160314','35',95432




GO


GRANT EXECUTE ON dbo.[ALL_PHIS_EXPORT_DBF] TO PUBLIC

GO


-- --

GO

GO

-- FIX >>  : 9746.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_IMPORT_PERS_ECARD_SAVE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_IMPORT_PERS_ECARD_SAVE]

GO

/*******************************************************************************

	  (Keysystems), 2013

*******************************************************************************/

CREATE   PROCEDURE dbo.[SS_IMPORT_PERS_ECARD_SAVE] 
 @intRES int output,  
 @varKSname  varchar(254),  
 @varKSPath  varchar(254),  
 @varKSCreateDate datetime , 
 @varCardLINK int,
 @use_ZP INT = 0,
 @use_AV INT = 0,
 @use_MV INT = 0,
 @vartext TEXT 
AS  
DECLARE  @hDoc int,
		 @varID int,
		 @intLink INT ,
		-- @DEP_INN VARCHAR(25),  
		 @DEP_NAME VARCHAR(254),
		 @DEP_CODE VARCHAR(10), 
		 @DATE_DOG VARCHAR(10), 
		 @DATE_REESTR VARCHAR(10),
		 @DATE_FORM VARCHAR(10),
		 @ID_DOC VARCHAR(36),
		 @INN VARCHAR(21),
		 @KPP varchar(12),
		 @NUM_DOG int ,
		 @NUM_REESTR VARCHAR(10) ,
		 @Year_begin varchar(4) ,
		 @Month_end int, 
		 @PER int, 
		 @PER_EDT int, 
		 @KATEG varchar,
		 @vid_kor int, 
		 @Type int 

DELETE FROM dbo.XML_files WHERE [name_f] = @varKSname and [UID]=SUSER_ID()

set @intRES = 0

select @varID=max([id]) from XML_files
if @varID is null set @varID=1
else set @varID=@varID+1
INSERT INTO dbo.XML_files([id], [name_f], [path_f], [date_f], [text_f],[UID]) SELECT @varID, @varKSname, @varKSPath, @varKSCreateDate, @vartext, SUSER_ID() 
 

 EXEC sp_xml_preparedocument @hDoc OUTPUT, @vartext 
 
  /*exec SS_IMPORT_PERS_ECARD_SAVE @intLink int output,  
 @varKSname  varchar(254),  
 @varKSPath  varchar(254),  
 /*@varKSCreateDate datetime , */
 @vartext TEXT*/ 

-----------------------------------------------------------------------
----- I.  
-----------------------------------------------------------------------
		---  ,          , 
		--        ,     ,   
		if (SELECT ltrim(rtrim())  
						 FROM  
							OPENXML(@hDoc, N'/ ',1)  
							WITH (   
							  VARCHAR(2000) 
							  )) <> ''
		BEGIN
			--     
			SELECT @DEP_NAME = LEFT(,254)  

			 FROM  
				OPENXML(@hDoc, N'/ ',1)  
				WITH (   
				  VARCHAR(2000)
				 )
				SELECT @INN = Ltrim() , @DATE_DOG = Ltrim(convert(varchar(10),convert(datetime,,121),112)) , 
					   @DATE_REESTR = Ltrim(convert(varchar(10),convert(datetime,,121),112)) , @DATE_FORM = ltrim(convert(varchar(10),convert(datetime,,121),112)),
					   @NUM_DOG = ltrim(), @NUM_REESTR = ltrim()
				 FROM  
					OPENXML(@hDoc, N'/ ',1)  
					WITH (   
					  VARCHAR(21),
					  VARCHAR(10),
					  VARCHAR(10),
					  VARCHAR(10),
					  VARCHAR(10),
					  VARCHAR(10)
					 )

		   --   	
			declare @DEP_LINK int
				
			select @DEP_LINK = link , @DEP_CODE = PFNUMBER from departments where INN = @INN and NAME =@DEP_NAME 
			
			--       

			--    ,     

		
			Create table #card_SVEDENIA_O(link int, intLink int, n_pp int , link_face int , fm VARCHAR(100), im VARCHAR(100), OT VARCHAR(100), 
										 link_bank int, OSB VARCHAR(10), filial VARCHAR(10), CARD_LINK INT ,USE_ZP int,USE_AV int,USE_MV INT, LS VARCHAR(25), code_val VARCHAR(3),
										 doc_vid VARCHAR(150), DOC_SER VARCHAR(10), DOC_num VARCHAR(10),doc_date VARCHAR(10), doc_whom VARCHAR(150), 
										 doc_div VARCHAR(10), doc_vid_code VARCHAR(2), result VARCHAR(20) , PROVERKA VARCHAR(2000)/*, vklad_VAL VARCHAR(3), vklad_code_vid VARCHAR(3),
										 vklad_podvid VARCHAR(4)*/ )
			INSERT INTO #card_SVEDENIA_O(link,intLink,n_pp,link_face,fm,im,OT, 
										 link_bank, OSB, filial,CARD_LINK,USE_ZP,USE_AV,USE_MV,LS,code_val,
										 doc_vid,DOC_SER,DOC_num,doc_date,doc_whom, 
										 doc_div,doc_vid_code,result,PROVERKA)
			SELECT link = null , 
				   intLink = case when isnull(@intLink,0) != 0 then @intLink else (select top 1 link_doc from XML_files where link_doc is not null and date_f = @varKSCreateDate ) END, 
				   n_pp = ltrim(), 						
				   link_face = (select top 1 link from person where doc_num = substring(rtrim(ltrim()),1,2)+ ' '+ substring(rtrim(ltrim()),3,2) +' '+ rtrim(ltrim())  
																	AND doc_link = (SELECT TOP 1 link FROM FACE_DOCUMENT WHERE code = ltrim())),
				   fm = ltrim(),
				   im = ltrim(),
				   OT = ltrim(),
				   link_bank = (SELECT TOP 1 link FROM banks WHERE OSB = LTRIM() AND FILIAL = LTRIM())  ,
				   OSB = ltrim() ,
				   filial = ltrim() ,
				   CARD_LINK = @varCardLINK,
				   USE_ZP = @use_ZP,
				   USE_AV = @USE_AV,
				   USE_MV = @use_MV,
				   LS = ltrim(),
				   code_val = ltrim(),
				   doc_vid = ,
				   DOC_SER = ,
				   DOC_num = ,
				   doc_date = ,
				   doc_whom = ,
				   doc_div = ,
				   doc_vid_code =   ,
				   result = ,
				   PROVERKA = ''
			FROM  
				OPENXML(@hDoc, N'////',2)  
				WITH (   
				 VARCHAR(5) '../@',
				 varchar (10) , 
				 varchar (10) ,
				 varchar (100)  '../',
				 varchar (100)  '../',
				 varchar (100)  '../'  ,
				 varchar(10)  '../',
				 varchar(10) '../' ,
				 varchar(30) '../' ,
				 varchar(10) '../',
				  varchar(50),
				  varchar(10),
				  varchar(150),
				  varchar(10),
				  varchar(10),
				 varchar(25) '../' )	

			--   
							
			----------------------------------------------------
			---    
			----------------------------------------------------
			DECLARE @CountALL int
				SET @CountALL = (SELECT COUNT(*) FROM #card_SVEDENIA_O  )
			

			IF  @CountALL = (SELECT COUNT(*) FROM #card_SVEDENIA_O WHERE isnull(link_face,0) = 0  )
			BEGIN 
				UPDATE s
				SET PROVERKA = ltrim(PROVERKA) + '     (  ) : ' + ltrim(s.fm) +' '+ ltrim(s.im) + ' ' + ltrim(s.OT) + '  ' + ltrim(s.DOC_SER) + ' ' +ltrim(s.DOC_num)+'; '   								
				FROM #card_SVEDENIA_O s
				WHERE isnull(link_face,0) = 0
						SELECT * FROM #card_SVEDENIA_O 
						SET @intRES =2
						RETURN	@intRES 
						EXEC sp_xml_removedocument @hDoc 

				
			END	
			

			DECLARE @individ INT,@lnk INT ,
				@link_c int, @intLink_c int, @n_pp_c int , @link_face_c int , @fm_c VARCHAR(100), @im_c VARCHAR(100), @OT_c VARCHAR(100), 
				@link_bank_c int, @OSB_c VARCHAR(10), @filial_c VARCHAR(10), @CARD_LINK_C INT  ,@USE_ZP_C int,@USE_AV_C int,@USE_MV_C INT, @LS_c VARCHAR(25), @code_val_c VARCHAR(3),
				@doc_vid_c VARCHAR(150), @DOC_SER_c VARCHAR(10), @DOC_num_c VARCHAR(10),@doc_date_c VARCHAR(10), @doc_whom_c VARCHAR(150), 
				@doc_div_c VARCHAR(10), @doc_vid_code_c VARCHAR(2), @result_c VARCHAR(20) , @OSN tinyint

			SET @individ = 0
			SET @OSN = 1 
			DECLARE @Cur1_O CURSOR
			DECLARE @varKSERROR1	tinyint
			SET @Cur1_O = CURSOR FORWARD_ONLY

			FOR SELECT link,intLink,n_pp,link_face,fm,im,OT, 
					   link_bank, OSB, filial, CARD_LINK,USE_ZP,USE_AV,USE_MV,LS,code_val,
					   doc_vid,DOC_SER,DOC_num,doc_date,doc_whom, 
					   doc_div,doc_vid_code,result 
			    FROM #card_SVEDENIA_O WHERE coalesce(n_pp,0) != 0 /*and coalesce(link_face,0) != 0 */ ORDER BY n_pp
					
			OPEN @Cur1_O
			FETCH NEXT FROM @Cur1_O INTO  @link_c,@intLink_c,@n_pp_c,@link_face_c,@fm_c,@im_c,@OT_c, 
					   @link_bank_c, @OSB_c, @filial_c, @CARD_LINK_c,@USE_ZP_C,@USE_AV_C ,@USE_MV_C,@LS_c,@code_val_c,
					   @doc_vid_c,@DOC_SER_c,@DOC_num_c,@doc_date_c,@doc_whom_c, 
					   @doc_div_c,@doc_vid_code_c,@result_c 
				WHILE (@@fetch_status <> -1)
				BEGIN
			
			
					IF (@@fetch_status <> -2)
					BEGIN
																	
							IF @link_c is null OR @link_c = 0
							BEGIN
								IF ISNULL(@DEP_LINK,0) = 0
								BEGIN 
									UPDATE #card_SVEDENIA_O
									SET PROVERKA = ltrim(PROVERKA) + '   -  "' + ltrim(@DEP_NAME) +'"  '+ ltrim(@INN) + '!    ; '   								
									WHERE ISNULL(@DEP_LINK,0) = 0 AND n_pp = @n_pp_c
									BEGIN
										--ROLLBACK
										SELECT * FROM #card_SVEDENIA_O WHERE n_pp = @n_pp_c
										SET @intRES =2
										RETURN	
									END
									
								END


								
								
									UPDATE #card_SVEDENIA_O
									SET PROVERKA = ltrim(PROVERKA) + '   ' + ltrim(@fm_c) +' '+ ltrim(@im_c) + ' ' + ltrim(@OT_c) + ' (  ) '+ltrim(@doc_ser_C)+' '+ ltrim(@doc_num_C)+';'   
									WHERE ISNULL(@link_face_c,0) = 0 AND n_pp = @n_pp_c 
									
									UPDATE #card_SVEDENIA_O
									SET PROVERKA = ltrim(PROVERKA) + '         - ' + ltrim(@OSB_c) +'  - ' + ltrim(@filial_c) + ';'   
									WHERE ISNULL(@link_bank_c,0) = 0 AND n_pp = @n_pp_c 
									
									UPDATE #card_SVEDENIA_O
									SET PROVERKA = ltrim(PROVERKA) + '  ' + ltrim(@LS_c) +'      ' + ltrim(@fm_c) +' '+ ltrim(@im_c) + ' ' + ltrim(@OT_c) + ' ;'   
									WHERE ISNULL(@LS_c,'') ='' AND n_pp = @n_pp_c 
								
									IF (SELECT len(ltrim(PROVERKA)) FROM #card_SVEDENIA_O WHERE n_pp = @n_pp_c  ) <> 0
										UPDATE #card_SVEDENIA_O
										SET PROVERKA = ' ='+ltrim(str(@n_pp_c))+' : ' + ltrim(PROVERKA) 
										WHERE  n_pp = @n_pp_c 	

									IF ISNULL(@DEP_LINK,0) <> 0 AND ISNULL(@link_face_c,0) <> 0 AND ISNULL(@link_bank_c,0) <> 0 AND ISNULL(@LS_c,'') <>''
									BEGIN
										if exists (SELECT link FROM SD_PERSON_ECARD AS spe 
													  WHERE spe.PERS_LINK = @link_face_c AND spe.BANK_LINK = @link_bank_c 
															AND spe.CARD_LINK = @CARD_LINK_C AND ltrim(spe.LIC_SCHET) = ltrim(@LS_c) 
															AND spe.FILIAL = @filial_c AND spe.DOGOVOR = @NUM_DOG AND spe.DATE_DOG = @DATE_DOG  
														AND spe.ACTUAL = @use_ZP_C AND spe.ACTUAL_AV = @use_AV_C AND spe.ACTUAL_M = @use_MV_C)
										BEGIN 
											UPDATE #card_SVEDENIA_O
											SET PROVERKA = ' ='+ltrim(str(@n_pp_c))+' : ' + ltrim(PROVERKA)+ '  (   , ,  ,  ) ->  - ' + ltrim(@fm_c) +' '+ ltrim(@im_c) + ' ' + ltrim(@OT_c) + ', - "' + ltrim(@OSB_c) +'",  - "' +ltrim(@filial_c)+ '"'
											WHERE  n_pp = @n_pp_c 	
											
										END 	
										
										
											if NOT exists (SELECT link FROM SD_PERSON_ECARD AS spe 
													  WHERE spe.PERS_LINK = @link_face_c AND spe.BANK_LINK = @link_bank_c 
															AND spe.CARD_LINK = @CARD_LINK_C AND ltrim(spe.LIC_SCHET) = ltrim(@LS_c) 
															AND spe.FILIAL = @filial_c AND spe.DOGOVOR = @NUM_DOG AND spe.DATE_DOG = @DATE_DOG  
														AND spe.ACTUAL = @use_ZP_C AND spe.ACTUAL_AV = @use_AV_C AND spe.ACTUAL_M = @use_MV_C)
											BEGIN 
											
												INSERT INTO dbo.PERSON_ECARDS (PERS_LINK,BANK_LINK,CARD_LINK,LIC_SCHET,FILIAL,DOGOVOR,DATE_DOG,INDIVIDUAL, OSN,ACTUAL,ACTUAL_AV,ACTUAL_M)
												VALUES (@link_face_c, @link_bank_c,@CARD_LINK_C,@LS_c,@filial_c,@NUM_DOG,@DATE_DOG,@individ,@OSN,@use_ZP_C,@use_AV_C,@use_MV_C)
												SELECT @varKSERROR1 = @@ERROR, @link_c = @@IDENTITY
												IF @varKSERROR1 <> 0
												BEGIN
													--ROLLBACK
													RETURN 7
												END
																	
												update #card_SVEDENIA_O 
												set link = @link_c 
												from #card_SVEDENIA_O where link_face = @link_face_c	 and link_bank = @link_bank_c  and n_pp = @n_pp_c and LS = @LS_c AND CARD_LINK = @CARD_LINK_C

												
												UPDATE DBO.PERSON_ECARDS
												SET OSN = 0 
												WHERE PERS_LINK =	@link_face_c	AND link<> @link_c 	AND OSN = 1  	
												UPDATE DBO.PERSON_ECARDS
												SET OSN = 1
												WHERE PERS_LINK =	@link_face_c	AND link= @link_c 
												
												
												IF @use_ZP_C = 1
													UPDATE DBO.PERSON_ECARDS
													SET ACTUAL = CASE WHEN @use_ZP_C = 1 THEN 0 END
													WHERE PERS_LINK =	@link_face_c	AND link<> @link_c 	AND ACTUAL = @use_ZP_C 	
												IF @use_av_C = 1
													UPDATE DBO.PERSON_ECARDS
													SET ACTUAL = CASE WHEN @use_av_C = 1 THEN 0 END
													WHERE PERS_LINK =	@link_face_c	AND link<> @link_c 	AND ACTUAL_AV = @use_av_C		
												
												IF @use_mv_C = 1
													UPDATE DBO.PERSON_ECARDS
													SET ACTUAL = CASE WHEN @use_av_C = 1 THEN 0 END
													WHERE PERS_LINK =	@link_face_c	AND link<> @link_c 	AND ACTUAL_M = @use_mv_C	
													
												set  @link_c = 0  				
											END 
									END
								
								
							END	
					
						END
						
						FETCH NEXT FROM @Cur1_O INTO @link_c,@intLink_c,@n_pp_c,@link_face_c,@fm_c,@im_c,@OT_c,
					   @link_bank_c, @OSB_c, @filial_c, @CARD_LINK_c,@USE_ZP_C,@USE_AV_C ,@USE_MV_C,@LS_c,@code_val_c,
					   @doc_vid_c,@DOC_SER_c,@DOC_num_c,@doc_date_c,@doc_whom_c, 
					   @doc_div_c,@doc_vid_code_c,@result_c 
					END					
					
					CLOSE @CUR1_O
					DEALLOCATE @CUR1_O	
					
					update XML_files  
						set  link_doc = @intLINK
					from XML_files	
					where id  = @varID  and [UID] = SUSER_ID()  
					
					SET @intRES  = CASE WHEN exists(SELECT * FROM #card_SVEDENIA_O WHERE isnull(proverka,'') <>  '') THEN 1 ELSE 0 end
					
					SELECT * FROM #card_SVEDENIA_O ORDER BY n_pp
					
					drop table #card_SVEDENIA_O
					


		END 
		
   EXEC sp_xml_removedocument @hDoc 


GO


GRANT EXECUTE ON dbo.[SS_IMPORT_PERS_ECARD_SAVE] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9738.sql

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSA_RPSV_PERS_UCH_SZV]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSA_RPSV_PERS_UCH_SZV]

GO

--   EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20160101', '20161231', 13488, 0 , 3239
CREATE PROCEDURE dbo.RSA_RPSV_PERS_UCH_SZV
	@dDate1 DATETIME,
	@dDate2 DATETIME,
	@LINK_DEP int = NULL,
	@REP TINYINT = 0, 
	@VARILSF INT = null
AS BEGIN


	declare @DEP_LINK int
	exec dbo.xd_whats_zb @DEP_LINK output

	SET @DEP_LINK = COALESCE(@LINK_DEP,@DEP_LINK)

   DECLARE @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

	SELECT 
		@nYEAR = YEAR(@dDATE1),
		@nMONTH1 = MONTH(@dDATE1),
		@nMONTH2 = MONTH(@dDATE1)+1,
		@nMONTH3 = MONTH(@dDATE1)+2

	DECLARE @ATR_PERS_UCH INT
	DECLARE @ATR_likvid INT
	DECLARE @NUM_KOR  INT 
	SET @ATR_PERS_UCH  = (SELECT DBO.RN_GET_ATR_VALUE(@VARILSF, 'REPORTS_ATR_PERS_UCH'))
	SET @ATR_likvid  = CASE WHEN (SELECT DBO.RN_GET_ATR_VALUE(@VARILSF, 'REPORTS_ATR_LIKVID')) = '' THEN 0 ELSE 1 END 
	SET @NUM_KOR  = (SELECT [version] FROM REPORT_SAVED_FORMS AS rsf WHERE Link_Saved_Form = @VARILSF)

	DECLARE  @Period_Number TINYINT, @Begin_Date DATETIME, @End_Date DATETIME
	SELECT
		@Period_Number = Period_Number,
		@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
		@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date)))
	FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @VARILSF

--************************************************************
	--       
	--    
--***********************************************************

	create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int , REF_PHYS_PERS INT , link_empl int, link_vkr INT  , FACE_GROUP TINYINT, I TINYINT, E TINYINT, INO TINYINT, TDOG INT , SP VARCHAR(4) , KATEG TINYINT)
	-----     ,  , ,           13%, 
	--	  PERSON_CZ  - 0 ..        .
	SELECT DISTINCT PERS_LINK = p.link , p.RESIDENT ,  
					PERSON_CZ =  CASE WHEN ltrim(rtrim(c.name)) LIKE ('%%') THEN 
									 (case when (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
											or (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
											OR (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
											OR (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%') then 0 else 1 end) WHEN ltrim(rtrim(c.name)) LIKE ('% %') THEN  2 ELSE 0 end
	
	INTO #PERS_INO
	FROM person p
	INNER JOIN  citizenship  c ON c.link = p.CITIZ_LINK  AND (ltrim(rtrim(c.name)) LIKE ('%%') OR  ltrim(rtrim(c.name)) LIKE ('% %'))

	Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS , link_empl, FACE_GROUP, I, E, INO, TDOG , SP, KATEG)
	Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS,
		link_empl  = null, 
		( CASE WHEN P.RESIDENT = 0 THEN 3
			   WHEN YEAR(birthdate)<= 1966 THEN 1
			   WHEN YEAR(birthdate)>= 1967 THEN 2 END ) AS FACE_GROUP,
		1,---   dbo.is_invalid(REF_PHYS_PERS,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH_BASE,@nYEAR))),
		F.ENVD,
		IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		TDOG = 1,
		SP = isnull(left(s4.code,4),''),
		KATEG
	from dbo.SA_ESN_VIEW(@nYEAR, @nMONTH3, @DEP_LINK, 0) S
		inner join PERSON P on S.REF_PHYS_PERS = P.link
		inner join dbo.SAL_SFIN F on F.LINK = S.LINK_VKR
		LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = S.SPECO  AND s4.spr_code = 'SPO_USL_TRUDA'
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND (o.PERSON_CZ <> 0 AND o.RESIDENT <> 1)
	WHERE  WAY_CALC not in (5)
	
	UPDATE s
	SET  link_empl = ( SELECT top 1 link FROM  dbo.sd_empl sd WHERE  sd.pers_link = s.REF_PHYS_PERS AND  dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR) BETWEEN sd.DATE_begin AND isnull(sd.DATE_end,'20991231')  )
	from #SPR_ESN s 


	--  
	INSERT INTO #SPR_ESN
		([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E, INO, TDOG, KATEG)
	SELECT
		MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK,
		( CASE WHEN P.RESIDENT = 0  THEN 3
			   WHEN YEAR(birthdate)<= 1966 THEN 1
			   WHEN YEAR(birthdate)>= 1967 THEN 2 END) AS FACE_GROUP ,
		1,---   dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))),
		F.ENVD,
		IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		TDOG = 2,
		KATEG = 	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))) = 2
					THEN 3
					ELSE
					(CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END )
		        	END 
		
	FROM
		DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
		inner join PERSON P on GT.PERS_LINK = P.link
		inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND (o.PERSON_CZ <> 0 AND o.RESIDENT <> 1)
	WHERE
		FLAG_JC = 1
		AND GT.WAY_CALC  not in (5)
		AND YEAR(G.[DATE]) = @nYEAR
		AND MONTH(G.[DATE]) <= @nMONTH3
		AND LINK_DEP = @DEP_LINK

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170301', '20170630', 74578, 3 ,  3400

	DELETE FROM #SPR_ESN
	WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS <= @dDate1)
		

	Declare @StBase2 table (link int)
	Insert into @StBase2 (link)
	select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 6)

	--   
	SELECT
		GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, F.ENVD, SUMMA_BASE = sum(GT.SUMMA_BASE)
	INTO #DGH_FAKT_BASE
	FROM
		dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
		INNER JOIN dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
	WHERE
		FLAG_JC = 1
		AND GT.WAY_CALC  = 6
		AND YEAR(G.[DATE]) = @nYEAR
		AND MONTH(G.[DATE]) <= @nMONTH3
		AND LINK_DEP = @DEP_LINK
	GROUP BY
		GT.PERS_LINK, MONTH(G.[DATE]), F.ENVD

	SELECT  PERS_LINK, MONTH_BASE, SUMMA_BASE = SUM(SUMMA_BASE)
	INTO #DGH_FAKT_BASE1
	FROM #DGH_FAKT_BASE
	GROUP BY PERS_LINK, MONTH_BASE

	DECLARE @LINK_EKR213 INT
	SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

	DECLARE @ESN_213 INT --      213 
	SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')

	------
	CREATE TABLE #CALCULATE_JURNAL (LINK_PAYS INT, PERIOD_BEGIN DATETIME, LINK_DOC INT, PERS_LINK INT, LINK_VKR INT, LINK_EKR INT, LINK_EMPL INT, SUMMA NUMERIC(18,2), WAY_CALC TINYINT , SPECO int)
	INSERT INTO #CALCULATE_JURNAL (LINK_PAYS, PERIOD_BEGIN, LINK_DOC, PERS_LINK, LINK_VKR, LINK_EKR, LINK_EMPL, SUMMA,way_calc , SPECO)
	SELECT CJ.LINK_PAYS, CJ.PERIOD_BEGIN, CJ.LINK_DOC, CJ.PERS_LINK, CJ.LINK_VKR, cj.LINK_EKR, CJ.LINK_EMPL, SUMMA = SUM(CJ.SUMMA), p.way_calc , SPECO
	FROM dbo.CALCULATE_JURNAL CJ INNER JOIN dbo.PAYS P ON  CJ.LINK_PAYS = p.link
	WHERE
		Year(period_begin) = @nYEAR
		and Month(period_begin) <= @nMONTH3
		and CJ.LINK_DEP = @DEP_LINK
	GROUP BY
		cj.LINK_PAYS, cj.PERIOD_BEGIN, cj.LINK_DOC, cj.PERS_LINK, cj.LINK_VKR, cj.LINK_EKR, cj.LINK_EMPL, P.WAY_CALC,cj.SPECO


	DELETE FROM #CALCULATE_JURNAL 
	WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = (SELECT e.PERS_LINK FROM empl e WHERE e.link = LINK_EMPL  )  and K.CHECK_SZV = 0  AND DATE_PENS <= @dDate1)


	------	      
	CREATE TABLE #PERS_INV (PERS_LINK INT)
	--SELECT DISTINCT PERS_LINK
	--INTO #PERS_INV
	--FROM dbo.PERS_INVALID I
	--WHERE COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 1 ,  803
	------	            
	SELECT DISTINCT sd.LINK, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,'')
	INTO #EMPL_DT
	FROM DBO.KU_EMPL_PLACING SD
		left JOIN (select * from STAFF WHERE dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR)) BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD  AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR )) BETWEEN S.DATE_BEGIN AND S.DATE_END
		LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD  AND s4.spr_code = 'SPO_USL_TRUDA'
		WHERE
			(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL)


	--  #SALARY_SUM2
	CREATE TABLE #SALARY_SUM_DATA (PERS_LINK INT,LINK_EMPL INT ,T_DOG INT , PERIOD_BEGIN DATETIME, SUMMA_ALL NUMERIC(18,2), SUMMA_NO NUMERIC(18,2), SUMMA_ALL_I NUMERIC(18,2), SUMMA_NO_I NUMERIC(18,2), SUMMA_ALL_E NUMERIC(18,2), SUMMA_NO_E NUMERIC(18,2), INV TINYINT , INO TINYINT,
			SUMMA_ALL_INO NUMERIC(18,2), SUMMA_NO_INO NUMERIC(18,2)
			/*,SUMMA_ALL_D1 NUMERIC(18,2)*/, SUMMA_NO_D1 NUMERIC(18,2)/*, SUMMA_ALL_D2 NUMERIC(18,2)*/, SUMMA_NO_D2 NUMERIC(18,2),
		SUM_NO_D1_O4 NUMERIC(18,2) ,SUM_NO_D1_B34 NUMERIC(18,2) ,SUM_NO_D1_B33 NUMERIC(18,2),SUM_NO_D1_B32 NUMERIC(18,2), SUM_NO_D1_B31 NUMERIC(18,2),
			SUM_NO_D2_O4 NUMERIC(18,2) ,SUM_NO_D2_B34 NUMERIC(18,2) ,SUM_NO_D2_B33 NUMERIC(18,2),SUM_NO_D2_B32 NUMERIC(18,2), SUM_NO_D2_B31 NUMERIC(18,2), sack CHAR(1) DEFAULT ''
			)
	--


	INSERT INTO #SALARY_SUM_DATA (PERS_LINK,LINK_EMPL,T_DOG, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO , 
				SUMMA_ALL_INO , SUMMA_NO_INO
			/*,SUMMA_ALL_D1*/, SUMMA_NO_D1/*, SUMMA_ALL_D2*/, SUMMA_NO_D2,SUM_NO_D1_O4,SUM_NO_D1_B34,SUM_NO_D1_B33, SUM_NO_D1_B32, SUM_NO_D1_B31,
			SUM_NO_D2_O4,SUM_NO_D2_B34,SUM_NO_D2_B33, SUM_NO_D2_B32, SUM_NO_D2_B31, sack)
	select
		E.PERS_LINK,
		CJ.LINK_EMPL,
		T_DOG  = 1 ,
		CJ.PERIOD_BEGIN,
		SUMMA_ALL = SUM(SUMMA),
		SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
		SUMMA_ALL_I = 0,
		SUMMA_NO_I = 0,
		SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
		SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 AND (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) THEN SUMMA ELSE 0 END),
		INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		
		SUMMA_ALL_INO = 0,
		SUMMA_NO_INO = 0,
		--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D1 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 1 AND isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),

		----SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D2 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 2 and  isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='4'  THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.1' THEN SUMMA ELSE 0 END),	
		SUM_NO_D2_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='4' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.1' THEN SUMMA ELSE 0 END),
		sack = ''--CASE WHEN isnull(e.DATE_END,'') BETWEEN dbo.DateENDOfMonth(@dDate1) AND @dDate2 THEN (case when isnull(e.sack,0) = 0 THEN '' ELSE CONVERT( char(1),e.sack ) end ) ELSE '' END 
	from
		#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
		INNER JOIN DBO.sd_EMPL E ON E.LINK = CJ.LINK_EMPL
		LEFT JOIN @StBase2 B ON B.LINK = cj.LINK_PAYS
		LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = E.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
		LEFT JOIN #EMPL_DT ED ON ED.link = CJ.LINK_EMPL
	where 	
		P.[OBJECT] = 1
	GROUP BY
		E.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN , O.pers_LINK,CJ.LINK_EMPL--, e.DATE_END --, e.sack

	INSERT INTO #SALARY_SUM_DATA (PERS_LINK,LINK_EMPL,T_DOG, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO , 
				SUMMA_ALL_INO , SUMMA_NO_INO
			/*,SUMMA_ALL_D1*/, SUMMA_NO_D1/*, SUMMA_ALL_D2*/, SUMMA_NO_D2,SUM_NO_D1_O4,SUM_NO_D1_B34,SUM_NO_D1_B33, SUM_NO_D1_B32, SUM_NO_D1_B31,
			SUM_NO_D2_O4,SUM_NO_D2_B34,SUM_NO_D2_B33, SUM_NO_D2_B32, SUM_NO_D2_B31, sack)
	select
		s.ref_phys_pers,
		s.LINK_EMPL,
		T_DOG  = 1 ,
		dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR),
		SUMMA_ALL = SUM(SUMMA),
		SUMMA_NO = 0, --     
		SUMMA_ALL_I = 0,
		SUMMA_NO_I = 0,
		SUMMA_ALL_E = 0,
		SUMMA_NO_E = 0,
		INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		
		SUMMA_ALL_INO = 0,
		SUMMA_NO_INO = 0,
		--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D1 =0,

		----SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D2 = 0,
		SUM_NO_D1_O4 = 0,
		SUM_NO_D1_B34 = 0,
		SUM_NO_D1_B33 = 0,
		SUM_NO_D1_B32 = 0,
		SUM_NO_D1_B31 = 0,	
		SUM_NO_D2_O4 = 0,
		SUM_NO_D2_B34 = 0,
		SUM_NO_D2_B33 = 0,
		SUM_NO_D2_B32 = 0,
		SUM_NO_D2_B31 = 0,
		sack = ''--CASE WHEN isnull(e.DATE_END,'') BETWEEN dbo.DateENDOfMonth(@dDate1) AND @dDate2 THEN (case when isnull(e.sack,0) = 0 THEN '' ELSE CONVERT( char(1),e.sack ) end ) ELSE '' END 
	from
		#SPR_ESN s
		INNER JOIN DBO.sd_EMPL E ON E.LINK = s.LINK_EMPL
		LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = E.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
		LEFT JOIN #EMPL_DT ED ON ED.link = s.LINK_EMPL
	WHERE  NOT EXISTS( SELECT  link_empl FROM #SALARY_SUM_DATA AS ss WHERE ss.PERS_LINK = s.REF_PHYS_PERS AND ss.PERIOD_BEGIN = dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR))
		  AND   dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR) BETWEEN e.DATE_begin AND isnull(e.DATE_END,'21991231')
	GROUP BY
		s.ref_phys_pers, E.PERS_LINK, I.PERS_LINK , s.[MONTH_BASE] , O.pers_LINK,s.LINK_EMPL--, e.DATE_END --, e.sack
	
 --EXEC dbo.RSA_RPSV_PERS_UCH_SZV  '2017-04-01 00:00:00','2017-06-30 00:00:00',  74578 , 1, 6426


	--
	INSERT INTO #SALARY_SUM_DATA (PERS_LINK,  T_DOG, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO,SUMMA_ALL_INO,SUMMA_NO_INO
			--,SUMMA_ALL_D1, SUMMA_NO_D1, SUMMA_ALL_D2, SUMMA_NO_D2
			)
	select
		CJ.PERS_LINK,
		T_DOG = 2,
		CJ.PERIOD_BEGIN,
		SUMMA_ALL = SUM(SUMMA),
		SUMMA_NO = SUM(SUMMA) - ISNULL((SELECT SUM(B1.SUMMA_BASE) FROM #DGH_FAKT_BASE1 B1 WHERE B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)),0), --     
		SUMMA_ALL_I = 0,
		SUMMA_NO_I = 0,
		SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
		SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END)  - ISNULL((SELECT SUM(B.SUMMA_BASE) FROM #DGH_FAKT_BASE B WHERE B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1),0),
		INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		SUMMA_ALL_INO = 0,
		SUMMA_NO_INO = 0
		--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
		--SUMMA_NO_D1 = 0,

		--SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
		--SUMMA_NO_D2 = 0
			
	from
		#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
		INNER JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
		--     
	--	LEFT JOIN #DGH_FAKT_BASE B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1
		--   
	--	LEFT JOIN #DGH_FAKT_BASE1 B1 ON B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
		LEFT JOIN #PERS_INV I ON I.PERS_LINK = CJ.PERS_LINK
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = CJ.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
	where 	
		P.[OBJECT] = 1
	GROUP BY
		CJ.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN, P1.RESIDENT, p1.birthdate , O.pers_LINK



	----    ,      
	--UPDATE D SET
	--	SUMMA_ALL_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL ELSE 0 END),
	--	SUMMA_NO_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO ELSE 0 END),
	--	SUMMA_ALL_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL_E ELSE 0 END),
	--	SUMMA_NO_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO_E ELSE 0 END)
	--FROM #SALARY_SUM_DATA D
	--WHERE INV = 1 --    -  	

	--    ,      
	UPDATE D SET
		SUMMA_ALL_INO = (CASE when D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_ALL ELSE 0 END),
		SUMMA_NO_INO = (CASE WHEN D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_NO ELSE 0 END)
	FROM #SALARY_SUM_DATA D
	WHERE INO = 1 --  -  	


-----------
DECLARE @PREDEL NUMERIC(18,2)
SET @PREDEL = ISNULL((SELECT MIN(PREDEL) FROM dbo.DICTIONARY_RANGE_PF WHERE WAY_CALC = 6 AND TARIF = 1 AND [DATE] >= dbo.ConvertDMY2Date(1,1,YEAR(@dDate1))),0)
-----------

	--   
	SELECT
		PERS_LINK,
		--MON = Month(PERIOD_BEGIN),
		T_DOG = MIN(T_DOG),
		SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO),
		SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I),
		SUMMA_ALL_E = SUM(SUMMA_ALL_E), SUMMA_NO_E = SUM(SUMMA_NO_E),
		SUMMA_ALL_INO = SUM(SUMMA_ALL_INO), SUMMA_NO_INO = SUM(SUMMA_NO_INO),
		SUMMA_ALL_DO_I = (CASE WHEN SUM(SUMMA_ALL_I) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL_I) - SUM(SUMMA_NO_I)) END ),
		SUMMA_ALL_DO = (CASE WHEN SUM(SUMMA_ALL) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL) - SUM(SUMMA_NO)) END ),
		SUMMA_ALL_AFTER = (CASE WHEN SUM(SUMMA_ALL - SUMMA_ALL_I - SUMMA_NO - SUMMA_NO_I)  > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END ),
		SUMMA_ALL_AFTER_I = (CASE WHEN SUM(SUMMA_ALL_I) > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END )
		,BASE_DOG = SUM(CASE WHEN T_DOG = 2 THEN SUMMA_ALL - SUMMA_NO ELSE 0 END),
		SUMMA_NO_D1 = SUM(SUMMA_NO_D1), SUMMA_NO_D2 = SUM(SUMMA_NO_D2),
		SUM_NO_D1_O4  = SUM(SUM_NO_D1_O4), SUM_NO_D1_B34 = SUM(SUM_NO_D1_B34),
		SUM_NO_D1_B33 = SUM(SUM_NO_D1_B33), SUM_NO_D1_B32 = SUM(SUM_NO_D1_B32), SUM_NO_D1_B31 = SUM(SUM_NO_D1_B31),
		SUM_NO_D2_O4  = SUM(SUM_NO_D2_O4), SUM_NO_D2_B34 = SUM(SUM_NO_D2_B34),
		SUM_NO_D2_B33 = SUM(SUM_NO_D2_B33), SUM_NO_D2_B32 = SUM(SUM_NO_D2_B32), SUM_NO_D2_B31 = SUM(SUM_NO_D2_B31) /*,
		SACK = MAX(SACK)*/
	INTO #SALARY_SUM2
	FROM #SALARY_SUM_DATA WHERE month(PERIOD_BEGIN)BETWEEN @nMONTH1 AND @nMONTH3
	GROUP BY
		PERS_LINK
		

	----EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 13488, 1, 2928
	------    
	--
	--,        
	DECLARE @LIMIT NUMERIC(18,2)

	SELECT
		@LIMIT  = MIN(S.PREDEL)
	FROM
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
	WHERE
		tarif =1
		and
		[DATE] =  (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0
		
	SET @LIMIT = ISNULL(@LIMIT,0)


	--,        
	DECLARE @LIMIT_OMS NUMERIC(18,2)

	SELECT @LIMIT_OMS = MAX(S.PREDEL)
	FROM
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
	WHERE
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0
		
	SET @LIMIT_OMS = ISNULL(@LIMIT_OMS,0)


	--  ,        (%)
	--   
	--    2014         ,      " 1967"
	DECLARE
		@PERCENT NUMERIC(18,2),
		--    2014  
		-- @PERCENT_N NUMERIC(18,2)  --
		@PERCENT_OMS NUMERIC(18,2), @IPERCENT_OMS NUMERIC(18,2)
		
	SELECT
		@PERCENT = S.PERCENT3
	FROM
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
	WHERE
		predel = @LIMIT
		and tarif =1
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT3 > 0
		
	SET @PERCENT = ISNULL(@PERCENT,0)	


	--
	SELECT @PERCENT_OMS = S.PERCENT1
	FROM
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
	WHERE
		predel = @LIMIT_OMS
		and tarif =1
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0

	--
	SELECT @IPERCENT_OMS = S.PERCENT1
	FROM
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
	WHERE
		predel = @LIMIT_OMS
		and tarif =3
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0	

	SET @PERCENT_OMS = ISNULL(@PERCENT_OMS,0)	
	SET @IPERCENT_OMS = ISNULL(@IPERCENT_OMS,0)

	--  
	---  
	DECLARE @IPERCENT NUMERIC(28,2)
	SELECT @IPERCENT = S.PERCENT3
	FROM
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
	WHERE
		predel = @LIMIT
		and tarif = 3
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0
	SET @IPERCENT = ISNULL(@IPERCENT,0)		


	SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1 FROM #SPR_ESN WHERE WAY_CALC = 6 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END  FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS

	SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
	INTO #SPR_ESN2
	FROM
		#SPR_ESN1 T INNER JOIN dbo.months_ex(@dDate1, @dDate2) M ON 1=1
		LEFT JOIN #SPR_ESN1 T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
		LEFT JOIN #SPR_ESN1 T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
		

	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 1 ,  3239	
		
--************************************************************
	--     (****)
--***********************************************************

	--   
	DECLARE @ROUND_TYPE tinyint, @ROUND_LEN tinyint
	Set @ROUND_TYPE = dbo.sa_get_option_by_code('SA_SZV4_OPT2')
	Set @ROUND_LEN = (case when @ROUND_TYPE <= 1 then 2 else 0 end)
	Set @ROUND_TYPE = (case when @ROUND_TYPE = 3 then 1 else 0 end)

	--  
	DECLARE @IT_ROUND_TYPE tinyint
	Set @IT_ROUND_TYPE = dbo.sa_get_option_by_code('SA_SZV4_OPT5')
	
	/*SELECT DISTINCT PERS_LINK = p.link , p.RESIDENT ,  PERSON_CZ =  CASE WHEN ltrim(rtrim(c.name)) LIKE ('%%') THEN  1 WHEN ltrim(rtrim(c.name)) LIKE ('% %') THEN  2 ELSE 0 end
	INTO #PERS_INO
	FROM person p
	INNER JOIN  citizenship  c ON c.link = p.CITIZ_LINK  AND (ltrim(rtrim(c.name)) LIKE ('%%') OR  ltrim(rtrim(c.name)) LIKE ('% %'))
	*/
	-----  

		
	SELECT 	 
		[YEAR] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @nYEAR ELSE NULL END ,0),
		[CODE] = CASE WHEN ss.INV = 1 then '' ELSE  
												(CASE WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 2 THEN ''
												WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 0 THEN ''
												ELSE '' END) 
							end ,
		[PER] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @Period_Number ELSE NULL END ,0),
		[PER10] = ISNULL(CASE WHEN @nYEAR = 2013 THEN @Period_Number ELSE NULL END ,0),
		[TYPE] = '1' /*        */,
		[PER_EDT] = 0 /*    */,
		[YEAR_EDT] = 0 /*     */,
		[NGROUP] = 100 /*  -  */,
		[PFNUMBER] = p.INSUR_NUM,
		[T_DOG] = 1,
		link_FACE = ss.PERS_LINK,
		EMPL_LINK = SE.LINK,
		NUM = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY SS.T_DOG),
		[FM]=p.FM,
		[IM]=p.IM,
		[OT] = p.OT,
		[ADDRESS] = (SELECT dbo.GetAddressByKladr(P.ADR_OFIC_LINK)),
		[MON] = month(ss.PERIOD_BEGIN),
		[INC] = ss.SUMMA_ALL,
		[B_BEF] = ((select sum(summa_base) - sum(ded_m) - sum(inv_m) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND WAY_CALC = 6 AND I = 1 AND TDOG = SS.T_DOG  )/(SELECT COUNT(link_empl) FROM #salary_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND month(PERIOD_BEGIN) = month(ss.period_begin) AND T_DOG = SS.T_DOG )   ),
		[B_AFT] = CASE WHEN ss.INV = 1 	THEN (CASE WHEN
													(CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL_I) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG )) 
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND month_base <= month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG ),0) ))
													) > @limit
													THEN 
													(CONVERT(numeric(18,2),(SELECT CONVERT(numeric(18,2),sum(SUMMA_ALL_I) - sum(SUMMA_NO_I)) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN AND T_DOG = SS.T_DOG ) )
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) - @limit 
													ELSE 
													0 END) 
											ELSE
												(CASE WHEN 
													( CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL) - sum(SUMMA_ALL_I) - SUM(SUMMA_NO) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG))
													- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = ss.PERS_LINK AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) > @limit 
												THEN @limit
												ELSE 
													0
												END) 
											END			
										
											 
		,
		[INC_T1] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 10  AND TDOG = SS.T_DOG),0),
		[INC_T2] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 11  AND TDOG = SS.T_DOG),0),
		[INSUR] = isnull((select sum(summa) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 6 AND i = case when ss.inv= 0 THEN 1 ELSE 2 END  AND TDOG = SS.T_DOG ),0), --     . 
		/*[INSUR1] = COALESCE(S.INSUR,0), --     . 
		[GAIN] = COALESCE(S.GAIN,0), --     . 
		[GAIN1] = COALESCE(S.DOP,0), --     . 
		*/[DOP] = COALESCE((SELECT ISNULL(dt.dop,0) FROM #empl_dt dt WHERE dt.link = se.link ),0) ,
		--[ID_EX] = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY ,ss.pers_link),
		[DATE_BEGIN] = ss.PERIOD_BEGIN,
		[DATE_END] = dbo.DateENDOfMonth(ss.PERIOD_BEGIN), /*
		dper_vn_m = coalesce(s.dper_vn_m,0),
		dper_vn_d = coalesce(s.dper_vn_d,0),
		dper_oz_m = coalesce(s.dper_oz_m,0),
		dper_oz_d = coalesce(s.dper_oz_d,0),
		[TU_CODE] = f_ter_usl,
		[OS_CODE] = f_osob_usl,
		osob_usl,*/
		OSOB_SPO = (SELECT ISNULL(dt.spo,'') FROM #empl_dt dt WHERE dt.link = se.link ) ,
		/*[EX_CODE] = is_osnov,
		f_is_dop,
		[P_CODE] = ud_osnov,
		f_ud_dop,
		DATE_DOC = [date],*/
		dep_PFNUM = (select PFNUMBER from dbo.departments where link=@DEP_LINK)
	INTO #SZV_ALL
	FROM #SALARY_SUM_DATA AS ss 
	INNER JOIN dbo.PERSON AS p ON ss.PERS_LINK = p.LINK
	inner JOIN dbo.sd_empl AS se ON   se.link = ss.link_empl /*AND se.sack = 0*/ AND  se.DATE_BEGIN <= @dDate2   and (isnull(se.date_END,'20991231')  >= @dDate1 OR year(isnull(se.date_END,'20991231'))  = year(@dDate1))
	where  (CASE WHEN  exists(SELECT TOP 1  status_empl  from dbo.sd_empl AS s1 where  s1.link = se.link  /*AND se.sack = 0*/ AND  s1.DATE_BEGIN <= @dDate2    and (isnull(se.date_END,'20991231')  >= @dDate1 OR year(isnull(se.date_END,'20991231'))  = year(@dDate1)) and s1.status_empl = 1)
		THEN 1 ELSE (SELECT TOP 1  status_empl  from dbo.sd_empl AS s1 where s1.link = se.link  /*AND se.sack = 0*/ AND  s1.DATE_BEGIN <= @dDate2   and (isnull(se.date_END,'20991231')  >= @dDate1 OR year(isnull(se.date_END,'20991231'))  = year(@dDate1)))  
			      END ) = se.statuS_empl  
	ORDER BY se.FM, se.IM,se.OT,se.DATE_BEGIN, ss.PERIOD_BEGIN
		

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 74579, 1 ,  2501	
 --EXEC dbo.RSA_RPSV_PERS_UCH_SZV  '2017-04-01 00:00:00','2017-06-30 00:00:00',  74578 , 0, 6426
	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 2 ,  3239	
    ---    

    

	INSERT INTO #SZV_ALL
	SELECT 	 
		[YEAR] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @nYEAR ELSE NULL END ,0),
		[CODE] = CASE WHEN ss.INV = 1 then '' ELSE  
							(CASE WHEN t_dog = 1 THEN  
												(CASE WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 2 THEN ''
												WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 0 THEN ''
												ELSE '' END) 
								 WHEN  t_dog = 2 then ''  END )
							end ,
		[PER] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @Period_Number ELSE NULL END ,0),
		[PER10] = ISNULL(CASE WHEN @nYEAR = 2013 THEN @Period_Number ELSE NULL END ,0),
		[TYPE] = '1' /*        */,
		[PER_EDT] = 0 /*    */,
		[YEAR_EDT] = 0 /*     */,
		[NGROUP] = 100 /*  -  */,
		[PFNUMBER] = p.INSUR_NUM,
		[T_DOG] = SS.T_DOG,
		link_FACE = ss.PERS_LINK,
		EMPL_LINK = '',
		NUM = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY SS.T_DOG),
		[FM]=p.FM,
		[IM]=p.IM,
		[OT] = p.OT,
		[ADDRESS] = (SELECT dbo.GetAddressByKladr(P.ADR_OFIC_LINK)),
		[MON] = month(ss.PERIOD_BEGIN),
		[INC] = ss.SUMMA_ALL,
		[B_BEF] = ((select sum(summa_base) - sum(ded_m) - sum(inv_m) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND WAY_CALC = 6 AND I = 1 AND TDOG = SS.T_DOG  )   ),
		[B_AFT] = CASE WHEN ss.INV = 1 	THEN (CASE WHEN
													(CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL_I) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG )) 
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND month_base <= month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG ),0) ))
													) > @limit
													THEN 
													(CONVERT(numeric(18,2),(SELECT CONVERT(numeric(18,2),sum(SUMMA_ALL_I) - sum(SUMMA_NO_I)) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN AND T_DOG = SS.T_DOG ) )
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) - @limit 
													ELSE 
													0 END) 
											ELSE
												(CASE WHEN 
													( CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL) - sum(SUMMA_ALL_I) - SUM(SUMMA_NO) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG))
													- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = ss.PERS_LINK AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) > @limit 
												THEN  @limit
												ELSE 
													0
												END)
											END			
										
											 
		,
		[INC_T1] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 10  AND TDOG = SS.T_DOG),0),
		[INC_T2] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 11  AND TDOG = SS.T_DOG),0),
		[INSUR] = isnull((select sum(summa) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 6 AND i = case when ss.inv= 0 THEN 1 ELSE 2 END  AND TDOG = SS.T_DOG ),0), --     . 
		/*[INSUR1] = COALESCE(S.INSUR,0), --     . 
		[GAIN] = COALESCE(S.GAIN,0), --     . 
		[GAIN1] = COALESCE(S.DOP,0), --     . 
		*/[DOP] = 0 ,
		--[ID_EX] = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY ,ss.pers_link),
		[DATE_BEGIN] = ss.PERIOD_BEGIN,
		[DATE_END] = dbo.DateENDOfMonth(ss.PERIOD_BEGIN), /*
		dper_vn_m = coalesce(s.dper_vn_m,0),
		dper_vn_d = coalesce(s.dper_vn_d,0),
		dper_oz_m = coalesce(s.dper_oz_m,0),
		dper_oz_d = coalesce(s.dper_oz_d,0),
		[TU_CODE] = f_ter_usl,
		[OS_CODE] = f_osob_usl,
		osob_usl,*/
		OSOB_SPO = '',
		/*[EX_CODE] = is_osnov,
		f_is_dop,
		[P_CODE] = ud_osnov,
		f_ud_dop,
		DATE_DOC = [date],*/
		dep_PFNUM = (select PFNUMBER from dbo.departments where link=@DEP_LINK)
	
	FROM #SALARY_SUM_DATA AS ss 
	INNER JOIN dbo.PERSON AS p ON ss.PERS_LINK = p.LINK
	WHERE NOT EXISTS (SELECT link_FACE FROM #SZV_ALL WHERE link_FACE = p.link and ss.PERIOD_BEGIN between date_begin and date_end ) AND ss.T_DOG = 2
	ORDER BY SS.T_DOG , p.FM, p.IM,p.OT --,se.DATE_BEGIN
  
  
 
	
	  
-- EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 74578, 1, 3407 

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 74578, 0,         3413

SELECT * INTO #SZV_SUM FROM	 
(SELECT 
	RN = ROW_NUMBER() OVER (PARTITION BY LINK_FACE, CODE, T_DOG, [TYPE], PER_EDT, NGROUP/*, ID_EX*/ ORDER BY T_DOG),
	CODE,
	LINK_FACE,
	[PFNUMBER],
	T_DOG,
	INC_M1= convert(numeric(18,2),0) ,
	B_BEF_M1= convert(numeric(18,2),0) ,
	B_AFT_M1= convert(numeric(18,2),0) ,
	INC_M2 = convert(numeric(18,2),0) ,
	B_BEF_M2 = convert(numeric(18,2),0),
	B_AFT_M2 = convert(numeric(18,2),0),
	INC_M3 = convert(numeric(18,2),0),
	B_BEF_M3 = convert(numeric(18,2),0),
	B_AFT_M3 = convert(numeric(18,2),0),		
	per,
	[year],
	[TYPE],
	per_edt,
	year_edt,
	INSUR  = convert(numeric(18,2),0)
FROM 
	#SZV_ALL 
	GROUP BY CODE ,LINK_FACE,[PFNUMBER],T_DOG,per,[year],[TYPE],per_edt,year_edt,NGROUP, num
) T WHERE RN = 1





UPDATE s 	 
set INC_M1 = (SELECT isnull(SUM(s1.INC),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND LTRIM(RTRIM(s1.link_face)) = LTRIM(RTRIM(s.link_face)) AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG)) AND  ltrim(rtrim(s1.mon)) = ltrim(rtrim(@nMONTH1))),
	B_BEF_M1 = (SELECT isnull(SUM(s1.B_BEF),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH1),
	B_AFT_M1 = (SELECT isnull(SUM(s1.B_AFT),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH1),
	INC_M2 = (SELECT isnull(SUM(s1.INC),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH2),
	B_BEF_M2 = (SELECT isnull(SUM(s1.B_BEF),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH2),
	B_AFT_M2 = (SELECT isnull(SUM(s1.B_AFT),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH2),
	INC_M3 = (SELECT isnull(SUM(s1.INC),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH3),
	B_BEF_M3 = (SELECT isnull(SUM(s1.B_BEF),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH3),
	B_AFT_M3 = (SELECT isnull(SUM(s1.B_AFT),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND s1.mon = @nMONTH3),
	INSUR = (select isnull(sum(s1.INSUR),0) from #SZV_ALL s1 WHERE s1.link_face = s.link_face AND  LTRIM(RTRIM(s1.code))= LTRIM(RTRIM(s.code))  AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND rtrim(ltrim(s1.per)) = ltrim(rtrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon IN( @nMONTH1,@nMONTH2,@nMONTH3 ) GROUP BY s1.code, s1.link_face,s1.T_DOG ,s1.per ,s1.[year])
FROM 	
#SZV_SUM s 



--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20171001', '20171231', 74579, 1, 3157
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 3 ,  356	
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 0 ,  803

----------------------------

SELECT 
	LINK_FACE, [PFNUMBER], CODE, per, [year], [TYPE], per_edt, year_edt, INSUR = SUM(INSUR)
INTO 
	#SZV_PC		
FROM 
	(
	SELECT 
		A.LINK_FACE, A.[PFNUMBER], A.CODE, A.T_DOG, A.per, A.[year], A.[TYPE], A.per_edt, A.year_edt, 
		INSUR = CASE WHEN MIN(B_AFT_M1) + MIN(B_AFT_M2) + MIN(B_AFT_M3) <> 0 THEN
					MIN(B_BEF_M1 * PERCENT1 / 100) + MIN(B_BEF_M2 * PERCENT1 / 100) + MIN(B_BEF_M3 * PERCENT1 / 100)
				ELSE
					MIN(INSUR)
				END				
	FROM 
		#SZV_SUM A left JOIN dbo.SA_PFR_KATEG B ON A.CODE = B.CODE AND [year] BETWEEN YBEG AND YEND
			left JOIN 
			(
				SELECT 
					TARIF, PERCENT1
				FROM 
					dbo.DICTIONARY_RANGE_PF D
				WHERE
					WAY_CALC = 6 AND PREDEL = @PREDEL
					AND [DATE] = (SELECT TOP 1 [DATE] FROM dbo.DICTIONARY_RANGE_PF D1 WHERE D1.TARIF = D.TARIF AND ISNULL(D1.SPECO,0) = ISNULL(D.SPECO,0) AND WAY_CALC = 6 AND DATE <= @dDate1 ORDER BY [DATE] DESC) 
			) C ON C.TARIF = B.LINK2 
	GROUP BY
		A.LINK_FACE, A.[PFNUMBER], A.CODE, A.T_DOG, A.per, A.[year], A.[TYPE], A.per_edt, A.year_edt
	) T
GROUP BY
	LINK_FACE, [PFNUMBER], CODE, per, [year], [TYPE], per_edt, year_edt

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 13488, 0 ,  2909
----EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 74578, 0,         3413
-----------------------------------------------------
	IF @REP = 0 
	BEGIN 
		
		declare @modify_date DATETIME
		SELECT  @modify_date = modify_date
		FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @VARILSF
	--PARTITION BY SNILS, [TYPE] ORDER BY CODE_STR
	--(ORDER BY a.[PFNUMBER]))
		SELECT
			CODE = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY  a.[TYPE],a.[T_DOG], a.[FM],a.[IM],a.[OT],p.INN )),
			COL1 = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY a.[TYPE],a.[T_DOG], a.[FM],a.[IM],a.[OT],p.INN )),
			COL2 = @NUM_KOR, 
			COL3 = CASE WHEN @ATR_likvid = 0 then (CASE a.per when 1 THEN 21 
															  WHEN 2 THEN 31
															  WHEN 3 THEN 33
															  WHEN 4 THEN 34 END )
											 ELSE (CASE a.per when 1 THEN 51 
															  WHEN 2 THEN 52
															  WHEN 3 THEN 53
															  WHEN 4 THEN 90 END )			  
											END ,
			COL4 = a.year,
			COL5 = CONVERT(VARCHAR(10), @modify_date, 104),
			COL6 = p.INN ,
			COL7 = CONVERT(VARCHAR(14),a.[PFNUMBER]),
			COL8 = CONVERT(varchar(100),a.[FM]),
			COL9 = CONVERT(varchar(100),a.[IM]),
			COL10 = CONVERT(varchar(100),a.[OT]),
			COL11 = CONVERT(VARCHAR(10),p.BIRTHDATE, 104),
			COL12 = CASE WHEN (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) IN (1,2) 
							THEN '643' 
							ELSE (CASE WHEN p.DOC_WHOM = 'MDA' THEN '498' 
										WHEN p.DOC_WHOM LIKE '%%' THEN '398'
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '804'
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '051' 
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '112' 
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '417'
										ELSE '000' end) end ,
			COL13 = p.SEX,
			col14 = (SELECT code FROM FACE_DOCUMENT WHERE LINK = p.DOC_LINK ) ,
			col15 = substring(REPLACE(REPLACE(ltrim(rtrim(p.DOC_NUM)),'.',''),'/',''),1, len(REPLACE(ltrim(RTRIM(p.DOC_NUM)), right(LTRIM(RTRIM(p.DOC_NUM)),6) , ''))),
			col16 = right(REPLACE(ltrim(rtrim(p.DOC_NUM)),' ','') , 6),
			col17 = 1, --(CASE WHEN (SELECT SUM(summa) FROM  #SPR_ESN WHERE MONTH_BASE BETWEEN 1 AND month(@dDate2) AND WAY_CALC = 6 AND REF_PHYS_PERS = a.LINK_FACE) <> 0 THEN 1 ELSE 2 end),
			col18 = 1,--(CASE WHEN (SELECT SUM(summa) FROM  #SPR_ESN WHERE MONTH_BASE BETWEEN 1 AND month(@dDate2) AND WAY_CALC IN(3,4) AND REF_PHYS_PERS = a.LINK_FACE) <> 0 THEN 1 ELSE 2 end),
			col19 = 1,--(CASE WHEN (SELECT SUM(summa) FROM  #SPR_ESN WHERE MONTH_BASE BETWEEN 1 AND month(@dDate2) AND WAY_CALC = 2 AND REF_PHYS_PERS = a.LINK_FACE) <> 0 THEN 1 ELSE 2 end),
			COL20 = [TYPE],
			COL21 = [NGROUP],
			COL22 = a.LINK_FACE,
			col23 = per_EDT
		FROM
			#SZV_ALL a
		inner join dbo.PERSON p on p.LINK = a.LINK_FACE   AND a.mon BETWEEN month(@dDate1) AND month(@dDate2)
		GROUP BY a.[TYPE],a.[T_DOG],a.[FM],a.[IM],a.[OT],a.[PFNUMBER],a.LINK_FACE, a.[NGROUP]/*, a.[FNAME],a.DATE_DOC*/,a.per_EDT, 
		a.PER, a.[YEAR], p.inn,p.BIRTHDATE,p.CITIZ_LINK,p.SEX,p.DOC_LINK,p.DOC_NUM,p.DOC_WHOM ,p.BIRTHPLACE
		ORDER BY
			a.[TYPE],a.[T_DOG],a.[FM],a.[IM],a.[OT],a.per_EDT

	END


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 13488, 0 ,  2909
-- EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 13488, 1,  2909
	IF @REP = 1 
	BEGIN 	

	/*****************************************************/
	--     
	/*****************************************************/
		create table #TMP1(CODE int,col1 int,   COL2 varchar(14), COL3 varchar(100), COL4 varchar (4), COL5 varchar (4), COL6 numeric(18,2), COL7 numeric(18,2), 
						   COL8 numeric(18,2), COL9 numeric(18,2),COL10 numeric(18,2) , COL11 varchar(1), COL12 varchar(4), COL13 varchar(15), COL14 varchar(1), COL15 varchar(4),
						   COL16 int, COL17 varchar(100), COL18 varchar(100), COL19 varchar(100), COL20 int, COL21 int, COL22 numeric(18,2), COL23 numeric(18,2), COL24 numeric(18,2),
						   COL25 int, COL26 int, COL27 numeric(18,2), COL28 numeric(18,2), COL29 numeric(18,2),
						   COL30 int, COL31 int, COL32 numeric(18,2), COL33 numeric(18,2), COL34 numeric(18,2),
						   COL35 int, COL36 int, COL37 numeric(18,2), COL38 numeric(18,2), COL39 numeric(18,2),
						   COL40 int, COL41 int, COL42 numeric(18,2), COL43 numeric(18,2), COL44 numeric(18,2), COL45 char(1) DEFAULT '' )
		
		
		/***************************************/
		--            
---------->>>>>>>>>>

-----------<<<<<<<<</*   ,  */
		
		DECLARE @nYEAR1_K INT, @nMONTH_1_K INT, @nMONTH_2_K INT, @nMONTH_3_K INT	
		select 
   		@nYEAR1_K = YEAR_EDT,
   		@nMONTH_1_K = /*case when YEAR_EDT  between '2011' and '2013' then (*/case  PER_EDT when 1 then  1 when 2 then  4 when 3 then  7 when 4 then  10 else 10 end/*)
					when  YEAR_EDT >= '2014'  then (case  PER_EDT when 3 then  1 when 6 then  4 when 9 then  7 else  10 end)
					else null end */
		from #SZV_ALL	
		where [TYPE] = 2
		and YEAR_EDT >=2014
							 
		select @nMONTH_2_K = @nMONTH_1_K+1,
				@nMONTH_3_K = @nMONTH_1_K +2	

		DECLARE @BYearDate_K	datetime , @EndYear_K datetime
		SET @BYearDate_K = dbo.DateBeginOfYear (@nYEAR1_K+'0101')
		Set @EndYear_K = dbo.DateEndOfYear(@BYearDate_K)


		DECLARE @PREDEL_K NUMERIC(18,2)
		SET @PREDEL_K = (SELECT TOP 1 PREDEL FROM DICTIONARY_RANGE WHERE TARIF = 1 AND YEAR([DATE]) =  @nYEAR1_K)

 
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20171001', '20171231', 74579, 1, 3157
		/*******************   ********************/
		DECLARE @Cur1 CURSOR, @CODE varchar(4), @TYPE tinyint , @T_DOG tinyint, @PFNUMBER VARCHAR (14) , @FM VARCHAR(100),@IM VARCHAR(100),@OT VARCHAR(100),
		@LINK_FACE1 int , @CODE_old VARCHAR(4), @TYPE_OLD TINYINT, @nom_pp INT, @MON INT, @LINK_FACE INT , @EMPL_LINK INT 
		SET @LINK_FACE1 = 0
		set @CODE_old = '' 
		set @TYPE_OLD = 0
		set @nom_pp = 1
 
		SET @Cur1 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],LINK_FACE,EMPL_LINK, [PFNUMBER], [FM],[IM],[OT], MIN(MON) AS mon 
			FROM #SZV_ALL where [TYPE] = 1 AND mon BETWEEN month(@dDate1) AND month(@dDate2) 
			GROUP BY [FM],[IM],[OT],[PFNUMBER],LINK_FACE,EMPL_LINK,[TYPE],CODE 
			ORDER BY [FM],[IM],[OT],[PFNUMBER],LINK_FACE,EMPL_LINK, mon
		OPEN @Cur1
		FETCH NEXT FROM @Cur1 INTO  @CODE,@TYPE/*,@T_DOG*/,@LINK_FACE,@EMPL_LINK,@PFNUMBER,@FM,@IM,@OT, @MON
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN

				---        ( , , )
				IF (/*@T_DOG = 1 and */ @LINK_FACE <> @LINK_FACE1 ) 
				BEGIN
				
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19, COL45)
					SELECT CODE =  @nom_pp,
						   COL1 =  @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'400'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' THEN ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I ,0) END,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL 
										THEN @PREDEL
										ELSE 
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											)
										END)	
									ELSE
										(CASE WHEN 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL 
										THEN @PREDEL
										ELSE 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0)  - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											) 
											- CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3) ),0) )  --      =   -    
										END) 
								 END,
						   COL8 = ISNULL(SS.BASE_DOG,0),
						   COL9 = CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL 
										THEN 
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) - @PREDEL 
										ELSE 
											0
										END)	
									ELSE
										 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3) ),0) )
					 
									 END,
						   COL10 =  (	 CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= @nmonth3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3))/*     */
						   								  )  
						   								  * (@PERCENT/100) ,0)) /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   							END 
						   						 ),	 
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT), 
						  -- COL44 = isnull([INSUR],0),
						   COL45 = '' --ISNULL([sack],'')
					FROM #SZV_PC s LEFT JOIN #SALARY_SUM2 ss ON ss.pers_link = s.link_face
					WHERE 
						code = @CODE and [TYPE] = @TYPE AND  S.LINK_FACE = @link_face

	

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 1 ,  4058
		
				/*	select row_number() over (order by PER_EDT) as ID , 
							[PER_EDT] as k_PER_EDT, 
							YEAR_EDT as k_YEAR_EDT, 
							INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum_r1 WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.[PER_EDT]  )  as k_INSUR, 
							GAIN - (SELECT SUM(SUM_NAK) FROM #tmp_pers_kor_sum_r1 WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.[PER_EDT] ) as k_GAIN, 
							PFNUMBER as k_PFNUMBER , 
							FM as k_FM 
					INTO #TMP01
					from  #SZV_ALL s
					WHERE  [TYPE] = 2 AND mon =1 and FM = @FM AND PFNUMBER = @PFNUMBER

					UPDATE #TMP1
					SET COL20 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=1),
						COL21 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1),
						COL22 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=1)  ELSE 0 END ),
						COL23 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=1) ELSE 0 END ),
						COL24 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=1) ELSE 0 END ), 
						COL25 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=2),
					    COL26 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2), 
					    COL27 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=2)  ELSE 0 END ), 
					    COL28 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=2) ELSE 0 END ), 
					    COL29 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=2) ELSE 0 END ),
					    COL30 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=3),
					    COL31 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3), 
					    COL32 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=3)  ELSE 0 END ), 
					    COL33 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=3) ELSE 0 END ), 
					    COL34 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=3) ELSE 0 END ),
					    COL35 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=4),
					    COL36 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4), 
					    COL37 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=4)  ELSE 0 END ), 
					    COL38 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=4) ELSE 0 END ), 
					    COL39 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=4) ELSE 0 END ),
					    COL40 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=5),
					    COL41 = (SELECT TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5), 
					    COL42 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=5)  ELSE 0 END ), 
					    COL43 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=5) ELSE 0 END ), 
					    COL44 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=5) ELSE 0 END )--,
					FROM #TMP1
					WHERE #TMP1.COL5 = @CODE 
						AND #TMP1.COL12 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), '') 
						AND #TMP1.COL2 = @PFNUMBER and #TMP1.COL17 = @FM and #TMP1.COL18 = @IM and #TMP1.COL19= @OT

					drop table #TMP01
				*/
					set @nom_pp = @nom_pp + 1
		----EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 74578, 1, 3407
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14,COL15, COL16,COL17, COL18 , COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(s.[PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'401'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
									--        ,      
						   COL6 = case when SUM(s.[INC_M1]) < 0
									   THEN 0
									   ELSE (CASE WHEN SUM(s.[INC_M2]) >= 0 
												THEN SUM(s.[INC_M1])
												ELSE SUM(s.[INC_M1]) - ABS(SUM(s.[INC_M2])) END)
												+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0 
																THEN ss.summa_all ELSE 0 END ) 
									   END ,
						   COL7 = CASE WHEN SUM(s.[B_BEF_M1])<0
										THEN 0
						   				ELSE 
						   					(CASE WHEN  SUM(s.[B_BEF_M2]) >= 0
													THEN (case when  SUM(s.[B_BEF_M1]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH1) <=0 THEN 0
														  ELSE SUM(s.[B_BEF_M1]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH1)
														  END  ) --      =   -    
													ELSE SUM(s.[B_BEF_M1]) - ABS(SUM(s.[B_BEF_M2])) 
													  END )
													  	+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0 
																THEN ss.summa_all ELSE 0 END ) 
																		
										END ,
						   COL8 = SUM(CASE WHEN s.T_DOG = 2 THEN [B_BEF_M1] 
										   ELSE  (CASE WHEN  isnull(ss.summa_all,0)   <> 0 
												THEN ss.summa_all ELSE 0 END ) 
						              END),
						   COL9 = case when SUM([B_AFT_M1])>=0 
										THEN (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH1)
										ELSE SUM([B_AFT_M1]) END ,
						   COL10 =   CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 1)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   								 END )
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 4)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   									  ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   								 END )
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 7)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   									  ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   								 END )
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   			 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 10)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   									  ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   								 END )
						   						END 
						   					 ) END ,	 
						    --CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1 WHERE  I = 1 AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ), 
						   COL11 = ISNULL(s.[per],''), 
						   COL12 = ISNULL(s.[year],''), 
						   COL13 = ISNULL((case WHEN s.[TYPE] = 1 then '' when s.[TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),s.[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),s.[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s 
					LEFT JOIN #salary_sum_data  ss on ss.pers_link =   s.LINK_FACE and ss.t_dog = 2 and  month(ss.period_begin) = @nMonth1
					WHERE s.code = @CODE and s.[TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND s.LINK_FACE = @link_face	
					GROUP BY s.[PFNUMBER], s.link_face,s.[per],s.[year],s.[TYPE],s.[per_edt],s.[year_edt]


 
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20171001', '20171231', 74579, 1, 3157
				
					set @nom_pp = @nom_pp + 1

					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(s.[PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'402'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   	--        ,      
						   COL6 = case when SUM(s.[INC_M2]) < 0
									   THEN 0
									   ELSE (CASE WHEN SUM(s.[INC_M3]) >= 0 
												THEN SUM(s.[INC_M2])
												ELSE SUM(s.[INC_M2]) - ABS(SUM(s.[INC_M3])) END)
												+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0 
																THEN ss.summa_all ELSE 0 END )
																
									   END ,
						   COL7 = CASE WHEN SUM(s.[B_BEF_M2])<0
										THEN 0
						   				ELSE 
						   					(CASE WHEN  SUM(s.[B_BEF_M3]) >= 0
													THEN (case when  SUM(s.[B_BEF_M2]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH2) <=0 THEN 0
														  ELSE SUM(s.[B_BEF_M2]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH2)
														  END  )--      =   -    
													ELSE SUM(s.[B_BEF_M2]) - ABS(SUM(s.[B_BEF_M3])) END )
													+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0 
																THEN ss.summa_all ELSE 0 END )
										END ,
						   COL8 = SUM(CASE WHEN s.T_DOG = 2 THEN [B_BEF_M2] 
										   ELSE  (CASE WHEN  isnull(ss.summa_all,0)   <> 0 
												THEN ss.summa_all ELSE 0 END ) 
						              END),
						   COL9 = case when SUM([B_AFT_M2])>=0 
										THEN (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH2)
										ELSE SUM([B_AFT_M2]) END,
						   COL10 =   CASE WHEN s.[per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 2)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   										 END )
						   								   END) 		 
						   						END 
						   					 )
						   				WHEN s.[per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 5)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							ELSE
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   										 END )
						   								   END ) 		 						   								 
						   						END 
						   					 )
						   				WHEN s.[per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 8)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE	
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   										 END )	
						   								END ) 		 					   								
						   						END 
						   					 )
						   				WHEN s.[per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 11)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE	
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   										 END )	
						   								END ) 		 					   		
						   							END 
						   					 ) END ,
						   COL11 = ISNULL(s.[per],''), 
						   COL12 = ISNULL(s.[year], ''), 
						   COL13 = ISNULL((case WHEN s.[TYPE] = 1 then '' when s.[TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),s.[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),s.[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s 
					LEFT JOIN #salary_sum_data  ss on ss.pers_link =   s.LINK_FACE and ss.t_dog = 2 and  month(ss.period_begin) = @nMonth2
					WHERE s.code = @CODE and s.[TYPE] = @TYPE AND s.LINK_FACE = @link_face	
					GROUP BY s.[PFNUMBER], s.link_face,s.[per],s.[year],s.[TYPE],s.[per_edt],s.[year_edt]
			
					set @nom_pp = @nom_pp + 1
							--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170701', '20170930', 13488, 1, 2909
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(s.[PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'403'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   --        ,        
						   COL6 = case when SUM(s.[INC_M3]) <= 0
									   THEN 0
									   ELSE SUM(s.[INC_M3])
									   END 
									   + SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0 
																THEN ss.summa_all ELSE 0 END ),
						   COL7 = CASE WHEN SUM(s.[B_BEF_M3])<=0
										THEN 0
						   				ELSE 
											(case when  SUM(s.[B_BEF_M3]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH3) <=0 THEN 0
														  ELSE SUM(s.[B_BEF_M3]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH3)
														  END  ) --      =   -    
										END 
										+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0 
																THEN ss.summa_all ELSE 0 END ),

						   COL8 = SUM(CASE WHEN s.T_DOG = 2 THEN s.[B_BEF_M3] 
										   ELSE  (CASE WHEN  isnull(ss.summa_all,0)   <> 0 
												THEN ss.summa_all ELSE 0 END ) 
						              END),
						   COL9 = case when SUM([B_AFT_M3])>=0 
										THEN (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH3)
										ELSE SUM([B_AFT_M3]) END,
						   COL10 =   CASE WHEN s.[per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 3)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END) 	
						   						END 
						   					 )
						   				WHEN s.[per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 6)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END) 

						   						END 
						   					 )
						   				WHEN s.[per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 9)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END) 
						   						END 
						   					 )
						   				WHEN s.[per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 12)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   							  (case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END) 
						   						END 
						   					 ) END ,

						   COL11 = ISNULL(s.[per],''), 
						   COL12 = ISNULL(s.[year], ''), 
						   COL13 = ISNULL((case WHEN s.[TYPE] = 1 then '' when s.[TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),s.[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),s.[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s 
					LEFT JOIN #salary_sum_data  ss on ss.pers_link =   s.LINK_FACE and ss.t_dog = 2 and  month(ss.period_begin) = @nMonth3
					WHERE s.code = @CODE and s.[TYPE] = @TYPE AND s.LINK_FACE = @link_face
					GROUP BY s.[PFNUMBER], s.link_face,s.[per],s.[year],s.[TYPE],s.[per_edt],s.[year_edt]

	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 1 ,  3239	
					
					set @nom_pp = @nom_pp + 1
				END
	
	

				---        (         )
				IF /*@T_DOG = 1 and*/  @LINK_FACE = @LINK_FACE1 and @CODE <> @CODE_old	and  @TYPE = @TYPE_OLD
				BEGIN 

					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19,COL45)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' then ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL- SS.SUMMA_ALL_I,0) end,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
									--  
									(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
									- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
									)
								ELSE
									--  
									( (ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0)) - (ISNULL(SS.SUMMA_NO,0) -  ISNULL(SS.SUMMA_NO_I,0))
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
									)
								END
								- -- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL
								ELSE
									0
								END,	
														
						   COL8 = ISNULL(SS.BASE_DOG,0),

						   COL9 = 
								-- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL
								ELSE
									0
								END,
						   COL10 = (	 CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= @nmonth3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3))/*     */
						   								  )  
						   								  * (@PERCENT/100) ,0)) /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   							END 
						   						 ),
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT),
						   COL45 = '' -- ISNULL(SACK,'')
					FROM 
						#SZV_PC s LEFT JOIN #SALARY_SUM2 ss ON ss.pers_link = s.link_face
					WHERE 
						code = @CODE and [TYPE] = @TYPE AND LINK_FACE = @link_face
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =   CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 1)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 4)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 7)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 10)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 ) END ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
						   
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =    CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 2)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 5)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 8)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 11)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 ) END ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =    CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 3)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 6)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 9)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 12)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 ) END ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
				END						
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 1 ,  803
				---    '410','411','412','413' 
			
				if not exists (select * from #tmp1 
								where COl2 = @PFNUMBER 
								and COL13 = (case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end)
								and COL4 = '410' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER AND CODE != @CODE AND [TYPE] = 1) 
				begin 
							
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(@PFNUMBER,''), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((SELECT TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') , 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
				
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''), 
						 COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') , 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 		
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1		
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13, COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp, 
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') , 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1	
				
				end 

					set @LINK_FACE1 = @LINK_FACE
					set @CODE_old = @CODE
					set @TYPE_OLD = @TYPE
			END

			FETCH NEXT FROM @Cur1 INTO @CODE,@TYPE/*,@T_DOG*/,@LINK_FACE,@EMPL_LINK,@PFNUMBER,@FM,@IM,@OT, @MON
		END

		CLOSE @Cur1
		DEALLOCATE @Cur1

/*
		/*****************************************************/
		--    /
		/*****************************************************/
		DECLARE @Cur2 CURSOR , @PER_EDT1 INT, @PER_OLD INT
		set @pf_num1 = ''
		
		set @CODE_old = '' 
		set @TYPE_OLD = 0
		set @nom_pp = (SELECT MAX(CODE) FROM #TMP1 WHERE COL12= '') + 1 
		
		SET @Cur2 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], PER_EDT  FROM #SZV_ALL where /*T_DOG = 1 and*/ [TYPE] != 1 /*AND YEAR_EDT >=2014*/ GROUP BY [FM],[IM],[OT],[PFNUMBER],[TYPE],CODE/*, [T_DOG]*/, PER_EDT ORDER BY [FM],[IM],[OT],[PFNUMBER],[TYPE],CODE/*, [T_DOG]*/, PER_EDT
		OPEN @Cur2
		FETCH NEXT FROM @Cur2 INTO  @CODE,@TYPE,@PFNUMBER,@FM,@IM,@OT,@PER_EDT1
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				  
				---        ( , , )
				IF (/*@T_DOG = 1 and */ @PFNUMBER <> @pf_num1  OR ( @PFNUMBER = @pf_num1 AND  @PER_EDT1 <> @PER_OLD)) 
				BEGIN
					
				 					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19, COL45)
					SELECT CODE =  @nom_pp,
						   COL1 =  @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'400'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' THEN ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I,0) END,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K 
										THEN @PREDEL_K
										ELSE 
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											)
										END)	
									ELSE
										(CASE WHEN 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K 
										THEN @PREDEL_K
										ELSE 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) 
										END) 
								 END,								 

						   COL8 = ISNULL(SS.BASE_DOG,0),

						   COL9 = CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K 
										THEN 
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) - @PREDEL_K 
										ELSE 
											0
										END)	
									ELSE
										(CASE WHEN 
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K
										THEN 
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) - @PREDEL_K
										ELSE 
											0
										END) 
								 END,
						   COL10 = isnull([INSUR],0),												
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT),
						   
						   COL45 = ISNULL([SACK],'')
					FROM 
						#SZV_PC s LEFT JOIN #SALARY_SUM2_K ss ON ss.pers_link = s.link_face
					WHERE 
						code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER  AND PER_EDT = @PER_EDT1 
						
					

					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14,COL15, COL16,COL17, COL18 , COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'401'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE  code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]

			
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'402'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 2) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]

										
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'403'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 3) ,0) ) , 
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
				END
					

		
				---        (         )
				IF /*@T_DOG = 1 and*/  @PFNUMBER = @pf_num1 and @CODE <> @CODE_old	and  @TYPE = @TYPE_OLD
				BEGIN 
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' then ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I,0) end,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
									--  
									(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
									- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
									)
								ELSE
									--  
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
									)
								END
								- -- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL_K
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL_K
								ELSE
									0
								END,
													
						   COL8 = ISNULL(SS.BASE_DOG,0),
						   
						   COL9 = 
								-- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL_K
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL_K
								ELSE
									0
								END,
						   COL10 = isnull([INSUR],0), 										
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM 
						#SZV_ALL s LEFT JOIN #SALARY_SUM2_K ss ON ss.pers_link = s.link_face
					WHERE 
						S.NUM = 1 AND code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER and FM = @FM					
					GROUP BY 
						[TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt],[INSUR],[INC_M1],[INC_M2],[INC_M3],[B_BEF_M1],[B_BEF_M2],[B_BEF_M3], [B_AFT_M1],[B_AFT_M2],[B_AFT_M3],SS.SUMMA_ALL_I, SS.SUMMA_NO, SS.SUMMA_NO_I, SS.SUMMA_NO_E
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM 
						#SZV_ALL s WHERE  code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER and per_edt = @per_edt1
					GROUP BY 
						[TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],s.link_face,[per],[year],[per_edt],[year_edt],[INSUR],[INC_M1],[INC_M2],[INC_M3],[B_BEF_M1],[B_BEF_M2],[B_BEF_M3], [B_AFT_M1],[B_AFT_M2],[B_AFT_M3]
					
					set @nom_pp = @nom_pp + 1
			
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 2) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_ALL s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER],s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
										
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 3) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_ALL s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND  per_edt = @PER_EDT1
					GROUP BY [PFNUMBER] ,s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
										
					set @nom_pp = @nom_pp + 1
				END						

				---    '410','411','412','413' 
			
				if not exists (select * from #tmp1 
								where COL2 = @PFNUMBER 
								and COL12 = (case WHEN @TYPE = 2 then '' else ''end)
								and COL4 = '410' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER AND CODE != @CODE AND [TYPE] = 1) 
				begin 
						
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(@PFNUMBER,''), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						 COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''), 
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 		
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1		
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13, COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp, 
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
						   
					set @nom_pp = @nom_pp + 1	
					--exec [dbo].RSA_RSV_1_PERS_UCH_SZV '20141001', '20141231', 74578 ,1,  2190
		
				end 
			
					set @pf_num1 = @PFNUMBER
					set @CODE_old = @CODE
					set @TYPE_OLD = @TYPE
					SET @PER_OLD = @PER_EDT1
			END

			FETCH NEXT FROM @Cur2 INTO @CODE,@TYPE/*,@T_DOG*/,@PFNUMBER,@FM,@IM,@OT, @PER_EDT1
		END

		CLOSE @Cur2
		DEALLOCATE @Cur2
*/       
		SELECT DISTINCT 
			CODE = ROW_NUMBER() OVER (ORDER BY CODE),
			COL1 = ROW_NUMBER() OVER (ORDER BY COL1),
			COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, 
			COL11, COL12, COL13, COL14, COL15, COL16, COL17, COL18, COL19, COL20, 
			COL21, COL22, COL23, COL24, COL25, COL26, COL27, COL28, COL29, COL30, 
			COL31, COL32, COL33, COL34, COL35, COL36, COL37, COL38, COL39, COL40, 
			COL41, COL42, COL43, COL44, COL45	
		FROM #TMP1 where col5 <> '' ORDER BY  CODE, COL15
		
	--drop table #SALARY_SUM2_K
	--drop table #SPR_ESN1_K			
	drop table #SPR_ESN
	DROP TABLE #SPR_ESN1
	DROP TABLE #SALARY_SUM_DATA
	drop table #SALARY_SUM2
	DROP TABLE #CALCULATE_JURNAL
	drop table #TMP1

	END  

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 1 ,  803

/*	IF @REP = 2 
	BEGIN 	
		/*   6.6    */
		/*            ,           
		*  ,     .     6.6 , 
		*      ()   6  ()   -6-1,  () -6-2,  () -6-4.
		*/
		/*   ,      */
	
		---    
			DECLARE @BYDateK	datetime , @nYEAR_K INT, @nMON1 INT, @nMON2 INT, @nMON3 INT
	

			select top 1 
			@BYDateK = (convert(varchar(4),YEAR_EDT)+'0101'),
			@nYEAR_K = YEAR_EDT,
			@nMON1 = (case  PER_EDT when 1 then  1 when 2 then  4 when 3 then  7 when 4 then  10 else 10 end)
			from #SZV_ALL WHERE [TYPE] = 2
			
			SELECT  @nMON2 = @nMON1 +1 , 	
					@nMON3 = @nMON1 +2 	
					
----------<<<<<<<<< #SPR_ESN     (  )

		/*    */
		SELECT year_edt = p.YEAR_EDT, 
				PER_EDT = p.PER_EDT, 
				link_dep = p.link_dep,
				link_pers = s.link_pers,
				Link_kateg = case when S.Link_kateg = 3 then 1 else S.Link_kateg  end ,
				pachka = s.pachka
		INTO #tmp_pers
		FROM 	dbo.SA_SZV4_PACHKA P 
				INNER JOIN dbo.SZV4_SVEDENIA S ON P.link = S.link_up 															
		where
			P.link in (select link from #DOCS WHERE vid_kor = 2)
			and P.proverka = 1
			and P.vid_kor > 1
			and p.link_dep = @DEP_LINK


		CREATE TABLE #tmp_pers_kor_sum (link INT  , [date] DATETIME, YEAR_degin INT , per INT , vid_kor int, link_dep INT , proverka INT  , CODE VARCHAR(5), link_pers INT , 
										sum_doh NUMERIC(18,2), sum_str NUMERIC(18,2), sum_nak NUMERIC(18,2),sum_dop NUMERIC(18,2) , pachka int) 
	
		DECLARE @Cur_R2 CURSOR, @link int ,@LINK_pers INT, @year_edt INT , @per_edt INT , @Link_kateg INT ,@pachka int
		SET @Cur_R2 = CURSOR FORWARD_ONLY

		FOR SELECT LINK_pers, year_edt, per_edt, Link_kateg ,pachka FROM #tmp_pers ORDER by link_pers

		OPEN @Cur_R2
		FETCH NEXT FROM @Cur_R2 INTO @LINK_pers, @year_edt, @per_edt , @link_kateg, @pachka
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				
					SET @link = 0
					
					SELECT @link =max(pp.link)
					FROM SA_SZV4_PACHKA pp 
					INNER JOIN dbo.SZV4_SVEDENIA Ss ON ss.link_up = pp.link  
					WHERE  pp.proverka = 1 AND pp.vid_kor = 1 
										  AND pp.link_dep = @DEP_LINK 
										  AND pp.year_begin =@year_edt  
										  AND pp.PER =@per_edt 
										  AND @LINK_pers = ss.link_pers
										  --AND @link_kateg = ss.link_kateg  
										  AND pp.date = (SELECT MAX(p1.[date]) FROM SA_SZV4_PACHKA p1 
																INNER JOIN dbo.SZV4_SVEDENIA S1 ON s1.link_up = p1.link  
																WHERE  pp.proverka = 1 AND p1.vid_kor = 1 
																					  AND p1.link_dep = @DEP_LINK 
																					  AND p1.year_begin =@year_edt  
																					  AND p1.PER =@per_edt 
																					  AND @LINK_pers = s1.link_pers
																					  /*AND @link_kateg = s1.link_kateg*/ )
					
					INSERT INTO #tmp_pers_kor_sum (link, [date], YEAR_degin, per, vid_kor, link_dep, proverka , CODE, link_pers, 
										sum_doh, sum_str, sum_nak,sum_dop, pachka) 
					SELECT pp.link, pp.[date], pp.YEAR_begin, pp.per, pp.vid_kor, pp.link_dep, pp.proverka, CODE = k.code, ss.link_pers, 
										ss.sum_doh, ss.sum_str, ss.sum_nak,ss.sum_dop , pachka = @pachka
					FROM SA_SZV4_PACHKA pp 
					INNER JOIN dbo.SZV4_SVEDENIA Ss ON ss.link_up = pp.link  
					INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = ss.LINK_KATEG AND pp.YEAR_begin BETWEEN YBEG AND YEND		
					WHERE pp.link = @link and pp.proverka = 1 
										 AND pp.vid_kor = 1 
										 AND pp.link_dep = @DEP_LINK 
										 AND pp.year_begin =@year_edt  
										 AND pp.PER =@per_edt 
										 AND ss.link_pers = @LINK_pers
										/* AND ss.link_kateg = @link_kateg*/
										  

			END

			FETCH NEXT FROM @Cur_R2 INTO @LINK_pers, @year_edt, @per_edt, @link_kateg, @pachka
		END

		CLOSE @Cur_R2
		DEALLOCATE @Cur_R2
--exec [dbo].RSA_RSV_1_PERS_UCH_SZV '20141001', '20141231', 74578 ,1,  2191


---------->>>>>>>>>>
		create table #TMP2(CODE int identity(1,1) ,col1 int,   COL2 tinyint, COL3 varchar(4), COL4 numeric(18,2), COL5 numeric(18,2), COL6 numeric(18,2), COL7 VARCHAR(14), COL8 INT)

		INSERT INTO #TMP2 (COL2, COL3, COL4, COL5, COL6, COL7)
		SELECT 
			   COL2 = /*case when YEAR_EDT between '2011' and '2013'  then (case*/ [PER_EDT]/* when 1 then 1 when 2 then 2 when 3 then 3 when 4 then 4 else 0 end)
							when YEAR_EDT = '2014' then (case [PER_EDT] when 1 then 3 when 2 then 6 when 3 then 9 when 4 then 0 else null end) end */, 
			   COL3 = CONVERT(VARCHAR(4),YEAR_EDT),
			   COL4 = (CASE WHEN YEAR_EDT = '2014' THEN INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.per_edt )  ELSE 0 END ),
			   COL5 = (CASE WHEN YEAR_EDT < '2014' THEN INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face  AND  per = s.per_edt )  ELSE 0 END ),
			   COL6 = (CASE WHEN YEAR_EDT < '2014' THEN GAIN - (SELECT SUM(SUM_NAK) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.per_edt )   ELSE 0 END ),
			   COL7 = CONVERT(VARCHAR(14),PFNUMBER)
		FROM #SZV_ALL s WHERE  [TYPE] = 2 AND id_ex =1 
		GROUP BY link_face, YEAR_EDT,  [PER_EDT] , INSUR , GAIN ,[FM],[IM],[OT], PFNUMBER 
		ORDER BY [FM],[IM],[OT],[PFNUMBER]
		
		UPDATE #TMP2 
			SET col1 = CODE , COL8 = CODE 

		
		SELECT * FROM #TMP2 ORDER BY CODE


		drop table #tmp_pers
		drop table #tmp_pers_kor_sum
		--DROP TABLE #SPR_ESN_K
		drop table #TMP2
		--GROUP BY [TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt]	
	

	
	END	
*/	
	IF @REP = 3 
	BEGIN 	
		/*   3.2.2           ,     , 
		*              ,    1, 2  2.1  58.3 
		*    24  2009 .  212- */

	/*****************************************************/
	--     
	/*****************************************************/

		DECLARE @BYear_Date	datetime
			SET @BYear_Date = dbo.DateBeginOfYear (@dDate1)

		/*UPDATE #SZV_ALL 
			SET [OSOB_SPO] =  SP 
			FROM #SPR_ESN   WHERE pf_num = #SZV_ALL.[PFNUMBER] AND WAY_CALC IN (10,11) AND MONTH_BASE = @nMONTH3  AND SUMMA_BASE <> 0 */    

		create table #TMP3(CODE int,col1 int,   COL2 varchar(100), COL3 varchar(4), COL4 varchar (4), COL5 numeric(18,2), COL6 numeric(18,2), COL7 VARCHAR(14), COL8 int, COL9 int, 
							COL10 VARCHAR(10), COL11 VARCHAR(10), COL12 VARCHAR(10),COL13 VARCHAR(30), COL14 VARCHAR(10), COL15 VARCHAR(100), COL16 VARCHAR(10),COL17 VARCHAR(100),
							COL18 VARCHAR(10), COL19 VARCHAR(10), COL20 VARCHAR(10),COL21 VARCHAR(30), COL22 VARCHAR(10), COL23 VARCHAR(100), COL24 VARCHAR(10), COL25 VARCHAR(100), 
							COL26 VARCHAR(10), COL27 VARCHAR(10), COL28 VARCHAR(10),COL29 VARCHAR(30), COL30 VARCHAR(10), COL31 VARCHAR(100), COL32 VARCHAR(10), COL33 VARCHAR(100),
							COL34 VARCHAR(10), COL35 VARCHAR(10), COL36 VARCHAR(10), COL37 VARCHAR(30), COL38 VARCHAR(10), COL39 VARCHAR(100), COL40 VARCHAR(10), COL41 VARCHAR(100), COL42 varchar(100), COL43 varchar(100), COL44 varchar(100),
							COL45 VARCHAR(300), COL46 VARCHAR(300))


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 3 , 370

		DECLARE @Cur3 CURSOR, @CODE1 varchar(4), @TYPE1 tinyint , @PFNUMBER1 VARCHAR (14) , @FM1 VARCHAR(100),@IM1 VARCHAR(100),@OT1 VARCHAR(100),
		@LINK_FACE11 INT ,@LINK_FACE01 int ,@TYPE_OLD1 TINYINT, @nom_pp1 INT, @OSOB_SPO VARCHAR(4), @OSOB_SPO_old VARCHAR(4),
		@DateM1B DATETIME, @DateM2B DATETIME, @DateM3B DATETIME, @DateM1E DATETIME, @dateM2E DATETIME, @dateM3E DATETIME
		
		set @Link_FACE11 = 0
		set @OSOB_SPO_old = NULL 
		set @TYPE_OLD1 = 0
		set @nom_pp1 = 1
	
		SELECT @DateM1B = @dDate1,
			   @DateM2B =  dbo.ConvertDMY2Date(1,month(@dDate1)+1,YEAR(@dDate1)), 	
			   @DateM3B =  dbo.ConvertDMY2Date(1,month(@dDate1)+2,YEAR(@dDate1)), 
			   @DateM1E =  dbo.DateEndOfMonth(@DateM1B),
			   @DateM2E =  dbo.DateEndOfMonth(@DateM2B), 	
			   @DateM3E =  @dDate2


		SET @Cur3 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],LINK_FACE,[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]  
			FROM #SZV_ALL 
			where [TYPE] = 1  AND ISNULL([OSOB_SPO],'') <> '' AND mon BETWEEN month(@dDate1) AND month(@dDate2) 
			GROUP BY [FM],[IM],[OT],LINK_FACE,[PFNUMBER],[TYPE],CODE,mon, [OSOB_SPO] 
			ORDER BY [FM],[IM],[OT],LINK_FACE,[PFNUMBER],[TYPE],CODE,mon, [OSOB_SPO]
		OPEN @Cur3
		FETCH NEXT FROM @Cur3 INTO  @CODE1,@TYPE1,@LINK_FACE01,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				SELECT @OSOB_SPO = ISNULL(@OSOB_SPO, '')
				select @OSOB_SPO_old = ISNULL(@OSOB_SPO_old, '')
				---        ( , , )
				
				IF @LINK_FACE01 <> @LINK_FACE11 
				BEGIN

					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42, COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'700'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL(  (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN e.MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL(  (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL(  ( sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END  ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   ,0)  
								  END,
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE], 
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM 
						#SZV_ALL s
						left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		AND  s.mon = e.MONTH_BASE					
					WHERE  
						s.code = @CODE1 and s.[TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO --AND s.MON = month(@DateM1B)
						AND  s.mon between 	@nMONTH1 AND @nMONTH3	
						AND  e.MONTH_BASE between @nMONTH1 AND @nMONTH3							   
					GROUP BY 
						[TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt]/*, INC_T1,INC_T2*/,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS 
----------------------------------------

-----------------------------------------------
					--                   -      
					UPDATE TMP3
					SET COL5 = (SELECT case when s.per = 1 THEN sum((CASE WHEN  mon = 1 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 1 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 2 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 2 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 3 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 3 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )		) 
											when s.per = 2 then sum((CASE WHEN  mon = 4 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 4 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 5 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 5 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 6 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 6 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END ) 		) 
											when s.per = 3 then sum((CASE WHEN  mon = 7 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 7 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 8 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 8 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 9 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 9 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )		) 
											when s.per = 4 then sum((CASE WHEN  mon = 10 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 10 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 11 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 11 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 11 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 11 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )		)  end
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon between 	@nMONTH1 AND @nMONTH3
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '700' 			    


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170301', '20170630', 74578, 3 ,  3400

					SELECT  @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'701'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11)  THEN DED_M + INV_M  ELSE 0 END))   ,0),
						   COL6 = ISNULL( (sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11)  THEN SUMMA ELSE 0 END))  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.MON = month(@DateM1B)
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1,INC_T1,INC_T1,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS  
				
					UPDATE TMP3
					SET COL5 = (SELECT  sum((CASE WHEN  mon = month(@DateM1E) AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = month(@DateM1E) AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																	) 
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon = month(@DateM1E)
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '701' 

			

					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'702'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   ,0),
						   COL6 = ISNULL( (sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.MON =month(@DateM2B)
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1,INC_T1,INC_T1,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS  

					UPDATE TMP3
					SET COL5 = (SELECT  sum((CASE WHEN  mon = month(@DateM2E) AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = month(@DateM2E) AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																	) 
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon = month(@DateM2E)
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '702' 
			
					set @nom_pp1 = @nom_pp1 + 1

					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'703'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL(( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.MON = month(@DateM3B)
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1,INC_T1,INC_T1,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS  


				
					UPDATE TMP3
					SET COL5 = (SELECT  sum((CASE WHEN  mon = month(@DateM3E) AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = month(@DateM3E) AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																	) 
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon = month(@DateM3E)
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '703' 


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 74578, 3 ,  3400						
					set @nom_pp1 = @nom_pp1 + 1
				
				END
		
					
		/*		---        (         )
				IF @PFNUMBER1 = @pf_num11 and @OSOB_SPO <> @OSOB_SPO_old
				BEGIN 
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) ) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
								  END,
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
					
					set @nom_pp1 = @nom_pp1 + 1
				
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
				
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL  s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 	
				
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
				
					set @nom_pp1 = @nom_pp1 + 1
				END						
			*/	---    '410','411','412','413' 
 	
			/*	if not exists (select * from #tmp3 
								where COL7 = @PFNUMBER1 
								and COL9 = @TYPE1
								and COL4 = '710' ) 
					AND NOT EXISTS (
						SELECT * FROM #SZV_ALL 
						WHERE PFNUMBER = @PFNUMBER1 
							AND ISNULL(OSOB_SPO,'') != ISNULL(@OSOB_SPO,'') 
							AND [TYPE] = 1
						) 
				begin 
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT 
						   CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
			
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
			
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						 COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)

					set @nom_pp1 = @nom_pp1 + 1		
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
	
					set @nom_pp1 = @nom_pp1 + 1	
				end 
				*/
					select	row_number() over (order by DATE_BEGIN) as ID ,
							FM1 = [FM]  ,
							IM1 = [IM],
							OT1 = [OT],
							PFNUMBER1 = [PFNUMBER], 
							T_DOG1= T_DOG,
							TYPE1 = [TYPE], 
							DATE_BEGIN1 = [DATE_BEGIN], 
							DATE_END1 = (CASE WHEN [DATE_END]> @dDate2 THEN @dDate2 ELSE [DATE_END] end),
							link_face1 = link_face 
					into #TMP03
					FROM #SZV_ALL  WHERE  mon IS NOT NULL AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN) and [TYPE] = @TYPE1 AND LINK_FACE =@LINK_FACE01 and fm = @FM1 and T_DOG = 1
					GROUP BY [FM],[IM],[OT],LINK_FACE,[PFNUMBER], T_DOG,[TYPE], [DATE_BEGIN], [DATE_END]
					ORDER BY  [FM],[IM],[OT],LINK_FACE,[PFNUMBER], T_DOG,[TYPE]
			
	--SELECT * FROM #TMP03
	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 0 ,  356	
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 3 ,  803
					UPDATE #TMP3
					set COL10 = (SELECT distinct convert(varchar(10),DATE_BEGIN1,104 ) FROM #TMP03 where ID=1 and FM1= @FM1),
						COL11 = (SELECT distinct convert(varchar(10),DATE_END1,104 ) FROM #TMP03 where ID=1 and FM1= @FM1),
						COL12 = NULL,
						COL13 = NULL,
						COL14 = NULL, 
						COL15 = NULL,
					    COL16 = NULL, 
					    COL17 = NULL, 
					    COL18 = NULL, 
					    COL19 = NULL,
					    COL20 = NULL,
					    COL21 = NULL,
						COL22 = NULL, 
						COL23 = NULL,
					    COL24 = NULL, 
					    COL25 = NULL,
					    COL26 = NULL, 
					    COL27 = NULL,
					    COL28 = NULL,
					    COL29 = NULL,
						COL30 = NULL, 
						COL31 = NULL,
					    COL32 = NULL, 
					    COL33 = NULL,
					    COL34 = NULL, 
					    COL35 = NULL,
					    COL36 = NULL,
					    COL37 = NULL,
						COL38 = NULL, 
						COL39 = NULL,
					    COL40 = NULL, 
					    COL41 = NULL,
					    
					    COL45 = NULL, 
					    COL46 = NULL
					    

					from #TMP3	
					WHERE #TMP3.COL9 = @TYPE1 
					and #TMP3.COL8 = @LINK_FACE01 AND #TMP3.COL3 = '700' /*and #TMP3.CODE =  @nom_pp1*/


					drop table #TMP03				


				
				 
					set @LINK_FACE11 = @LINK_FACE01
					set @OSOB_SPO_old = @OSOB_SPO
					set @TYPE_OLD1 = @TYPE1
					
			
			END

			FETCH NEXT FROM @Cur3 INTO @CODE1,@TYPE1,@LINK_FACE01,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		END

		CLOSE @Cur3
		DEALLOCATE @Cur3
		
		
		
		
	/*	/*****************************************************/
		--    /
		/*****************************************************/
		--create table #TMP1(CODE int,col1 int,   COL2 varchar(14), COL3 varchar(100), COL4 varchar (4), COL5 varchar (4), COL6 numeric(18,2), COL7 numeric(18,2), COL8 numeric(18,2), COL9 numeric(18,2), COL10 varchar(1), COL11 varchar(4), COL12 varchar(15), COL13 varchar(1), COL14 varchar(4),COL15 int)
	

		DECLARE @Cur4 CURSOR
		set @pf_num11 = ''
		set @OSOB_SPO_old = ''  
		set @TYPE_OLD1 = 0
		set @nom_pp1 = (SELECT MAX(CODE) FROM #TMP3 WHERE COL9 = 1) + 1 
		
			
		SET @Cur4 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]  FROM #SZV_ALL where /*T_DOG = 1 and */[TYPE] != 1 /*and year_edt >=2014*/  GROUP BY [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]ORDER BY [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]
		OPEN @Cur4
		FETCH NEXT FROM @Cur4 INTO  @CODE1,@TYPE1,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				
				SELECT @OSOB_SPO = ISNULL(@OSOB_SPO, '')
				select @OSOB_SPO_old = ISNULL(@OSOB_SPO_old, '')	
				---        ( , , )
				IF (@PFNUMBER1 <> @pf_num11 ) 
				BEGIN
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'700'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
								  END,

						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3 , date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
					

					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'701'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 10 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end ,s.OSOB_SPO,E.SP, e.PF_NUM 	
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'702'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'703'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt]	,INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 		
					
					set @nom_pp1 = @nom_pp1 + 1
				END
					
				
				---        (         )
				IF @PFNUMBER1 = @pf_num11 and @OSOB_SPO <> @OSOB_SPO_old
				BEGIN 
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) ) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
								  END,						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 	
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 		
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 			
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM  		
					
					set @nom_pp1 = @nom_pp1 + 1
				END						

				---    '710','711','712','713' 
			
				if not exists (select * from #tmp3 
								where COL7 = @PFNUMBER1 
								and COL9 = @TYPE1
								and COL4 = '710' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') != @OSOB_SPO AND [TYPE] = 2) 
				begin 
						
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1		
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1	
				
				end 


					select	row_number() over (order by DATE_BEGIN) as ID ,
							FM1 = [FM]  ,
							IM1 = [IM],
							OT1 = [OT],
							PFNUMBER1 = [PFNUMBER], 
							T_DOG1= T_DOG,
							TYPE1 = [TYPE], 
							DATE_BEGIN1 = [DATE_BEGIN], 
							DATE_END1 = (CASE WHEN [DATE_END] > @dDate2 THEN @dDate2 ELSE  [DATE_END] END )  , 
							TU_CODE1 = [TU_CODE], 
							OS_CODE1 = [OS_CODE], 
							EX_CODE1 = [EX_CODE], 
							f_is_dop1 = [f_is_dop], 
							P_CODE1 = [P_CODE], 
							f_ud_dop1 = [f_ud_dop] 
					into #TMP04
					FROM #SZV_ALL  WHERE  id_ex IS NOT NULL /*AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN)*/ and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 and fm = @FM1 --and T_DOG = 1
					GROUP BY [FM],[IM],[OT],[PFNUMBER], T_DOG,[TYPE], [DATE_BEGIN], [DATE_END] , [TU_CODE], [OS_CODE], [EX_CODE], [f_is_dop], [P_CODE], [f_ud_dop]
					ORDER BY  [FM],[IM],[OT],[PFNUMBER], T_DOG,[TYPE]
				
				

					UPDATE #TMP3
					set COL10 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL11 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL12 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1) ,
						COL13 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL14 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1), 
						COL15 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=1 and FM1= @FM1),
					    COL16 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=1 and FM1= @FM1), 
					    COL17 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=1 and FM1= @FM1), 
					    COL18 = (SELECT distinct convert(varchar(10),DATE_BEGIN1 , 104 ) FROM #TMP04 where ID=2 and FM1= @FM1), 
					    COL19 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL20 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL21 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
						COL22 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1), 
						COL23 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL24 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=2 and FM1= @FM1), 
					    COL25 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL26 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=3 and FM1= @FM1), 
					    COL27 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL28 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL29 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
						COL30 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1), 
						COL31 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL32 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=3 and FM1= @FM1), 
					    COL33 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL34 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=4 and FM1= @FM1), 
					    COL35 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL36 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL37 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
						COL38 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1), 
						COL39 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL40 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=4 and FM1= @FM1), 
					    COL41 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=4 and FM1= @FM1),
						
					    COL45 = CONVERT(VARCHAR(300),ISNULL((SELECT distinct isnull(convert(varchar(10),DATE_BEGIN1,104 ),' ') 
																	  + ',' + isnull(convert(varchar(10),DATE_END1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),TU_CODE1 ),' ') 
																	  + ',' + isnull(convert(varchar(30),OS_CODE1 ),' ') 
																		+ ','  + isnull(convert(varchar(10),EX_CODE1 ),' ')
																	 + ','  + isnull(convert(varchar(100),f_is_dop1 ),' ')
																	 + ','  + isnull(convert(varchar(10),P_CODE1) ,' ')
																	 + ','  + isnull(convert(varchar(100),f_ud_dop1),' ')			
																	 + ','  
					                                         FROM #TMP04 where ID=5 and FM1= @FM1),' ')), 
					    COL46 = CONVERT(VARCHAR(300),ISNULL((SELECT distinct isnull(convert(varchar(10),DATE_BEGIN1,104 ),' ') 
																	  + ',' + isnull(convert(varchar(10),DATE_END1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),TU_CODE1 ), ' ') 
																	  + ',' + isnull(convert(varchar(30),OS_CODE1 ),' ') 
																		+ ','  + isnull(convert(varchar(10),EX_CODE1 ),' ')
																	 + ','  + isnull(convert(varchar(100),f_is_dop1 ),' ')
																	 + ','  + isnull(convert(varchar(10),P_CODE1) ,' ')
																	 + ','  + isnull(convert(varchar(100),f_ud_dop1),' ')
																	 + ','  			
															 FROM #TMP04 where ID=6 and FM1= @FM1),' '))
				
					
					from #TMP3	
					WHERE #TMP3.COL9 = @TYPE1 
					and #TMP3.COL7 = @PFNUMBER1 and  #TMP3.COL3 = '700'

				
					drop table #TMP04	


					set @pf_num11 = @PFNUMBER1
					set @OSOB_SPO_old = @OSOB_SPO
					set @TYPE_OLD1 = @TYPE1
					
			END

			FETCH NEXT FROM @Cur4 INTO @CODE1,@TYPE1,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		END

		CLOSE @Cur4
		DEALLOCATE @Cur4
	*/
	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 3 ,  803
		
		SELECT DISTINCT 
			CODE = ROW_NUMBER() OVER (ORDER BY CODE),
			COL1 = ROW_NUMBER() OVER (ORDER BY COL1),
			COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, 
			COL11, COL12, COL13, COL14, COL15, COL16, COL17, COL18, COL19, COL20, 
			COL21, COL22, COL23, COL24, COL25, COL26, COL27, COL28, COL29, COL30, 
			COL31, COL32, COL33, COL34, COL35, COL36, COL37, COL38, COL39, COL40, 
			COL41, COL42, COL43, COL44, COL45, COL46
		FROM #TMP3 where col5 <> 0 or col6 <> 0 or ISNULL(COL10,'') <> '' ORDER BY CODE, COL8

--RSA_RSV_1_PERS_UCH_szv '20140401', '20140630', 13488 , 3, 2786
		drop table #TMP3
	
	END		

	IF @REP = 4 
	BEGIN 	
		/*  6.8          6 */
		create table #TMP4(CODE int identity(1,1) ,col1 int,   COL2 VARCHAR(10), COL3 VARCHAR(10), COL4 VARCHAR(10), COL5 VARCHAR(30), COL6 VARCHAR(10), COL7 varchar(100), COL8 VARCHAR(10), COL9 varchar(100), COL10 VARCHAR(14), COL11 INT , COL12 INT, COL13 VARCHAR(100), COL14 varchar(100), COL15 VARCHAR(100) )

		INSERT INTO #TMP4 (COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL12, COL13, COL14, COL15 )
		SELECT 
			   COL2 = convert(varchar(10),(CASE WHEN [DATE_BEGIN] > @dDate2 THEN @dDate2 ELSE [DATE_BEGIN] END) , 104), 
			   COL3 = CONVERT(varchar(10),[DATE_END] , 104),
			   COL4 = CONVERT(VARCHAR(10),ISNULL([TU_CODE],'')),
			   COL5 = CONVERT(VARCHAR(30),ISNULL([OS_CODE],'')),
			   COL6 = CONVERT(VARCHAR(10),ISNULL([EX_CODE],'')),
			   COL7 = CONVERT(VARCHAR(100),ISNULL([f_is_dop],'')),
			   COL8 = CONVERT(VARCHAR(10),ISNULL([P_CODE],'')),
			   COL9 = CONVERT(VARCHAR(100),ISNULL([f_ud_dop],'')),
			   COL10 = CONVERT(VARCHAR(100),ISNULL([PFNUMBER],'')),
			   COL12 = ISNULL([TYPE],0),
			   COL13 = CONVERT(varchar(100),FM),
			   COL14 = CONVERT(varchar(100),IM),
			   COL15 = CONVERT(varchar(100),OT)
		FROM #SZV_ALL 
		WHERE 
			id_ex IS NOT NULL AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN)
		GROUP BY 
			[FM],[IM],[OT],[PFNUMBER],[TYPE], [DATE_BEGIN], [DATE_END] , [TU_CODE], [OS_CODE], [EX_CODE], [f_is_dop], [P_CODE], [f_ud_dop]
		ORDER BY
			[FM],[IM],[OT],[PFNUMBER],[TYPE]

		UPDATE #TMP4 
			SET col1 = CODE , COL11 = CODE 

		SELECT * FROM #TMP4 ORDER BY CODE
		
		drop table #TMP4
		--GROUP BY [TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt]	
		
	END	
	
	
		
		drop table #SZV_ALL
		--drop table #docs_kor_otm
		--drop table #docs

END










GO


GRANT EXECUTE ON dbo.[RSA_RPSV_PERS_UCH_SZV] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9769.sql

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[UNLOAD_MROT_T1]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[UNLOAD_MROT_T1]

GO
CREATE PROCEDURE dbo.UNLOAD_MROT_T1 @PERIOD DATETIME, @MASK_DICT_CODE VARCHAR(254) = '%'
/*
  1    
 :
UNLOAD_MROT_T1 @PERIOD = '20180101', @MASK_DICT_CODE = '31[1,2]'
*/
AS

BEGIN

SET NOCOUNT ON

IF OBJECT_ID('TEMPDB..#OUT','U') IS NOT NULL
	DROP TABLE #OUT

CREATE TABLE #OUT (ORD INT IDENTITY(1,1), TXT VARCHAR(8000) )

INSERT INTO #OUT (TXT)
SELECT
'
IF OBJECT_ID(''TEMPDB..#TMP_MROT_T1'',''U'') IS NOT NULL
	DROP TABLE #TMP_MROT_T1

CREATE TABLE #TMP_MROT_T1 (
	[PERIOD] DATETIME,
	[SO_CODE] VARCHAR(30),
	[SO2_CODE] VARCHAR(30),
	[DICT_CODE] VARCHAR(20),
	[PREDEL] numeric(28, 2),
	[SUMMA] numeric(28, 2)
)
GO' + CHAR(13) + CHAR(10)

INSERT INTO #OUT (TXT)
SELECT 'INSERT INTO #TMP_MROT_T1 ([PERIOD],[SO_CODE],[SO2_CODE],[DICT_CODE],[PREDEL],[SUMMA])' +char(13)+char(10)+
'VALUES (' + COALESCE('convert(datetime,'''+convert(varchar(23),[PERIOD], 121)+''', 121)', 'NULL')
+', '+COALESCE('''' + RTRIM(REPLACE(SO.[CODE],'''','''''')) + '''','NULL')
+', '+COALESCE('''' + RTRIM(REPLACE(SO2.[CODE],'''','''''')) + '''','NULL')
+', '+COALESCE('''' + RTRIM(REPLACE(D.[CODE],'''','''''')) + '''','NULL')
+', '+COALESCE(LTRIM(convert(varchar(100), [PREDEL])),'NULL')
+', '+COALESCE(LTRIM(convert(varchar(100), [SUMMA])),'NULL') +')'+char(13)+char(10)+'GO'
FROM
	dbo.MINROT A
	INNER JOIN dbo.MINROT_DICTION B ON A.LINK = B.LINK_MINROT
	INNER JOIN dbo.S_OBJECTS SO ON SO.LINK = B.[OBJECT]
	INNER JOIN dbo.DICTION D ON B.LINK_DICTION = D.LINK
	INNER JOIN dbo.S_OBJECTS SO2 ON SO2.LINK = D.[OBJECT]
WHERE
	A.PERIOD = @PERIOD
	AND SO.CODE = 'COLUMN_REF_PAY_MROT_T1'
	AND D.CODE LIKE @MASK_DICT_CODE


INSERT INTO #OUT (TXT)
SELECT '
UPDATE T SET 
	T.[PREDEL] = B.[PREDEL], T.[SUMMA] = B.[SUMMA]
FROM 
	dbo.MINROT A
	INNER JOIN #TMP_MROT_T1 B ON A.[PERIOD] = B.[PERIOD]
	INNER JOIN dbo.S_OBJECTS SO ON SO.[CODE] = B.[SO_CODE]
	INNER JOIN dbo.DICTION D ON B.[DICT_CODE] = D.[CODE]
	INNER JOIN dbo.S_OBJECTS SO2 ON SO2.[LINK] = D.[OBJECT] AND SO2.[CODE] = B.[SO2_CODE]
	INNER JOIN dbo.MINROT_DICTION T ON T.[LINK_MINROT] = A.LINK AND T.[OBJECT] = SO.LINK AND T.[LINK_DICTION] = D.LINK
'+char(13)+char(10)+'GO'

INSERT INTO #OUT (TXT)
SELECT '
INSERT INTO dbo.MINROT_DICTION ([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT 
	LINK_MINROT = A.LINK, [LINK_DICTION] = D.LINK, [OBJECT] = SO.LINK, B.[PREDEL], B.[SUMMA]
FROM 
	dbo.MINROT A
	INNER JOIN #TMP_MROT_T1 B ON A.[PERIOD] = B.[PERIOD]
	INNER JOIN dbo.S_OBJECTS SO ON SO.[CODE] = B.[SO_CODE]
	INNER JOIN dbo.DICTION D ON B.[DICT_CODE] = D.[CODE]
	INNER JOIN dbo.S_OBJECTS SO2 ON SO2.[LINK] = D.[OBJECT] AND SO2.[CODE] = B.[SO2_CODE]
WHERE
	NOT EXISTS (SELECT * FROM dbo.MINROT_DICTION T WHERE T.[LINK_MINROT] = A.LINK AND T.[OBJECT] = SO.LINK AND T.[LINK_DICTION] = D.LINK)
'+char(13)+char(10)+'GO'


SELECT TXT AS '--SQL SCRIPT' FROM #OUT ORDER BY ORD

SET NOCOUNT OFF

end

GO


GRANT EXECUTE ON dbo.[UNLOAD_MROT_T1] TO PUBLIC

GO



IF OBJECT_ID('TEMPDB..#TMP_MROT_T1','U') IS NOT NULL
	DROP TABLE #TMP_MROT_T1

CREATE TABLE #TMP_MROT_T1 (
	[PERIOD] DATETIME,
	[SO_CODE] VARCHAR(30),
	[SO2_CODE] VARCHAR(30),
	[DICT_CODE] VARCHAR(20),
	[PREDEL] numeric(28, 2),
	[SUMMA] numeric(28, 2)
)
GO

INSERT INTO #TMP_MROT_T1 ([PERIOD],[SO_CODE],[SO2_CODE],[DICT_CODE],[PREDEL],[SUMMA])
VALUES (convert(datetime,'2017-07-01 00:00:00.000', 121), 'COLUMN_REF_PAY_MROT_T1', 'DICTIONARY_TYP_DEDUCTION', '311', 0.00, 2000000.00)
GO

INSERT INTO #TMP_MROT_T1 ([PERIOD],[SO_CODE],[SO2_CODE],[DICT_CODE],[PREDEL],[SUMMA])
VALUES (convert(datetime,'2017-07-01 00:00:00.000', 121), 'COLUMN_REF_PAY_MROT_T1', 'DICTIONARY_TYP_DEDUCTION', '312', 0.00, 3000000.00)
GO

INSERT INTO #TMP_MROT_T1 ([PERIOD],[SO_CODE],[SO2_CODE],[DICT_CODE],[PREDEL],[SUMMA])
VALUES (convert(datetime,'2017-01-01 00:00:00.000', 121), 'COLUMN_REF_PAY_MROT_T1', 'DICTIONARY_TYP_DEDUCTION', '311', 0.00, 2000000.00)
GO

INSERT INTO #TMP_MROT_T1 ([PERIOD],[SO_CODE],[SO2_CODE],[DICT_CODE],[PREDEL],[SUMMA])
VALUES (convert(datetime,'2017-01-01 00:00:00.000', 121), 'COLUMN_REF_PAY_MROT_T1', 'DICTIONARY_TYP_DEDUCTION', '312', 0.00, 3000000.00)
GO

UPDATE T SET 
	T.[PREDEL] = B.[PREDEL], T.[SUMMA] = B.[SUMMA]
FROM 
	dbo.MINROT A
	INNER JOIN #TMP_MROT_T1 B ON A.[PERIOD] = B.[PERIOD]
	INNER JOIN dbo.S_OBJECTS SO ON SO.[CODE] = B.[SO_CODE]
	INNER JOIN dbo.DICTION D ON B.[DICT_CODE] = D.[CODE]
	INNER JOIN dbo.S_OBJECTS SO2 ON SO2.[LINK] = D.[OBJECT] AND SO2.[CODE] = B.[SO2_CODE]
	INNER JOIN dbo.MINROT_DICTION T ON T.[LINK_MINROT] = A.LINK AND T.[OBJECT] = SO.LINK AND T.[LINK_DICTION] = D.LINK
GO

INSERT INTO dbo.MINROT_DICTION ([LINK_MINROT], [LINK_DICTION], [OBJECT], [PREDEL], [SUMMA])
SELECT 
	LINK_MINROT = A.LINK, [LINK_DICTION] = D.LINK, [OBJECT] = SO.LINK, B.[PREDEL], B.[SUMMA]
FROM 
	dbo.MINROT A
	INNER JOIN #TMP_MROT_T1 B ON A.[PERIOD] = B.[PERIOD]
	INNER JOIN dbo.S_OBJECTS SO ON SO.[CODE] = B.[SO_CODE]
	INNER JOIN dbo.DICTION D ON B.[DICT_CODE] = D.[CODE]
	INNER JOIN dbo.S_OBJECTS SO2 ON SO2.[LINK] = D.[OBJECT] AND SO2.[CODE] = B.[SO2_CODE]
WHERE
	NOT EXISTS (SELECT * FROM dbo.MINROT_DICTION T WHERE T.[LINK_MINROT] = A.LINK AND T.[OBJECT] = SO.LINK AND T.[LINK_DICTION] = D.LINK)
GO


GO

-- FIX >>  : 9768.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_EXPORT_PFR_100_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_EXPORT_PFR_100_17]

GO

CREATE      PROCEDURE [dbo].SZV_STAZH_EXPORT_PFR_100_17 (
@DOC_LINK int  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK = @DOC_LINK

CREATE TABLE #ODV1_ONLY(DOC_LINK INT , ODV1_ONLY TINYINT )	
insert into #ODV1_ONLY(DOC_LINK, ODV1_ONLY)
select 
	doc_link = d.link,
	ODV1_ONLY = (SELECT TOP 1 [type] FROM dbo.SS_SZV_STAZH_PACHKA WHERE link = d.Link)
from #DOC d


--  

CREATE TABLE #ODV1 (
		[LINK_SZV]     INT, 
		[YEAR]     INT ,
		[PER]      INT ,
		[PER_edt]      INT ,
		[YEAR_edt]     INT ,
		[PER10]    INT ,
		[TYPE]	   tinyint,
		[VID_KOR]  tinyint, 
		[COUNT_P]  INT,
		[COUNT_PK] INT,
		[COUNT_PERS] INT,  
		[REG_NOM_PF] VARCHAR(20),
		[DEP_NAME] VARCHAR(254),
		[OKPO] VARCHAR(40),
		[INN] VARCHAR(12),
		[KPP] VARCHAR(9),
		DATE_CRT datetime,
		DATE_DOC datetime,
		[GUID] UNIQUEIDENTIFIER)  

CREATE TABLE #ODV1_2 (
		[LINK_SZV]  INT,
		[link_pers] INT , 
		[subdiv_name] VARCHAR(254), 
		[POST_NAME] VARCHAR(254) , 
		[num_stake] NUMERIC(5,2),
		[work_stake] NUMERIC(5,2),
		[Fakt_Work] VARCHAR(254) ,
		[DOC_NAME] VARCHAR(10), 
		[OSOB_USL] VARCHAR(10) , 
		[N_OSOB_USL] VARCHAR(150) ,
		POS_SPIS VARCHAR(150))  

create table #SZV_ST (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[NGROUP] INT,
	[T_DOG] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int)



create table #PERS_INFO2 (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[T_DOG] INT ,
	[NGROUP] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int)



--       -
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
	
			INSERT INTO #ODV1 ([LINK_SZV],[YEAR],[PER],[PER_EDT],[YEAR_EDT],[PER10],[TYPE],[VID_KOR],[COUNT_P],[COUNT_PK],[COUNT_PERS],
							   [REG_NOM_PF],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC,[GUID])  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 1 
			
			INSERT INTO #ODV1_2 ([LINK_SZV],[link_pers],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],
								 [DOC_NAME],[OSOB_USL],[N_OSOB_USL] ,[POS_SPIS] )  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 2 
			
	
			---  #SZV_ST
				
				INSERT INTO #SZV_ST([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV)
				exec dbo.SZV_STAZH_PRINT @LINK_DOC
				
	
				update #SZV_ST  set FM = UPPER(FM), IM = UPPER(IM), OT = UPPER(OT), ADDRESS2 = UPPER(ADDRESS2) WHERE link_SZV = @LINK_DOC 
			
				
				--  #PERS_INFO2 

				INSERT INTO #PERS_INFO2([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP)

				SELECT	[LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP
				FROM #SZV_ST
			

			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			

DECLARE @NN INT, @PN INT, @ON INT
SELECT @NN = 0, @PN = 0, @ON = 0




DECLARE @PI_NGROUP INT, @PI_ID INT, @PI_link_szv int, @PI_T_DOG tinyint  
DECLARE @Cur_PI CURSOR
SET @Cur_PI = CURSOR FORWARD_ONLY

FOR select link_szv, NGROUP,T_DOG, [ID]  from #SZV_ST order by link_szv,T_DOG, NGROUP, [ID]

OPEN @Cur_PI
FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @NN = (CASE WHEN @PI_NGROUP <> @PN THEN 1 ELSE (CASE WHEN @ON <> @PI_ID THEN @NN + 1 ELSE @NN END) END)
		SET @PN = (CASE WHEN @PI_NGROUP <> @PN THEN @PI_NGROUP ELSE @PN END)

		UPDATE A
		SET 
			ID = @NN
		FROM #SZV_ST A 
		WHERE link_szv = @PI_link_szv and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID

		SET @ON = @NN				

	END

	FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
END

CLOSE @Cur_PI
DEALLOCATE @Cur_PI




-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @link_szv INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC datetime, 
	@INN VARCHAR(12), @KPP VARCHAR(9), @OKPO VARCHAR(40), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@COUNT_P VARCHAR(10) , @COUNT_PK VARCHAR(10), @COUNT_PERS VARCHAR(4), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4),@sved int , @TYP_SVED VARCHAR(20), @kor INT,
	@VID_KOR VARCHAR(20),@PER VARCHAR(1),@PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4),  @TYPE VARCHAR(20), @GUID VARCHAR(36),
	@EGRUL varchar(15), @CHIEF_POST_OUR VARCHAR(150) , @CH_FM  VARCHAR(150) , @CH_IM  VARCHAR(150),@CH_OT  VARCHAR(150)
	/*@INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	
	@KATEG VARCHAR(20)*/

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


SELECT @CHIEF_POST_OUR = (SELECT TOP 1 post_name FROM dbo.SD_EMPL AS se WHERE link  = a.face_link),
		@CH_FM = (SELECT TOP 1 LTRIM(RTRIM(FM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_IM = (SELECT TOP 1 LTRIM(RTRIM(IM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_OT = (SELECT TOP 1 LTRIM(RTRIM(OT)) FROM dbo.sd_empl WHERE link  = a.face_link)
FROM DICTIONARY_OTV_FACE_ALL A  
inner join dbo.SS_SZV_STAZH_PACHKA P on a.dep_link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )
AND  a.NAME = '' 



SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	link_szv,
	FNAME = '_'+ RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))) + '_'+LEFT(REPLACE([REG_NOM_PF],'-',''),6)+'_-_'+CONVERT(VARCHAR(8),ltrim(rtrim(replace(CONVERT(VARCHAR(10),DATE_DOC,102),'.',''))))+'_'+ltrim(rtrim([GUID]))+'.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	[OKPO] = RTRIM(LTRIM(COALESCE(OKPO,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))),
	--PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	[COUNT_P] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_P]))), 	
	[COUNT_PK] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PK]))),
	[COUNT_PERS] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PERS]))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = DATE_DOC,
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SVED = [TYPE] ,
	TYP_SVED = (CASE WHEN [TYPE] = 1 THEN '' else (CASE WHEN [TYPE] = 2 THEN '' else '' end) end),
	KOR = [VID_KOR] ,
	VID_KOR = (CASE WHEN [VID_KOR] = 2 THEN '' else (CASE WHEN [VID_KOR] = 3 THEN '' else '' end) end),
	[PER] = 0 ,  --CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	PER_EDT = CONVERT(VARCHAR(1),[PER_edt]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	[GUID] = RTRIM(LTRIM(CONVERT(VARCHAR(36),iSnull([GUID],null))))
from #ODV1 order by link_szv

/*  A63        61 */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	 @SVED, @TYP_SVED, @KOR,@VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'UTF-8' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://.///2014-01-01" xmlns:xs="http://www.w3.org/2001/XMLSchema">'
			/*UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21"'+CHAR(10)+CHAR(13)
+ ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://.//-/2017-01-01'+CHAR(10)
+'..\..\..\..\\\\2017\-_2017-01-01.xsd">'*/
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				 
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<-1>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + CASE when @VID_KOR = '' THEN '1' ELSE '0' end + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'					
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + RTRIM(LTRIM(ISNULL(@COUNT_PERS,''))) + '</>'
	

	IF (SELECT COUNT([work_stake])  FROM #ODV1_2 WHERE [LINK_SZV] =  @link_szv ) <>0
	BEGIN 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  SELECT @lcFNAME , SPACE(2) + '<>'
		
		
		-- 1 
		DECLARE @Cur2 CURSOR, @LINK_SZV1 int, @subdiv_name varchar(254), @POST_NAME varchar(254), @num_stake NUMERIC(5,2), @work_stake NUMERIC(5,2),
				@Fakt_Work VARCHAR(254), @DOC_NAME VARCHAR (10),@OSOB_USL VARCHAR(10),@POS_SPIS VARCHAR(150) 
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
			Select	[LINK_SZV],[subdiv_name],
					[POST_NAME],[num_stake],[work_stake],
					[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 
			FROM #ODV1_2  WHERE  [LINK_SZV] = @link_szv 
			GROUP BY [LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 			   			
		
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN	
						IF isnull(@OSOB_USL,'') <> '' AND isnull(@POS_SPIS,'') <> '' 
						begin		
							  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											Select @lcFNAME, SPACE(3) + '<:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@subdiv_name,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@POST_NAME,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(CONVERT(VARCHAR(8),ISNULL(@num_stake,''))))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(ISNULL(@work_stake,''))))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@Fakt_Work,''))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@DOC_NAME,'-')))+'</:>' 
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@OSOB_USL,'')))+'</:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@POS_SPIS,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '</:>'
								  UNION ALL SELECT @lcFNAME, SPACE(3) + '</:>'
						end
					END
				
					FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS					  
					
				END 
			CLOSE @Cur2
			DEALLOCATE @Cur2
								
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(3) + '<:>'+ RTRIM(LTRIM(CONVERT(VARCHAR(8),SUM(@num_stake))))+ '</:> '  + CHAR(10)
							  +	 SPACE(3) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(sum(@work_stake))))) + '</:>'
				FROM #ODV1_2 WHERE LINK_SZV = @DOC_LINK  GROUP BY LINK_SZV
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	END 

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+REPLACE(RTRIM(LTRIM(isnull(@CHIEF_POST_OUR,''))),' ','')+'</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_FM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_IM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_OT,'')))+'</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(VARCHAR(10),@DATE_DOC , 120) +'</>'
		UNION ALL SELECT @lcFNAME, SPACE(1) + '</-1>'

	-- - 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	Select @lcFNAME, SPACE(1) + '<->'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	UNION ALL Select @lcFNAME, SPACE(2) + '<>'+CASE WHEN  @SVED = 2 THEN '2' 
															     WHEN  @SVED = 1 AND @KOR = 1 THEN '0'	
															     WHEN @SVED = 1 AND @KOR = 2 THEN '1'
															ELSE '0'  END    
												  +'</>'  + CHAR(10)
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	


	DECLARE @LINK_SZV_ST int, @TYPE_SV INT , @TYPE_KOR INT , @ID int, @ID_EX INT, @PF_NUMBER VARCHAR(14)
	SET @Cur2 = CURSOR FORWARD_ONLY
	FOR 
	Select	[LINK_SZV],[TYPE_SV],[TYPE],[ID],[PFNUMBER]
	FROM #SZV_ST  WHERE  [LINK_SZV] = @link_szv 
	GROUP BY [LINK_SZV],[ID],[PFNUMBER],[TYPE_SV],[TYPE]
	ORDER BY [LINK_SZV],[ID],[PFNUMBER]	,[TYPE_SV],[TYPE]	   			
	
	OPEN @Cur2
	FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN	
			  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						Select @lcFNAME, SPACE(2) +'<>'	+ CHAR(10)
										  + SPACE(3) + '<>'	+ CHAR(10)  
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(FM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(IM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(OT,'')))+'</:>'+ CHAR(10) 
										  + SPACE(3) + '</>'+ CHAR(10) 
										  + SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL([PFNUMBER],''))) + '</>' + CHAR(10) 
										FROM 	#SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER

									
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
									Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
										FROM #pers_info2
										where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER
		  
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
								Select @lcFNAME, SPACE(2) +'</>'	+ CHAR(10)  
										FROM 	#SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1  AND [PFNUMBER] = @PF_NUMBER
		END
	
		FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER--,@ID_EX 				  
		
	END 
	CLOSE @Cur2
	DEALLOCATE @Cur2	
		

	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, SPACE(1) + '</->'	
	UNION ALL SELECT @lcFNAME, SPACE(0) +'</>'

	FETCH NEXT FROM @Cur1 INTO  @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	@SVED, @TYP_SVED,@KOR, @VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]















GO


GRANT EXECUTE ON dbo.[SZV_STAZH_EXPORT_PFR_100_17] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9756.sql
--  [DOP_IS]   POST_TYPE
IF COLUMNPROPERTY(object_id('[dbo].[POST_TYPE]'), 'DOP_IS', 'AllowsNull') is null
	ALTER TABLE [dbo].[POST_TYPE] ADD [DOP_IS] int NOT NULL DEFAULT (0)
GO

GO

DECLARE @spr_code varchar(20),
		@code varchar(30),
		@name varchar(254),
		@date1 datetime
SELECT @spr_code = 'ISCHISL_STAZH_DOP_SV',
	@code = '',
	@name = '           ',
	@date1 = '20170101'		
IF  not exists (select * from dbo.SZV4_SPR where spr_code = @spr_code and code = @code)
	INSERT INTO dbo.SZV4_SPR WITH (ROWLOCK) (spr_code, code, [name], date1) 
	VALUES (@spr_code, LTRIM(RTRIM(@code)), LTRIM(RTRIM(@name)), @date1)

SELECT @spr_code = 'ISCHISL_STAZH_DOP_SV',
	@code = '',
	@name = '       ',
	@date1 = '20170101'		
IF  not exists (select * from dbo.SZV4_SPR where spr_code = @spr_code and code = @code)
	INSERT INTO dbo.SZV4_SPR WITH (ROWLOCK) (spr_code, code, [name], date1) 
	VALUES (@spr_code, LTRIM(RTRIM(@code)), LTRIM(RTRIM(@name)), @date1)
	
SELECT @spr_code = 'ISCHISL_STAZH_DOP_SV',
	@code = '',
	@name = '         ',
	@date1 = '20170101'		
IF  not exists (select * from dbo.SZV4_SPR where spr_code = @spr_code and code = @code)
	INSERT INTO dbo.SZV4_SPR WITH (ROWLOCK) (spr_code, code, [name], date1) 
	VALUES (@spr_code, LTRIM(RTRIM(@code)), LTRIM(RTRIM(@name)), @date1)	

SELECT @spr_code = 'ISCHISL_STAZH_DOP_SV',
	@code = '',
	@name = '      ',
	@date1 = '20170101'		
IF  not exists (select * from dbo.SZV4_SPR where spr_code = @spr_code and code = @code)
	INSERT INTO dbo.SZV4_SPR WITH (ROWLOCK) (spr_code, code, [name], date1) 
	VALUES (@spr_code, LTRIM(RTRIM(@code)), LTRIM(RTRIM(@name)), @date1)

SELECT @spr_code = 'ISCHISL_STAZH_DOP_SV',
	@code = '',
	@name = '         ',
	@date1 = '20170101'		
IF  not exists (select * from dbo.SZV4_SPR where spr_code = @spr_code and code = @code)
	INSERT INTO dbo.SZV4_SPR WITH (ROWLOCK) (spr_code, code, [name], date1) 
	VALUES (@spr_code, LTRIM(RTRIM(@code)), LTRIM(RTRIM(@name)), @date1)	
			
GO

GO

/****** :    ******/
EXEC X_SET_PROP 'POST_TYPES', 'SAVE_OBJECT_METHOD', 'X_SAVE("SAVE_POST_TYPE", m.cAlias, "ALLTRIM(NAME),INSTR,DOP_IS","POST_TYPES")'

GO

/****** : .    ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'STATUS_TYPES_DOP_IS_2')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'STATUS_TYPES_DOP_IS_2')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'STATUS_TYPES_DOP_IS_2')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'STATUS_TYPES_DOP_IS_2')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'STATUS_TYPES_DOP_IS_2'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'STATUS_TYPES_DOP_IS_2')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='STATUS_TYPES_DOP_IS_2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'STATUS_TYPES_DOP_IS_2', '.    ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='POST_TYPES'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'STATUS_TYPES_DOP_IS_2', NAME = '.    ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='POST_TYPES'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='STATUS_TYPES_DOP_IS_2'
GO
EXEC X_SET_PROP 'STATUS_TYPES_DOP_IS_2', 'TITLE', '.'
GO
EXEC X_SET_PROP 'STATUS_TYPES_DOP_IS_2', 'VISIBLE', '31'
GO
EXEC X_SET_PROP 'STATUS_TYPES_DOP_IS_2', 'CONTROLSOURCE', 'm.cAlias + ".DOP_IS_C"'
GO
EXEC X_SET_PROP 'STATUS_TYPES_DOP_IS_2', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'STATUS_TYPES_DOP_IS_2', 'ROWSOURCE', '",,,,"'
GO
EXEC X_SET_PROP 'STATUS_TYPES_DOP_IS_2', 'STORAGE', 'DICTION'
GO
EXEC X_SET_PROP 'STATUS_TYPES_DOP_IS_2', 'TYPE_FIELD_DICT', 'VARCHAR(20)'
GO
EXEC X_SET_PROP 'STATUS_TYPES_DOP_IS_2', 'SHORT_CODE_OBJ', 'DOP_IS_C'
GO
EXEC X_SET_PROP 'STATUS_TYPES_DOP_IS_2', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".DOP_IS_C"'
GO
EXEC X_SET_PROP 'STATUS_TYPES_DOP_IS_2', 'CONTROL_NAME_EDIT', 'Acmb3'
GO
EXEC X_SET_PROP 'STATUS_TYPES_DOP_IS_2', 'REFERENCE_TO_FIELD', 'DOP_IS'
GO
EXEC X_SET_PROP 'STATUS_TYPES_DOP_IS_2', 'COMMENTARY', '.             .'
GO
EXEC X_SET_PROP 'STATUS_TYPES_DOP_IS_2', 'ATTRIBUTES', 'WIDTH = 400'
GO

/****************     *************/

GO





IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[POST_TYPES]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[POST_TYPES]

GO

/*
  (Keysystems), 2008
*/


CREATE       VIEW dbo.POST_TYPES
AS
SELECT link
	   ,NAME 
	   ,instr 
	   ,INSTR_C = CASE instr WHEN 0 THEN '0.   '
					   WHEN 1 THEN '1.   922  24.12.2007. ()'
					   ELSE '2.   562  06.09.2007. ( . )' 
				  end	
	  , DOP_IS
	  , DOP_IS_C = CASE DOP_IS WHEN 0 THEN ' '
							   WHEN 1 THEN ''
							   WHEN 2 THEN ''
							   WHEN 3 THEN ''
							   WHEN 4 THEN ''
							   ELSE '' 
				  end			     
	FROM dbo.POST_TYPE



GO


GRANT SELECT ON dbo.[POST_TYPES] TO PUBLIC

GO


-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SAVE_POST_TYPE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SAVE_POST_TYPE]

GO

CREATE   PROCEDURE dbo.SAVE_POST_TYPE
	@varKSparLINK		int	OUTPUT,
	@varKSparName		varchar(254),
	@varKSparINSTR		INT,
	@varKSparDOP_IS		INT
AS
DECLARE @varKSRowCount	INT,
		@varKSERROR	tinyint,
			@varKStrancount	int

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN


IF @varKSparLINK IS NULL 
	RETURN 5

IF @varKSparINSTR IS NULL 
	RETURN 5
IF @varKSparDOP_IS IS NULL 
	RETURN 5	


UPDATE POST_TYPE
	SET INSTR = @varKSparINSTR,
	 DOP_IS = @varKSparDOP_IS
WHERE link = @varKSparLINK
	
SELECT @varKSERROR = @@ERROR, @varKSRowCount = @@IDENTITY

  IF @varKSERROR <> 0
  BEGIN
		ROLLBACK
		RETURN 7
  END
  IF @varKSRowCount = 0
  BEGIN
		ROLLBACK
		RETURN 2
  END

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN
RETURN 0







GO


GRANT EXECUTE ON dbo.[SAVE_POST_TYPE] TO PUBLIC

GO


-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_STAZH_SAVE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_STAZH_SAVE]

GO


------------------------------------------------------------------------
CREATE   PROCEDURE dbo.SS_SZV_ST_STAZH_SAVE
	@link		int output,
	@link_up	int,
	@orders		int,
	@date1		datetime,
	@date2		datetime,
	@ter_usl	varchar(10) = '',
	@ter_koef	numeric(18,2),
	@osob_usl	varchar(10) = '',
	@osob_k1	varchar(20) = '',
	@osob_k2	varchar(20) = '',
	@osob_SPO	varchar(20) = '',
	@osob_k3	varchar(20) = '',
	@is_osnov	varchar(10) = '',
	@is_dop		varchar(20) = '',
	@is_dop_m	tinyint,
	@is_dop_d	tinyint,
	@ud_osnov	varchar(10) = '',
	@ud_dop_m	int,
	@ud_dop_d	int,
	@ud_dop_k	numeric(18,2)
AS
DECLARE @varKSERROR	tinyint, @varKSstrVALUE	 varchar(7000), @varKStrancount	 int, @varKSRowCount INT, @varKSsoLink int

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN


IF coalesce(@link_up,0) = 0 or @date1 is null
BEGIN
	ROLLBACK
	RETURN 5
END

IF exists (select * from dbo.SZV_ST_STAZH where link <> @link and link_up = @link_up and (@date1 between date1 and coalesce(date2,'20990101') 
										or coalesce(@date2,'20990101') between date1 and coalesce(date2,'20990101') ) AND is_dop = @is_dop)
BEGIN
	ROLLBACK
	RETURN 8
END

SELECT @varKSsoLink = LINK FROM s_objects  WHERE CODE = 'SS_SZV_ST_STAZH'

IF @LINK is null OR @LINK = 0
	BEGIN
		INSERT INTO dbo.SZV_ST_STAZH WITH (ROWLOCK) (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_spo, osob_k3, 
								is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k)
			VALUES (@link_up, @orders, @date1, @date2, RTRIM(LTRIM(@ter_usl)), @ter_koef, RTRIM(LTRIM(@osob_usl)), RTRIM(LTRIM(@osob_k1)), 
								RTRIM(LTRIM(@osob_k2)), RTRIM(LTRIM(@osob_SPO)), RTRIM(LTRIM(@osob_k3)), RTRIM(LTRIM(@is_osnov)), RTRIM(LTRIM(@is_dop)), 
								@is_dop_m, @is_dop_d, RTRIM(LTRIM(@ud_osnov)), @ud_dop_m, @ud_dop_d, @ud_dop_k)

		SELECT @varKSERROR = @@ERROR, @LINK = @@IDENTITY
		IF @varKSERROR <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
	END
ELSE
	BEGIN

		UPDATE dbo.SZV_ST_STAZH WITH (ROWLOCK) 
		SET 	link_up =@link_up, orders =@orders, date1 =@date1, date2 =@date2, 
			ter_usl = RTRIM(LTRIM(@ter_usl)), ter_koef = @ter_koef, osob_usl = RTRIM(LTRIM(@osob_usl)), 
			osob_k1 = RTRIM(LTRIM(@osob_k1)), osob_k2 = RTRIM(LTRIM(@osob_k2)),osob_spo = RTRIM(LTRIM(@osob_SPO)), osob_k3 = RTRIM(LTRIM(@osob_k3)), 
			is_osnov = RTRIM(LTRIM(@is_osnov)), is_dop = RTRIM(LTRIM(@is_dop)), is_dop_m = @is_dop_m, 
			is_dop_d = @is_dop_d, ud_osnov = RTRIM(LTRIM(@ud_osnov)), ud_dop_m = @ud_dop_m, ud_dop_d = @ud_dop_d, ud_dop_k = @ud_dop_k

		WHERE LINK = @LINK

		SELECT @varKSERROR = @@ERROR, @varKSRowCount = @@ROWCOUNT
		IF @varKSERROR <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
		IF @varKSRowCount = 0
		BEGIN
			ROLLBACK
			RETURN 2
		END
	END

/* */
declare @uslovie int
set @uslovie = 1

update SZV_ST_STAZH set orders = 0 where link_up = @link_up

while @uslovie > 0
begin
	update SZV_ST_STAZH set orders = @uslovie 
	from SZV_ST_STAZH as tt
	where 	
		link_up = @link_up
		and coalesce(orders,0) = 0
		and date1 = (select min(t.date1) from SZV_ST_STAZH t where coalesce(orders,0) = 0 and link_up = @link_up)

	if @@rowcount > 0
		set @uslovie = @uslovie + 1
	else
		set @uslovie = 0
end


declare @varKSEventText varchar(200)
Select  @varKSEventText = '-    ' + RTRIM(LTRIM(FIO)) from dbo.SS_SZV_STAZH_SVEDENIA where link = @LINK_UP
EXECUTE WF_GENERATEEVENT ' ', @varKSEventText, @varKSsoLink, 'SS_SZV_ST_STAZH',@LINK
WHILE @@TRANCOUNT > @varKStrancount
	COMMIT TRAN

RETURN 0




GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_STAZH_SAVE] TO PUBLIC

GO


-- --

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_PACHKA_PROVERKA]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_ST_PACHKA_PROVERKA]

GO

CREATE   PROCEDURE dbo.SZV_ST_PACHKA_PROVERKA (@result int output, @link int, @mode tinyint)
AS

if @mode = 0 
BEGIN
	Select @result = proverka from dbo.SZV_STAZH_PACHKA where link = @link
	RETURN 0
END

if @mode = 1
BEGIN
	set @result = 0

	declare @DEP_LINK int
	exec dbo.xd_whats_zb @DEP_LINK output

	DECLARE @varKSNOM_PF VARCHAR(20), @varKSname VARCHAR(254), @varKSDEP int,
		@varKSOKPO VARCHAR(40), @varKSINN VARCHAR(12), @varKSKPP VARCHAR(9)--, @varKSRESULT INT

	SELECT 
		@varKSDEP = D.link, @varKSNOM_PF = PFNUMBER, @varKSname = UPPER([NAME]),
		@varKSOKPO = OKPO, @varKSINN = INN, @varKSKPP = KPP
	FROM DICTIONARY_DEPARTMENT D 
	WHERE D.link = @DEP_LINK

	declare @year_begin int
	set @year_begin = (SELECT year_begin FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link)

--	EXEC SD_CHECK_INN @varKSINN, @varKSRESULT OUTPUT, 0

	SELECT pachka = 0, orders = 0, msg = '  : ' + 
	(case when LEN(RTRIM(LTRIM(COALESCE(@varKSKPP,'')))) = 0 THEN '   ;' else '' end)
	WHERE LEN(RTRIM(LTRIM(COALESCE(@varKSKPP,'')))) = 0 
	UNION
	SELECT pachka = 0, orders = 0, msg = '  : ' + 
	(case when LEN(RTRIM(LTRIM(COALESCE(@varKSOKPO,'')))) = 0 THEN '   ;' else '' end)
	WHERE LEN(RTRIM(LTRIM(COALESCE(@varKSOKPO,'')))) = 0 
	UNION
	SELECT pachka = 0, orders = 0, msg = '  : ' + 
	(case when LEN(RTRIM(LTRIM(COALESCE(@varKSINN,'')))) = 0 THEN '   ;' 
		else (case when LEN(RTRIM(LTRIM(COALESCE(@varKSINN,'')))) < 10  then '    ' + RTRIM(LTRIM(COALESCE(@varKSINN,''))) else '' end) end)
	WHERE LEN(RTRIM(LTRIM(COALESCE(@varKSINN,'')))) < 10  --or @varKSRESULT = -1
	UNION
	SELECT pachka = 0, orders = 0, msg = '  : ' + 
	(case when LEN(RTRIM(LTRIM(COALESCE(@varKSNOM_PF,'')))) = 0 THEN '      ;' 
		else (case when LEN(RTRIM(LTRIM(COALESCE(@varKSNOM_PF,'')))) <> 14 then '       ' + RTRIM(LTRIM(COALESCE(@varKSNOM_PF,''))) else '' end) end)
	WHERE LEN(RTRIM(LTRIM(COALESCE(@varKSNOM_PF,'')))) <> 14
	UNION
	Select pachka, orders, msg = ' ' + convert(varchar(10),pachka) + ' . ' + convert(varchar(10),orders) + '  () ():' + 
		(case when coalesce(FM,'') = '' then ' ;' else '' end) + 
		(case when coalesce(IM,'') = '' then ' ;' else '' end) + 
		--(case when coalesce(OT,'') = '' then ' ;' else '' end) + 
		(case when coalesce(PF_NUM,'') = '' then '   ;' else '' end) + 
		(case when len(coalesce(ADDRESS2,'')) <= 9 then ' ' else '' end)
	from dbo.ss_szv_STAZH_svedenia
	where	
		link = @link
		and (
		coalesce(FM,'') = ''
		or coalesce(IM,'') = ''
		--or coalesce(OT,'') = ''
		or coalesce(PF_NUM,'') = ''
		or len(coalesce(ADDRESS2,'')) <= 9
		)
	UNION
	Select pachka, orders, msg = ' ' + convert(varchar(10),pachka) + ' . ' + convert(varchar(10),orders) + ' :' + 
		+ (case when coalesce(dper_vn_m,0)>12 or coalesce(dper_oz_m,0)>12 then ' -      12;' else '' end)
		+ (case when coalesce(dper_vn_d,0)>=30 or coalesce(dper_oz_d,0)>=30 then ' -     30;' else '' end)
		+ (case when (coalesce(dper_vn_m,0) + coalesce(dper_vn_d,0) / 30 + coalesce(dper_oz_m,0) + coalesce(dper_oz_d,0) / 30) > 12 then 
				'    . .     /    12 .;' else '' end)	

	from dbo.ss_szv_STAZH_svedenia
	where	
		link = @link
		and (
		coalesce(dper_vn_m,0)>12
		or coalesce(dper_vn_d,0)>=30
		or coalesce(dper_oz_m,0)>12
		or coalesce(dper_oz_d,0)>=30
		or (coalesce(dper_vn_m,0) + coalesce(dper_vn_d,0)/30 + coalesce(dper_oz_m,0) + coalesce(dper_oz_d,0)/30) > 12
		)

	UNION
	/*    ,            */	
	Select pachka, orders, msg = ' ' + convert(varchar(10),pachka) + ' . ' + convert(varchar(10),orders) + ' ,       .           ,     .'
	from dbo.ss_szv_STAZH_svedenia S inner join  dbo.szv_STAZH_pachka p on p.link = s.link
	WHERE s.link = @LINK AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0
	and p.vid_kor != 3
	AND NOT EXISTS (SELECT * FROM dbo.SZV_ST_STAZH ST WHERE ST.LINK_UP = S.LINK1)
	Order by pachka, orders

	if @@ROWCOUNT = 0 
	BEGIN
		exec dbo.SZV_ST_NUMERATOR @link
		update dbo.szv_STAZH_pachka set proverka = 1 where link = @link
		set @result = 1
	END		


END

RETURN 0







GO


GRANT EXECUTE ON dbo.[SZV_ST_PACHKA_PROVERKA] TO PUBLIC

GO


-- --

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]

GO

CREATE   PROCEDURE [dbo].SS_SZV_ST_PACHKA_CALC_Buffer_2017 (@BufferCode varchar(10), @link int, @Year int, @Month tinyint) 
AS

DECLARE @SQL VARCHAR(1000)

SET @SQL = '
delete from dbo.Buffer
where RTRIM(LTRIM(ID)) = RTRIM(LTRIM( ''' + @BufferCode + ''' ))
	and link IN (select S.link_pers from dbo.SZV_STAZH_SVEDENIA S where S.link_up = ' + CONVERT(VARCHAR(20),@LINK) + ')'
--EXEC (@SQL)	--!!


CREATE TABLE #PERSON (LINK INT)	

SET @SQL = '
INSERT INTO #PERSON (LINK)
SELECT DISTINCT LINK FROM dbo.Buffer WHERE RTRIM(LTRIM(ID)) = RTRIM(LTRIM(''' + @BufferCode + '''))'
EXEC (@SQL)	

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @VID_KOR TINYINT , @type_doc tinyint

SELECT @VID_KOR = VID_KOR, @type_doc = [type]
FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link


IF @VID_KOR = 2
begin  
	SELECT @Year = @Year, @PER = PER_EDT, @MONTH_END = @Month
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
else 
begin
	SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
DECLARE @PeriodBegin datetime, @PeriodEnd datetime

/*IF @type_doc = 1 OR (@type_doc = 2 AND @PER <> 4)
BEGIN
	SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
	SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

	IF @MONTH_BEG > @MONTH_END
		SET @MONTH_END = @MONTH_BEG + 3 - 1
END
IF  @type_doc = 2 AND @PER = 4
 BEGIN */
		SET @MONTH_BEG = 1 
		SET @MONTH_END = 12
/* END */

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--  .
--
DECLARE @LINK_OZOI INT
SET @LINK_OZOI = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 3 AND @Year BETWEEN YBEG AND YEND),1)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME)

INSERT INTO #PERS_INV (PERS_LINK, DATE_BEGIN, DATE_END) 
SELECT PERS_LINK, DATE_BEGIN = MIN(ISNULL(I.DATE_BEGIN,@PeriodBegin)), DATE_END = MAX(ISNULL(I.DATE_END,@PeriodEnd))
FROM dbo.PERS_INVALID I
WHERE ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin
GROUP BY PERS_LINK


--forma    2013     (1 , 2 )
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_OZOI,
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END,
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
from 
	(	SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2 
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	INNER JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		

----
DECLARE @LINK_NR INT
SET @LINK_NR = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 1 AND @Year BETWEEN YBEG AND YEND),1)

--forma    2013     (1 , 2 )	
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_NR,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodBegin < CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		THEN @PeriodBegin 
		ELSE CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END + 1
	END,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodEnd > CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		THEN @PeriodEnd
		ELSE CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END - 1
	END
from 
	(	
		SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		
WHERE --          
	I.PERS_LINK IS NULL --  
	OR --    
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1
	OR --    
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1	

----
DECLARE @LINK_USEN INT
SET @LINK_USEN = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 2 AND @Year BETWEEN YBEG AND YEND),1)		
	
insert into dbo.SZV_STAZH_SVEDENIA 
	(link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
SELECT 	
	link_up, orders, forma, link_pers, ISNULL(sum_doh,0), ISNULL(sum_str,0), ISNULL(sum_nak,0), ISNULL(sum_dop,0), ISNULL(dper_vn_m,0), ISNULL(dper_vn_d,0), ISNULL(dper_oz_m,0), ISNULL(dper_oz_d,0), ISNULL(isum_str,0), ISNULL(isum_nak,0), @LINK_USEN, DATE_BEG, DATE_END
FROM
	#PERSON B INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON B.LINK = S.link_pers 
WHERE
	link_up = @link
	AND
	LINK_KATEG = @LINK_NR	

/*----        
CREATE TABLE #PERS_SUM_J (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, MON INT, INCOME NUMERIC(18,2), SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM_J (LINK_PERS, LINK_KATEG, DOG, MON, INCOME, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG, MON,
	SUM(CASE WHEN [OBJECT] = 1 THEN SUMMA ELSE 0 END), --  (INCOME)
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.EMPL E ON E.PERS_LINK = S.LINK_PERS
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_EMPL = E.LINK 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 1 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
	UNION ALL	
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.PERS_LINK = S.LINK_PERS 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 2 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG, MON
*/
--
/*CREATE INDEX #TMP_IDX_#PERS_SUM_J ON #PERS_SUM_J (LINK_PERS, LINK_KATEG)

--ר     
-- ר         512   ר 
create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, KATEG TINYINT, DOG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG = 1
FROM 
	dbo.SA_ESN_VIEW(@Year, @Month, @DEP_LINK, 0) S
WHERE 
	WAY_CALC IN (6,7,10,11)
	AND EXISTS (SELECT * FROM #PERSON B WHERE B.LINK = S.REF_PHYS_PERS)

--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, 
	GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, 
	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@Year))) = 2
		THEN 3
		ELSE
		CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END
	END, 
	DOG = 2
FROM 
	dbo.DOCUMENTS_DGH G 
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.PERSON P on GT.PERS_LINK = P.link
	INNER JOIN #PERSON B ON B.LINK = P.LINK
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  IN (6,7,10,11)
	AND YEAR(G.[DATE]) = @Year
	AND MONTH(G.[DATE]) <= @Month
	AND LINK_DEP = @DEP_LINK


--
CREATE INDEX #TMP_IDX_SPR_ESN ON #SPR_ESN (REF_PHYS_PERS, KATEG, DOG)

--
DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS < @PeriodBegin )
*/
--  
DECLARE @STAVKI TABLE ( LINK_PERS INT, TARIF TINYINT, PREDEL NUMERIC(15,2), [PERCENT] NUMERIC(8,2), WAY_CALC TINYINT)

INSERT INTO @STAVKI (LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC)
SELECT 
	LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC 
FROM 
	dbo.SA_ESN_TARIF(DEFAULT, @PeriodEnd, DEFAULT) S
WHERE 
	WAY_CALC IN (6,7)
	AND EXISTS (SELECT * FROM #PERSON P WHERE P.LINK = S.LINK_PERS)

--	
DECLARE @LIMIT NUMERIC(18,2)
SET @LIMIT = ISNULL((SELECT MIN(PREDEL) FROM @STAVKI WHERE TARIF = 1 AND WAY_CALC = 6),0)

------      ר   ר  512.
/*CREATE TABLE #SUM_PERSON (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT, WAY_CALC TINYINT, [PERCENT] NUMERIC(18,2), MON TINYINT, 
				BAZA NUMERIC(18,2), SUM_LIM NUMERIC(18,2), SUM_KOR NUMERIC(18,2),BAZA2 NUMERIC(18,2),  NALOG NUMERIC(20,6), M BIT)

INSERT INTO #SUM_PERSON (LINK_PERSON, KATEG, DOG, WAY_CALC, [PERCENT], MON, BAZA, NALOG, M)
SELECT
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE,
	SUM(ISNULL(SUMMA_BASE,0) - ISNULL(DED_M,0) - ISNULL(INV_M,0)) AS BAZA,
	SUM(SUMMA),
	0
FROM 
	#SPR_ESN E
	INNER JOIN @STAVKI S ON S.LINK_PERS = E.REF_PHYS_PERS AND S.WAY_CALC = E.WAY_CALC AND S.TARIF = E.KATEG
WHERE 
	S.PREDEL = @LIMIT
GROUP BY
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE

-- ,     
CREATE TABLE #PERS_AFTER (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT)

INSERT INTO #PERS_AFTER (LINK_PERSON, KATEG, DOG)
SELECT LINK_PERSON, KATEG, DOG
FROM #SUM_PERSON 
WHERE WAY_CALC = 6
GROUP BY LINK_PERSON, KATEG, DOG
HAVING SUM(BAZA) > @LIMIT
DECLARE @Cur2 CURSOR, @MON TINYINT, @KATEG TINYINT, @DOG TINYINT

SET @Cur2 = CURSOR FORWARD_ONLY
FOR SELECT DISTINCT MON, KATEG, DOG FROM #SUM_PERSON SP
	ORDER BY MON, KATEG ASC, DOG DESC
OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE SP --     
		SET 
			M = 1,
			SUM_LIM = (SELECT SUM(BAZA) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.WAY_CALC = SP.WAY_CALC AND (M=1 OR SP1.MON = SP.MON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG))
		FROM #SUM_PERSON SP
		WHERE MON = @MON AND KATEG = @KATEG AND DOG = @DOG
		
		UPDATE #SUM_PERSON -- 
		SET SUM_KOR = CASE WHEN ISNULL(SUM_LIM,0) > @LIMIT THEN ISNULL(SUM_LIM,0) - @LIMIT ELSE 0 END

		UPDATE #SUM_PERSON
		SET BAZA2 = CASE WHEN (ISNULL(BAZA,0) > ISNULL(SUM_KOR,0) OR ISNULL(BAZA,0) < 0)
							THEN ISNULL(BAZA,0) - ISNULL(SUM_KOR,0) ELSE 0 END
		
		UPDATE SP
		SET NALOG = 
					CASE WHEN BAZA <> BAZA2 
						THEN 
							
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON <= SP.MON),0)
							* ISNULL([PERCENT],0) / 100)
							-
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON < SP.MON),0)
							* ISNULL([PERCENT],0) / 100)

						ELSE 
							(SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND SP.DOG = PS.DOG AND PS.MON = SP.MON)
					END
					
					--CASE WHEN BAZA <> BAZA2 
					--	THEN ISNULL(BAZA2,0) * ISNULL([PERCENT],0) / 100
					--	ELSE (SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND PS.MON = SP.MON)
					--END	
		FROM
			#SUM_PERSON SP
		WHERE --  ,    
			EXISTS (SELECT * FROM #PERS_AFTER PA WHERE PA.LINK_PERSON = SP.LINK_PERSON AND PA.KATEG = SP.KATEG AND PA.DOG = SP.DOG)

	END
	FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
END

CLOSE @Cur2
DEALLOCATE @Cur2

--    
CREATE TABLE #PERS_SUM (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM (LINK_PERS, LINK_KATEG, DOG, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG,
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, SUMMA_BASE = SUM(BAZA2), SUMMA = SUM(NALOG)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG
		INNER JOIN #SUM_PERSON SP ON SP.LINK_PERSON = S.LINK_PERS AND SP.KATEG = K.LINK2 AND S.FORMA = SP.DOG AND SP.MON BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
	WHERE
		S.LINK_UP = @link
		AND
		@Year BETWEEN K.YBEG AND K.YEND
	GROUP BY
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, S.FORMA
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG

--
UPDATE S SET
	sum_doh = ISNULL(SUMMA_I,0), -- 10     
	sum_str = 0, -- 10      ,  ..    -  0,  
	sum_nak = ISNULL(SUMMA_G,0), --      
	sum_dop = 0 --  10      ,  ..    -  0,  
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #PERS_SUM P ON P.LINK_PERS = S.LINK_PERS AND P.LINK_KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

*/
---   
/*CREATE TABLE #INCOME_T1T2 (
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_T1_M1 NUMERIC(18,2),
	INCOME_T2_M1 NUMERIC(18,2),
	INCOME_T1_M2 NUMERIC(18,2),
	INCOME_T2_M2 NUMERIC(18,2),
	INCOME_T1_M3 NUMERIC(18,2),
	INCOME_T2_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME_T1T2 (LINK_PERS, KATEG, DOG, INCOME_T1_M1, INCOME_T2_M1, INCOME_T1_M2, INCOME_T2_M2, INCOME_T1_M3, INCOME_T2_M3)
SELECT REF_PHYS_PERS, KATEG, E.DOG, 
	INCOME_T1_M1 = SUM(CASE WHEN WAY_CALC = 10 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END), 
	INCOME_T2_M1 = SUM(CASE WHEN WAY_CALC = 11 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M2 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M2 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M3 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M3 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END)
FROM #SPR_ESN E
WHERE WAY_CALC IN (10,11)	
GROUP BY REF_PHYS_PERS, KATEG, E.DOG

UPDATE S SET
	S.INCOME_T1_M1 = P.INCOME_T1_M1,
	S.INCOME_T2_M1 = P.INCOME_T2_M1,
	S.INCOME_T1_M2 = P.INCOME_T1_M2,
	S.INCOME_T2_M2 = P.INCOME_T2_M2,
	S.INCOME_T1_M3 = P.INCOME_T1_M3,
	S.INCOME_T2_M3 = P.INCOME_T2_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME_T1T2 P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

--    
CREATE TABLE #INCOME(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_M1 NUMERIC(18,2),
	INCOME_M2 NUMERIC(18,2),
	INCOME_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME (LINK_PERS, KATEG, DOG, INCOME_M1, INCOME_M2, INCOME_M3)
SELECT 
	LINK_PERS, LINK_KATEG, DOG,
	INCOME_M1 = SUM(INCOME),
	INCOME_M2 = SUM(CASE WHEN MON = (@Month - 1) THEN INCOME ELSE 0 END),
	INCOME_M3 = SUM(CASE WHEN MON = @Month THEN INCOME ELSE 0 END)
FROM #PERS_SUM_J
GROUP BY 
	LINK_PERS, LINK_KATEG, DOG

UPDATE S SET
	S.INCOME_M1 = P.INCOME_M1,
	S.INCOME_M2 = P.INCOME_M2,
	S.INCOME_M3 = P.INCOME_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	


--   
CREATE TABLE #BASE(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	BASE_BEFORE_M1 NUMERIC(18,2),
	BASE_AFTER_M1 NUMERIC(18,2),
	BASE_BEFORE_M2 NUMERIC(18,2),
	BASE_AFTER_M2 NUMERIC(18,2),
	BASE_BEFORE_M3 NUMERIC(18,2),
	BASE_AFTER_M3 NUMERIC(18,2)	
	)

INSERT INTO #BASE (LINK_PERS, KATEG, DOG, BASE_BEFORE_M1, BASE_AFTER_M1, BASE_BEFORE_M2, BASE_AFTER_M2, BASE_BEFORE_M3, BASE_AFTER_M3 )
SELECT LINK_PERSON, KATEG, DOG,
	BASE_BEFORE_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M3	= SUM(CASE WHEN MON = @Month THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M3	= SUM(CASE WHEN MON = @Month THEN BAZA - BAZA2 ELSE 0 END)		
FROM #SUM_PERSON 
WHERE 
	WAY_CALC = 6
GROUP BY
	LINK_PERSON, KATEG, DOG
	
UPDATE S SET
	S.BASE_BEFORE_M1 = P.BASE_BEFORE_M1,
	S.BASE_AFTER_M1 = P.BASE_AFTER_M1,
	S.BASE_BEFORE_M2 = P.BASE_BEFORE_M2,
	S.BASE_AFTER_M2 = P.BASE_AFTER_M2,
	S.BASE_BEFORE_M3 = P.BASE_BEFORE_M3,
	S.BASE_AFTER_M3 = P.BASE_AFTER_M3	
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #BASE P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	
*/
--   ,   
SELECT LINK_PERS, FORMA, LINK_KATEG INTO #TAB FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY LINK_PERS, FORMA, LINK_KATEG HAVING SUM(sum_doh) = 0 AND SUM(sum_nak) = 0 AND SUM(INCOME_M1) = 0
--	

DELETE FROM dbo.SZV_STAZH_SVEDENIA 
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 AND LINK_KATEG NOT IN( @LINK_NR, @LINK_OZOI)

DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 
	AND NOT EXISTS (SELECT LINK_PERS FROM #TAB T WHERE T.LINK_PERS = dbo.SZV_STAZH_SVEDENIA.LINK_PERS AND T.FORMA = dbo.SZV_STAZH_SVEDENIA.FORMA AND T.LINK_KATEG = dbo.SZV_STAZH_SVEDENIA.LINK_KATEG)

--  
UPDATE dbo.SZV_STAZH_SVEDENIA SET LINK_KATEG = @LINK_NR WHERE link_up = @link AND LINK_KATEG = @LINK_OZOI

----     
EXEC [dbo].SS_SZV_ST_PACHKA_RASPIL @link

IF @VID_KOR != 3
	begin  
	---  

	----------------------------------------------------------------------------
	CREATE TABLE #PERIODY (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] int, NUM_STAKE NUMERIC(5,2), [IS_DOP] VARCHAR(20),	[NOT_LGOT_EXPIR] INT NULL)

	--/* */
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, TYPE,[IS_DOP])
	SELECT 	DISTINCT
		PERS_LINK, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			THEN (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			ELSE S.DATE_END
		END,	
		0,
		[IS_DOP] = isnull(pt.DOP_IS_C, '' )  --(SELECT TOP 1  pt.DOP_IS_C  from dbo.POST_TYPES AS pt WHERE   pt.link = st.gossl) 
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.EMPL E ON S.LINK_PERS = E.PERS_LINK AND E.DEP_LINK = @DEP_LINK
		INNER JOIN dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		left join dbo.staff_head sh on sh.link = p.STAFF_LINK
		left join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
	WHERE
		S.LINK_UP = @link
		AND
		P.DATE_BEGIN <= @PeriodEnd
		AND
		coalesce(U.DIS_DATE,'20990101') >= @PeriodBegin
		--AND st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin	

	/* */
	Select DISTINCT
		link_face = DGH.PERS_LINK, LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				THEN (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				ELSE S.DATE_BEG
			END,
		date2 = CASE WHEN S.DATE_END > (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				THEN (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				ELSE S.DATE_END
			END,
		[type] = 0
	INTO #DGH	
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.SALARY_REESTR_DGH DGH ON S.LINK_PERS = DGH.PERS_LINK
	WHERE 
		S.LINK_UP = @link
		AND
		DGH.DEP_LINK = @DEP_LINK
		and
		DGH.DATE1 <= @PeriodEnd
		and
		coalesce(DGH.DATE2,'20990101') >= @PeriodBegin

	--       
	SELECT LINK_FACE, DB = MIN(DATE1), DE = MAX(DATE2)
	INTO #WORK
	FROM #PERIODY
	GROUP BY LINK_FACE


	UPDATE S SET 
		S.DATE_BEG = CASE WHEN W.DB < S.DATE_BEG THEN S.DATE_BEG ELSE W.DB END,
		S.DATE_END = CASE WHEN W.DE > S.DATE_END THEN S.DATE_END ELSE W.DE END
	FROM 
		dbo.SZV_STAZH_SVEDENIA S INNER JOIN #WORK W ON S.LINK_PERS = W.LINK_FACE
	WHERE 
		S.LINK_UP = @link
	
	--
	CREATE TABLE #ADD_TYPE (
		[type] INT IDENTITY(1,1),
		[TERR_USL_TRUD] int NULL ,
		[TERR_RK] numeric(3, 2) NULL ,
		[OSOB_USL_TRUD] int NULL ,
		[COD_POS_SPISOK] int NULL ,
		[COD_POS_SPISOK2] int NULL ,
		[USL_DOSROCH_PENS] int NULL ,
		[STAVKA_PED_MED] numeric(3, 2) NULL,
		[VID] VARCHAR(20),
		[IS_DOP] VARCHAR(20),
		[COD_SPO_USL_TRUD] INT NULL
	)	
	INSERT INTO #ADD_TYPE 
		([TERR_USL_TRUD],[TERR_RK],[OSOB_USL_TRUD],[COD_POS_SPISOK],[COD_POS_SPISOK2],[USL_DOSROCH_PENS],[STAVKA_PED_MED],[VID],[IS_DOP],[COD_SPO_USL_TRUD])
	SELECT DISTINCT 
		ISNULL(s.TERR_USL_TRUD,0), ISNULL(s.TERR_RK,0), ISNULL(s.OSOB_USL_TRUD,0), ISNULL(s.COD_POS_SPISOK,0), ISNULL(s.COD_POS_SPISOK2,0), ISNULL(s.USL_DOSROCH_PENS,0), ISNULL(s.STAVKA_PED_MED,0), VID = 'ADD_TYPE', IS_DOP =  ISNULL(dop_is_c,''), ISNULL(s.[COD_SPO_USL_TRUD],0) 
	FROM dbo.staff s 
	LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = s.gossl
	WHERE ISNULL(s.TERR_USL_TRUD,0) <> 0 OR ISNULL(s.TERR_RK,0) <> 0 OR ISNULL(s.OSOB_USL_TRUD,0) <> 0 OR ISNULL(s.COD_POS_SPISOK,0) <> 0 OR ISNULL(s.COD_POS_SPISOK2,0) <> 0 OR ISNULL(s.USL_DOSROCH_PENS,0) <> 0 OR ISNULL(s.STAVKA_PED_MED,0) <> 0 OR ISNULL(s.[COD_SPO_USL_TRUD],0) <> 0 
	OR ISNULL(pt.dop_is_c,'')<>'' 

	--
	DECLARE @MAX_TYPE INT
	SET @MAX_TYPE = ISNULL((SELECT MAX(type) FROM #ADD_TYPE),0)

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('TMP_TYPE', '')
	
	/*  ( )*/
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('KOMM_TYPE', '')


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD1', '')

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	SELECT DISTINCT
		'PERIOD2',
		ISNULL(V.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
					--AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
					) VV ON VV.LINK = IV.TYPE_LINK
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD3', '')
/*
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	Select DISTINCT
		'PERIOD4',
		ISNULL(VV.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/
	--    
	INSERT INTO #ADD_TYPE (VID, IS_DOP) 	
	SELECT LEFT('P_' + LTRIM(RTRIM(CODE)),20), IS_DOP
	FROM dbo.VACATION_VID 
	WHERE	IS_DOP IS NOT NULL
			AND 
			NOT EXISTS (SELECT * FROM #ADD_TYPE WHERE VID = LEFT('P_' + LTRIM(RTRIM(CODE)),20))



	--    c   
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type], NUM_STAKE, IS_DOP)
	SELECT DISTINCT 
		link_face = E.PERS_LINK, S.LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN ELSE @PeriodBegin end)
					THEN (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN else  (case when IM.DATE_BEGIN >= @PeriodBegin  THEN IM.DATE_BEGIN ELSE @PeriodBegin end) end)
					ELSE (case when IM.DATE_BEGIN >= S.DATE_BEG  AND (dis_date IS NOT NULL AND dis_date BETWEEN @PeriodBegin AND @PeriodEND) THEN IM.DATE_BEGIN ELSE S.DATE_BEG end) --          -      
				END,
		date2 = CASE WHEN 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
							> (case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					THEN 
						(case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					ELSE 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
				END,	
		ISNULL(T.[type],0),
		ISNULL(im.NUM_STAKE,0),
		IS_DOP = isnull(T.[IS_DOP],'')
		--, ST.*
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		INNER JOIN dbo.sa_item_move im ON im.EMPL_LINK = e.link
		inner join dbo.staff_head sh on sh.link = STAFF_LINK
		inner join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1	
		left join #ADD_TYPE T on 
				ISNULL(st.TERR_USL_TRUD,0) = ISNULL(T.TERR_USL_TRUD,0) 
				AND ISNULL(st.TERR_RK,0) = ISNULL(T.TERR_RK,0) 
				AND ISNULL(st.OSOB_USL_TRUD,0) = ISNULL(T.OSOB_USL_TRUD,0) 
				AND ISNULL(st.COD_POS_SPISOK,0) = ISNULL(T.COD_POS_SPISOK,0) 
				AND ISNULL(st.COD_POS_SPISOK2,0) = ISNULL(T.COD_POS_SPISOK2,0) 
				AND ISNULL(st.USL_DOSROCH_PENS,0) = ISNULL(T.USL_DOSROCH_PENS,0) 
				AND ISNULL(st.STAVKA_PED_MED,0) = ISNULL(T.STAVKA_PED_MED,0) 
				AND ISNULL(st.[COD_SPO_USL_TRUD],0) = ISNULL(T.[COD_SPO_USL_TRUD],0)
				AND ltrim(rtrim(ISNULL(pt.[DOP_IS_C],''))) = ltrim(rtrim(ISNULL(T.[IS_DOP],'')))
	where 
		S.LINK_UP = @link
		AND
		IM.NUM_STAKE >= 1 
		AND
		IM.[STATUS] <> 2 -- .   
		AND
		im.DATE_BEGIN <= @PeriodEnd and im.DATE_END3 >= @PeriodBegin
		and 
		st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin
		AND 
		im.DATE_end3 > st.DATE_BEGIN -- AND st.DATE_END	 --            
		AND
		T.[TYPE] IS NOT NULL AND T.VID = 'ADD_TYPE'
		AND
		COALESCE(U.DIS_DATE,'20990101') >= @PeriodBegin
	order by
		E.PERS_LINK
 
	---**************************************

	DECLARE @TMP_TYPE INT
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')

	/* -    ( .  )*/
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	Select DISTINCT 
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		ISNULL( (SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = LEFT('P_' + LTRIM(RTRIM(VV.CODE)),20) AND AT.IS_DOP = VV.IS_DOP ), @TMP_TYPE),
		[NOT_LGOT_EXPIR]
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_vacation iv on E.link = iv.EMPL_LINK 
		inner join dbo.orders o on iv.order_link=o.link
		--  ,   "    ", 
		--  (   )
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link /*AND NO_SAL <> 1*/
		INNER JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK AND WORK_D <> 7 --      (   )
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and ISNULL(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		ISNULL(ISNULL(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	/* -    ( .  )*/	
	--SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'KOMM_TYPE')
	
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			THEN (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE,
		1
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_travel T on E.link = T.EMPL_LINK
		left join dbo.ITEM_TRAVEL_LONG ITL on ITL.TRAVEL_LINK = T.LINK and ISNULL(ITL.ACTIVE,0) = 1	
	WHERE
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		AND 
		T.ACTIVE = 1 
		AND 
		T.DATE_BEGIN <= @PeriodEnd
		AND 
		ISNULL(ISNULL(ITL.NEW_DATE_END,T.date_end),'20990101') >= @PeriodBegin

	/* -      */

	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD1')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
		INNER JOIN dbo.NETRUD N ON N.LINK = [TYPE] AND N.DEKRET = 1
	WHERE 
		S.LINK_UP = @link
		AND	
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin

	/* -  */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD3')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
	WHERE
		S.LINK_UP = @link
		AND	 
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin
		and
		[TYPE] not in (select LINK from dbo.NETRUD where DEKRET = 1)

	/* -     1,5   3 */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD2' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(V.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER join dbo.TYP_DAYS D on V.TYPE_LINK = D.LINK AND  WORK_D = 7 
		--INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
			----AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
		--	) VV ON VV.LINK = IV.TYPE_LINK
		LEFT JOIN DBO.ITEM_VACATION_BREAK IVB ON IVB.VAC_LINK = IV.LINK AND COALESCE(IVB.ACTIVE,0) = 1
	WHERE 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


/*
	/* -     */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	Select DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD4' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(VV.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	WHERE
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/


	--------------------------------------------------------------------------
	-- 2.            type.
	--- ,        , ..     
	CREATE TABLE #PERIODY3 (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] INT, orders int, i int, NUM_STAKE NUMERIC(5,2),IS_DOP VARCHAR(20), TYPE_ADD INT)

	--    -1  ..  
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, [type])
	SELECT DISTINCT link_face, LINK_KATEG, @PeriodBegin, @PeriodEnd, [type] = -1   FROM #PERIODY


	CREATE TABLE #DAYS (ID INT IDENTITY(1,1), LINK_FACE INT, LINK_KATEG INT, [DATE] DATETIME, [TYPE] INT, NUM INT/*, IS_DOP VARCHAR(20)*/, NUM_STAKE NUMERIC(5,2), [TYPE_ADD] INT)

	INSERT INTO #DAYS (LINK_FACE, LINK_KATEG, [DATE], [TYPE], NUM, NUM_STAKE/*,IS_DOP*/, [TYPE_ADD])
	SELECT P.LINK_FACE, P.LINK_KATEG, [DATE], [TYPE] = MAX([TYPE]), 0, 
		[NUM_STAKE] = MAX(ISNULL(NUM_STAKE,0)), 
		--isnull(IS_DOP,''),
		[TYPE_ADD] = MAX(CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END
		)
	FROM 
		#PERIODY P
		INNER JOIN dbo.days_ex(@PeriodBegin, @PeriodEnd) D ON 1=1
	WHERE
		D.[DATE] BETWEEN P.DATE1 AND P.DATE2
	GROUP BY
		 P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]
	ORDER BY	
		P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]


	--   ,     
	UPDATE #DAYS SET [TYPE_ADD] = 0 
	WHERE 
		EXISTS (SELECT * FROM #PERIODY WHERE 
			#PERIODY.[NOT_LGOT_EXPIR] = 1
			AND #PERIODY.link_face = #DAYS.link_face
			AND #DAYS.[DATE] BETWEEN #PERIODY.DATE1 AND #PERIODY.DATE2)


	-- 
	DECLARE 
		@ID INT, @ID1 INT, @ID2 INT, @LINK_FACE INT, @DATE datetime, @LINK_KATEG INT, @TYPE INT, @NUM INT, @TYPE_ADD INT,
		@LINK_FACE1 INT, @LINK_KATEG1 INT, @TYPE1 INT,@TYPE_ADD1 INT,@DATE1 datetime

	--  ,      

------------------             
--------       ( -   - ) ,    ...      
--------   #ADD_TYPE    
----
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')
----
	CREATE table #TDays(link_face int, id int,  date DATETIME ,LINK_KATEG int , [TYPE] INT, [TYPE_ADD] INT)
	INSERT INTO #TDays (link_face, id, date, LINK_KATEG, [TYPE], [TYPE_ADD])
	SELECT d.link_face,
		   d.id,
		   d.date,
		   d.LINK_KATEG,
		   d.[TYPE],
		   d.[TYPE_ADD]
	FROM #DAYS d WHERE d.[type] = @TMP_TYPE 
	ORDER BY d.link_face, d.ID ,d.[date], d.[TYPE] ,d.[TYPE_ADD]	 

	DECLARE @Cur0 CURSOR, @F_TYPE int, @F_TYPE_ADD int
	SET @Cur0 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE,[date],LINK_KATEG, [TYPE],  TYPE_ADD from  #TDays order by ID, LINK_FACE, [DATE]
	OPEN @Cur0
	FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
		
			SELECT DISTINCT @F_TYPE =[TYPE], @F_TYPE_ADD = [type_add]  
			FROM #DAYS WHERE LINK_FACE = @LINK_FACE AND LINK_KATEG = @LINK_KATEG AND [DATE] = @DATE-1 
			
			SELECT @F_TYPE = ISNULL(@F_TYPE,0), @F_TYPE_ADD = ISNULL( @F_TYPE_ADD,0) 

			IF @F_TYPE_ADD = @type_add
			BEGIN
			
				UPDATE d
				SET [TYPE] = @F_TYPE , [type_add] = @F_TYPE_ADD 
				FROM #DAYS d
				WHERE d.ID = @ID AND d.LINK_FACE = @LINK_FACE AND d.[DATE] = @DATE AND d.LINK_KATEG=@LINK_KATEG AND d.[TYPE] = @TMP_TYPE

			END	

		END

		FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	END

	CLOSE @Cur0
	DEALLOCATE @Cur0


	--
	/*		---------
				UPDATE #DAYS SET [type] = 0 WHERE [type] = @TMP_TYPE
			---------*/

DROP TABLE #TDays 

---------------------------------------------------------------------------------
	--	
	SELECT TOP 1 @ID1 = 0, @ID2 = 0, @NUM = 0, @LINK_FACE1 = LINK_FACE, @LINK_KATEG1 =LINK_KATEG, @TYPE1 = [TYPE]
	FROM #DAYS
	order by ID
	--
	DECLARE @Cur1 CURSOR
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE, LINK_KATEG, [TYPE] from #DAYS order by ID
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			IF NOT (@LINK_FACE = @LINK_FACE1 AND @LINK_KATEG = @LINK_KATEG1 AND @TYPE = @TYPE1)
			BEGIN
				
				SELECT @NUM = @NUM + 1, @LINK_FACE1 = @LINK_FACE, @LINK_KATEG1 = @LINK_KATEG, @TYPE1 = @TYPE
				UPDATE #DAYS SET NUM = @NUM WHERE ID BETWEEN @ID1 AND @ID-1
				SELECT @ID1 = @ID 

			END

		END

		FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--
	UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1

	--
	INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
	SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE]), DATE_END = MAX([DATE]), [TYPE], 0, 0, NUM_STAKE = MAX(ISNULL(NUM_STAKE,0)), TYPE_ADD
	FROM #DAYS	
	GROUP BY LINK_FACE, LINK_KATEG, NUM, [TYPE], TYPE_ADD
	ORDER BY LINK_FACE, LINK_KATEG, DATE_BEG, DATE_END

---       (  ,   ..) ,        -  
--     ,            (, ,   ..)  

 IF EXISTS (SELECT TOP 1 * FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
 BEGIN 
 	INSERT INTO #PERIODY3(link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
 	SELECT p.link_face , 
 	p.LINK_KATEG ,
 	p.date1, 
 	p.date2, 
 	[type] = (SELECT TOP 1 [type] FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  )), 
 	0,
 	0, 
 	p.NUM_STAKE, 
 	p.TYPE_ADD 
	FROM #PERIODY3 p WHERE exists (SELECT  IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID <> 'ADD_TYPE'  )
	AND p.date1 > = (SELECT TOP 1 DATE1 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
	AND p.date2 < = (SELECT TOP 1 DATE2 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
END 


	--  
	DELETE FROM #PERIODY3 WHERE [TYPE] = -1

	/* */
	DECLARE @uslovie INT
	set @uslovie = 1
	while @uslovie > 0
	begin
		update #PERIODY3 set orders = @uslovie 
		from #PERIODY3 as tt
		where 	coalesce(orders,0) = 0
			and date1 = (select min(t.date1) from #PERIODY3 t where coalesce(orders,0) = 0 and t.link_face = tt.link_face AND T.LINK_KATEG = TT.LINK_KATEG)
		if @@rowcount > 0
			set @uslovie = @uslovie + 1
		else
			set @uslovie = 0
	END

	--   
	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_k3, is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k, osob_spo)
	Select S.link, P.orders, P.date1, P.date2, 
		ter_usl = ISNULL(spr1.CODE,spr1A.CODE),
		ter_koef = ISNULL(T.TERR_RK,TA.TERR_RK),
		osob_usl = ISNULL(spr2.CODE,spr2A.CODE),
		osob_k1 = ISNULL(spr6.CODE,spr6A.CODE),
		osob_k2 = CONVERT(VARCHAR(20),left(ISNULL(spr7.CODE,spr7A.CODE),20)),
		osob_k3 = NULL,
		is_osnov = NULL, 
		is_dop = LTRIM(RTRIM(ISNULL(T.IS_DOP,TA.IS_DOP))),
		is_dop_m = NULL, 
		is_dop_d = NULL, 
		ud_osnov = ISNULL(spr5.CODE,spr5A.CODE), 
		ud_dop_m = NULL, 
		ud_dop_d = NULL, 
		ud_dop_k = ISNULL(T.STAVKA_PED_MED,TA.STAVKA_PED_MED) * P.NUM_STAKE,
		osob_spo = ISNULL(spr9.CODE,spr9A.CODE)
	 from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		inner join #PERIODY3 P on S.link_pers = P.link_face AND S.LINK_KATEG = P.LINK_KATEG
		
		LEFT JOIN #ADD_TYPE T ON P.[TYPE] = T.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1 on spr1.spr_code = 'TERR_USL' and spr1.LINK = T.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2 on spr2.spr_code = 'OSOB_USL_TRUDA' and spr2.LINK = T.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5 on spr5.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5.LINK = T.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6 on spr6.SPR_CODE LIKE 'SPISOK%' and spr6.LINK = T.COD_POS_SPISOK
		left join dbo.szv4_spr spr7 on spr7.SPR_CODE LIKE 'SPISOK%' and spr7.LINK = T.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3
		left join dbo.szv4_spr spr9 on spr9.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9.LINK = T.[COD_SPO_USL_TRUD]

		LEFT JOIN #ADD_TYPE TA ON P.[TYPE_ADD] = TA.[TYPE] AND P.[TYPE_ADD] <> P.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1A on spr1A.spr_code = 'TERR_USL' and spr1A.LINK = TA.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2A on spr2A.spr_code = 'OSOB_USL_TRUDA' and spr2A.LINK = TA.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5A on spr5A.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5A.LINK = TA.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6A on spr6A.SPR_CODE LIKE 'SPISOK%' and spr6A.LINK = TA.COD_POS_SPISOK
		left join dbo.szv4_spr spr7A on spr7A.SPR_CODE LIKE 'SPISOK%' and spr7A.LINK = TA.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3	
		left join dbo.szv4_spr spr9A on spr9A.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9A.LINK = TA.[COD_SPO_USL_TRUD]
	where
		S.link_up = @link
		AND
		S.FORMA = 1
	order by
		S.link, P.orders



	--  
	CREATE TABLE #STAGE_DOG (
		LINK_PERS INT, 
		KATEG TINYINT,
		BERIOD_BEG DATETIME,
		BERIOD_END DATETIME
		)

	INSERT INTO #STAGE_DOG (LINK_PERS, KATEG, BERIOD_BEG, BERIOD_END)
	SELECT LINK_FACE, LINK_KATEG, MIN(date1), MAX(date2) 
	FROM #DGH A
	GROUP BY LINK_FACE, LINK_KATEG

	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2)
	Select S.link, 1, P.BERIOD_BEG, P.BERIOD_END
	from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN #STAGE_DOG P on S.link_pers = P.LINK_PERS AND S.LINK_KATEG = P.KATEG
	where
		S.link_up = @link
		AND
		S.FORMA = 2
	order by
		S.link
		
	END


--------------------------------------------------------------------------
/*    ,            
C 14     
*/	
DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE 
LINK_UP = @link
AND
EXISTS (		
	Select  1
	from dbo.ss_szv_STazh_svedenia S inner join  dbo.szv_STAZH_pachka p on p.link = s.link
	WHERE 
		S.LINK1 = dbo.SZV_STAZH_SVEDENIA.LINK
		AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0
				 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0 
		and p.vid_kor != 3
		AND NOT EXISTS (SELECT * FROM dbo.SZV_ST_STAZH ST WHERE ST.LINK_UP = S.LINK1)
)


--------------------------------------------------------------------------
exec dbo.SZV_ST_NUMERATOR @link










GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017] TO PUBLIC

GO


-- --

GO


GO

-- FIX >>  : 9780.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]

GO

CREATE   PROCEDURE [dbo].SS_SZV_ST_PACHKA_CALC_Buffer_2017 (@BufferCode varchar(10), @link int, @Year int, @Month tinyint) 
AS

DECLARE @SQL VARCHAR(1000)

SET @SQL = '
delete from dbo.Buffer
where RTRIM(LTRIM(ID)) = RTRIM(LTRIM( ''' + @BufferCode + ''' ))
	and link IN (select S.link_pers from dbo.SZV_STAZH_SVEDENIA S where S.link_up = ' + CONVERT(VARCHAR(20),@LINK) + ')'
--EXEC (@SQL)	--!!


CREATE TABLE #PERSON (LINK INT)	

SET @SQL = '
INSERT INTO #PERSON (LINK)
SELECT DISTINCT LINK FROM dbo.Buffer WHERE RTRIM(LTRIM(ID)) = RTRIM(LTRIM(''' + @BufferCode + '''))'
EXEC (@SQL)	

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @VID_KOR TINYINT , @type_doc tinyint

SELECT @VID_KOR = VID_KOR, @type_doc = [type]
FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link


IF @VID_KOR = 2
begin  
	SELECT @Year = @Year, @PER = PER_EDT, @MONTH_END = @Month
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
else 
begin
	SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
DECLARE @PeriodBegin datetime, @PeriodEnd datetime

/*IF @type_doc = 1 OR (@type_doc = 2 AND @PER <> 4)
BEGIN
	SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
	SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

	IF @MONTH_BEG > @MONTH_END
		SET @MONTH_END = @MONTH_BEG + 3 - 1
END
IF  @type_doc = 2 AND @PER = 4
 BEGIN */
		SET @MONTH_BEG = 1 
		SET @MONTH_END = 12
/* END */

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--  .
--
DECLARE @LINK_OZOI INT
SET @LINK_OZOI = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 3 AND @Year BETWEEN YBEG AND YEND),1)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME)

INSERT INTO #PERS_INV (PERS_LINK, DATE_BEGIN, DATE_END) 
SELECT PERS_LINK, DATE_BEGIN = MIN(ISNULL(I.DATE_BEGIN,@PeriodBegin)), DATE_END = MAX(ISNULL(I.DATE_END,@PeriodEnd))
FROM dbo.PERS_INVALID I
WHERE ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin
GROUP BY PERS_LINK


--forma    2013     (1 , 2 )
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_OZOI,
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END,
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
from 
	(	SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2 
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	INNER JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		

----
DECLARE @LINK_NR INT
SET @LINK_NR = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 1 AND @Year BETWEEN YBEG AND YEND),1)

--forma    2013     (1 , 2 )	
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_NR,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodBegin < CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		THEN @PeriodBegin 
		ELSE CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END + 1
	END,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodEnd > CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		THEN @PeriodEnd
		ELSE CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END - 1
	END
from 
	(	
		SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		
WHERE --          
	I.PERS_LINK IS NULL --  
	OR --    
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1
	OR --    
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1	

----
DECLARE @LINK_USEN INT
SET @LINK_USEN = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 2 AND @Year BETWEEN YBEG AND YEND),1)		
	
insert into dbo.SZV_STAZH_SVEDENIA 
	(link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
SELECT 	
	link_up, orders, forma, link_pers, ISNULL(sum_doh,0), ISNULL(sum_str,0), ISNULL(sum_nak,0), ISNULL(sum_dop,0), ISNULL(dper_vn_m,0), ISNULL(dper_vn_d,0), ISNULL(dper_oz_m,0), ISNULL(dper_oz_d,0), ISNULL(isum_str,0), ISNULL(isum_nak,0), @LINK_USEN, DATE_BEG, DATE_END
FROM
	#PERSON B INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON B.LINK = S.link_pers 
WHERE
	link_up = @link
	AND
	LINK_KATEG = @LINK_NR	

/*----        
CREATE TABLE #PERS_SUM_J (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, MON INT, INCOME NUMERIC(18,2), SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM_J (LINK_PERS, LINK_KATEG, DOG, MON, INCOME, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG, MON,
	SUM(CASE WHEN [OBJECT] = 1 THEN SUMMA ELSE 0 END), --  (INCOME)
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.EMPL E ON E.PERS_LINK = S.LINK_PERS
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_EMPL = E.LINK 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 1 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
	UNION ALL	
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.PERS_LINK = S.LINK_PERS 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 2 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG, MON
*/
--
/*CREATE INDEX #TMP_IDX_#PERS_SUM_J ON #PERS_SUM_J (LINK_PERS, LINK_KATEG)

--ר     
-- ר         512   ר 
create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, KATEG TINYINT, DOG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG = 1
FROM 
	dbo.SA_ESN_VIEW(@Year, @Month, @DEP_LINK, 0) S
WHERE 
	WAY_CALC IN (6,7,10,11)
	AND EXISTS (SELECT * FROM #PERSON B WHERE B.LINK = S.REF_PHYS_PERS)

--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, 
	GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, 
	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@Year))) = 2
		THEN 3
		ELSE
		CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END
	END, 
	DOG = 2
FROM 
	dbo.DOCUMENTS_DGH G 
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.PERSON P on GT.PERS_LINK = P.link
	INNER JOIN #PERSON B ON B.LINK = P.LINK
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  IN (6,7,10,11)
	AND YEAR(G.[DATE]) = @Year
	AND MONTH(G.[DATE]) <= @Month
	AND LINK_DEP = @DEP_LINK


--
CREATE INDEX #TMP_IDX_SPR_ESN ON #SPR_ESN (REF_PHYS_PERS, KATEG, DOG)

--
DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS < @PeriodBegin )
*/
--  
DECLARE @STAVKI TABLE ( LINK_PERS INT, TARIF TINYINT, PREDEL NUMERIC(15,2), [PERCENT] NUMERIC(8,2), WAY_CALC TINYINT)

INSERT INTO @STAVKI (LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC)
SELECT 
	LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC 
FROM 
	dbo.SA_ESN_TARIF(DEFAULT, @PeriodEnd, DEFAULT) S
WHERE 
	WAY_CALC IN (6,7)
	AND EXISTS (SELECT * FROM #PERSON P WHERE P.LINK = S.LINK_PERS)

--	
DECLARE @LIMIT NUMERIC(18,2)
SET @LIMIT = ISNULL((SELECT MIN(PREDEL) FROM @STAVKI WHERE TARIF = 1 AND WAY_CALC = 6),0)

------      ר   ר  512.
/*CREATE TABLE #SUM_PERSON (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT, WAY_CALC TINYINT, [PERCENT] NUMERIC(18,2), MON TINYINT, 
				BAZA NUMERIC(18,2), SUM_LIM NUMERIC(18,2), SUM_KOR NUMERIC(18,2),BAZA2 NUMERIC(18,2),  NALOG NUMERIC(20,6), M BIT)

INSERT INTO #SUM_PERSON (LINK_PERSON, KATEG, DOG, WAY_CALC, [PERCENT], MON, BAZA, NALOG, M)
SELECT
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE,
	SUM(ISNULL(SUMMA_BASE,0) - ISNULL(DED_M,0) - ISNULL(INV_M,0)) AS BAZA,
	SUM(SUMMA),
	0
FROM 
	#SPR_ESN E
	INNER JOIN @STAVKI S ON S.LINK_PERS = E.REF_PHYS_PERS AND S.WAY_CALC = E.WAY_CALC AND S.TARIF = E.KATEG
WHERE 
	S.PREDEL = @LIMIT
GROUP BY
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE

-- ,     
CREATE TABLE #PERS_AFTER (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT)

INSERT INTO #PERS_AFTER (LINK_PERSON, KATEG, DOG)
SELECT LINK_PERSON, KATEG, DOG
FROM #SUM_PERSON 
WHERE WAY_CALC = 6
GROUP BY LINK_PERSON, KATEG, DOG
HAVING SUM(BAZA) > @LIMIT
DECLARE @Cur2 CURSOR, @MON TINYINT, @KATEG TINYINT, @DOG TINYINT

SET @Cur2 = CURSOR FORWARD_ONLY
FOR SELECT DISTINCT MON, KATEG, DOG FROM #SUM_PERSON SP
	ORDER BY MON, KATEG ASC, DOG DESC
OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE SP --     
		SET 
			M = 1,
			SUM_LIM = (SELECT SUM(BAZA) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.WAY_CALC = SP.WAY_CALC AND (M=1 OR SP1.MON = SP.MON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG))
		FROM #SUM_PERSON SP
		WHERE MON = @MON AND KATEG = @KATEG AND DOG = @DOG
		
		UPDATE #SUM_PERSON -- 
		SET SUM_KOR = CASE WHEN ISNULL(SUM_LIM,0) > @LIMIT THEN ISNULL(SUM_LIM,0) - @LIMIT ELSE 0 END

		UPDATE #SUM_PERSON
		SET BAZA2 = CASE WHEN (ISNULL(BAZA,0) > ISNULL(SUM_KOR,0) OR ISNULL(BAZA,0) < 0)
							THEN ISNULL(BAZA,0) - ISNULL(SUM_KOR,0) ELSE 0 END
		
		UPDATE SP
		SET NALOG = 
					CASE WHEN BAZA <> BAZA2 
						THEN 
							
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON <= SP.MON),0)
							* ISNULL([PERCENT],0) / 100)
							-
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON < SP.MON),0)
							* ISNULL([PERCENT],0) / 100)

						ELSE 
							(SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND SP.DOG = PS.DOG AND PS.MON = SP.MON)
					END
					
					--CASE WHEN BAZA <> BAZA2 
					--	THEN ISNULL(BAZA2,0) * ISNULL([PERCENT],0) / 100
					--	ELSE (SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND PS.MON = SP.MON)
					--END	
		FROM
			#SUM_PERSON SP
		WHERE --  ,    
			EXISTS (SELECT * FROM #PERS_AFTER PA WHERE PA.LINK_PERSON = SP.LINK_PERSON AND PA.KATEG = SP.KATEG AND PA.DOG = SP.DOG)

	END
	FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
END

CLOSE @Cur2
DEALLOCATE @Cur2

--    
CREATE TABLE #PERS_SUM (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM (LINK_PERS, LINK_KATEG, DOG, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG,
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, SUMMA_BASE = SUM(BAZA2), SUMMA = SUM(NALOG)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG
		INNER JOIN #SUM_PERSON SP ON SP.LINK_PERSON = S.LINK_PERS AND SP.KATEG = K.LINK2 AND S.FORMA = SP.DOG AND SP.MON BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
	WHERE
		S.LINK_UP = @link
		AND
		@Year BETWEEN K.YBEG AND K.YEND
	GROUP BY
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, S.FORMA
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG

--
UPDATE S SET
	sum_doh = ISNULL(SUMMA_I,0), -- 10     
	sum_str = 0, -- 10      ,  ..    -  0,  
	sum_nak = ISNULL(SUMMA_G,0), --      
	sum_dop = 0 --  10      ,  ..    -  0,  
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #PERS_SUM P ON P.LINK_PERS = S.LINK_PERS AND P.LINK_KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

*/
---   
/*CREATE TABLE #INCOME_T1T2 (
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_T1_M1 NUMERIC(18,2),
	INCOME_T2_M1 NUMERIC(18,2),
	INCOME_T1_M2 NUMERIC(18,2),
	INCOME_T2_M2 NUMERIC(18,2),
	INCOME_T1_M3 NUMERIC(18,2),
	INCOME_T2_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME_T1T2 (LINK_PERS, KATEG, DOG, INCOME_T1_M1, INCOME_T2_M1, INCOME_T1_M2, INCOME_T2_M2, INCOME_T1_M3, INCOME_T2_M3)
SELECT REF_PHYS_PERS, KATEG, E.DOG, 
	INCOME_T1_M1 = SUM(CASE WHEN WAY_CALC = 10 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END), 
	INCOME_T2_M1 = SUM(CASE WHEN WAY_CALC = 11 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M2 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M2 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M3 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M3 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END)
FROM #SPR_ESN E
WHERE WAY_CALC IN (10,11)	
GROUP BY REF_PHYS_PERS, KATEG, E.DOG

UPDATE S SET
	S.INCOME_T1_M1 = P.INCOME_T1_M1,
	S.INCOME_T2_M1 = P.INCOME_T2_M1,
	S.INCOME_T1_M2 = P.INCOME_T1_M2,
	S.INCOME_T2_M2 = P.INCOME_T2_M2,
	S.INCOME_T1_M3 = P.INCOME_T1_M3,
	S.INCOME_T2_M3 = P.INCOME_T2_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME_T1T2 P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

--    
CREATE TABLE #INCOME(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_M1 NUMERIC(18,2),
	INCOME_M2 NUMERIC(18,2),
	INCOME_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME (LINK_PERS, KATEG, DOG, INCOME_M1, INCOME_M2, INCOME_M3)
SELECT 
	LINK_PERS, LINK_KATEG, DOG,
	INCOME_M1 = SUM(INCOME),
	INCOME_M2 = SUM(CASE WHEN MON = (@Month - 1) THEN INCOME ELSE 0 END),
	INCOME_M3 = SUM(CASE WHEN MON = @Month THEN INCOME ELSE 0 END)
FROM #PERS_SUM_J
GROUP BY 
	LINK_PERS, LINK_KATEG, DOG

UPDATE S SET
	S.INCOME_M1 = P.INCOME_M1,
	S.INCOME_M2 = P.INCOME_M2,
	S.INCOME_M3 = P.INCOME_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	


--   
CREATE TABLE #BASE(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	BASE_BEFORE_M1 NUMERIC(18,2),
	BASE_AFTER_M1 NUMERIC(18,2),
	BASE_BEFORE_M2 NUMERIC(18,2),
	BASE_AFTER_M2 NUMERIC(18,2),
	BASE_BEFORE_M3 NUMERIC(18,2),
	BASE_AFTER_M3 NUMERIC(18,2)	
	)

INSERT INTO #BASE (LINK_PERS, KATEG, DOG, BASE_BEFORE_M1, BASE_AFTER_M1, BASE_BEFORE_M2, BASE_AFTER_M2, BASE_BEFORE_M3, BASE_AFTER_M3 )
SELECT LINK_PERSON, KATEG, DOG,
	BASE_BEFORE_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M3	= SUM(CASE WHEN MON = @Month THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M3	= SUM(CASE WHEN MON = @Month THEN BAZA - BAZA2 ELSE 0 END)		
FROM #SUM_PERSON 
WHERE 
	WAY_CALC = 6
GROUP BY
	LINK_PERSON, KATEG, DOG
	
UPDATE S SET
	S.BASE_BEFORE_M1 = P.BASE_BEFORE_M1,
	S.BASE_AFTER_M1 = P.BASE_AFTER_M1,
	S.BASE_BEFORE_M2 = P.BASE_BEFORE_M2,
	S.BASE_AFTER_M2 = P.BASE_AFTER_M2,
	S.BASE_BEFORE_M3 = P.BASE_BEFORE_M3,
	S.BASE_AFTER_M3 = P.BASE_AFTER_M3	
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #BASE P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	
*/
--   ,   
SELECT LINK_PERS, FORMA, LINK_KATEG INTO #TAB FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY LINK_PERS, FORMA, LINK_KATEG HAVING SUM(sum_doh) = 0 AND SUM(sum_nak) = 0 AND SUM(INCOME_M1) = 0
--	

DELETE FROM dbo.SZV_STAZH_SVEDENIA 
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 AND LINK_KATEG NOT IN( @LINK_NR, @LINK_OZOI)

DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 
	AND NOT EXISTS (SELECT LINK_PERS FROM #TAB T WHERE T.LINK_PERS = dbo.SZV_STAZH_SVEDENIA.LINK_PERS AND T.FORMA = dbo.SZV_STAZH_SVEDENIA.FORMA AND T.LINK_KATEG = dbo.SZV_STAZH_SVEDENIA.LINK_KATEG)

--  
UPDATE dbo.SZV_STAZH_SVEDENIA SET LINK_KATEG = @LINK_NR WHERE link_up = @link AND LINK_KATEG = @LINK_OZOI

----     
EXEC [dbo].SS_SZV_ST_PACHKA_RASPIL @link

IF @VID_KOR != 3
	begin  
	---  

	----------------------------------------------------------------------------
	CREATE TABLE #PERIODY (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] int, NUM_STAKE NUMERIC(5,2), [IS_DOP] VARCHAR(20),	[NOT_LGOT_EXPIR] INT NULL)

	--/* */
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, TYPE,[IS_DOP])
	SELECT 	DISTINCT
		PERS_LINK, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			THEN (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			ELSE S.DATE_END
		END,	
		0,
		[IS_DOP] = isnull(pt.DOP_IS_C, '' )  --(SELECT TOP 1  pt.DOP_IS_C  from dbo.POST_TYPES AS pt WHERE   pt.link = st.gossl) 
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.EMPL E ON S.LINK_PERS = E.PERS_LINK AND E.DEP_LINK = @DEP_LINK
		INNER JOIN dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		left join dbo.staff_head sh on sh.link = p.STAFF_LINK
		left join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
	WHERE
		S.LINK_UP = @link
		AND
		P.DATE_BEGIN <= @PeriodEnd
		AND
		coalesce(U.DIS_DATE,'20990101') >= @PeriodBegin
		--AND st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin	

	/* */
	Select DISTINCT
		link_face = DGH.PERS_LINK, LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				THEN (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				ELSE S.DATE_BEG
			END,
		date2 = CASE WHEN S.DATE_END > (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				THEN (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				ELSE S.DATE_END
			END,
		[type] = 0
	INTO #DGH	
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.SALARY_REESTR_DGH DGH ON S.LINK_PERS = DGH.PERS_LINK
	WHERE 
		S.LINK_UP = @link
		AND
		DGH.DEP_LINK = @DEP_LINK
		and
		DGH.DATE1 <= @PeriodEnd
		and
		coalesce(DGH.DATE2,'20990101') >= @PeriodBegin

	--       
	SELECT LINK_FACE, DB = MIN(DATE1), DE = MAX(DATE2)
	INTO #WORK
	FROM #PERIODY
	GROUP BY LINK_FACE


	UPDATE S SET 
		S.DATE_BEG = CASE WHEN W.DB < S.DATE_BEG THEN S.DATE_BEG ELSE W.DB END,
		S.DATE_END = CASE WHEN W.DE > S.DATE_END THEN S.DATE_END ELSE W.DE END
	FROM 
		dbo.SZV_STAZH_SVEDENIA S INNER JOIN #WORK W ON S.LINK_PERS = W.LINK_FACE
	WHERE 
		S.LINK_UP = @link
	
	--
	CREATE TABLE #ADD_TYPE (
		[type] INT IDENTITY(1,1),
		[TERR_USL_TRUD] int NULL ,
		[TERR_RK] numeric(3, 2) NULL ,
		[OSOB_USL_TRUD] int NULL ,
		[COD_POS_SPISOK] int NULL ,
		[COD_POS_SPISOK2] int NULL ,
		[USL_DOSROCH_PENS] int NULL ,
		[STAVKA_PED_MED] numeric(3, 2) NULL,
		[VID] VARCHAR(20),
		[IS_DOP] VARCHAR(20),
		[COD_SPO_USL_TRUD] INT NULL
	)	
	INSERT INTO #ADD_TYPE 
		([TERR_USL_TRUD],[TERR_RK],[OSOB_USL_TRUD],[COD_POS_SPISOK],[COD_POS_SPISOK2],[USL_DOSROCH_PENS],[STAVKA_PED_MED],[VID],[IS_DOP],[COD_SPO_USL_TRUD])
	SELECT DISTINCT 
		ISNULL(s.TERR_USL_TRUD,0), ISNULL(s.TERR_RK,0), ISNULL(s.OSOB_USL_TRUD,0), ISNULL(s.COD_POS_SPISOK,0), ISNULL(s.COD_POS_SPISOK2,0), ISNULL(s.USL_DOSROCH_PENS,0), ISNULL(s.STAVKA_PED_MED,0), VID = 'ADD_TYPE', IS_DOP =  ISNULL(dop_is_c,''), ISNULL(s.[COD_SPO_USL_TRUD],0) 
	FROM dbo.staff s 
	LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = s.gossl
	WHERE ISNULL(s.TERR_USL_TRUD,0) <> 0 OR ISNULL(s.TERR_RK,0) <> 0 OR ISNULL(s.OSOB_USL_TRUD,0) <> 0 OR ISNULL(s.COD_POS_SPISOK,0) <> 0 OR ISNULL(s.COD_POS_SPISOK2,0) <> 0 OR ISNULL(s.USL_DOSROCH_PENS,0) <> 0 OR ISNULL(s.STAVKA_PED_MED,0) <> 0 OR ISNULL(s.[COD_SPO_USL_TRUD],0) <> 0 
	OR ISNULL(pt.dop_is_c,'')<>'' 

	--
	DECLARE @MAX_TYPE INT
	SET @MAX_TYPE = ISNULL((SELECT MAX(type) FROM #ADD_TYPE),0)

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('TMP_TYPE', '')
	
	/*  ( )*/
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('KOMM_TYPE', '')


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD1', '')

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	SELECT DISTINCT
		'PERIOD2',
		ISNULL(V.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
					--AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
					) VV ON VV.LINK = IV.TYPE_LINK
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD3', '')
/*
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	Select DISTINCT
		'PERIOD4',
		ISNULL(VV.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/
	--    
	INSERT INTO #ADD_TYPE (VID, IS_DOP) 	
	SELECT LEFT('P_' + LTRIM(RTRIM(CODE)),20), IS_DOP
	FROM dbo.VACATION_VID 
	WHERE	IS_DOP IS NOT NULL
			AND 
			NOT EXISTS (SELECT * FROM #ADD_TYPE WHERE VID = LEFT('P_' + LTRIM(RTRIM(CODE)),20))



	--    c   
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type], NUM_STAKE, IS_DOP)
	SELECT DISTINCT 
		link_face = E.PERS_LINK, S.LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN ELSE @PeriodBegin end)
					THEN (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN else  (case when IM.DATE_BEGIN >= @PeriodBegin  THEN IM.DATE_BEGIN ELSE @PeriodBegin end) end)
					ELSE (case when IM.DATE_BEGIN >= S.DATE_BEG  AND (dis_date IS NOT NULL AND dis_date BETWEEN @PeriodBegin AND @PeriodEND) THEN IM.DATE_BEGIN ELSE S.DATE_BEG end) --          -      
				END,
		date2 = CASE WHEN 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
							> (case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					THEN 
						(case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					ELSE 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
				END,	
		ISNULL(T.[type],0),
		ISNULL(im.NUM_STAKE,0),
		IS_DOP = isnull(T.[IS_DOP],'')
		--, ST.*
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		INNER JOIN dbo.sa_item_move im ON im.EMPL_LINK = e.link
		inner join dbo.staff_head sh on sh.link = STAFF_LINK
		inner join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1	
		left join #ADD_TYPE T on 
				ISNULL(st.TERR_USL_TRUD,0) = ISNULL(T.TERR_USL_TRUD,0) 
				AND ISNULL(st.TERR_RK,0) = ISNULL(T.TERR_RK,0) 
				AND ISNULL(st.OSOB_USL_TRUD,0) = ISNULL(T.OSOB_USL_TRUD,0) 
				AND ISNULL(st.COD_POS_SPISOK,0) = ISNULL(T.COD_POS_SPISOK,0) 
				AND ISNULL(st.COD_POS_SPISOK2,0) = ISNULL(T.COD_POS_SPISOK2,0) 
				AND ISNULL(st.USL_DOSROCH_PENS,0) = ISNULL(T.USL_DOSROCH_PENS,0) 
				AND ISNULL(st.STAVKA_PED_MED,0) = ISNULL(T.STAVKA_PED_MED,0) 
				AND ISNULL(st.[COD_SPO_USL_TRUD],0) = ISNULL(T.[COD_SPO_USL_TRUD],0)
				AND ltrim(rtrim(ISNULL(pt.[DOP_IS_C],''))) = ltrim(rtrim(ISNULL(T.[IS_DOP],'')))
	where 
		S.LINK_UP = @link
		AND
		IM.NUM_STAKE >= 1 
		AND
		IM.[STATUS] <> 2 -- .   
		AND
		im.DATE_BEGIN <= @PeriodEnd and im.DATE_END3 >= @PeriodBegin
		and 
		st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin
		AND 
		im.DATE_end3 > st.DATE_BEGIN -- AND st.DATE_END	 --            
		AND
		T.[TYPE] IS NOT NULL AND T.VID = 'ADD_TYPE'
		AND
		COALESCE(U.DIS_DATE,'20990101') >= @PeriodBegin
	order by
		E.PERS_LINK
 
	---**************************************

	DECLARE @TMP_TYPE INT
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')

	/* -    ( .  )*/
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	Select DISTINCT 
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		ISNULL( (SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = LEFT('P_' + LTRIM(RTRIM(VV.CODE)),20) AND AT.IS_DOP = VV.IS_DOP ), @TMP_TYPE),
		[NOT_LGOT_EXPIR]
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_vacation iv on E.link = iv.EMPL_LINK 
		inner join dbo.orders o on iv.order_link=o.link
		--  ,   "    ", 
		--  (   )
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link /*AND NO_SAL <> 1*/
		INNER JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK AND WORK_D <> 7 --      (   )
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and ISNULL(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		ISNULL(ISNULL(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	/* -    ( .  )*/	
	--SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'KOMM_TYPE')
	
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			THEN (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE,
		1
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_travel T on E.link = T.EMPL_LINK
		left join dbo.ITEM_TRAVEL_LONG ITL on ITL.TRAVEL_LINK = T.LINK and ISNULL(ITL.ACTIVE,0) = 1	
	WHERE
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		AND 
		T.ACTIVE = 1 
		AND 
		T.DATE_BEGIN <= @PeriodEnd
		AND 
		ISNULL(ISNULL(ITL.NEW_DATE_END,T.date_end),'20990101') >= @PeriodBegin

	/* -      */

	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD1')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
		INNER JOIN dbo.NETRUD N ON N.LINK = [TYPE] AND N.DEKRET = 1
	WHERE 
		S.LINK_UP = @link
		AND	
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin

	/* -  */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD3')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
	WHERE
		S.LINK_UP = @link
		AND	 
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin
		and
		[TYPE] not in (select LINK from dbo.NETRUD where DEKRET = 1)

	/* -     1,5   3 */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD2' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(V.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER join dbo.TYP_DAYS D on V.TYPE_LINK = D.LINK AND  WORK_D = 7 
		--INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
			----AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
		--	) VV ON VV.LINK = IV.TYPE_LINK
		LEFT JOIN DBO.ITEM_VACATION_BREAK IVB ON IVB.VAC_LINK = IV.LINK AND COALESCE(IVB.ACTIVE,0) = 1
	WHERE 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


/*
	/* -     */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	Select DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD4' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(VV.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	WHERE
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/


	--------------------------------------------------------------------------
	-- 2.            type.
	--- ,        , ..     
	CREATE TABLE #PERIODY3 (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] INT, orders int, i int, NUM_STAKE NUMERIC(5,2),IS_DOP VARCHAR(20), TYPE_ADD INT)

	--    -1  ..  
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, [type])
	SELECT DISTINCT link_face, LINK_KATEG, @PeriodBegin, @PeriodEnd, [type] = -1   FROM #PERIODY


	CREATE TABLE #DAYS (ID INT IDENTITY(1,1), LINK_FACE INT, LINK_KATEG INT, [DATE] DATETIME, [TYPE] INT, NUM INT/*, IS_DOP VARCHAR(20)*/, NUM_STAKE NUMERIC(5,2), [TYPE_ADD] INT)

	INSERT INTO #DAYS (LINK_FACE, LINK_KATEG, [DATE], [TYPE], NUM, NUM_STAKE/*,IS_DOP*/, [TYPE_ADD])
	SELECT P.LINK_FACE, P.LINK_KATEG, [DATE], [TYPE] = MAX([TYPE]), 0, 
		[NUM_STAKE] = MAX(ISNULL(NUM_STAKE,0)), 
		--isnull(IS_DOP,''),
		[TYPE_ADD] = MAX(CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END
		)
	FROM 
		#PERIODY P
		INNER JOIN dbo.days_ex(@PeriodBegin, @PeriodEnd) D ON 1=1
	WHERE
		D.[DATE] BETWEEN P.DATE1 AND P.DATE2
	GROUP BY
		 P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]
	ORDER BY	
		P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]


	--   ,     
	UPDATE #DAYS SET [TYPE_ADD] = 0 
	WHERE 
		EXISTS (SELECT * FROM #PERIODY WHERE 
			#PERIODY.[NOT_LGOT_EXPIR] = 1
			AND #PERIODY.link_face = #DAYS.link_face
			AND #DAYS.[DATE] BETWEEN #PERIODY.DATE1 AND #PERIODY.DATE2)


	-- 
	DECLARE 
		@ID INT, @ID1 INT, @ID2 INT, @LINK_FACE INT, @DATE datetime, @LINK_KATEG INT, @TYPE INT, @NUM INT, @TYPE_ADD INT,
		@LINK_FACE1 INT, @LINK_KATEG1 INT, @TYPE1 INT,@TYPE_ADD1 INT,@DATE1 datetime

	--  ,      

--------   #ADD_TYPE    
----
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')
----
	CREATE table #TDays(link_face int, id int,  date DATETIME ,LINK_KATEG int , [TYPE] INT, [TYPE_ADD] INT)
	INSERT INTO #TDays (link_face, id, date, LINK_KATEG, [TYPE], [TYPE_ADD])
	SELECT d.link_face,
		   d.id,
		   d.date,
		   d.LINK_KATEG,
		   d.[TYPE],
		   d.[TYPE_ADD]
	FROM #DAYS d WHERE d.[type] = @TMP_TYPE 
	ORDER BY d.link_face, d.ID ,d.[date], d.[TYPE] ,d.[TYPE_ADD]	 


	DECLARE @Cur0 CURSOR, @F_TYPE int, @F_TYPE_ADD int
	SET @Cur0 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE,[date],LINK_KATEG, [TYPE],  TYPE_ADD from  #TDays order by ID, LINK_FACE, [DATE]
	OPEN @Cur0
	FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
		
			SELECT DISTINCT @F_TYPE =[TYPE], @F_TYPE_ADD = [type_add]  
			FROM #DAYS WHERE LINK_FACE = @LINK_FACE AND LINK_KATEG = @LINK_KATEG AND [DATE] = @DATE-1 
			
			SELECT @F_TYPE = ISNULL(@F_TYPE,0), @F_TYPE_ADD = ISNULL( @F_TYPE_ADD,0) 

			IF @F_TYPE_ADD = @type_add OR  (ISNULL((SELECT TOP 1 IS_DOP TYPE FROM #ADD_TYPE WHERE [type] = @F_TYPE_ADD),'') <> '' AND @type_add = 0) 
			BEGIN
			
				UPDATE d
				SET [TYPE] = @F_TYPE , [type_add] = @F_TYPE_ADD 
				FROM #DAYS d
				WHERE d.ID = @ID AND d.LINK_FACE = @LINK_FACE AND d.[DATE] = @DATE AND d.LINK_KATEG=@LINK_KATEG AND d.[TYPE] = @TMP_TYPE

			END	

		END

		FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	END

	CLOSE @Cur0
	DEALLOCATE @Cur0


	--
	/*		---------
				UPDATE #DAYS SET [type] = 0 WHERE [type] = @TMP_TYPE
			---------*/

DROP TABLE #TDays 

---------------------------------------------------------------------------------
	--	
	SELECT TOP 1 @ID1 = 0, @ID2 = 0, @NUM = 0, @LINK_FACE1 = LINK_FACE, @LINK_KATEG1 =LINK_KATEG, @TYPE1 = [TYPE]
	FROM #DAYS
	order by ID
	--
	DECLARE @Cur1 CURSOR
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE, LINK_KATEG, [TYPE] from #DAYS order by ID
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			IF NOT (@LINK_FACE = @LINK_FACE1 AND @LINK_KATEG = @LINK_KATEG1 AND @TYPE = @TYPE1)
			BEGIN
				
				SELECT @NUM = @NUM + 1, @LINK_FACE1 = @LINK_FACE, @LINK_KATEG1 = @LINK_KATEG, @TYPE1 = @TYPE
				UPDATE #DAYS SET NUM = @NUM WHERE ID BETWEEN @ID1 AND @ID-1
				SELECT @ID1 = @ID 

			END

		END

		FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--
	UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1

	--
	INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
	SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE]), DATE_END = MAX([DATE]), [TYPE], 0, 0, NUM_STAKE = MAX(ISNULL(NUM_STAKE,0)), TYPE_ADD
	FROM #DAYS	
	GROUP BY LINK_FACE, LINK_KATEG, NUM, [TYPE], TYPE_ADD
	ORDER BY LINK_FACE, LINK_KATEG, DATE_BEG, DATE_END


---       (  ,   ..) ,        -  
--     ,            (, ,   ..)  

 IF EXISTS (SELECT TOP 1 * FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
 BEGIN 
 	---         ( ,   ..)     
 	INSERT INTO #PERIODY3(link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
 	SELECT p.link_face , 
 	p.LINK_KATEG ,
 	p.date1, 
 	p.date2, 
 	[type] = (SELECT TOP 1 [type] FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  )), 
 	0,
 	0, 
 	p.NUM_STAKE, 
 	p.TYPE_ADD 
	FROM #PERIODY3 p WHERE exists (SELECT  IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID <> 'ADD_TYPE'  )
	AND((p.date1 > = (SELECT TOP 1 DATE1 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
		AND p.date2 < = (SELECT TOP 1 DATE2 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
		)
			OR (p.date1 > = (SELECT TOP 1 DATE1 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
			AND p.date2 between (SELECT TOP 1 DATE1 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE' ) )
							AND (SELECT TOP 1 DATE2 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
			)
		)

		
	--AND P.TYPE_add <> 0

/*	--- 
	--              
  	---   ()      ,         (   .. ) 
  	--  ,          ( )   ,      
 	UPDATE p
 	SET TYPE_ADD = (SELECT TOP 1 [type] FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  )),
 		[type] = (SELECT TOP 1 [type] FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
	FROM #PERIODY3 p WHERE exists (SELECT  IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID <> 'ADD_TYPE'  )
	AND p.date1 > = (SELECT TOP 1 DATE1 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
	AND p.date2 < = (SELECT TOP 1 DATE2 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
	AND P.TYPE_add = 0
	--- 
*/	
 END 

	
	--  
	DELETE FROM #PERIODY3 WHERE [TYPE] = -1

	/* */
	DECLARE @uslovie INT
	set @uslovie = 1
	while @uslovie > 0
	begin
		update #PERIODY3 set orders = @uslovie 
		from #PERIODY3 as tt
		where 	coalesce(orders,0) = 0
			and date1 = (select min(t.date1) from #PERIODY3 t where coalesce(orders,0) = 0 and t.link_face = tt.link_face AND T.LINK_KATEG = TT.LINK_KATEG)
		if @@rowcount > 0
			set @uslovie = @uslovie + 1
		else
			set @uslovie = 0
	END


	--   
	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_k3, is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k, osob_spo)
	Select S.link, P.orders, P.date1, P.date2, 
		ter_usl = ISNULL(spr1.CODE,spr1A.CODE),
		ter_koef = ISNULL(T.TERR_RK,TA.TERR_RK),
		osob_usl = ISNULL(spr2.CODE,spr2A.CODE),
		osob_k1 = ISNULL(spr6.CODE,spr6A.CODE),
		osob_k2 = CONVERT(VARCHAR(20),left(ISNULL(spr7.CODE,spr7A.CODE),20)),
		osob_k3 = NULL,
		is_osnov = NULL, 
		is_dop = LTRIM(RTRIM(ISNULL(T.IS_DOP,TA.IS_DOP))),
		is_dop_m = NULL, 
		is_dop_d = NULL, 
		ud_osnov = ISNULL(spr5.CODE,spr5A.CODE), 
		ud_dop_m = NULL, 
		ud_dop_d = NULL, 
		ud_dop_k = ISNULL(T.STAVKA_PED_MED,TA.STAVKA_PED_MED) * P.NUM_STAKE,
		osob_spo = ISNULL(spr9.CODE,spr9A.CODE)
	 from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		inner join #PERIODY3 P on S.link_pers = P.link_face AND S.LINK_KATEG = P.LINK_KATEG
		
		LEFT JOIN #ADD_TYPE T ON P.[TYPE] = T.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1 on spr1.spr_code = 'TERR_USL' and spr1.LINK = T.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2 on spr2.spr_code = 'OSOB_USL_TRUDA' and spr2.LINK = T.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5 on spr5.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5.LINK = T.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6 on spr6.SPR_CODE LIKE 'SPISOK%' and spr6.LINK = T.COD_POS_SPISOK
		left join dbo.szv4_spr spr7 on spr7.SPR_CODE LIKE 'SPISOK%' and spr7.LINK = T.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3
		left join dbo.szv4_spr spr9 on spr9.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9.LINK = T.[COD_SPO_USL_TRUD]

		LEFT JOIN #ADD_TYPE TA ON P.[TYPE_ADD] = TA.[TYPE] AND P.[TYPE_ADD] <> P.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1A on spr1A.spr_code = 'TERR_USL' and spr1A.LINK = TA.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2A on spr2A.spr_code = 'OSOB_USL_TRUDA' and spr2A.LINK = TA.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5A on spr5A.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5A.LINK = TA.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6A on spr6A.SPR_CODE LIKE 'SPISOK%' and spr6A.LINK = TA.COD_POS_SPISOK
		left join dbo.szv4_spr spr7A on spr7A.SPR_CODE LIKE 'SPISOK%' and spr7A.LINK = TA.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3	
		left join dbo.szv4_spr spr9A on spr9A.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9A.LINK = TA.[COD_SPO_USL_TRUD]
	where
		S.link_up = @link
		AND
		S.FORMA = 1
	order by
		S.link, P.orders



	--  
	CREATE TABLE #STAGE_DOG (
		LINK_PERS INT, 
		KATEG TINYINT,
		BERIOD_BEG DATETIME,
		BERIOD_END DATETIME
		)

	INSERT INTO #STAGE_DOG (LINK_PERS, KATEG, BERIOD_BEG, BERIOD_END)
	SELECT LINK_FACE, LINK_KATEG, MIN(date1), MAX(date2) 
	FROM #DGH A
	GROUP BY LINK_FACE, LINK_KATEG

	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2)
	Select S.link, 1, P.BERIOD_BEG, P.BERIOD_END
	from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN #STAGE_DOG P on S.link_pers = P.LINK_PERS AND S.LINK_KATEG = P.KATEG
	where
		S.link_up = @link
		AND
		S.FORMA = 2
	order by
		S.link
		
	END


--------------------------------------------------------------------------
/*    ,            
C 14     
*/	
DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE 
LINK_UP = @link
AND
EXISTS (		
	Select  1
	from dbo.ss_szv_STazh_svedenia S inner join  dbo.szv_STAZH_pachka p on p.link = s.link
	WHERE 
		S.LINK1 = dbo.SZV_STAZH_SVEDENIA.LINK
		AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0
				 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0 
		and p.vid_kor != 3
		AND NOT EXISTS (SELECT * FROM dbo.SZV_ST_STAZH ST WHERE ST.LINK_UP = S.LINK1)
)


--------------------------------------------------------------------------
exec dbo.SZV_ST_NUMERATOR @link










GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9731.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_PRINT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_PRINT]

GO


CREATE PROCEDURE dbo.SZV_STAZH_PRINT(@Link int)
AS
-- exec SZV_STAZH_PRINT 151
DECLARE @varKSNOM_PF VARCHAR(20), @varKSname VARCHAR(254), @varKSDEP int,
	@varKSOKPO VARCHAR(40), @varKSINN VARCHAR(12), @varKSKPP VARCHAR(9), @Month int, @Year int, @date datetime

SELECT
	@varKSDEP = D.link, @varKSNOM_PF = PFNUMBER, @varKSname = UPPER([NAME]),
	@varKSOKPO = OKPO, @varKSINN = INN, @varKSKPP = KPP,
	@Month = month_end, @year = year_begin
FROM dbo.DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = @link

Set @date = dbo.ConvertDMY2Date(1,@Month,@Year)
Set @date = dbo.DateEndOfMonth(@date)

SELECT
	LINK = P.link,
	[YEAR] = ISNULL(CASE WHEN year_begin <> 2010 THEN year_begin ELSE NULL END ,0),
	[INN] = @varKSINN,
	[KPP] = @varKSKPP,
	OKPO = @varKSOKPO,
	[CODE] = K.CODE,	
	[PER] = ISNULL(CASE WHEN year_begin <> 2010 THEN PER ELSE NULL END ,0),
	[PER10] = ISNULL(CASE WHEN year_begin = 2010 THEN PER ELSE NULL END ,0),
	[YEAR_EDT] = ISNULL(p.year_edt,0),
	[PER_EDT] = ISNULL(p.PER_EDT,0),
	[TYPE_SV] = P.[TYPE],
	[TYPE] = P.vid_kor,
	[ID] = S.orders,
	[NGROUP] = S.pachka,
	T_DOG = s.forma,
	[PFNUMBER] = PF_NUM,
	[FIO] = FIO2,
	[FM] = s.FM,
	[IM] = s.IM,
	[OT] = s.OT,
	[INN_PERS] = per.INN,
	[ADDRESS] = [ADDRESS],
	[ADDRESS2] = ADDRESS2,
	[INSUR] = COALESCE(S.sum_doh,0), --     . 
	[INSUR1] = COALESCE(S.INSUR,0), --     . 
	[GAIN] = COALESCE(S.GAIN,0), --     . 
	[GAIN1] = COALESCE(S.DOP,0), --     . 
	INC_T1_M1 = S.INCOME_T1_M1,--      1  1 
	INC_T1_M2 = S.INCOME_T1_M2,--      1  2 
	INC_T1_M3 = S.INCOME_T1_M3,--      1  3 
	INC_T2_M1 = S.INCOME_T2_M1,--      2  1 
	INC_T2_M2 = S.INCOME_T2_M2,--      2  2 
	INC_T2_M3 = S.INCOME_T2_M3,--      2  3 
	[ID_EX] = ST.orders,
	[DATE_BEGIN] = date1,
	[DATE_END] = date2,
	[STR_DIS] = (CASE WHEN coalesce(dper_vn_m,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_vn_m,0)) + ' .' else '' end)
	 		+ (CASE WHEN coalesce(dper_vn_d,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_vn_d,0)) + ' .' else '' end),
	dper_vn_m = coalesce(dper_vn_m,0),
	dper_vn_d = coalesce(dper_vn_d,0),
	[STR_VAC2] = (CASE WHEN coalesce(dper_oz_m,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_oz_m,0)) + ' .' else '' end)
	 		+ (CASE WHEN coalesce(dper_oz_d,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_oz_d,0)) + ' .' else '' end),
	dper_oz_m = coalesce(dper_oz_m,0),
	dper_oz_d = coalesce(dper_oz_d,0),
	[TU_CODE] = f_ter_usl,
	ter_usl,
	ter_koef,
	[OS_CODE] = f_osob_usl,
	osob_usl,
	osob_spis = RTRIM(LTRIM(COALESCE(osob_k1,''))) + RTRIM(LTRIM(COALESCE(osob_k2,''))) + RTRIM(LTRIM(COALESCE(osob_k3,''))),
	[EX_CODE] = is_osnov,
	is_dop_m,
	is_dop_d,
	is_dop,
	f_is_dop,
	[P_CODE] = ud_osnov,
	ud_dop_m,
	ud_dop_d,
	ud_dop_k,
	f_ud_dop,
	@varKSNOM_PF AS REG_NOM_PF,
	@varKSname AS DEP_NAME,
	DATE_CRT = @date,
	DATE_DOC = [date], DD = DAY([date]), MM = M.MON, YY = YEAR([date]),
	UV = CASE WHEN exists(SELECT * FROM sd_empl WHERE pers_link = s.link_face AND DATE_end = @DATE) THEN 'X' ELSE '' end
INTO #SZV_ST_REP
from
	dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SS_SZV_STAZH_SVEDENIA S ON P.link = S.link
	INNER JOIN dbo.person per ON  per.link = S.link_FACE
	left JOIN dbo.SS_SZV_ST_STAZH ST ON S.link1 = ST.link
	INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = P.KATEG AND year_begin BETWEEN YBEG AND YEND
	INNER JOIN dbo.MONTHS M ON M.NUM = MONTH([date])
where
	P.link = @Link
	--and P.[type] = 2
	and P.proverka = 1
order by
	s.FM,s.PF_NUM,S.pachka, S.orders, ST.orders


DECLARE @Cur_REP CURSOR , @link_szv int , @FIO varchar(254), @PFNUMBER varchar(20), @ID INT ,@T_DOG  int  
DECLARE @NN INT, @PN INT, @ON INT , @FIO_L VARCHAR(254) , @PFNUMBER_l varchar(20) , @date_begin datetime, @date_end DATETIME , @IS_DOP VARCHAR(20)
SELECT @NN = 0, @PN = 0, @ON = 0 , @FIO_L = ''
SET @Cur_REP = CURSOR FORWARD_ONLY

FOR select link, FIO, PFNUMBER, [ID] , T_DOG, DATE_begin, date_end , IS_DOP from #SZV_ST_REP order by link, FIO, PFNUMBER ,T_DOG, DATE_begin, date_end  

OPEN @Cur_REP
FETCH NEXT FROM @Cur_REP INTO @link_szv, @FIO, @PFNUMBER, @ID ,@T_DOG, @date_begin , @date_end,@IS_DOP
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		IF ltrim(@FIO_L) <> ltrim(@FIO)  OR   ltrim(@PFNUMBER_l) <> ltrim(@PFNUMBER)
		BEGIN	
			SET @NN = 1

			UPDATE A
			SET 
				ID_EX = @NN
			FROM #SZV_ST_REP A 
			WHERE link = @link_szv AND ltrim(FIO)=ltrim(@FIO) AND ltrim(PFNUMBER) =  ltrim(@PFNUMBER) AND ID = @ID and T_DOG = @T_DOG AND date_begin =@date_begin and date_end = @date_end AND IS_DOP = @IS_DOP 

			SET @ON = @NN 			
			set @FIO_L = ltrim(@FIO) 
			SET  @PFNUMBER_l =  @PFNUMBER 
		 END ELSE 
		 		BEGIN  
					SET @NN = @NN + 1

					UPDATE A
					SET 
						ID_EX = @NN
					FROM #SZV_ST_REP A 
					WHERE link = @link_szv AND ltrim(FIO)=ltrim(@FIO) AND ltrim(PFNUMBER) =  ltrim(@PFNUMBER) AND ID = @ID and T_DOG = @T_DOG AND date_begin =@date_begin and date_end = @date_end AND IS_DOP = @IS_DOP 

					SET @ON = @NN 			
					set @FIO_L = ltrim(@FIO) 
					SET  @PFNUMBER_l =  @PFNUMBER 
				END 
	END

	FETCH NEXT FROM @Cur_REP INTO @link_szv, @FIO, @PFNUMBER, @ID,@T_DOG,  @date_begin , @date_end  , @IS_DOP
END
--exec dbo.SZV_STAZH_PRINT 17
CLOSE @Cur_REP
DEALLOCATE @Cur_REP

SELECT 	LINK ,
	[YEAR] ,
	[INN] ,
	[KPP],
	OKPO ,
	[CODE],	
	[PER] ,
	[PER10] ,
	[YEAR_EDT],
	[PER_EDT] ,
	[TYPE_SV] ,
	[TYPE] ,
	[ID] ,
	[NGROUP] ,
	T_DOG ,
	[PFNUMBER],
	[FIO],
	[FM] ,
	[IM] ,
	[OT] ,
	[INN_PERS] ,
	[ADDRESS],
	[ADDRESS2] ,
	[INSUR] , --     . 
	[INSUR1] , --     . 
	[GAIN] , --     . 
	[GAIN1] , --     . 
	INC_T1_M1 ,--      1  1 
	INC_T1_M2 ,--      1  2 
	INC_T1_M3 ,--      1  3 
	INC_T2_M1 ,--      2  1 
	INC_T2_M2 ,--      2  2 
	INC_T2_M3 ,--      2  3 
	[ID_EX] ,
	[DATE_BEGIN] ,
	[DATE_END] ,
	[STR_DIS] ,
	dper_vn_m  ,
	dper_vn_d ,
	[STR_VAC2],
	dper_oz_m ,
	dper_oz_d ,
	[TU_CODE] ,
	ter_usl,
	ter_koef,
	[OS_CODE] ,
	osob_usl,
	osob_spis ,
	[EX_CODE],
	is_dop_m,
	is_dop_d,
	is_dop,
	f_is_dop,
	[P_CODE] ,
	ud_dop_m,
	ud_dop_d,
	ud_dop_k,
	f_ud_dop,
	REG_NOM_PF,
	DEP_NAME,
	DATE_CRT,
	DATE_DOC ,DD , MM, YY ,
	UV
FROM #SZV_ST_REP
order by
	FM,[PFNUMBER],[NGROUP], [ID], [ID_EX]



GO


GRANT EXECUTE ON dbo.[SZV_STAZH_PRINT] TO PUBLIC

GO


-- --

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]

GO

CREATE   PROCEDURE [dbo].SS_SZV_ST_PACHKA_CALC_Buffer_2017 (@BufferCode varchar(10), @link int, @Year int, @Month tinyint) 
AS

DECLARE @SQL VARCHAR(1000)

SET @SQL = '
delete from dbo.Buffer
where RTRIM(LTRIM(ID)) = RTRIM(LTRIM( ''' + @BufferCode + ''' ))
	and link IN (select S.link_pers from dbo.SZV_STAZH_SVEDENIA S where S.link_up = ' + CONVERT(VARCHAR(20),@LINK) + ')'
--EXEC (@SQL)	--!!


CREATE TABLE #PERSON (LINK INT)	

SET @SQL = '
INSERT INTO #PERSON (LINK)
SELECT DISTINCT LINK FROM dbo.Buffer WHERE RTRIM(LTRIM(ID)) = RTRIM(LTRIM(''' + @BufferCode + '''))'
EXEC (@SQL)	

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @VID_KOR TINYINT , @type_doc tinyint

SELECT @VID_KOR = VID_KOR, @type_doc = [type]
FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link


IF @VID_KOR = 2
begin  
	SELECT @Year = @Year, @PER = PER_EDT, @MONTH_END = @Month
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
else 
begin
	SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
DECLARE @PeriodBegin datetime, @PeriodEnd datetime

/*IF @type_doc = 1 OR (@type_doc = 2 AND @PER <> 4)
BEGIN
	SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
	SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

	IF @MONTH_BEG > @MONTH_END
		SET @MONTH_END = @MONTH_BEG + 3 - 1
END
IF  @type_doc = 2 AND @PER = 4
 BEGIN */
		SET @MONTH_BEG = 1 
		SET @MONTH_END = 12
/* END */

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--  .
--
DECLARE @LINK_OZOI INT
SET @LINK_OZOI = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 3 AND @Year BETWEEN YBEG AND YEND),1)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME)

INSERT INTO #PERS_INV (PERS_LINK, DATE_BEGIN, DATE_END) 
SELECT PERS_LINK, DATE_BEGIN = MIN(ISNULL(I.DATE_BEGIN,@PeriodBegin)), DATE_END = MAX(ISNULL(I.DATE_END,@PeriodEnd))
FROM dbo.PERS_INVALID I
WHERE ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin
GROUP BY PERS_LINK


--forma    2013     (1 , 2 )
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_OZOI,
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END,
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
from 
	(	SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2 
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	INNER JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		

----
DECLARE @LINK_NR INT
SET @LINK_NR = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 1 AND @Year BETWEEN YBEG AND YEND),1)

--forma    2013     (1 , 2 )	
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_NR,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodBegin < CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		THEN @PeriodBegin 
		ELSE CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END + 1
	END,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodEnd > CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		THEN @PeriodEnd
		ELSE CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END - 1
	END
from 
	(	
		SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		
WHERE --          
	I.PERS_LINK IS NULL --  
	OR --    
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1
	OR --    
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1	

----
DECLARE @LINK_USEN INT
SET @LINK_USEN = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 2 AND @Year BETWEEN YBEG AND YEND),1)		
	
insert into dbo.SZV_STAZH_SVEDENIA 
	(link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
SELECT 	
	link_up, orders, forma, link_pers, ISNULL(sum_doh,0), ISNULL(sum_str,0), ISNULL(sum_nak,0), ISNULL(sum_dop,0), ISNULL(dper_vn_m,0), ISNULL(dper_vn_d,0), ISNULL(dper_oz_m,0), ISNULL(dper_oz_d,0), ISNULL(isum_str,0), ISNULL(isum_nak,0), @LINK_USEN, DATE_BEG, DATE_END
FROM
	#PERSON B INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON B.LINK = S.link_pers 
WHERE
	link_up = @link
	AND
	LINK_KATEG = @LINK_NR	

/*----        
CREATE TABLE #PERS_SUM_J (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, MON INT, INCOME NUMERIC(18,2), SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM_J (LINK_PERS, LINK_KATEG, DOG, MON, INCOME, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG, MON,
	SUM(CASE WHEN [OBJECT] = 1 THEN SUMMA ELSE 0 END), --  (INCOME)
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.EMPL E ON E.PERS_LINK = S.LINK_PERS
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_EMPL = E.LINK 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 1 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
	UNION ALL	
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.PERS_LINK = S.LINK_PERS 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 2 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG, MON
*/
--
/*CREATE INDEX #TMP_IDX_#PERS_SUM_J ON #PERS_SUM_J (LINK_PERS, LINK_KATEG)

--ר     
-- ר         512   ר 
create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, KATEG TINYINT, DOG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG = 1
FROM 
	dbo.SA_ESN_VIEW(@Year, @Month, @DEP_LINK, 0) S
WHERE 
	WAY_CALC IN (6,7,10,11)
	AND EXISTS (SELECT * FROM #PERSON B WHERE B.LINK = S.REF_PHYS_PERS)

--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, 
	GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, 
	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@Year))) = 2
		THEN 3
		ELSE
		CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END
	END, 
	DOG = 2
FROM 
	dbo.DOCUMENTS_DGH G 
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.PERSON P on GT.PERS_LINK = P.link
	INNER JOIN #PERSON B ON B.LINK = P.LINK
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  IN (6,7,10,11)
	AND YEAR(G.[DATE]) = @Year
	AND MONTH(G.[DATE]) <= @Month
	AND LINK_DEP = @DEP_LINK


--
CREATE INDEX #TMP_IDX_SPR_ESN ON #SPR_ESN (REF_PHYS_PERS, KATEG, DOG)

--
DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS < @PeriodBegin )
*/
--  
DECLARE @STAVKI TABLE ( LINK_PERS INT, TARIF TINYINT, PREDEL NUMERIC(15,2), [PERCENT] NUMERIC(8,2), WAY_CALC TINYINT)

INSERT INTO @STAVKI (LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC)
SELECT 
	LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC 
FROM 
	dbo.SA_ESN_TARIF(DEFAULT, @PeriodEnd, DEFAULT) S
WHERE 
	WAY_CALC IN (6,7)
	AND EXISTS (SELECT * FROM #PERSON P WHERE P.LINK = S.LINK_PERS)

--	
DECLARE @LIMIT NUMERIC(18,2)
SET @LIMIT = ISNULL((SELECT MIN(PREDEL) FROM @STAVKI WHERE TARIF = 1 AND WAY_CALC = 6),0)

------      ר   ר  512.
/*CREATE TABLE #SUM_PERSON (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT, WAY_CALC TINYINT, [PERCENT] NUMERIC(18,2), MON TINYINT, 
				BAZA NUMERIC(18,2), SUM_LIM NUMERIC(18,2), SUM_KOR NUMERIC(18,2),BAZA2 NUMERIC(18,2),  NALOG NUMERIC(20,6), M BIT)

INSERT INTO #SUM_PERSON (LINK_PERSON, KATEG, DOG, WAY_CALC, [PERCENT], MON, BAZA, NALOG, M)
SELECT
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE,
	SUM(ISNULL(SUMMA_BASE,0) - ISNULL(DED_M,0) - ISNULL(INV_M,0)) AS BAZA,
	SUM(SUMMA),
	0
FROM 
	#SPR_ESN E
	INNER JOIN @STAVKI S ON S.LINK_PERS = E.REF_PHYS_PERS AND S.WAY_CALC = E.WAY_CALC AND S.TARIF = E.KATEG
WHERE 
	S.PREDEL = @LIMIT
GROUP BY
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE

-- ,     
CREATE TABLE #PERS_AFTER (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT)

INSERT INTO #PERS_AFTER (LINK_PERSON, KATEG, DOG)
SELECT LINK_PERSON, KATEG, DOG
FROM #SUM_PERSON 
WHERE WAY_CALC = 6
GROUP BY LINK_PERSON, KATEG, DOG
HAVING SUM(BAZA) > @LIMIT
DECLARE @Cur2 CURSOR, @MON TINYINT, @KATEG TINYINT, @DOG TINYINT

SET @Cur2 = CURSOR FORWARD_ONLY
FOR SELECT DISTINCT MON, KATEG, DOG FROM #SUM_PERSON SP
	ORDER BY MON, KATEG ASC, DOG DESC
OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE SP --     
		SET 
			M = 1,
			SUM_LIM = (SELECT SUM(BAZA) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.WAY_CALC = SP.WAY_CALC AND (M=1 OR SP1.MON = SP.MON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG))
		FROM #SUM_PERSON SP
		WHERE MON = @MON AND KATEG = @KATEG AND DOG = @DOG
		
		UPDATE #SUM_PERSON -- 
		SET SUM_KOR = CASE WHEN ISNULL(SUM_LIM,0) > @LIMIT THEN ISNULL(SUM_LIM,0) - @LIMIT ELSE 0 END

		UPDATE #SUM_PERSON
		SET BAZA2 = CASE WHEN (ISNULL(BAZA,0) > ISNULL(SUM_KOR,0) OR ISNULL(BAZA,0) < 0)
							THEN ISNULL(BAZA,0) - ISNULL(SUM_KOR,0) ELSE 0 END
		
		UPDATE SP
		SET NALOG = 
					CASE WHEN BAZA <> BAZA2 
						THEN 
							
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON <= SP.MON),0)
							* ISNULL([PERCENT],0) / 100)
							-
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON < SP.MON),0)
							* ISNULL([PERCENT],0) / 100)

						ELSE 
							(SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND SP.DOG = PS.DOG AND PS.MON = SP.MON)
					END
					
					--CASE WHEN BAZA <> BAZA2 
					--	THEN ISNULL(BAZA2,0) * ISNULL([PERCENT],0) / 100
					--	ELSE (SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND PS.MON = SP.MON)
					--END	
		FROM
			#SUM_PERSON SP
		WHERE --  ,    
			EXISTS (SELECT * FROM #PERS_AFTER PA WHERE PA.LINK_PERSON = SP.LINK_PERSON AND PA.KATEG = SP.KATEG AND PA.DOG = SP.DOG)

	END
	FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
END

CLOSE @Cur2
DEALLOCATE @Cur2

--    
CREATE TABLE #PERS_SUM (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM (LINK_PERS, LINK_KATEG, DOG, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG,
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, SUMMA_BASE = SUM(BAZA2), SUMMA = SUM(NALOG)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG
		INNER JOIN #SUM_PERSON SP ON SP.LINK_PERSON = S.LINK_PERS AND SP.KATEG = K.LINK2 AND S.FORMA = SP.DOG AND SP.MON BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
	WHERE
		S.LINK_UP = @link
		AND
		@Year BETWEEN K.YBEG AND K.YEND
	GROUP BY
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, S.FORMA
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG

--
UPDATE S SET
	sum_doh = ISNULL(SUMMA_I,0), -- 10     
	sum_str = 0, -- 10      ,  ..    -  0,  
	sum_nak = ISNULL(SUMMA_G,0), --      
	sum_dop = 0 --  10      ,  ..    -  0,  
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #PERS_SUM P ON P.LINK_PERS = S.LINK_PERS AND P.LINK_KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

*/
---   
/*CREATE TABLE #INCOME_T1T2 (
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_T1_M1 NUMERIC(18,2),
	INCOME_T2_M1 NUMERIC(18,2),
	INCOME_T1_M2 NUMERIC(18,2),
	INCOME_T2_M2 NUMERIC(18,2),
	INCOME_T1_M3 NUMERIC(18,2),
	INCOME_T2_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME_T1T2 (LINK_PERS, KATEG, DOG, INCOME_T1_M1, INCOME_T2_M1, INCOME_T1_M2, INCOME_T2_M2, INCOME_T1_M3, INCOME_T2_M3)
SELECT REF_PHYS_PERS, KATEG, E.DOG, 
	INCOME_T1_M1 = SUM(CASE WHEN WAY_CALC = 10 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END), 
	INCOME_T2_M1 = SUM(CASE WHEN WAY_CALC = 11 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M2 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M2 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M3 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M3 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END)
FROM #SPR_ESN E
WHERE WAY_CALC IN (10,11)	
GROUP BY REF_PHYS_PERS, KATEG, E.DOG

UPDATE S SET
	S.INCOME_T1_M1 = P.INCOME_T1_M1,
	S.INCOME_T2_M1 = P.INCOME_T2_M1,
	S.INCOME_T1_M2 = P.INCOME_T1_M2,
	S.INCOME_T2_M2 = P.INCOME_T2_M2,
	S.INCOME_T1_M3 = P.INCOME_T1_M3,
	S.INCOME_T2_M3 = P.INCOME_T2_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME_T1T2 P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

--    
CREATE TABLE #INCOME(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_M1 NUMERIC(18,2),
	INCOME_M2 NUMERIC(18,2),
	INCOME_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME (LINK_PERS, KATEG, DOG, INCOME_M1, INCOME_M2, INCOME_M3)
SELECT 
	LINK_PERS, LINK_KATEG, DOG,
	INCOME_M1 = SUM(INCOME),
	INCOME_M2 = SUM(CASE WHEN MON = (@Month - 1) THEN INCOME ELSE 0 END),
	INCOME_M3 = SUM(CASE WHEN MON = @Month THEN INCOME ELSE 0 END)
FROM #PERS_SUM_J
GROUP BY 
	LINK_PERS, LINK_KATEG, DOG

UPDATE S SET
	S.INCOME_M1 = P.INCOME_M1,
	S.INCOME_M2 = P.INCOME_M2,
	S.INCOME_M3 = P.INCOME_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	


--   
CREATE TABLE #BASE(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	BASE_BEFORE_M1 NUMERIC(18,2),
	BASE_AFTER_M1 NUMERIC(18,2),
	BASE_BEFORE_M2 NUMERIC(18,2),
	BASE_AFTER_M2 NUMERIC(18,2),
	BASE_BEFORE_M3 NUMERIC(18,2),
	BASE_AFTER_M3 NUMERIC(18,2)	
	)

INSERT INTO #BASE (LINK_PERS, KATEG, DOG, BASE_BEFORE_M1, BASE_AFTER_M1, BASE_BEFORE_M2, BASE_AFTER_M2, BASE_BEFORE_M3, BASE_AFTER_M3 )
SELECT LINK_PERSON, KATEG, DOG,
	BASE_BEFORE_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M3	= SUM(CASE WHEN MON = @Month THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M3	= SUM(CASE WHEN MON = @Month THEN BAZA - BAZA2 ELSE 0 END)		
FROM #SUM_PERSON 
WHERE 
	WAY_CALC = 6
GROUP BY
	LINK_PERSON, KATEG, DOG
	
UPDATE S SET
	S.BASE_BEFORE_M1 = P.BASE_BEFORE_M1,
	S.BASE_AFTER_M1 = P.BASE_AFTER_M1,
	S.BASE_BEFORE_M2 = P.BASE_BEFORE_M2,
	S.BASE_AFTER_M2 = P.BASE_AFTER_M2,
	S.BASE_BEFORE_M3 = P.BASE_BEFORE_M3,
	S.BASE_AFTER_M3 = P.BASE_AFTER_M3	
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #BASE P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	
*/
--   ,   
SELECT LINK_PERS, FORMA, LINK_KATEG INTO #TAB FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY LINK_PERS, FORMA, LINK_KATEG HAVING SUM(sum_doh) = 0 AND SUM(sum_nak) = 0 AND SUM(INCOME_M1) = 0
--	

DELETE FROM dbo.SZV_STAZH_SVEDENIA 
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 AND LINK_KATEG NOT IN( @LINK_NR, @LINK_OZOI)

DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 
	AND NOT EXISTS (SELECT LINK_PERS FROM #TAB T WHERE T.LINK_PERS = dbo.SZV_STAZH_SVEDENIA.LINK_PERS AND T.FORMA = dbo.SZV_STAZH_SVEDENIA.FORMA AND T.LINK_KATEG = dbo.SZV_STAZH_SVEDENIA.LINK_KATEG)

--  
UPDATE dbo.SZV_STAZH_SVEDENIA SET LINK_KATEG = @LINK_NR WHERE link_up = @link AND LINK_KATEG = @LINK_OZOI

----     
EXEC [dbo].SS_SZV_ST_PACHKA_RASPIL @link

IF @VID_KOR != 3
	begin  
	---  

	----------------------------------------------------------------------------
	CREATE TABLE #PERIODY (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] int, NUM_STAKE NUMERIC(5,2), [IS_DOP] VARCHAR(20),	[NOT_LGOT_EXPIR] INT NULL)

	--/* */
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, TYPE,[IS_DOP])
	SELECT 	DISTINCT
		PERS_LINK, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			THEN (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			ELSE S.DATE_END
		END,	
		0,
		[IS_DOP] = isnull(pt.DOP_IS_C, '' )  --(SELECT TOP 1  pt.DOP_IS_C  from dbo.POST_TYPES AS pt WHERE   pt.link = st.gossl) 
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.EMPL E ON S.LINK_PERS = E.PERS_LINK AND E.DEP_LINK = @DEP_LINK
		INNER JOIN dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		left join dbo.staff_head sh on sh.link = p.STAFF_LINK
		left join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
	WHERE
		S.LINK_UP = @link
		AND
		P.DATE_BEGIN <= @PeriodEnd
		AND
		coalesce(U.DIS_DATE,'20990101') >= @PeriodBegin
		--AND st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin	

	/* */
	Select DISTINCT
		link_face = DGH.PERS_LINK, LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				THEN (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				ELSE S.DATE_BEG
			END,
		date2 = CASE WHEN S.DATE_END > (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				THEN (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				ELSE S.DATE_END
			END,
		[type] = 0
	INTO #DGH	
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.SALARY_REESTR_DGH DGH ON S.LINK_PERS = DGH.PERS_LINK
	WHERE 
		S.LINK_UP = @link
		AND
		DGH.DEP_LINK = @DEP_LINK
		and
		DGH.DATE1 <= @PeriodEnd
		and
		coalesce(DGH.DATE2,'20990101') >= @PeriodBegin

	--       
	SELECT LINK_FACE, DB = MIN(DATE1), DE = MAX(DATE2)
	INTO #WORK
	FROM #PERIODY
	GROUP BY LINK_FACE


	UPDATE S SET 
		S.DATE_BEG = CASE WHEN W.DB < S.DATE_BEG THEN S.DATE_BEG ELSE W.DB END,
		S.DATE_END = CASE WHEN W.DE > S.DATE_END THEN S.DATE_END ELSE W.DE END
	FROM 
		dbo.SZV_STAZH_SVEDENIA S INNER JOIN #WORK W ON S.LINK_PERS = W.LINK_FACE
	WHERE 
		S.LINK_UP = @link
	
	--
	CREATE TABLE #ADD_TYPE (
		[type] INT IDENTITY(1,1),
		[TERR_USL_TRUD] int NULL ,
		[TERR_RK] numeric(3, 2) NULL ,
		[OSOB_USL_TRUD] int NULL ,
		[COD_POS_SPISOK] int NULL ,
		[COD_POS_SPISOK2] int NULL ,
		[USL_DOSROCH_PENS] int NULL ,
		[STAVKA_PED_MED] numeric(3, 2) NULL,
		[VID] VARCHAR(20),
		[IS_DOP] VARCHAR(20),
		[COD_SPO_USL_TRUD] INT NULL
	)	
	INSERT INTO #ADD_TYPE 
		([TERR_USL_TRUD],[TERR_RK],[OSOB_USL_TRUD],[COD_POS_SPISOK],[COD_POS_SPISOK2],[USL_DOSROCH_PENS],[STAVKA_PED_MED],[VID],[IS_DOP],[COD_SPO_USL_TRUD])
	SELECT DISTINCT 
		ISNULL(s.TERR_USL_TRUD,0), ISNULL(s.TERR_RK,0), ISNULL(s.OSOB_USL_TRUD,0), ISNULL(s.COD_POS_SPISOK,0), ISNULL(s.COD_POS_SPISOK2,0), ISNULL(s.USL_DOSROCH_PENS,0), ISNULL(s.STAVKA_PED_MED,0), VID = 'ADD_TYPE', IS_DOP =  ISNULL(dop_is_c,''), ISNULL(s.[COD_SPO_USL_TRUD],0) 
	FROM dbo.staff s 
	LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = s.gossl
	WHERE ISNULL(s.TERR_USL_TRUD,0) <> 0 OR ISNULL(s.TERR_RK,0) <> 0 OR ISNULL(s.OSOB_USL_TRUD,0) <> 0 OR ISNULL(s.COD_POS_SPISOK,0) <> 0 OR ISNULL(s.COD_POS_SPISOK2,0) <> 0 OR ISNULL(s.USL_DOSROCH_PENS,0) <> 0 OR ISNULL(s.STAVKA_PED_MED,0) <> 0 OR ISNULL(s.[COD_SPO_USL_TRUD],0) <> 0 
	OR ISNULL(pt.dop_is_c,'')<>'' 

	--
	DECLARE @MAX_TYPE INT
	SET @MAX_TYPE = ISNULL((SELECT MAX(type) FROM #ADD_TYPE),0)

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('TMP_TYPE', '')
	
	/*  ( )*/
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('KOMM_TYPE', '')


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD1', '')

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	SELECT DISTINCT
		'PERIOD2',
		ISNULL(V.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
					--AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
					) VV ON VV.LINK = IV.TYPE_LINK
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD3', '')
/*
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	Select DISTINCT
		'PERIOD4',
		ISNULL(VV.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/
	--    
	INSERT INTO #ADD_TYPE (VID, IS_DOP) 	
	SELECT LEFT('P_' + LTRIM(RTRIM(CODE)),20), IS_DOP
	FROM dbo.VACATION_VID 
	WHERE	IS_DOP IS NOT NULL
			AND 
			NOT EXISTS (SELECT * FROM #ADD_TYPE WHERE VID = LEFT('P_' + LTRIM(RTRIM(CODE)),20))



	--    c   
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type], NUM_STAKE, IS_DOP)
	SELECT DISTINCT 
		link_face = E.PERS_LINK, S.LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN ELSE @PeriodBegin end)
					THEN (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN else  (case when IM.DATE_BEGIN >= @PeriodBegin  THEN IM.DATE_BEGIN ELSE @PeriodBegin end) end)
					ELSE (case when IM.DATE_BEGIN >= S.DATE_BEG  AND (dis_date IS NOT NULL AND dis_date BETWEEN @PeriodBegin AND @PeriodEND) THEN IM.DATE_BEGIN ELSE S.DATE_BEG end) --          -      
				END,
		date2 = CASE WHEN 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
							> (case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					THEN 
						(case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					ELSE 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
				END,	
		ISNULL(T.[type],0),
		ISNULL(im.NUM_STAKE,0),
		IS_DOP = isnull(T.[IS_DOP],'')
		--, ST.*
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		INNER JOIN dbo.sa_item_move im ON im.EMPL_LINK = e.link
		inner join dbo.staff_head sh on sh.link = STAFF_LINK
		inner join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1	
		left join #ADD_TYPE T on 
				ISNULL(st.TERR_USL_TRUD,0) = ISNULL(T.TERR_USL_TRUD,0) 
				AND ISNULL(st.TERR_RK,0) = ISNULL(T.TERR_RK,0) 
				AND ISNULL(st.OSOB_USL_TRUD,0) = ISNULL(T.OSOB_USL_TRUD,0) 
				AND ISNULL(st.COD_POS_SPISOK,0) = ISNULL(T.COD_POS_SPISOK,0) 
				AND ISNULL(st.COD_POS_SPISOK2,0) = ISNULL(T.COD_POS_SPISOK2,0) 
				AND ISNULL(st.USL_DOSROCH_PENS,0) = ISNULL(T.USL_DOSROCH_PENS,0) 
				AND ISNULL(st.STAVKA_PED_MED,0) = ISNULL(T.STAVKA_PED_MED,0) 
				AND ISNULL(st.[COD_SPO_USL_TRUD],0) = ISNULL(T.[COD_SPO_USL_TRUD],0)
				AND ltrim(rtrim(ISNULL(pt.[DOP_IS_C],''))) = ltrim(rtrim(ISNULL(T.[IS_DOP],'')))
	where 
		S.LINK_UP = @link
		AND
		IM.NUM_STAKE >= 1 
		AND
		IM.[STATUS] <> 2 -- .   
		AND
		im.DATE_BEGIN <= @PeriodEnd and im.DATE_END3 >= @PeriodBegin
		and 
		st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin
		AND 
		im.DATE_end3 > st.DATE_BEGIN -- AND st.DATE_END	 --            
		AND
		T.[TYPE] IS NOT NULL AND T.VID = 'ADD_TYPE'
		AND
		COALESCE(U.DIS_DATE,'20990101') >= @PeriodBegin
	order by
		E.PERS_LINK
 
	---**************************************

	DECLARE @TMP_TYPE INT
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')

	/* -    ( .  )*/
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	Select DISTINCT 
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		ISNULL( (SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = LEFT('P_' + LTRIM(RTRIM(VV.CODE)),20) AND AT.IS_DOP = VV.IS_DOP ), @TMP_TYPE),
		[NOT_LGOT_EXPIR]
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_vacation iv on E.link = iv.EMPL_LINK 
		inner join dbo.orders o on iv.order_link=o.link
		--  ,   "    ", 
		--  (   )
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link /*AND NO_SAL <> 1*/
		INNER JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK AND WORK_D <> 7 --      (   )
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and ISNULL(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		ISNULL(ISNULL(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	/* -    ( .  )*/	
	--SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'KOMM_TYPE')
	
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			THEN (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE,
		1
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_travel T on E.link = T.EMPL_LINK
		left join dbo.ITEM_TRAVEL_LONG ITL on ITL.TRAVEL_LINK = T.LINK and ISNULL(ITL.ACTIVE,0) = 1	
	WHERE
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		AND 
		T.ACTIVE = 1 
		AND 
		T.DATE_BEGIN <= @PeriodEnd
		AND 
		ISNULL(ISNULL(ITL.NEW_DATE_END,T.date_end),'20990101') >= @PeriodBegin

	/* -      */

	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD1')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
		INNER JOIN dbo.NETRUD N ON N.LINK = [TYPE] AND N.DEKRET = 1
	WHERE 
		S.LINK_UP = @link
		AND	
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin

	/* -  */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD3')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
	WHERE
		S.LINK_UP = @link
		AND	 
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin
		and
		[TYPE] not in (select LINK from dbo.NETRUD where DEKRET = 1)

	/* -     1,5   3 */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD2' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(V.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER join dbo.TYP_DAYS D on V.TYPE_LINK = D.LINK AND  WORK_D = 7 
		--INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
			----AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
		--	) VV ON VV.LINK = IV.TYPE_LINK
		LEFT JOIN DBO.ITEM_VACATION_BREAK IVB ON IVB.VAC_LINK = IV.LINK AND COALESCE(IVB.ACTIVE,0) = 1
	WHERE 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


/*
	/* -     */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	Select DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD4' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(VV.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	WHERE
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/


	--------------------------------------------------------------------------
	-- 2.            type.
	--- ,        , ..     
	CREATE TABLE #PERIODY3 (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] INT, orders int, i int, NUM_STAKE NUMERIC(5,2),IS_DOP VARCHAR(20), TYPE_ADD INT)

	--    -1  ..  
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, [type])
	SELECT DISTINCT link_face, LINK_KATEG, @PeriodBegin, @PeriodEnd, [type] = -1   FROM #PERIODY


	CREATE TABLE #DAYS (ID INT IDENTITY(1,1), LINK_FACE INT, LINK_KATEG INT, [DATE] DATETIME, [TYPE] INT, NUM INT/*, IS_DOP VARCHAR(20)*/, NUM_STAKE NUMERIC(5,2), [TYPE_ADD] INT)

	INSERT INTO #DAYS (LINK_FACE, LINK_KATEG, [DATE], [TYPE], NUM, NUM_STAKE/*,IS_DOP*/, [TYPE_ADD])
	SELECT P.LINK_FACE, P.LINK_KATEG, [DATE], [TYPE] = MAX([TYPE]), 0, 
		[NUM_STAKE] = MAX(ISNULL(NUM_STAKE,0)), 
		--isnull(IS_DOP,''),
		[TYPE_ADD] = MAX(CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END
		)
	FROM 
		#PERIODY P
		INNER JOIN dbo.days_ex(@PeriodBegin, @PeriodEnd) D ON 1=1
	WHERE
		D.[DATE] BETWEEN P.DATE1 AND P.DATE2
	GROUP BY
		 P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]
	ORDER BY	
		P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]


	--   ,     
	UPDATE #DAYS SET [TYPE_ADD] = 0 
	WHERE 
		EXISTS (SELECT * FROM #PERIODY WHERE 
			#PERIODY.[NOT_LGOT_EXPIR] = 1
			AND #PERIODY.link_face = #DAYS.link_face
			AND #DAYS.[DATE] BETWEEN #PERIODY.DATE1 AND #PERIODY.DATE2)


	-- 
	DECLARE 
		@ID INT, @ID1 INT, @ID2 INT, @LINK_FACE INT, @DATE datetime, @LINK_KATEG INT, @TYPE INT, @NUM INT, @TYPE_ADD INT,
		@LINK_FACE1 INT, @LINK_KATEG1 INT, @TYPE1 INT,@TYPE_ADD1 INT,@DATE1 datetime

	--  ,      

--------   #ADD_TYPE    
----
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')
----
	CREATE table #TDays(link_face int, id int,  date DATETIME ,LINK_KATEG int , [TYPE] INT, [TYPE_ADD] INT)
	INSERT INTO #TDays (link_face, id, date, LINK_KATEG, [TYPE], [TYPE_ADD])
	SELECT d.link_face,
		   d.id,
		   d.date,
		   d.LINK_KATEG,
		   d.[TYPE],
		   d.[TYPE_ADD]
	FROM #DAYS d WHERE d.[type] = @TMP_TYPE 
	ORDER BY d.link_face, d.ID ,d.[date], d.[TYPE] ,d.[TYPE_ADD]	 


	DECLARE @Cur0 CURSOR, @F_TYPE int, @F_TYPE_ADD int
	SET @Cur0 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE,[date],LINK_KATEG, [TYPE],  TYPE_ADD from  #TDays order by ID, LINK_FACE, [DATE]
	OPEN @Cur0
	FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
		
			SELECT DISTINCT @F_TYPE =[TYPE], @F_TYPE_ADD = [type_add]  
			FROM #DAYS WHERE LINK_FACE = @LINK_FACE AND LINK_KATEG = @LINK_KATEG AND [DATE] = @DATE-1 
			
			SELECT @F_TYPE = ISNULL(@F_TYPE,0), @F_TYPE_ADD = ISNULL( @F_TYPE_ADD,0) 

			IF @F_TYPE_ADD = @type_add OR  (ISNULL((SELECT TOP 1 IS_DOP TYPE FROM #ADD_TYPE WHERE [type] = @F_TYPE_ADD),'') <> '' AND @type_add = 0) 
			BEGIN
			
				UPDATE d
				SET [TYPE] = @F_TYPE , [type_add] = @F_TYPE_ADD 
				FROM #DAYS d
				WHERE d.ID = @ID AND d.LINK_FACE = @LINK_FACE AND d.[DATE] = @DATE AND d.LINK_KATEG=@LINK_KATEG AND d.[TYPE] = @TMP_TYPE

			END	

		END

		FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	END

	CLOSE @Cur0
	DEALLOCATE @Cur0


	--
	/*		---------
				UPDATE #DAYS SET [type] = 0 WHERE [type] = @TMP_TYPE
			---------*/

DROP TABLE #TDays 

---------------------------------------------------------------------------------
	--	
	SELECT TOP 1 @ID1 = 0, @ID2 = 0, @NUM = 0, @LINK_FACE1 = LINK_FACE, @LINK_KATEG1 =LINK_KATEG, @TYPE1 = [TYPE]
	FROM #DAYS
	order by ID
	--
	DECLARE @Cur1 CURSOR
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE, LINK_KATEG, [TYPE] from #DAYS order by ID
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			IF NOT (@LINK_FACE = @LINK_FACE1 AND @LINK_KATEG = @LINK_KATEG1 AND @TYPE = @TYPE1)
			BEGIN
				
				SELECT @NUM = @NUM + 1, @LINK_FACE1 = @LINK_FACE, @LINK_KATEG1 = @LINK_KATEG, @TYPE1 = @TYPE
				UPDATE #DAYS SET NUM = @NUM WHERE ID BETWEEN @ID1 AND @ID-1
				SELECT @ID1 = @ID 

			END

		END

		FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--
	UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1

	--
	INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
	SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE]), DATE_END = MAX([DATE]), [TYPE], 0, 0, NUM_STAKE = MAX(ISNULL(NUM_STAKE,0)), TYPE_ADD
	FROM #DAYS	
	GROUP BY LINK_FACE, LINK_KATEG, NUM, [TYPE], TYPE_ADD
	ORDER BY LINK_FACE, LINK_KATEG, DATE_BEG, DATE_END


---       (  ,   ..) ,        -  
--     ,            (, ,   ..)  

 IF EXISTS (SELECT TOP 1 * FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
 BEGIN 
 	---         ( ,   ..)     
 	INSERT INTO #PERIODY3(link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
 	SELECT p.link_face , 
 	p.LINK_KATEG ,
 	p.date1, 
 	p.date2, 
 	[type] = (SELECT TOP 1 [type] FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  )), 
 	0,
 	0, 
 	p.NUM_STAKE, 
 	p.TYPE_ADD 
	FROM #PERIODY3 p WHERE exists (SELECT  IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID <> 'ADD_TYPE'  )
	AND((p.date1 > = (SELECT TOP 1 DATE1 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
		AND p.date2 < = (SELECT TOP 1 DATE2 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
		)
			OR (p.date1 > = (SELECT TOP 1 DATE1 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
			AND p.date2 between (SELECT TOP 1 DATE1 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE' ) )
							AND (SELECT TOP 1 DATE2 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
			)
		)

		
	--AND P.TYPE_add <> 0

/*	--- 
	--              
  	---   ()      ,         (   .. ) 
  	--  ,          ( )   ,      
 	UPDATE p
 	SET TYPE_ADD = (SELECT TOP 1 [type] FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  )),
 		[type] = (SELECT TOP 1 [type] FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
	FROM #PERIODY3 p WHERE exists (SELECT  IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID <> 'ADD_TYPE'  )
	AND p.date1 > = (SELECT TOP 1 DATE1 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
	AND p.date2 < = (SELECT TOP 1 DATE2 FROM #PERIODY p WHERE exists (SELECT IS_DOP FROM #ADD_TYPE where  [TYPE] = p.type and VID = 'ADD_TYPE'  ))
	AND P.TYPE_add = 0
	--- 
*/	
 END 

	
	--  
	DELETE FROM #PERIODY3 WHERE [TYPE] = -1

	/* */
	DECLARE @uslovie INT
	set @uslovie = 1
	while @uslovie > 0
	begin
		update #PERIODY3 set orders = @uslovie 
		from #PERIODY3 as tt
		where 	coalesce(orders,0) = 0
			and date1 = (select min(t.date1) from #PERIODY3 t where coalesce(orders,0) = 0 and t.link_face = tt.link_face AND T.LINK_KATEG = TT.LINK_KATEG)
		if @@rowcount > 0
			set @uslovie = @uslovie + 1
		else
			set @uslovie = 0
	END


	--   
	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_k3, is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k, osob_spo)
	Select S.link, P.orders, P.date1, P.date2, 
		ter_usl = ISNULL(spr1.CODE,spr1A.CODE),
		ter_koef = ISNULL(T.TERR_RK,TA.TERR_RK),
		osob_usl = ISNULL(spr2.CODE,spr2A.CODE),
		osob_k1 = ISNULL(spr6.CODE,spr6A.CODE),
		osob_k2 = CONVERT(VARCHAR(20),left(ISNULL(spr7.CODE,spr7A.CODE),20)),
		osob_k3 = NULL,
		is_osnov = NULL, 
		is_dop = LTRIM(RTRIM(ISNULL(T.IS_DOP,TA.IS_DOP))),
		is_dop_m = NULL, 
		is_dop_d = NULL, 
		ud_osnov = ISNULL(spr5.CODE,spr5A.CODE), 
		ud_dop_m = NULL, 
		ud_dop_d = NULL, 
		ud_dop_k = ISNULL(T.STAVKA_PED_MED,TA.STAVKA_PED_MED) * P.NUM_STAKE,
		osob_spo = ISNULL(spr9.CODE,spr9A.CODE)
	 from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		inner join #PERIODY3 P on S.link_pers = P.link_face AND S.LINK_KATEG = P.LINK_KATEG
		
		LEFT JOIN #ADD_TYPE T ON P.[TYPE] = T.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1 on spr1.spr_code = 'TERR_USL' and spr1.LINK = T.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2 on spr2.spr_code = 'OSOB_USL_TRUDA' and spr2.LINK = T.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5 on spr5.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5.LINK = T.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6 on spr6.SPR_CODE LIKE 'SPISOK%' and spr6.LINK = T.COD_POS_SPISOK
		left join dbo.szv4_spr spr7 on spr7.SPR_CODE LIKE 'SPISOK%' and spr7.LINK = T.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3
		left join dbo.szv4_spr spr9 on spr9.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9.LINK = T.[COD_SPO_USL_TRUD]

		LEFT JOIN #ADD_TYPE TA ON P.[TYPE_ADD] = TA.[TYPE] AND P.[TYPE_ADD] <> P.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1A on spr1A.spr_code = 'TERR_USL' and spr1A.LINK = TA.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2A on spr2A.spr_code = 'OSOB_USL_TRUDA' and spr2A.LINK = TA.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5A on spr5A.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5A.LINK = TA.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6A on spr6A.SPR_CODE LIKE 'SPISOK%' and spr6A.LINK = TA.COD_POS_SPISOK
		left join dbo.szv4_spr spr7A on spr7A.SPR_CODE LIKE 'SPISOK%' and spr7A.LINK = TA.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3	
		left join dbo.szv4_spr spr9A on spr9A.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9A.LINK = TA.[COD_SPO_USL_TRUD]
	where
		S.link_up = @link
		AND
		S.FORMA = 1
	order by
		S.link, P.orders



	--  
	CREATE TABLE #STAGE_DOG (
		LINK_PERS INT, 
		KATEG TINYINT,
		BERIOD_BEG DATETIME,
		BERIOD_END DATETIME
		)

	INSERT INTO #STAGE_DOG (LINK_PERS, KATEG, BERIOD_BEG, BERIOD_END)
	SELECT LINK_FACE, LINK_KATEG, MIN(date1), MAX(date2) 
	FROM #DGH A
	GROUP BY LINK_FACE, LINK_KATEG

	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2,is_dop)
	Select S.link, 1, P.BERIOD_BEG, P.BERIOD_END,is_dop = (CASE WHEN exists(select * from  DOCUMENTS_DGH_T1 t1 
																				inner join dbo.DOCUMENTS_DGH DOC  ON DOC.link = t1.link 
																				WHERE t1.pers_link = p.LINK_PERS
																				AND p.BERIOD_BEG = DOC.PERIOD  ) THEN '' ELSE '' END)
	from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN #STAGE_DOG P on S.link_pers = P.LINK_PERS AND S.LINK_KATEG = P.KATEG
		
	where
		S.link_up = @link
		AND
		S.FORMA = 2
	order by
		S.link
		
	END


--------------------------------------------------------------------------
/*    ,            
C 14     
*/	
DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE 
LINK_UP = @link
AND
EXISTS (		
	Select  1
	from dbo.ss_szv_STazh_svedenia S inner join  dbo.szv_STAZH_pachka p on p.link = s.link
	WHERE 
		S.LINK1 = dbo.SZV_STAZH_SVEDENIA.LINK
		AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0
				 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0 
		and p.vid_kor != 3
		AND NOT EXISTS (SELECT * FROM dbo.SZV_ST_STAZH ST WHERE ST.LINK_UP = S.LINK1)
)


--------------------------------------------------------------------------
exec dbo.SZV_ST_NUMERATOR @link










GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017] TO PUBLIC

GO


-- --

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_EXPORT_PFR_100_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_EXPORT_PFR_100_17]

GO

CREATE      PROCEDURE [dbo].SZV_STAZH_EXPORT_PFR_100_17 (
@DOC_LINK int  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK = @DOC_LINK

CREATE TABLE #ODV1_ONLY(DOC_LINK INT , ODV1_ONLY TINYINT )	
insert into #ODV1_ONLY(DOC_LINK, ODV1_ONLY)
select 
	doc_link = d.link,
	ODV1_ONLY = (SELECT TOP 1 [type] FROM dbo.SS_SZV_STAZH_PACHKA WHERE link = d.Link)
from #DOC d


--  

CREATE TABLE #ODV1 (
		[LINK_SZV]     INT, 
		[YEAR]     INT ,
		[PER]      INT ,
		[PER_edt]      INT ,
		[YEAR_edt]     INT ,
		[PER10]    INT ,
		[TYPE]	   tinyint,
		[VID_KOR]  tinyint, 
		[COUNT_P]  INT,
		[COUNT_PK] INT,
		[COUNT_PERS] INT,  
		[REG_NOM_PF] VARCHAR(20),
		[DEP_NAME] VARCHAR(254),
		[OKPO] VARCHAR(40),
		[INN] VARCHAR(12),
		[KPP] VARCHAR(9),
		DATE_CRT datetime,
		DATE_DOC datetime,
		[GUID] UNIQUEIDENTIFIER)  

CREATE TABLE #ODV1_2 (
		[LINK_SZV]  INT,
		[link_pers] INT , 
		[subdiv_name] VARCHAR(254), 
		[POST_NAME] VARCHAR(254) , 
		[num_stake] NUMERIC(5,2),
		[work_stake] NUMERIC(5,2),
		[Fakt_Work] VARCHAR(254) ,
		[DOC_NAME] VARCHAR(10), 
		[OSOB_USL] VARCHAR(10) , 
		[N_OSOB_USL] VARCHAR(150) ,
		POS_SPIS VARCHAR(150))  

create table #SZV_ST (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[NGROUP] INT,
	[T_DOG] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int)



create table #PERS_INFO2 (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[T_DOG] INT ,
	[NGROUP] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int)



--       -
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
	
			INSERT INTO #ODV1 ([LINK_SZV],[YEAR],[PER],[PER_EDT],[YEAR_EDT],[PER10],[TYPE],[VID_KOR],[COUNT_P],[COUNT_PK],[COUNT_PERS],
							   [REG_NOM_PF],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC,[GUID])  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 1 
			
			INSERT INTO #ODV1_2 ([LINK_SZV],[link_pers],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],
								 [DOC_NAME],[OSOB_USL],[N_OSOB_USL] ,[POS_SPIS] )  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 2 
			
	
			---  #SZV_ST
				
				INSERT INTO #SZV_ST([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV)
				exec dbo.SZV_STAZH_PRINT @LINK_DOC
				
	
				update #SZV_ST  set FM = UPPER(FM), IM = UPPER(IM), OT = UPPER(OT), ADDRESS2 = UPPER(ADDRESS2) WHERE link_SZV = @LINK_DOC 
			
				
				--  #PERS_INFO2 

				INSERT INTO #PERS_INFO2([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP)

				SELECT	[LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP
				FROM #SZV_ST
			

			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			

DECLARE @NN INT, @PN INT, @ON INT
SELECT @NN = 0, @PN = 0, @ON = 0




DECLARE @PI_NGROUP INT, @PI_ID INT, @PI_link_szv int, @PI_T_DOG tinyint  
DECLARE @Cur_PI CURSOR
SET @Cur_PI = CURSOR FORWARD_ONLY

FOR select link_szv, NGROUP,T_DOG, [ID]  from #SZV_ST order by link_szv,T_DOG, NGROUP, [ID]

OPEN @Cur_PI
FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @NN = (CASE WHEN @PI_NGROUP <> @PN THEN 1 ELSE (CASE WHEN @ON <> @PI_ID THEN @NN + 1 ELSE @NN END) END)
		SET @PN = (CASE WHEN @PI_NGROUP <> @PN THEN @PI_NGROUP ELSE @PN END)

		UPDATE A
		SET 
			ID = @NN
		FROM #SZV_ST A 
		WHERE link_szv = @PI_link_szv and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID

		SET @ON = @NN				

	END

	FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
END

CLOSE @Cur_PI
DEALLOCATE @Cur_PI




-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @link_szv INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC datetime, 
	@INN VARCHAR(12), @KPP VARCHAR(9), @OKPO VARCHAR(40), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@COUNT_P VARCHAR(10) , @COUNT_PK VARCHAR(10), @COUNT_PERS VARCHAR(4), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4),@sved int , @TYP_SVED VARCHAR(20), @kor INT,
	@VID_KOR VARCHAR(20),@PER VARCHAR(1),@PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4),  @TYPE VARCHAR(20), @GUID VARCHAR(36),
	@EGRUL varchar(15), @CHIEF_POST_OUR VARCHAR(150) , @CH_FM  VARCHAR(150) , @CH_IM  VARCHAR(150),@CH_OT  VARCHAR(150)
	/*@INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	
	@KATEG VARCHAR(20)*/

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


SELECT @CHIEF_POST_OUR = (SELECT TOP 1 post_name FROM dbo.SD_EMPL AS se WHERE link  = a.face_link),
		@CH_FM = (SELECT TOP 1 LTRIM(RTRIM(FM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_IM = (SELECT TOP 1 LTRIM(RTRIM(IM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_OT = (SELECT TOP 1 LTRIM(RTRIM(OT)) FROM dbo.sd_empl WHERE link  = a.face_link)
FROM DICTIONARY_OTV_FACE_ALL A  
inner join dbo.SS_SZV_STAZH_PACHKA P on a.dep_link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )
AND  a.NAME = '' 



SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	link_szv,
	FNAME = '_'+ RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))) + '_'+LEFT(REPLACE([REG_NOM_PF],'-',''),6)+'_-_'+CONVERT(VARCHAR(8),ltrim(rtrim(replace(CONVERT(VARCHAR(10),DATE_DOC,102),'.',''))))+'_'+ltrim(rtrim([GUID]))+'.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	[OKPO] = RTRIM(LTRIM(COALESCE(OKPO,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))),
	--PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	[COUNT_P] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_P]))), 	
	[COUNT_PK] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PK]))),
	[COUNT_PERS] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PERS]))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = DATE_DOC,
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SVED = [TYPE] ,
	TYP_SVED = (CASE WHEN [TYPE] = 1 THEN '' else (CASE WHEN [TYPE] = 2 THEN '' else '' end) end),
	KOR = [VID_KOR] ,
	VID_KOR = (CASE WHEN [VID_KOR] = 2 THEN '' else (CASE WHEN [VID_KOR] = 3 THEN '' else '' end) end),
	[PER] = 0 ,  --CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	PER_EDT = CONVERT(VARCHAR(1),[PER_edt]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	[GUID] = RTRIM(LTRIM(CONVERT(VARCHAR(36),iSnull([GUID],null))))
from #ODV1 order by link_szv

/*  A63        61 */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	 @SVED, @TYP_SVED, @KOR,@VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'UTF-8' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://.///2014-01-01" xmlns:xs="http://www.w3.org/2001/XMLSchema">'
			/*UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21"'+CHAR(10)+CHAR(13)
+ ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://.//-/2017-01-01'+CHAR(10)
+'..\..\..\..\\\\2017\-_2017-01-01.xsd">'*/
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				 
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<-1>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + CASE when @VID_KOR = '' THEN '1' ELSE '0' end + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'					
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + RTRIM(LTRIM(ISNULL(@COUNT_PERS,''))) + '</>'
	

	IF (SELECT COUNT([work_stake])  FROM #ODV1_2 WHERE [LINK_SZV] =  @link_szv ) <>0
	BEGIN 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  SELECT @lcFNAME , SPACE(2) + '<>'
		
		
		-- 1 
		DECLARE @Cur2 CURSOR, @LINK_SZV1 int, @subdiv_name varchar(254), @POST_NAME varchar(254), @num_stake NUMERIC(5,2), @work_stake NUMERIC(5,2),
				@Fakt_Work VARCHAR(254), @DOC_NAME VARCHAR (10),@OSOB_USL VARCHAR(10),@POS_SPIS VARCHAR(150) 
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
			Select	[LINK_SZV],[subdiv_name],
					[POST_NAME],[num_stake],[work_stake],
					[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 
			FROM #ODV1_2  WHERE  [LINK_SZV] = @link_szv 
			GROUP BY [LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 			   			
		
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN	
						IF isnull(@OSOB_USL,'') <> '' AND isnull(@POS_SPIS,'') <> '' 
						begin		
							  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											Select @lcFNAME, SPACE(3) + '<:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@subdiv_name,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@POST_NAME,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(CONVERT(VARCHAR(8),ISNULL(@num_stake,''))))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(ISNULL(@work_stake,''))))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@Fakt_Work,''))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@DOC_NAME,'-')))+'</:>' 
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@OSOB_USL,'')))+'</:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@POS_SPIS,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '</:>'
								  UNION ALL SELECT @lcFNAME, SPACE(3) + '</:>'
						end
					END
				
					FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS					  
					
				END 
			CLOSE @Cur2
			DEALLOCATE @Cur2
								
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(3) + '<:>'+ RTRIM(LTRIM(CONVERT(VARCHAR(8),SUM(@num_stake))))+ '</:> '  + CHAR(10)
							  +	 SPACE(3) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(sum(@work_stake))))) + '</:>'
				FROM #ODV1_2 WHERE LINK_SZV = @DOC_LINK  GROUP BY LINK_SZV
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	END 

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+REPLACE(RTRIM(LTRIM(isnull(@CHIEF_POST_OUR,''))),' ','')+'</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_FM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_IM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_OT,'')))+'</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(VARCHAR(10),@DATE_DOC , 120) +'</>'
		UNION ALL SELECT @lcFNAME, SPACE(1) + '</-1>'

	-- - 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	Select @lcFNAME, SPACE(1) + '<->'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	UNION ALL Select @lcFNAME, SPACE(2) + '<>'+CASE WHEN  @SVED = 2 THEN '2' 
															     WHEN  @SVED = 1 AND @KOR = 1 THEN '0'	
															     WHEN @SVED = 1 AND @KOR = 2 THEN '1'
															ELSE '0'  END    
												  +'</>'  + CHAR(10)
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	


	DECLARE @LINK_SZV_ST int, @TYPE_SV INT , @TYPE_KOR INT , @ID int, @ID_EX INT, @PF_NUMBER VARCHAR(14)
	SET @Cur2 = CURSOR FORWARD_ONLY
	FOR 
	Select	[LINK_SZV],[TYPE_SV],[TYPE],[ID],[PFNUMBER]
	FROM #SZV_ST  WHERE  [LINK_SZV] = @link_szv 
	GROUP BY [LINK_SZV],[ID],[PFNUMBER],[TYPE_SV],[TYPE]
	ORDER BY [LINK_SZV],[ID],[PFNUMBER]	,[TYPE_SV],[TYPE]	   			
	
	OPEN @Cur2
	FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN	
			  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						Select @lcFNAME, SPACE(2) +'<>'	+ CHAR(10)
										  + SPACE(3) + '<>'	+ CHAR(10)  
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(FM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(IM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(OT,'')))+'</:>'+ CHAR(10) 
										  + SPACE(3) + '</>'+ CHAR(10) 
										  + SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL([PFNUMBER],''))) + '</>' + CHAR(10) 
										FROM 	
										(select top 1 FM , IM , OT , [PFNUMBER] FROM  #SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a

									
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
									Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
										FROM #pers_info2
										where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER
		  
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
								Select @lcFNAME, SPACE(2) +'</>'	+ CHAR(10)  
								FROM (select top 1 FM , IM , OT , [PFNUMBER] FROM  #SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a
		END
	
		FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER--,@ID_EX 				  
		
	END 
	CLOSE @Cur2
	DEALLOCATE @Cur2	
		

	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, SPACE(1) + '</->'	
	UNION ALL SELECT @lcFNAME, SPACE(0) +'</>'

	FETCH NEXT FROM @Cur1 INTO  @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	@SVED, @TYP_SVED,@KOR, @VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]















GO


GRANT EXECUTE ON dbo.[SZV_STAZH_EXPORT_PFR_100_17] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9784.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]

GO

CREATE   PROCEDURE [dbo].SS_SZV_ST_PACHKA_CALC_Buffer_2017 (@BufferCode varchar(10), @link int, @Year int, @Month tinyint) 
AS

DECLARE @SQL VARCHAR(1000)

SET @SQL = '
delete from dbo.Buffer
where RTRIM(LTRIM(ID)) = RTRIM(LTRIM( ''' + @BufferCode + ''' ))
	and link IN (select S.link_pers from dbo.SZV_STAZH_SVEDENIA S where S.link_up = ' + CONVERT(VARCHAR(20),@LINK) + ')'
--EXEC (@SQL)	--!!


CREATE TABLE #PERSON (LINK INT)	

SET @SQL = '
INSERT INTO #PERSON (LINK)
SELECT DISTINCT LINK FROM dbo.Buffer WHERE RTRIM(LTRIM(ID)) = RTRIM(LTRIM(''' + @BufferCode + '''))'
EXEC (@SQL)	

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @VID_KOR TINYINT , @type_doc tinyint

SELECT @VID_KOR = VID_KOR, @type_doc = [type]
FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link


IF @VID_KOR = 2
begin  
	SELECT @Year = @Year, @PER = PER_EDT, @MONTH_END = @Month
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
else 
begin
	SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
DECLARE @PeriodBegin datetime, @PeriodEnd datetime

/*IF @type_doc = 1 OR (@type_doc = 2 AND @PER <> 4)
BEGIN
	SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
	SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

	IF @MONTH_BEG > @MONTH_END
		SET @MONTH_END = @MONTH_BEG + 3 - 1
END
IF  @type_doc = 2 AND @PER = 4
 BEGIN */
		SET @MONTH_BEG = 1 
		SET @MONTH_END = 12
/* END */

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--  .
--
DECLARE @LINK_OZOI INT
SET @LINK_OZOI = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 3 AND @Year BETWEEN YBEG AND YEND),1)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME)

INSERT INTO #PERS_INV (PERS_LINK, DATE_BEGIN, DATE_END) 
SELECT PERS_LINK, DATE_BEGIN = MIN(ISNULL(I.DATE_BEGIN,@PeriodBegin)), DATE_END = MAX(ISNULL(I.DATE_END,@PeriodEnd))
FROM dbo.PERS_INVALID I
WHERE ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin
GROUP BY PERS_LINK


--forma    2013     (1 , 2 )
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_OZOI,
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END,
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
from 
	(	SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2 
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	INNER JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		

----
DECLARE @LINK_NR INT
SET @LINK_NR = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 1 AND @Year BETWEEN YBEG AND YEND),1)

--forma    2013     (1 , 2 )	
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_NR,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodBegin < CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		THEN @PeriodBegin 
		ELSE CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END + 1
	END,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodEnd > CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		THEN @PeriodEnd
		ELSE CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END - 1
	END
from 
	(	
		SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		
WHERE --          
	I.PERS_LINK IS NULL --  
	OR --    
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1
	OR --    
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1	

----
DECLARE @LINK_USEN INT
SET @LINK_USEN = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 2 AND @Year BETWEEN YBEG AND YEND),1)		
	
insert into dbo.SZV_STAZH_SVEDENIA 
	(link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
SELECT 	
	link_up, orders, forma, link_pers, ISNULL(sum_doh,0), ISNULL(sum_str,0), ISNULL(sum_nak,0), ISNULL(sum_dop,0), ISNULL(dper_vn_m,0), ISNULL(dper_vn_d,0), ISNULL(dper_oz_m,0), ISNULL(dper_oz_d,0), ISNULL(isum_str,0), ISNULL(isum_nak,0), @LINK_USEN, DATE_BEG, DATE_END
FROM
	#PERSON B INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON B.LINK = S.link_pers 
WHERE
	link_up = @link
	AND
	LINK_KATEG = @LINK_NR	

/*----        
CREATE TABLE #PERS_SUM_J (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, MON INT, INCOME NUMERIC(18,2), SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM_J (LINK_PERS, LINK_KATEG, DOG, MON, INCOME, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG, MON,
	SUM(CASE WHEN [OBJECT] = 1 THEN SUMMA ELSE 0 END), --  (INCOME)
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.EMPL E ON E.PERS_LINK = S.LINK_PERS
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_EMPL = E.LINK 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 1 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
	UNION ALL	
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.PERS_LINK = S.LINK_PERS 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 2 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG, MON
*/
--
/*CREATE INDEX #TMP_IDX_#PERS_SUM_J ON #PERS_SUM_J (LINK_PERS, LINK_KATEG)

--ר     
-- ר         512   ר 
create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, KATEG TINYINT, DOG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG = 1
FROM 
	dbo.SA_ESN_VIEW(@Year, @Month, @DEP_LINK, 0) S
WHERE 
	WAY_CALC IN (6,7,10,11)
	AND EXISTS (SELECT * FROM #PERSON B WHERE B.LINK = S.REF_PHYS_PERS)

--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, 
	GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, 
	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@Year))) = 2
		THEN 3
		ELSE
		CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END
	END, 
	DOG = 2
FROM 
	dbo.DOCUMENTS_DGH G 
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.PERSON P on GT.PERS_LINK = P.link
	INNER JOIN #PERSON B ON B.LINK = P.LINK
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  IN (6,7,10,11)
	AND YEAR(G.[DATE]) = @Year
	AND MONTH(G.[DATE]) <= @Month
	AND LINK_DEP = @DEP_LINK


--
CREATE INDEX #TMP_IDX_SPR_ESN ON #SPR_ESN (REF_PHYS_PERS, KATEG, DOG)

--
DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS < @PeriodBegin )
*/
--  
DECLARE @STAVKI TABLE ( LINK_PERS INT, TARIF TINYINT, PREDEL NUMERIC(15,2), [PERCENT] NUMERIC(8,2), WAY_CALC TINYINT)

INSERT INTO @STAVKI (LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC)
SELECT 
	LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC 
FROM 
	dbo.SA_ESN_TARIF(DEFAULT, @PeriodEnd, DEFAULT) S
WHERE 
	WAY_CALC IN (6,7)
	AND EXISTS (SELECT * FROM #PERSON P WHERE P.LINK = S.LINK_PERS)

--	
DECLARE @LIMIT NUMERIC(18,2)
SET @LIMIT = ISNULL((SELECT MIN(PREDEL) FROM @STAVKI WHERE TARIF = 1 AND WAY_CALC = 6),0)

------      ר   ר  512.
/*CREATE TABLE #SUM_PERSON (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT, WAY_CALC TINYINT, [PERCENT] NUMERIC(18,2), MON TINYINT, 
				BAZA NUMERIC(18,2), SUM_LIM NUMERIC(18,2), SUM_KOR NUMERIC(18,2),BAZA2 NUMERIC(18,2),  NALOG NUMERIC(20,6), M BIT)

INSERT INTO #SUM_PERSON (LINK_PERSON, KATEG, DOG, WAY_CALC, [PERCENT], MON, BAZA, NALOG, M)
SELECT
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE,
	SUM(ISNULL(SUMMA_BASE,0) - ISNULL(DED_M,0) - ISNULL(INV_M,0)) AS BAZA,
	SUM(SUMMA),
	0
FROM 
	#SPR_ESN E
	INNER JOIN @STAVKI S ON S.LINK_PERS = E.REF_PHYS_PERS AND S.WAY_CALC = E.WAY_CALC AND S.TARIF = E.KATEG
WHERE 
	S.PREDEL = @LIMIT
GROUP BY
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE

-- ,     
CREATE TABLE #PERS_AFTER (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT)

INSERT INTO #PERS_AFTER (LINK_PERSON, KATEG, DOG)
SELECT LINK_PERSON, KATEG, DOG
FROM #SUM_PERSON 
WHERE WAY_CALC = 6
GROUP BY LINK_PERSON, KATEG, DOG
HAVING SUM(BAZA) > @LIMIT
DECLARE @Cur2 CURSOR, @MON TINYINT, @KATEG TINYINT, @DOG TINYINT

SET @Cur2 = CURSOR FORWARD_ONLY
FOR SELECT DISTINCT MON, KATEG, DOG FROM #SUM_PERSON SP
	ORDER BY MON, KATEG ASC, DOG DESC
OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE SP --     
		SET 
			M = 1,
			SUM_LIM = (SELECT SUM(BAZA) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.WAY_CALC = SP.WAY_CALC AND (M=1 OR SP1.MON = SP.MON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG))
		FROM #SUM_PERSON SP
		WHERE MON = @MON AND KATEG = @KATEG AND DOG = @DOG
		
		UPDATE #SUM_PERSON -- 
		SET SUM_KOR = CASE WHEN ISNULL(SUM_LIM,0) > @LIMIT THEN ISNULL(SUM_LIM,0) - @LIMIT ELSE 0 END

		UPDATE #SUM_PERSON
		SET BAZA2 = CASE WHEN (ISNULL(BAZA,0) > ISNULL(SUM_KOR,0) OR ISNULL(BAZA,0) < 0)
							THEN ISNULL(BAZA,0) - ISNULL(SUM_KOR,0) ELSE 0 END
		
		UPDATE SP
		SET NALOG = 
					CASE WHEN BAZA <> BAZA2 
						THEN 
							
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON <= SP.MON),0)
							* ISNULL([PERCENT],0) / 100)
							-
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON < SP.MON),0)
							* ISNULL([PERCENT],0) / 100)

						ELSE 
							(SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND SP.DOG = PS.DOG AND PS.MON = SP.MON)
					END
					
					--CASE WHEN BAZA <> BAZA2 
					--	THEN ISNULL(BAZA2,0) * ISNULL([PERCENT],0) / 100
					--	ELSE (SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND PS.MON = SP.MON)
					--END	
		FROM
			#SUM_PERSON SP
		WHERE --  ,    
			EXISTS (SELECT * FROM #PERS_AFTER PA WHERE PA.LINK_PERSON = SP.LINK_PERSON AND PA.KATEG = SP.KATEG AND PA.DOG = SP.DOG)

	END
	FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
END

CLOSE @Cur2
DEALLOCATE @Cur2

--    
CREATE TABLE #PERS_SUM (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM (LINK_PERS, LINK_KATEG, DOG, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG,
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, SUMMA_BASE = SUM(BAZA2), SUMMA = SUM(NALOG)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG
		INNER JOIN #SUM_PERSON SP ON SP.LINK_PERSON = S.LINK_PERS AND SP.KATEG = K.LINK2 AND S.FORMA = SP.DOG AND SP.MON BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
	WHERE
		S.LINK_UP = @link
		AND
		@Year BETWEEN K.YBEG AND K.YEND
	GROUP BY
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, S.FORMA
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG

--
UPDATE S SET
	sum_doh = ISNULL(SUMMA_I,0), -- 10     
	sum_str = 0, -- 10      ,  ..    -  0,  
	sum_nak = ISNULL(SUMMA_G,0), --      
	sum_dop = 0 --  10      ,  ..    -  0,  
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #PERS_SUM P ON P.LINK_PERS = S.LINK_PERS AND P.LINK_KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

*/
---   
/*CREATE TABLE #INCOME_T1T2 (
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_T1_M1 NUMERIC(18,2),
	INCOME_T2_M1 NUMERIC(18,2),
	INCOME_T1_M2 NUMERIC(18,2),
	INCOME_T2_M2 NUMERIC(18,2),
	INCOME_T1_M3 NUMERIC(18,2),
	INCOME_T2_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME_T1T2 (LINK_PERS, KATEG, DOG, INCOME_T1_M1, INCOME_T2_M1, INCOME_T1_M2, INCOME_T2_M2, INCOME_T1_M3, INCOME_T2_M3)
SELECT REF_PHYS_PERS, KATEG, E.DOG, 
	INCOME_T1_M1 = SUM(CASE WHEN WAY_CALC = 10 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END), 
	INCOME_T2_M1 = SUM(CASE WHEN WAY_CALC = 11 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M2 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M2 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M3 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M3 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END)
FROM #SPR_ESN E
WHERE WAY_CALC IN (10,11)	
GROUP BY REF_PHYS_PERS, KATEG, E.DOG

UPDATE S SET
	S.INCOME_T1_M1 = P.INCOME_T1_M1,
	S.INCOME_T2_M1 = P.INCOME_T2_M1,
	S.INCOME_T1_M2 = P.INCOME_T1_M2,
	S.INCOME_T2_M2 = P.INCOME_T2_M2,
	S.INCOME_T1_M3 = P.INCOME_T1_M3,
	S.INCOME_T2_M3 = P.INCOME_T2_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME_T1T2 P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

--    
CREATE TABLE #INCOME(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_M1 NUMERIC(18,2),
	INCOME_M2 NUMERIC(18,2),
	INCOME_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME (LINK_PERS, KATEG, DOG, INCOME_M1, INCOME_M2, INCOME_M3)
SELECT 
	LINK_PERS, LINK_KATEG, DOG,
	INCOME_M1 = SUM(INCOME),
	INCOME_M2 = SUM(CASE WHEN MON = (@Month - 1) THEN INCOME ELSE 0 END),
	INCOME_M3 = SUM(CASE WHEN MON = @Month THEN INCOME ELSE 0 END)
FROM #PERS_SUM_J
GROUP BY 
	LINK_PERS, LINK_KATEG, DOG

UPDATE S SET
	S.INCOME_M1 = P.INCOME_M1,
	S.INCOME_M2 = P.INCOME_M2,
	S.INCOME_M3 = P.INCOME_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	


--   
CREATE TABLE #BASE(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	BASE_BEFORE_M1 NUMERIC(18,2),
	BASE_AFTER_M1 NUMERIC(18,2),
	BASE_BEFORE_M2 NUMERIC(18,2),
	BASE_AFTER_M2 NUMERIC(18,2),
	BASE_BEFORE_M3 NUMERIC(18,2),
	BASE_AFTER_M3 NUMERIC(18,2)	
	)

INSERT INTO #BASE (LINK_PERS, KATEG, DOG, BASE_BEFORE_M1, BASE_AFTER_M1, BASE_BEFORE_M2, BASE_AFTER_M2, BASE_BEFORE_M3, BASE_AFTER_M3 )
SELECT LINK_PERSON, KATEG, DOG,
	BASE_BEFORE_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M3	= SUM(CASE WHEN MON = @Month THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M3	= SUM(CASE WHEN MON = @Month THEN BAZA - BAZA2 ELSE 0 END)		
FROM #SUM_PERSON 
WHERE 
	WAY_CALC = 6
GROUP BY
	LINK_PERSON, KATEG, DOG
	
UPDATE S SET
	S.BASE_BEFORE_M1 = P.BASE_BEFORE_M1,
	S.BASE_AFTER_M1 = P.BASE_AFTER_M1,
	S.BASE_BEFORE_M2 = P.BASE_BEFORE_M2,
	S.BASE_AFTER_M2 = P.BASE_AFTER_M2,
	S.BASE_BEFORE_M3 = P.BASE_BEFORE_M3,
	S.BASE_AFTER_M3 = P.BASE_AFTER_M3	
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #BASE P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	
*/
--   ,   
SELECT LINK_PERS, FORMA, LINK_KATEG INTO #TAB FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY LINK_PERS, FORMA, LINK_KATEG HAVING SUM(sum_doh) = 0 AND SUM(sum_nak) = 0 AND SUM(INCOME_M1) = 0
--	

DELETE FROM dbo.SZV_STAZH_SVEDENIA 
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 AND LINK_KATEG NOT IN( @LINK_NR, @LINK_OZOI)

DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 
	AND NOT EXISTS (SELECT LINK_PERS FROM #TAB T WHERE T.LINK_PERS = dbo.SZV_STAZH_SVEDENIA.LINK_PERS AND T.FORMA = dbo.SZV_STAZH_SVEDENIA.FORMA AND T.LINK_KATEG = dbo.SZV_STAZH_SVEDENIA.LINK_KATEG)

--  
UPDATE dbo.SZV_STAZH_SVEDENIA SET LINK_KATEG = @LINK_NR WHERE link_up = @link AND LINK_KATEG = @LINK_OZOI

----     
EXEC [dbo].SS_SZV_ST_PACHKA_RASPIL @link

IF @VID_KOR != 3
	begin  
	---  

	----------------------------------------------------------------------------
	CREATE TABLE #PERIODY (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] int, NUM_STAKE NUMERIC(5,2), [IS_DOP] VARCHAR(20),	[NOT_LGOT_EXPIR] INT NULL , ADD_TYPE INT )

	--/* */
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, TYPE,[IS_DOP])
	SELECT 	DISTINCT
		PERS_LINK, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			THEN (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			ELSE S.DATE_END
		END,	
		0,
		[IS_DOP] = isnull(pt.DOP_IS_C, '' )  --(SELECT TOP 1  pt.DOP_IS_C  from dbo.POST_TYPES AS pt WHERE   pt.link = st.gossl) 
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.EMPL E ON S.LINK_PERS = E.PERS_LINK AND E.DEP_LINK = @DEP_LINK
		INNER JOIN dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		left join dbo.staff_head sh on sh.link = p.STAFF_LINK
		left join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
	WHERE
		S.LINK_UP = @link
		AND
		P.DATE_BEGIN <= @PeriodEnd
		AND
		coalesce(U.DIS_DATE,'20990101') >= @PeriodBegin
		--AND st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin	

	/* */
	Select DISTINCT
		link_face = DGH.PERS_LINK, LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				THEN (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				ELSE S.DATE_BEG
			END,
		date2 = CASE WHEN S.DATE_END > (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				THEN (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				ELSE S.DATE_END
			END,
		[type] = 0
	INTO #DGH	
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.SALARY_REESTR_DGH DGH ON S.LINK_PERS = DGH.PERS_LINK
	WHERE 
		S.LINK_UP = @link
		AND
		DGH.DEP_LINK = @DEP_LINK
		and
		DGH.DATE1 <= @PeriodEnd
		and
		coalesce(DGH.DATE2,'20990101') >= @PeriodBegin

	--       
	SELECT LINK_FACE, DB = MIN(DATE1), DE = MAX(DATE2)
	INTO #WORK
	FROM #PERIODY
	GROUP BY LINK_FACE

	UPDATE S SET 
		S.DATE_BEG = CASE WHEN W.DB < S.DATE_BEG THEN S.DATE_BEG ELSE W.DB END,
		S.DATE_END = CASE WHEN W.DE > S.DATE_END THEN S.DATE_END ELSE W.DE END
	FROM 
		dbo.SZV_STAZH_SVEDENIA S INNER JOIN #WORK W ON S.LINK_PERS = W.LINK_FACE
	WHERE 
		S.LINK_UP = @link
	
	--
	CREATE TABLE #ADD_TYPE (
		[type] INT IDENTITY(1,1),
		[TERR_USL_TRUD] int NULL ,
		[TERR_RK] numeric(3, 2) NULL ,
		[OSOB_USL_TRUD] int NULL ,
		[COD_POS_SPISOK] int NULL ,
		[COD_POS_SPISOK2] int NULL ,
		[USL_DOSROCH_PENS] int NULL ,
		[STAVKA_PED_MED] numeric(3, 2) NULL,
		[VID] VARCHAR(20),
		[IS_DOP] VARCHAR(20),
		[COD_SPO_USL_TRUD] INT NULL
	)	
	INSERT INTO #ADD_TYPE 
		([TERR_USL_TRUD],[TERR_RK],[OSOB_USL_TRUD],[COD_POS_SPISOK],[COD_POS_SPISOK2],[USL_DOSROCH_PENS],[STAVKA_PED_MED],[VID],[IS_DOP],[COD_SPO_USL_TRUD])
	SELECT DISTINCT 
		ISNULL(s.TERR_USL_TRUD,0), ISNULL(s.TERR_RK,0), ISNULL(s.OSOB_USL_TRUD,0), ISNULL(s.COD_POS_SPISOK,0), ISNULL(s.COD_POS_SPISOK2,0), ISNULL(s.USL_DOSROCH_PENS,0), ISNULL(s.STAVKA_PED_MED,0), VID = 'ADD_TYPE', IS_DOP =  ISNULL(dop_is_c,''), ISNULL(s.[COD_SPO_USL_TRUD],0) 
	FROM dbo.staff s 
	LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = s.gossl
	WHERE ISNULL(s.TERR_USL_TRUD,0) <> 0 OR ISNULL(s.TERR_RK,0) <> 0 OR ISNULL(s.OSOB_USL_TRUD,0) <> 0 OR ISNULL(s.COD_POS_SPISOK,0) <> 0 OR ISNULL(s.COD_POS_SPISOK2,0) <> 0 OR ISNULL(s.USL_DOSROCH_PENS,0) <> 0 OR ISNULL(s.STAVKA_PED_MED,0) <> 0 OR ISNULL(s.[COD_SPO_USL_TRUD],0) <> 0 
	OR ISNULL(pt.dop_is_c,'')<>'' 

	--
	DECLARE @MAX_TYPE INT
	SET @MAX_TYPE = ISNULL((SELECT MAX(type) FROM #ADD_TYPE),0)

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('TMP_TYPE', '')
	
	/*  ( )*/
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('KOMM_TYPE', '')


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD1', '')

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	SELECT DISTINCT
		'PERIOD2',
		ISNULL(V.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
					--AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
					) VV ON VV.LINK = IV.TYPE_LINK
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD3', '')
/*
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	Select DISTINCT
		'PERIOD4',
		ISNULL(VV.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/
	--    
	INSERT INTO #ADD_TYPE (VID, IS_DOP) 	
	SELECT LEFT('P_' + LTRIM(RTRIM(CODE)),20), IS_DOP
	FROM dbo.VACATION_VID 
	WHERE	IS_DOP IS NOT NULL
			AND 
			NOT EXISTS (SELECT * FROM #ADD_TYPE WHERE VID = LEFT('P_' + LTRIM(RTRIM(CODE)),20))



	--    c   
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type], NUM_STAKE, IS_DOP)
	SELECT DISTINCT 
		link_face = E.PERS_LINK, S.LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN ELSE @PeriodBegin end)
					THEN (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN else  (case when IM.DATE_BEGIN >= @PeriodBegin  THEN IM.DATE_BEGIN ELSE @PeriodBegin end) end)
					ELSE (case when IM.DATE_BEGIN >= S.DATE_BEG  AND (dis_date IS NOT NULL AND dis_date BETWEEN @PeriodBegin AND @PeriodEND) THEN IM.DATE_BEGIN ELSE S.DATE_BEG end) --          -      
				END,
		date2 = CASE WHEN 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
							> (case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					THEN 
						(case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					ELSE 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
				END,	
		ISNULL(T.[type],0),
		ISNULL(im.NUM_STAKE,0),
		IS_DOP = isnull(T.[IS_DOP],'')
		--, ST.*
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		INNER JOIN dbo.sa_item_move im ON im.EMPL_LINK = e.link
		inner join dbo.staff_head sh on sh.link = STAFF_LINK
		inner join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1	
		left join #ADD_TYPE T on 
				ISNULL(st.TERR_USL_TRUD,0) = ISNULL(T.TERR_USL_TRUD,0) 
				AND ISNULL(st.TERR_RK,0) = ISNULL(T.TERR_RK,0) 
				AND ISNULL(st.OSOB_USL_TRUD,0) = ISNULL(T.OSOB_USL_TRUD,0) 
				AND ISNULL(st.COD_POS_SPISOK,0) = ISNULL(T.COD_POS_SPISOK,0) 
				AND ISNULL(st.COD_POS_SPISOK2,0) = ISNULL(T.COD_POS_SPISOK2,0) 
				AND ISNULL(st.USL_DOSROCH_PENS,0) = ISNULL(T.USL_DOSROCH_PENS,0) 
				AND ISNULL(st.STAVKA_PED_MED,0) = ISNULL(T.STAVKA_PED_MED,0) 
				AND ISNULL(st.[COD_SPO_USL_TRUD],0) = ISNULL(T.[COD_SPO_USL_TRUD],0)
				AND ltrim(rtrim(ISNULL(pt.[DOP_IS_C],''))) = ltrim(rtrim(ISNULL(T.[IS_DOP],'')))
	where 
		S.LINK_UP = @link
		AND
		IM.NUM_STAKE >= 1 
		AND
		IM.[STATUS] <> 2 -- .   
		AND
		im.DATE_BEGIN <= @PeriodEnd and im.DATE_END3 >= @PeriodBegin
		and 
		st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin
		AND 
		im.DATE_end3 > st.DATE_BEGIN -- AND st.DATE_END	 --            
		AND
		T.[TYPE] IS NOT NULL AND T.VID = 'ADD_TYPE'
		AND
		COALESCE(U.DIS_DATE,'20990101') >= @PeriodBegin
	order by
		E.PERS_LINK
 
	---**************************************

	DECLARE @TMP_TYPE INT
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')

	/* -    ( .  )*/
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	Select DISTINCT 
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		ISNULL( (SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = LEFT('P_' + LTRIM(RTRIM(VV.CODE)),20) AND AT.IS_DOP = VV.IS_DOP ), @TMP_TYPE),
		[NOT_LGOT_EXPIR]
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_vacation iv on E.link = iv.EMPL_LINK 
		inner join dbo.orders o on iv.order_link=o.link
		--  ,   "    ", 
		--  (   )
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link /*AND NO_SAL <> 1*/
		INNER JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK AND WORK_D <> 7 --      (   )
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and ISNULL(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		ISNULL(ISNULL(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	/* -    ( .  )*/	
	--SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'KOMM_TYPE')
	
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			THEN (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE,
		1
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_travel T on E.link = T.EMPL_LINK
		left join dbo.ITEM_TRAVEL_LONG ITL on ITL.TRAVEL_LINK = T.LINK and ISNULL(ITL.ACTIVE,0) = 1	
	WHERE
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		AND 
		T.ACTIVE = 1 
		AND 
		T.DATE_BEGIN <= @PeriodEnd
		AND 
		ISNULL(ISNULL(ITL.NEW_DATE_END,T.date_end),'20990101') >= @PeriodBegin

	/* -      */

	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD1')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
		INNER JOIN dbo.NETRUD N ON N.LINK = [TYPE] AND N.DEKRET = 1
	WHERE 
		S.LINK_UP = @link
		AND	
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin

	/* -  */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD3')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
	WHERE
		S.LINK_UP = @link
		AND	 
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin
		and
		[TYPE] not in (select LINK from dbo.NETRUD where DEKRET = 1)

	/* -     1,5   3 */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD2' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(V.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER join dbo.TYP_DAYS D on V.TYPE_LINK = D.LINK AND  WORK_D = 7 
		--INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
			----AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
		--	) VV ON VV.LINK = IV.TYPE_LINK
		LEFT JOIN DBO.ITEM_VACATION_BREAK IVB ON IVB.VAC_LINK = IV.LINK AND COALESCE(IVB.ACTIVE,0) = 1
	WHERE 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


/*
	/* -     */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	Select DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD4' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(VV.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	WHERE
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/


	--------------------------------------------------------------------------
	-- 2.            type.
	--- ,        , ..     
	CREATE TABLE #PERIODY3 (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] INT, orders int, i int, NUM_STAKE NUMERIC(5,2),IS_DOP VARCHAR(20), TYPE_ADD INT)

	--    -1  ..  
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, [type])
	SELECT DISTINCT link_face, LINK_KATEG, @PeriodBegin, @PeriodEnd, [type] = -1   FROM #PERIODY


	CREATE TABLE #DAYS (ID INT IDENTITY(1,1), LINK_FACE INT, LINK_KATEG INT, [DATE] DATETIME, [TYPE] INT, NUM INT/*, IS_DOP VARCHAR(20)*/, NUM_STAKE NUMERIC(5,2), [TYPE_ADD] INT)

	INSERT INTO #DAYS (LINK_FACE, LINK_KATEG, [DATE], [TYPE], NUM, NUM_STAKE/*,IS_DOP*/, [TYPE_ADD])
	SELECT P.LINK_FACE, P.LINK_KATEG, [DATE], [TYPE] = MAX([TYPE]), 0, 
		[NUM_STAKE] = MAX(ISNULL(NUM_STAKE,0)), 
		--isnull(IS_DOP,''),
		[TYPE_ADD] = MAX(CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END
		)
	FROM 
		#PERIODY P
		INNER JOIN dbo.days_ex(@PeriodBegin, @PeriodEnd) D ON 1=1
	WHERE
		D.[DATE] BETWEEN P.DATE1 AND P.DATE2
	GROUP BY
		 P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]
	ORDER BY	
		P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]


	--   ,     
	UPDATE #DAYS SET [TYPE_ADD] = 0 
	WHERE 
		EXISTS (SELECT * FROM #PERIODY WHERE 
			#PERIODY.[NOT_LGOT_EXPIR] = 1
			AND #PERIODY.link_face = #DAYS.link_face
			AND #DAYS.[DATE] BETWEEN #PERIODY.DATE1 AND #PERIODY.DATE2)


	-- 
	DECLARE 
		@ID INT, @ID1 INT, @ID2 INT, @LINK_FACE INT, @DATE datetime, @LINK_KATEG INT, @TYPE INT, @NUM INT, @TYPE_ADD INT,
		@LINK_FACE1 INT, @LINK_KATEG1 INT, @TYPE1 INT,@TYPE_ADD1 INT,@DATE1 datetime

	--  ,      

------   #ADD_TYPE    
----
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')
----
	CREATE table #TDays(link_face int, id int,  date DATETIME ,LINK_KATEG int , [TYPE] INT, [TYPE_ADD] INT)
	INSERT INTO #TDays (link_face, id, date, LINK_KATEG, [TYPE], [TYPE_ADD])
	SELECT d.link_face,
		   d.id,
		   d.date,
		   d.LINK_KATEG,
		   d.[TYPE],
		   d.[TYPE_ADD]
	FROM #DAYS d WHERE d.[type] = @TMP_TYPE 
	ORDER BY d.link_face, d.ID ,d.[date], d.[TYPE] ,d.[TYPE_ADD]	 


	DECLARE @Cur0 CURSOR, @F_TYPE int, @F_TYPE_ADD int
	SET @Cur0 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE,[date],LINK_KATEG, [TYPE],  TYPE_ADD from  #TDays order by ID, LINK_FACE, [DATE]
	OPEN @Cur0
	FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
		
			SELECT DISTINCT @F_TYPE =[TYPE], @F_TYPE_ADD = [type_add]  
			FROM #DAYS WHERE LINK_FACE = @LINK_FACE AND LINK_KATEG = @LINK_KATEG AND [DATE] = @DATE-1 
			
			SELECT @F_TYPE = ISNULL(@F_TYPE,0), @F_TYPE_ADD = ISNULL( @F_TYPE_ADD,0) 

			IF @F_TYPE_ADD = @type_add OR  (ISNULL((SELECT TOP 1 IS_DOP TYPE FROM #ADD_TYPE WHERE [type] = @F_TYPE_ADD),'') <> '' AND @type_add = 0) 
			BEGIN
			
				UPDATE d
				SET [TYPE] = @F_TYPE , [type_add] = @F_TYPE_ADD 
				FROM #DAYS d
				WHERE d.ID = @ID AND d.LINK_FACE = @LINK_FACE AND d.[DATE] = @DATE AND d.LINK_KATEG=@LINK_KATEG AND d.[TYPE] = @TMP_TYPE

			END	

		END

		FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	END

	CLOSE @Cur0
	DEALLOCATE @Cur0


	--
	/*		---------
				UPDATE #DAYS SET [type] = 0 WHERE [type] = @TMP_TYPE
			---------*/

DROP TABLE #TDays 

---------------------------------------------------------------------------------
	--	
	SELECT TOP 1 @ID1 = 0, @ID2 = 0, @NUM = 0, @LINK_FACE1 = LINK_FACE, @LINK_KATEG1 =LINK_KATEG, @TYPE1 = [TYPE]
	FROM #DAYS
	order by ID
	--
	DECLARE @Cur1 CURSOR
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE, LINK_KATEG, [TYPE] from #DAYS order by ID
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			IF NOT (@LINK_FACE = @LINK_FACE1 AND @LINK_KATEG = @LINK_KATEG1 AND @TYPE = @TYPE1)
			BEGIN
				
				SELECT @NUM = @NUM + 1, @LINK_FACE1 = @LINK_FACE, @LINK_KATEG1 = @LINK_KATEG, @TYPE1 = @TYPE
				UPDATE #DAYS SET NUM = @NUM WHERE ID BETWEEN @ID1 AND @ID-1
				SELECT @ID1 = @ID 

			END

		END

		FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--
	UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1


	--------------------------------
	--**        ,        ,
	--       #DAYS 
	delete from #PERIODY WHERE [type] NOT IN (SELECT [type]  FROM #ADD_TYPE   )


	UPDATE P 
	SET [ADD_TYPE] = (CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END)
	FROM 
		#PERIODY P
	UPDATE P
	SET [ADD_TYPE] = (SELECT top 1 ADD_TYPE FROM #PERIODY WHERE p.date1 between date1 AND DATE2 )
	FROM 
		#PERIODY P WHERE isnull(P.ADD_TYPE,0) = 0 

	


	--
	INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
	SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  [DATE1], DATE_END = [DATE2], [TYPE], 0, 0, NUM_STAKE = max(ISNULL(NUM_STAKE,0)), ADD_TYPE
	FROM #PERIODY	
	WHERE [type] <> @TMP_TYPE
	GROUP BY LINK_FACE, LINK_KATEG, [DATE1],[DATE2], [TYPE], ADD_TYPE 
	ORDER BY LINK_FACE, LINK_KATEG, [DATE1],[DATE2], [TYPE], ADD_TYPE
	-----	
/*	INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
	SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE]), DATE_END = MAX([DATE]), [TYPE], 0, 0, NUM_STAKE = MAX(ISNULL(NUM_STAKE,0)), TYPE_ADD
	FROM #DAYS	
	GROUP BY LINK_FACE, LINK_KATEG, NUM, [TYPE], TYPE_ADD
	ORDER BY LINK_FACE, LINK_KATEG, DATE_BEG, DATE_END
*/

	
	--  
	DELETE FROM #PERIODY3 WHERE [TYPE] = -1

	/* */
	DECLARE @uslovie INT
	set @uslovie = 1
	while @uslovie > 0
	begin
		update #PERIODY3 set orders = @uslovie 
		from #PERIODY3 as tt
		where 	coalesce(orders,0) = 0
			and date1 = (select min(t.date1) from #PERIODY3 t where coalesce(orders,0) = 0 and t.link_face = tt.link_face AND T.LINK_KATEG = TT.LINK_KATEG)
		if @@rowcount > 0
			set @uslovie = @uslovie + 1
		else
			set @uslovie = 0
	END


	--   
	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_k3, is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k, osob_spo)
	Select S.link, P.orders, P.date1, P.date2, 
		ter_usl = ISNULL(spr1.CODE,spr1A.CODE),
		ter_koef = ISNULL(T.TERR_RK,TA.TERR_RK),
		osob_usl = ISNULL(spr2.CODE,spr2A.CODE),
		osob_k1 = ISNULL(spr6.CODE,spr6A.CODE),
		osob_k2 = CONVERT(VARCHAR(20),left(ISNULL(spr7.CODE,spr7A.CODE),20)),
		osob_k3 = NULL,
		is_osnov = NULL, 
		is_dop = LTRIM(RTRIM(ISNULL(T.IS_DOP,TA.IS_DOP))),
		is_dop_m = NULL, 
		is_dop_d = NULL, 
		ud_osnov = ISNULL(spr5.CODE,spr5A.CODE), 
		ud_dop_m = NULL, 
		ud_dop_d = NULL, 
		ud_dop_k = ISNULL(T.STAVKA_PED_MED,TA.STAVKA_PED_MED) * P.NUM_STAKE,
		osob_spo = ISNULL(spr9.CODE,spr9A.CODE)
	 from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		inner join #PERIODY3 P on S.link_pers = P.link_face AND S.LINK_KATEG = P.LINK_KATEG
		
		LEFT JOIN #ADD_TYPE T ON P.[TYPE] = T.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1 on spr1.spr_code = 'TERR_USL' and spr1.LINK = T.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2 on spr2.spr_code = 'OSOB_USL_TRUDA' and spr2.LINK = T.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5 on spr5.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5.LINK = T.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6 on spr6.SPR_CODE LIKE 'SPISOK%' and spr6.LINK = T.COD_POS_SPISOK
		left join dbo.szv4_spr spr7 on spr7.SPR_CODE LIKE 'SPISOK%' and spr7.LINK = T.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3
		left join dbo.szv4_spr spr9 on spr9.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9.LINK = T.[COD_SPO_USL_TRUD]

		LEFT JOIN #ADD_TYPE TA ON P.[TYPE_ADD] = TA.[TYPE] AND P.[TYPE_ADD] <> P.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1A on spr1A.spr_code = 'TERR_USL' and spr1A.LINK = TA.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2A on spr2A.spr_code = 'OSOB_USL_TRUDA' and spr2A.LINK = TA.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5A on spr5A.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5A.LINK = TA.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6A on spr6A.SPR_CODE LIKE 'SPISOK%' and spr6A.LINK = TA.COD_POS_SPISOK
		left join dbo.szv4_spr spr7A on spr7A.SPR_CODE LIKE 'SPISOK%' and spr7A.LINK = TA.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3	
		left join dbo.szv4_spr spr9A on spr9A.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9A.LINK = TA.[COD_SPO_USL_TRUD]
	where
		S.link_up = @link
		AND
		S.FORMA = 1
	order by
		S.link, P.orders



	--  
	CREATE TABLE #STAGE_DOG (
		LINK_PERS INT, 
		KATEG TINYINT,
		BERIOD_BEG DATETIME,
		BERIOD_END DATETIME
		)

	INSERT INTO #STAGE_DOG (LINK_PERS, KATEG, BERIOD_BEG, BERIOD_END)
	SELECT LINK_FACE, LINK_KATEG, MIN(date1), MAX(date2) 
	FROM #DGH A
	GROUP BY LINK_FACE, LINK_KATEG

	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2,is_dop)
	Select S.link, 1, P.BERIOD_BEG, P.BERIOD_END,is_dop = (CASE WHEN exists(select * from  DOCUMENTS_DGH_T1 t1 
																				inner join dbo.DOCUMENTS_DGH DOC  ON DOC.link = t1.link 
																				WHERE t1.pers_link = p.LINK_PERS
																				AND p.BERIOD_BEG = DOC.PERIOD  ) THEN '' ELSE '' END)
	from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN #STAGE_DOG P on S.link_pers = P.LINK_PERS AND S.LINK_KATEG = P.KATEG
		
	where
		S.link_up = @link
		AND
		S.FORMA = 2
	order by
		S.link
		
	END


--------------------------------------------------------------------------
/*    ,            
C 14     
*/	
DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE 
LINK_UP = @link
AND
EXISTS (		
	Select  1
	from dbo.ss_szv_STazh_svedenia S inner join  dbo.szv_STAZH_pachka p on p.link = s.link
	WHERE 
		S.LINK1 = dbo.SZV_STAZH_SVEDENIA.LINK
		AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0
				 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0 
		and p.vid_kor != 3
		AND NOT EXISTS (SELECT * FROM dbo.SZV_ST_STAZH ST WHERE ST.LINK_UP = S.LINK1)
)


--------------------------------------------------------------------------
exec dbo.SZV_ST_NUMERATOR @link










GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9727.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_PRINT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_PRINT]

GO


CREATE PROCEDURE dbo.SZV_STAZH_PRINT(@Link int)
AS
-- exec SZV_STAZH_PRINT 151
DECLARE @varKSNOM_PF VARCHAR(20), @varKSname VARCHAR(254), @varKSDEP int,
	@varKSOKPO VARCHAR(40), @varKSINN VARCHAR(12), @varKSKPP VARCHAR(9), @Month int, @Year int, @date datetime

SELECT
	@varKSDEP = D.link, @varKSNOM_PF = PFNUMBER, @varKSname = UPPER([NAME]),
	@varKSOKPO = OKPO, @varKSINN = INN, @varKSKPP = KPP,
	@Month = month_end, @year = year_begin
FROM dbo.DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = @link

Set @date = dbo.ConvertDMY2Date(1,@Month,@Year)
Set @date = dbo.DateEndOfMonth(@date)

SELECT
	LINK = P.link,
	[YEAR] = ISNULL(CASE WHEN year_begin <> 2010 THEN year_begin ELSE NULL END ,0),
	[INN] = @varKSINN,
	[KPP] = @varKSKPP,
	OKPO = @varKSOKPO,
	[CODE] = K.CODE,	
	[PER] = ISNULL(CASE WHEN year_begin <> 2010 THEN PER ELSE NULL END ,0),
	[PER10] = ISNULL(CASE WHEN year_begin = 2010 THEN PER ELSE NULL END ,0),
	[YEAR_EDT] = ISNULL(p.year_edt,0),
	[PER_EDT] = ISNULL(p.PER_EDT,0),
	[TYPE_SV] = P.[TYPE],
	[TYPE] = P.vid_kor,
	[ID] = S.orders,
	[NGROUP] = S.pachka,
	T_DOG = s.forma,
	[PFNUMBER] = PF_NUM,
	[FIO] = FIO2,
	[FM] = s.FM,
	[IM] = s.IM,
	[OT] = s.OT,
	[INN_PERS] = per.INN,
	[ADDRESS] = [ADDRESS],
	[ADDRESS2] = ADDRESS2,
	[INSUR] = COALESCE(S.sum_doh,0), --     . 
	[INSUR1] = COALESCE(S.INSUR,0), --     . 
	[GAIN] = COALESCE(S.GAIN,0), --     . 
	[GAIN1] = COALESCE(S.DOP,0), --     . 
	INC_T1_M1 = S.INCOME_T1_M1,--      1  1 
	INC_T1_M2 = S.INCOME_T1_M2,--      1  2 
	INC_T1_M3 = S.INCOME_T1_M3,--      1  3 
	INC_T2_M1 = S.INCOME_T2_M1,--      2  1 
	INC_T2_M2 = S.INCOME_T2_M2,--      2  2 
	INC_T2_M3 = S.INCOME_T2_M3,--      2  3 
	[ID_EX] = ST.orders,
	[DATE_BEGIN] = date1,
	[DATE_END] = date2,
	[STR_DIS] = (CASE WHEN coalesce(dper_vn_m,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_vn_m,0)) + ' .' else '' end)
	 		+ (CASE WHEN coalesce(dper_vn_d,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_vn_d,0)) + ' .' else '' end),
	dper_vn_m = coalesce(dper_vn_m,0),
	dper_vn_d = coalesce(dper_vn_d,0),
	[STR_VAC2] = (CASE WHEN coalesce(dper_oz_m,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_oz_m,0)) + ' .' else '' end)
	 		+ (CASE WHEN coalesce(dper_oz_d,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_oz_d,0)) + ' .' else '' end),
	dper_oz_m = coalesce(dper_oz_m,0),
	dper_oz_d = coalesce(dper_oz_d,0),
	[TU_CODE] = f_ter_usl,
	ter_usl,
	ter_koef,
	[OS_CODE] = f_osob_usl,
	osob_usl,
	osob_spis = RTRIM(LTRIM(COALESCE(osob_k1,''))) + RTRIM(LTRIM(COALESCE(osob_k2,''))) + RTRIM(LTRIM(COALESCE(osob_k3,''))),
	[EX_CODE] = is_osnov,
	is_dop_m,
	is_dop_d,
	is_dop,
	f_is_dop,
	[P_CODE] = ud_osnov,
	ud_dop_m,
	ud_dop_d,
	ud_dop_k,
	f_ud_dop,
	@varKSNOM_PF AS REG_NOM_PF,
	@varKSname AS DEP_NAME,
	DATE_CRT = @date,
	DATE_DOC = [date], DD = DAY([date]), MM = M.MON, YY = YEAR([date]),
	UV = CASE WHEN exists(SELECT * FROM sd_empl WHERE pers_link = s.link_face AND DATE_end = @DATE) THEN 'X' ELSE '' END,
	N_PP = 0,
	NUM_STR = 0
INTO #SZV_ST_REP
from
	dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SS_SZV_STAZH_SVEDENIA S ON P.link = S.link
	INNER JOIN dbo.person per ON  per.link = S.link_FACE
	left JOIN dbo.SS_SZV_ST_STAZH ST ON S.link1 = ST.link
	INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = P.KATEG AND year_begin BETWEEN YBEG AND YEND
	INNER JOIN dbo.MONTHS M ON M.NUM = MONTH([date])
where
	P.link = @Link
	--and P.[type] = 2
	and P.proverka = 1
order by
	s.FM,s.PF_NUM,S.pachka, S.orders, ST.orders


Declare @n INT
SET @n = 0

Update #SZV_ST_REP
Set n_pp = @n,
@n = @n+1


DECLARE @Cur_REP CURSOR , @link_szv int , @FIO varchar(254), @PFNUMBER varchar(20), @ID INT ,@T_DOG  int  , @N_PP INT
DECLARE @NN INT, @PN INT, @ON INT , @FIO_L VARCHAR(254) , @PFNUMBER_l varchar(20) , @date_begin datetime, @date_end DATETIME , @IS_DOP VARCHAR(20)
SELECT @NN = 0, @PN = 0, @ON = 0 , @FIO_L = '' ,@N_PP = 0 
SET @Cur_REP = CURSOR FORWARD_ONLY
FOR select link, FIO, PFNUMBER, [ID] , T_DOG, DATE_begin, date_end , IS_DOP from #SZV_ST_REP order by link, FIO, PFNUMBER ,T_DOG, DATE_begin, date_end  

OPEN @Cur_REP
FETCH NEXT FROM @Cur_REP INTO @link_szv, @FIO, @PFNUMBER, @ID ,@T_DOG, @date_begin , @date_end,@IS_DOP
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		IF ltrim(@FIO_L) <> ltrim(@FIO)  OR   ltrim(@PFNUMBER_l) <> ltrim(@PFNUMBER)
		BEGIN	
			SET @NN = 1

			UPDATE A
			SET 
				ID_EX = @NN
			FROM #SZV_ST_REP A 
			WHERE link = @link_szv AND ltrim(FIO)=ltrim(@FIO) AND ltrim(PFNUMBER) =  ltrim(@PFNUMBER) AND ID = @ID and T_DOG = @T_DOG AND date_begin =@date_begin and date_end = @date_end AND IS_DOP = @IS_DOP 

			SET @ON = @NN 			
			set @FIO_L = ltrim(@FIO) 
			SET  @PFNUMBER_l =  @PFNUMBER 
		 END ELSE 
		 		BEGIN  
					SET @NN = @NN + 1

					UPDATE A
					SET 
						ID_EX = @NN
					FROM #SZV_ST_REP A 
					WHERE link = @link_szv AND ltrim(FIO)=ltrim(@FIO) AND ltrim(PFNUMBER) =  ltrim(@PFNUMBER) AND ID = @ID and T_DOG = @T_DOG AND date_begin =@date_begin and date_end = @date_end AND IS_DOP = @IS_DOP 

					SET @ON = @NN 			
					set @FIO_L = ltrim(@FIO) 
					SET  @PFNUMBER_l =  @PFNUMBER 
				END 
	END

	FETCH NEXT FROM @Cur_REP INTO @link_szv, @FIO, @PFNUMBER, @ID,@T_DOG,  @date_begin , @date_end  , @IS_DOP
END
--exec dbo.SZV_STAZH_PRINT 19
CLOSE @Cur_REP
DEALLOCATE @Cur_REP



---   ,       
DECLARE @Cur_R_STR CURSOR  , @NUM_STR int 
SET @NUM_STR  = 0
SET @Cur_R_STR = CURSOR FORWARD_ONLY
FOR select link, FIO, PFNUMBER, N_PP from #SZV_ST_REP order by link,N_PP,  FIO, PFNUMBER

OPEN @Cur_R_STR
FETCH NEXT FROM @Cur_R_STR INTO @link_szv, @FIO, @PFNUMBER, @N_PP 
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		---   ,   1 
		IF (SELECT MAX(NUM_STR) FROM #SZV_ST_REP ) = 0 
		BEGIN	
			UPDATE #SZV_ST_REP 
			SET 
				NUM_STR = @NUM_STR + 1 
			WHERE n_PP <=41 
			
			SET @NUM_STR = @NUM_STR+1 					
		 END 
		--  -    100
		IF (SELECT MAX(NUM_STR) FROM #SZV_ST_REP ) > 0  AND (select COUNT(*) FROM  #SZV_ST_REP WHERE NUM_STR = 0) >= 57
		AND  @N_PP	= (SELECT MAX(n_pp) FROM #SZV_ST_REP WHERE NUM_STR = @NUM_STR) + 1
		BEGIN
			UPDATE #SZV_ST_REP 
			SET 
				NUM_STR = @NUM_STR + 1 
			WHERE n_PP >= @N_PP  AND n_PP IN (SELECT TOP 57 n_pp FROM #SZV_ST_REP WHERE n_PP >= @N_PP)
			
			set @NUM_STR = @NUM_STR + 1 
			
		END
		
		---   ,    100
		IF (SELECT MAX(NUM_STR) FROM #SZV_ST_REP ) > 0 AND (select COUNT(*) FROM  #SZV_ST_REP WHERE NUM_STR = 0) < 57
		AND  @N_PP	= (SELECT MAX(n_pp) FROM #SZV_ST_REP WHERE NUM_STR = @NUM_STR)
		BEGIN

			set @NUM_STR = (SELECT MAX(NUM_STR) FROM #SZV_ST_REP)
			SET @N_PP = (SELECT MAX(n_PP) FROM  #SZV_ST_REP WHERE NUM_STR = @NUM_STR) 
				
			UPDATE #SZV_ST_REP 
			SET 
				NUM_STR = @NUM_STR + 1 
			WHERE n_PP >= @N_PP  AND n_PP IN (SELECT TOP 57 n_pp FROM #SZV_ST_REP WHERE n_PP >= @N_PP)
	
			
			
		END		
		
	END



	FETCH NEXT FROM @Cur_R_STR INTO @link_szv, @FIO, @PFNUMBER, @N_PP 
END
--exec dbo.SZV_STAZH_PRINT 19

CLOSE @Cur_R_STR
DEALLOCATE @Cur_R_STR


SELECT 	LINK ,
	[YEAR] ,
	[INN] ,
	[KPP],
	OKPO ,
	[CODE],	
	[PER] ,
	[PER10] ,
	[YEAR_EDT],
	[PER_EDT] ,
	[TYPE_SV] ,
	[TYPE] ,
	[ID] ,
	[NGROUP] ,
	T_DOG ,
	[PFNUMBER],
	[FIO],
	[FM] ,
	[IM] ,
	[OT] ,
	[INN_PERS] ,
	[ADDRESS],
	[ADDRESS2] ,
	[INSUR] , --     . 
	[INSUR1] , --     . 
	[GAIN] , --     . 
	[GAIN1] , --     . 
	INC_T1_M1 ,--      1  1 
	INC_T1_M2 ,--      1  2 
	INC_T1_M3 ,--      1  3 
	INC_T2_M1 ,--      2  1 
	INC_T2_M2 ,--      2  2 
	INC_T2_M3 ,--      2  3 
	[ID_EX] ,
	[DATE_BEGIN] ,
	[DATE_END] ,
	[STR_DIS] ,
	dper_vn_m  ,
	dper_vn_d ,
	[STR_VAC2],
	dper_oz_m ,
	dper_oz_d ,
	[TU_CODE] ,
	ter_usl,
	ter_koef,
	[OS_CODE] ,
	osob_usl,
	osob_spis ,
	[EX_CODE],
	is_dop_m,
	is_dop_d,
	is_dop,
	f_is_dop,
	[P_CODE] ,
	ud_dop_m,
	ud_dop_d,
	ud_dop_k,
	f_ud_dop,
	REG_NOM_PF,
	DEP_NAME,
	DATE_CRT,
	DATE_DOC ,DD , MM, YY ,
	UV,
	NUM_STR = RIGHT(REPLICATE('0', 5) + CAST(NUM_STR AS varchar(5)), 5)
FROM #SZV_ST_REP
order by
	NUM_STR,FM,[PFNUMBER],[NGROUP], [ID], [ID_EX]



GO


GRANT EXECUTE ON dbo.[SZV_STAZH_PRINT] TO PUBLIC

GO


-- --

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_EXPORT_PFR_100_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_EXPORT_PFR_100_17]

GO

CREATE      PROCEDURE [dbo].SZV_STAZH_EXPORT_PFR_100_17 (
@DOC_LINK int  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK = @DOC_LINK

CREATE TABLE #ODV1_ONLY(DOC_LINK INT , ODV1_ONLY TINYINT )	
insert into #ODV1_ONLY(DOC_LINK, ODV1_ONLY)
select 
	doc_link = d.link,
	ODV1_ONLY = (SELECT TOP 1 [type] FROM dbo.SS_SZV_STAZH_PACHKA WHERE link = d.Link)
from #DOC d


--  

CREATE TABLE #ODV1 (
		[LINK_SZV]     INT, 
		[YEAR]     INT ,
		[PER]      INT ,
		[PER_edt]      INT ,
		[YEAR_edt]     INT ,
		[PER10]    INT ,
		[TYPE]	   tinyint,
		[VID_KOR]  tinyint, 
		[COUNT_P]  INT,
		[COUNT_PK] INT,
		[COUNT_PERS] INT,  
		[REG_NOM_PF] VARCHAR(20),
		[DEP_NAME] VARCHAR(254),
		[OKPO] VARCHAR(40),
		[INN] VARCHAR(12),
		[KPP] VARCHAR(9),
		DATE_CRT datetime,
		DATE_DOC datetime,
		[GUID] UNIQUEIDENTIFIER)  

CREATE TABLE #ODV1_2 (
		[LINK_SZV]  INT,
		[link_pers] INT , 
		[subdiv_name] VARCHAR(254), 
		[POST_NAME] VARCHAR(254) , 
		[num_stake] NUMERIC(5,2),
		[work_stake] NUMERIC(5,2),
		[Fakt_Work] VARCHAR(254) ,
		[DOC_NAME] VARCHAR(10), 
		[OSOB_USL] VARCHAR(10) , 
		[N_OSOB_USL] VARCHAR(150) ,
		POS_SPIS VARCHAR(150))  

create table #SZV_ST (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[NGROUP] INT,
	[T_DOG] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int)



create table #PERS_INFO2 (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[T_DOG] INT ,
	[NGROUP] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int)



--       -
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
	
			INSERT INTO #ODV1 ([LINK_SZV],[YEAR],[PER],[PER_EDT],[YEAR_EDT],[PER10],[TYPE],[VID_KOR],[COUNT_P],[COUNT_PK],[COUNT_PERS],
							   [REG_NOM_PF],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC,[GUID])  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 1 
			
			INSERT INTO #ODV1_2 ([LINK_SZV],[link_pers],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],
								 [DOC_NAME],[OSOB_USL],[N_OSOB_USL] ,[POS_SPIS] )  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 2 
			
	
			---  #SZV_ST
				
				INSERT INTO #SZV_ST([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP)
				exec dbo.SZV_STAZH_PRINT @LINK_DOC
			
	
				update #SZV_ST  set FM = UPPER(FM), IM = UPPER(IM), OT = UPPER(OT), ADDRESS2 = UPPER(ADDRESS2) WHERE link_SZV = @LINK_DOC 
			
				
				--  #PERS_INFO2 

				INSERT INTO #PERS_INFO2([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP)

				SELECT	[LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP
				FROM #SZV_ST
			

			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			

DECLARE @NN INT, @PN INT, @ON INT
SELECT @NN = 0, @PN = 0, @ON = 0




DECLARE @PI_NGROUP INT, @PI_ID INT, @PI_link_szv int, @PI_T_DOG tinyint  
DECLARE @Cur_PI CURSOR
SET @Cur_PI = CURSOR FORWARD_ONLY

FOR select link_szv, NGROUP,T_DOG, [ID]  from #SZV_ST order by link_szv,T_DOG, NGROUP, [ID]

OPEN @Cur_PI
FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @NN = (CASE WHEN @PI_NGROUP <> @PN THEN 1 ELSE (CASE WHEN @ON <> @PI_ID THEN @NN + 1 ELSE @NN END) END)
		SET @PN = (CASE WHEN @PI_NGROUP <> @PN THEN @PI_NGROUP ELSE @PN END)

		UPDATE A
		SET 
			ID = @NN
		FROM #SZV_ST A 
		WHERE link_szv = @PI_link_szv and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID

		SET @ON = @NN				

	END

	FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
END

CLOSE @Cur_PI
DEALLOCATE @Cur_PI




-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @link_szv INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC datetime, 
	@INN VARCHAR(12), @KPP VARCHAR(9), @OKPO VARCHAR(40), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@COUNT_P VARCHAR(10) , @COUNT_PK VARCHAR(10), @COUNT_PERS VARCHAR(4), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4),@sved int , @TYP_SVED VARCHAR(20), @kor INT,
	@VID_KOR VARCHAR(20),@PER VARCHAR(1),@PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4),  @TYPE VARCHAR(20), @GUID VARCHAR(36),
	@EGRUL varchar(15), @CHIEF_POST_OUR VARCHAR(150) , @CH_FM  VARCHAR(150) , @CH_IM  VARCHAR(150),@CH_OT  VARCHAR(150)
	/*@INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	
	@KATEG VARCHAR(20)*/

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


SELECT @CHIEF_POST_OUR = (SELECT TOP 1 post_name FROM dbo.SD_EMPL AS se WHERE link  = a.face_link),
		@CH_FM = (SELECT TOP 1 LTRIM(RTRIM(FM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_IM = (SELECT TOP 1 LTRIM(RTRIM(IM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_OT = (SELECT TOP 1 LTRIM(RTRIM(OT)) FROM dbo.sd_empl WHERE link  = a.face_link)
FROM DICTIONARY_OTV_FACE_ALL A  
inner join dbo.SS_SZV_STAZH_PACHKA P on a.dep_link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )
AND  a.NAME = '' 



SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	link_szv,
	FNAME = '_'+ RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))) + '_'+LEFT(REPLACE([REG_NOM_PF],'-',''),6)+'_-_'+CONVERT(VARCHAR(8),ltrim(rtrim(replace(CONVERT(VARCHAR(10),DATE_DOC,102),'.',''))))+'_'+ltrim(rtrim([GUID]))+'.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	[OKPO] = RTRIM(LTRIM(COALESCE(OKPO,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))),
	--PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	[COUNT_P] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_P]))), 	
	[COUNT_PK] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PK]))),
	[COUNT_PERS] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PERS]))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = DATE_DOC,
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SVED = [TYPE] ,
	TYP_SVED = (CASE WHEN [TYPE] = 1 THEN '' else (CASE WHEN [TYPE] = 2 THEN '' else '' end) end),
	KOR = [VID_KOR] ,
	VID_KOR = (CASE WHEN [VID_KOR] = 2 THEN '' else (CASE WHEN [VID_KOR] = 3 THEN '' else '' end) end),
	[PER] = 0 ,  --CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	PER_EDT = CONVERT(VARCHAR(1),[PER_edt]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	[GUID] = RTRIM(LTRIM(CONVERT(VARCHAR(36),iSnull([GUID],null))))
from #ODV1 order by link_szv

/*  A63        61 */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	 @SVED, @TYP_SVED, @KOR,@VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'UTF-8' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://.///2014-01-01" xmlns:xs="http://www.w3.org/2001/XMLSchema">'
			/*UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21"'+CHAR(10)+CHAR(13)
+ ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://.//-/2017-01-01'+CHAR(10)
+'..\..\..\..\\\\2017\-_2017-01-01.xsd">'*/
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				 
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<-1>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + CASE when @VID_KOR = '' THEN '1' ELSE '0' end + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'					
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + RTRIM(LTRIM(ISNULL(@COUNT_PERS,''))) + '</>'
	

	IF (SELECT COUNT([work_stake])  FROM #ODV1_2 WHERE [LINK_SZV] =  @link_szv ) <>0
	BEGIN 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  SELECT @lcFNAME , SPACE(2) + '<>'
		
		
		-- 1 
		DECLARE @Cur2 CURSOR, @LINK_SZV1 int, @subdiv_name varchar(254), @POST_NAME varchar(254), @num_stake NUMERIC(5,2), @work_stake NUMERIC(5,2),
				@Fakt_Work VARCHAR(254), @DOC_NAME VARCHAR (10),@OSOB_USL VARCHAR(10),@POS_SPIS VARCHAR(150) 
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
			Select	[LINK_SZV],[subdiv_name],
					[POST_NAME],[num_stake],[work_stake],
					[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 
			FROM #ODV1_2  WHERE  [LINK_SZV] = @link_szv 
			GROUP BY [LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 			   			
		
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN	
						IF isnull(@OSOB_USL,'') <> '' AND isnull(@POS_SPIS,'') <> '' 
						begin		
							  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											Select @lcFNAME, SPACE(3) + '<:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@subdiv_name,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@POST_NAME,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(CONVERT(VARCHAR(8),ISNULL(@num_stake,''))))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(ISNULL(@work_stake,''))))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@Fakt_Work,''))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@DOC_NAME,'-')))+'</:>' 
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@OSOB_USL,'')))+'</:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@POS_SPIS,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '</:>'
								  UNION ALL SELECT @lcFNAME, SPACE(3) + '</:>'
						end
					END
				
					FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS					  
					
				END 
			CLOSE @Cur2
			DEALLOCATE @Cur2
								
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(3) + '<:>'+ RTRIM(LTRIM(CONVERT(VARCHAR(8),SUM(@num_stake))))+ '</:> '  + CHAR(10)
							  +	 SPACE(3) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(sum(@work_stake))))) + '</:>'
				FROM #ODV1_2 WHERE LINK_SZV = @DOC_LINK  GROUP BY LINK_SZV
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	END 

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+REPLACE(RTRIM(LTRIM(isnull(@CHIEF_POST_OUR,''))),' ','')+'</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_FM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_IM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_OT,'')))+'</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(VARCHAR(10),@DATE_DOC , 120) +'</>'
		UNION ALL SELECT @lcFNAME, SPACE(1) + '</-1>'

	-- - 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	Select @lcFNAME, SPACE(1) + '<->'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	UNION ALL Select @lcFNAME, SPACE(2) + '<>'+CASE WHEN  @SVED = 2 THEN '2' 
															     WHEN  @SVED = 1 AND @KOR = 1 THEN '0'	
															     WHEN @SVED = 1 AND @KOR = 2 THEN '1'
															ELSE '0'  END    
												  +'</>'  + CHAR(10)
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	


	DECLARE @LINK_SZV_ST int, @TYPE_SV INT , @TYPE_KOR INT , @ID int, @ID_EX INT, @PF_NUMBER VARCHAR(14)
	SET @Cur2 = CURSOR FORWARD_ONLY
	FOR 
	Select	[LINK_SZV],[TYPE_SV],[TYPE],[ID],[PFNUMBER]
	FROM #SZV_ST  WHERE  [LINK_SZV] = @link_szv 
	GROUP BY [LINK_SZV],[ID],[PFNUMBER],[TYPE_SV],[TYPE]
	ORDER BY [LINK_SZV],[ID],[PFNUMBER]	,[TYPE_SV],[TYPE]	   			
	
	OPEN @Cur2
	FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN	
			  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						Select @lcFNAME, SPACE(2) +'<>'	+ CHAR(10)
										  + SPACE(3) + '<>'	+ CHAR(10)  
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(FM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(IM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(OT,'')))+'</:>'+ CHAR(10) 
										  + SPACE(3) + '</>'+ CHAR(10) 
										  + SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL([PFNUMBER],''))) + '</>' + CHAR(10) 
										FROM 	
										(select top 1 FM , IM , OT , [PFNUMBER] FROM  #SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a

									
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
									Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
										FROM #pers_info2
										where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER
		  
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
								Select @lcFNAME, SPACE(2) +'</>'	+ CHAR(10)  
								FROM (select top 1 FM , IM , OT , [PFNUMBER] FROM  #SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a
		END
	
		FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER--,@ID_EX 				  
		
	END 
	CLOSE @Cur2
	DEALLOCATE @Cur2	
		

	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, SPACE(1) + '</->'	
	UNION ALL SELECT @lcFNAME, SPACE(0) +'</>'

	FETCH NEXT FROM @Cur1 INTO  @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	@SVED, @TYP_SVED,@KOR, @VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]















GO


GRANT EXECUTE ON dbo.[SZV_STAZH_EXPORT_PFR_100_17] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9790.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]

GO

CREATE   PROCEDURE [dbo].SS_SZV_ST_PACHKA_CALC_Buffer_2017 (@BufferCode varchar(10), @link int, @Year int, @Month tinyint) 
AS

DECLARE @SQL VARCHAR(1000)

SET @SQL = '
delete from dbo.Buffer
where RTRIM(LTRIM(ID)) = RTRIM(LTRIM( ''' + @BufferCode + ''' ))
	and link IN (select S.link_pers from dbo.SZV_STAZH_SVEDENIA S where S.link_up = ' + CONVERT(VARCHAR(20),@LINK) + ')'
--EXEC (@SQL)	--!!


CREATE TABLE #PERSON (LINK INT)	

SET @SQL = '
INSERT INTO #PERSON (LINK)
SELECT DISTINCT LINK FROM dbo.Buffer WHERE RTRIM(LTRIM(ID)) = RTRIM(LTRIM(''' + @BufferCode + '''))'
EXEC (@SQL)	

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @VID_KOR TINYINT , @type_doc tinyint

SELECT @VID_KOR = VID_KOR, @type_doc = [type]
FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link


IF @VID_KOR = 2
begin  
	SELECT @Year = @Year, @PER = PER_EDT, @MONTH_END = @Month
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
else 
begin
	SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
DECLARE @PeriodBegin datetime, @PeriodEnd datetime

/*IF @type_doc = 1 OR (@type_doc = 2 AND @PER <> 4)
BEGIN
	SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
	SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

	IF @MONTH_BEG > @MONTH_END
		SET @MONTH_END = @MONTH_BEG + 3 - 1
END
IF  @type_doc = 2 AND @PER = 4
 BEGIN */
		SET @MONTH_BEG = 1 
		SET @MONTH_END = 12
/* END */

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--  .
--
DECLARE @LINK_OZOI INT
SET @LINK_OZOI = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 3 AND @Year BETWEEN YBEG AND YEND),1)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME)

INSERT INTO #PERS_INV (PERS_LINK, DATE_BEGIN, DATE_END) 
SELECT PERS_LINK, DATE_BEGIN = MIN(ISNULL(I.DATE_BEGIN,@PeriodBegin)), DATE_END = MAX(ISNULL(I.DATE_END,@PeriodEnd))
FROM dbo.PERS_INVALID I
WHERE ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin
GROUP BY PERS_LINK


--forma    2013     (1 , 2 )
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_OZOI,
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END,
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
from 
	(	SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2 
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	INNER JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		

----
DECLARE @LINK_NR INT
SET @LINK_NR = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 1 AND @Year BETWEEN YBEG AND YEND),1)

--forma    2013     (1 , 2 )	
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_NR,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodBegin < CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		THEN @PeriodBegin 
		ELSE CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END + 1
	END,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodEnd > CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		THEN @PeriodEnd
		ELSE CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END - 1
	END
from 
	(	
		SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		
WHERE --          
	I.PERS_LINK IS NULL --  
	OR --    
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1
	OR --    
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1	

----
DECLARE @LINK_USEN INT
SET @LINK_USEN = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 2 AND @Year BETWEEN YBEG AND YEND),1)		
	
insert into dbo.SZV_STAZH_SVEDENIA 
	(link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
SELECT 	
	link_up, orders, forma, link_pers, ISNULL(sum_doh,0), ISNULL(sum_str,0), ISNULL(sum_nak,0), ISNULL(sum_dop,0), ISNULL(dper_vn_m,0), ISNULL(dper_vn_d,0), ISNULL(dper_oz_m,0), ISNULL(dper_oz_d,0), ISNULL(isum_str,0), ISNULL(isum_nak,0), @LINK_USEN, DATE_BEG, DATE_END
FROM
	#PERSON B INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON B.LINK = S.link_pers 
WHERE
	link_up = @link
	AND
	LINK_KATEG = @LINK_NR	

/*----        
CREATE TABLE #PERS_SUM_J (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, MON INT, INCOME NUMERIC(18,2), SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM_J (LINK_PERS, LINK_KATEG, DOG, MON, INCOME, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG, MON,
	SUM(CASE WHEN [OBJECT] = 1 THEN SUMMA ELSE 0 END), --  (INCOME)
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.EMPL E ON E.PERS_LINK = S.LINK_PERS
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_EMPL = E.LINK 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 1 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
	UNION ALL	
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.PERS_LINK = S.LINK_PERS 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 2 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG, MON
*/
--
/*CREATE INDEX #TMP_IDX_#PERS_SUM_J ON #PERS_SUM_J (LINK_PERS, LINK_KATEG)

--ר     
-- ר         512   ר 
create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, KATEG TINYINT, DOG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG = 1
FROM 
	dbo.SA_ESN_VIEW(@Year, @Month, @DEP_LINK, 0) S
WHERE 
	WAY_CALC IN (6,7,10,11)
	AND EXISTS (SELECT * FROM #PERSON B WHERE B.LINK = S.REF_PHYS_PERS)

--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, 
	GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, 
	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@Year))) = 2
		THEN 3
		ELSE
		CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END
	END, 
	DOG = 2
FROM 
	dbo.DOCUMENTS_DGH G 
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.PERSON P on GT.PERS_LINK = P.link
	INNER JOIN #PERSON B ON B.LINK = P.LINK
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  IN (6,7,10,11)
	AND YEAR(G.[DATE]) = @Year
	AND MONTH(G.[DATE]) <= @Month
	AND LINK_DEP = @DEP_LINK


--
CREATE INDEX #TMP_IDX_SPR_ESN ON #SPR_ESN (REF_PHYS_PERS, KATEG, DOG)

--
DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS < @PeriodBegin )
*/
--  
DECLARE @STAVKI TABLE ( LINK_PERS INT, TARIF TINYINT, PREDEL NUMERIC(15,2), [PERCENT] NUMERIC(8,2), WAY_CALC TINYINT)

INSERT INTO @STAVKI (LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC)
SELECT 
	LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC 
FROM 
	dbo.SA_ESN_TARIF(DEFAULT, @PeriodEnd, DEFAULT) S
WHERE 
	WAY_CALC IN (6,7)
	AND EXISTS (SELECT * FROM #PERSON P WHERE P.LINK = S.LINK_PERS)

--	
DECLARE @LIMIT NUMERIC(18,2)
SET @LIMIT = ISNULL((SELECT MIN(PREDEL) FROM @STAVKI WHERE TARIF = 1 AND WAY_CALC = 6),0)

------      ר   ר  512.
/*CREATE TABLE #SUM_PERSON (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT, WAY_CALC TINYINT, [PERCENT] NUMERIC(18,2), MON TINYINT, 
				BAZA NUMERIC(18,2), SUM_LIM NUMERIC(18,2), SUM_KOR NUMERIC(18,2),BAZA2 NUMERIC(18,2),  NALOG NUMERIC(20,6), M BIT)

INSERT INTO #SUM_PERSON (LINK_PERSON, KATEG, DOG, WAY_CALC, [PERCENT], MON, BAZA, NALOG, M)
SELECT
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE,
	SUM(ISNULL(SUMMA_BASE,0) - ISNULL(DED_M,0) - ISNULL(INV_M,0)) AS BAZA,
	SUM(SUMMA),
	0
FROM 
	#SPR_ESN E
	INNER JOIN @STAVKI S ON S.LINK_PERS = E.REF_PHYS_PERS AND S.WAY_CALC = E.WAY_CALC AND S.TARIF = E.KATEG
WHERE 
	S.PREDEL = @LIMIT
GROUP BY
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE

-- ,     
CREATE TABLE #PERS_AFTER (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT)

INSERT INTO #PERS_AFTER (LINK_PERSON, KATEG, DOG)
SELECT LINK_PERSON, KATEG, DOG
FROM #SUM_PERSON 
WHERE WAY_CALC = 6
GROUP BY LINK_PERSON, KATEG, DOG
HAVING SUM(BAZA) > @LIMIT
DECLARE @Cur2 CURSOR, @MON TINYINT, @KATEG TINYINT, @DOG TINYINT

SET @Cur2 = CURSOR FORWARD_ONLY
FOR SELECT DISTINCT MON, KATEG, DOG FROM #SUM_PERSON SP
	ORDER BY MON, KATEG ASC, DOG DESC
OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE SP --     
		SET 
			M = 1,
			SUM_LIM = (SELECT SUM(BAZA) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.WAY_CALC = SP.WAY_CALC AND (M=1 OR SP1.MON = SP.MON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG))
		FROM #SUM_PERSON SP
		WHERE MON = @MON AND KATEG = @KATEG AND DOG = @DOG
		
		UPDATE #SUM_PERSON -- 
		SET SUM_KOR = CASE WHEN ISNULL(SUM_LIM,0) > @LIMIT THEN ISNULL(SUM_LIM,0) - @LIMIT ELSE 0 END

		UPDATE #SUM_PERSON
		SET BAZA2 = CASE WHEN (ISNULL(BAZA,0) > ISNULL(SUM_KOR,0) OR ISNULL(BAZA,0) < 0)
							THEN ISNULL(BAZA,0) - ISNULL(SUM_KOR,0) ELSE 0 END
		
		UPDATE SP
		SET NALOG = 
					CASE WHEN BAZA <> BAZA2 
						THEN 
							
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON <= SP.MON),0)
							* ISNULL([PERCENT],0) / 100)
							-
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON < SP.MON),0)
							* ISNULL([PERCENT],0) / 100)

						ELSE 
							(SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND SP.DOG = PS.DOG AND PS.MON = SP.MON)
					END
					
					--CASE WHEN BAZA <> BAZA2 
					--	THEN ISNULL(BAZA2,0) * ISNULL([PERCENT],0) / 100
					--	ELSE (SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND PS.MON = SP.MON)
					--END	
		FROM
			#SUM_PERSON SP
		WHERE --  ,    
			EXISTS (SELECT * FROM #PERS_AFTER PA WHERE PA.LINK_PERSON = SP.LINK_PERSON AND PA.KATEG = SP.KATEG AND PA.DOG = SP.DOG)

	END
	FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
END

CLOSE @Cur2
DEALLOCATE @Cur2

--    
CREATE TABLE #PERS_SUM (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM (LINK_PERS, LINK_KATEG, DOG, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG,
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, SUMMA_BASE = SUM(BAZA2), SUMMA = SUM(NALOG)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG
		INNER JOIN #SUM_PERSON SP ON SP.LINK_PERSON = S.LINK_PERS AND SP.KATEG = K.LINK2 AND S.FORMA = SP.DOG AND SP.MON BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
	WHERE
		S.LINK_UP = @link
		AND
		@Year BETWEEN K.YBEG AND K.YEND
	GROUP BY
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, S.FORMA
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG

--
UPDATE S SET
	sum_doh = ISNULL(SUMMA_I,0), -- 10     
	sum_str = 0, -- 10      ,  ..    -  0,  
	sum_nak = ISNULL(SUMMA_G,0), --      
	sum_dop = 0 --  10      ,  ..    -  0,  
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #PERS_SUM P ON P.LINK_PERS = S.LINK_PERS AND P.LINK_KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

*/
---   
/*CREATE TABLE #INCOME_T1T2 (
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_T1_M1 NUMERIC(18,2),
	INCOME_T2_M1 NUMERIC(18,2),
	INCOME_T1_M2 NUMERIC(18,2),
	INCOME_T2_M2 NUMERIC(18,2),
	INCOME_T1_M3 NUMERIC(18,2),
	INCOME_T2_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME_T1T2 (LINK_PERS, KATEG, DOG, INCOME_T1_M1, INCOME_T2_M1, INCOME_T1_M2, INCOME_T2_M2, INCOME_T1_M3, INCOME_T2_M3)
SELECT REF_PHYS_PERS, KATEG, E.DOG, 
	INCOME_T1_M1 = SUM(CASE WHEN WAY_CALC = 10 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END), 
	INCOME_T2_M1 = SUM(CASE WHEN WAY_CALC = 11 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M2 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M2 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M3 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M3 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END)
FROM #SPR_ESN E
WHERE WAY_CALC IN (10,11)	
GROUP BY REF_PHYS_PERS, KATEG, E.DOG

UPDATE S SET
	S.INCOME_T1_M1 = P.INCOME_T1_M1,
	S.INCOME_T2_M1 = P.INCOME_T2_M1,
	S.INCOME_T1_M2 = P.INCOME_T1_M2,
	S.INCOME_T2_M2 = P.INCOME_T2_M2,
	S.INCOME_T1_M3 = P.INCOME_T1_M3,
	S.INCOME_T2_M3 = P.INCOME_T2_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME_T1T2 P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

--    
CREATE TABLE #INCOME(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_M1 NUMERIC(18,2),
	INCOME_M2 NUMERIC(18,2),
	INCOME_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME (LINK_PERS, KATEG, DOG, INCOME_M1, INCOME_M2, INCOME_M3)
SELECT 
	LINK_PERS, LINK_KATEG, DOG,
	INCOME_M1 = SUM(INCOME),
	INCOME_M2 = SUM(CASE WHEN MON = (@Month - 1) THEN INCOME ELSE 0 END),
	INCOME_M3 = SUM(CASE WHEN MON = @Month THEN INCOME ELSE 0 END)
FROM #PERS_SUM_J
GROUP BY 
	LINK_PERS, LINK_KATEG, DOG

UPDATE S SET
	S.INCOME_M1 = P.INCOME_M1,
	S.INCOME_M2 = P.INCOME_M2,
	S.INCOME_M3 = P.INCOME_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	


--   
CREATE TABLE #BASE(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	BASE_BEFORE_M1 NUMERIC(18,2),
	BASE_AFTER_M1 NUMERIC(18,2),
	BASE_BEFORE_M2 NUMERIC(18,2),
	BASE_AFTER_M2 NUMERIC(18,2),
	BASE_BEFORE_M3 NUMERIC(18,2),
	BASE_AFTER_M3 NUMERIC(18,2)	
	)

INSERT INTO #BASE (LINK_PERS, KATEG, DOG, BASE_BEFORE_M1, BASE_AFTER_M1, BASE_BEFORE_M2, BASE_AFTER_M2, BASE_BEFORE_M3, BASE_AFTER_M3 )
SELECT LINK_PERSON, KATEG, DOG,
	BASE_BEFORE_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M3	= SUM(CASE WHEN MON = @Month THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M3	= SUM(CASE WHEN MON = @Month THEN BAZA - BAZA2 ELSE 0 END)		
FROM #SUM_PERSON 
WHERE 
	WAY_CALC = 6
GROUP BY
	LINK_PERSON, KATEG, DOG
	
UPDATE S SET
	S.BASE_BEFORE_M1 = P.BASE_BEFORE_M1,
	S.BASE_AFTER_M1 = P.BASE_AFTER_M1,
	S.BASE_BEFORE_M2 = P.BASE_BEFORE_M2,
	S.BASE_AFTER_M2 = P.BASE_AFTER_M2,
	S.BASE_BEFORE_M3 = P.BASE_BEFORE_M3,
	S.BASE_AFTER_M3 = P.BASE_AFTER_M3	
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #BASE P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	
*/
--   ,   
SELECT LINK_PERS, FORMA, LINK_KATEG INTO #TAB FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY LINK_PERS, FORMA, LINK_KATEG HAVING SUM(sum_doh) = 0 AND SUM(sum_nak) = 0 AND SUM(INCOME_M1) = 0
--	

DELETE FROM dbo.SZV_STAZH_SVEDENIA 
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 AND LINK_KATEG NOT IN( @LINK_NR, @LINK_OZOI)

DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 
	AND NOT EXISTS (SELECT LINK_PERS FROM #TAB T WHERE T.LINK_PERS = dbo.SZV_STAZH_SVEDENIA.LINK_PERS AND T.FORMA = dbo.SZV_STAZH_SVEDENIA.FORMA AND T.LINK_KATEG = dbo.SZV_STAZH_SVEDENIA.LINK_KATEG)

--  
UPDATE dbo.SZV_STAZH_SVEDENIA SET LINK_KATEG = @LINK_NR WHERE link_up = @link AND LINK_KATEG = @LINK_OZOI

----     
EXEC [dbo].SS_SZV_ST_PACHKA_RASPIL @link

IF @VID_KOR != 3
	begin  
	---  

	----------------------------------------------------------------------------
	CREATE TABLE #PERIODY (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] int, NUM_STAKE NUMERIC(5,2), [IS_DOP] VARCHAR(20),	[NOT_LGOT_EXPIR] INT NULL , ADD_TYPE INT )

	--/* */
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, TYPE,[IS_DOP])
	SELECT 	DISTINCT
		PERS_LINK, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			THEN (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			ELSE S.DATE_END
		END,	
		0,
		[IS_DOP] = isnull(pt.DOP_IS_C, '' )  --(SELECT TOP 1  pt.DOP_IS_C  from dbo.POST_TYPES AS pt WHERE   pt.link = st.gossl) 
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.EMPL E ON S.LINK_PERS = E.PERS_LINK AND E.DEP_LINK = @DEP_LINK
		INNER JOIN dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		left join dbo.staff_head sh on sh.link = p.STAFF_LINK
		left join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
	WHERE
		S.LINK_UP = @link
		AND
		P.DATE_BEGIN <= @PeriodEnd
		AND
		coalesce(U.DIS_DATE,'20990101') >= @PeriodBegin
		--AND st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin	

	/* */
	Select DISTINCT
		link_face = DGH.PERS_LINK, LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				THEN (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				ELSE S.DATE_BEG
			END,
		date2 = CASE WHEN S.DATE_END > (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				THEN (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				ELSE S.DATE_END
			END,
		[type] = 0
	INTO #DGH	
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.SALARY_REESTR_DGH DGH ON S.LINK_PERS = DGH.PERS_LINK
	WHERE 
		S.LINK_UP = @link
		AND
		DGH.DEP_LINK = @DEP_LINK
		and
		DGH.DATE1 <= @PeriodEnd
		and
		coalesce(DGH.DATE2,'20990101') >= @PeriodBegin

	--       
	SELECT LINK_FACE, DB = MIN(DATE1), DE = MAX(DATE2)
	INTO #WORK
	FROM #PERIODY
	GROUP BY LINK_FACE

	UPDATE S SET 
		S.DATE_BEG = CASE WHEN W.DB < S.DATE_BEG THEN S.DATE_BEG ELSE W.DB END,
		S.DATE_END = CASE WHEN W.DE > S.DATE_END THEN S.DATE_END ELSE W.DE END
	FROM 
		dbo.SZV_STAZH_SVEDENIA S INNER JOIN #WORK W ON S.LINK_PERS = W.LINK_FACE
	WHERE 
		S.LINK_UP = @link
	
	--
	CREATE TABLE #ADD_TYPE (
		[type] INT IDENTITY(1,1),
		[TERR_USL_TRUD] int NULL ,
		[TERR_RK] numeric(3, 2) NULL ,
		[OSOB_USL_TRUD] int NULL ,
		[COD_POS_SPISOK] int NULL ,
		[COD_POS_SPISOK2] int NULL ,
		[USL_DOSROCH_PENS] int NULL ,
		[STAVKA_PED_MED] numeric(3, 2) NULL,
		[VID] VARCHAR(20),
		[IS_DOP] VARCHAR(20),
		[COD_SPO_USL_TRUD] INT NULL
	)	
	INSERT INTO #ADD_TYPE 
		([TERR_USL_TRUD],[TERR_RK],[OSOB_USL_TRUD],[COD_POS_SPISOK],[COD_POS_SPISOK2],[USL_DOSROCH_PENS],[STAVKA_PED_MED],[VID],[IS_DOP],[COD_SPO_USL_TRUD])
	SELECT DISTINCT 
		ISNULL(s.TERR_USL_TRUD,0), ISNULL(s.TERR_RK,0), ISNULL(s.OSOB_USL_TRUD,0), ISNULL(s.COD_POS_SPISOK,0), ISNULL(s.COD_POS_SPISOK2,0), ISNULL(s.USL_DOSROCH_PENS,0), ISNULL(s.STAVKA_PED_MED,0), VID = 'ADD_TYPE', IS_DOP =  ISNULL(dop_is_c,''), ISNULL(s.[COD_SPO_USL_TRUD],0) 
	FROM dbo.staff s 
	LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = s.gossl
	WHERE ISNULL(s.TERR_USL_TRUD,0) <> 0 OR ISNULL(s.TERR_RK,0) <> 0 OR ISNULL(s.OSOB_USL_TRUD,0) <> 0 OR ISNULL(s.COD_POS_SPISOK,0) <> 0 OR ISNULL(s.COD_POS_SPISOK2,0) <> 0 OR ISNULL(s.USL_DOSROCH_PENS,0) <> 0 OR ISNULL(s.STAVKA_PED_MED,0) <> 0 OR ISNULL(s.[COD_SPO_USL_TRUD],0) <> 0 
	OR ISNULL(pt.dop_is_c,'')<>'' 

	--
	DECLARE @MAX_TYPE INT
	SET @MAX_TYPE = ISNULL((SELECT MAX(type) FROM #ADD_TYPE),0)

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('TMP_TYPE', '')
	
	/*  ( )*/
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('KOMM_TYPE', '')


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD1', '')

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	SELECT DISTINCT
		'PERIOD2',
		ISNULL(V.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
					--AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
					) VV ON VV.LINK = IV.TYPE_LINK
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD3', '')
/*
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	Select DISTINCT
		'PERIOD4',
		ISNULL(VV.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/
	--    
	INSERT INTO #ADD_TYPE (VID, IS_DOP) 	
	SELECT LEFT('P_' + LTRIM(RTRIM(CODE)),20), IS_DOP
	FROM dbo.VACATION_VID 
	WHERE	IS_DOP IS NOT NULL
			AND 
			NOT EXISTS (SELECT * FROM #ADD_TYPE WHERE VID = LEFT('P_' + LTRIM(RTRIM(CODE)),20))



	--    c   
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type], NUM_STAKE, IS_DOP)
	SELECT DISTINCT 
		link_face = E.PERS_LINK, S.LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN ELSE @PeriodBegin end)
					THEN (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN else  (case when IM.DATE_BEGIN >= @PeriodBegin  THEN IM.DATE_BEGIN ELSE @PeriodBegin end) end)
					ELSE (case when IM.DATE_BEGIN >= S.DATE_BEG  AND (dis_date IS NOT NULL AND dis_date BETWEEN @PeriodBegin AND @PeriodEND) THEN IM.DATE_BEGIN ELSE S.DATE_BEG end) --          -      
				END,
		date2 = CASE WHEN 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
							> (case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					THEN 
						(case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					ELSE 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
				END,	
		ISNULL(T.[type],0),
		ISNULL(im.NUM_STAKE,0),
		IS_DOP = isnull(T.[IS_DOP],'')
		--, ST.*
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		INNER JOIN dbo.sa_item_move im ON im.EMPL_LINK = e.link
		inner join dbo.staff_head sh on sh.link = STAFF_LINK
		inner join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1	
		left join #ADD_TYPE T on 
				ISNULL(st.TERR_USL_TRUD,0) = ISNULL(T.TERR_USL_TRUD,0) 
				AND ISNULL(st.TERR_RK,0) = ISNULL(T.TERR_RK,0) 
				AND ISNULL(st.OSOB_USL_TRUD,0) = ISNULL(T.OSOB_USL_TRUD,0) 
				AND ISNULL(st.COD_POS_SPISOK,0) = ISNULL(T.COD_POS_SPISOK,0) 
				AND ISNULL(st.COD_POS_SPISOK2,0) = ISNULL(T.COD_POS_SPISOK2,0) 
				AND ISNULL(st.USL_DOSROCH_PENS,0) = ISNULL(T.USL_DOSROCH_PENS,0) 
				AND ISNULL(st.STAVKA_PED_MED,0) = ISNULL(T.STAVKA_PED_MED,0) 
				AND ISNULL(st.[COD_SPO_USL_TRUD],0) = ISNULL(T.[COD_SPO_USL_TRUD],0)
				AND ltrim(rtrim(ISNULL(pt.[DOP_IS_C],''))) = ltrim(rtrim(ISNULL(T.[IS_DOP],'')))
	where 
		S.LINK_UP = @link
		AND
		IM.NUM_STAKE >= 1 
		AND
		IM.[STATUS] <> 2 -- .   
		AND
		im.DATE_BEGIN <= @PeriodEnd and im.DATE_END3 >= @PeriodBegin
		and 
		st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin
		AND 
		im.DATE_end3 > st.DATE_BEGIN -- AND st.DATE_END	 --            
		AND
		T.[TYPE] IS NOT NULL AND T.VID = 'ADD_TYPE'
		AND
		COALESCE(U.DIS_DATE,'20990101') >= @PeriodBegin
	order by
		E.PERS_LINK
 
	---**************************************

	DECLARE @TMP_TYPE INT
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')

	/* -    ( .  )*/
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	Select DISTINCT 
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		ISNULL( (SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = LEFT('P_' + LTRIM(RTRIM(VV.CODE)),20) AND AT.IS_DOP = VV.IS_DOP ), @TMP_TYPE),
		[NOT_LGOT_EXPIR]
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_vacation iv on E.link = iv.EMPL_LINK 
		inner join dbo.orders o on iv.order_link=o.link
		--  ,   "    ", 
		--  (   )
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link /*AND NO_SAL <> 1*/
		INNER JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK AND WORK_D <> 7 --      (   )
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and ISNULL(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		ISNULL(ISNULL(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	/* -    ( .  )*/	
	--SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'KOMM_TYPE')
	
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			THEN (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE,
		1
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_travel T on E.link = T.EMPL_LINK
		left join dbo.ITEM_TRAVEL_LONG ITL on ITL.TRAVEL_LINK = T.LINK and ISNULL(ITL.ACTIVE,0) = 1	
	WHERE
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		AND 
		T.ACTIVE = 1 
		AND 
		T.DATE_BEGIN <= @PeriodEnd
		AND 
		ISNULL(ISNULL(ITL.NEW_DATE_END,T.date_end),'20990101') >= @PeriodBegin

	/* -      */

	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD1')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
		INNER JOIN dbo.NETRUD N ON N.LINK = [TYPE] AND N.DEKRET = 1
	WHERE 
		S.LINK_UP = @link
		AND	
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin

	/* -  */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD3')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
	WHERE
		S.LINK_UP = @link
		AND	 
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin
		and
		[TYPE] not in (select LINK from dbo.NETRUD where DEKRET = 1)

	/* -     1,5   3 */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then (case when coalesce(ivb.DATE_BREAK,iv.date_end)>iv.date_end THEN iv.date_end ELSE coalesce(ivb.DATE_BREAK,iv.date_end) END) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then (case when coalesce(ivb.DATE_BREAK,iv.date_end)>iv.date_end THEN iv.date_end ELSE coalesce(ivb.DATE_BREAK,iv.date_end) END) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD2' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(V.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER join dbo.TYP_DAYS D on V.TYPE_LINK = D.LINK AND  WORK_D = 7 
		--INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
			----AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
		--	) VV ON VV.LINK = IV.TYPE_LINK
		LEFT JOIN DBO.ITEM_VACATION_BREAK IVB ON IVB.VAC_LINK = IV.LINK AND COALESCE(IVB.ACTIVE,0) = 1
	WHERE 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin

/*
	/* -     */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	Select DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD4' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(VV.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	WHERE
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/


	--------------------------------------------------------------------------
	-- 2.            type.
	--- ,        , ..     
	CREATE TABLE #PERIODY3 (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] INT, orders int, i int, NUM_STAKE NUMERIC(5,2),IS_DOP VARCHAR(20), TYPE_ADD INT)

	--    -1  ..  
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, [type])
	SELECT DISTINCT link_face, LINK_KATEG, @PeriodBegin, @PeriodEnd, [type] = -1   FROM #PERIODY


	CREATE TABLE #DAYS (ID INT IDENTITY(1,1), LINK_FACE INT, LINK_KATEG INT, [DATE] DATETIME, [TYPE] INT, NUM INT/*, IS_DOP VARCHAR(20)*/, NUM_STAKE NUMERIC(5,2), [TYPE_ADD] INT)

	INSERT INTO #DAYS (LINK_FACE, LINK_KATEG, [DATE], [TYPE], NUM, NUM_STAKE/*,IS_DOP*/, [TYPE_ADD])
	SELECT P.LINK_FACE, P.LINK_KATEG, [DATE], [TYPE] = MAX([TYPE]), 0, 
		[NUM_STAKE] = MAX(ISNULL(NUM_STAKE,0)), 
		--isnull(IS_DOP,''),
		[TYPE_ADD] = MAX(CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END
		)
	FROM 
		#PERIODY P
		INNER JOIN dbo.days_ex(@PeriodBegin, @PeriodEnd) D ON 1=1
	WHERE
		D.[DATE] BETWEEN P.DATE1 AND P.DATE2
	GROUP BY
		 P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]
	ORDER BY	
		P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]


	--   ,     
	UPDATE #DAYS SET [TYPE_ADD] = 0 
	WHERE 
		EXISTS (SELECT * FROM #PERIODY WHERE 
			#PERIODY.[NOT_LGOT_EXPIR] = 1
			AND #PERIODY.link_face = #DAYS.link_face
			AND #DAYS.[DATE] BETWEEN #PERIODY.DATE1 AND #PERIODY.DATE2)


	-- 
	DECLARE 
		@ID INT, @ID1 INT, @ID2 INT, @LINK_FACE INT, @DATE datetime, @LINK_KATEG INT, @TYPE INT, @NUM INT, @TYPE_ADD INT,
		@LINK_FACE1 INT, @LINK_KATEG1 INT, @TYPE1 INT,@TYPE_ADD1 INT,@DATE1 datetime

	--  ,      

------   #ADD_TYPE    
----
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')
----
	CREATE table #TDays(link_face int, id int,  date DATETIME ,LINK_KATEG int , [TYPE] INT, [TYPE_ADD] INT)
	INSERT INTO #TDays (link_face, id, date, LINK_KATEG, [TYPE], [TYPE_ADD])
	SELECT d.link_face,
		   d.id,
		   d.date,
		   d.LINK_KATEG,
		   d.[TYPE],
		   d.[TYPE_ADD]
	FROM #DAYS d WHERE d.[type] = @TMP_TYPE 
	ORDER BY d.link_face, d.ID ,d.[date], d.[TYPE] ,d.[TYPE_ADD]	 


	DECLARE @Cur0 CURSOR, @F_TYPE int, @F_TYPE_ADD int
	SET @Cur0 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE,[date],LINK_KATEG, [TYPE],  TYPE_ADD from  #TDays order by ID, LINK_FACE, [DATE]
	OPEN @Cur0
	FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
		
			SELECT DISTINCT @F_TYPE =[TYPE], @F_TYPE_ADD = [type_add]  
			FROM #DAYS WHERE LINK_FACE = @LINK_FACE AND LINK_KATEG = @LINK_KATEG AND [DATE] = @DATE-1 
			
			SELECT @F_TYPE = ISNULL(@F_TYPE,0), @F_TYPE_ADD = ISNULL( @F_TYPE_ADD,0) 

			IF @F_TYPE_ADD = @type_add OR  (ISNULL((SELECT TOP 1 IS_DOP TYPE FROM #ADD_TYPE WHERE [type] = @F_TYPE_ADD),'') <> '' AND @type_add = 0) 
			BEGIN
			
				UPDATE d
				SET [TYPE] = @F_TYPE , [type_add] = @F_TYPE_ADD 
				FROM #DAYS d
				WHERE d.ID = @ID AND d.LINK_FACE = @LINK_FACE AND d.[DATE] = @DATE AND d.LINK_KATEG=@LINK_KATEG AND d.[TYPE] = @TMP_TYPE

			END	

		END

		FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	END

	CLOSE @Cur0
	DEALLOCATE @Cur0


	--
	/*		---------
				UPDATE #DAYS SET [type] = 0 WHERE [type] = @TMP_TYPE
			---------*/

DROP TABLE #TDays 

---------------------------------------------------------------------------------
	--	
	SELECT TOP 1 @ID1 = 0, @ID2 = 0, @NUM = 0, @LINK_FACE1 = LINK_FACE, @LINK_KATEG1 =LINK_KATEG, @TYPE1 = [TYPE]
	FROM #DAYS
	order by ID
	--
	DECLARE @Cur1 CURSOR
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE, LINK_KATEG, [TYPE] from #DAYS order by ID
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			IF NOT (@LINK_FACE = @LINK_FACE1 AND @LINK_KATEG = @LINK_KATEG1 AND @TYPE = @TYPE1)
			BEGIN
				
				SELECT @NUM = @NUM + 1, @LINK_FACE1 = @LINK_FACE, @LINK_KATEG1 = @LINK_KATEG, @TYPE1 = @TYPE
				UPDATE #DAYS SET NUM = @NUM WHERE ID BETWEEN @ID1 AND @ID-1
				SELECT @ID1 = @ID 

			END

		END

		FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--
	UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1


	--------------------------------
	--**        ,        ,
	--       #DAYS 

	SELECT a.link, a.link_face, a.LINK_KATEG, a.date1, a.date2, a.[type],
	       a.NUM_STAKE, a.IS_DOP, a.NOT_LGOT_EXPIR, a.ADD_TYPE
	INTO #PERIODY_DEL
	FROM #PERIODY a 
		INNER join #PERIODY p on  	p.[type]<= @MAX_TYPE AND 	p.link_face = a.link_FACE	AND p.[type] <> a.[type] 
	WHERE a.[type]= 0 	
	AND p.[type] IN (SELECT [type]  FROM #ADD_TYPE WHERE vid = 'ADD_TYPE')  

	DELETE  FROM  #PERIODY  WHERE link  IN (SELECT link FROM #PERIODY_DEL)
	
	
	UPDATE P 
	SET [ADD_TYPE] = (CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END)
	FROM 
		#PERIODY P
	UPDATE P
	SET [ADD_TYPE] = (SELECT top 1 ADD_TYPE FROM #PERIODY WHERE p.date1 between date1 AND DATE2 )
	FROM 
		#PERIODY P WHERE isnull(P.ADD_TYPE,0) = 0 


	--
	INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
	SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  [DATE1], DATE_END = [DATE2], [TYPE], 0, 0, NUM_STAKE = max(ISNULL(NUM_STAKE,0)), ADD_TYPE
	FROM #PERIODY	
	WHERE [type] <> @TMP_TYPE
	GROUP BY LINK_FACE, LINK_KATEG, [DATE1],[DATE2], [TYPE], ADD_TYPE 
	ORDER BY LINK_FACE, LINK_KATEG, [DATE1],[DATE2], [TYPE], ADD_TYPE


	-----	
/*	INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
	SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE]), DATE_END = MAX([DATE]), [TYPE], 0, 0, NUM_STAKE = MAX(ISNULL(NUM_STAKE,0)), TYPE_ADD
	FROM #DAYS	
	GROUP BY LINK_FACE, LINK_KATEG, NUM, [TYPE], TYPE_ADD
	ORDER BY LINK_FACE, LINK_KATEG, DATE_BEG, DATE_END
*/

	
	--  
	DELETE FROM #PERIODY3 WHERE [TYPE] = -1

	/* */
	DECLARE @uslovie INT
	set @uslovie = 1
	while @uslovie > 0
	begin
		update #PERIODY3 set orders = @uslovie 
		from #PERIODY3 as tt
		where 	coalesce(orders,0) = 0
			and date1 = (select min(t.date1) from #PERIODY3 t where coalesce(orders,0) = 0 and t.link_face = tt.link_face AND T.LINK_KATEG = TT.LINK_KATEG)
		if @@rowcount > 0
			set @uslovie = @uslovie + 1
		else
			set @uslovie = 0
	END

	--   
	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_k3, is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k, osob_spo)
	Select S.link, P.orders, P.date1, P.date2, 
		ter_usl = ISNULL(spr1.CODE,spr1A.CODE),
		ter_koef = ISNULL(T.TERR_RK,TA.TERR_RK),
		osob_usl = ISNULL(spr2.CODE,spr2A.CODE),
		osob_k1 = ISNULL(spr6.CODE,spr6A.CODE),
		osob_k2 = CONVERT(VARCHAR(20),left(ISNULL(spr7.CODE,spr7A.CODE),20)),
		osob_k3 = NULL,
		is_osnov = NULL, 
		is_dop = LTRIM(RTRIM(ISNULL(T.IS_DOP,TA.IS_DOP))),
		is_dop_m = NULL, 
		is_dop_d = NULL, 
		ud_osnov = ISNULL(spr5.CODE,spr5A.CODE), 
		ud_dop_m = NULL, 
		ud_dop_d = NULL, 
		ud_dop_k = ISNULL(T.STAVKA_PED_MED,TA.STAVKA_PED_MED) * P.NUM_STAKE,
		osob_spo = ISNULL(spr9.CODE,spr9A.CODE)
	 from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		inner join #PERIODY3 P on S.link_pers = P.link_face AND S.LINK_KATEG = P.LINK_KATEG
		
		LEFT JOIN #ADD_TYPE T ON P.[TYPE] = T.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1 on spr1.spr_code = 'TERR_USL' and spr1.LINK = T.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2 on spr2.spr_code = 'OSOB_USL_TRUDA' and spr2.LINK = T.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5 on spr5.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5.LINK = T.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6 on spr6.SPR_CODE LIKE 'SPISOK%' and spr6.LINK = T.COD_POS_SPISOK
		left join dbo.szv4_spr spr7 on spr7.SPR_CODE LIKE 'SPISOK%' and spr7.LINK = T.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3
		left join dbo.szv4_spr spr9 on spr9.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9.LINK = T.[COD_SPO_USL_TRUD]

		LEFT JOIN #ADD_TYPE TA ON P.[TYPE_ADD] = TA.[TYPE] AND P.[TYPE_ADD] <> P.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1A on spr1A.spr_code = 'TERR_USL' and spr1A.LINK = TA.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2A on spr2A.spr_code = 'OSOB_USL_TRUDA' and spr2A.LINK = TA.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5A on spr5A.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5A.LINK = TA.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6A on spr6A.SPR_CODE LIKE 'SPISOK%' and spr6A.LINK = TA.COD_POS_SPISOK
		left join dbo.szv4_spr spr7A on spr7A.SPR_CODE LIKE 'SPISOK%' and spr7A.LINK = TA.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3	
		left join dbo.szv4_spr spr9A on spr9A.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9A.LINK = TA.[COD_SPO_USL_TRUD]
	where
		S.link_up = @link
		AND
		S.FORMA = 1
	order by
		S.link, P.orders



	--  
	CREATE TABLE #STAGE_DOG (
		LINK_PERS INT, 
		KATEG TINYINT,
		BERIOD_BEG DATETIME,
		BERIOD_END DATETIME
		)

	INSERT INTO #STAGE_DOG (LINK_PERS, KATEG, BERIOD_BEG, BERIOD_END)
	SELECT LINK_FACE, LINK_KATEG, MIN(date1), MAX(date2) 
	FROM #DGH A
	GROUP BY LINK_FACE, LINK_KATEG

	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2,is_dop)
	Select S.link, 1, P.BERIOD_BEG, P.BERIOD_END,is_dop = (CASE WHEN exists(select * from  DOCUMENTS_DGH_T1 t1 
																				inner join dbo.DOCUMENTS_DGH DOC  ON DOC.link = t1.link 
																				WHERE t1.pers_link = p.LINK_PERS
																				AND p.BERIOD_BEG = DOC.PERIOD  ) THEN '' ELSE '' END)
	from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN #STAGE_DOG P on S.link_pers = P.LINK_PERS AND S.LINK_KATEG = P.KATEG
		
	where
		S.link_up = @link
		AND
		S.FORMA = 2
	order by
		S.link
		
	END


--------------------------------------------------------------------------
/*    ,            
C 14     
*/	
DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE 
LINK_UP = @link
AND
EXISTS (		
	Select  1
	from dbo.ss_szv_STazh_svedenia S inner join  dbo.szv_STAZH_pachka p on p.link = s.link
	WHERE 
		S.LINK1 = dbo.SZV_STAZH_SVEDENIA.LINK
		AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0
				 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0 
		and p.vid_kor != 3
		AND NOT EXISTS (SELECT * FROM dbo.SZV_ST_STAZH ST WHERE ST.LINK_UP = S.LINK1)
)


--------------------------------------------------------------------------
exec dbo.SZV_ST_NUMERATOR @link










GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9799.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_EXPORT_FORMATS_17]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SS_SZV_ST_EXPORT_FORMATS_17]

GO
				
CREATE VIEW dbo.SS_SZV_ST_EXPORT_FORMATS_17
AS
	 	SELECT FNAME = ' 1.00 (   11  2017. N3)', PROC_NAME = 'SZV_STAZH_EXPORT_PFR_100_17', PRG_SKRIPT = '', DIR = 'PF'
		UNION 
		select FNAME = ' -1 (   11  2017. N3)', PROC_NAME = 'SZV_ST_ODV1_EXPORT_PFR_100_17', PRG_SKRIPT = '', DIR = 'PF'

GO


GRANT SELECT ON dbo.[SS_SZV_ST_EXPORT_FORMATS_17] TO PUBLIC

GO



GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_ODV1_EXPORT_PFR_100_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_ST_ODV1_EXPORT_PFR_100_17]

GO

CREATE      PROCEDURE [dbo].SZV_ST_ODV1_EXPORT_PFR_100_17 (
@DOC_LINK int  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK = @DOC_LINK

CREATE TABLE #ODV1_ONLY(DOC_LINK INT , ODV1_ONLY TINYINT )	
insert into #ODV1_ONLY(DOC_LINK, ODV1_ONLY)
select 
	doc_link = d.link,
	ODV1_ONLY = (SELECT TOP 1 [type] FROM dbo.SS_SZV_STAZH_PACHKA WHERE link = d.Link)
from #DOC d


--  

CREATE TABLE #ODV1 (
		[LINK_SZV]     INT, 
		[YEAR]     INT ,
		[PER]      INT ,
		[PER_edt]      INT ,
		[YEAR_edt]     INT ,
		[PER10]    INT ,
		[TYPE]	   tinyint,
		[VID_KOR]  tinyint, 
		[COUNT_P]  INT,
		[COUNT_PK] INT,
		[COUNT_PERS] INT,  
		[REG_NOM_PF] VARCHAR(20),
		[DEP_NAME] VARCHAR(254),
		[OKPO] VARCHAR(40),
		[INN] VARCHAR(12),
		[KPP] VARCHAR(9),
		DATE_CRT datetime,
		DATE_DOC datetime,
		[GUID] UNIQUEIDENTIFIER)  

CREATE TABLE #ODV1_2 (
		[LINK_SZV]  INT,
		[link_pers] INT , 
		[subdiv_name] VARCHAR(254), 
		[POST_NAME] VARCHAR(254) , 
		[num_stake] NUMERIC(5,2),
		[work_stake] NUMERIC(5,2),
		[Fakt_Work] VARCHAR(254) ,
		[DOC_NAME] VARCHAR(10), 
		[OSOB_USL] VARCHAR(10) , 
		[N_OSOB_USL] VARCHAR(150) ,
		POS_SPIS VARCHAR(150))  



--       -
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
	
			INSERT INTO #ODV1 ([LINK_SZV],[YEAR],[PER],[PER_EDT],[YEAR_EDT],[PER10],[TYPE],[VID_KOR],[COUNT_P],[COUNT_PK],[COUNT_PERS],
							   [REG_NOM_PF],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC,[GUID])  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 1 
			
			INSERT INTO #ODV1_2 ([LINK_SZV],[link_pers],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],
								 [DOC_NAME],[OSOB_USL],[N_OSOB_USL] ,[POS_SPIS] )  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 2 
			
	
			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			




-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @link_szv INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC datetime, 
	@INN VARCHAR(12), @KPP VARCHAR(9), @OKPO VARCHAR(40), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@COUNT_P VARCHAR(10) , @COUNT_PK VARCHAR(10), @COUNT_PERS VARCHAR(4), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4),@sved int , @TYP_SVED VARCHAR(20), @kor INT,
	@VID_KOR VARCHAR(20),@PER VARCHAR(1),@PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4),  @TYPE VARCHAR(20), @GUID VARCHAR(36),
	@EGRUL varchar(15), @CHIEF_POST_OUR VARCHAR(150) , @CH_FM  VARCHAR(150) , @CH_IM  VARCHAR(150),@CH_OT  VARCHAR(150)
	/*@INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	
	@KATEG VARCHAR(20)*/

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


SELECT @CHIEF_POST_OUR = (SELECT TOP 1 post_name FROM dbo.SD_EMPL AS se WHERE link  = a.face_link),
		@CH_FM = (SELECT TOP 1 LTRIM(RTRIM(FM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_IM = (SELECT TOP 1 LTRIM(RTRIM(IM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_OT = (SELECT TOP 1 LTRIM(RTRIM(OT)) FROM dbo.sd_empl WHERE link  = a.face_link)
FROM DICTIONARY_OTV_FACE_ALL A  
inner join dbo.SS_SZV_STAZH_PACHKA P on a.dep_link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )
AND  a.NAME = '' 



SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	link_szv,
	FNAME = '_'+ RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))) + '_'+LEFT(REPLACE([REG_NOM_PF],'-',''),6)+'_-1_'+CONVERT(VARCHAR(8),ltrim(rtrim(replace(CONVERT(VARCHAR(10),DATE_DOC,102),'.',''))))+'_'+ltrim(rtrim([GUID]))+'.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	[OKPO] = RTRIM(LTRIM(COALESCE(OKPO,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))),
	--PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	[COUNT_P] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_P]))), 	
	[COUNT_PK] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PK]))),
	[COUNT_PERS] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PERS]))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = DATE_DOC,
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SVED = [TYPE] ,
	TYP_SVED = (CASE WHEN [TYPE] = 1 THEN '' else (CASE WHEN [TYPE] = 2 THEN '' else '' end) end),
	KOR = [VID_KOR] ,
	VID_KOR = (CASE WHEN [VID_KOR] = 2 THEN '' else (CASE WHEN [VID_KOR] = 3 THEN '' else '' end) end),
	[PER] = 0 ,  --CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	PER_EDT = CONVERT(VARCHAR(1),[PER_edt]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	[GUID] = RTRIM(LTRIM(CONVERT(VARCHAR(36),iSnull([GUID],null))))
from #ODV1 order by link_szv

/*  1  */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	 @SVED, @TYP_SVED, @KOR,@VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'UTF-8' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-1/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://.///2014-01-01" xmlns:xs="http://www.w3.org/2001/XMLSchema">'
			/*UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21"'+CHAR(10)+CHAR(13)
+ ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://.//-/2017-01-01'+CHAR(10)
+'..\..\..\..\\\\2017\-_2017-01-01.xsd">'*/
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				 
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<-1>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + CASE when @VID_KOR = '' THEN '1' ELSE '2' end + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'					
					--UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + RTRIM(LTRIM(ISNULL(@COUNT_PERS,''))) + '</>'
	

	IF (SELECT COUNT([work_stake])  FROM #ODV1_2 WHERE [LINK_SZV] =  @link_szv ) <>0
	BEGIN 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  SELECT @lcFNAME , SPACE(2) + '<>'
		
		
		-- 1 
		DECLARE @Cur2 CURSOR, @LINK_SZV1 int, @subdiv_name varchar(254), @POST_NAME varchar(254), @num_stake NUMERIC(5,2), @work_stake NUMERIC(5,2),
				@Fakt_Work VARCHAR(254), @DOC_NAME VARCHAR (10),@OSOB_USL VARCHAR(10),@POS_SPIS VARCHAR(150) 
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
			Select	[LINK_SZV],[subdiv_name],
					[POST_NAME],[num_stake],[work_stake],
					[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 
			FROM #ODV1_2  WHERE  [LINK_SZV] = @link_szv 
			GROUP BY [LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 			   			
		
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN	
						IF isnull(@OSOB_USL,'') <> '' AND isnull(@POS_SPIS,'') <> '' 
						begin		
							  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											Select @lcFNAME, SPACE(3) + '<:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@subdiv_name,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@POST_NAME,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(CONVERT(VARCHAR(8),ISNULL(@num_stake,''))))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(ISNULL(@work_stake,''))))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@Fakt_Work,''))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@DOC_NAME,'-')))+'</:>' 
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@OSOB_USL,'')))+'</:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@POS_SPIS,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '</:>'
								  UNION ALL SELECT @lcFNAME, SPACE(3) + '</:>'
						end
					END
				
					FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS					  
					
				END 
			CLOSE @Cur2
			DEALLOCATE @Cur2
								
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(3) + '<:>'+ RTRIM(LTRIM(CONVERT(VARCHAR(8),SUM(@num_stake))))+ '</:> '  + CHAR(10)
							  +	 SPACE(3) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(sum(@work_stake))))) + '</:>'
				FROM #ODV1_2 WHERE LINK_SZV = @DOC_LINK  GROUP BY LINK_SZV
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	END 

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+REPLACE(RTRIM(LTRIM(isnull(@CHIEF_POST_OUR,''))),' ','')+'</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_FM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_IM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_OT,'')))+'</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(VARCHAR(10),@DATE_DOC , 120) +'</>'
		UNION ALL SELECT @lcFNAME, SPACE(1) + '</-1>'


	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
--	 SELECT @lcFNAME, SPACE(1) + '</->'	
	SELECT @lcFNAME, SPACE(0) +'</>'

	FETCH NEXT FROM @Cur1 INTO  @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	@SVED, @TYP_SVED,@KOR, @VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]


GO


GRANT EXECUTE ON dbo.[SZV_ST_ODV1_EXPORT_PFR_100_17] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9800.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]

GO

CREATE   PROCEDURE [dbo].SS_SZV_ST_PACHKA_CALC_Buffer_2017 (@BufferCode varchar(10), @link int, @Year int, @Month tinyint) 
AS

DECLARE @SQL VARCHAR(1000)

SET @SQL = '
delete from dbo.Buffer
where RTRIM(LTRIM(ID)) = RTRIM(LTRIM( ''' + @BufferCode + ''' ))
	and link IN (select S.link_pers from dbo.SZV_STAZH_SVEDENIA S where S.link_up = ' + CONVERT(VARCHAR(20),@LINK) + ')'
--EXEC (@SQL)	--!!


CREATE TABLE #PERSON (LINK INT)	

SET @SQL = '
INSERT INTO #PERSON (LINK)
SELECT DISTINCT LINK FROM dbo.Buffer WHERE RTRIM(LTRIM(ID)) = RTRIM(LTRIM(''' + @BufferCode + '''))'
EXEC (@SQL)	

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @VID_KOR TINYINT , @type_doc tinyint

SELECT @VID_KOR = VID_KOR, @type_doc = [type]
FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link


IF @VID_KOR = 2
begin  
	SELECT @Year = @Year, @PER = PER_EDT, @MONTH_END = @Month
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
else 
begin
	SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
DECLARE @PeriodBegin datetime, @PeriodEnd datetime

/*IF @type_doc = 1 OR (@type_doc = 2 AND @PER <> 4)
BEGIN
	SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
	SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

	IF @MONTH_BEG > @MONTH_END
		SET @MONTH_END = @MONTH_BEG + 3 - 1
END
IF  @type_doc = 2 AND @PER = 4
 BEGIN */
		SET @MONTH_BEG = 1 
		SET @MONTH_END = 12
/* END */

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--  .
--
DECLARE @LINK_OZOI INT
SET @LINK_OZOI = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 3 AND @Year BETWEEN YBEG AND YEND),1)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME)

INSERT INTO #PERS_INV (PERS_LINK, DATE_BEGIN, DATE_END) 
SELECT PERS_LINK, DATE_BEGIN = MIN(ISNULL(I.DATE_BEGIN,@PeriodBegin)), DATE_END = MAX(ISNULL(I.DATE_END,@PeriodEnd))
FROM dbo.PERS_INVALID I
WHERE ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin
GROUP BY PERS_LINK


--forma    2013     (1 , 2 )
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_OZOI,
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END,
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
from 
	(	SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2 
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	INNER JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		

----
DECLARE @LINK_NR INT
SET @LINK_NR = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 1 AND @Year BETWEEN YBEG AND YEND),1)

--forma    2013     (1 , 2 )	
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_NR,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodBegin < CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		THEN @PeriodBegin 
		ELSE CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END + 1
	END,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodEnd > CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		THEN @PeriodEnd
		ELSE CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END - 1
	END
from 
	(	
		SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		
WHERE --          
	I.PERS_LINK IS NULL --  
	OR --    
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1
	OR --    
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1	

----
DECLARE @LINK_USEN INT
SET @LINK_USEN = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 2 AND @Year BETWEEN YBEG AND YEND),1)		
	
insert into dbo.SZV_STAZH_SVEDENIA 
	(link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
SELECT 	
	link_up, orders, forma, link_pers, ISNULL(sum_doh,0), ISNULL(sum_str,0), ISNULL(sum_nak,0), ISNULL(sum_dop,0), ISNULL(dper_vn_m,0), ISNULL(dper_vn_d,0), ISNULL(dper_oz_m,0), ISNULL(dper_oz_d,0), ISNULL(isum_str,0), ISNULL(isum_nak,0), @LINK_USEN, DATE_BEG, DATE_END
FROM
	#PERSON B INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON B.LINK = S.link_pers 
WHERE
	link_up = @link
	AND
	LINK_KATEG = @LINK_NR	

/*----        
CREATE TABLE #PERS_SUM_J (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, MON INT, INCOME NUMERIC(18,2), SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM_J (LINK_PERS, LINK_KATEG, DOG, MON, INCOME, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG, MON,
	SUM(CASE WHEN [OBJECT] = 1 THEN SUMMA ELSE 0 END), --  (INCOME)
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.EMPL E ON E.PERS_LINK = S.LINK_PERS
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_EMPL = E.LINK 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 1 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
	UNION ALL	
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.PERS_LINK = S.LINK_PERS 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 2 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG, MON
*/
--
/*CREATE INDEX #TMP_IDX_#PERS_SUM_J ON #PERS_SUM_J (LINK_PERS, LINK_KATEG)

--ר     
-- ר         512   ר 
create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, KATEG TINYINT, DOG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG = 1
FROM 
	dbo.SA_ESN_VIEW(@Year, @Month, @DEP_LINK, 0) S
WHERE 
	WAY_CALC IN (6,7,10,11)
	AND EXISTS (SELECT * FROM #PERSON B WHERE B.LINK = S.REF_PHYS_PERS)

--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, 
	GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, 
	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@Year))) = 2
		THEN 3
		ELSE
		CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END
	END, 
	DOG = 2
FROM 
	dbo.DOCUMENTS_DGH G 
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.PERSON P on GT.PERS_LINK = P.link
	INNER JOIN #PERSON B ON B.LINK = P.LINK
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  IN (6,7,10,11)
	AND YEAR(G.[DATE]) = @Year
	AND MONTH(G.[DATE]) <= @Month
	AND LINK_DEP = @DEP_LINK


--
CREATE INDEX #TMP_IDX_SPR_ESN ON #SPR_ESN (REF_PHYS_PERS, KATEG, DOG)

--
DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS < @PeriodBegin )
*/
--  
DECLARE @STAVKI TABLE ( LINK_PERS INT, TARIF TINYINT, PREDEL NUMERIC(15,2), [PERCENT] NUMERIC(8,2), WAY_CALC TINYINT)

INSERT INTO @STAVKI (LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC)
SELECT 
	LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC 
FROM 
	dbo.SA_ESN_TARIF(DEFAULT, @PeriodEnd, DEFAULT) S
WHERE 
	WAY_CALC IN (6,7)
	AND EXISTS (SELECT * FROM #PERSON P WHERE P.LINK = S.LINK_PERS)

--	
DECLARE @LIMIT NUMERIC(18,2)
SET @LIMIT = ISNULL((SELECT MIN(PREDEL) FROM @STAVKI WHERE TARIF = 1 AND WAY_CALC = 6),0)

------      ר   ר  512.
/*CREATE TABLE #SUM_PERSON (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT, WAY_CALC TINYINT, [PERCENT] NUMERIC(18,2), MON TINYINT, 
				BAZA NUMERIC(18,2), SUM_LIM NUMERIC(18,2), SUM_KOR NUMERIC(18,2),BAZA2 NUMERIC(18,2),  NALOG NUMERIC(20,6), M BIT)

INSERT INTO #SUM_PERSON (LINK_PERSON, KATEG, DOG, WAY_CALC, [PERCENT], MON, BAZA, NALOG, M)
SELECT
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE,
	SUM(ISNULL(SUMMA_BASE,0) - ISNULL(DED_M,0) - ISNULL(INV_M,0)) AS BAZA,
	SUM(SUMMA),
	0
FROM 
	#SPR_ESN E
	INNER JOIN @STAVKI S ON S.LINK_PERS = E.REF_PHYS_PERS AND S.WAY_CALC = E.WAY_CALC AND S.TARIF = E.KATEG
WHERE 
	S.PREDEL = @LIMIT
GROUP BY
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE

-- ,     
CREATE TABLE #PERS_AFTER (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT)

INSERT INTO #PERS_AFTER (LINK_PERSON, KATEG, DOG)
SELECT LINK_PERSON, KATEG, DOG
FROM #SUM_PERSON 
WHERE WAY_CALC = 6
GROUP BY LINK_PERSON, KATEG, DOG
HAVING SUM(BAZA) > @LIMIT
DECLARE @Cur2 CURSOR, @MON TINYINT, @KATEG TINYINT, @DOG TINYINT

SET @Cur2 = CURSOR FORWARD_ONLY
FOR SELECT DISTINCT MON, KATEG, DOG FROM #SUM_PERSON SP
	ORDER BY MON, KATEG ASC, DOG DESC
OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE SP --     
		SET 
			M = 1,
			SUM_LIM = (SELECT SUM(BAZA) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.WAY_CALC = SP.WAY_CALC AND (M=1 OR SP1.MON = SP.MON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG))
		FROM #SUM_PERSON SP
		WHERE MON = @MON AND KATEG = @KATEG AND DOG = @DOG
		
		UPDATE #SUM_PERSON -- 
		SET SUM_KOR = CASE WHEN ISNULL(SUM_LIM,0) > @LIMIT THEN ISNULL(SUM_LIM,0) - @LIMIT ELSE 0 END

		UPDATE #SUM_PERSON
		SET BAZA2 = CASE WHEN (ISNULL(BAZA,0) > ISNULL(SUM_KOR,0) OR ISNULL(BAZA,0) < 0)
							THEN ISNULL(BAZA,0) - ISNULL(SUM_KOR,0) ELSE 0 END
		
		UPDATE SP
		SET NALOG = 
					CASE WHEN BAZA <> BAZA2 
						THEN 
							
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON <= SP.MON),0)
							* ISNULL([PERCENT],0) / 100)
							-
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON < SP.MON),0)
							* ISNULL([PERCENT],0) / 100)

						ELSE 
							(SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND SP.DOG = PS.DOG AND PS.MON = SP.MON)
					END
					
					--CASE WHEN BAZA <> BAZA2 
					--	THEN ISNULL(BAZA2,0) * ISNULL([PERCENT],0) / 100
					--	ELSE (SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND PS.MON = SP.MON)
					--END	
		FROM
			#SUM_PERSON SP
		WHERE --  ,    
			EXISTS (SELECT * FROM #PERS_AFTER PA WHERE PA.LINK_PERSON = SP.LINK_PERSON AND PA.KATEG = SP.KATEG AND PA.DOG = SP.DOG)

	END
	FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
END

CLOSE @Cur2
DEALLOCATE @Cur2

--    
CREATE TABLE #PERS_SUM (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM (LINK_PERS, LINK_KATEG, DOG, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG,
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, SUMMA_BASE = SUM(BAZA2), SUMMA = SUM(NALOG)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG
		INNER JOIN #SUM_PERSON SP ON SP.LINK_PERSON = S.LINK_PERS AND SP.KATEG = K.LINK2 AND S.FORMA = SP.DOG AND SP.MON BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
	WHERE
		S.LINK_UP = @link
		AND
		@Year BETWEEN K.YBEG AND K.YEND
	GROUP BY
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, S.FORMA
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG

--
UPDATE S SET
	sum_doh = ISNULL(SUMMA_I,0), -- 10     
	sum_str = 0, -- 10      ,  ..    -  0,  
	sum_nak = ISNULL(SUMMA_G,0), --      
	sum_dop = 0 --  10      ,  ..    -  0,  
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #PERS_SUM P ON P.LINK_PERS = S.LINK_PERS AND P.LINK_KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

*/
---   
/*CREATE TABLE #INCOME_T1T2 (
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_T1_M1 NUMERIC(18,2),
	INCOME_T2_M1 NUMERIC(18,2),
	INCOME_T1_M2 NUMERIC(18,2),
	INCOME_T2_M2 NUMERIC(18,2),
	INCOME_T1_M3 NUMERIC(18,2),
	INCOME_T2_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME_T1T2 (LINK_PERS, KATEG, DOG, INCOME_T1_M1, INCOME_T2_M1, INCOME_T1_M2, INCOME_T2_M2, INCOME_T1_M3, INCOME_T2_M3)
SELECT REF_PHYS_PERS, KATEG, E.DOG, 
	INCOME_T1_M1 = SUM(CASE WHEN WAY_CALC = 10 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END), 
	INCOME_T2_M1 = SUM(CASE WHEN WAY_CALC = 11 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M2 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M2 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M3 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M3 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END)
FROM #SPR_ESN E
WHERE WAY_CALC IN (10,11)	
GROUP BY REF_PHYS_PERS, KATEG, E.DOG

UPDATE S SET
	S.INCOME_T1_M1 = P.INCOME_T1_M1,
	S.INCOME_T2_M1 = P.INCOME_T2_M1,
	S.INCOME_T1_M2 = P.INCOME_T1_M2,
	S.INCOME_T2_M2 = P.INCOME_T2_M2,
	S.INCOME_T1_M3 = P.INCOME_T1_M3,
	S.INCOME_T2_M3 = P.INCOME_T2_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME_T1T2 P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

--    
CREATE TABLE #INCOME(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_M1 NUMERIC(18,2),
	INCOME_M2 NUMERIC(18,2),
	INCOME_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME (LINK_PERS, KATEG, DOG, INCOME_M1, INCOME_M2, INCOME_M3)
SELECT 
	LINK_PERS, LINK_KATEG, DOG,
	INCOME_M1 = SUM(INCOME),
	INCOME_M2 = SUM(CASE WHEN MON = (@Month - 1) THEN INCOME ELSE 0 END),
	INCOME_M3 = SUM(CASE WHEN MON = @Month THEN INCOME ELSE 0 END)
FROM #PERS_SUM_J
GROUP BY 
	LINK_PERS, LINK_KATEG, DOG

UPDATE S SET
	S.INCOME_M1 = P.INCOME_M1,
	S.INCOME_M2 = P.INCOME_M2,
	S.INCOME_M3 = P.INCOME_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	


--   
CREATE TABLE #BASE(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	BASE_BEFORE_M1 NUMERIC(18,2),
	BASE_AFTER_M1 NUMERIC(18,2),
	BASE_BEFORE_M2 NUMERIC(18,2),
	BASE_AFTER_M2 NUMERIC(18,2),
	BASE_BEFORE_M3 NUMERIC(18,2),
	BASE_AFTER_M3 NUMERIC(18,2)	
	)

INSERT INTO #BASE (LINK_PERS, KATEG, DOG, BASE_BEFORE_M1, BASE_AFTER_M1, BASE_BEFORE_M2, BASE_AFTER_M2, BASE_BEFORE_M3, BASE_AFTER_M3 )
SELECT LINK_PERSON, KATEG, DOG,
	BASE_BEFORE_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M3	= SUM(CASE WHEN MON = @Month THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M3	= SUM(CASE WHEN MON = @Month THEN BAZA - BAZA2 ELSE 0 END)		
FROM #SUM_PERSON 
WHERE 
	WAY_CALC = 6
GROUP BY
	LINK_PERSON, KATEG, DOG
	
UPDATE S SET
	S.BASE_BEFORE_M1 = P.BASE_BEFORE_M1,
	S.BASE_AFTER_M1 = P.BASE_AFTER_M1,
	S.BASE_BEFORE_M2 = P.BASE_BEFORE_M2,
	S.BASE_AFTER_M2 = P.BASE_AFTER_M2,
	S.BASE_BEFORE_M3 = P.BASE_BEFORE_M3,
	S.BASE_AFTER_M3 = P.BASE_AFTER_M3	
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #BASE P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	
*/
--   ,   
SELECT LINK_PERS, FORMA, LINK_KATEG INTO #TAB FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY LINK_PERS, FORMA, LINK_KATEG HAVING SUM(sum_doh) = 0 AND SUM(sum_nak) = 0 AND SUM(INCOME_M1) = 0
--	

DELETE FROM dbo.SZV_STAZH_SVEDENIA 
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 AND LINK_KATEG NOT IN( @LINK_NR, @LINK_OZOI)

DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 
	AND NOT EXISTS (SELECT LINK_PERS FROM #TAB T WHERE T.LINK_PERS = dbo.SZV_STAZH_SVEDENIA.LINK_PERS AND T.FORMA = dbo.SZV_STAZH_SVEDENIA.FORMA AND T.LINK_KATEG = dbo.SZV_STAZH_SVEDENIA.LINK_KATEG)

--  
UPDATE dbo.SZV_STAZH_SVEDENIA SET LINK_KATEG = @LINK_NR WHERE link_up = @link AND LINK_KATEG = @LINK_OZOI

----     
EXEC [dbo].SS_SZV_ST_PACHKA_RASPIL @link

IF @VID_KOR != 3
	begin  
	---  

	----------------------------------------------------------------------------
	CREATE TABLE #PERIODY (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] int, NUM_STAKE NUMERIC(5,2), [IS_DOP] VARCHAR(20),	[NOT_LGOT_EXPIR] INT NULL , ADD_TYPE INT )

	--/* */
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, TYPE,[IS_DOP])
	SELECT 	DISTINCT
		PERS_LINK, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			THEN (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			ELSE S.DATE_END
		END,	
		0,
		[IS_DOP] = isnull(pt.DOP_IS_C, '' )  --(SELECT TOP 1  pt.DOP_IS_C  from dbo.POST_TYPES AS pt WHERE   pt.link = st.gossl) 
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.EMPL E ON S.LINK_PERS = E.PERS_LINK AND E.DEP_LINK = @DEP_LINK
		INNER JOIN dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		left join dbo.staff_head sh on sh.link = p.STAFF_LINK
		left join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
	WHERE
		S.LINK_UP = @link
		AND
		P.DATE_BEGIN <= @PeriodEnd
		AND
		coalesce(U.DIS_DATE,'20990101') >= @PeriodBegin
		--AND st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin	

	/* */
	Select DISTINCT
		link_face = DGH.PERS_LINK, LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				THEN (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				ELSE S.DATE_BEG
			END,
		date2 = CASE WHEN S.DATE_END > (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				THEN (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				ELSE S.DATE_END
			END,
		[type] = 0
	INTO #DGH	
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.SALARY_REESTR_DGH DGH ON S.LINK_PERS = DGH.PERS_LINK
	WHERE 
		S.LINK_UP = @link
		AND
		DGH.DEP_LINK = @DEP_LINK
		and
		DGH.DATE1 <= @PeriodEnd
		and
		coalesce(DGH.DATE2,'20990101') >= @PeriodBegin

	--       
	SELECT LINK_FACE, DB = MIN(DATE1), DE = MAX(DATE2)
	INTO #WORK
	FROM #PERIODY
	GROUP BY LINK_FACE

	UPDATE S SET 
		S.DATE_BEG = CASE WHEN W.DB < S.DATE_BEG THEN S.DATE_BEG ELSE W.DB END,
		S.DATE_END = CASE WHEN W.DE > S.DATE_END THEN S.DATE_END ELSE W.DE END
	FROM 
		dbo.SZV_STAZH_SVEDENIA S INNER JOIN #WORK W ON S.LINK_PERS = W.LINK_FACE
	WHERE 
		S.LINK_UP = @link
	
	--
	CREATE TABLE #ADD_TYPE (
		[type] INT IDENTITY(1,1),
		[TERR_USL_TRUD] int NULL ,
		[TERR_RK] numeric(3, 2) NULL ,
		[OSOB_USL_TRUD] int NULL ,
		[COD_POS_SPISOK] int NULL ,
		[COD_POS_SPISOK2] int NULL ,
		[USL_DOSROCH_PENS] int NULL ,
		[STAVKA_PED_MED] numeric(3, 2) NULL,
		[VID] VARCHAR(20),
		[IS_DOP] VARCHAR(20),
		[COD_SPO_USL_TRUD] INT NULL
	)	
	INSERT INTO #ADD_TYPE 
		([TERR_USL_TRUD],[TERR_RK],[OSOB_USL_TRUD],[COD_POS_SPISOK],[COD_POS_SPISOK2],[USL_DOSROCH_PENS],[STAVKA_PED_MED],[VID],[IS_DOP],[COD_SPO_USL_TRUD])
	SELECT DISTINCT 
		ISNULL(s.TERR_USL_TRUD,0), ISNULL(s.TERR_RK,0), ISNULL(s.OSOB_USL_TRUD,0), ISNULL(s.COD_POS_SPISOK,0), ISNULL(s.COD_POS_SPISOK2,0), ISNULL(s.USL_DOSROCH_PENS,0), ISNULL(s.STAVKA_PED_MED,0), VID = 'ADD_TYPE', IS_DOP =  ISNULL(dop_is_c,''), ISNULL(s.[COD_SPO_USL_TRUD],0) 
	FROM dbo.staff s 
	LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = s.gossl
	WHERE ISNULL(s.TERR_USL_TRUD,0) <> 0 OR ISNULL(s.TERR_RK,0) <> 0 OR ISNULL(s.OSOB_USL_TRUD,0) <> 0 OR ISNULL(s.COD_POS_SPISOK,0) <> 0 OR ISNULL(s.COD_POS_SPISOK2,0) <> 0 OR ISNULL(s.USL_DOSROCH_PENS,0) <> 0 OR ISNULL(s.STAVKA_PED_MED,0) <> 0 OR ISNULL(s.[COD_SPO_USL_TRUD],0) <> 0 
	OR ISNULL(pt.dop_is_c,'')<>'' 

	--
	DECLARE @MAX_TYPE INT
	SET @MAX_TYPE = ISNULL((SELECT MAX(type) FROM #ADD_TYPE),0)

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('TMP_TYPE', '')
	
	/*  ( )*/
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('KOMM_TYPE', '')


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD1', '')

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	SELECT DISTINCT
		'PERIOD2',
		ISNULL(V.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
					--AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
					) VV ON VV.LINK = IV.TYPE_LINK
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD3', '')
/*
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	Select DISTINCT
		'PERIOD4',
		ISNULL(VV.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/
	--    
	INSERT INTO #ADD_TYPE (VID, IS_DOP) 	
	SELECT LEFT('P_' + LTRIM(RTRIM(CODE)),20), IS_DOP
	FROM dbo.VACATION_VID 
	WHERE	IS_DOP IS NOT NULL
			AND 
			NOT EXISTS (SELECT * FROM #ADD_TYPE WHERE VID = LEFT('P_' + LTRIM(RTRIM(CODE)),20))



	--    c   
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type], NUM_STAKE, IS_DOP)
	SELECT DISTINCT 
		link_face = E.PERS_LINK, S.LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN ELSE @PeriodBegin end)
					THEN (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN else  (case when IM.DATE_BEGIN >= @PeriodBegin  THEN IM.DATE_BEGIN ELSE @PeriodBegin end) end)
					ELSE (case when IM.DATE_BEGIN >= S.DATE_BEG  AND (dis_date IS NOT NULL AND dis_date BETWEEN @PeriodBegin AND @PeriodEND) THEN IM.DATE_BEGIN ELSE S.DATE_BEG end) --          -      
				END,
		date2 = CASE WHEN 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
							> (case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					THEN 
						(case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					ELSE 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
				END,	
		ISNULL(T.[type],0),
		ISNULL(im.NUM_STAKE,0),
		IS_DOP = isnull(T.[IS_DOP],'')
		--, ST.*
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		INNER JOIN dbo.sa_item_move im ON im.EMPL_LINK = e.link
		inner join dbo.staff_head sh on sh.link = STAFF_LINK
		inner join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1	
		left join #ADD_TYPE T on 
				ISNULL(st.TERR_USL_TRUD,0) = ISNULL(T.TERR_USL_TRUD,0) 
				AND ISNULL(st.TERR_RK,0) = ISNULL(T.TERR_RK,0) 
				AND ISNULL(st.OSOB_USL_TRUD,0) = ISNULL(T.OSOB_USL_TRUD,0) 
				AND ISNULL(st.COD_POS_SPISOK,0) = ISNULL(T.COD_POS_SPISOK,0) 
				AND ISNULL(st.COD_POS_SPISOK2,0) = ISNULL(T.COD_POS_SPISOK2,0) 
				AND ISNULL(st.USL_DOSROCH_PENS,0) = ISNULL(T.USL_DOSROCH_PENS,0) 
				AND ISNULL(st.STAVKA_PED_MED,0) = ISNULL(T.STAVKA_PED_MED,0) 
				AND ISNULL(st.[COD_SPO_USL_TRUD],0) = ISNULL(T.[COD_SPO_USL_TRUD],0)
				AND ltrim(rtrim(ISNULL(pt.[DOP_IS_C],''))) = ltrim(rtrim(ISNULL(T.[IS_DOP],'')))
	where 
		S.LINK_UP = @link
		AND
		IM.NUM_STAKE >= 1 
		AND
		IM.[STATUS] <> 2 -- .   
		AND
		im.DATE_BEGIN <= @PeriodEnd and im.DATE_END3 >= @PeriodBegin
		and 
		st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin
		AND 
		im.DATE_end3 > st.DATE_BEGIN -- AND st.DATE_END	 --            
		AND
		T.[TYPE] IS NOT NULL AND T.VID = 'ADD_TYPE'
		AND
		COALESCE(U.DIS_DATE,'20990101') >= @PeriodBegin
	order by
		E.PERS_LINK
 
	---**************************************

	DECLARE @TMP_TYPE INT
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')

	/* -    ( .  )*/
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	Select DISTINCT 
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		ISNULL( (SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = LEFT('P_' + LTRIM(RTRIM(VV.CODE)),20) AND AT.IS_DOP = VV.IS_DOP ), @TMP_TYPE),
		[NOT_LGOT_EXPIR]
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_vacation iv on E.link = iv.EMPL_LINK 
		inner join dbo.orders o on iv.order_link=o.link
		--  ,   "    ", 
		--  (   )
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link /*AND NO_SAL <> 1*/
		INNER JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK AND WORK_D <> 7 --      (   )
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and ISNULL(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and 
		iv.compens <>1 --   
		and
		iv.date_begin <= @PeriodEnd
		and
		ISNULL(ISNULL(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	/* -    ( .  )*/	
	--SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'KOMM_TYPE')
	
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			THEN (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE,
		1
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_travel T on E.link = T.EMPL_LINK
		left join dbo.ITEM_TRAVEL_LONG ITL on ITL.TRAVEL_LINK = T.LINK and ISNULL(ITL.ACTIVE,0) = 1	
	WHERE
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		AND 
		T.ACTIVE = 1 
		AND 
		T.DATE_BEGIN <= @PeriodEnd
		AND 
		ISNULL(ISNULL(ITL.NEW_DATE_END,T.date_end),'20990101') >= @PeriodBegin

	/* -      */

	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD1')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
		INNER JOIN dbo.NETRUD N ON N.LINK = [TYPE] AND N.DEKRET = 1
	WHERE 
		S.LINK_UP = @link
		AND	
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin

	/* -  */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD3')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
	WHERE
		S.LINK_UP = @link
		AND	 
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin
		and
		[TYPE] not in (select LINK from dbo.NETRUD where DEKRET = 1)

	/* -     1,5   3 */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD2' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(V.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER join dbo.TYP_DAYS D on V.TYPE_LINK = D.LINK AND  WORK_D = 7 
		--INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
			----AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
		--	) VV ON VV.LINK = IV.TYPE_LINK
		LEFT JOIN DBO.ITEM_VACATION_BREAK IVB ON IVB.VAC_LINK = IV.LINK AND COALESCE(IVB.ACTIVE,0) = 1
	WHERE 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin

/*
	/* -     */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	Select DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD4' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(VV.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	WHERE
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/


	--------------------------------------------------------------------------
	-- 2.            type.
	--- ,        , ..     
	CREATE TABLE #PERIODY3 (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] INT, orders int, i int, NUM_STAKE NUMERIC(5,2),IS_DOP VARCHAR(20), TYPE_ADD INT)

	--    -1  ..  
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, [type])
	SELECT DISTINCT link_face, LINK_KATEG, @PeriodBegin, @PeriodEnd, [type] = -1   FROM #PERIODY


	CREATE TABLE #DAYS (ID INT IDENTITY(1,1), LINK_FACE INT, LINK_KATEG INT, [DATE] DATETIME, [TYPE] INT, NUM INT/*, IS_DOP VARCHAR(20)*/, NUM_STAKE NUMERIC(5,2), [TYPE_ADD] INT)

	INSERT INTO #DAYS (LINK_FACE, LINK_KATEG, [DATE], [TYPE], NUM, NUM_STAKE/*,IS_DOP*/, [TYPE_ADD])
	SELECT P.LINK_FACE, P.LINK_KATEG, [DATE], [TYPE] = MAX([TYPE]), 0, 
		[NUM_STAKE] = MAX(ISNULL(NUM_STAKE,0)), 
		--isnull(IS_DOP,''),
		[TYPE_ADD] = MAX(CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END
		)
	FROM 
		#PERIODY P
		INNER JOIN dbo.days_ex(@PeriodBegin, @PeriodEnd) D ON 1=1
	WHERE
		D.[DATE] BETWEEN P.DATE1 AND P.DATE2
	GROUP BY
		 P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]
	ORDER BY	
		P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]


	--   ,     
	UPDATE #DAYS SET [TYPE_ADD] = 0 
	WHERE 
		EXISTS (SELECT * FROM #PERIODY WHERE 
			#PERIODY.[NOT_LGOT_EXPIR] = 1
			AND #PERIODY.link_face = #DAYS.link_face
			AND #DAYS.[DATE] BETWEEN #PERIODY.DATE1 AND #PERIODY.DATE2)


	-- 
	DECLARE 
		@ID INT, @ID1 INT, @ID2 INT, @LINK_FACE INT, @DATE datetime, @LINK_KATEG INT, @TYPE INT, @NUM INT, @TYPE_ADD INT,
		@LINK_FACE1 INT, @LINK_KATEG1 INT, @TYPE1 INT,@TYPE_ADD1 INT,@DATE1 datetime

	--  ,      

------   #ADD_TYPE    
----
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')
----
	CREATE table #TDays(link_face int, id int,  date DATETIME ,LINK_KATEG int , [TYPE] INT, [TYPE_ADD] INT)
	INSERT INTO #TDays (link_face, id, date, LINK_KATEG, [TYPE], [TYPE_ADD])
	SELECT d.link_face,
		   d.id,
		   d.date,
		   d.LINK_KATEG,
		   d.[TYPE],
		   d.[TYPE_ADD]
	FROM #DAYS d WHERE d.[type] = @TMP_TYPE 
	ORDER BY d.link_face, d.ID ,d.[date], d.[TYPE] ,d.[TYPE_ADD]	 


	DECLARE @Cur0 CURSOR, @F_TYPE int, @F_TYPE_ADD int
	SET @Cur0 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE,[date],LINK_KATEG, [TYPE],  TYPE_ADD from  #TDays order by ID, LINK_FACE, [DATE]
	OPEN @Cur0
	FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
		
			SELECT DISTINCT @F_TYPE =[TYPE], @F_TYPE_ADD = [type_add]  
			FROM #DAYS WHERE LINK_FACE = @LINK_FACE AND LINK_KATEG = @LINK_KATEG AND [DATE] = @DATE-1 
			
			SELECT @F_TYPE = ISNULL(@F_TYPE,0), @F_TYPE_ADD = ISNULL( @F_TYPE_ADD,0) 

			IF @F_TYPE_ADD = @type_add OR  (ISNULL((SELECT TOP 1 IS_DOP TYPE FROM #ADD_TYPE WHERE [type] = @F_TYPE_ADD),'') <> '' AND @type_add = 0) 
			BEGIN
			
				UPDATE d
				SET [TYPE] = @F_TYPE , [type_add] = @F_TYPE_ADD 
				FROM #DAYS d
				WHERE d.ID = @ID AND d.LINK_FACE = @LINK_FACE AND d.[DATE] = @DATE AND d.LINK_KATEG=@LINK_KATEG AND d.[TYPE] = @TMP_TYPE

			END	

		END

		FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	END

	CLOSE @Cur0
	DEALLOCATE @Cur0


	--
	/*		---------
				UPDATE #DAYS SET [type] = 0 WHERE [type] = @TMP_TYPE
			---------*/

DROP TABLE #TDays 

---------------------------------------------------------------------------------
	--	
	SELECT TOP 1 @ID1 = 0, @ID2 = 0, @NUM = 0, @LINK_FACE1 = LINK_FACE, @LINK_KATEG1 =LINK_KATEG, @TYPE1 = [TYPE]
	FROM #DAYS
	order by ID
	--
	DECLARE @Cur1 CURSOR
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE, LINK_KATEG, [TYPE] from #DAYS order by ID
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			IF NOT (@LINK_FACE = @LINK_FACE1 AND @LINK_KATEG = @LINK_KATEG1 AND @TYPE = @TYPE1)
			BEGIN
				
				SELECT @NUM = @NUM + 1, @LINK_FACE1 = @LINK_FACE, @LINK_KATEG1 = @LINK_KATEG, @TYPE1 = @TYPE
				UPDATE #DAYS SET NUM = @NUM WHERE ID BETWEEN @ID1 AND @ID-1
				SELECT @ID1 = @ID 

			END

		END

		FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--
	UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1


	--------------------------------
	--**        ,        ,
	--       #DAYS 
	IF EXISTS(SELECT * FROM #ADD_TYPE AS at WHERE vid = 'ADD_TYPE')
		delete from #PERIODY WHERE [type] NOT IN (SELECT [type]  FROM #ADD_TYPE   )
	
	UPDATE P 
	SET [ADD_TYPE] = (CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END)
	FROM 
		#PERIODY P
	UPDATE P
	SET [ADD_TYPE] = (SELECT top 1 ADD_TYPE FROM #PERIODY WHERE p.date1 between date1 AND DATE2 )
	FROM 
		#PERIODY P WHERE isnull(P.ADD_TYPE,0) = 0 




	--
	INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
	SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  [DATE1], DATE_END = [DATE2], [TYPE], 0, 0, NUM_STAKE = max(ISNULL(NUM_STAKE,0)), ADD_TYPE
	FROM #PERIODY	
	WHERE [type] <> @TMP_TYPE
	GROUP BY LINK_FACE, LINK_KATEG, [DATE1],[DATE2], [TYPE], ADD_TYPE 
	ORDER BY LINK_FACE, LINK_KATEG, [DATE1],[DATE2], [TYPE], ADD_TYPE
	-----	
/*	INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
	SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE]), DATE_END = MAX([DATE]), [TYPE], 0, 0, NUM_STAKE = MAX(ISNULL(NUM_STAKE,0)), TYPE_ADD
	FROM #DAYS	
	GROUP BY LINK_FACE, LINK_KATEG, NUM, [TYPE], TYPE_ADD
	ORDER BY LINK_FACE, LINK_KATEG, DATE_BEG, DATE_END
*/

	
	--  
	DELETE FROM #PERIODY3 WHERE [TYPE] = -1

	/* */
	DECLARE @uslovie INT
	set @uslovie = 1
	while @uslovie > 0
	begin
		update #PERIODY3 set orders = @uslovie 
		from #PERIODY3 as tt
		where 	coalesce(orders,0) = 0
			and date1 = (select min(t.date1) from #PERIODY3 t where coalesce(orders,0) = 0 and t.link_face = tt.link_face AND T.LINK_KATEG = TT.LINK_KATEG)
		if @@rowcount > 0
			set @uslovie = @uslovie + 1
		else
			set @uslovie = 0
	END


	--   
	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_k3, is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k, osob_spo)
	Select S.link, P.orders, P.date1, P.date2, 
		ter_usl = ISNULL(spr1.CODE,spr1A.CODE),
		ter_koef = ISNULL(T.TERR_RK,TA.TERR_RK),
		osob_usl = ISNULL(spr2.CODE,spr2A.CODE),
		osob_k1 = ISNULL(spr6.CODE,spr6A.CODE),
		osob_k2 = CONVERT(VARCHAR(20),left(ISNULL(spr7.CODE,spr7A.CODE),20)),
		osob_k3 = NULL,
		is_osnov = NULL, 
		is_dop = LTRIM(RTRIM(ISNULL(T.IS_DOP,TA.IS_DOP))),
		is_dop_m = NULL, 
		is_dop_d = NULL, 
		ud_osnov = ISNULL(spr5.CODE,spr5A.CODE), 
		ud_dop_m = NULL, 
		ud_dop_d = NULL, 
		ud_dop_k = ISNULL(T.STAVKA_PED_MED,TA.STAVKA_PED_MED) * P.NUM_STAKE,
		osob_spo = ISNULL(spr9.CODE,spr9A.CODE)
	 from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		inner join #PERIODY3 P on S.link_pers = P.link_face AND S.LINK_KATEG = P.LINK_KATEG
		
		LEFT JOIN #ADD_TYPE T ON P.[TYPE] = T.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1 on spr1.spr_code = 'TERR_USL' and spr1.LINK = T.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2 on spr2.spr_code = 'OSOB_USL_TRUDA' and spr2.LINK = T.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5 on spr5.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5.LINK = T.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6 on spr6.SPR_CODE LIKE 'SPISOK%' and spr6.LINK = T.COD_POS_SPISOK
		left join dbo.szv4_spr spr7 on spr7.SPR_CODE LIKE 'SPISOK%' and spr7.LINK = T.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3
		left join dbo.szv4_spr spr9 on spr9.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9.LINK = T.[COD_SPO_USL_TRUD]

		LEFT JOIN #ADD_TYPE TA ON P.[TYPE_ADD] = TA.[TYPE] AND P.[TYPE_ADD] <> P.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1A on spr1A.spr_code = 'TERR_USL' and spr1A.LINK = TA.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2A on spr2A.spr_code = 'OSOB_USL_TRUDA' and spr2A.LINK = TA.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5A on spr5A.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5A.LINK = TA.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6A on spr6A.SPR_CODE LIKE 'SPISOK%' and spr6A.LINK = TA.COD_POS_SPISOK
		left join dbo.szv4_spr spr7A on spr7A.SPR_CODE LIKE 'SPISOK%' and spr7A.LINK = TA.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3	
		left join dbo.szv4_spr spr9A on spr9A.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9A.LINK = TA.[COD_SPO_USL_TRUD]
	where
		S.link_up = @link
		AND
		S.FORMA = 1
	order by
		S.link, P.orders



	--  
	CREATE TABLE #STAGE_DOG (
		LINK_PERS INT, 
		KATEG TINYINT,
		BERIOD_BEG DATETIME,
		BERIOD_END DATETIME
		)

	INSERT INTO #STAGE_DOG (LINK_PERS, KATEG, BERIOD_BEG, BERIOD_END)
	SELECT LINK_FACE, LINK_KATEG, MIN(date1), MAX(date2) 
	FROM #DGH A
	GROUP BY LINK_FACE, LINK_KATEG

	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2,is_dop)
	Select S.link, 1, P.BERIOD_BEG, P.BERIOD_END,is_dop = (CASE WHEN exists(select * from  DOCUMENTS_DGH_T1 t1 
																				inner join dbo.DOCUMENTS_DGH DOC  ON DOC.link = t1.link 
																				WHERE t1.pers_link = p.LINK_PERS
																				AND p.BERIOD_BEG = DOC.PERIOD  ) THEN '' ELSE '' END)
	from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN #STAGE_DOG P on S.link_pers = P.LINK_PERS AND S.LINK_KATEG = P.KATEG
		
	where
		S.link_up = @link
		AND
		S.FORMA = 2
	order by
		S.link
		
	END


--------------------------------------------------------------------------
/*    ,            
C 14     
*/	
DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE 
LINK_UP = @link
AND
EXISTS (		
	Select  1
	from dbo.ss_szv_STazh_svedenia S inner join  dbo.szv_STAZH_pachka p on p.link = s.link
	WHERE 
		S.LINK1 = dbo.SZV_STAZH_SVEDENIA.LINK
		AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0
				 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0 
		and p.vid_kor != 3
		AND NOT EXISTS (SELECT * FROM dbo.SZV_ST_STAZH ST WHERE ST.LINK_UP = S.LINK1)
)


--------------------------------------------------------------------------
exec dbo.SZV_ST_NUMERATOR @link










GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9797.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_IMPORT_PERS_ECARD_SAVE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_IMPORT_PERS_ECARD_SAVE]

GO

/*******************************************************************************

	  (Keysystems), 2013

*******************************************************************************/

CREATE   PROCEDURE dbo.[SS_IMPORT_PERS_ECARD_SAVE]
@intRES int output,
@varKSname  varchar(254),
@varKSPath  varchar(254),
@varKSCreateDate datetime ,
@varCardLINK int,
@use_ZP INT = 0,
@use_AV INT = 0,
@use_MV INT = 0,
@vartext TEXT
AS
DECLARE  @hDoc int,
		 @varID int,
		 @intLink INT ,
		-- @DEP_INN VARCHAR(25),
		 @DEP_NAME VARCHAR(254),
		 @DEP_CODE VARCHAR(10),
		 @DATE_DOG VARCHAR(10),
		 @DATE_REESTR VARCHAR(10),
		 @DATE_FORM VARCHAR(10),
		 @ID_DOC VARCHAR(36),
		 @INN VARCHAR(21),
		 @KPP varchar(12),
		 @NUM_DOG VARCHAR(50) ,
		 @NUM_REESTR VARCHAR(10) ,
		 @Year_begin varchar(4) ,
		 @Month_end int,
		 @PER int,
		 @PER_EDT int,
		 @KATEG varchar,
		 @vid_kor int,
		 @Type int

DELETE FROM dbo.XML_files WHERE [name_f] = @varKSname and [UID]=SUSER_ID()

set @intRES = 0

select @varID=max([id]) from XML_files
if @varID is null set @varID=1
else set @varID=@varID+1
INSERT INTO dbo.XML_files([id], [name_f], [path_f], [date_f], [text_f],[UID]) SELECT @varID, @varKSname, @varKSPath, @varKSCreateDate, @vartext, SUSER_ID()


EXEC sp_xml_preparedocument @hDoc OUTPUT, @vartext

/*exec SS_IMPORT_PERS_ECARD_SAVE @intLink int output,
@varKSname  varchar(254),
@varKSPath  varchar(254),
/*@varKSCreateDate datetime , */
@vartext TEXT*/

-----------------------------------------------------------------------
----- I.  
-----------------------------------------------------------------------
		---  ,          ,
		--        ,     ,   
		if (SELECT ltrim(rtrim())
						 FROM
							OPENXML(@hDoc, N'/ ',1)
							WITH (
							  VARCHAR(2000)
							  )) <> ''
		BEGIN
			--    
			SELECT @DEP_NAME = LEFT(,254)

			 FROM
				OPENXML(@hDoc, N'/ ',1)
				WITH (
				  VARCHAR(2000)
				 )
				SELECT @INN = Ltrim() , @DATE_DOG = Ltrim(convert(varchar(10),convert(datetime,,121),112)) ,
					   @DATE_REESTR = Ltrim(convert(varchar(10),convert(datetime,,121),112)) , @DATE_FORM = ltrim(convert(varchar(10),convert(datetime,,121),112)),
					   @NUM_DOG = ltrim(), @NUM_REESTR = ltrim()
				 FROM
					OPENXML(@hDoc, N'/ ',1)
					WITH (
					  VARCHAR(21),
					  VARCHAR(10),
					  VARCHAR(10),
					  VARCHAR(10),
					  VARCHAR(10),
					  VARCHAR(10)
					 )

		   --   	
			declare @DEP_LINK int
				
			select @DEP_LINK = link , @DEP_CODE = PFNUMBER from departments where INN = @INN and NAME =@DEP_NAME
			
			--       

			--    ,     

		
			Create table #card_SVEDENIA_O(link int, intLink int, n_pp int , link_face int , fm VARCHAR(100), im VARCHAR(100), OT VARCHAR(100),
										 link_bank int, OSB VARCHAR(10), filial VARCHAR(10), CARD_LINK INT ,USE_ZP int,USE_AV int,USE_MV INT, LS VARCHAR(23), code_val VARCHAR(3),
										 doc_vid VARCHAR(50), DOC_SER VARCHAR(10), DOC_num VARCHAR(10),doc_date VARCHAR(10), doc_whom VARCHAR(150),
										 doc_div VARCHAR(10), doc_vid_code VARCHAR(2), result VARCHAR(254) , PROVERKA VARCHAR(2000)/*, vklad_VAL VARCHAR(3), vklad_code_vid VARCHAR(3),
										 vklad_podvid VARCHAR(4)*/ )
			INSERT INTO #card_SVEDENIA_O(link,intLink,n_pp,link_face,fm,im,OT,
										 link_bank, OSB, filial,CARD_LINK,USE_ZP,USE_AV,USE_MV,LS,code_val,
										 doc_vid,DOC_SER,DOC_num,doc_date,doc_whom,
										 doc_div,doc_vid_code,result,PROVERKA)
			SELECT link = null ,
				   intLink = case when isnull(@intLink,0) != 0 then @intLink else (select top 1 link_doc from XML_files where link_doc is not null and date_f = @varKSCreateDate ) END,
				   n_pp = ltrim(), 						
				   link_face = (select top 1 link from person where doc_num = substring(rtrim(ltrim()),1,2)+ ' '+ substring(rtrim(ltrim()),3,2) +' '+ rtrim(ltrim())
																	AND doc_link = (SELECT TOP 1 link FROM FACE_DOCUMENT WHERE code = ltrim())),
				   fm = ltrim(),
				   im = ltrim(),
				   OT = ltrim(),
				   link_bank = (SELECT TOP 1 link FROM banks WHERE OSB = LTRIM() AND FILIAL = LTRIM())  ,
				   OSB = ltrim() ,
				   filial = ltrim() ,
				   CARD_LINK = @varCardLINK,
				   USE_ZP = @use_ZP,
				   USE_AV = @USE_AV,
				   USE_MV = @use_MV,
				   LS = ltrim(),
				   code_val = ltrim(),
				   doc_vid = ,
				   DOC_SER = ,
				   DOC_num = ,
				   doc_date = ,
				   doc_whom = ,
				   doc_div = ,
				   doc_vid_code =   ,
				   result = ,
				   PROVERKA = ''
			FROM
				OPENXML(@hDoc, N'////',2)
				WITH (
				 VARCHAR(5) '../@',
				 varchar (10) ,
				 varchar (10) ,
				 varchar (100)  '../',
				 varchar (100)  '../',
				 varchar (100)  '../'  ,
				 varchar(10)  '../',
				 varchar(10) '../' ,
				 varchar(23) '../' ,
				 varchar(3) '../',
				  varchar(50),
				  varchar(10),
				  varchar(150),
				  varchar(10),
				  varchar(10),
				 varchar(254) '../' )	

			--   				
			----------------------------------------------------
			---    
			----------------------------------------------------
			DECLARE @CountALL int
				SET @CountALL = (SELECT COUNT(*) FROM #card_SVEDENIA_O  )
			

			IF  @CountALL = (SELECT COUNT(*) FROM #card_SVEDENIA_O WHERE isnull(link_face,0) = 0  )
			BEGIN
				UPDATE s
				SET PROVERKA = 
					ltrim(ISNULL(PROVERKA,'')) + '     (  ) : ' + ltrim(ISNULL(s.fm,'')) +' '+ ltrim(ISNULL(s.im,'')) + ' ' + ltrim(ISNULL(s.OT,'')) + '  ' + ltrim(ISNULL(s.DOC_SER,'')) + ' ' +ltrim(ISNULL(s.DOC_num,''))+'; '   								
				FROM #card_SVEDENIA_O s
				WHERE isnull(link_face,0) = 0
						SELECT * FROM #card_SVEDENIA_O
						SET @intRES =2
						RETURN	@intRES
						EXEC sp_xml_removedocument @hDoc

				
			END	
			

			DECLARE @individ INT,@lnk INT ,
				@link_c int, @intLink_c int, @n_pp_c int , @link_face_c int , @fm_c VARCHAR(100), @im_c VARCHAR(100), @OT_c VARCHAR(100),
				@link_bank_c int, @OSB_c VARCHAR(10), @filial_c VARCHAR(10), @CARD_LINK_C INT  ,@USE_ZP_C int,@USE_AV_C int,@USE_MV_C INT, @LS_c VARCHAR(25), @code_val_c VARCHAR(3),
				@doc_vid_c VARCHAR(150), @DOC_SER_c VARCHAR(10), @DOC_num_c VARCHAR(10),@doc_date_c VARCHAR(10), @doc_whom_c VARCHAR(150),
				@doc_div_c VARCHAR(10), @doc_vid_code_c VARCHAR(2), @result_c VARCHAR(254) , @OSN tinyint

			SET @individ = 0
			SET @OSN = 1
			DECLARE @Cur1_O CURSOR
			DECLARE @varKSERROR1	tinyint
			SET @Cur1_O = CURSOR FORWARD_ONLY

			FOR SELECT link,intLink,n_pp,link_face,fm,im,OT,
					   link_bank, OSB, filial, CARD_LINK,USE_ZP,USE_AV,USE_MV,LS,code_val,
					   doc_vid,DOC_SER,DOC_num,doc_date,doc_whom,
					   doc_div,doc_vid_code,result
			    FROM #card_SVEDENIA_O WHERE coalesce(n_pp,0) != 0 /*and coalesce(link_face,0) != 0 */ ORDER BY n_pp
					
			OPEN @Cur1_O
			FETCH NEXT FROM @Cur1_O INTO  @link_c,@intLink_c,@n_pp_c,@link_face_c,@fm_c,@im_c,@OT_c,
					   @link_bank_c, @OSB_c, @filial_c, @CARD_LINK_c,@USE_ZP_C,@USE_AV_C ,@USE_MV_C,@LS_c,@code_val_c,
					   @doc_vid_c,@DOC_SER_c,@DOC_num_c,@doc_date_c,@doc_whom_c,
					   @doc_div_c,@doc_vid_code_c,@result_c
				WHILE (@@fetch_status <> -1)
				BEGIN
			
			
					IF (@@fetch_status <> -2)
					BEGIN
																	
							IF @link_c is null OR @link_c = 0
							BEGIN
								IF ISNULL(@DEP_LINK,0) = 0
								BEGIN
									UPDATE #card_SVEDENIA_O
									SET PROVERKA = ltrim(ISNULL(PROVERKA,'')) + '   -  "' + ltrim(ISNULL(@DEP_NAME,'')) +'"  '+ ltrim(ISNULL(@INN,'')) + '!    ; '
									WHERE ISNULL(@DEP_LINK,0) = 0 AND n_pp = @n_pp_c
									BEGIN
										--ROLLBACK
										SELECT * FROM #card_SVEDENIA_O WHERE n_pp = @n_pp_c
										SET @intRES =2
										RETURN	
									END
									
								END


								
								
									UPDATE #card_SVEDENIA_O
									SET PROVERKA = ltrim(ISNULL(PROVERKA,'')) + '   ' + ltrim(@fm_c) +' '+ ltrim(@im_c) + ' ' + ltrim(@OT_c) + ' (  ) '+ltrim(@doc_ser_C)+' '+ ltrim(@doc_num_C)+';'
									WHERE ISNULL(@link_face_c,0) = 0 AND n_pp = @n_pp_c
									
									UPDATE #card_SVEDENIA_O
									SET PROVERKA = ltrim(ISNULL(PROVERKA,'')) + '    - ' + ltrim(ISNULL(@OSB_c,'')) +'  - ' + ltrim(ISNULL(@filial_c,'')) + ';'
									WHERE ISNULL(@link_bank_c,0) = 0 AND n_pp = @n_pp_c
									
									UPDATE #card_SVEDENIA_O
									SET PROVERKA = ltrim(ISNULL(PROVERKA,'')) + '  ' + ltrim(ISNULL(@LS_c,'')) +'      ' + ltrim(ISNULL(@fm_c,'')) +' '+ ltrim(ISNULL(@im_c,'')) + ' ' + ltrim(ISNULL(@OT_c,'')) + ' !; '  + ISNULL(@result_c,'')
									WHERE ISNULL(@LS_c,'') ='' AND n_pp = @n_pp_c
								
									IF (SELECT len(ltrim(PROVERKA)) FROM #card_SVEDENIA_O WHERE n_pp = @n_pp_c  ) <> 0
										UPDATE #card_SVEDENIA_O
										SET PROVERKA = ' ='+ltrim(ISNULL(str(@n_pp_c),''))+' : ' + ltrim(ISNULL(PROVERKA,''))
										WHERE  n_pp = @n_pp_c 	

									IF ISNULL(@DEP_LINK,0) <> 0 AND ISNULL(@link_face_c,0) <> 0 AND ISNULL(@link_bank_c,0) <> 0 AND ISNULL(@LS_c,'') <>''
									BEGIN
										if exists (SELECT link FROM SD_PERSON_ECARD AS spe
													  WHERE spe.PERS_LINK = @link_face_c AND spe.BANK_LINK = @link_bank_c
															AND spe.CARD_LINK = @CARD_LINK_C AND ltrim(spe.LIC_SCHET) = ltrim(@LS_c)
															AND spe.FILIAL = @filial_c AND spe.DOGOVOR = @NUM_DOG AND spe.DATE_DOG = @DATE_DOG
														AND spe.ACTUAL = @use_ZP_C AND spe.ACTUAL_AV = @use_AV_C AND spe.ACTUAL_M = @use_MV_C)
										BEGIN

											UPDATE #card_SVEDENIA_O
											SET PROVERKA = ' ='+ltrim(ISNULL(str(@n_pp_c),''))+' : ' + ltrim(ISNULL(PROVERKA,''))+ '  :   ' + ISNULL(@NUM_DOG,'') + ',  . ' + ISNULL(@DATE_DOG,'') + ',  ' + ltrim(ISNULL(@OSB_c,'')) +',  ' +ltrim(ISNULL(@filial_c,''))+ +  ',  ' + ltrim(ISNULL(@fm_c,'')) +' '+ ltrim(ISNULL(@im_c,'')) + ' ' + ltrim(ISNULL(@OT_c,'')) + ',   ' + ltrim(ISNULL(@LS_c,'')) 
											WHERE  n_pp = @n_pp_c 	
											
										END 	
										
										
											if NOT exists (SELECT link FROM SD_PERSON_ECARD AS spe
													  WHERE spe.PERS_LINK = @link_face_c AND spe.BANK_LINK = @link_bank_c
															AND spe.CARD_LINK = @CARD_LINK_C AND ltrim(spe.LIC_SCHET) = ltrim(@LS_c)
															AND spe.FILIAL = @filial_c AND spe.DOGOVOR = @NUM_DOG AND spe.DATE_DOG = @DATE_DOG
														AND spe.ACTUAL = @use_ZP_C AND spe.ACTUAL_AV = @use_AV_C AND spe.ACTUAL_M = @use_MV_C)
											BEGIN
											
												INSERT INTO dbo.PERSON_ECARDS (PERS_LINK,BANK_LINK,CARD_LINK,LIC_SCHET,FILIAL,DOGOVOR,DATE_DOG,INDIVIDUAL, OSN,ACTUAL,ACTUAL_AV,ACTUAL_M)
												VALUES (@link_face_c, @link_bank_c,@CARD_LINK_C,@LS_c,@filial_c,@NUM_DOG,@DATE_DOG,@individ,@OSN,@use_ZP_C,@use_AV_C,@use_MV_C)
												SELECT @varKSERROR1 = @@ERROR, @link_c = @@IDENTITY
												IF @varKSERROR1 <> 0
												BEGIN
													--ROLLBACK
													RETURN 7
												END
																	
												update #card_SVEDENIA_O
												set link = @link_c
												from #card_SVEDENIA_O where link_face = @link_face_c	 and link_bank = @link_bank_c  and n_pp = @n_pp_c and LS = @LS_c AND CARD_LINK = @CARD_LINK_C

												
												UPDATE DBO.PERSON_ECARDS
												SET OSN = 0
												WHERE PERS_LINK =	@link_face_c	AND link<> @link_c 	AND OSN = 1  	
												UPDATE DBO.PERSON_ECARDS
												SET OSN = 1
												WHERE PERS_LINK =	@link_face_c	AND link= @link_c
												
												
												IF @use_ZP_C = 1
													UPDATE DBO.PERSON_ECARDS
													SET ACTUAL = CASE WHEN @use_ZP_C = 1 THEN 0 END
													WHERE PERS_LINK =	@link_face_c	AND link<> @link_c 	AND ACTUAL = @use_ZP_C 	
												IF @use_av_C = 1
													UPDATE DBO.PERSON_ECARDS
													SET ACTUAL = CASE WHEN @use_av_C = 1 THEN 0 END
													WHERE PERS_LINK =	@link_face_c	AND link<> @link_c 	AND ACTUAL_AV = @use_av_C		
												
												IF @use_mv_C = 1
													UPDATE DBO.PERSON_ECARDS
													SET ACTUAL = CASE WHEN @use_av_C = 1 THEN 0 END
													WHERE PERS_LINK =	@link_face_c	AND link<> @link_c 	AND ACTUAL_M = @use_mv_C	
													
												set  @link_c = 0  				
											END
									END
								
								
							END	
					
						END
						
						FETCH NEXT FROM @Cur1_O INTO @link_c,@intLink_c,@n_pp_c,@link_face_c,@fm_c,@im_c,@OT_c,
					   @link_bank_c, @OSB_c, @filial_c, @CARD_LINK_c,@USE_ZP_C,@USE_AV_C ,@USE_MV_C,@LS_c,@code_val_c,
					   @doc_vid_c,@DOC_SER_c,@DOC_num_c,@doc_date_c,@doc_whom_c,
					   @doc_div_c,@doc_vid_code_c,@result_c
					END					
					
					CLOSE @CUR1_O
					DEALLOCATE @CUR1_O	
					
					update XML_files
						set  link_doc = @intLINK
					from XML_files	
					where id  = @varID  and [UID] = SUSER_ID()
					
					SET @intRES  = CASE WHEN exists(SELECT * FROM #card_SVEDENIA_O WHERE isnull(proverka,'') <>  '') THEN 1 ELSE 0 end
					
					SELECT * FROM #card_SVEDENIA_O ORDER BY n_pp
					
					drop table #card_SVEDENIA_O
					


		END
		
EXEC sp_xml_removedocument @hDoc

GO


GRANT EXECUTE ON dbo.[SS_IMPORT_PERS_ECARD_SAVE] TO PUBLIC

GO

GO

-- FIX >>  : 9801.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_RPSV_EXPORT_v5_01]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_RPSV_EXPORT_v5_01]

GO

CREATE   PROCEDURE [dbo].SS_RPSV_EXPORT_v5_01( @Link int /*  */ )
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT ON

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254), @WORK_END VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------
--      
DECLARE @OKATO_OR_OKTMO int
SET @OKATO_OR_OKTMO = dbo.SA_GET_OPTION_BY_CODE('NASTR_USE_OKATO_OKTMO')

DECLARE @ATR_TYPE_KOR INT
SET @ATR_TYPE_KOR  = (SELECT DBO.RN_GET_ATR_VALUE(@Link, 'REPORTS_ATR_TYPE_KOR'))	

-- " "
SET @WORK_END = (SELECT DBO.RN_GET_ATR_VALUE(@Link, 'REPORTS_ATR_LIKVID'))
SET @WORK_END = CASE WHEN @WORK_END LIKE '' THEN '0' ELSE '' END
	
DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT, @Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME
SELECT
	@LINK_DEP = LINK_ORGANIZATION,
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date))),
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @link

SELECT top 1
	DD1.OKPO AS OKPO1,
	RIGHT(LTRIM(RTRIM(DD1.INN)), 12) AS INN1,
	DD1.KPP AS KPP1,
	FULL_NAME = CONVERT(VARCHAR(160),UPPER(DD1.FULL_NAME)),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	RIGHT(REPLICATE('0',15) + LTRIM(RTRIM(DD1.OGRN)), 15) AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	CHIEF.FM as CHIEF_FM,
	CHIEF.IM as CHIEF_IM,
	CHIEF.OT as CHIEF_OT,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	OGRN = RIGHT(REPLICATE('0',15) + LTRIM(RTRIM(DD1.OGRN)), 15),
	DD1.OKATO,
	DD1.OKTMO,
	OKVED = (CASE WHEN LEN(ltrim(rtrim(DD1.OKVED)))<8 AND RIGHT(DD1.OKVED,1) = '.' THEN STUFF(DD1.OKVED,LEN(ltrim(rtrim(DD1.OKVED))),1,'') ELSE DD1.OKVED end) ,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TFOMS_KTI = '03',
	WORK_END = '1'
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP


/*       ,       */
IF OBJECT_ID('tempdb..#t_osn') IS NOT NULL DROP TABLE #t_osn
CREATE table #t_osn (code CHAR(10), COL1 INT , COL2 VARCHAR(10) , COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 INT, COL6 VARCHAR(100), COL7 VARCHAR(10), col8 int , col9 int, col10 int, col11 int)
IF OBJECT_ID('tempdb..#t_kor') IS NOT NULL DROP TABLE #t_kor
CREATE table #t_kor (code CHAR(10), COL1 INT , COL2 CHAR(4) , COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 VARCHAR(50), COL6 VARCHAR(50), COL7 VARCHAR(50), col8 int , col9 VARCHAR(100), col10 VARCHAR(10), col11 int, col12 int , col13 int, col14 VARCHAR(50), col15 VARCHAR(50), col16 VARCHAR(10))


INSERT INTO #t_osn /*(code, COL1, COL2, COL3, COL4, COL5, COL6, COL7, col8, col9, col10, col11)*/
exec [dbo].RSA_RSV_1_PERS_UCH @Begin_Date, @End_Date, @LINK_DEP ,0,  @link   

INSERT INTO #t_kor
exec [dbo].RSA_RSV_1_PERS_UCH @Begin_Date, @End_Date, @LINK_DEP ,1,  @link   

INSERT INTO #t_osn (code, COL1 , COL2 , COL4)
SELECT code, COL1 , COL2 , COL4
FROM #t_kor

DECLARE @NUM_P INT 
IF COALESCE(dbo.sa_get_option_by_code('SA_SZV4_OPT3'),0) = 1
	SET @NUM_P = (SELECT MIN(COALESCE(COL1,0))-1 FROM #t_osn) 
ELSE 
	SET @NUM_P = (SELECT MAX(COALESCE(COL1,0))+1 FROM #t_osn) 

drop table #t_osn 
drop table #t_kor

/**/





DECLARE @Cur0 CURSOR, @CurD0 CURSOR, @Cur00 CURSOR,@Cur000 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @TABD_NUM TINYINT, @TABD_NAME VARCHAR(254), @TAB1_NAME VARCHAR(254), @TAB1_NUM TINYINT, @Cur CURSOR, @Cur1 CURSOR , @Cur2 CURSOR , @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254),
		@CurI0 CURSOR,@CurI00 CURSOR,@CurI000 CURSOR,@CurI CURSOR, @CurI1 CURSOR, @CurI2 CURSOR


DECLARE @lcFNAME varchar(254),
		@lcFidNAME VARCHAR(254)
SELECT @lcFNAME = 'NO_RASCHSV_' + ltrim(rtrim(ISNULL(IMNS_SONO,'0000000000'))) + '_' + ltrim(rtrim(ISNULL(SONO,'0000000000'))) + '_' + ltrim(rtrim(INN1)) + '' + ltrim(rtrim(KPP1))+ '_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.','')))) + '_0.XML' FROM #DEP_DATA
SELECT @lcFidNAME = 'NO_RASCHSV_' + ltrim(rtrim(ISNULL(IMNS_SONO,'0000000000'))) + '_' + ltrim(rtrim(ISNULL(SONO,'0000000000'))) + '_' + ltrim(rtrim(INN1)) + '' + ltrim(rtrim(KPP1))+ '_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.','')))) + '_0' FROM #DEP_DATA

--exec SS_RPSV_EXPORT_v5_01   3229	
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, 'OEM' -- 
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="Windows-1251" ?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '< ="'+LTRIM(RTRIM(@lcFidNAME))+'" ="'+@NAME_PROG+ ':'+ @VERS_PROG+'" ="5.01">'
	UNION ALL SELECT @lcFNAME, SPACE(1) + '<'
										+ ' ="1151111"'
										+ ' ="' + convert(varchar(10),@modify_date,104) + '"'
										+ ' ="' + ISNULL(LTRIM(RTRIM(@ATR_TYPE_KOR)),'') + '"'
										+ ' ="' + (CASE WHEN @Period_Number = 1 and @WORK_END = '' THEN '21'
															  WHEN @Period_Number = 2 and @WORK_END = '' THEN '31' 
															  WHEN @Period_Number = 3 and @WORK_END = '' THEN '33' 
															  WHEN @Period_Number = 4 and @WORK_END = '' THEN '34' 
															  WHEN @Period_Number = 1 and @WORK_END = '0' THEN '51'
															  WHEN @Period_Number = 2 and @WORK_END = '0' THEN '52' 
															  WHEN @Period_Number = 3 and @WORK_END = '0' THEN '53' 
															  WHEN @Period_Number = 4 and @WORK_END = '0' THEN '90'	END) + '"'
										+ ' ="' + CONVERT(VARCHAR(4),@YEAR) + '"'
										+ ' ="' + LTRIM(RTRIM(isnull(IMNS_SONO,''))) + '"'
										+ ' ="214">'
	FROM #DEP_DATA
		UNION ALL SELECT @lcFNAME, SPACE(2) + '<'	
			+ ' ="' + LTRIM(RTRIM(ISNULL(OKVED,''))) + '"'
			+ CASE WHEN ISNULL((SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = ''),'') = '' 
				THEN '' ELSE 
				' ="' +(SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = '') + '"'
				END 
				+ '>'
		FROM #DEP_DATA	
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<'	
					+ ' ="' + LTRIM(RTRIM(REPLACE(FULL_NAME,'"',''))) + '"'
					+ ' ="' +LTRIM(RTRIM(INN1)) + '"'
					+ ' ="' + LTRIM(RTRIM(KPP1)) + '">'
				FROM #DEP_DATA	
					UNION ALL SELECT @lcFNAME,  
						  CASE WHEN @WORK_END = '0'
							   THEN   SPACE(4) + '<'
						   	   + '  = "' + @WORK_END + '"'
						   	   + ' ="' +LTRIM(RTRIM(INN1)) + '"'
						   	   + ' ="' + LTRIM(RTRIM(KPP1)) + '"/>' 
						   	   ELSE '' END
						 	   FROM #DEP_DATA
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'				 	   	
		
				/*UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<></>'
					FROM #DEP_DATA
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<'
						+ ' =" "'
						+ ' =" "'
						+ ' =" "/>'	
						FROM #DEP_DATA		
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'	
				*/
				/*UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<'
						+ ' =" "'
						+ ' =" "'
						+ ' =" "/>'	
						FROM #DEP_DATA	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<></>'
					FROM #DEP_DATA
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<'
							+ ' ="          "'
							+ ' =" "'
							+ ' ="   ">'	
							FROM #DEP_DATA	
						UNION ALL SELECT @lcFNAME, SPACE(5) + '<'
							+ ' ="  "'
							+ ' =" "'
							+ ' =" "'
							+ ' ="          "/>'	
							FROM #DEP_DATA	
						UNION ALL SELECT @lcFNAME, SPACE(5) + '<'
							+ '  ="      "'
							+ ' ="  "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+' />'	
							FROM #DEP_DATA				
					UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'	*/				
	    UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	
	    UNION ALL SELECT @lcFNAME, SPACE(2) + '< ="1">'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<'	+ ' ="' + LTRIM(RTRIM(CHIEF_FM)) + '"'
					+ ' ="' +LTRIM(RTRIM(CHIEF_IM)) + '"'
					+ ' ="' + LTRIM(RTRIM(CHIEF_OT)) + '"/>'
				FROM #DEP_DATA	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	--exec SS_RPSV_EXPORT_v5_01   3229	
	
	--   
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(2) + '<>'
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(3) + '< ="'+ REPLACE(LTRIM(RTRIM(ISNULL(OKTMO,''))),SPACE(1),'') +'">' 			
		FROM #DEP_DATA

	---  1  1
	--     
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(4) + '< ="18210202010061010160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 5, 4)) +'"/>'	
	---     
			UNION ALL
			SELECT @lcFNAME, SPACE(4) + '< ="18210202101081013160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 7, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 8, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 10, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 11, 4)) +'"/>'	
	---          
			
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (13,14,15,16)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202131061010160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 13, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 14, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 15, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 16, 4)) +'"/>'	
			END
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (18,19,20,21)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202131061020160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 18, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 19, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 20, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 21, 4)) +'"/>'	
			END
			
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (23,24,25,26)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202132061010160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 23, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 24, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 25, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 26, 4)) +'"/>'				
			END
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (28,29,30,31)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202132061020160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 28, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 29, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 30, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 31, 4)) +'"/>'				
			END


			---       
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (33,34,35,36)) > 0.00
			BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="00020253062060000151" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 33, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 34, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 35, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 36, 4)) +'"/>'				
			END
		
			---       
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (38,39,40,41)) > 0.00
			BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="00020253066060000151" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 38, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 39, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 40, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 41, 4)) +'"/>'				
			END			
			---       
			--             
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202090071010160" >'
				UNION ALL
				SELECT @lcFNAME, SPACE(5) + '< '
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 43, 4)) = 0 then  ''
						ELSE '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 43, 4)) +'" ' 
					end
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 44, 4)) = 0 then  ''
						ELSE '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 44, 4)) +'" '
					END
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 45, 4)) = 0 then  ''
						ELSE '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 45, 4)) +'" '
					end
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 46, 4)) = 0 then  ''
					     else '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 46, 4)) +'" '
					END     
					+ '/>'		
					
			
			--exec SS_RPSV_EXPORT_v5_01    5020
			--        
			--        
			--     
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(5) + '< '
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 47, 4)) = 0 then  ''
						else '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2))  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 47, 4)) +'" '
					end
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 48, 4)) = 0 then  ''
						ELSE '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 48, 4)) +'" '
					END
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 49, 4)) = 0 then  ''
						ELSE '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 49, 4)) +'" '
					END	
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 50, 4)) = 0 then  ''
						ELSE '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 50, 4)) +'" '
					END	
					+ '/>'					
				UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'


	--           (1-.1)	
	-- 
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			--__	 -   
			SELECT @lcFNAME, SPACE(4) + '<__ '	 	
			--	
				 + '="' + (select LTRIM(RTRIM(ISNULL(TFOMS_KT,''))) FROM #DEP_DATA) + '">' 
			--_ -  
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'	
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 7)) +'"/>'	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 7)) +'"/>'	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
	


---  1..1.3.1            
		--_428 - 
		--	_428.1-2 - 	  
		
			if   (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (1) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
				OR (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (6) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
				OR (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, default, DEFAULT ) WHERE row IN (1,6,11,16,21) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
				OR (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, default, DEFAULT ) WHERE row IN (1,6,11,16,21) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
			BEGIN
						
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_428>'
				--   1
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (1) AND col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.1-2 ="1">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.1-2>'	
				END 	
					
				--   2
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (6) AND col IN (3,4,5,6,7) and summa<> 0 )>0  
				BEGIN				
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.1-2 ="2">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.1-2>'									
				END
				
				--              
				--        428     (1 .1.3.2)
			--exec SS_RPSV_EXPORT_v5_01   3229		
	 ----------------------------
	  -----------  1 ----------
	  ------------------------------
				-- -  4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="1">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END
	  
				--  3.4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="2">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END			
				--  3.3
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="3">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.2
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="4">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.1
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="5">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
			---------------------
			----------   2
			--------------------
							-- -  4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="2" ="1" ="1">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END
	  
				--  3.4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="2">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END			
				--  3.3
	--exec SS_RPSV_EXPORT_v5_01   3229	
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="3">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.2
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="4">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.1
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="5">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
					END			
				
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_428>'
				END 
	---            
	--     ,        
	--    (1 .1.4)
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'				  		  		
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<>1</>'	
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 7)) +'"/>'		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
				END	
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'				  		  		
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<>2</>'	
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 7)) +'"/>'		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
				END	
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</__>'	 			  					  
	
	--         
	--        (1 .2)
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<_.'	
																				 + ' ="1">' 
					UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 7)) +'"/>'
					UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 7)) +'"/>'
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 7)) +'"/>'	
			--exec SS_RPSV_EXPORT_v5_01   3229	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'		
					UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 3)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 3))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 3)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<3 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 4)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 4))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 4)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<13 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 5)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 5))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 5)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<23 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 6)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 6))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 6)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<33 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 7)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 7))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 7)) +'"/>'

					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	    																			
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</_.>'	
				END 
				
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<_.'	
																				 + ' ="2">'  
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 7)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 7)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 7)) +'"/>'	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'		
					UNION ALL SELECT @lcFNAME, SPACE(6) + ' < ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 3)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 3))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 3)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<3 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 4)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 4))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 4)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<13 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 5)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 5))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 5)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<23 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 6)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 6))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 6)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<33 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 7)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 7))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 7)) +'"/>'
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	    																			


				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</_.>'	
				END 	
				

	---        
	--        ,   
	--      (1 .3)

				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, DEFAULT ) WHERE col IN (5,6) and summa<> 0 )  > 0
				BEGIN
					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<>'	
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, DEFAULT ) WHERE col IN (5,6) and summa<> 0 )  > 0
					BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 6)) +'"/>'
					END
					
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, DEFAULT ) WHERE col IN (5,6) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 5)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 5)) +'"/>'
					END
					
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, 5)) +'"/>'
					END 
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, 5)) +'"/>'
					END
					
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 13, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 13, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 13, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, 5)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 16, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 16, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 16, 6)) +'"/>'
					END
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</>'	
				END
				
			
---------------------------
----------------
---------------------------


--exec SS_RPSV_EXPORT_v5_01   3229	
	-- ,    ,     (1. .4)
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, DEFAULT, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
				begin
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<>'
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'	
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA) ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 5, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 5, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 5, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 6, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 6, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 6, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					end	
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 8, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 8, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 8, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 9, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 9, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 9, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 10, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 10, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 10, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 14, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 14, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 14, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 16, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 16, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 16, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 17, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 17, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 17, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 18, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 18, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 18, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 19, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 19, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 19, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 20, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 20, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 20, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'		
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<255>'		
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 22, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 22, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 22, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 23, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 23, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 23, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</255>'	
					END
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
							SELECT @lcFNAME, SPACE(6) + '<>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 31, 4))+'"</> '
							 
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 24, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 24, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 24, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 25, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 25, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 25, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 26, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 26, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 26, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 27, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 27, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 27, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 28, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 28, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 28, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 29, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 29, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 29, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 30, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 30, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 30, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</>'	
				END	

------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------
	--           , 
	--    3  1  427     (1 .5)  
------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------
				IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, DEFAULT,DEFAULT) WHERE row IN(1,2,4) AND col IN(3,4) AND  summa <> 0 ) > 0 
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<3.1.427>'	
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1,3) WHERE summa <> 0 ) > 0 
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1,3))+'"</_9> '
					END
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1,4))+'"</_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2,3) WHERE summa <> 0 ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<248_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2,3))+'"</248_9> '
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<248_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2,4))+'"</248_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3,3) WHERE summa <> 0 ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5.427_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3,3))+'"</5.427_9> '
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5..427_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3,4))+'"</5..427_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4,3) WHERE summa <> 0 ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5.427_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4,3))+'"</5.427_9> '
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5.427_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4,4))+'"</5.427_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5,5) WHERE isnull(str_val,'') <> '' ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< =""' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),STR_VAL),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5,5))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),STR_VAL),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5,6))+'"/>'
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</3.1.427>'			
				END
-----------------------------------------------------------------------------------------------------------
	--1 .6_7
	--          , 
	--   5  1  427     (1 .6)
---------------------------------------------------------------------------------------------------------	

				IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, DEFAULT,DEFAULT) WHERE row IN(1,2,3) AND col IN(3) AND  summa <> 0 ) > 0 
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					SELECT @lcFNAME, SPACE(4) + '<5.1.427 346.15=""' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1,3))+'" '
						+ '6.427="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2,3))+'" '
						+ '6.427="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 3,3))+'"/>'

				END 
------------------------------------------------------------------------------------------------------------
--1 .6_7
	--           , 
	--    7  1  427     (1 .7)
------------------------------------------------------------------------------------------------------------	
				IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, DEFAULT,DEFAULT) WHERE row IN(4,5,6,7,8) AND col IN(4,5) AND  summa <> 0 ) > 0 
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					SELECT @lcFNAME, SPACE(4) + '<7.1.427 =""' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4,4))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4,5))+'" '
						+ CASE WHEN (select summa FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5,4) ) > 0 THEN 
								'6.427="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5,4))+'"'
							 ELSE ''
						  END 	
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5,5))+'" '
						+ CASE WHEN (select summa FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6,4) ) > 0 THEN 
								'="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6,4))+'"'
							 ELSE ''
						  END 	
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6,5))+'" '
						+ CASE WHEN (select summa FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,4) ) > 0 THEN 
								'="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,4))+'"'
							 ELSE ''
						  END 			
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,5))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 8,4))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 8,5))+'"/>'
				END 
--exec SS_RPSV_EXPORT_v5_01   3229	
--------------------------------------------------------------------------------------------------------
--- 1 .8   
	--,        , 
	--   9  1  427     (1 .8)

	--***9.1.427 - 	
--------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------
--- 1..9
------ ,      ,    
------  2  2  425 (   1  2  426) 
------     (1..9)
-----------------------------------------------------------------------------------------------------------



				if (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, DEFAULT, DEFAULT) WHERE ROW_code ='1' AND COL = 2 AND ISNULL(STR_VAL,'') <> '') > 0
				begin

						/*   */
						CREATE TABLE #INOST (LINK INT, FM VARCHAR(60), IM VARCHAR(60), OT VARCHAR(60), INN VARCHAR(12), SNILS VARCHAR(14),
							 GR_CODE VARCHAR(3), SUM_NACH NUMERIC(11,2),SUM_M1 NUMERIC(11,2),SUM_M2 NUMERIC(11,2),SUM_M3 NUMERIC(11,2) )

						CREATE TABLE #TAB1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
						INSERT INTO #TAB1 (ROW_CODE, COL, SUMMA, STR_VAL)
						SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

						INSERT INTO #INOST (LINK, FM, IM, OT, INN, SNILS, GR_CODE, SUM_NACH,SUM_M1,SUM_M2,SUM_M3)
						SELECT DISTINCT
							LINK = (SELECT TOP 1 row_code FROM #TAB1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
							FM = (SELECT TOP 1 LEFT(STR_VAL,60) FROM #TAB1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
							IM = (SELECT TOP 1 LEFT(STR_VAL,60) FROM #TAB1 T WHERE T.COL = 3 AND T.ROW_CODE = T1.ROW_CODE),
							OT = (SELECT TOP 1 LEFT(STR_VAL,60) FROM #TAB1 T WHERE T.COL = 4 AND T.ROW_CODE = T1.ROW_CODE),
							INN = (SELECT TOP 1 left(STR_VAL,12) FROM #TAB1 T WHERE T.COL = 5 AND T.ROW_CODE = T1.ROW_CODE),
							SNILS = (SELECT TOP 1 left(STR_VAL,14) FROM #TAB1 T WHERE T.COL = 6 AND T.ROW_CODE = T1.ROW_CODE),
							GR_CODE = (SELECT TOP 1 left(STR_VAL,3) FROM #TAB1 T WHERE T.COL = 7 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_NACH = (SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 8 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_M1 = (SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 9 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_M2 = (SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 10 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_M3 =(SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 11 AND T.ROW_CODE = T1.ROW_CODE)
						FROM
							#TAB1 T1 
	

						DROP TABLE #TAB1

						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<2.2.425>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						SELECT @lcFNAME,
							SPACE(5) + ' <'  +
								' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_NACH),0)))) + '"' +
								' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(sum(SUM_M1),0)+ISNULL(sum(SUM_M2),0)+ISNULL(sum(SUM_M3),0))))) + '"' +
								' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_M1),0)))) + '"' +
								' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_M2),0)))) + '"' +
								' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_M3),0)))) + '"' +
							' />'
						FROM #INOST
					
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
							SELECT @lcFNAME, SPACE(5) + '<'+	
								         ' ="' + UPPER(LTRIM(RTRIM(ISNULL(INN,'')))) + '"' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(SNILS,'')))) + '"' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(GR_CODE,'')))) + '">' + 
								SPACE(6) + '<' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(FM,'')))) + '"' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(IM,'')))) + '"' +
										 CASE WHEN ISNULL(OT,'')<>'' THEN ' ="' + UPPER(LTRIM(RTRIM(ISNULL(OT,'')))) + '"'
										 ELSE '' END +
										  '/>'+
								SPACE(6) + '<' + 
												' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_NACH,0)))) + '"' +
												' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(SUM_M1,0)+ISNULL(SUM_M2,0)+ISNULL(SUM_M3,0))))) + '"' +
												' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_M1,0)))) + '"' +
												' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_M2,0)))) + '"' +
												' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_M3,0)))) + '"' +				
												' />'+	
								SPACE(5) + '</>'					
							FROM #INOST
							ORDER BY fm, im, ot, snils
							--INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
						
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</2.2.425>'	

						DROP TABLE #INOST	
				END
				
--exec SS_RPSV_EXPORT_v5_01   355	

-----------------------------------------------------------------
	-- ,      1  3  422     
	-- ,            
	-- ,          ,  
	--    (         ,  
	--  )      - ,    
	--    ()   (1 .10)

--- 
------------------------------------------------------------------

				CREATE TABLE #STUD (LINK INT, FM VARCHAR(60), IM VARCHAR(60),OT VARCHAR(60), NUM_SPR1 VARCHAR(30), 
									DATE_SPR1 VARCHAR(10),NUM_SPR2 VARCHAR(30), DATE_SPR2 VARCHAR(10),
									SM_ALL 	NUMERIC(18,2), SM1 NUMERIC(18,2), SM2 NUMERIC(18,2), SM3 NUMERIC(18,2) )

				CREATE TABLE #STUD_1 ( LINK_UP INT , N_PP INT ,SVED VARCHAR(1000), DATE_R VARCHAR(10),NUM_R VARCHAR(28) )

				CREATE TABLE #TAB110 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
				INSERT INTO #TAB110 (ROW_CODE, COL, SUMMA, STR_VAL)
				SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

				CREATE TABLE #TAB110_1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
				INSERT INTO #TAB110_1 (ROW_CODE, COL, SUMMA, STR_VAL)
				SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

				INSERT INTO #STUD (LINK, FM,IM,OT, NUM_SPR1, DATE_SPR1,NUM_SPR2, DATE_SPR2,
					SM_ALL, SM1, SM2, SM3 )
				SELECT DISTINCT
					link = (SELECT TOP 1 ROW_CODE FROM #TAB110 T WHERE T.COL = 2 AND T.ROW_CODE = T110.ROW_CODE),
					FM = (SELECT TOP 1 LEFT(LTRIM(RTRIM(ISNULL(STR_VAL,''))),60) FROM #TAB110 T WHERE T.COL = 2 AND T.ROW_CODE = T110.ROW_CODE),
					IM = (SELECT TOP 1 LEFT(LTRIM(RTRIM(ISNULL(STR_VAL,''))),60) FROM #TAB110 T WHERE T.COL = 3 AND T.ROW_CODE = T110.ROW_CODE),
					OT = (SELECT TOP 1 LEFT(LTRIM(RTRIM(ISNULL(STR_VAL,''))),60) FROM #TAB110 T WHERE T.COL = 4 AND T.ROW_CODE = T110.ROW_CODE),
					NUM_SPR1 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(dbo.SA_GET_WORD_NUM(STR_VAL,1,' '))),30) FROM #TAB110 T WHERE T.COL = 5 AND T.ROW_CODE = T110.ROW_CODE),
					DATE_SPR1 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB110 T WHERE T.COL = 6 AND T.ROW_CODE = T110.ROW_CODE),
					NUM_SPR2 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(dbo.SA_GET_WORD_NUM(STR_VAL,1,' '))),30) FROM #TAB110 T WHERE T.COL = 7 AND T.ROW_CODE = T110.ROW_CODE),
					DATE_SPR2 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB110 T WHERE T.COL = 8 AND T.ROW_CODE = T110.ROW_CODE),
					SM_ALL = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 9 AND T.ROW_CODE = T110.ROW_CODE),
					SM1 = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 10 AND T.ROW_CODE = T110.ROW_CODE),
					SM2 = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 11 AND T.ROW_CODE = T110.ROW_CODE),
					SM3 = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 12 AND T.ROW_CODE = T110.ROW_CODE)
				FROM
					#TAB110 T110

				DROP TABLE #TAB110


				INSERT INTO #STUD_1 ( LINK_UP, N_PP,SVED, DATE_R,NUM_R)
				SELECT DISTINCT
					link_up = (SELECT TOP 1 ROW_CODE FROM #TAB110_1 T WHERE T.COL = 2 AND T.ROW_CODE = T110_1.ROW_CODE),
					N_PP = (SELECT TOP 1 ROW_CODE FROM #TAB110_1 T WHERE T.COL = 2 AND T.ROW_CODE = T110_1.ROW_CODE),
					SVED = (SELECT TOP 1 LTRIM(RTRIM(ISNULL(STR_VAL,''))) FROM #TAB110_1 T WHERE T.COL = 2 AND T.ROW_CODE = T110_1.ROW_CODE),
					DATE_R = (SELECT TOP 1 LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),STR_VAL,104),''))) FROM #TAB110_1 T WHERE T.COL = 3 AND T.ROW_CODE = T110_1.ROW_CODE),
					NUM_R = (SELECT TOP 1 LTRIM(RTRIM(ISNULL(STR_VAL,''))) FROM #TAB110_1 T WHERE T.COL = 4 AND T.ROW_CODE = T110_1.ROW_CODE)
				FROM
					#TAB110_1 T110_1

				DROP TABLE #TAB110_1


				--  
				DECLARE @NEXT_NUM2 INT
				SET @NEXT_NUM2 = 0
				UPDATE #STUD SET @NEXT_NUM2 = @NEXT_NUM2 + 1, LINK = @NEXT_NUM2

				-- 
				DECLARE @COUNT_STUD INT
				set @COUNT_STUD = (select count(*) from #STUD )


				--IF (SELECT COUNT(*) FROM #STUD) > 0 -- 
				--	OR (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 15, DEFAULT, DEFAULT) WHERE COL = 5 AND SUMMA <> 0) > 0 --  
				--BEGIN

				IF (SELECT COUNT(*) FROM #STUD) > 0 -- 
				BEGIN


					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<1.3.422>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						SELECT @lcFNAME,
							SPACE(5) + ' <'  +
								' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM_ALL),0)))) + '"' +
								' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(sum(SM1),0)+ISNULL(sum(SM2),0)+ISNULL(sum(SM3),0))))) + '"' +
								' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM1),0)))) + '"' +
								' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM2),0)))) + '"' +
								' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM3),0)))) + '"' +
							' />'
						FROM #STUD
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,   
							SPACE(5) + '<>' + CHAR(10) +		
								SPACE(6) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(3),ISNULL(S.link,0)))) + '</>' + CHAR(10) + 		
								SPACE(6) + '<' + 
										'  ="' + UPPER(LTRIM(RTRIM(ISNULL(S.FM,'')))) + '"' + 		
										'  ="' + UPPER(LTRIM(RTRIM(ISNULL(S.IM,'')))) + '"' +		
										'  ="' + UPPER(LTRIM(RTRIM(ISNULL(S.OT,'')))) + '"' +											
										'"/>'+ CHAR(10) +
								SPACE(6) + '<' +
										   ' ="' + UPPER(LTRIM(RTRIM(ISNULL(S.NUM_SPR1,'')))) + '"' + 		
										   ' ="' + LTRIM(RTRIM(ISNULL(convert(varchar(10),SUBSTRING(S.DATE_SPR1,1,2)+'.'+SUBSTRING(S.DATE_SPR1,3,2)+'.'+SUBSTRING(S.DATE_SPR1,5,4),104),''))) + '"' + 		
										   '"/>'+ CHAR(10) +
								SPACE(6) + '<' +
										' ="' + LTRIM(RTRIM(ISNULL(S.NUM_SPR2,''))) + '"' + 		
										' ="' + LTRIM(RTRIM(ISNULL(convert(varchar(10),SUBSTRING(S.DATE_SPR2,1,2)+'.'+SUBSTRING(S.DATE_SPR2,3,2)+'.'+SUBSTRING(S.DATE_SPR2,5,4),104),''))) + '"' + 			
										'"/>' + CHAR(10) +
								SPACE(6) + '<' + 
												' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM_ALL,0)))) + '"' +
												' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(S.SM1,0)+ISNULL(S.SM2,0)+ISNULL(S.SM3,0))))) + '"' +
												' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM1,0)))) + '"' +
												' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM2,0)))) + '"' +
												' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM3,0)))) + '"' +				
												'"/>' + CHAR(10) +
								SPACE(6) + '<>' + CHAR(10) +	
									SPACE(7) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(1000),ISNULL(S1.SVED,0)))) + '</>' + CHAR(10) + 
									SPACE(7) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10), SUBSTRING(S1.DATE_R,1,2)+'.'+SUBSTRING(S1.DATE_R,3,2)+'.'+SUBSTRING(S1.DATE_R,5,4),104),''))) + '</>' + CHAR(10) + 
									SPACE(7) + '<>' + LTRIM(RTRIM(convert(varchar(28),ISNULL(S1.NUM_R,0)))) + '</>' + CHAR(10) + 
								SPACE(6) + '</>' + CHAR(10) +	
							SPACE(5) + '</>'                                   
						FROM #STUD S 
						LEFT JOIN #STUD_1 S1 ON S.LINK	= S1.LINK_UP		
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</1.3.422>'		

				END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</>' 	
	-- <_>'  -     
	
-----------------------------------------------------
-----------------------------------------------------
------    
------     2.5.1   
------ 
-----------------------------------------------------	

	---     -     
			  			
if (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 19, DEFAULT, DEFAULT) WHERE COL = 22 and ISNULL(STR_VAL,'') <> '') <> 0
begin	
	
				
					
		--  exec SS_RPSV_EXPORT_v5_01 2932			
/********************************/
--				* 
--				*  3 
/********************** */	
 
					CREATE TABLE #TAB3 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
					INSERT INTO #TAB3 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
					SELECT ROW_CODE, COL, SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 19, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

  --  exec SS_RPSV_EXPORT_v5_01 803

					CREATE TABLE #P_3 (	LINK INT, [TYPE] varchar(15), NOM_PP INT, NOM_K CHAR(3), PER VARCHAR(2),YEAR_BEGIN VARCHAR(4),DATE_PU VARCHAR(10), 
										PER_EDT VARCHAR(2), YEAR_EDT VARCHAR(4), 
										INN VARCHAR(12), SNILS VARCHAR(14), FM varchar(100), IM varchar(100), OT varchar(100), BIRTH_DATE VARCHAR(10),
										GRAZHD VARCHAR(3),SEX INT, DOC_CODE CHAR(2), DOC_SR VARCHAR(20) , DOC_NM  VARCHAR(20), PRIZ_OPS INT , PRIZ_OMS INT , PRIZ_FSS INT , link_face int
										/*NOM_PACH varchar(5)*/)

					INSERT INTO #P_3 ( /*LINK,*/[TYPE], NOM_PP, NOM_K, PER,YEAR_BEGIN,DATE_PU, 
										PER_EDT, YEAR_EDT, 
										INN, SNILS, FM, IM, OT, BIRTH_DATE,
										GRAZHD,SEX, DOC_CODE, DOC_SR,DOC_NM, PRIZ_OPS, PRIZ_OMS, PRIZ_FSS,  link_face
										/*NOM_PACH*/ )
					SELECT
								/*LINK */
								[TYPE],
								NOM_PP =  ROW_NUMBER() OVER ( ORDER BY fm, im , ot, SNILS, LINK_FACE) ,
								NOM_K,
								PER,YEAR_BEGIN,DATE_PU,PER_EDT, YEAR_EDT,
								INN, SNILS, FM, IM, OT, BIRTH_DATE,
								GRAZHD,SEX, DOC_CODE, DOC_SR,DOC_NM,  PRIZ_OPS, PRIZ_OMS, PRIZ_FSS , link_face--, NOM_PACH
						FROM
					(
					SELECT DISTINCT
						[TYPE] = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),15) FROM #TAB3 T WHERE T.COL = 20 AND T.ROW_CODE = T3.ROW_CODE),
						--NOM_PP = 0,--(SELECT TOP 1 ROW_CODE FROM #TAB3 T WHERE T.COL = 2 AND T.ROW_CODE = T3.ROW_CODE),
						NOM_K = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),3) FROM #TAB3 T WHERE T.COL = 2 AND T.ROW_CODE = T3.ROW_CODE), 
						PER = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),2) FROM #TAB3 T WHERE T.COL = 3 AND T.ROW_CODE = T3.ROW_CODE),
						YEAR_BEGIN = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),4) FROM #TAB3 T WHERE T.COL = 4 AND T.ROW_CODE = T3.ROW_CODE),
						DATE_PU = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB3 T WHERE T.COL = 5 AND T.ROW_CODE = T3.ROW_CODE),
						PER_EDT = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),2) FROM #TAB3 T WHERE T.COL = 23 AND T.ROW_CODE = T3.ROW_CODE),
						YEAR_EDT = ''/*(SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL = 14 AND T.ROW_CODE = T3.ROW_CODE)*/,		
						INN= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),12) FROM #TAB3 T WHERE T.COL = 6 AND T.ROW_CODE = T3.ROW_CODE), 
						SNILS = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),14) FROM #TAB3 T WHERE T.COL = 7 AND T.ROW_CODE = T3.ROW_CODE),
						FM= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),100) FROM #TAB3 T WHERE T.COL = 8 AND T.ROW_CODE = T3.ROW_CODE),
						IM= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),100) FROM #TAB3 T WHERE T.COL = 9 AND T.ROW_CODE = T3.ROW_CODE),
						OT= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),100) FROM #TAB3 T WHERE T.COL = 10 AND T.ROW_CODE = T3.ROW_CODE),
						BIRTH_DATE = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB3 T WHERE T.COL =11 AND T.ROW_CODE = T3.ROW_CODE),
						GRAZHD  = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),3) FROM #TAB3 T WHERE T.COL =12 AND T.ROW_CODE = T3.ROW_CODE),
						SEX = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),1) FROM #TAB3 T WHERE T.COL =13 AND T.ROW_CODE = T3.ROW_CODE),
						DOC_CODE = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),2) FROM #TAB3 T WHERE T.COL =14 AND T.ROW_CODE = T3.ROW_CODE),
						DOC_SR = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),20) FROM #TAB3 T WHERE T.COL =15 AND T.ROW_CODE = T3.ROW_CODE),
						DOC_NM = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),20) FROM #TAB3 T WHERE T.COL =16 AND T.ROW_CODE = T3.ROW_CODE),
						PRIZ_OPS= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =17 AND T.ROW_CODE = T3.ROW_CODE),
						PRIZ_OMS= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =18 AND T.ROW_CODE = T3.ROW_CODE),
						PRIZ_FSS= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =19 AND T.ROW_CODE = T3.ROW_CODE),
						LINK_FACE= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =22 AND T.ROW_CODE = T3.ROW_CODE)--,
						--NOM_PACH= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =21 AND T.ROW_CODE = T3.ROW_CODE)
					FROM
					#TAB3 T3	
						) T GROUP BY [TYPE]/*,NOM_PP*/,NOM_K,PER,YEAR_BEGIN,DATE_PU,PER_EDT,YEAR_EDT,INN,SNILS, FM,IM,OT,BIRTH_DATE	,GRAZHD,SEX,DOC_CODE,DOC_SR,DOC_SR,DOC_NM,PRIZ_OPS,PRIZ_OMS,PRIZ_FSS, LINK_FACE
					ORDER BY t.FM,IM,OT,SNILS


/****************************************************/
/* 3.1*/
/**************************************************/
   				
					CREATE TABLE #TAB3_1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
					INSERT INTO #TAB3_1 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
					SELECT ROW_CODE, COL, SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 20, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL


					CREATE TABLE #P_3_1 (
												LINK INT, [TYPE] varchar(15), NOM_PP INT, SNILS VARCHAR(14), CODE_STR int, CODE_KAT varchar(5),CODE_TAR char(2), INSUR NUMERIC(18,2), B_BEF NUMERIC(18,2), GB_BEF NUMERIC(18,2),B_AFT NUMERIC(18,2),
												PER VARCHAR(1), YEAR_BEGIN VARCHAR(4), PER_EDT VARCHAR(1), YEAR_EDT VARCHAR(4), FM varchar(100), IM varchar(100), OT varchar(100),
												k_PER_EDT1 VARCHAR(1), k_YEAR_EDT1 VARCHAR(4), k_INSUR1 NUMERIC(18,2), k_INSUR_1 NUMERIC(18,2), k_GAIN1 NUMERIC(18,2),
												k_PER_EDT2 VARCHAR(1), k_YEAR_EDT2 VARCHAR(4), k_INSUR2 NUMERIC(18,2), k_INSUR_2 NUMERIC(18,2), k_GAIN2 NUMERIC(18,2),
												k_PER_EDT3 VARCHAR(1), k_YEAR_EDT3 VARCHAR(4), k_INSUR3 NUMERIC(18,2), k_INSUR_3 NUMERIC(18,2), k_GAIN3 NUMERIC(18,2),
												k_PER_EDT4 VARCHAR(1), k_YEAR_EDT4 VARCHAR(4), k_INSUR4 NUMERIC(18,2), k_INSUR_4 NUMERIC(18,2), k_GAIN4 NUMERIC(18,2),
												k_PER_EDT5 VARCHAR(1), k_YEAR_EDT5 VARCHAR(4), k_INSUR5 NUMERIC(18,2), k_INSUR_5 NUMERIC(18,2), k_GAIN5 NUMERIC(18,2),SUM_VZNOS NUMERIC(18,2), UVOL CHAR(1),LINK_FACE INT)
					
					INSERT INTO #P_3_1 (/*LINK,*/ [TYPE], NOM_PP,SNILS,CODE_STR,CODE_KAT,CODE_TAR,INSUR,B_BEF, GB_BEF, B_AFT,
											PER,YEAR_BEGIN,PER_EDT,YEAR_EDT,FM,IM,OT,
											k_PER_EDT1,k_YEAR_EDT1,k_INSUR1,k_INSUR_1,k_GAIN1,k_PER_EDT2,k_YEAR_EDT2,k_INSUR2,k_INSUR_2,k_GAIN2,
											k_PER_EDT3,k_YEAR_EDT3,k_INSUR3,k_INSUR_3,k_GAIN3,k_PER_EDT4,k_YEAR_EDT4,k_INSUR4,k_INSUR_4,k_GAIN4,
											k_PER_EDT5,k_YEAR_EDT5,k_INSUR5,k_INSUR_5,k_GAIN5,SUM_VZNOS,UVOL,LINK_FACE)
					SELECT
								/*LINK = ROW_NUMBER()  OVER (PARTITION BY  [type],snils ORDER BY  snils  ),*/
								[TYPE],
								NOM_PP = ROW_NUMBER() OVER (PARTITION BY SNILS, LINK_FACE, [TYPE], PER_EDT ORDER BY CODE_STR , PER_EDT ),
								SNILS,CODE_STR,CODE_KAT,CODE_TAR,INSUR,B_BEF, GB_BEF, B_AFT,
											PER,YEAR_BEGIN,PER_EDT,YEAR_EDT,FM,IM,OT,
											k_PER_EDT1,k_YEAR_EDT1,k_INSUR1,k_INSUR_1,k_GAIN1,k_PER_EDT2,k_YEAR_EDT2,k_INSUR2,k_INSUR_2,k_GAIN2,
											k_PER_EDT3,k_YEAR_EDT3,k_INSUR3,k_INSUR_3,k_GAIN3,k_PER_EDT4,k_YEAR_EDT4,k_INSUR4,k_INSUR_4,k_GAIN4,
											k_PER_EDT5,k_YEAR_EDT5,k_INSUR5,k_INSUR_5,k_GAIN5,SUM_VZNOS,UVOL,LINK_FACE

						FROM
					(
					SELECT DISTINCT
						[TYPE] = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 13 AND T.ROW_CODE = T3_1.ROW_CODE),
						SNILS = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 2 AND T.ROW_CODE = T3_1.ROW_CODE),
						CODE_STR = convert(int, (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 4 AND T.ROW_CODE = T3_1.ROW_CODE)),
						CODE_KAT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 5 AND T.ROW_CODE = T3_1.ROW_CODE),
						CODE_TAR = '',
						INSUR = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 6 AND T.ROW_CODE = T3_1.ROW_CODE),
						B_BEF = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 7 AND T.ROW_CODE = T3_1.ROW_CODE ),
						GB_BEF = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 8 AND T.ROW_CODE = T3_1.ROW_CODE ),
						B_AFT = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 9 AND T.ROW_CODE = T3_1.ROW_CODE ),
						SUM_VZNOS = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 10 AND T.ROW_CODE = T3_1.ROW_CODE),
						PER = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL))FROM #TAB3_1 T WHERE T.COL = 11 AND T.ROW_CODE = T3_1.ROW_CODE),
						YEAR_BEGIN = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 12 AND T.ROW_CODE = T3_1.ROW_CODE),
						PER_EDT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 14 AND T.ROW_CODE = T3_1.ROW_CODE),
						YEAR_EDT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 15 AND T.ROW_CODE = T3_1.ROW_CODE),
						FM= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 17 AND T.ROW_CODE = T3_1.ROW_CODE),
						IM= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 18 AND T.ROW_CODE = T3_1.ROW_CODE),
						OT= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 19 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT1 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 20 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT1 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 21 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR1 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 22 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_1 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 23 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN1 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 24 AND T.ROW_CODE = T3_1.ROW_CODE),
						
						k_PER_EDT2= (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 25 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT2 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA)))FROM #TAB3_1 T WHERE T.COL = 26 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR2 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 27 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_2 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 28 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN2 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 29 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT3 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 30 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT3 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 31 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR3 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 32 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_3 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 33 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN3 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 34 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT4 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 35 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT4 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 36 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR4 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 37 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_4 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 38 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN4 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 39 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT5 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 40 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT5 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 41 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR5 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 42 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_5 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 43 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN5 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 44 AND T.ROW_CODE = T3_1.ROW_CODE),
						UVOL = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 45 AND T.ROW_CODE = T3_1.ROW_CODE),
						LINK_FACE = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 16 AND T.ROW_CODE = T3_1.ROW_CODE)
						
					FROM
					#TAB3_1 T3_1
						) T	


				--exec SA_RSV1_EXPORT_0700_2014     42276
					DECLARE @NEXT_NUM3 INT 
					SET @NEXT_NUM3 = 0
					UPDATE  p  SET  LINK = (select top 1 NOM_PP from #P_3 where ltrim(rtrim(SNILS)) = ltrim(rtrim(p.SNILS))
																										 and  ltrim(rtrim(FM)) = ltrim(rtrim(p.FM))
																										 and ltrim(rtrim(IM)) = ltrim(rtrim(p.IM))	 and ltrim(rtrim(OT)) = ltrim(rtrim(p.OT))
																										 and [type] = (case p.[type] when '' then 1 when '' then 2 else 3 end)
																										 and PER_EDT  = p.PER_EDT)
					FROM #P_3_1 p
		
					
/****************************************************/
/* 3.2*/
/**************************************************/

					CREATE TABLE #TAB3_2 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
					INSERT INTO #TAB3_2 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
					SELECT ROW_CODE, COL, SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 21, DEFAULT, DEFAULT) T  ORDER BY T.COL	


					CREATE TABLE #P_3_2 (
												LINK INT, [TYPE] INT , NOM_PP INT, SNILS VARCHAR(14), CODE_STR INT, CODE_SPO varchar(5),CODE_TAR char(2), INC_T1M NUMERIC(18,2), INC_T2M NUMERIC(18,2),
												DATE_BEGIN1 varchar(10),DATE_END1 VARCHAR(10),TU_CODE1 VARCHAR(10), OS_CODE1 VARCHAR(30), EX_CODE1 VARCHAR(10), f_is_dop1 VARCHAR(100), P_CODE1 varchar(10), f_ud_dop1 varchar(100),
												DATE_BEGIN2 varchar(10),DATE_END2 VARCHAR(10),TU_CODE2 VARCHAR(10), OS_CODE2 VARCHAR(30), EX_CODE2 VARCHAR(10), f_is_dop2 VARCHAR(100), P_CODE2 varchar(10), f_ud_dop2 varchar(100),
												DATE_BEGIN3 varchar(10),DATE_END3 VARCHAR(10),TU_CODE3 VARCHAR(10), OS_CODE3 VARCHAR(30), EX_CODE3 VARCHAR(10), f_is_dop3 VARCHAR(100), P_CODE3 varchar(10), f_ud_dop3 varchar(100),
												DATE_BEGIN4 varchar(10),DATE_END4 VARCHAR(10),TU_CODE4 VARCHAR(10), OS_CODE4 VARCHAR(30), EX_CODE4 VARCHAR(10), f_is_dop4 VARCHAR(100), P_CODE4 varchar(10), f_ud_dop4 varchar(100),
											LINK_FACE int)
					
					INSERT INTO #P_3_2 (/*LINK,*/ [TYPE], NOM_PP,SNILS,CODE_STR,CODE_SPO,CODE_TAR,INC_T1M,INC_T2M,
												DATE_BEGIN1,DATE_END1,TU_CODE1, OS_CODE1, EX_CODE1, f_is_dop1, P_CODE1, f_ud_dop1,
												DATE_BEGIN2,DATE_END2,TU_CODE2, OS_CODE2, EX_CODE2, f_is_dop2, P_CODE2, f_ud_dop2,
												DATE_BEGIN3,DATE_END3,TU_CODE3, OS_CODE3, EX_CODE3, f_is_dop3, P_CODE3, f_ud_dop3,
												DATE_BEGIN4,DATE_END4,TU_CODE4, OS_CODE4, EX_CODE4, f_is_dop4, P_CODE4, f_ud_dop4,LINK_FACE)
					SELECT
								/*LINK = dEnse_RANK() OVER (PARTITION BY SNILS, [TYPE] ORDER BY SNILS, [TYPE]),*/
								[TYPE],
								NOM_PP = ROW_NUMBER() OVER (PARTITION BY SNILS, LINK_FACE, [TYPE] ORDER BY CODE_STR),
												SNILS,CODE_STR,CODE_SPO,CODE_TAR,INC_T1M,INC_T2M,
												DATE_BEGIN1,DATE_END1,TU_CODE1, OS_CODE1, EX_CODE1, f_is_dop1, P_CODE1, f_ud_dop1,
												DATE_BEGIN2,DATE_END2,TU_CODE2, OS_CODE2, EX_CODE2, f_is_dop2, P_CODE2, f_ud_dop2,
												DATE_BEGIN3,DATE_END3,TU_CODE3, OS_CODE3, EX_CODE3, f_is_dop3, P_CODE3, f_ud_dop3,
												DATE_BEGIN4,DATE_END4,TU_CODE4, OS_CODE4, EX_CODE4, f_is_dop4, P_CODE4, f_ud_dop4,LINK_FACE		
					FROM
					(
						SELECT DISTINCT
							[TYPE] = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_2 T WHERE T.COL = 9 AND T.ROW_CODE = T32.ROW_CODE),
							SNILS = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 7 AND T.ROW_CODE = T32.ROW_CODE),
							CODE_STR = CONVERT( int ,(SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 3 AND T.ROW_CODE = T32.ROW_CODE)),
							CODE_SPO = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 4 AND T.ROW_CODE = T32.ROW_CODE),
							CODE_TAR = '',
							INC_T1M = (SELECT TOP 1 SUMMA2 FROM #TAB3_2 T WHERE T.COL = 5 AND T.ROW_CODE = T32.ROW_CODE),
							INC_T2M = (SELECT TOP 1 SUMMA2 FROM #TAB3_2 T WHERE T.COL = 6 AND T.ROW_CODE = T32.ROW_CODE ),

							DATE_BEGIN1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 10 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 11 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 12 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 13 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 14 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 15 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 16 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 17 AND T.ROW_CODE = T32.ROW_CODE),
							
							DATE_BEGIN2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 18 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 19 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 20 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 21 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 22 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 23 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 24 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 25 AND T.ROW_CODE = T32.ROW_CODE),
							
							DATE_BEGIN3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 26 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 27 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 28 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 29 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 30 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 31 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 32 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 33 AND T.ROW_CODE = T32.ROW_CODE),
							
							DATE_BEGIN4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 34 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 35 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 36 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 37 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 38 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 39 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 40 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 41 AND T.ROW_CODE = T32.ROW_CODE),
							LINK_FACE = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_2 T WHERE T.COL = 8 AND T.ROW_CODE = T32.ROW_CODE)
						FROM
						#TAB3_2 T32	
					) T	


				UPDATE  p  SET  LINK = (select top 1 NOM_PP from #P_3 where ltrim(rtrim(SNILS)) = ltrim(rtrim(p.SNILS))
																										 and [type] = p.[type] )
					FROM #P_3_2 p


					------	            
					SELECT DISTINCT sd.LINK , SD.PERS_LINK, sd.SNILS, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,'')
					INTO #EMPL_DT
					FROM DBO.KU_EMPL_PLACING SD
						left JOIN (select * from STAFF WHERE @End_Date BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD  AND @End_Date BETWEEN S.DATE_BEGIN AND S.DATE_END
						LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD  AND s4.spr_code = 'SPO_USL_TRUDA'
						WHERE
							(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL)

					UPDATE  p  SET  CODE_TAR = CASE WHEN LTRIM(RTRIM(p.CODE_KAT)) IN ('','','') AND LTRIM(RTRIM(isnull(p2.CODE_SPO,''))) = '' AND LTRIM(RTRIM(e.DOP)) NOT IN(1,2) THEN '01'
													WHEN LTRIM(RTRIM(p.CODE_KAT)) = '' and LTRIM(RTRIM(isnull(p2.CODE_SPO,''))) = '' AND LTRIM(RTRIM(e.DOP)) NOT IN(1,2)  THEN '03'
													WHEN LTRIM(RTRIM(p.CODE_KAT)) = '' and LTRIM(RTRIM(isnull(p2.CODE_SPO,''))) = '' AND LTRIM(RTRIM(e.DOP)) NOT IN(1,2)  THEN '02'
													WHEN LTRIM(RTRIM(e.DOP)) = 1 AND e.SPO = '' THEN '21'
													WHEN LTRIM(RTRIM(e.DOP)) = 2 AND e.SPO = '' THEN '22' 
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '4'  THEN '23'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.4'  THEN '24'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.3'  THEN '25'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.2'  THEN '26'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.1'  THEN '27'
												end
																		   
					FROM #P_3_1 p 
						LEFT JOIN #P_3_2 p2 ON p2.LINK = p.LINK 	
						LEFT JOIN #EMPL_DT e ON e.PERS_LINK = p.LINK_FACE



					UPDATE  p2  SET  CODE_TAR = CASE 
													WHEN LTRIM(RTRIM(e.DOP)) = 1 AND e.SPO = '' THEN '21'
													WHEN LTRIM(RTRIM(e.DOP)) = 2 AND e.SPO = '' THEN '22'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '4'  THEN '23'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.4'  THEN '24'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.3'  THEN '25'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.2'  THEN '26'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.1'  THEN '27'

												end
																		   
					FROM  #P_3_2 p2 
					LEFT JOIN #EMPL_DT e ON e.PERS_LINK = p2.LINK_FACE	

				--exec SS_RPSV_EXPORT_v5_01     5021
				--DROP TABLE #P_3_1
				DROP TABLE #TAB3_1
				DROP TABLE #TAB3_2
				DROP TABLE #EMPL_DT	


--exec SS_RPSV_EXPORT_v5_01 2932
/*SELECT * FROM #P_3 ORDER BY fm 
select * from #p_3_1
select * from #p_3_2 */

/**********************************************************/
----------------------------------------------------------
----- 3   -     
--- (       )
----------------------------------------------------------

----         
DECLARE  @LINK_3 int , @TYPE VARCHAR(14),@NOM_PP int, @NOM_K int, @PER_3 int, @YEAR_BEGIN_3 VARCHAR(4),
	@DATE_PU_3 VARCHAR(10),@PER_EDT_3 CHAR(2),@INN_3 VARCHAR(12),@SNILS VARCHAR(14),@FM varchar(60),
	@IM varchar(60),@OT varchar(60),@BIRTH_DATE VARCHAR(10),@GRAZHD CHAR(3),@SEX CHAR(1),
	@DOC_CODE CHAR(2),@DOC_SR VARCHAR(6), @DOC_NM VARCHAR(10),@PRIZ_OPS int, @PRIZ_OMS INT,@PRIZ_FSS INT , @LINK_FACE INT /*,
	@NOM_PACH CHAR(3)*/

SET @Cur1= CURSOR FORWARD_ONLY
FOR
select 	 
	[TYPE] = case [TYPE] when 1 then '' WHEN 2 then '' else '' end ,
	NOM_PP,
	NOM_K, 
	PER ,
	YEAR_BEGIN,
	DATE_PU,
	PER_EDT,
	INN, 
	SNILS,
	FM,
	IM,
	OT,
	BIRTH_DATE,
	GRAZHD ,
	SEX,
	DOC_CODE,
	DOC_SR, 
	DOC_NM,
	PRIZ_OPS,
	PRIZ_OMS,
	PRIZ_FSS,
	LINK_FACE/*,
	NOM_PACH*/
from #P_3   order by [TYPE],FM, SNILS,link_face

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @TYPE ,@NOM_PP , @NOM_K , @PER_3, @YEAR_BEGIN_3,
	@DATE_PU_3,@PER_EDT_3,@INN_3,@SNILS,@FM,@IM,@OT,@BIRTH_DATE,@GRAZHD,@SEX,
	@DOC_CODE,@DOC_SR, @DOC_NM,@PRIZ_OPS, @PRIZ_OMS,@PRIZ_FSS,@LINK_FACE/*,@NOM_PACH*/


WHILE (@@fetch_status <> -1)
BEGIN
	
	IF (@@fetch_status <> -2)
	BEGIN	

					IF isnull(@NOM_K,'') <>'' and isnull(@PER_3,'')<> '' and isnull(@YEAR_BEGIN_3,'')<>'' and isnull(@NOM_PP,'') <> '' and isnull(@LINK_FACE,'') <> ''
					BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '<'
											    + ' ="'+LTRIM(RTRIM(STR(isnull(@NOM_K,''))))+'"'
											    + ' ="'+LTRIM(RTRIM(STR(isnull(@PER_3,''))))+'"'	
											    + ' ="'+LTRIM(RTRIM(isnull(@YEAR_BEGIN_3,'')))+'"'
											    + ' ="'+LTRIM(RTRIM(STR(isnull(@NOM_PP,''))))+'"'
											    + ' ="'+LTRIM(RTRIM(CONVERT(varchar(10),isnull(@DATE_PU_3,''),104)))+'">' 
					-----------------------------------------------------
					--- 3 -     
					-----------------------------------------------------
					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT TOP 1 @lcFNAME,SPACE(4) + '<' 
												 + ' ="'+LTRIM(RTRIM(isnull(@INN_3,'')))+'"'
												 + ' ="'+LTRIM(RTRIM(isnull(@SNILS,'')))+'"'	
												 + ' ="'+LTRIM(RTRIM(isnull(@BIRTH_DATE,'')))+'"'
												 + ' ="'+case when LTRIM(RTRIM(STR(isnull(@GRAZHD,'')))) = '000' then '643' else LTRIM(RTRIM(STR(isnull(@GRAZHD,'')))) end +'"'
												 + ' ="'+LTRIM(RTRIM(STR(isnull(@SEX,''))))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(isnull(@DOC_CODE,''))))+'"'
												 + ' ="'+LTRIM(RTRIM(isnull(@DOC_SR,'')))+' '+LTRIM(RTRIM(isnull(@DOC_NM,'')))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(isnull(@PRIZ_OPS,''))))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(isnull(@PRIZ_OMS,''))))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(isnull(@PRIZ_FSS,''))))+'">' + CHAR(10) +	
												   SPACE(5) + '<' +
								   						' ="' + left(LTRIM(RTRIM(ISNULL(@FM,''))),60) + '"' +
														' ="' + left(LTRIM(RTRIM(ISNULL(@IM,''))),60) + '"' +
														CASE WHEN ISNULL(@OT,'') <> '' THEN 
														' ="' + left(LTRIM(RTRIM(ISNULL(@OT,''))),60) + '"'
														ELSE '' END + '/>' + CHAR(10) +			
												/*  CASE WHEN @GRAZHD = '643' 
													   then (SPACE(5) + '<' +
														' ="'+LTRIM(RTRIM((select PINDEX from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select REGCODE from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select RAION from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +										
														' ="'+LTRIM(RTRIM((select GOROD from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select NASEL from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select STREET from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +		
														' ="'+LTRIM(RTRIM(REPLACE(p.HOUSE_OFIC,'"','')))+'"' +
														' ="'+LTRIM(RTRIM(p.CORP_OFIC))+'"' +
														' ="'+LTRIM(RTRIM(p.FLAT_OFIC))+'' +												
														'"/>' )
													   WHEN @GRAZHD <> '643' 	
									   					THEN (SPACE(5) + '<' +
																' ="000"' +
																' ="'+LTRIM(RTRIM(dbo.GetAddressBykladr(p.ADR_OFIC_LINK)))+'' +
																'"/>' )	
													   ELSE ''
													   END + CHAR(10) +	*/		
												SPACE(4) + '</>' 		
								FROM person p where  p.link = @LINK_FACE
							  
						
						-----------------------------------------------------------------------
						-------- 3.2        
						-----------------------------------------------------------------------
				
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(4) + '<>' --
							IF exists(SELECT * FROM  #P_3_1 WHERE link = @NOM_PP AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(SNILS)) AND link_FACE = @LINK_FACE  AND NOM_PP <> 1 )
							BEGIN
							
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '< ' 
														+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(INSUR,0)),15,2)))+'"'
														+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(B_BEF,0)),15,2)))+'"'
														+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(GB_BEF,0)),15,2)))+'"'
														+ ' 3="'+RTRIM(LTRIM(STR((select SUM(COALESCE(SUM_VZNOS,0)) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP = 1),15,2)))+'">'
									 FROM #P_3_1 WHERE link = @NOM_PP  AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(SNILS)) AND link_FACE = @LINK_FACE   AND NOM_PP <> 1	
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
										SELECT @lcFNAME,SPACE(6) + '< '
															 + ' ="'+CASE WHEN p.per = 1 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '01' 
																					WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) in ('402', '412') THEN '02'
																					WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) in ('403', '413') THEN '03'
																					WHEN p.per = 2 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '04' 
																					WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR))in ('402', '412') THEN '05'
																					WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR)) in ('403', '413') THEN '06'
																					WHEN p.per = 3 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '07' 
																					WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR))in ('402', '412') THEN '08'
																					WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR))in ('403', '413') THEN '09'
																					WHEN p.per = 4 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '10' 
																					WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR)) in ('402', '412') THEN '11'
																					WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR))in ('403', '413') THEN '12' END  +'"'
															 + ' ="'+RTRIM(LTRIM(p.CODE_KAT))+'"'
															 + ' ="'+RTRIM(LTRIM(STR(COALESCE(INSUR,0),15,2)))+'"'
															 + ' ="'+RTRIM(LTRIM(STR(COALESCE(B_BEF,0),15,2)))+'"'
															 + ' ="'+RTRIM(LTRIM(STR(COALESCE(GB_BEF,0),15,2)))+'"'
															 + ' ="'+ (CASE WHEN ISNULL(INSUR,0) <> 0 
																							and (SELECT sum(SUM_VZNOS) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP = 1) <> 0 
																							and (SELECT sum(INSUR) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP <> 1 )<>0 
																						  THEN  RTRIM(LTRIM(STR( (SELECT sum(SUM_VZNOS) from #P_3_1  WHERE link = @NOM_PP AND NOM_PP = p.NOM_PP ),15,2)))
																						  ELSE '0.00' END) 
																	 + '"/>'
										FROM #P_3_1 p WHERE 	p.link = @NOM_PP  AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(SNILS)) AND link_FACE = @LINK_FACE    AND  p.NOM_PP <> 1	 
										
											
										--GROUP BY p.CODE_KAT, p.CODE_STR, p.NOM_PP, INSUR

--exec SS_RPSV_EXPORT_v5_01 2894

							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '</>' 
						end	
						ELSE BEGIN
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '< ' 
														+ ' 3="0"'
														+ ' 3="0"'
														+ ' 3="0"'
														+ ' 3="0">'
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
										SELECT @lcFNAME,SPACE(6) + '< '
															 + ' ="01"'
															 + ' =""'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"/>'
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '</>' 		
							END  
							
						-----------------------------------------------------------------------
						-------- 3.3       
						-----------------------------------------------------------------------
								
							IF exists(SELECT  * FROM #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND link_FACE = @LINK_FACE  and p.NOM_PP = 1 )
							BEGIN
								
								IF EXISTS(SELECT  * FROM #P_3_2 p WHERE SNILS = @SNILS AND link_FACE = @LINK_FACE  and p.NOM_PP <> 1 AND (INC_T1M <> 0 or INC_T2M <> 0))
								BEGIN
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
									SELECT @lcFNAME,SPACE(5) + '<' 		 -- H
																+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(INC_T1M,0)),15,2)))+'"'
																+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(INC_T2M,0)),15,2)))+'">'
											 FROM #P_3_2 WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND link_FACE = @LINK_FACE  and	NOM_PP <>1		
									GROUP BY SNILS  
									
									/*IF @SNILS = '029-033-987 55'
									 begin 
									 	SELECT * FROM  #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) and p.NOM_PP <> 1	AND snils = '029-033-987 55'
											--	GROUP BY SNILS,p.CODE_STR, p.CODE_TAR , p.INC_T1M, p.INC_T2M
										SELECT p.CODE_STR,p.CODE_TAR,SUM(INC_T1M),SUM(INC_T2M),ltrim(RTRIM(SNILS))  FROM  #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) and p.NOM_PP <> 1	AND snils = '029-033-987 55'
												GROUP BY SNILS,p.CODE_STR, p.CODE_TAR --, p.INC_T1M, p.INC_T2M	
									end*/
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
												SELECT @lcFNAME,SPACE(6) + '< '--- 
																	+ ' ="'+CASE WHEN ltrim(rtrim(p.CODE_STR)) = '701' THEN '01' 
																							WHEN ltrim(rtrim(p.CODE_STR)) = '702' THEN '02'
																							WHEN ltrim(rtrim(p.CODE_STR)) = '703' THEN '03' END  +'"'+
																	+ ' ="'+RTRIM(LTRIM(isnull(p.CODE_TAR,'22')))+'"'
																	+ ' ="'+RTRIM(LTRIM(STR(COALESCE(SUM(INC_T1M),0),15,2)))+'"'
																	+ ' ="'+RTRIM(LTRIM(STR(COALESCE(SUM(INC_T2M),0),15,2))) +'"/>'
												FROM #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) and link_FACE = @LINK_FACE  and p.NOM_PP <> 1	
												GROUP BY SNILS,p.CODE_STR, p.CODE_TAR , p.INC_T1M, p.INC_T2M
									IF exists(SELECT  * FROM #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND link_FACE = @LINK_FACE  and p.NOM_PP = 1 )
									BEGIN
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
										SELECT @lcFNAME,SPACE(5) + '</>'
										FROM #P_3_2 WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND link_FACE = @LINK_FACE  and	NOM_PP <>1		
										GROUP BY SNILS   
									END
								END	
							END		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(4) + '</>' --			
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</>' 	
					END
		end
	
	FETCH NEXT FROM @Cur1 INTO @TYPE ,@NOM_PP , @NOM_K , @PER_3, @YEAR_BEGIN_3,
	@DATE_PU_3,@PER_EDT_3,@INN_3,@SNILS,@FM,@IM,@OT,@BIRTH_DATE,@GRAZHD,@SEX,
	@DOC_CODE,@DOC_SR, @DOC_NM,@PRIZ_OPS, @PRIZ_OMS,@PRIZ_FSS,@LINK_FACE--,@NOM_PACH	
end

CLOSE @Cur1
DEALLOCATE @Cur1

END
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)	
				SELECT @lcFNAME, SPACE(2) + '</>'		
	--SELECT *  FROM DBO.SA_SAVED_REPORT_VIEW (3229, 17, default, default)	WHERE  COL = 6 
--exec SS_RPSV_EXPORT_v5_01   3229	
	UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(0) + '</>'
				
SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--exec SS_RPSV_EXPORT_v5_01 2891

GO


GRANT EXECUTE ON dbo.[SS_RPSV_EXPORT_v5_01] TO PUBLIC

GO



GO

-- FIX >>  : 9802.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]

GO

CREATE   PROCEDURE [dbo].SS_SZV_ST_PACHKA_CALC_Buffer_2017 (@BufferCode varchar(10), @link int, @Year int, @Month tinyint) 
AS

DECLARE @SQL VARCHAR(1000)

SET @SQL = '
delete from dbo.Buffer
where RTRIM(LTRIM(ID)) = RTRIM(LTRIM( ''' + @BufferCode + ''' ))
	and link IN (select S.link_pers from dbo.SZV_STAZH_SVEDENIA S where S.link_up = ' + CONVERT(VARCHAR(20),@LINK) + ')'
--EXEC (@SQL)	--!!


CREATE TABLE #PERSON (LINK INT)	

SET @SQL = '
INSERT INTO #PERSON (LINK)
SELECT DISTINCT LINK FROM dbo.Buffer WHERE RTRIM(LTRIM(ID)) = RTRIM(LTRIM(''' + @BufferCode + '''))'
EXEC (@SQL)	

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @VID_KOR TINYINT , @type_doc tinyint

SELECT @VID_KOR = VID_KOR, @type_doc = [type]
FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link


IF @VID_KOR = 2
begin  
	SELECT @Year = @Year, @PER = PER_EDT, @MONTH_END = @Month
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
else 
begin
	SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
DECLARE @PeriodBegin datetime, @PeriodEnd datetime

/*IF @type_doc = 1 OR (@type_doc = 2 AND @PER <> 4)
BEGIN
	SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
	SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

	IF @MONTH_BEG > @MONTH_END
		SET @MONTH_END = @MONTH_BEG + 3 - 1
END
IF  @type_doc = 2 AND @PER = 4
 BEGIN */
		SET @MONTH_BEG = 1 
		SET @MONTH_END = 12
/* END */

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--  .
--
DECLARE @LINK_OZOI INT
SET @LINK_OZOI = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 3 AND @Year BETWEEN YBEG AND YEND),1)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME)

INSERT INTO #PERS_INV (PERS_LINK, DATE_BEGIN, DATE_END) 
SELECT PERS_LINK, DATE_BEGIN = MIN(ISNULL(I.DATE_BEGIN,@PeriodBegin)), DATE_END = MAX(ISNULL(I.DATE_END,@PeriodEnd))
FROM dbo.PERS_INVALID I
WHERE ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin
GROUP BY PERS_LINK


--forma    2013     (1 , 2 )
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_OZOI,
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END,
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
from 
	(	SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2 
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	INNER JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		

----
DECLARE @LINK_NR INT
SET @LINK_NR = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 1 AND @Year BETWEEN YBEG AND YEND),1)

--forma    2013     (1 , 2 )	
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_NR,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodBegin < CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		THEN @PeriodBegin 
		ELSE CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END + 1
	END,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodEnd > CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		THEN @PeriodEnd
		ELSE CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END - 1
	END
from 
	(	
		SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		
WHERE --          
	I.PERS_LINK IS NULL --  
	OR --    
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1
	OR --    
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1	

----
DECLARE @LINK_USEN INT
SET @LINK_USEN = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 2 AND @Year BETWEEN YBEG AND YEND),1)		
	
insert into dbo.SZV_STAZH_SVEDENIA 
	(link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
SELECT 	
	link_up, orders, forma, link_pers, ISNULL(sum_doh,0), ISNULL(sum_str,0), ISNULL(sum_nak,0), ISNULL(sum_dop,0), ISNULL(dper_vn_m,0), ISNULL(dper_vn_d,0), ISNULL(dper_oz_m,0), ISNULL(dper_oz_d,0), ISNULL(isum_str,0), ISNULL(isum_nak,0), @LINK_USEN, DATE_BEG, DATE_END
FROM
	#PERSON B INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON B.LINK = S.link_pers 
WHERE
	link_up = @link
	AND
	LINK_KATEG = @LINK_NR	

/*----        
CREATE TABLE #PERS_SUM_J (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, MON INT, INCOME NUMERIC(18,2), SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM_J (LINK_PERS, LINK_KATEG, DOG, MON, INCOME, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG, MON,
	SUM(CASE WHEN [OBJECT] = 1 THEN SUMMA ELSE 0 END), --  (INCOME)
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.EMPL E ON E.PERS_LINK = S.LINK_PERS
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_EMPL = E.LINK 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 1 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
	UNION ALL	
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.PERS_LINK = S.LINK_PERS 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 2 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG, MON
*/
--
/*CREATE INDEX #TMP_IDX_#PERS_SUM_J ON #PERS_SUM_J (LINK_PERS, LINK_KATEG)

--ר     
-- ר         512   ר 
create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, KATEG TINYINT, DOG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG = 1
FROM 
	dbo.SA_ESN_VIEW(@Year, @Month, @DEP_LINK, 0) S
WHERE 
	WAY_CALC IN (6,7,10,11)
	AND EXISTS (SELECT * FROM #PERSON B WHERE B.LINK = S.REF_PHYS_PERS)

--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, 
	GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, 
	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@Year))) = 2
		THEN 3
		ELSE
		CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END
	END, 
	DOG = 2
FROM 
	dbo.DOCUMENTS_DGH G 
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.PERSON P on GT.PERS_LINK = P.link
	INNER JOIN #PERSON B ON B.LINK = P.LINK
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  IN (6,7,10,11)
	AND YEAR(G.[DATE]) = @Year
	AND MONTH(G.[DATE]) <= @Month
	AND LINK_DEP = @DEP_LINK


--
CREATE INDEX #TMP_IDX_SPR_ESN ON #SPR_ESN (REF_PHYS_PERS, KATEG, DOG)

--
DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS < @PeriodBegin )
*/
--  
DECLARE @STAVKI TABLE ( LINK_PERS INT, TARIF TINYINT, PREDEL NUMERIC(15,2), [PERCENT] NUMERIC(8,2), WAY_CALC TINYINT)

INSERT INTO @STAVKI (LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC)
SELECT 
	LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC 
FROM 
	dbo.SA_ESN_TARIF(DEFAULT, @PeriodEnd, DEFAULT) S
WHERE 
	WAY_CALC IN (6,7)
	AND EXISTS (SELECT * FROM #PERSON P WHERE P.LINK = S.LINK_PERS)

--	
DECLARE @LIMIT NUMERIC(18,2)
SET @LIMIT = ISNULL((SELECT MIN(PREDEL) FROM @STAVKI WHERE TARIF = 1 AND WAY_CALC = 6),0)

------      ר   ר  512.
/*CREATE TABLE #SUM_PERSON (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT, WAY_CALC TINYINT, [PERCENT] NUMERIC(18,2), MON TINYINT, 
				BAZA NUMERIC(18,2), SUM_LIM NUMERIC(18,2), SUM_KOR NUMERIC(18,2),BAZA2 NUMERIC(18,2),  NALOG NUMERIC(20,6), M BIT)

INSERT INTO #SUM_PERSON (LINK_PERSON, KATEG, DOG, WAY_CALC, [PERCENT], MON, BAZA, NALOG, M)
SELECT
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE,
	SUM(ISNULL(SUMMA_BASE,0) - ISNULL(DED_M,0) - ISNULL(INV_M,0)) AS BAZA,
	SUM(SUMMA),
	0
FROM 
	#SPR_ESN E
	INNER JOIN @STAVKI S ON S.LINK_PERS = E.REF_PHYS_PERS AND S.WAY_CALC = E.WAY_CALC AND S.TARIF = E.KATEG
WHERE 
	S.PREDEL = @LIMIT
GROUP BY
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE

-- ,     
CREATE TABLE #PERS_AFTER (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT)

INSERT INTO #PERS_AFTER (LINK_PERSON, KATEG, DOG)
SELECT LINK_PERSON, KATEG, DOG
FROM #SUM_PERSON 
WHERE WAY_CALC = 6
GROUP BY LINK_PERSON, KATEG, DOG
HAVING SUM(BAZA) > @LIMIT
DECLARE @Cur2 CURSOR, @MON TINYINT, @KATEG TINYINT, @DOG TINYINT

SET @Cur2 = CURSOR FORWARD_ONLY
FOR SELECT DISTINCT MON, KATEG, DOG FROM #SUM_PERSON SP
	ORDER BY MON, KATEG ASC, DOG DESC
OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE SP --     
		SET 
			M = 1,
			SUM_LIM = (SELECT SUM(BAZA) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.WAY_CALC = SP.WAY_CALC AND (M=1 OR SP1.MON = SP.MON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG))
		FROM #SUM_PERSON SP
		WHERE MON = @MON AND KATEG = @KATEG AND DOG = @DOG
		
		UPDATE #SUM_PERSON -- 
		SET SUM_KOR = CASE WHEN ISNULL(SUM_LIM,0) > @LIMIT THEN ISNULL(SUM_LIM,0) - @LIMIT ELSE 0 END

		UPDATE #SUM_PERSON
		SET BAZA2 = CASE WHEN (ISNULL(BAZA,0) > ISNULL(SUM_KOR,0) OR ISNULL(BAZA,0) < 0)
							THEN ISNULL(BAZA,0) - ISNULL(SUM_KOR,0) ELSE 0 END
		
		UPDATE SP
		SET NALOG = 
					CASE WHEN BAZA <> BAZA2 
						THEN 
							
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON <= SP.MON),0)
							* ISNULL([PERCENT],0) / 100)
							-
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON < SP.MON),0)
							* ISNULL([PERCENT],0) / 100)

						ELSE 
							(SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND SP.DOG = PS.DOG AND PS.MON = SP.MON)
					END
					
					--CASE WHEN BAZA <> BAZA2 
					--	THEN ISNULL(BAZA2,0) * ISNULL([PERCENT],0) / 100
					--	ELSE (SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND PS.MON = SP.MON)
					--END	
		FROM
			#SUM_PERSON SP
		WHERE --  ,    
			EXISTS (SELECT * FROM #PERS_AFTER PA WHERE PA.LINK_PERSON = SP.LINK_PERSON AND PA.KATEG = SP.KATEG AND PA.DOG = SP.DOG)

	END
	FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
END

CLOSE @Cur2
DEALLOCATE @Cur2

--    
CREATE TABLE #PERS_SUM (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM (LINK_PERS, LINK_KATEG, DOG, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG,
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, SUMMA_BASE = SUM(BAZA2), SUMMA = SUM(NALOG)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG
		INNER JOIN #SUM_PERSON SP ON SP.LINK_PERSON = S.LINK_PERS AND SP.KATEG = K.LINK2 AND S.FORMA = SP.DOG AND SP.MON BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
	WHERE
		S.LINK_UP = @link
		AND
		@Year BETWEEN K.YBEG AND K.YEND
	GROUP BY
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, S.FORMA
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG

--
UPDATE S SET
	sum_doh = ISNULL(SUMMA_I,0), -- 10     
	sum_str = 0, -- 10      ,  ..    -  0,  
	sum_nak = ISNULL(SUMMA_G,0), --      
	sum_dop = 0 --  10      ,  ..    -  0,  
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #PERS_SUM P ON P.LINK_PERS = S.LINK_PERS AND P.LINK_KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

*/
---   
/*CREATE TABLE #INCOME_T1T2 (
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_T1_M1 NUMERIC(18,2),
	INCOME_T2_M1 NUMERIC(18,2),
	INCOME_T1_M2 NUMERIC(18,2),
	INCOME_T2_M2 NUMERIC(18,2),
	INCOME_T1_M3 NUMERIC(18,2),
	INCOME_T2_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME_T1T2 (LINK_PERS, KATEG, DOG, INCOME_T1_M1, INCOME_T2_M1, INCOME_T1_M2, INCOME_T2_M2, INCOME_T1_M3, INCOME_T2_M3)
SELECT REF_PHYS_PERS, KATEG, E.DOG, 
	INCOME_T1_M1 = SUM(CASE WHEN WAY_CALC = 10 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END), 
	INCOME_T2_M1 = SUM(CASE WHEN WAY_CALC = 11 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M2 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M2 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M3 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M3 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END)
FROM #SPR_ESN E
WHERE WAY_CALC IN (10,11)	
GROUP BY REF_PHYS_PERS, KATEG, E.DOG

UPDATE S SET
	S.INCOME_T1_M1 = P.INCOME_T1_M1,
	S.INCOME_T2_M1 = P.INCOME_T2_M1,
	S.INCOME_T1_M2 = P.INCOME_T1_M2,
	S.INCOME_T2_M2 = P.INCOME_T2_M2,
	S.INCOME_T1_M3 = P.INCOME_T1_M3,
	S.INCOME_T2_M3 = P.INCOME_T2_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME_T1T2 P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

--    
CREATE TABLE #INCOME(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_M1 NUMERIC(18,2),
	INCOME_M2 NUMERIC(18,2),
	INCOME_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME (LINK_PERS, KATEG, DOG, INCOME_M1, INCOME_M2, INCOME_M3)
SELECT 
	LINK_PERS, LINK_KATEG, DOG,
	INCOME_M1 = SUM(INCOME),
	INCOME_M2 = SUM(CASE WHEN MON = (@Month - 1) THEN INCOME ELSE 0 END),
	INCOME_M3 = SUM(CASE WHEN MON = @Month THEN INCOME ELSE 0 END)
FROM #PERS_SUM_J
GROUP BY 
	LINK_PERS, LINK_KATEG, DOG

UPDATE S SET
	S.INCOME_M1 = P.INCOME_M1,
	S.INCOME_M2 = P.INCOME_M2,
	S.INCOME_M3 = P.INCOME_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	


--   
CREATE TABLE #BASE(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	BASE_BEFORE_M1 NUMERIC(18,2),
	BASE_AFTER_M1 NUMERIC(18,2),
	BASE_BEFORE_M2 NUMERIC(18,2),
	BASE_AFTER_M2 NUMERIC(18,2),
	BASE_BEFORE_M3 NUMERIC(18,2),
	BASE_AFTER_M3 NUMERIC(18,2)	
	)

INSERT INTO #BASE (LINK_PERS, KATEG, DOG, BASE_BEFORE_M1, BASE_AFTER_M1, BASE_BEFORE_M2, BASE_AFTER_M2, BASE_BEFORE_M3, BASE_AFTER_M3 )
SELECT LINK_PERSON, KATEG, DOG,
	BASE_BEFORE_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M3	= SUM(CASE WHEN MON = @Month THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M3	= SUM(CASE WHEN MON = @Month THEN BAZA - BAZA2 ELSE 0 END)		
FROM #SUM_PERSON 
WHERE 
	WAY_CALC = 6
GROUP BY
	LINK_PERSON, KATEG, DOG
	
UPDATE S SET
	S.BASE_BEFORE_M1 = P.BASE_BEFORE_M1,
	S.BASE_AFTER_M1 = P.BASE_AFTER_M1,
	S.BASE_BEFORE_M2 = P.BASE_BEFORE_M2,
	S.BASE_AFTER_M2 = P.BASE_AFTER_M2,
	S.BASE_BEFORE_M3 = P.BASE_BEFORE_M3,
	S.BASE_AFTER_M3 = P.BASE_AFTER_M3	
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #BASE P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	
*/
--   ,   
SELECT LINK_PERS, FORMA, LINK_KATEG INTO #TAB FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY LINK_PERS, FORMA, LINK_KATEG HAVING SUM(sum_doh) = 0 AND SUM(sum_nak) = 0 AND SUM(INCOME_M1) = 0
--	

DELETE FROM dbo.SZV_STAZH_SVEDENIA 
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 AND LINK_KATEG NOT IN( @LINK_NR, @LINK_OZOI)

DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 
	AND NOT EXISTS (SELECT LINK_PERS FROM #TAB T WHERE T.LINK_PERS = dbo.SZV_STAZH_SVEDENIA.LINK_PERS AND T.FORMA = dbo.SZV_STAZH_SVEDENIA.FORMA AND T.LINK_KATEG = dbo.SZV_STAZH_SVEDENIA.LINK_KATEG)

--  
UPDATE dbo.SZV_STAZH_SVEDENIA SET LINK_KATEG = @LINK_NR WHERE link_up = @link AND LINK_KATEG = @LINK_OZOI

----     
EXEC [dbo].SS_SZV_ST_PACHKA_RASPIL @link

IF @VID_KOR != 3
	begin  
	---  

	----------------------------------------------------------------------------
	CREATE TABLE #PERIODY (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] int, NUM_STAKE NUMERIC(5,2), [IS_DOP] VARCHAR(20),	[NOT_LGOT_EXPIR] INT NULL , ADD_TYPE INT )

	--/* */
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, TYPE,[IS_DOP])
	SELECT 	DISTINCT
		PERS_LINK, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			THEN (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			ELSE S.DATE_END
		END,	
		0,
		[IS_DOP] = isnull(pt.DOP_IS_C, '' )  --(SELECT TOP 1  pt.DOP_IS_C  from dbo.POST_TYPES AS pt WHERE   pt.link = st.gossl) 
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.EMPL E ON S.LINK_PERS = E.PERS_LINK AND E.DEP_LINK = @DEP_LINK
		INNER JOIN dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		left join dbo.staff_head sh on sh.link = p.STAFF_LINK
		left join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
	WHERE
		S.LINK_UP = @link
		AND
		P.DATE_BEGIN <= @PeriodEnd
		AND
		coalesce(U.DIS_DATE,'20990101') >= @PeriodBegin
		--AND st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin	

	/* */
	Select DISTINCT
		link_face = DGH.PERS_LINK, LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				THEN (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				ELSE S.DATE_BEG
			END,
		date2 = CASE WHEN S.DATE_END > (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				THEN (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				ELSE S.DATE_END
			END,
		[type] = 0
	INTO #DGH	
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.SALARY_REESTR_DGH DGH ON S.LINK_PERS = DGH.PERS_LINK
	WHERE 
		S.LINK_UP = @link
		AND
		DGH.DEP_LINK = @DEP_LINK
		and
		DGH.DATE1 <= @PeriodEnd
		and
		coalesce(DGH.DATE2,'20990101') >= @PeriodBegin

	--       
	SELECT LINK_FACE, DB = MIN(DATE1), DE = MAX(DATE2)
	INTO #WORK
	FROM #PERIODY
	GROUP BY LINK_FACE

	UPDATE S SET 
		S.DATE_BEG = CASE WHEN W.DB < S.DATE_BEG THEN S.DATE_BEG ELSE W.DB END,
		S.DATE_END = CASE WHEN W.DE > S.DATE_END THEN S.DATE_END ELSE W.DE END
	FROM 
		dbo.SZV_STAZH_SVEDENIA S INNER JOIN #WORK W ON S.LINK_PERS = W.LINK_FACE
	WHERE 
		S.LINK_UP = @link
	
	--
	CREATE TABLE #ADD_TYPE (
		[type] INT IDENTITY(1,1),
		[TERR_USL_TRUD] int NULL ,
		[TERR_RK] numeric(3, 2) NULL ,
		[OSOB_USL_TRUD] int NULL ,
		[COD_POS_SPISOK] int NULL ,
		[COD_POS_SPISOK2] int NULL ,
		[USL_DOSROCH_PENS] int NULL ,
		[STAVKA_PED_MED] numeric(3, 2) NULL,
		[VID] VARCHAR(20),
		[IS_DOP] VARCHAR(20),
		[COD_SPO_USL_TRUD] INT NULL
	)	
	INSERT INTO #ADD_TYPE 
		([TERR_USL_TRUD],[TERR_RK],[OSOB_USL_TRUD],[COD_POS_SPISOK],[COD_POS_SPISOK2],[USL_DOSROCH_PENS],[STAVKA_PED_MED],[VID],[IS_DOP],[COD_SPO_USL_TRUD])
	SELECT DISTINCT 
		ISNULL(s.TERR_USL_TRUD,0), ISNULL(s.TERR_RK,0), ISNULL(s.OSOB_USL_TRUD,0), ISNULL(s.COD_POS_SPISOK,0), ISNULL(s.COD_POS_SPISOK2,0), ISNULL(s.USL_DOSROCH_PENS,0), ISNULL(s.STAVKA_PED_MED,0), VID = 'ADD_TYPE', IS_DOP =  ISNULL(dop_is_c,''), ISNULL(s.[COD_SPO_USL_TRUD],0) 
	FROM dbo.staff s 
	LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = s.gossl
	WHERE ISNULL(s.TERR_USL_TRUD,0) <> 0 OR ISNULL(s.TERR_RK,0) <> 0 OR ISNULL(s.OSOB_USL_TRUD,0) <> 0 OR ISNULL(s.COD_POS_SPISOK,0) <> 0 OR ISNULL(s.COD_POS_SPISOK2,0) <> 0 OR ISNULL(s.USL_DOSROCH_PENS,0) <> 0 OR ISNULL(s.STAVKA_PED_MED,0) <> 0 OR ISNULL(s.[COD_SPO_USL_TRUD],0) <> 0 
	OR ISNULL(pt.dop_is_c,'')<>'' 

	--
	DECLARE @MAX_TYPE INT
	SET @MAX_TYPE = ISNULL((SELECT MAX(type) FROM #ADD_TYPE),0)

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('TMP_TYPE', '')
	
	/*  ( )*/
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('KOMM_TYPE', '')


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD1', '')

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	SELECT DISTINCT
		'PERIOD2',
		ISNULL(V.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
					--AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
					) VV ON VV.LINK = IV.TYPE_LINK
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD3', '')
/*
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	Select DISTINCT
		'PERIOD4',
		ISNULL(VV.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/
	--    
	INSERT INTO #ADD_TYPE (VID, IS_DOP) 	
	SELECT LEFT('P_' + LTRIM(RTRIM(CODE)),20), IS_DOP
	FROM dbo.VACATION_VID 
	WHERE	IS_DOP IS NOT NULL
			AND 
			NOT EXISTS (SELECT * FROM #ADD_TYPE WHERE VID = LEFT('P_' + LTRIM(RTRIM(CODE)),20))



	--    c   
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type], NUM_STAKE, IS_DOP)
	SELECT DISTINCT 
		link_face = E.PERS_LINK, S.LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN ELSE @PeriodBegin end)
					THEN (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN else  (case when IM.DATE_BEGIN >= @PeriodBegin  THEN IM.DATE_BEGIN ELSE @PeriodBegin end) end)
					ELSE (case when IM.DATE_BEGIN >= S.DATE_BEG  AND (dis_date IS NOT NULL AND dis_date BETWEEN @PeriodBegin AND @PeriodEND) THEN IM.DATE_BEGIN ELSE S.DATE_BEG end) --          -      
				END,
		date2 = CASE WHEN 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
							> (case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					THEN 
						(case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					ELSE 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
				END,	
		ISNULL(T.[type],0),
		ISNULL(im.NUM_STAKE,0),
		IS_DOP = isnull(T.[IS_DOP],'')
		--, ST.*
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		INNER JOIN dbo.sa_item_move im ON im.EMPL_LINK = e.link
		inner join dbo.staff_head sh on sh.link = STAFF_LINK
		inner join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1	
		left join #ADD_TYPE T on 
				ISNULL(st.TERR_USL_TRUD,0) = ISNULL(T.TERR_USL_TRUD,0) 
				AND ISNULL(st.TERR_RK,0) = ISNULL(T.TERR_RK,0) 
				AND ISNULL(st.OSOB_USL_TRUD,0) = ISNULL(T.OSOB_USL_TRUD,0) 
				AND ISNULL(st.COD_POS_SPISOK,0) = ISNULL(T.COD_POS_SPISOK,0) 
				AND ISNULL(st.COD_POS_SPISOK2,0) = ISNULL(T.COD_POS_SPISOK2,0) 
				AND ISNULL(st.USL_DOSROCH_PENS,0) = ISNULL(T.USL_DOSROCH_PENS,0) 
				AND ISNULL(st.STAVKA_PED_MED,0) = ISNULL(T.STAVKA_PED_MED,0) 
				AND ISNULL(st.[COD_SPO_USL_TRUD],0) = ISNULL(T.[COD_SPO_USL_TRUD],0)
				AND ltrim(rtrim(ISNULL(pt.[DOP_IS_C],''))) = ltrim(rtrim(ISNULL(T.[IS_DOP],'')))
	where 
		S.LINK_UP = @link
		AND
		IM.NUM_STAKE >= 1 
		AND
		IM.[STATUS] <> 2 -- .   
		AND
		im.DATE_BEGIN <= @PeriodEnd and im.DATE_END3 >= @PeriodBegin
		and 
		st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin
		AND 
		im.DATE_end3 > st.DATE_BEGIN -- AND st.DATE_END	 --            
		AND
		T.[TYPE] IS NOT NULL AND T.VID = 'ADD_TYPE'
		AND
		COALESCE(U.DIS_DATE,'20990101') >= @PeriodBegin
	order by
		E.PERS_LINK
 
	---**************************************

	DECLARE @TMP_TYPE INT
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')

	/* -    ( .  )*/
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	Select DISTINCT 
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		ISNULL( (SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = LEFT('P_' + LTRIM(RTRIM(VV.CODE)),20) AND AT.IS_DOP = VV.IS_DOP ), @TMP_TYPE),
		[NOT_LGOT_EXPIR]
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_vacation iv on E.link = iv.EMPL_LINK 
		inner join dbo.orders o on iv.order_link=o.link
		--  ,   "    ", 
		--  (   )
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link /*AND NO_SAL <> 1*/
		INNER JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK AND WORK_D <> 7 --      (   )
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and ISNULL(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and 
		iv.compens <>1 --   
		and
		iv.date_begin <= @PeriodEnd
		and
		ISNULL(ISNULL(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	/* -    ( .  )*/	
	--SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'KOMM_TYPE')
	
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			THEN (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE,
		1
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_travel T on E.link = T.EMPL_LINK
		left join dbo.ITEM_TRAVEL_LONG ITL on ITL.TRAVEL_LINK = T.LINK and ISNULL(ITL.ACTIVE,0) = 1	
	WHERE
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		AND 
		T.ACTIVE = 1 
		AND 
		T.DATE_BEGIN <= @PeriodEnd
		AND 
		ISNULL(ISNULL(ITL.NEW_DATE_END,T.date_end),'20990101') >= @PeriodBegin

	/* -      */

	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD1')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
		INNER JOIN dbo.NETRUD N ON N.LINK = [TYPE] AND N.DEKRET = 1
	WHERE 
		S.LINK_UP = @link
		AND	
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin

	/* -  */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD3')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
	WHERE
		S.LINK_UP = @link
		AND	 
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin
		and
		[TYPE] not in (select LINK from dbo.NETRUD where DEKRET = 1)

	/* -     1,5   3 */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD2' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(V.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER join dbo.TYP_DAYS D on V.TYPE_LINK = D.LINK AND  WORK_D = 7 
		--INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
			----AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
		--	) VV ON VV.LINK = IV.TYPE_LINK
		LEFT JOIN DBO.ITEM_VACATION_BREAK IVB ON IVB.VAC_LINK = IV.LINK AND COALESCE(IVB.ACTIVE,0) = 1
	WHERE 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin

/*
	/* -     */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	Select DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD4' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(VV.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	WHERE
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/


	--------------------------------------------------------------------------
	-- 2.            type.
	--- ,        , ..     
	CREATE TABLE #PERIODY3 (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] INT, orders int, i int, NUM_STAKE NUMERIC(5,2),IS_DOP VARCHAR(20), TYPE_ADD INT)

	--    -1  ..  
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, [type])
	SELECT DISTINCT link_face, LINK_KATEG, @PeriodBegin, @PeriodEnd, [type] = -1   FROM #PERIODY


	CREATE TABLE #DAYS (ID INT IDENTITY(1,1), LINK_FACE INT, LINK_KATEG INT, [DATE] DATETIME, [TYPE] INT, NUM INT/*, IS_DOP VARCHAR(20)*/, NUM_STAKE NUMERIC(5,2), [TYPE_ADD] INT)

	INSERT INTO #DAYS (LINK_FACE, LINK_KATEG, [DATE], [TYPE], NUM, NUM_STAKE/*,IS_DOP*/, [TYPE_ADD])
	SELECT P.LINK_FACE, P.LINK_KATEG, [DATE], [TYPE] = MAX([TYPE]), 0, 
		[NUM_STAKE] = MAX(ISNULL(NUM_STAKE,0)), 
		--isnull(IS_DOP,''),
		[TYPE_ADD] = MAX(CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END
		)
	FROM 
		#PERIODY P
		INNER JOIN dbo.days_ex(@PeriodBegin, @PeriodEnd) D ON 1=1
	WHERE
		D.[DATE] BETWEEN P.DATE1 AND P.DATE2
	GROUP BY
		 P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]
	ORDER BY	
		P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]


	--   ,     
	UPDATE #DAYS SET [TYPE_ADD] = 0 
	WHERE 
		EXISTS (SELECT * FROM #PERIODY WHERE 
			#PERIODY.[NOT_LGOT_EXPIR] = 1
			AND #PERIODY.link_face = #DAYS.link_face
			AND #DAYS.[DATE] BETWEEN #PERIODY.DATE1 AND #PERIODY.DATE2)


	-- 
	DECLARE 
		@ID INT, @ID1 INT, @ID2 INT, @LINK_FACE INT, @DATE datetime, @LINK_KATEG INT, @TYPE INT, @NUM INT, @TYPE_ADD INT,
		@LINK_FACE1 INT, @LINK_KATEG1 INT, @TYPE1 INT,@TYPE_ADD1 INT,@DATE1 datetime

	--  ,      

------   #ADD_TYPE    
----
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')
----
	CREATE table #TDays(link_face int, id int,  date DATETIME ,LINK_KATEG int , [TYPE] INT, [TYPE_ADD] INT)
	INSERT INTO #TDays (link_face, id, date, LINK_KATEG, [TYPE], [TYPE_ADD])
	SELECT d.link_face,
		   d.id,
		   d.date,
		   d.LINK_KATEG,
		   d.[TYPE],
		   d.[TYPE_ADD]
	FROM #DAYS d WHERE d.[type] = @TMP_TYPE 
	ORDER BY d.link_face, d.ID ,d.[date], d.[TYPE] ,d.[TYPE_ADD]	 


	DECLARE @Cur0 CURSOR, @F_TYPE int, @F_TYPE_ADD int
	SET @Cur0 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE,[date],LINK_KATEG, [TYPE],  TYPE_ADD from  #TDays order by ID, LINK_FACE, [DATE]
	OPEN @Cur0
	FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
		
			SELECT DISTINCT @F_TYPE =[TYPE], @F_TYPE_ADD = [type_add]  
			FROM #DAYS WHERE LINK_FACE = @LINK_FACE AND LINK_KATEG = @LINK_KATEG AND [DATE] = @DATE-1 
			
			SELECT @F_TYPE = ISNULL(@F_TYPE,0), @F_TYPE_ADD = ISNULL( @F_TYPE_ADD,0) 

			IF @F_TYPE_ADD = @type_add OR  (ISNULL((SELECT TOP 1 IS_DOP TYPE FROM #ADD_TYPE WHERE [type] = @F_TYPE_ADD),'') <> '' AND @type_add = 0) 
			BEGIN
			
				UPDATE d
				SET [TYPE] = @F_TYPE , [type_add] = @F_TYPE_ADD 
				FROM #DAYS d
				WHERE d.ID = @ID AND d.LINK_FACE = @LINK_FACE AND d.[DATE] = @DATE AND d.LINK_KATEG=@LINK_KATEG AND d.[TYPE] = @TMP_TYPE

			END	

		END

		FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	END

	CLOSE @Cur0
	DEALLOCATE @Cur0


	--
	/*		---------
				UPDATE #DAYS SET [type] = 0 WHERE [type] = @TMP_TYPE
			---------*/

DROP TABLE #TDays 

---------------------------------------------------------------------------------
	--	
	SELECT TOP 1 @ID1 = 0, @ID2 = 0, @NUM = 0, @LINK_FACE1 = LINK_FACE, @LINK_KATEG1 =LINK_KATEG, @TYPE1 = [TYPE]
	FROM #DAYS
	order by ID
	--
	DECLARE @Cur1 CURSOR
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE, LINK_KATEG, [TYPE] from #DAYS order by ID
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			IF NOT (@LINK_FACE = @LINK_FACE1 AND @LINK_KATEG = @LINK_KATEG1 AND @TYPE = @TYPE1)
			BEGIN
				
				SELECT @NUM = @NUM + 1, @LINK_FACE1 = @LINK_FACE, @LINK_KATEG1 = @LINK_KATEG, @TYPE1 = @TYPE
				UPDATE #DAYS SET NUM = @NUM WHERE ID BETWEEN @ID1 AND @ID-1
				SELECT @ID1 = @ID 

			END

		END

		FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--
	UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1


	--------------------------------
	--**        ,        ,
	--       #DAYS 

	SELECT a.link, a.link_face, a.LINK_KATEG, a.date1, a.date2, a.[type],
	       a.NUM_STAKE, a.IS_DOP, a.NOT_LGOT_EXPIR, a.ADD_TYPE
	INTO #PERIODY_DEL
	FROM #PERIODY a 
		INNER join #PERIODY p on  	p.[type]<= @MAX_TYPE AND 	p.link_face = a.link_FACE	AND p.[type] <> a.[type] 
	WHERE a.[type]= 0 	
	AND p.[type] IN (SELECT [type]  FROM #ADD_TYPE WHERE vid = 'ADD_TYPE')  


	DELETE  FROM  #PERIODY  WHERE link  IN (SELECT link FROM #PERIODY_DEL)
	
	UPDATE P 
	SET [ADD_TYPE] = (CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END)
	FROM 
		#PERIODY P
	UPDATE P
	SET [ADD_TYPE] = (SELECT top 1 ADD_TYPE FROM #PERIODY WHERE p.date1 between date1 AND DATE2 )
	FROM 
		#PERIODY P WHERE isnull(P.ADD_TYPE,0) = 0 


	--
DECLARE @IS_DOP varchar(10) , @LINK_FACE_OLD int 
SET @Cur1 = CURSOR FORWARD_ONLY
FOR SELECT  link_face,IS_DOP, [TYPE] from #PERIODY order by link_face
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO  @LINK_FACE, @IS_DOP, @TYPE
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		----           #PERIODY

		IF ISNULL(@LINK_FACE_OLD,0) <> isnull(@LINK_FACE,0)
		BEGIN
			IF EXISTS(select * from #PERIODY where isnull(IS_DOP,'') <> '' and link_face = @LINK_FACE /*and [TYPE] = @TYPE*/)
			BEGIN
				select * from #PERIODY where isnull(IS_DOP,'') <> '' and link_face = @LINK_FACE 
				INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
				SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  [DATE1], DATE_END = [DATE2], [TYPE], 0, 0, NUM_STAKE = max(ISNULL(NUM_STAKE,0)), ADD_TYPE
				FROM #PERIODY	
				WHERE [type] <> @TMP_TYPE
				--and [type]  = @TYPE
				and isnull(IS_DOP,'') <> ''
				and link_face = @LINK_FACE
				GROUP BY LINK_FACE, LINK_KATEG, [DATE1],[DATE2], [TYPE], ADD_TYPE 
				ORDER BY LINK_FACE, LINK_KATEG, [DATE1],[DATE2], [TYPE], ADD_TYPE
				-----	

			END 
			 ----           #DAYS
			IF EXISTS(select * from #PERIODY where isnull(IS_DOP,'') = '' and link_face = @LINK_FACE )
			begin
	----
				INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
				SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE]), DATE_END = MAX([DATE]), [TYPE], 0, 0, NUM_STAKE = MAX(ISNULL(NUM_STAKE,0)), TYPE_ADD
				FROM #DAYS	
				where link_face = @link_face
				and [type] not in (select [type] from #periody where isnull(IS_DOP,'') <> '' and link_face = @LINK_FACE)
				GROUP BY LINK_FACE, LINK_KATEG, NUM, [TYPE], TYPE_ADD
				ORDER BY LINK_FACE, LINK_KATEG, DATE_BEG, DATE_END

			
			end 
		
		END 
		set @LINK_FACE_OLD = @LINK_FACE
	END

	FETCH NEXT FROM @Cur1 INTO @LINK_FACE, @IS_DOP, @TYPE
END

CLOSE @Cur1
DEALLOCATE @Cur1
--
UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1	
	

	--  
	DELETE FROM #PERIODY3 WHERE [TYPE] = -1

	/* */
	DECLARE @uslovie INT
	set @uslovie = 1
	while @uslovie > 0
	begin
		update #PERIODY3 set orders = @uslovie 
		from #PERIODY3 as tt
		where 	coalesce(orders,0) = 0
			and date1 = (select min(t.date1) from #PERIODY3 t where coalesce(orders,0) = 0 and t.link_face = tt.link_face AND T.LINK_KATEG = TT.LINK_KATEG)
		if @@rowcount > 0
			set @uslovie = @uslovie + 1
		else
			set @uslovie = 0
	END


	--   
	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_k3, is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k, osob_spo)
	Select S.link, P.orders, P.date1, P.date2, 
		ter_usl = ISNULL(spr1.CODE,spr1A.CODE),
		ter_koef = ISNULL(T.TERR_RK,TA.TERR_RK),
		osob_usl = ISNULL(spr2.CODE,spr2A.CODE),
		osob_k1 = ISNULL(spr6.CODE,spr6A.CODE),
		osob_k2 = CONVERT(VARCHAR(20),left(ISNULL(spr7.CODE,spr7A.CODE),20)),
		osob_k3 = NULL,
		is_osnov = NULL, 
		is_dop = LTRIM(RTRIM(ISNULL(T.IS_DOP,TA.IS_DOP))),
		is_dop_m = NULL, 
		is_dop_d = NULL, 
		ud_osnov = ISNULL(spr5.CODE,spr5A.CODE), 
		ud_dop_m = NULL, 
		ud_dop_d = NULL, 
		ud_dop_k = ISNULL(T.STAVKA_PED_MED,TA.STAVKA_PED_MED) * P.NUM_STAKE,
		osob_spo = ISNULL(spr9.CODE,spr9A.CODE)
	 from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		inner join #PERIODY3 P on S.link_pers = P.link_face AND S.LINK_KATEG = P.LINK_KATEG
		
		LEFT JOIN #ADD_TYPE T ON P.[TYPE] = T.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1 on spr1.spr_code = 'TERR_USL' and spr1.LINK = T.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2 on spr2.spr_code = 'OSOB_USL_TRUDA' and spr2.LINK = T.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5 on spr5.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5.LINK = T.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6 on spr6.SPR_CODE LIKE 'SPISOK%' and spr6.LINK = T.COD_POS_SPISOK
		left join dbo.szv4_spr spr7 on spr7.SPR_CODE LIKE 'SPISOK%' and spr7.LINK = T.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3
		left join dbo.szv4_spr spr9 on spr9.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9.LINK = T.[COD_SPO_USL_TRUD]

		LEFT JOIN #ADD_TYPE TA ON P.[TYPE_ADD] = TA.[TYPE] AND P.[TYPE_ADD] <> P.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1A on spr1A.spr_code = 'TERR_USL' and spr1A.LINK = TA.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2A on spr2A.spr_code = 'OSOB_USL_TRUDA' and spr2A.LINK = TA.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5A on spr5A.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5A.LINK = TA.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6A on spr6A.SPR_CODE LIKE 'SPISOK%' and spr6A.LINK = TA.COD_POS_SPISOK
		left join dbo.szv4_spr spr7A on spr7A.SPR_CODE LIKE 'SPISOK%' and spr7A.LINK = TA.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3	
		left join dbo.szv4_spr spr9A on spr9A.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9A.LINK = TA.[COD_SPO_USL_TRUD]
	where
		S.link_up = @link
		AND
		S.FORMA = 1
	order by
		S.link, P.orders



	--  
	CREATE TABLE #STAGE_DOG (
		LINK_PERS INT, 
		KATEG TINYINT,
		BERIOD_BEG DATETIME,
		BERIOD_END DATETIME
		)

	INSERT INTO #STAGE_DOG (LINK_PERS, KATEG, BERIOD_BEG, BERIOD_END)
	SELECT LINK_FACE, LINK_KATEG, MIN(date1), MAX(date2) 
	FROM #DGH A
	GROUP BY LINK_FACE, LINK_KATEG

	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2,is_dop)
	Select S.link, 1, P.BERIOD_BEG, P.BERIOD_END,is_dop = (CASE WHEN exists(select * from  DOCUMENTS_DGH_T1 t1 
																				inner join dbo.DOCUMENTS_DGH DOC  ON DOC.link = t1.link 
																				WHERE t1.pers_link = p.LINK_PERS
																				AND p.BERIOD_BEG = DOC.PERIOD  ) THEN '' ELSE '' END)
	from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN #STAGE_DOG P on S.link_pers = P.LINK_PERS AND S.LINK_KATEG = P.KATEG
		
	where
		S.link_up = @link
		AND
		S.FORMA = 2
	order by
		S.link
		
	END


--------------------------------------------------------------------------
/*    ,            
C 14     
*/	
DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE 
LINK_UP = @link
AND
EXISTS (		
	Select  1
	from dbo.ss_szv_STazh_svedenia S inner join  dbo.szv_STAZH_pachka p on p.link = s.link
	WHERE 
		S.LINK1 = dbo.SZV_STAZH_SVEDENIA.LINK
		AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0
				 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0 
		and p.vid_kor != 3
		AND NOT EXISTS (SELECT * FROM dbo.SZV_ST_STAZH ST WHERE ST.LINK_UP = S.LINK1)
)


--------------------------------------------------------------------------
exec dbo.SZV_ST_NUMERATOR @link










GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9809.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_RPSV_EXPORT_v5_01]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_RPSV_EXPORT_v5_01]

GO

CREATE   PROCEDURE [dbo].SS_RPSV_EXPORT_v5_01( @Link int /*  */ )
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT ON

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254), @WORK_END VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------
--      
DECLARE @OKATO_OR_OKTMO int
SET @OKATO_OR_OKTMO = dbo.SA_GET_OPTION_BY_CODE('NASTR_USE_OKATO_OKTMO')

DECLARE @ATR_TYPE_KOR INT
SET @ATR_TYPE_KOR  = (SELECT DBO.RN_GET_ATR_VALUE(@Link, 'REPORTS_ATR_TYPE_KOR'))	

-- " "
SET @WORK_END = (SELECT DBO.RN_GET_ATR_VALUE(@Link, 'REPORTS_ATR_LIKVID'))
SET @WORK_END = CASE WHEN @WORK_END LIKE '' THEN '0' ELSE '' END
	
DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT, @Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME
SELECT
	@LINK_DEP = LINK_ORGANIZATION,
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date))),
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @link

SELECT top 1
	DD1.OKPO AS OKPO1,
	RIGHT(LTRIM(RTRIM(DD1.INN)), 12) AS INN1,
	DD1.KPP AS KPP1,
	FULL_NAME = CONVERT(VARCHAR(160),UPPER(DD1.FULL_NAME)),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	RIGHT(REPLICATE('0',15) + LTRIM(RTRIM(DD1.OGRN)), 15) AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	CHIEF.FM as CHIEF_FM,
	CHIEF.IM as CHIEF_IM,
	CHIEF.OT as CHIEF_OT,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	OGRN = RIGHT(REPLICATE('0',15) + LTRIM(RTRIM(DD1.OGRN)), 15),
	DD1.OKATO,
	DD1.OKTMO,
	OKVED = (CASE WHEN LEN(ltrim(rtrim(DD1.OKVED)))<8 AND RIGHT(DD1.OKVED,1) = '.' THEN STUFF(DD1.OKVED,LEN(ltrim(rtrim(DD1.OKVED))),1,'') ELSE DD1.OKVED end) ,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TFOMS_KTI = '03',
	WORK_END = '1'
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP


/*       ,       */
IF OBJECT_ID('tempdb..#t_osn') IS NOT NULL DROP TABLE #t_osn
CREATE table #t_osn (code CHAR(10), COL1 INT , COL2 VARCHAR(10) , COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 INT, COL6 VARCHAR(100), COL7 VARCHAR(10), col8 int , col9 int, col10 int, col11 int)
IF OBJECT_ID('tempdb..#t_kor') IS NOT NULL DROP TABLE #t_kor
CREATE table #t_kor (code CHAR(10), COL1 INT , COL2 CHAR(4) , COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 VARCHAR(50), COL6 VARCHAR(50), COL7 VARCHAR(50), col8 int , col9 VARCHAR(100), col10 VARCHAR(10), col11 int, col12 int , col13 int, col14 VARCHAR(50), col15 VARCHAR(50), col16 VARCHAR(10))


INSERT INTO #t_osn /*(code, COL1, COL2, COL3, COL4, COL5, COL6, COL7, col8, col9, col10, col11)*/
exec [dbo].RSA_RSV_1_PERS_UCH @Begin_Date, @End_Date, @LINK_DEP ,0,  @link   

INSERT INTO #t_kor
exec [dbo].RSA_RSV_1_PERS_UCH @Begin_Date, @End_Date, @LINK_DEP ,1,  @link   

INSERT INTO #t_osn (code, COL1 , COL2 , COL4)
SELECT code, COL1 , COL2 , COL4
FROM #t_kor

DECLARE @NUM_P INT 
IF COALESCE(dbo.sa_get_option_by_code('SA_SZV4_OPT3'),0) = 1
	SET @NUM_P = (SELECT MIN(COALESCE(COL1,0))-1 FROM #t_osn) 
ELSE 
	SET @NUM_P = (SELECT MAX(COALESCE(COL1,0))+1 FROM #t_osn) 

drop table #t_osn 
drop table #t_kor

/**/





DECLARE @Cur0 CURSOR, @CurD0 CURSOR, @Cur00 CURSOR,@Cur000 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @TABD_NUM TINYINT, @TABD_NAME VARCHAR(254), @TAB1_NAME VARCHAR(254), @TAB1_NUM TINYINT, @Cur CURSOR, @Cur1 CURSOR , @Cur2 CURSOR , @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254),
		@CurI0 CURSOR,@CurI00 CURSOR,@CurI000 CURSOR,@CurI CURSOR, @CurI1 CURSOR, @CurI2 CURSOR


DECLARE @lcFNAME varchar(254),
		@lcFidNAME VARCHAR(254)
SELECT @lcFNAME = 'NO_RASCHSV_' + ltrim(rtrim(ISNULL(IMNS_SONO,'0000000000'))) + '_' + ltrim(rtrim(ISNULL(SONO,'0000000000'))) + '_' + ltrim(rtrim(INN1)) + '' + ltrim(rtrim(KPP1))+ '_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.','')))) + '_0.XML' FROM #DEP_DATA
SELECT @lcFidNAME = 'NO_RASCHSV_' + ltrim(rtrim(ISNULL(IMNS_SONO,'0000000000'))) + '_' + ltrim(rtrim(ISNULL(SONO,'0000000000'))) + '_' + ltrim(rtrim(INN1)) + '' + ltrim(rtrim(KPP1))+ '_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.','')))) + '_0' FROM #DEP_DATA

--exec SS_RPSV_EXPORT_v5_01   3229	
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, 'OEM' -- 
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="Windows-1251" ?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '< ="'+LTRIM(RTRIM(@lcFidNAME))+'" ="'+@NAME_PROG+ ':'+ @VERS_PROG+'" ="5.01">'
	UNION ALL SELECT @lcFNAME, SPACE(1) + '<'
										+ ' ="1151111"'
										+ ' ="' + convert(varchar(10),@modify_date,104) + '"'
										+ ' ="' + ISNULL(LTRIM(RTRIM(@ATR_TYPE_KOR)),'') + '"'
										+ ' ="' + (CASE WHEN @Period_Number = 1 and @WORK_END = '' THEN '21'
															  WHEN @Period_Number = 2 and @WORK_END = '' THEN '31' 
															  WHEN @Period_Number = 3 and @WORK_END = '' THEN '33' 
															  WHEN @Period_Number = 4 and @WORK_END = '' THEN '34' 
															  WHEN @Period_Number = 1 and @WORK_END = '0' THEN '51'
															  WHEN @Period_Number = 2 and @WORK_END = '0' THEN '52' 
															  WHEN @Period_Number = 3 and @WORK_END = '0' THEN '53' 
															  WHEN @Period_Number = 4 and @WORK_END = '0' THEN '90'	END) + '"'
										+ ' ="' + CONVERT(VARCHAR(4),@YEAR) + '"'
										+ ' ="' + LTRIM(RTRIM(isnull(IMNS_SONO,''))) + '"'
										+ ' ="214">'
	FROM #DEP_DATA
		UNION ALL SELECT @lcFNAME, SPACE(2) + '<'	
			+ ' ="' + LTRIM(RTRIM(ISNULL(OKVED,''))) + '"'
			+ CASE WHEN ISNULL((SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = ''),'') = '' 
				THEN '' ELSE 
				' ="' +(SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = '') + '"'
				END 
				+ '>'
		FROM #DEP_DATA	
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<'	
					+ ' ="' + LTRIM(RTRIM(REPLACE(FULL_NAME,'"',''))) + '"'
					+ ' ="' +LTRIM(RTRIM(INN1)) + '"'
					+ ' ="' + LTRIM(RTRIM(KPP1)) + '">'
				FROM #DEP_DATA	
					UNION ALL SELECT @lcFNAME,  
						  CASE WHEN @WORK_END = '0'
							   THEN   SPACE(4) + '<'
						   	   + '  = "' + @WORK_END + '"'
						   	   + ' ="' +LTRIM(RTRIM(INN1)) + '"'
						   	   + ' ="' + LTRIM(RTRIM(KPP1)) + '"/>' 
						   	   ELSE '' END
						 	   FROM #DEP_DATA
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'				 	   	
		
				/*UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<></>'
					FROM #DEP_DATA
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<'
						+ ' =" "'
						+ ' =" "'
						+ ' =" "/>'	
						FROM #DEP_DATA		
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'	
				*/
				/*UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<'
						+ ' =" "'
						+ ' =" "'
						+ ' =" "/>'	
						FROM #DEP_DATA	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<></>'
					FROM #DEP_DATA
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<'
							+ ' ="          "'
							+ ' =" "'
							+ ' ="   ">'	
							FROM #DEP_DATA	
						UNION ALL SELECT @lcFNAME, SPACE(5) + '<'
							+ ' ="  "'
							+ ' =" "'
							+ ' =" "'
							+ ' ="          "/>'	
							FROM #DEP_DATA	
						UNION ALL SELECT @lcFNAME, SPACE(5) + '<'
							+ '  ="      "'
							+ ' ="  "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+' />'	
							FROM #DEP_DATA				
					UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'	*/				
	    UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	
	    UNION ALL SELECT @lcFNAME, SPACE(2) + '< ="1">'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<'	+ ' ="' + LTRIM(RTRIM(CHIEF_FM)) + '"'
					+ ' ="' +LTRIM(RTRIM(CHIEF_IM)) + '"'
					+ ' ="' + LTRIM(RTRIM(CHIEF_OT)) + '"/>'
				FROM #DEP_DATA	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	--exec SS_RPSV_EXPORT_v5_01   3229	
	
	--   
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(2) + '<>'
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(3) + '< ="'+ REPLACE(LTRIM(RTRIM(ISNULL(OKTMO,''))),SPACE(1),'') +'">' 			
		FROM #DEP_DATA

	---  1  1
	--     
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(4) + '< ="18210202010061010160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 5, 4)) +'"/>'	
	---     
			UNION ALL
			SELECT @lcFNAME, SPACE(4) + '< ="18210202101081013160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 7, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 8, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 10, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 11, 4)) +'"/>'	
	---          
			
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (13,14,15,16)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202131061010160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 13, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 14, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 15, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 16, 4)) +'"/>'	
			END
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (18,19,20,21)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202131061020160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 18, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 19, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 20, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 21, 4)) +'"/>'	
			END
			
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (23,24,25,26)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202132061010160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 23, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 24, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 25, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 26, 4)) +'"/>'				
			END
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (28,29,30,31)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202132061020160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 28, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 29, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 30, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 31, 4)) +'"/>'				
			END


			---       
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (33,34,35,36)) > 0.00
			BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="00020253062060000151" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 33, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 34, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 35, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 36, 4)) +'"/>'				
			END
		
			---       
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (38,39,40,41)) > 0.00
			BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="00020253066060000151" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 38, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 39, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 40, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 41, 4)) +'"/>'				
			END			
			---       
			--             
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202090071010160" >'
				UNION ALL
				SELECT @lcFNAME, SPACE(5) + '< '
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 43, 4)) = 0 then  ''
						ELSE '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 43, 4)) +'" ' 
					end
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 44, 4)) = 0 then  ''
						ELSE '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 44, 4)) +'" '
					END
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 45, 4)) = 0 then  ''
						ELSE '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 45, 4)) +'" '
					end
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 46, 4)) = 0 then  ''
					     else '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 46, 4)) +'" '
					END     
					+ '/>'		
					
			
			--exec SS_RPSV_EXPORT_v5_01    5020
			--        
			--        
			--     
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(5) + '< '
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 47, 4)) = 0 then  ''
						else '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2))  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 47, 4)) +'" '
					end
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 48, 4)) = 0 then  ''
						ELSE '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 48, 4)) +'" '
					END
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 49, 4)) = 0 then  ''
						ELSE '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 49, 4)) +'" '
					END	
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 50, 4)) = 0 then  ''
						ELSE '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 50, 4)) +'" '
					END	
					+ '/>'					
				UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'


	--           (1-.1)	
	-- 
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			--__	 -   
			SELECT @lcFNAME, SPACE(4) + '<__ '	 	
			--	
				 + '="' + (select LTRIM(RTRIM(ISNULL(TFOMS_KT,''))) FROM #DEP_DATA) + '">' 
			--_ -  
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'	
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 7)) +'"/>'	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 7)) +'"/>'	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
	


---  1..1.3.1            
		--_428 - 
		--	_428.1-2 - 	  
		
			if   (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (1) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
				OR (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (6) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
				OR (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, default, DEFAULT ) WHERE row IN (1,6,11,16,21) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
				OR (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, default, DEFAULT ) WHERE row IN (1,6,11,16,21) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
			BEGIN
						
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_428>'
				--   1
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (1) AND col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.1-2 ="1">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.1-2>'	
				END 	
					
				--   2
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (6) AND col IN (3,4,5,6,7) and summa<> 0 )>0  
				BEGIN				
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.1-2 ="2">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.1-2>'									
				END
				
				--              
				--        428     (1 .1.3.2)
			--exec SS_RPSV_EXPORT_v5_01   3229		
	 ----------------------------
	  -----------  1 ----------
	  ------------------------------
				-- -  4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="1">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END
	  
				--  3.4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="2">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END			
				--  3.3
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="3">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.2
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="4">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.1
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="5">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
			---------------------
			----------   2
			--------------------
							-- -  4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="2" ="1" ="1">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END
	  
				--  3.4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="2">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END			
				--  3.3
	--exec SS_RPSV_EXPORT_v5_01   3229	
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="3">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.2
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="4">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.1
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="5">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
					END			
				
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_428>'
				END 
	---            
	--     ,        
	--    (1 .1.4)
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'				  		  		
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<>1</>'	
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 7)) +'"/>'		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
				END	
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'				  		  		
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<>2</>'	
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 7)) +'"/>'		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
				END	
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</__>'	 			  					  
	
	--         
	--        (1 .2)
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<_.'	
																				 + ' ="1">' 
					UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 7)) +'"/>'
					UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 7)) +'"/>'
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 7)) +'"/>'	
			--exec SS_RPSV_EXPORT_v5_01   3229	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'		
					UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 3)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 3))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 3)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<3 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 4)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 4))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 4)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<13 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 5)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 5))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 5)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<23 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 6)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 6))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 6)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<33 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 7)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 7))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 7)) +'"/>'

					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	    																			
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</_.>'	
				END 
				
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<_.'	
																				 + ' ="2">'  
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 7)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 7)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 7)) +'"/>'	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'		
					UNION ALL SELECT @lcFNAME, SPACE(6) + ' < ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 3)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 3))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 3)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<3 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 4)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 4))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 4)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<13 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 5)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 5))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 5)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<23 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 6)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 6))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 6)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<33 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 7)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 7))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 7)) +'"/>'
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	    																			


				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</_.>'	
				END 	
				

	---        
	--        ,   
	--      (1 .3)

				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, DEFAULT ) WHERE col IN (5,6) and summa<> 0 )  > 0
				BEGIN
					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<>'	
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, DEFAULT ) WHERE col IN (5,6) and summa<> 0 )  > 0
					BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 6)) +'"/>'
					END
					
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, DEFAULT ) WHERE col IN (5,6) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 5)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 5)) +'"/>'
					END
					
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, 5)) +'"/>'
					END 
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, 5)) +'"/>'
					END
					
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 13, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 13, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 13, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, 5)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 16, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 16, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 16, 6)) +'"/>'
					END
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</>'	
				END
				
			
---------------------------
----------------
---------------------------


--exec SS_RPSV_EXPORT_v5_01   3229	
	-- ,    ,     (1. .4)
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, DEFAULT, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
				begin
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<>'
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'	
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA) ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 5, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 5, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 5, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 6, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 6, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 6, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					end	
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 8, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 8, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 8, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 9, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 9, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 9, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 10, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 10, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 10, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 14, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 14, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 14, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 16, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 16, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 16, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 17, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 17, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 17, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 18, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 18, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 18, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 19, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 19, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 19, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 20, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 20, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 20, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'		
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<255>'		
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 22, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 22, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 22, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 23, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 23, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 23, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</255>'	
					END
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
							SELECT @lcFNAME, SPACE(6) + '<>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 31, 4))+'"</> '
							 
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 24, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 24, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 24, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 25, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 25, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 25, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 26, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 26, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 26, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 27, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 27, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 27, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 28, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 28, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 28, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 29, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 29, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 29, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 30, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 30, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 30, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</>'	
				END	

------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------
	--           , 
	--    3  1  427     (1 .5)  
------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------
				IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, DEFAULT,DEFAULT) WHERE row IN(1,2,4) AND col IN(3,4) AND  summa <> 0 ) > 0 
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<3.1.427>'	
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1,3) WHERE summa <> 0 ) > 0 
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1,3))+'"</_9> '
					END
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1,4))+'"</_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2,3) WHERE summa <> 0 ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<248_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2,3))+'"</248_9> '
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<248_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2,4))+'"</248_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3,3) WHERE summa <> 0 ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5.427_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3,3))+'"</5.427_9> '
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5..427_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3,4))+'"</5..427_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4,3) WHERE summa <> 0 ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5.427_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4,3))+'"</5.427_9> '
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5.427_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4,4))+'"</5.427_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5,5) WHERE isnull(str_val,'') <> '' ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< =""' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),STR_VAL),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5,5))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),STR_VAL),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5,6))+'"/>'
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</3.1.427>'			
				END
-----------------------------------------------------------------------------------------------------------
	--1 .6_7
	--          , 
	--   5  1  427     (1 .6)
---------------------------------------------------------------------------------------------------------	

				IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, DEFAULT,DEFAULT) WHERE row IN(1,2,3) AND col IN(3) AND  summa <> 0 ) > 0 
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					SELECT @lcFNAME, SPACE(4) + '<5.1.427 346.15=""' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1,3))+'" '
						+ '6.427="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2,3))+'" '
						+ '6.427="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 3,3))+'"/>'

				END 
------------------------------------------------------------------------------------------------------------
--1 .6_7
	--           , 
	--    7  1  427     (1 .7)
------------------------------------------------------------------------------------------------------------	
				IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, DEFAULT,DEFAULT) WHERE row IN(4,5,6,7,8) AND col IN(4,5) AND  summa <> 0 ) > 0 
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					SELECT @lcFNAME, SPACE(4) + '<7.1.427 =""' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4,4))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4,5))+'" '
						+ CASE WHEN (select summa FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5,4) ) > 0 THEN 
								'6.427="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5,4))+'"'
							 ELSE ''
						  END 	
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5,5))+'" '
						+ CASE WHEN (select summa FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6,4) ) > 0 THEN 
								'="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6,4))+'"'
							 ELSE ''
						  END 	
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6,5))+'" '
						+ CASE WHEN (select summa FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,4) ) > 0 THEN 
								'="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,4))+'"'
							 ELSE ''
						  END 			
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,5))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 8,4))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 8,5))+'"/>'
				END 
--exec SS_RPSV_EXPORT_v5_01   3229	
--------------------------------------------------------------------------------------------------------
--- 1 .8   
	--,        , 
	--   9  1  427     (1 .8)

	--***9.1.427 - 	
--------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------
--- 1..9
------ ,      ,    
------  2  2  425 (   1  2  426) 
------     (1..9)
-----------------------------------------------------------------------------------------------------------



				if (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, DEFAULT, DEFAULT) WHERE ROW_code ='1' AND COL = 2 AND ISNULL(STR_VAL,'') <> '') > 0
				begin

						/*   */
						CREATE TABLE #INOST (LINK INT, FM VARCHAR(60), IM VARCHAR(60), OT VARCHAR(60), INN VARCHAR(12), SNILS VARCHAR(14),
							 GR_CODE VARCHAR(3), SUM_NACH NUMERIC(11,2),SUM_M1 NUMERIC(11,2),SUM_M2 NUMERIC(11,2),SUM_M3 NUMERIC(11,2) )

						CREATE TABLE #TAB1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
						INSERT INTO #TAB1 (ROW_CODE, COL, SUMMA, STR_VAL)
						SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

						INSERT INTO #INOST (LINK, FM, IM, OT, INN, SNILS, GR_CODE, SUM_NACH,SUM_M1,SUM_M2,SUM_M3)
						SELECT DISTINCT
							LINK = (SELECT TOP 1 row_code FROM #TAB1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
							FM = (SELECT TOP 1 LEFT(STR_VAL,60) FROM #TAB1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
							IM = (SELECT TOP 1 LEFT(STR_VAL,60) FROM #TAB1 T WHERE T.COL = 3 AND T.ROW_CODE = T1.ROW_CODE),
							OT = (SELECT TOP 1 LEFT(STR_VAL,60) FROM #TAB1 T WHERE T.COL = 4 AND T.ROW_CODE = T1.ROW_CODE),
							INN = (SELECT TOP 1 left(STR_VAL,12) FROM #TAB1 T WHERE T.COL = 5 AND T.ROW_CODE = T1.ROW_CODE),
							SNILS = (SELECT TOP 1 left(STR_VAL,14) FROM #TAB1 T WHERE T.COL = 6 AND T.ROW_CODE = T1.ROW_CODE),
							GR_CODE = (SELECT TOP 1 left(STR_VAL,3) FROM #TAB1 T WHERE T.COL = 7 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_NACH = (SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 8 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_M1 = (SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 9 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_M2 = (SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 10 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_M3 =(SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 11 AND T.ROW_CODE = T1.ROW_CODE)
						FROM
							#TAB1 T1 
	

						DROP TABLE #TAB1

						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<2.2.425>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						SELECT @lcFNAME,
							SPACE(5) + ' <'  +
								' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_NACH),0)))) + '"' +
								' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(sum(SUM_M1),0)+ISNULL(sum(SUM_M2),0)+ISNULL(sum(SUM_M3),0))))) + '"' +
								' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_M1),0)))) + '"' +
								' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_M2),0)))) + '"' +
								' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_M3),0)))) + '"' +
							' />'
						FROM #INOST
					
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
							SELECT @lcFNAME, SPACE(5) + '<'+	
								         ' ="' + UPPER(LTRIM(RTRIM(ISNULL(INN,'')))) + '"' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(SNILS,'')))) + '"' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(GR_CODE,'')))) + '">' + 
								SPACE(6) + '<' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(FM,'')))) + '"' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(IM,'')))) + '"' +
										 CASE WHEN ISNULL(OT,'')<>'' THEN ' ="' + UPPER(LTRIM(RTRIM(ISNULL(OT,'')))) + '"'
										 ELSE '' END +
										  '/>'+
								SPACE(6) + '<' + 
												' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_NACH,0)))) + '"' +
												' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(SUM_M1,0)+ISNULL(SUM_M2,0)+ISNULL(SUM_M3,0))))) + '"' +
												' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_M1,0)))) + '"' +
												' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_M2,0)))) + '"' +
												' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_M3,0)))) + '"' +				
												' />'+	
								SPACE(5) + '</>'					
							FROM #INOST
							ORDER BY fm, im, ot, snils
							--INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
						
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</2.2.425>'	

						DROP TABLE #INOST	
				END
				
--exec SS_RPSV_EXPORT_v5_01   355	

-----------------------------------------------------------------
	-- ,      1  3  422     
	-- ,            
	-- ,          ,  
	--    (         ,  
	--  )      - ,    
	--    ()   (1 .10)

--- 
------------------------------------------------------------------

				CREATE TABLE #STUD (LINK INT, FM VARCHAR(60), IM VARCHAR(60),OT VARCHAR(60), NUM_SPR1 VARCHAR(30), 
									DATE_SPR1 VARCHAR(10),NUM_SPR2 VARCHAR(30), DATE_SPR2 VARCHAR(10),
									SM_ALL 	NUMERIC(18,2), SM1 NUMERIC(18,2), SM2 NUMERIC(18,2), SM3 NUMERIC(18,2) )

				CREATE TABLE #STUD_1 ( LINK_UP INT , N_PP INT ,SVED VARCHAR(1000), DATE_R VARCHAR(10),NUM_R VARCHAR(28) )

				CREATE TABLE #TAB110 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
				INSERT INTO #TAB110 (ROW_CODE, COL, SUMMA, STR_VAL)
				SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

				CREATE TABLE #TAB110_1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
				INSERT INTO #TAB110_1 (ROW_CODE, COL, SUMMA, STR_VAL)
				SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

				INSERT INTO #STUD (LINK, FM,IM,OT, NUM_SPR1, DATE_SPR1,NUM_SPR2, DATE_SPR2,
					SM_ALL, SM1, SM2, SM3 )
				SELECT DISTINCT
					link = (SELECT TOP 1 ROW_CODE FROM #TAB110 T WHERE T.COL = 2 AND T.ROW_CODE = T110.ROW_CODE),
					FM = (SELECT TOP 1 LEFT(LTRIM(RTRIM(ISNULL(STR_VAL,''))),60) FROM #TAB110 T WHERE T.COL = 2 AND T.ROW_CODE = T110.ROW_CODE),
					IM = (SELECT TOP 1 LEFT(LTRIM(RTRIM(ISNULL(STR_VAL,''))),60) FROM #TAB110 T WHERE T.COL = 3 AND T.ROW_CODE = T110.ROW_CODE),
					OT = (SELECT TOP 1 LEFT(LTRIM(RTRIM(ISNULL(STR_VAL,''))),60) FROM #TAB110 T WHERE T.COL = 4 AND T.ROW_CODE = T110.ROW_CODE),
					NUM_SPR1 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(dbo.SA_GET_WORD_NUM(STR_VAL,1,' '))),30) FROM #TAB110 T WHERE T.COL = 5 AND T.ROW_CODE = T110.ROW_CODE),
					DATE_SPR1 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB110 T WHERE T.COL = 6 AND T.ROW_CODE = T110.ROW_CODE),
					NUM_SPR2 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(dbo.SA_GET_WORD_NUM(STR_VAL,1,' '))),30) FROM #TAB110 T WHERE T.COL = 7 AND T.ROW_CODE = T110.ROW_CODE),
					DATE_SPR2 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB110 T WHERE T.COL = 8 AND T.ROW_CODE = T110.ROW_CODE),
					SM_ALL = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 9 AND T.ROW_CODE = T110.ROW_CODE),
					SM1 = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 10 AND T.ROW_CODE = T110.ROW_CODE),
					SM2 = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 11 AND T.ROW_CODE = T110.ROW_CODE),
					SM3 = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 12 AND T.ROW_CODE = T110.ROW_CODE)
				FROM
					#TAB110 T110

				DROP TABLE #TAB110


				INSERT INTO #STUD_1 ( LINK_UP, N_PP,SVED, DATE_R,NUM_R)
				SELECT DISTINCT
					link_up = (SELECT TOP 1 ROW_CODE FROM #TAB110_1 T WHERE T.COL = 2 AND T.ROW_CODE = T110_1.ROW_CODE),
					N_PP = (SELECT TOP 1 ROW_CODE FROM #TAB110_1 T WHERE T.COL = 2 AND T.ROW_CODE = T110_1.ROW_CODE),
					SVED = (SELECT TOP 1 LTRIM(RTRIM(ISNULL(STR_VAL,''))) FROM #TAB110_1 T WHERE T.COL = 2 AND T.ROW_CODE = T110_1.ROW_CODE),
					DATE_R = (SELECT TOP 1 LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),STR_VAL,104),''))) FROM #TAB110_1 T WHERE T.COL = 3 AND T.ROW_CODE = T110_1.ROW_CODE),
					NUM_R = (SELECT TOP 1 LTRIM(RTRIM(ISNULL(STR_VAL,''))) FROM #TAB110_1 T WHERE T.COL = 4 AND T.ROW_CODE = T110_1.ROW_CODE)
				FROM
					#TAB110_1 T110_1

				DROP TABLE #TAB110_1


				--  
				DECLARE @NEXT_NUM2 INT
				SET @NEXT_NUM2 = 0
				UPDATE #STUD SET @NEXT_NUM2 = @NEXT_NUM2 + 1, LINK = @NEXT_NUM2

				-- 
				DECLARE @COUNT_STUD INT
				set @COUNT_STUD = (select count(*) from #STUD )


				--IF (SELECT COUNT(*) FROM #STUD) > 0 -- 
				--	OR (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 15, DEFAULT, DEFAULT) WHERE COL = 5 AND SUMMA <> 0) > 0 --  
				--BEGIN

				IF (SELECT COUNT(*) FROM #STUD) > 0 -- 
				BEGIN


					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<1.3.422>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						SELECT @lcFNAME,
							SPACE(5) + ' <'  +
								' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM_ALL),0)))) + '"' +
								' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(sum(SM1),0)+ISNULL(sum(SM2),0)+ISNULL(sum(SM3),0))))) + '"' +
								' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM1),0)))) + '"' +
								' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM2),0)))) + '"' +
								' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM3),0)))) + '"' +
							' />'
						FROM #STUD
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,   
							SPACE(5) + '<>' + CHAR(10) +		
								SPACE(6) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(3),ISNULL(S.link,0)))) + '</>' + CHAR(10) + 		
								SPACE(6) + '<' + 
										'  ="' + UPPER(LTRIM(RTRIM(ISNULL(S.FM,'')))) + '"' + 		
										'  ="' + UPPER(LTRIM(RTRIM(ISNULL(S.IM,'')))) + '"' +		
										'  ="' + UPPER(LTRIM(RTRIM(ISNULL(S.OT,'')))) + '"' +											
										'"/>'+ CHAR(10) +
								SPACE(6) + '<' +
										   ' ="' + UPPER(LTRIM(RTRIM(ISNULL(S.NUM_SPR1,'')))) + '"' + 		
										   ' ="' + LTRIM(RTRIM(ISNULL(convert(varchar(10),SUBSTRING(S.DATE_SPR1,1,2)+'.'+SUBSTRING(S.DATE_SPR1,3,2)+'.'+SUBSTRING(S.DATE_SPR1,5,4),104),''))) + '"' + 		
										   '"/>'+ CHAR(10) +
								SPACE(6) + '<' +
										' ="' + LTRIM(RTRIM(ISNULL(S.NUM_SPR2,''))) + '"' + 		
										' ="' + LTRIM(RTRIM(ISNULL(convert(varchar(10),SUBSTRING(S.DATE_SPR2,1,2)+'.'+SUBSTRING(S.DATE_SPR2,3,2)+'.'+SUBSTRING(S.DATE_SPR2,5,4),104),''))) + '"' + 			
										'"/>' + CHAR(10) +
								SPACE(6) + '<' + 
												' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM_ALL,0)))) + '"' +
												' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(S.SM1,0)+ISNULL(S.SM2,0)+ISNULL(S.SM3,0))))) + '"' +
												' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM1,0)))) + '"' +
												' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM2,0)))) + '"' +
												' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM3,0)))) + '"' +				
												'"/>' + CHAR(10) +
								SPACE(6) + '<>' + CHAR(10) +	
									SPACE(7) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(1000),ISNULL(S1.SVED,0)))) + '</>' + CHAR(10) + 
									SPACE(7) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10), SUBSTRING(S1.DATE_R,1,2)+'.'+SUBSTRING(S1.DATE_R,3,2)+'.'+SUBSTRING(S1.DATE_R,5,4),104),''))) + '</>' + CHAR(10) + 
									SPACE(7) + '<>' + LTRIM(RTRIM(convert(varchar(28),ISNULL(S1.NUM_R,0)))) + '</>' + CHAR(10) + 
								SPACE(6) + '</>' + CHAR(10) +	
							SPACE(5) + '</>'                                   
						FROM #STUD S 
						LEFT JOIN #STUD_1 S1 ON S.LINK	= S1.LINK_UP		
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</1.3.422>'		

				END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</>' 	
	-- <_>'  -     
	
-----------------------------------------------------
-----------------------------------------------------
------    
------     2.5.1   
------ 
-----------------------------------------------------	

	---     -     
			  			
if (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 19, DEFAULT, DEFAULT) WHERE COL = 22 and ISNULL(STR_VAL,'') <> '') <> 0
begin	
	
				
					
		--  exec SS_RPSV_EXPORT_v5_01 2932			
/********************************/
--				* 
--				*  3 
/********************** */	
 
					CREATE TABLE #TAB3 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
					INSERT INTO #TAB3 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
					SELECT ROW_CODE, COL, SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 19, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

  --  exec SS_RPSV_EXPORT_v5_01 803

					CREATE TABLE #P_3 (	LINK INT, [TYPE] varchar(15), NOM_PP INT, NOM_K CHAR(3), PER VARCHAR(2),YEAR_BEGIN VARCHAR(4),DATE_PU VARCHAR(10), 
										PER_EDT VARCHAR(2), YEAR_EDT VARCHAR(4), 
										INN VARCHAR(12), SNILS VARCHAR(14), FM varchar(100), IM varchar(100), OT varchar(100), BIRTH_DATE VARCHAR(10),
										GRAZHD VARCHAR(3),SEX INT, DOC_CODE CHAR(2), DOC_SR VARCHAR(20) , DOC_NM  VARCHAR(20), PRIZ_OPS INT , PRIZ_OMS INT , PRIZ_FSS INT , link_face int
										/*NOM_PACH varchar(5)*/)

					INSERT INTO #P_3 ( /*LINK,*/[TYPE], NOM_PP, NOM_K, PER,YEAR_BEGIN,DATE_PU, 
										PER_EDT, YEAR_EDT, 
										INN, SNILS, FM, IM, OT, BIRTH_DATE,
										GRAZHD,SEX, DOC_CODE, DOC_SR,DOC_NM, PRIZ_OPS, PRIZ_OMS, PRIZ_FSS,  link_face
										/*NOM_PACH*/ )
					SELECT
								/*LINK */
								[TYPE] = ISNULL([TYPE], 1),
								NOM_PP =  ROW_NUMBER() OVER ( ORDER BY fm, im , ot, SNILS, LINK_FACE) ,
								NOM_K = ISNULL(NOM_K,0),
								PER,YEAR_BEGIN,DATE_PU,PER_EDT = isnull(PER_EDT,0), YEAR_EDT,
								INN, SNILS, FM, IM, OT, BIRTH_DATE = case when patindex ('%,%', BIRTH_DATE)<> 0 then replace(BIRTH_DATE,',','.') else BIRTH_DATE end ,
								GRAZHD,SEX, DOC_CODE, DOC_SR,DOC_NM,  PRIZ_OPS, PRIZ_OMS, PRIZ_FSS ,
								link_face --, NOM_PACH
						FROM
					(
					SELECT DISTINCT
						[TYPE] = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),15) FROM #TAB3 T WHERE T.COL = 20 AND T.ROW_CODE = T3.ROW_CODE),
						--NOM_PP = 0,--(SELECT TOP 1 ROW_CODE FROM #TAB3 T WHERE T.COL = 2 AND T.ROW_CODE = T3.ROW_CODE),
						NOM_K = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),3) FROM #TAB3 T WHERE T.COL = 2 AND T.ROW_CODE = T3.ROW_CODE), 
						PER = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),2) FROM #TAB3 T WHERE T.COL = 3 AND T.ROW_CODE = T3.ROW_CODE),
						YEAR_BEGIN = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),4) FROM #TAB3 T WHERE T.COL = 4 AND T.ROW_CODE = T3.ROW_CODE),
						DATE_PU = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB3 T WHERE T.COL = 5 AND T.ROW_CODE = T3.ROW_CODE),
						PER_EDT = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),2) FROM #TAB3 T WHERE T.COL = 23 AND T.ROW_CODE = T3.ROW_CODE),
						YEAR_EDT = ''/*(SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL = 14 AND T.ROW_CODE = T3.ROW_CODE)*/,		
						INN= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),12) FROM #TAB3 T WHERE T.COL = 6 AND T.ROW_CODE = T3.ROW_CODE), 
						SNILS = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),14) FROM #TAB3 T WHERE T.COL = 7 AND T.ROW_CODE = T3.ROW_CODE),
						FM= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),100) FROM #TAB3 T WHERE T.COL = 8 AND T.ROW_CODE = T3.ROW_CODE),
						IM= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),100) FROM #TAB3 T WHERE T.COL = 9 AND T.ROW_CODE = T3.ROW_CODE),
						OT= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),100) FROM #TAB3 T WHERE T.COL = 10 AND T.ROW_CODE = T3.ROW_CODE),
						BIRTH_DATE = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB3 T WHERE T.COL =11 AND T.ROW_CODE = T3.ROW_CODE),
						GRAZHD  = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),3) FROM #TAB3 T WHERE T.COL =12 AND T.ROW_CODE = T3.ROW_CODE),
						SEX = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),1) FROM #TAB3 T WHERE T.COL =13 AND T.ROW_CODE = T3.ROW_CODE),
						DOC_CODE = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),2) FROM #TAB3 T WHERE T.COL =14 AND T.ROW_CODE = T3.ROW_CODE),
						DOC_SR = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),20) FROM #TAB3 T WHERE T.COL =15 AND T.ROW_CODE = T3.ROW_CODE),
						DOC_NM = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),20) FROM #TAB3 T WHERE T.COL =16 AND T.ROW_CODE = T3.ROW_CODE),
						PRIZ_OPS= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =17 AND T.ROW_CODE = T3.ROW_CODE),
						PRIZ_OMS= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =18 AND T.ROW_CODE = T3.ROW_CODE),
						PRIZ_FSS= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =19 AND T.ROW_CODE = T3.ROW_CODE),
						LINK_FACE= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =22 AND T.ROW_CODE = T3.ROW_CODE)--,
						--NOM_PACH= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =21 AND T.ROW_CODE = T3.ROW_CODE)
					FROM
					#TAB3 T3	
						) T GROUP BY [TYPE]/*,NOM_PP*/,NOM_K,PER,YEAR_BEGIN,DATE_PU,PER_EDT,YEAR_EDT,INN,SNILS, FM,IM,OT,BIRTH_DATE	,GRAZHD,SEX,DOC_CODE,DOC_SR,DOC_SR,DOC_NM,PRIZ_OPS,PRIZ_OMS,PRIZ_FSS, LINK_FACE
					ORDER BY t.FM,IM,OT,SNILS


/****************************************************/
/* 3.1*/
/**************************************************/
   				
					CREATE TABLE #TAB3_1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
					INSERT INTO #TAB3_1 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
					SELECT ROW_CODE, COL, SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 20, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL


					CREATE TABLE #P_3_1 (
												LINK INT, [TYPE] varchar(15), NOM_PP INT, SNILS VARCHAR(14), CODE_STR int, CODE_KAT varchar(5),CODE_TAR char(2), INSUR NUMERIC(18,2), B_BEF NUMERIC(18,2), GB_BEF NUMERIC(18,2),B_AFT NUMERIC(18,2),
												PER VARCHAR(1), YEAR_BEGIN VARCHAR(4), PER_EDT VARCHAR(1), YEAR_EDT VARCHAR(4), FM varchar(100), IM varchar(100), OT varchar(100),
												k_PER_EDT1 VARCHAR(1), k_YEAR_EDT1 VARCHAR(4), k_INSUR1 NUMERIC(18,2), k_INSUR_1 NUMERIC(18,2), k_GAIN1 NUMERIC(18,2),
												k_PER_EDT2 VARCHAR(1), k_YEAR_EDT2 VARCHAR(4), k_INSUR2 NUMERIC(18,2), k_INSUR_2 NUMERIC(18,2), k_GAIN2 NUMERIC(18,2),
												k_PER_EDT3 VARCHAR(1), k_YEAR_EDT3 VARCHAR(4), k_INSUR3 NUMERIC(18,2), k_INSUR_3 NUMERIC(18,2), k_GAIN3 NUMERIC(18,2),
												k_PER_EDT4 VARCHAR(1), k_YEAR_EDT4 VARCHAR(4), k_INSUR4 NUMERIC(18,2), k_INSUR_4 NUMERIC(18,2), k_GAIN4 NUMERIC(18,2),
												k_PER_EDT5 VARCHAR(1), k_YEAR_EDT5 VARCHAR(4), k_INSUR5 NUMERIC(18,2), k_INSUR_5 NUMERIC(18,2), k_GAIN5 NUMERIC(18,2),SUM_VZNOS NUMERIC(18,2), UVOL CHAR(1),LINK_FACE INT)
					
					INSERT INTO #P_3_1 (/*LINK,*/ [TYPE], NOM_PP,SNILS,CODE_STR,CODE_KAT,CODE_TAR,INSUR,B_BEF, GB_BEF, B_AFT,
											PER,YEAR_BEGIN,PER_EDT,YEAR_EDT,FM,IM,OT,
											k_PER_EDT1,k_YEAR_EDT1,k_INSUR1,k_INSUR_1,k_GAIN1,k_PER_EDT2,k_YEAR_EDT2,k_INSUR2,k_INSUR_2,k_GAIN2,
											k_PER_EDT3,k_YEAR_EDT3,k_INSUR3,k_INSUR_3,k_GAIN3,k_PER_EDT4,k_YEAR_EDT4,k_INSUR4,k_INSUR_4,k_GAIN4,
											k_PER_EDT5,k_YEAR_EDT5,k_INSUR5,k_INSUR_5,k_GAIN5,SUM_VZNOS,UVOL,LINK_FACE)
					SELECT
								/*LINK = ROW_NUMBER()  OVER (PARTITION BY  [type],snils ORDER BY  snils  ),*/
								[TYPE],
								NOM_PP = ROW_NUMBER() OVER (PARTITION BY SNILS, LINK_FACE, [TYPE], PER_EDT ORDER BY CODE_STR , PER_EDT ),
								SNILS,CODE_STR,CODE_KAT,CODE_TAR,INSUR,B_BEF, GB_BEF, B_AFT,
											PER,YEAR_BEGIN,PER_EDT,YEAR_EDT,FM,IM,OT,
											k_PER_EDT1,k_YEAR_EDT1,k_INSUR1,k_INSUR_1,k_GAIN1,k_PER_EDT2,k_YEAR_EDT2,k_INSUR2,k_INSUR_2,k_GAIN2,
											k_PER_EDT3,k_YEAR_EDT3,k_INSUR3,k_INSUR_3,k_GAIN3,k_PER_EDT4,k_YEAR_EDT4,k_INSUR4,k_INSUR_4,k_GAIN4,
											k_PER_EDT5,k_YEAR_EDT5,k_INSUR5,k_INSUR_5,k_GAIN5,SUM_VZNOS,UVOL,LINK_FACE

						FROM
					(
					SELECT DISTINCT
						[TYPE] = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 13 AND T.ROW_CODE = T3_1.ROW_CODE),
						SNILS = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 2 AND T.ROW_CODE = T3_1.ROW_CODE),
						CODE_STR = convert(int, (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 4 AND T.ROW_CODE = T3_1.ROW_CODE)),
						CODE_KAT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 5 AND T.ROW_CODE = T3_1.ROW_CODE),
						CODE_TAR = '',
						INSUR = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 6 AND T.ROW_CODE = T3_1.ROW_CODE),
						B_BEF = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 7 AND T.ROW_CODE = T3_1.ROW_CODE ),
						GB_BEF = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 8 AND T.ROW_CODE = T3_1.ROW_CODE ),
						B_AFT = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 9 AND T.ROW_CODE = T3_1.ROW_CODE ),
						SUM_VZNOS = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 10 AND T.ROW_CODE = T3_1.ROW_CODE),
						PER = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL))FROM #TAB3_1 T WHERE T.COL = 11 AND T.ROW_CODE = T3_1.ROW_CODE),
						YEAR_BEGIN = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 12 AND T.ROW_CODE = T3_1.ROW_CODE),
						PER_EDT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 14 AND T.ROW_CODE = T3_1.ROW_CODE),
						YEAR_EDT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 15 AND T.ROW_CODE = T3_1.ROW_CODE),
						FM= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 17 AND T.ROW_CODE = T3_1.ROW_CODE),
						IM= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 18 AND T.ROW_CODE = T3_1.ROW_CODE),
						OT= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 19 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT1 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 20 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT1 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 21 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR1 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 22 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_1 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 23 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN1 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 24 AND T.ROW_CODE = T3_1.ROW_CODE),
						
						k_PER_EDT2= (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 25 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT2 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA)))FROM #TAB3_1 T WHERE T.COL = 26 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR2 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 27 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_2 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 28 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN2 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 29 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT3 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 30 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT3 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 31 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR3 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 32 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_3 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 33 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN3 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 34 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT4 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 35 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT4 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 36 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR4 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 37 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_4 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 38 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN4 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 39 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT5 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 40 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT5 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 41 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR5 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 42 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_5 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 43 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN5 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 44 AND T.ROW_CODE = T3_1.ROW_CODE),
						UVOL = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 45 AND T.ROW_CODE = T3_1.ROW_CODE),
						LINK_FACE = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 16 AND T.ROW_CODE = T3_1.ROW_CODE)
						
					FROM
					#TAB3_1 T3_1
						) T	



				--exec SA_RSV1_EXPORT_0700_2014     42276
					DECLARE @NEXT_NUM3 INT 
					SET @NEXT_NUM3 = 0
					UPDATE  p  SET  LINK = (select top 1 NOM_PP from #P_3 where ltrim(rtrim(SNILS)) = ltrim(rtrim(p.SNILS))
																										 and  ltrim(rtrim(FM)) = ltrim(rtrim(p.FM))
																										 and ltrim(rtrim(IM)) = ltrim(rtrim(p.IM))	 and ltrim(rtrim(OT)) = ltrim(rtrim(p.OT))
																										 and [type] = (case p.[type] when '' then 1 when '' then 2 else 3 end)
																										 and PER_EDT  = p.PER_EDT)
					FROM #P_3_1 p
		

					UPDATE p
					SET PER = (select top 1 PER from #P_3_1 where link =  p.LINK - 1),
						YEAR_begin  = (select top 1 YEAR_begin from #P_3_1 where link =  p.LINK - 1)
					FROM #P_3_1  p 
					where p.PER is null
						and p.YEAR_begin is null
						
/****************************************************/
/* 3.2*/
/**************************************************/

					CREATE TABLE #TAB3_2 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
					INSERT INTO #TAB3_2 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
					SELECT ROW_CODE, COL, SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 21, DEFAULT, DEFAULT) T  ORDER BY T.COL	


					CREATE TABLE #P_3_2 (
												LINK INT, [TYPE] INT , NOM_PP INT, SNILS VARCHAR(14), CODE_STR INT, CODE_SPO varchar(5),CODE_TAR char(2), INC_T1M NUMERIC(18,2), INC_T2M NUMERIC(18,2),
												DATE_BEGIN1 varchar(10),DATE_END1 VARCHAR(10),TU_CODE1 VARCHAR(10), OS_CODE1 VARCHAR(30), EX_CODE1 VARCHAR(10), f_is_dop1 VARCHAR(100), P_CODE1 varchar(10), f_ud_dop1 varchar(100),
												DATE_BEGIN2 varchar(10),DATE_END2 VARCHAR(10),TU_CODE2 VARCHAR(10), OS_CODE2 VARCHAR(30), EX_CODE2 VARCHAR(10), f_is_dop2 VARCHAR(100), P_CODE2 varchar(10), f_ud_dop2 varchar(100),
												DATE_BEGIN3 varchar(10),DATE_END3 VARCHAR(10),TU_CODE3 VARCHAR(10), OS_CODE3 VARCHAR(30), EX_CODE3 VARCHAR(10), f_is_dop3 VARCHAR(100), P_CODE3 varchar(10), f_ud_dop3 varchar(100),
												DATE_BEGIN4 varchar(10),DATE_END4 VARCHAR(10),TU_CODE4 VARCHAR(10), OS_CODE4 VARCHAR(30), EX_CODE4 VARCHAR(10), f_is_dop4 VARCHAR(100), P_CODE4 varchar(10), f_ud_dop4 varchar(100),
											LINK_FACE int)
					
					INSERT INTO #P_3_2 (/*LINK,*/ [TYPE], NOM_PP,SNILS,CODE_STR,CODE_SPO,CODE_TAR,INC_T1M,INC_T2M,
												DATE_BEGIN1,DATE_END1,TU_CODE1, OS_CODE1, EX_CODE1, f_is_dop1, P_CODE1, f_ud_dop1,
												DATE_BEGIN2,DATE_END2,TU_CODE2, OS_CODE2, EX_CODE2, f_is_dop2, P_CODE2, f_ud_dop2,
												DATE_BEGIN3,DATE_END3,TU_CODE3, OS_CODE3, EX_CODE3, f_is_dop3, P_CODE3, f_ud_dop3,
												DATE_BEGIN4,DATE_END4,TU_CODE4, OS_CODE4, EX_CODE4, f_is_dop4, P_CODE4, f_ud_dop4,LINK_FACE)
					SELECT
								/*LINK = dEnse_RANK() OVER (PARTITION BY SNILS, [TYPE] ORDER BY SNILS, [TYPE]),*/
								[TYPE],
								NOM_PP = ROW_NUMBER() OVER (PARTITION BY SNILS, LINK_FACE, [TYPE] ORDER BY CODE_STR),
												SNILS,CODE_STR,CODE_SPO,CODE_TAR,INC_T1M,INC_T2M,
												DATE_BEGIN1,DATE_END1,TU_CODE1, OS_CODE1, EX_CODE1, f_is_dop1, P_CODE1, f_ud_dop1,
												DATE_BEGIN2,DATE_END2,TU_CODE2, OS_CODE2, EX_CODE2, f_is_dop2, P_CODE2, f_ud_dop2,
												DATE_BEGIN3,DATE_END3,TU_CODE3, OS_CODE3, EX_CODE3, f_is_dop3, P_CODE3, f_ud_dop3,
												DATE_BEGIN4,DATE_END4,TU_CODE4, OS_CODE4, EX_CODE4, f_is_dop4, P_CODE4, f_ud_dop4,LINK_FACE		
					FROM
					(
						SELECT DISTINCT
							[TYPE] = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_2 T WHERE T.COL = 9 AND T.ROW_CODE = T32.ROW_CODE),
							SNILS = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 7 AND T.ROW_CODE = T32.ROW_CODE),
							CODE_STR = CONVERT( int ,(SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 3 AND T.ROW_CODE = T32.ROW_CODE)),
							CODE_SPO = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 4 AND T.ROW_CODE = T32.ROW_CODE),
							CODE_TAR = '',
							INC_T1M = (SELECT TOP 1 SUMMA2 FROM #TAB3_2 T WHERE T.COL = 5 AND T.ROW_CODE = T32.ROW_CODE),
							INC_T2M = (SELECT TOP 1 SUMMA2 FROM #TAB3_2 T WHERE T.COL = 6 AND T.ROW_CODE = T32.ROW_CODE ),

							DATE_BEGIN1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 10 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 11 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 12 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 13 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 14 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 15 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 16 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 17 AND T.ROW_CODE = T32.ROW_CODE),
							
							DATE_BEGIN2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 18 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 19 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 20 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 21 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 22 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 23 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 24 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 25 AND T.ROW_CODE = T32.ROW_CODE),
							
							DATE_BEGIN3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 26 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 27 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 28 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 29 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 30 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 31 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 32 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 33 AND T.ROW_CODE = T32.ROW_CODE),
							
							DATE_BEGIN4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 34 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 35 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 36 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 37 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 38 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 39 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 40 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 41 AND T.ROW_CODE = T32.ROW_CODE),
							LINK_FACE = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_2 T WHERE T.COL = 8 AND T.ROW_CODE = T32.ROW_CODE)
						FROM
						#TAB3_2 T32	
					) T	


				UPDATE  p  SET  LINK = (select top 1 NOM_PP from #P_3 where ltrim(rtrim(SNILS)) = ltrim(rtrim(p.SNILS))
																										 and [type] = p.[type] )
					FROM #P_3_2 p

		--exec SS_RPSV_EXPORT_v5_01 3410
		
					------	            
					SELECT DISTINCT sd.LINK , SD.PERS_LINK, sd.SNILS, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,'')
					INTO #EMPL_DT
					FROM DBO.KU_EMPL_PLACING SD
						left JOIN (select * from STAFF WHERE @End_Date BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD  AND @End_Date BETWEEN S.DATE_BEGIN AND S.DATE_END
						LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD  AND s4.spr_code = 'SPO_USL_TRUDA'
						WHERE
							(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL)

					UPDATE  p  SET  CODE_TAR = CASE WHEN LTRIM(RTRIM(p.CODE_KAT)) IN ('','','') AND LTRIM(RTRIM(isnull(p2.CODE_SPO,''))) = '' AND LTRIM(RTRIM(e.DOP)) NOT IN(1,2) THEN '01'
													WHEN LTRIM(RTRIM(p.CODE_KAT)) = '' and LTRIM(RTRIM(isnull(p2.CODE_SPO,''))) = '' AND LTRIM(RTRIM(e.DOP)) NOT IN(1,2)  THEN '03'
													WHEN LTRIM(RTRIM(p.CODE_KAT)) = '' and LTRIM(RTRIM(isnull(p2.CODE_SPO,''))) = '' AND LTRIM(RTRIM(e.DOP)) NOT IN(1,2)  THEN '02'
													WHEN LTRIM(RTRIM(e.DOP)) = 1 AND e.SPO = '' THEN '21'
													WHEN LTRIM(RTRIM(e.DOP)) = 2 AND e.SPO = '' THEN '22' 
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '4'  THEN '23'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.4'  THEN '24'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.3'  THEN '25'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.2'  THEN '26'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.1'  THEN '27'
												end
																		   
					FROM #P_3_1 p 
						LEFT JOIN #P_3_2 p2 ON p2.LINK = p.LINK 	
						LEFT JOIN #EMPL_DT e ON e.PERS_LINK = p.LINK_FACE



					UPDATE  p2  SET  CODE_TAR = CASE 
													WHEN LTRIM(RTRIM(e.DOP)) = 1 AND e.SPO = '' THEN '21'
													WHEN LTRIM(RTRIM(e.DOP)) = 2 AND e.SPO = '' THEN '22'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '4'  THEN '23'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.4'  THEN '24'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.3'  THEN '25'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.2'  THEN '26'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.1'  THEN '27'

												end
																		   
					FROM  #P_3_2 p2 
					LEFT JOIN #EMPL_DT e ON e.PERS_LINK = p2.LINK_FACE	

				--exec SS_RPSV_EXPORT_v5_01     5021
				--DROP TABLE #P_3_1
				DROP TABLE #TAB3_1
				DROP TABLE #TAB3_2
				DROP TABLE #EMPL_DT	


--exec SS_RPSV_EXPORT_v5_01 2932
/*SELECT * FROM #P_3 ORDER BY fm 
select * from #p_3_1
select * from #p_3_2 */

/**********************************************************/
----------------------------------------------------------
----- 3   -     
--- (       )
----------------------------------------------------------

----         
DECLARE  @LINK_3 int , @TYPE VARCHAR(14),@NOM_PP int, @NOM_K int, @PER_3 int, @YEAR_BEGIN_3 VARCHAR(4),
	@DATE_PU_3 VARCHAR(10),@PER_EDT_3 CHAR(2),@INN_3 VARCHAR(12),@SNILS VARCHAR(14),@FM varchar(60),
	@IM varchar(60),@OT varchar(60),@BIRTH_DATE VARCHAR(10),@GRAZHD CHAR(3),@SEX CHAR(1),
	@DOC_CODE CHAR(2),@DOC_SR VARCHAR(6), @DOC_NM VARCHAR(10),@PRIZ_OPS int, @PRIZ_OMS INT,@PRIZ_FSS INT , @LINK_FACE INT /*,
	@NOM_PACH CHAR(3)*/

SET @Cur1= CURSOR FORWARD_ONLY
FOR
select 	 
	[TYPE] = case [TYPE] when 1 then '' WHEN 2 then '' else '' end ,
	NOM_PP,
	NOM_K, 
	PER ,
	YEAR_BEGIN,
	DATE_PU,
	PER_EDT,
	INN, 
	SNILS,
	FM,
	IM,
	OT,
	BIRTH_DATE,
	GRAZHD ,
	SEX,
	DOC_CODE,
	DOC_SR, 
	DOC_NM,
	PRIZ_OPS,
	PRIZ_OMS,
	PRIZ_FSS,
	LINK_FACE/*,
	NOM_PACH*/
from #P_3   order by [TYPE],FM, SNILS,link_face

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @TYPE ,@NOM_PP , @NOM_K , @PER_3, @YEAR_BEGIN_3,
	@DATE_PU_3,@PER_EDT_3,@INN_3,@SNILS,@FM,@IM,@OT,@BIRTH_DATE,@GRAZHD,@SEX,
	@DOC_CODE,@DOC_SR, @DOC_NM,@PRIZ_OPS, @PRIZ_OMS,@PRIZ_FSS,@LINK_FACE/*,@NOM_PACH*/


WHILE (@@fetch_status <> -1)
BEGIN
	
	IF (@@fetch_status <> -2)
	BEGIN	


					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '<'
											    + ' ="'+LTRIM(RTRIM(STR(isnull(@NOM_K,''))))+'"'
											    + ' ="'+LTRIM(RTRIM(STR(isnull(@PER_3,''))))+'"'	
											    + ' ="'+LTRIM(RTRIM(isnull(@YEAR_BEGIN_3,'')))+'"'
											    + ' ="'+LTRIM(RTRIM(STR(isnull(@NOM_PP,''))))+'"'
											    + ' ="'+LTRIM(RTRIM(CONVERT(varchar(10),isnull(@DATE_PU_3,''),104)))+'">' 
					-----------------------------------------------------
					--- 3 -     
					-----------------------------------------------------

					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT TOP 1 @lcFNAME,SPACE(4) + '<' 
												 + ' ="'+LTRIM(RTRIM(isnull(@INN_3,'')))+'"'
												 + ' ="'+LTRIM(RTRIM(isnull(@SNILS,'')))+'"'	
												 + ' ="'+LTRIM(RTRIM(isnull(@BIRTH_DATE,'')))+'"'
												 + ' ="'+case when LTRIM(RTRIM(STR(isnull(@GRAZHD,'')))) = '000' then '643' else LTRIM(RTRIM(STR(isnull(@GRAZHD,'')))) end +'"'
												 + ' ="'+LTRIM(RTRIM(STR(isnull(@SEX,''))))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(isnull(@DOC_CODE,''))))+'"'
												 + ' ="'+LTRIM(RTRIM(isnull(@DOC_SR,'')))+' '+LTRIM(RTRIM(isnull(@DOC_NM,'')))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(isnull(@PRIZ_OPS,''))))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(isnull(@PRIZ_OMS,''))))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(isnull(@PRIZ_FSS,''))))+'">' + CHAR(10) +	
												   SPACE(5) + '<' +
								   						' ="' + left(LTRIM(RTRIM(ISNULL(@FM,''))),60) + '"' +
														' ="' + left(LTRIM(RTRIM(ISNULL(@IM,''))),60) + '"' +
														CASE WHEN ISNULL(@OT,'') <> '' THEN 
														' ="' + left(LTRIM(RTRIM(ISNULL(@OT,''))),60) + '"'
														ELSE '' END + '/>' + CHAR(10) +			
												/*  CASE WHEN @GRAZHD = '643' 
													   then (SPACE(5) + '<' +
														' ="'+LTRIM(RTRIM((select PINDEX from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select REGCODE from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select RAION from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +										
														' ="'+LTRIM(RTRIM((select GOROD from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select NASEL from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select STREET from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +		
														' ="'+LTRIM(RTRIM(REPLACE(p.HOUSE_OFIC,'"','')))+'"' +
														' ="'+LTRIM(RTRIM(p.CORP_OFIC))+'"' +
														' ="'+LTRIM(RTRIM(p.FLAT_OFIC))+'' +												
														'"/>' )
													   WHEN @GRAZHD <> '643' 	
									   					THEN (SPACE(5) + '<' +
																' ="000"' +
																' ="'+LTRIM(RTRIM(dbo.GetAddressBykladr(p.ADR_OFIC_LINK)))+'' +
																'"/>' )	
													   ELSE ''
													   END + CHAR(10) +	*/		
												SPACE(4) + '</>' 		
								--FROM person p where  p.link = @LINK_FACE
							  
						--exec SS_RPSV_EXPORT_v5_01 3410
						-----------------------------------------------------------------------
						-------- 3.2        
						-----------------------------------------------------------------------
				
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(4) + '<>' --
							IF exists(SELECT * FROM  #P_3_1 WHERE link = @NOM_PP AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(@SNILS)) AND isnull(link_FACE,0) = ISNULL(@LINK_FACE,0)  AND NOM_PP <> 1 )
							BEGIN
							
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '< ' 
														+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(INSUR,0)),15,2)))+'"'
														+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(B_BEF,0)),15,2)))+'"'
														+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(GB_BEF,0)),15,2)))+'"'
														+ ' 3="'+RTRIM(LTRIM(STR((select SUM(COALESCE(SUM_VZNOS,0)) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP = 1),15,2)))+'">'
									 FROM #P_3_1 WHERE link = @NOM_PP  AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(@SNILS)) AND isnull(link_FACE,0) = ISNULL(@LINK_FACE,0)  AND NOM_PP <> 1	
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
										SELECT @lcFNAME,SPACE(6) + '< '
															 + ' ="'+CASE WHEN p.per = 1 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '01' 
																					WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) in ('402', '412') THEN '02'
																					WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) in ('403', '413') THEN '03'
																					WHEN p.per = 2 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '04' 
																					WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR))in ('402', '412') THEN '05'
																					WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR)) in ('403', '413') THEN '06'
																					WHEN p.per = 3 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '07' 
																					WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR))in ('402', '412') THEN '08'
																					WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR))in ('403', '413') THEN '09'
																					WHEN p.per = 4 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '10' 
																					WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR)) in ('402', '412') THEN '11'
																					WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR))in ('403', '413') THEN '12' END  +'"'
															 + ' ="'+RTRIM(LTRIM(p.CODE_KAT))+'"'
															 + ' ="'+RTRIM(LTRIM(STR(COALESCE(INSUR,0),15,2)))+'"'
															 + ' ="'+RTRIM(LTRIM(STR(COALESCE(B_BEF,0),15,2)))+'"'
															 + ' ="'+RTRIM(LTRIM(STR(COALESCE(GB_BEF,0),15,2)))+'"'
															 + ' ="'+ (CASE WHEN ISNULL(INSUR,0) <> 0 
																							and (SELECT sum(SUM_VZNOS) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP = 1) <> 0 
																							and (SELECT sum(INSUR) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP <> 1 )<>0 
																						  THEN  RTRIM(LTRIM(STR( (SELECT sum(SUM_VZNOS) from #P_3_1  WHERE link = @NOM_PP AND NOM_PP = p.NOM_PP ),15,2)))
																						  ELSE '0.00' END) 
																	 + '"/>'
										FROM #P_3_1 p WHERE 	p.link = @NOM_PP  AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(@SNILS)) AND isnull(link_FACE,0) = ISNULL(@LINK_FACE,0)    AND  p.NOM_PP <> 1	 
									--GROUP BY p.CODE_KAT, p.CODE_STR, p.NOM_PP, INSUR

--exec SS_RPSV_EXPORT_v5_01 3410

							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '</>' 
						end	
						ELSE BEGIN
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '< ' 
														+ ' 3="0"'
														+ ' 3="0"'
														+ ' 3="0"'
														+ ' 3="0">'
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
										SELECT @lcFNAME,SPACE(6) + '< '
															 + ' ="01"'
															 + ' =""'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"/>'
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '</>' 		
							END  
							
						-----------------------------------------------------------------------
						-------- 3.3       
						-----------------------------------------------------------------------
								
							IF exists(SELECT  * FROM #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND link_FACE = @LINK_FACE  and p.NOM_PP = 1 )
							BEGIN
								
								IF EXISTS(SELECT  * FROM #P_3_2 p WHERE SNILS = @SNILS AND link_FACE = @LINK_FACE  and p.NOM_PP <> 1 AND (INC_T1M <> 0 or INC_T2M <> 0))
								BEGIN
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
									SELECT @lcFNAME,SPACE(5) + '<' 		 -- H
																+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(INC_T1M,0)),15,2)))+'"'
																+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(INC_T2M,0)),15,2)))+'">'
											 FROM #P_3_2 WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND link_FACE = @LINK_FACE  and	NOM_PP <>1		
									GROUP BY SNILS  
									
									/*IF @SNILS = '029-033-987 55'
									 begin 
									 	SELECT * FROM  #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) and p.NOM_PP <> 1	AND snils = '029-033-987 55'
											--	GROUP BY SNILS,p.CODE_STR, p.CODE_TAR , p.INC_T1M, p.INC_T2M
										SELECT p.CODE_STR,p.CODE_TAR,SUM(INC_T1M),SUM(INC_T2M),ltrim(RTRIM(SNILS))  FROM  #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) and p.NOM_PP <> 1	AND snils = '029-033-987 55'
												GROUP BY SNILS,p.CODE_STR, p.CODE_TAR --, p.INC_T1M, p.INC_T2M	
									end*/
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
												SELECT @lcFNAME,SPACE(6) + '< '--- 
																	+ ' ="'+CASE WHEN ltrim(rtrim(p.CODE_STR)) = '701' THEN '01' 
																							WHEN ltrim(rtrim(p.CODE_STR)) = '702' THEN '02'
																							WHEN ltrim(rtrim(p.CODE_STR)) = '703' THEN '03' END  +'"'+
																	+ ' ="'+RTRIM(LTRIM(isnull(p.CODE_TAR,'22')))+'"'
																	+ ' ="'+RTRIM(LTRIM(STR(COALESCE(SUM(INC_T1M),0),15,2)))+'"'
																	+ ' ="'+RTRIM(LTRIM(STR(COALESCE(SUM(INC_T2M),0),15,2))) +'"/>'
												FROM #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) and link_FACE = @LINK_FACE  and p.NOM_PP <> 1	
												GROUP BY SNILS,p.CODE_STR, p.CODE_TAR , p.INC_T1M, p.INC_T2M
									IF exists(SELECT  * FROM #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND link_FACE = @LINK_FACE  and p.NOM_PP = 1 )
									BEGIN
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
										SELECT @lcFNAME,SPACE(5) + '</>'
										FROM #P_3_2 WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND link_FACE = @LINK_FACE  and	NOM_PP <>1		
										GROUP BY SNILS   
									END
								END	
							END		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(4) + '</>' --			
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</>' 	
				
		end
	
	FETCH NEXT FROM @Cur1 INTO @TYPE ,@NOM_PP , @NOM_K , @PER_3, @YEAR_BEGIN_3,
	@DATE_PU_3,@PER_EDT_3,@INN_3,@SNILS,@FM,@IM,@OT,@BIRTH_DATE,@GRAZHD,@SEX,
	@DOC_CODE,@DOC_SR, @DOC_NM,@PRIZ_OPS, @PRIZ_OMS,@PRIZ_FSS,@LINK_FACE--,@NOM_PACH	
end

CLOSE @Cur1
DEALLOCATE @Cur1

END
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)	
				SELECT @lcFNAME, SPACE(2) + '</>'		
	--SELECT *  FROM DBO.SA_SAVED_REPORT_VIEW (3229, 17, default, default)	WHERE  COL = 6 
--exec SS_RPSV_EXPORT_v5_01   3229	
	UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(0) + '</>'
				
SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--exec SS_RPSV_EXPORT_v5_01 2891

GO


GRANT EXECUTE ON dbo.[SS_RPSV_EXPORT_v5_01] TO PUBLIC

GO



GO

-- FIX >>  : 9806.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_PRINT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_PRINT]

GO


CREATE PROCEDURE dbo.SZV_STAZH_PRINT(@Link int)
AS
-- exec SZV_STAZH_PRINT 151
DECLARE @varKSNOM_PF VARCHAR(20), @varKSname VARCHAR(254), @varKSDEP int,
	@varKSOKPO VARCHAR(40), @varKSINN VARCHAR(12), @varKSKPP VARCHAR(9), @Month int, @Year int, @date datetime

SELECT
	@varKSDEP = D.link, @varKSNOM_PF = PFNUMBER, @varKSname = UPPER([NAME]),
	@varKSOKPO = OKPO, @varKSINN = INN, @varKSKPP = KPP,
	@Month = month_end, @year = year_begin
FROM dbo.DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = @link

Set @date = dbo.ConvertDMY2Date(1,@Month,@Year)
Set @date = dbo.DateEndOfMonth(@date)

SELECT
	LINK = P.link,
	[YEAR] = ISNULL(CASE WHEN year_begin <> 2010 THEN year_begin ELSE NULL END ,0),
	[INN] = @varKSINN,
	[KPP] = @varKSKPP,
	OKPO = @varKSOKPO,
	[CODE] = K.CODE,	
	[PER] = ISNULL(CASE WHEN year_begin <> 2010 THEN PER ELSE NULL END ,0),
	[PER10] = ISNULL(CASE WHEN year_begin = 2010 THEN PER ELSE NULL END ,0),
	[YEAR_EDT] = ISNULL(p.year_edt,0),
	[PER_EDT] = ISNULL(p.PER_EDT,0),
	[TYPE_SV] = P.[TYPE],
	[TYPE] = P.vid_kor,
	[ID] = S.orders,
	[NGROUP] = S.pachka,
	T_DOG = s.forma,
	[PFNUMBER] = PF_NUM,
	[FIO] = FIO2,
	[FM] = s.FM,
	[IM] = s.IM,
	[OT] = s.OT,
	[INN_PERS] = per.INN,
	[ADDRESS] = [ADDRESS],
	[ADDRESS2] = ADDRESS2,
	[INSUR] = COALESCE(S.sum_doh,0), --     . 
	[INSUR1] = COALESCE(S.INSUR,0), --     . 
	[GAIN] = COALESCE(S.GAIN,0), --     . 
	[GAIN1] = COALESCE(S.DOP,0), --     . 
	INC_T1_M1 = S.INCOME_T1_M1,--      1  1 
	INC_T1_M2 = S.INCOME_T1_M2,--      1  2 
	INC_T1_M3 = S.INCOME_T1_M3,--      1  3 
	INC_T2_M1 = S.INCOME_T2_M1,--      2  1 
	INC_T2_M2 = S.INCOME_T2_M2,--      2  2 
	INC_T2_M3 = S.INCOME_T2_M3,--      2  3 
	[ID_EX] = ST.orders,
	[DATE_BEGIN] = date1,
	[DATE_END] = date2,
	[STR_DIS] = (CASE WHEN coalesce(dper_vn_m,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_vn_m,0)) + ' .' else '' end)
	 		+ (CASE WHEN coalesce(dper_vn_d,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_vn_d,0)) + ' .' else '' end),
	dper_vn_m = coalesce(dper_vn_m,0),
	dper_vn_d = coalesce(dper_vn_d,0),
	[STR_VAC2] = (CASE WHEN coalesce(dper_oz_m,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_oz_m,0)) + ' .' else '' end)
	 		+ (CASE WHEN coalesce(dper_oz_d,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_oz_d,0)) + ' .' else '' end),
	dper_oz_m = coalesce(dper_oz_m,0),
	dper_oz_d = coalesce(dper_oz_d,0),
	[TU_CODE] = f_ter_usl,
	ter_usl,
	ter_koef,
	[OS_CODE] = f_osob_usl,
	osob_usl,
	osob_spis = RTRIM(LTRIM(COALESCE(osob_k1,''))) + RTRIM(LTRIM(COALESCE(osob_k2,''))) + RTRIM(LTRIM(COALESCE(osob_k3,''))),
	[EX_CODE] = is_osnov,
	is_dop_m,
	is_dop_d,
	is_dop,
	f_is_dop,
	[P_CODE] = ud_osnov,
	ud_dop_m,
	ud_dop_d,
	ud_dop_k,
	f_ud_dop,
	@varKSNOM_PF AS REG_NOM_PF,
	@varKSname AS DEP_NAME,
	DATE_CRT = @date,
	DATE_DOC = [date], DD = DAY([date]), MM = M.MON, YY = YEAR([date]),
	UV = CASE WHEN exists(SELECT * FROM sd_empl WHERE pers_link = s.link_face AND DATE_end = @DATE) THEN 'X' ELSE '' END,
	N_PP = 0,
	NUM_STR = 0,
	GOSSL = (select top 1 sf.GOSSL from dbo.EMPL E 
								inner JOIN dbo.ITEM_MOVE im on E.link = im.empl_link /*and im.NEW_FACE = 1*/ AND im.ACTIVE=1
								left join dbo.staff_head sh on sh.link = im.STAFF_LINK
								left join dbo.staff sf on sf.link_up = sh.link  
								where 
								E.DEP_LINK = 74578
								and  '20171231' between im.date_begin and im.date_end 
								and  E.PERS_LINK = S.link_FACE)
INTO #SZV_ST_REP
from
	dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SS_SZV_STAZH_SVEDENIA S ON P.link = S.link
	INNER JOIN dbo.person per ON  per.link = S.link_FACE
	left JOIN dbo.SS_SZV_ST_STAZH ST ON S.link1 = ST.link
	INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = P.KATEG AND year_begin BETWEEN YBEG AND YEND
	INNER JOIN dbo.MONTHS M ON M.NUM = MONTH([date])

where
	P.link = @Link
	--and P.[type] = 2
	and P.proverka = 1
order by
	s.FM,s.PF_NUM,S.pachka, S.orders, ST.orders


Declare @n INT
SET @n = 0

Update #SZV_ST_REP
Set n_pp = @n,
@n = @n+1


DECLARE @Cur_REP CURSOR , @link_szv int , @FIO varchar(254), @PFNUMBER varchar(20), @ID INT ,@T_DOG  int  , @N_PP INT
DECLARE @NN INT, @PN INT, @ON INT , @FIO_L VARCHAR(254) , @PFNUMBER_l varchar(20) , @date_begin datetime, @date_end DATETIME , @IS_DOP VARCHAR(20)
SELECT @NN = 0, @PN = 0, @ON = 0 , @FIO_L = '' ,@N_PP = 0 
SET @Cur_REP = CURSOR FORWARD_ONLY
FOR select link, FIO, PFNUMBER, [ID] , T_DOG, DATE_begin, date_end , IS_DOP from #SZV_ST_REP order by link, FIO, PFNUMBER ,T_DOG, DATE_begin, date_end  

OPEN @Cur_REP
FETCH NEXT FROM @Cur_REP INTO @link_szv, @FIO, @PFNUMBER, @ID ,@T_DOG, @date_begin , @date_end,@IS_DOP
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		IF ltrim(@FIO_L) <> ltrim(@FIO)  OR   ltrim(@PFNUMBER_l) <> ltrim(@PFNUMBER)
		BEGIN	
			SET @NN = 1

			UPDATE A
			SET 
				ID_EX = @NN
			FROM #SZV_ST_REP A 
			WHERE link = @link_szv AND ltrim(FIO)=ltrim(@FIO) AND ltrim(PFNUMBER) =  ltrim(@PFNUMBER) AND ID = @ID and T_DOG = @T_DOG AND date_begin =@date_begin and date_end = @date_end AND IS_DOP = @IS_DOP 

			SET @ON = @NN 			
			set @FIO_L = ltrim(@FIO) 
			SET  @PFNUMBER_l =  @PFNUMBER 
		 END ELSE 
		 		BEGIN  
					SET @NN = @NN + 1

					UPDATE A
					SET 
						ID_EX = @NN
					FROM #SZV_ST_REP A 
					WHERE link = @link_szv AND ltrim(FIO)=ltrim(@FIO) AND ltrim(PFNUMBER) =  ltrim(@PFNUMBER) AND ID = @ID and T_DOG = @T_DOG AND date_begin =@date_begin and date_end = @date_end AND IS_DOP = @IS_DOP 

					SET @ON = @NN 			
					set @FIO_L = ltrim(@FIO) 
					SET  @PFNUMBER_l =  @PFNUMBER 
				END 
	END

	FETCH NEXT FROM @Cur_REP INTO @link_szv, @FIO, @PFNUMBER, @ID,@T_DOG,  @date_begin , @date_end  , @IS_DOP
END
--exec dbo.SZV_STAZH_PRINT 19
CLOSE @Cur_REP
DEALLOCATE @Cur_REP



---   ,       
DECLARE @Cur_R_STR CURSOR  , @NUM_STR int 
SET @NUM_STR  = 0
SET @Cur_R_STR = CURSOR FORWARD_ONLY
FOR select link, FIO, PFNUMBER, N_PP from #SZV_ST_REP order by link,N_PP,  FIO, PFNUMBER

OPEN @Cur_R_STR
FETCH NEXT FROM @Cur_R_STR INTO @link_szv, @FIO, @PFNUMBER, @N_PP 
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		---   ,   1 
		IF (SELECT MAX(NUM_STR) FROM #SZV_ST_REP ) = 0 
		BEGIN	
			UPDATE #SZV_ST_REP 
			SET 
				NUM_STR = @NUM_STR + 1 
			WHERE n_PP <=41 
			
			SET @NUM_STR = @NUM_STR+1 					
		 END 
		--  -    100
		IF (SELECT MAX(NUM_STR) FROM #SZV_ST_REP ) > 0  AND (select COUNT(*) FROM  #SZV_ST_REP WHERE NUM_STR = 0) >= 57
		AND  @N_PP	= (SELECT MAX(n_pp) FROM #SZV_ST_REP WHERE NUM_STR = @NUM_STR) + 1
		BEGIN
			UPDATE #SZV_ST_REP 
			SET 
				NUM_STR = @NUM_STR + 1 
			WHERE n_PP >= @N_PP  AND n_PP IN (SELECT TOP 57 n_pp FROM #SZV_ST_REP WHERE n_PP >= @N_PP)
			
			set @NUM_STR = @NUM_STR + 1 
			
		END
		
		---   ,    100
		IF (SELECT MAX(NUM_STR) FROM #SZV_ST_REP ) > 0 AND (select COUNT(*) FROM  #SZV_ST_REP WHERE NUM_STR = 0) < 57
		AND  @N_PP	= (SELECT MAX(n_pp) FROM #SZV_ST_REP WHERE NUM_STR = @NUM_STR)
		BEGIN

			set @NUM_STR = (SELECT MAX(NUM_STR) FROM #SZV_ST_REP)
			SET @N_PP = (SELECT MAX(n_PP) FROM  #SZV_ST_REP WHERE NUM_STR = @NUM_STR) 
				
			UPDATE #SZV_ST_REP 
			SET 
				NUM_STR = @NUM_STR + 1 
			WHERE n_PP >= @N_PP  AND n_PP IN (SELECT TOP 57 n_pp FROM #SZV_ST_REP WHERE n_PP >= @N_PP)
	
			
			
		END		
		
	END



	FETCH NEXT FROM @Cur_R_STR INTO @link_szv, @FIO, @PFNUMBER, @N_PP 
END
--exec dbo.SZV_STAZH_PRINT 19

CLOSE @Cur_R_STR
DEALLOCATE @Cur_R_STR


SELECT 	LINK ,
	[YEAR] ,
	[INN] ,
	[KPP],
	OKPO ,
	[CODE],	
	[PER] ,
	[PER10] ,
	[YEAR_EDT],
	[PER_EDT] ,
	[TYPE_SV] ,
	[TYPE] ,
	[ID] ,
	[NGROUP] ,
	T_DOG ,
	[PFNUMBER],
	[FIO],
	[FM] ,
	[IM] ,
	[OT] ,
	[INN_PERS] ,
	[ADDRESS],
	[ADDRESS2] ,
	[INSUR] , --     . 
	[INSUR1] , --     . 
	[GAIN] , --     . 
	[GAIN1] , --     . 
	INC_T1_M1 ,--      1  1 
	INC_T1_M2 ,--      1  2 
	INC_T1_M3 ,--      1  3 
	INC_T2_M1 ,--      2  1 
	INC_T2_M2 ,--      2  2 
	INC_T2_M3 ,--      2  3 
	[ID_EX] ,
	[DATE_BEGIN] ,
	[DATE_END] ,
	[STR_DIS] ,
	dper_vn_m  ,
	dper_vn_d ,
	[STR_VAC2],
	dper_oz_m ,
	dper_oz_d ,
	[TU_CODE] ,
	ter_usl,
	ter_koef,
	[OS_CODE] ,
	osob_usl,
	osob_spis ,
	[EX_CODE],
	is_dop_m,
	is_dop_d,
	is_dop,
	f_is_dop,
	[P_CODE] ,
	ud_dop_m,
	ud_dop_d,
	ud_dop_k,
	f_ud_dop,
	REG_NOM_PF,
	DEP_NAME,
	DATE_CRT,
	DATE_DOC ,DD , MM, YY ,
	UV,
	NUM_STR = RIGHT(REPLICATE('0', 5) + CAST(NUM_STR AS varchar(5)), 5),
	GOSSL
FROM #SZV_ST_REP
order by
	NUM_STR,FM,[PFNUMBER],[NGROUP], [ID], [ID_EX]



GO


GRANT EXECUTE ON dbo.[SZV_STAZH_PRINT] TO PUBLIC

GO


-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_EXPORT_PFR_100_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_EXPORT_PFR_100_17]

GO

CREATE      PROCEDURE [dbo].SZV_STAZH_EXPORT_PFR_100_17 (
@DOC_LINK int  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK = @DOC_LINK

CREATE TABLE #ODV1_ONLY(DOC_LINK INT , ODV1_ONLY TINYINT )	
insert into #ODV1_ONLY(DOC_LINK, ODV1_ONLY)
select 
	doc_link = d.link,
	ODV1_ONLY = (SELECT TOP 1 [type] FROM dbo.SS_SZV_STAZH_PACHKA WHERE link = d.Link)
from #DOC d


--  

CREATE TABLE #ODV1 (
		[LINK_SZV]     INT, 
		[YEAR]     INT ,
		[PER]      INT ,
		[PER_edt]      INT ,
		[YEAR_edt]     INT ,
		[PER10]    INT ,
		[TYPE]	   tinyint,
		[VID_KOR]  tinyint, 
		[COUNT_P]  INT,
		[COUNT_PK] INT,
		[COUNT_PERS] INT,  
		[REG_NOM_PF] VARCHAR(20),
		[DEP_NAME] VARCHAR(254),
		[OKPO] VARCHAR(40),
		[INN] VARCHAR(12),
		[KPP] VARCHAR(9),
		DATE_CRT datetime,
		DATE_DOC datetime,
		[GUID] UNIQUEIDENTIFIER)  

CREATE TABLE #ODV1_2 (
		[LINK_SZV]  INT,
		[link_pers] INT , 
		[subdiv_name] VARCHAR(254), 
		[POST_NAME] VARCHAR(254) , 
		[num_stake] NUMERIC(5,2),
		[work_stake] NUMERIC(5,2),
		[Fakt_Work] VARCHAR(254) ,
		[DOC_NAME] VARCHAR(10), 
		[OSOB_USL] VARCHAR(10) , 
		[N_OSOB_USL] VARCHAR(150) ,
		POS_SPIS VARCHAR(150))  

create table #SZV_ST (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[NGROUP] INT,
	[T_DOG] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int,
	GOSSL int)



create table #PERS_INFO2 (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[T_DOG] INT ,
	[NGROUP] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int,
	GOSSL int)



--       -
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
	
			INSERT INTO #ODV1 ([LINK_SZV],[YEAR],[PER],[PER_EDT],[YEAR_EDT],[PER10],[TYPE],[VID_KOR],[COUNT_P],[COUNT_PK],[COUNT_PERS],
							   [REG_NOM_PF],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC,[GUID])  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 1 
			
			INSERT INTO #ODV1_2 ([LINK_SZV],[link_pers],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],
								 [DOC_NAME],[OSOB_USL],[N_OSOB_USL] ,[POS_SPIS] )  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 2 
			
	
			---  #SZV_ST
				
				INSERT INTO #SZV_ST([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP,GOSSL)
				exec dbo.SZV_STAZH_PRINT @LINK_DOC
			
	
				update #SZV_ST  set FM = UPPER(FM), IM = UPPER(IM), OT = UPPER(OT), ADDRESS2 = UPPER(ADDRESS2) WHERE link_SZV = @LINK_DOC 
			
				
				--  #PERS_INFO2 

				INSERT INTO #PERS_INFO2([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP,GOSSL)

				SELECT	[LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP, GOSSL
				FROM #SZV_ST
			

			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			

DECLARE @NN INT, @PN INT, @ON INT
SELECT @NN = 0, @PN = 0, @ON = 0




DECLARE @PI_NGROUP INT, @PI_ID INT, @PI_link_szv int, @PI_T_DOG tinyint  
DECLARE @Cur_PI CURSOR
SET @Cur_PI = CURSOR FORWARD_ONLY

FOR select link_szv, NGROUP,T_DOG, [ID]  from #SZV_ST order by link_szv,T_DOG, NGROUP, [ID]

OPEN @Cur_PI
FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @NN = (CASE WHEN @PI_NGROUP <> @PN THEN 1 ELSE (CASE WHEN @ON <> @PI_ID THEN @NN + 1 ELSE @NN END) END)
		SET @PN = (CASE WHEN @PI_NGROUP <> @PN THEN @PI_NGROUP ELSE @PN END)

		UPDATE A
		SET 
			ID = @NN
		FROM #SZV_ST A 
		WHERE link_szv = @PI_link_szv and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID

		SET @ON = @NN				

	END

	FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
END

CLOSE @Cur_PI
DEALLOCATE @Cur_PI




-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @link_szv INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC datetime, 
	@INN VARCHAR(12), @KPP VARCHAR(9), @OKPO VARCHAR(40), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@COUNT_P VARCHAR(10) , @COUNT_PK VARCHAR(10), @COUNT_PERS VARCHAR(4), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4),@sved int , @TYP_SVED VARCHAR(20), @kor INT,
	@VID_KOR VARCHAR(20),@PER VARCHAR(1),@PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4),  @TYPE VARCHAR(20), @GUID VARCHAR(36),
	@EGRUL varchar(15), @CHIEF_POST_OUR VARCHAR(150) , @CH_FM  VARCHAR(150) , @CH_IM  VARCHAR(150),@CH_OT  VARCHAR(150)
	/*@INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	
	@KATEG VARCHAR(20)*/

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


SELECT @CHIEF_POST_OUR = (SELECT TOP 1 post_name FROM dbo.SD_EMPL AS se WHERE link  = a.face_link),
		@CH_FM = (SELECT TOP 1 LTRIM(RTRIM(FM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_IM = (SELECT TOP 1 LTRIM(RTRIM(IM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_OT = (SELECT TOP 1 LTRIM(RTRIM(OT)) FROM dbo.sd_empl WHERE link  = a.face_link)
FROM DICTIONARY_OTV_FACE_ALL A  
inner join dbo.SS_SZV_STAZH_PACHKA P on a.dep_link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )
AND  a.NAME = '' 


SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	link_szv,
	FNAME = '_'+ RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))) + '_'+LEFT(REPLACE([REG_NOM_PF],'-',''),6)+'_-_'+CONVERT(VARCHAR(8),ltrim(rtrim(replace(CONVERT(VARCHAR(10),DATE_DOC,102),'.',''))))+'_'+ltrim(rtrim([GUID]))+'.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	[OKPO] = RTRIM(LTRIM(COALESCE(OKPO,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))),
	--PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	[COUNT_P] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_P]))), 	
	[COUNT_PK] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PK]))),
	[COUNT_PERS] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PERS]))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = DATE_DOC,
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SVED = [TYPE] ,
	TYP_SVED = (CASE WHEN [TYPE] = 1 THEN '' else (CASE WHEN [TYPE] = 2 THEN '' else '' end) end),
	KOR = [VID_KOR] ,
	VID_KOR = (CASE WHEN [VID_KOR] = 2 THEN '' else (CASE WHEN [VID_KOR] = 3 THEN '' else '' end) end),
	[PER] = 0 ,  --CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	PER_EDT = CONVERT(VARCHAR(1),[PER_edt]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	[GUID] = RTRIM(LTRIM(CONVERT(VARCHAR(36),iSnull([GUID],null))))
from #ODV1 order by link_szv

/*  A63        61 */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	 @SVED, @TYP_SVED, @KOR,@VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'UTF-8' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://.///2014-01-01" xmlns:xs="http://www.w3.org/2001/XMLSchema">'
			/*UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21"'+CHAR(10)+CHAR(13)
+ ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://.//-/2017-01-01'+CHAR(10)
+'..\..\..\..\\\\2017\-_2017-01-01.xsd">'*/
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				 
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<-1>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + CASE when @VID_KOR = '' THEN '1' ELSE '0' end + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'					
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + RTRIM(LTRIM(ISNULL(@COUNT_PERS,''))) + '</>'
	

	IF (SELECT COUNT([work_stake])  FROM #ODV1_2 WHERE [LINK_SZV] =  @link_szv ) <>0
	BEGIN 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  SELECT @lcFNAME , SPACE(2) + '<>'
		
		
		-- 1 
		DECLARE @Cur2 CURSOR, @LINK_SZV1 int, @subdiv_name varchar(254), @POST_NAME varchar(254), @num_stake NUMERIC(5,2), @work_stake NUMERIC(5,2),
				@Fakt_Work VARCHAR(254), @DOC_NAME VARCHAR (10),@OSOB_USL VARCHAR(10),@POS_SPIS VARCHAR(150) 
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
			Select	[LINK_SZV],[subdiv_name],
					[POST_NAME],[num_stake],[work_stake],
					[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 
			FROM #ODV1_2  WHERE  [LINK_SZV] = @link_szv 
			GROUP BY [LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 			   			
		
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN	
						IF isnull(@OSOB_USL,'') <> '' AND isnull(@POS_SPIS,'') <> '' 
						begin		
							  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											Select @lcFNAME, SPACE(3) + '<:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@subdiv_name,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@POST_NAME,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(CONVERT(VARCHAR(8),ISNULL(@num_stake,''))))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(ISNULL(@work_stake,''))))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@Fakt_Work,''))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@DOC_NAME,'-')))+'</:>' 
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@OSOB_USL,'')))+'</:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@POS_SPIS,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '</:>'
								  UNION ALL SELECT @lcFNAME, SPACE(3) + '</:>'
						end
					END
				
					FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS					  
					
				END 
			CLOSE @Cur2
			DEALLOCATE @Cur2
								
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(3) + '<:>'+ RTRIM(LTRIM(CONVERT(VARCHAR(8),SUM(@num_stake))))+ '</:> '  + CHAR(10)
							  +	 SPACE(3) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(sum(@work_stake))))) + '</:>'
				FROM #ODV1_2 WHERE LINK_SZV = @DOC_LINK  GROUP BY LINK_SZV
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	END 

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+REPLACE(RTRIM(LTRIM(isnull(@CHIEF_POST_OUR,''))),' ','')+'</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_FM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_IM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_OT,'')))+'</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(VARCHAR(10),@DATE_DOC , 120) +'</>'
		UNION ALL SELECT @lcFNAME, SPACE(1) + '</-1>'

	-- - 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	Select @lcFNAME, SPACE(1) + '<->'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	UNION ALL Select @lcFNAME, SPACE(2) + '<>'+CASE WHEN  @SVED = 2 THEN '2' 
															     WHEN  @SVED = 1 AND @KOR = 1 THEN '0'	
															     WHEN @SVED = 1 AND @KOR = 2 THEN '1'
															ELSE '0'  END    
												  +'</>'  + CHAR(10)
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	


	DECLARE @LINK_SZV_ST int, @TYPE_SV INT , @TYPE_KOR INT , @ID int, @ID_EX INT, @PF_NUMBER VARCHAR(14)
	SET @Cur2 = CURSOR FORWARD_ONLY
	FOR 
	Select	[LINK_SZV],[TYPE_SV],[TYPE],[ID],[PFNUMBER]
	FROM #SZV_ST  WHERE  [LINK_SZV] = @link_szv 
	GROUP BY [LINK_SZV],[ID],[PFNUMBER],[TYPE_SV],[TYPE]
	ORDER BY [LINK_SZV],[ID],[PFNUMBER]	,[TYPE_SV],[TYPE]	   			
	
	OPEN @Cur2
	FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN	
			  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						Select @lcFNAME, SPACE(2) +'<>'	+ CHAR(10)
										  + SPACE(3) + '<>'	+ CHAR(10)  
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(FM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(IM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(OT,'')))+'</:>'+ CHAR(10) 
										  + SPACE(3) + '</>'+ CHAR(10) 
										  + SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL([PFNUMBER],''))) + '</>' + CHAR(10) 
										FROM 	
										(select top 1 FM , IM , OT , [PFNUMBER] FROM  #SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a

									
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
									Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
										FROM #pers_info2
										where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
										and (isnull(gossl,0) = 0 or (isnull(gossl,0) <> 0 and COALESCE(is_dop,'') <> ''))
										
										-----         
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
										Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
										FROM #pers_info2
										where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
										and (isnull(gossl,0) <> 0 and COALESCE(is_dop,'') = '')
										
										
		  
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
								Select @lcFNAME, SPACE(2) +'</>'	+ CHAR(10)  
								FROM (select top 1 FM , IM , OT , [PFNUMBER] FROM  #SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a
		END
	
		FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER--,@ID_EX 				  
		
	END 
	CLOSE @Cur2
	DEALLOCATE @Cur2	
		

	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, SPACE(1) + '</->'	
	UNION ALL SELECT @lcFNAME, SPACE(0) +'</>'

	FETCH NEXT FROM @Cur1 INTO  @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	@SVED, @TYP_SVED,@KOR, @VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]















GO


GRANT EXECUTE ON dbo.[SZV_STAZH_EXPORT_PFR_100_17] TO PUBLIC

GO


-- --

GO


GO

-- FIX >>  : 9816.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]

GO

CREATE   PROCEDURE [dbo].SS_SZV_ST_PACHKA_CALC_Buffer_2017 (@BufferCode varchar(10), @link int, @Year int, @Month tinyint) 
AS

DECLARE @SQL VARCHAR(1000)

SET @SQL = '
delete from dbo.Buffer
where RTRIM(LTRIM(ID)) = RTRIM(LTRIM( ''' + @BufferCode + ''' ))
	and link IN (select S.link_pers from dbo.SZV_STAZH_SVEDENIA S where S.link_up = ' + CONVERT(VARCHAR(20),@LINK) + ')'
--EXEC (@SQL)	--!!


CREATE TABLE #PERSON (LINK INT)	

SET @SQL = '
INSERT INTO #PERSON (LINK)
SELECT DISTINCT LINK FROM dbo.Buffer WHERE RTRIM(LTRIM(ID)) = RTRIM(LTRIM(''' + @BufferCode + '''))'
EXEC (@SQL)	

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @VID_KOR TINYINT , @type_doc tinyint

SELECT @VID_KOR = VID_KOR, @type_doc = [type]
FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link


IF @VID_KOR = 2
begin  
	SELECT @Year = @Year, @PER = PER_EDT, @MONTH_END = @Month
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
else 
begin
	SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
DECLARE @PeriodBegin datetime, @PeriodEnd datetime

/*IF @type_doc = 1 OR (@type_doc = 2 AND @PER <> 4)
BEGIN
	SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
	SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

	IF @MONTH_BEG > @MONTH_END
		SET @MONTH_END = @MONTH_BEG + 3 - 1
END
IF  @type_doc = 2 AND @PER = 4
 BEGIN */
		SET @MONTH_BEG = 1 
		SET @MONTH_END = 12
/* END */

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--  .
--
DECLARE @LINK_OZOI INT
SET @LINK_OZOI = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 3 AND @Year BETWEEN YBEG AND YEND),1)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME)

INSERT INTO #PERS_INV (PERS_LINK, DATE_BEGIN, DATE_END) 
SELECT PERS_LINK, DATE_BEGIN = MIN(ISNULL(I.DATE_BEGIN,@PeriodBegin)), DATE_END = MAX(ISNULL(I.DATE_END,@PeriodEnd))
FROM dbo.PERS_INVALID I
WHERE ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin
GROUP BY PERS_LINK


--forma    2013     (1 , 2 )
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_OZOI,
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END,
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
from 
	(	SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2 
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	INNER JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		


----
DECLARE @LINK_NR INT
SET @LINK_NR = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 1 AND @Year BETWEEN YBEG AND YEND),1)

--forma    2013     (1 , 2 )	
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_NR,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodBegin < CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		THEN @PeriodBegin 
		ELSE CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END + 1
	END,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodEnd > CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		THEN @PeriodEnd
		ELSE CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END - 1
	END
from 
	(	
		SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		
WHERE --          
	I.PERS_LINK IS NULL --  
	OR --    
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1
	OR --    
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1	

----
DECLARE @LINK_USEN INT
SET @LINK_USEN = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 2 AND @Year BETWEEN YBEG AND YEND),1)		
	
insert into dbo.SZV_STAZH_SVEDENIA 
	(link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
SELECT 	
	link_up, orders, forma, link_pers, ISNULL(sum_doh,0), ISNULL(sum_str,0), ISNULL(sum_nak,0), ISNULL(sum_dop,0), ISNULL(dper_vn_m,0), ISNULL(dper_vn_d,0), ISNULL(dper_oz_m,0), ISNULL(dper_oz_d,0), ISNULL(isum_str,0), ISNULL(isum_nak,0), @LINK_USEN, DATE_BEG, DATE_END
FROM
	#PERSON B INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON B.LINK = S.link_pers 
WHERE
	link_up = @link
	AND
	LINK_KATEG = @LINK_NR	


/*----        
CREATE TABLE #PERS_SUM_J (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, MON INT, INCOME NUMERIC(18,2), SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM_J (LINK_PERS, LINK_KATEG, DOG, MON, INCOME, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG, MON,
	SUM(CASE WHEN [OBJECT] = 1 THEN SUMMA ELSE 0 END), --  (INCOME)
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.EMPL E ON E.PERS_LINK = S.LINK_PERS
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_EMPL = E.LINK 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 1 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
	UNION ALL	
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.PERS_LINK = S.LINK_PERS 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 2 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG, MON
*/
--
/*CREATE INDEX #TMP_IDX_#PERS_SUM_J ON #PERS_SUM_J (LINK_PERS, LINK_KATEG)

--ר     
-- ר         512   ר 
create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, KATEG TINYINT, DOG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG = 1
FROM 
	dbo.SA_ESN_VIEW(@Year, @Month, @DEP_LINK, 0) S
WHERE 
	WAY_CALC IN (6,7,10,11)
	AND EXISTS (SELECT * FROM #PERSON B WHERE B.LINK = S.REF_PHYS_PERS)

--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, 
	GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, 
	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@Year))) = 2
		THEN 3
		ELSE
		CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END
	END, 
	DOG = 2
FROM 
	dbo.DOCUMENTS_DGH G 
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.PERSON P on GT.PERS_LINK = P.link
	INNER JOIN #PERSON B ON B.LINK = P.LINK
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  IN (6,7,10,11)
	AND YEAR(G.[DATE]) = @Year
	AND MONTH(G.[DATE]) <= @Month
	AND LINK_DEP = @DEP_LINK


--
CREATE INDEX #TMP_IDX_SPR_ESN ON #SPR_ESN (REF_PHYS_PERS, KATEG, DOG)

--
DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS < @PeriodBegin )
*/
--  
DECLARE @STAVKI TABLE ( LINK_PERS INT, TARIF TINYINT, PREDEL NUMERIC(15,2), [PERCENT] NUMERIC(8,2), WAY_CALC TINYINT)

INSERT INTO @STAVKI (LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC)
SELECT 
	LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC 
FROM 
	dbo.SA_ESN_TARIF(DEFAULT, @PeriodEnd, DEFAULT) S
WHERE 
	WAY_CALC IN (6,7)
	AND EXISTS (SELECT * FROM #PERSON P WHERE P.LINK = S.LINK_PERS)

--	
DECLARE @LIMIT NUMERIC(18,2)
SET @LIMIT = ISNULL((SELECT MIN(PREDEL) FROM @STAVKI WHERE TARIF = 1 AND WAY_CALC = 6),0)

------      ר   ר  512.
/*CREATE TABLE #SUM_PERSON (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT, WAY_CALC TINYINT, [PERCENT] NUMERIC(18,2), MON TINYINT, 
				BAZA NUMERIC(18,2), SUM_LIM NUMERIC(18,2), SUM_KOR NUMERIC(18,2),BAZA2 NUMERIC(18,2),  NALOG NUMERIC(20,6), M BIT)

INSERT INTO #SUM_PERSON (LINK_PERSON, KATEG, DOG, WAY_CALC, [PERCENT], MON, BAZA, NALOG, M)
SELECT
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE,
	SUM(ISNULL(SUMMA_BASE,0) - ISNULL(DED_M,0) - ISNULL(INV_M,0)) AS BAZA,
	SUM(SUMMA),
	0
FROM 
	#SPR_ESN E
	INNER JOIN @STAVKI S ON S.LINK_PERS = E.REF_PHYS_PERS AND S.WAY_CALC = E.WAY_CALC AND S.TARIF = E.KATEG
WHERE 
	S.PREDEL = @LIMIT
GROUP BY
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE

-- ,     
CREATE TABLE #PERS_AFTER (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT)

INSERT INTO #PERS_AFTER (LINK_PERSON, KATEG, DOG)
SELECT LINK_PERSON, KATEG, DOG
FROM #SUM_PERSON 
WHERE WAY_CALC = 6
GROUP BY LINK_PERSON, KATEG, DOG
HAVING SUM(BAZA) > @LIMIT
DECLARE @Cur2 CURSOR, @MON TINYINT, @KATEG TINYINT, @DOG TINYINT

SET @Cur2 = CURSOR FORWARD_ONLY
FOR SELECT DISTINCT MON, KATEG, DOG FROM #SUM_PERSON SP
	ORDER BY MON, KATEG ASC, DOG DESC
OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE SP --     
		SET 
			M = 1,
			SUM_LIM = (SELECT SUM(BAZA) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.WAY_CALC = SP.WAY_CALC AND (M=1 OR SP1.MON = SP.MON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG))
		FROM #SUM_PERSON SP
		WHERE MON = @MON AND KATEG = @KATEG AND DOG = @DOG
		
		UPDATE #SUM_PERSON -- 
		SET SUM_KOR = CASE WHEN ISNULL(SUM_LIM,0) > @LIMIT THEN ISNULL(SUM_LIM,0) - @LIMIT ELSE 0 END

		UPDATE #SUM_PERSON
		SET BAZA2 = CASE WHEN (ISNULL(BAZA,0) > ISNULL(SUM_KOR,0) OR ISNULL(BAZA,0) < 0)
							THEN ISNULL(BAZA,0) - ISNULL(SUM_KOR,0) ELSE 0 END
		
		UPDATE SP
		SET NALOG = 
					CASE WHEN BAZA <> BAZA2 
						THEN 
							
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON <= SP.MON),0)
							* ISNULL([PERCENT],0) / 100)
							-
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON < SP.MON),0)
							* ISNULL([PERCENT],0) / 100)

						ELSE 
							(SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND SP.DOG = PS.DOG AND PS.MON = SP.MON)
					END
					
					--CASE WHEN BAZA <> BAZA2 
					--	THEN ISNULL(BAZA2,0) * ISNULL([PERCENT],0) / 100
					--	ELSE (SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND PS.MON = SP.MON)
					--END	
		FROM
			#SUM_PERSON SP
		WHERE --  ,    
			EXISTS (SELECT * FROM #PERS_AFTER PA WHERE PA.LINK_PERSON = SP.LINK_PERSON AND PA.KATEG = SP.KATEG AND PA.DOG = SP.DOG)

	END
	FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
END

CLOSE @Cur2
DEALLOCATE @Cur2

--    
CREATE TABLE #PERS_SUM (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM (LINK_PERS, LINK_KATEG, DOG, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG,
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, SUMMA_BASE = SUM(BAZA2), SUMMA = SUM(NALOG)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG
		INNER JOIN #SUM_PERSON SP ON SP.LINK_PERSON = S.LINK_PERS AND SP.KATEG = K.LINK2 AND S.FORMA = SP.DOG AND SP.MON BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
	WHERE
		S.LINK_UP = @link
		AND
		@Year BETWEEN K.YBEG AND K.YEND
	GROUP BY
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, S.FORMA
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG

--
UPDATE S SET
	sum_doh = ISNULL(SUMMA_I,0), -- 10     
	sum_str = 0, -- 10      ,  ..    -  0,  
	sum_nak = ISNULL(SUMMA_G,0), --      
	sum_dop = 0 --  10      ,  ..    -  0,  
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #PERS_SUM P ON P.LINK_PERS = S.LINK_PERS AND P.LINK_KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

*/
---   
/*CREATE TABLE #INCOME_T1T2 (
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_T1_M1 NUMERIC(18,2),
	INCOME_T2_M1 NUMERIC(18,2),
	INCOME_T1_M2 NUMERIC(18,2),
	INCOME_T2_M2 NUMERIC(18,2),
	INCOME_T1_M3 NUMERIC(18,2),
	INCOME_T2_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME_T1T2 (LINK_PERS, KATEG, DOG, INCOME_T1_M1, INCOME_T2_M1, INCOME_T1_M2, INCOME_T2_M2, INCOME_T1_M3, INCOME_T2_M3)
SELECT REF_PHYS_PERS, KATEG, E.DOG, 
	INCOME_T1_M1 = SUM(CASE WHEN WAY_CALC = 10 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END), 
	INCOME_T2_M1 = SUM(CASE WHEN WAY_CALC = 11 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M2 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M2 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M3 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M3 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END)
FROM #SPR_ESN E
WHERE WAY_CALC IN (10,11)	
GROUP BY REF_PHYS_PERS, KATEG, E.DOG

UPDATE S SET
	S.INCOME_T1_M1 = P.INCOME_T1_M1,
	S.INCOME_T2_M1 = P.INCOME_T2_M1,
	S.INCOME_T1_M2 = P.INCOME_T1_M2,
	S.INCOME_T2_M2 = P.INCOME_T2_M2,
	S.INCOME_T1_M3 = P.INCOME_T1_M3,
	S.INCOME_T2_M3 = P.INCOME_T2_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME_T1T2 P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

--    
CREATE TABLE #INCOME(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_M1 NUMERIC(18,2),
	INCOME_M2 NUMERIC(18,2),
	INCOME_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME (LINK_PERS, KATEG, DOG, INCOME_M1, INCOME_M2, INCOME_M3)
SELECT 
	LINK_PERS, LINK_KATEG, DOG,
	INCOME_M1 = SUM(INCOME),
	INCOME_M2 = SUM(CASE WHEN MON = (@Month - 1) THEN INCOME ELSE 0 END),
	INCOME_M3 = SUM(CASE WHEN MON = @Month THEN INCOME ELSE 0 END)
FROM #PERS_SUM_J
GROUP BY 
	LINK_PERS, LINK_KATEG, DOG

UPDATE S SET
	S.INCOME_M1 = P.INCOME_M1,
	S.INCOME_M2 = P.INCOME_M2,
	S.INCOME_M3 = P.INCOME_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	


--   
CREATE TABLE #BASE(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	BASE_BEFORE_M1 NUMERIC(18,2),
	BASE_AFTER_M1 NUMERIC(18,2),
	BASE_BEFORE_M2 NUMERIC(18,2),
	BASE_AFTER_M2 NUMERIC(18,2),
	BASE_BEFORE_M3 NUMERIC(18,2),
	BASE_AFTER_M3 NUMERIC(18,2)	
	)

INSERT INTO #BASE (LINK_PERS, KATEG, DOG, BASE_BEFORE_M1, BASE_AFTER_M1, BASE_BEFORE_M2, BASE_AFTER_M2, BASE_BEFORE_M3, BASE_AFTER_M3 )
SELECT LINK_PERSON, KATEG, DOG,
	BASE_BEFORE_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M3	= SUM(CASE WHEN MON = @Month THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M3	= SUM(CASE WHEN MON = @Month THEN BAZA - BAZA2 ELSE 0 END)		
FROM #SUM_PERSON 
WHERE 
	WAY_CALC = 6
GROUP BY
	LINK_PERSON, KATEG, DOG
	
UPDATE S SET
	S.BASE_BEFORE_M1 = P.BASE_BEFORE_M1,
	S.BASE_AFTER_M1 = P.BASE_AFTER_M1,
	S.BASE_BEFORE_M2 = P.BASE_BEFORE_M2,
	S.BASE_AFTER_M2 = P.BASE_AFTER_M2,
	S.BASE_BEFORE_M3 = P.BASE_BEFORE_M3,
	S.BASE_AFTER_M3 = P.BASE_AFTER_M3	
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #BASE P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	
*/
--   ,   
SELECT LINK_PERS, FORMA, LINK_KATEG INTO #TAB FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY LINK_PERS, FORMA, LINK_KATEG HAVING SUM(sum_doh) = 0 AND SUM(sum_nak) = 0 AND SUM(INCOME_M1) = 0
--	


DELETE FROM dbo.SZV_STAZH_SVEDENIA 
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 AND LINK_KATEG NOT IN( @LINK_NR, @LINK_OZOI)



DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 
	AND NOT EXISTS (SELECT LINK_PERS FROM #TAB T WHERE T.LINK_PERS = dbo.SZV_STAZH_SVEDENIA.LINK_PERS AND T.FORMA = dbo.SZV_STAZH_SVEDENIA.FORMA AND T.LINK_KATEG = dbo.SZV_STAZH_SVEDENIA.LINK_KATEG)



--  
UPDATE dbo.SZV_STAZH_SVEDENIA SET LINK_KATEG = @LINK_NR WHERE link_up = @link AND LINK_KATEG = @LINK_OZOI





select * from SZV_STAZH_SVEDENIA where link_up = 14

UPDATE b
set b.date_beg = a.date_beg ,
	b.date_end = a.date_end
FROM dbo.SZV_STAZH_SVEDENIA b
	left join (select link_up, date_beg = min(date_beg)  , date_end = max(date_end) , link_pers from dbo.SZV_STAZH_SVEDENIA a  where link_up = @link and (select count(*) from dbo.SZV_STAZH_SVEDENIA   where link_up =  a.link_up and link_pers = a.link_pers)>1  group by link_up,  link_pers) as a
	on  b.link_up = a.link_up  
where  b.link_pers = a.link_pers and  (select count(*) from dbo.SZV_STAZH_SVEDENIA   where link_up =  b.link_up and link_pers = b.link_pers)>1 


select link = max(link), link_up,LINK_PERS INTO #TAB1 FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY link_up, LINK_PERS, DATE_BEG,DATE_END  HAVING COUNT(link) >1

DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link in (select link from #tab1)




----     
EXEC [dbo].SS_SZV_ST_PACHKA_RASPIL @link


IF @VID_KOR != 3
	begin  
	---  

	----------------------------------------------------------------------------
	CREATE TABLE #PERIODY (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] int, NUM_STAKE NUMERIC(5,2), [IS_DOP] VARCHAR(20),	[NOT_LGOT_EXPIR] INT NULL , ADD_TYPE INT )

	--/* */
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, TYPE,[IS_DOP])
	SELECT 	DISTINCT
		PERS_LINK, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			THEN (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			ELSE S.DATE_END
		END,	
		0,
		[IS_DOP] = isnull(pt.DOP_IS_C, '' )  --(SELECT TOP 1  pt.DOP_IS_C  from dbo.POST_TYPES AS pt WHERE   pt.link = st.gossl) 
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.EMPL E ON S.LINK_PERS = E.PERS_LINK AND E.DEP_LINK = @DEP_LINK
		INNER JOIN dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		left join dbo.staff_head sh on sh.link = p.STAFF_LINK
		left join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
	WHERE
		S.LINK_UP = @link
		AND
		P.DATE_BEGIN <= @PeriodEnd
		and coalesce(P.DATE_END,'20990101') >= @PeriodBegin
		AND
		coalesce(U.DIS_DATE,'20990101') >= @PeriodBegin
		and st.date_begin <= '20171231' 
			and  coalesce(st.date_end,'20990101') >= '20170101'	
		--AND st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin	

	/* */
	Select DISTINCT
		link_face = DGH.PERS_LINK, LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				THEN (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				ELSE S.DATE_BEG
			END,
		date2 = CASE WHEN S.DATE_END > (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				THEN (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				ELSE S.DATE_END
			END,
		[type] = 0
	INTO #DGH	
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.SALARY_REESTR_DGH DGH ON S.LINK_PERS = DGH.PERS_LINK
	WHERE 
		S.LINK_UP = @link
		AND
		DGH.DEP_LINK = @DEP_LINK
		and
		DGH.DATE1 <= @PeriodEnd
		and
		coalesce(DGH.DATE2,'20990101') >= @PeriodBegin


	--       
	SELECT LINK_FACE, DB = MIN(DATE1), DE = MAX(DATE2)
	INTO #WORK
	FROM #PERIODY
	GROUP BY LINK_FACE

	UPDATE S SET 
		S.DATE_BEG = CASE WHEN W.DB < S.DATE_BEG THEN S.DATE_BEG ELSE W.DB END,
		S.DATE_END = CASE WHEN W.DE > S.DATE_END THEN S.DATE_END ELSE W.DE END
	FROM 
		dbo.SZV_STAZH_SVEDENIA S INNER JOIN #WORK W ON S.LINK_PERS = W.LINK_FACE
	WHERE 
		S.LINK_UP = @link
	
	--
	CREATE TABLE #ADD_TYPE (
		[type] INT IDENTITY(1,1),
		[TERR_USL_TRUD] int NULL ,
		[TERR_RK] numeric(3, 2) NULL ,
		[OSOB_USL_TRUD] int NULL ,
		[COD_POS_SPISOK] int NULL ,
		[COD_POS_SPISOK2] int NULL ,
		[USL_DOSROCH_PENS] int NULL ,
		[STAVKA_PED_MED] numeric(3, 2) NULL,
		[VID] VARCHAR(20),
		[IS_DOP] VARCHAR(20),
		[COD_SPO_USL_TRUD] INT NULL
	)	
	INSERT INTO #ADD_TYPE 
		([TERR_USL_TRUD],[TERR_RK],[OSOB_USL_TRUD],[COD_POS_SPISOK],[COD_POS_SPISOK2],[USL_DOSROCH_PENS],[STAVKA_PED_MED],[VID],[IS_DOP],[COD_SPO_USL_TRUD])
	SELECT DISTINCT 
		ISNULL(s.TERR_USL_TRUD,0), ISNULL(s.TERR_RK,0), ISNULL(s.OSOB_USL_TRUD,0), ISNULL(s.COD_POS_SPISOK,0), ISNULL(s.COD_POS_SPISOK2,0), ISNULL(s.USL_DOSROCH_PENS,0), ISNULL(s.STAVKA_PED_MED,0), VID = 'ADD_TYPE', IS_DOP =  ISNULL(dop_is_c,''), ISNULL(s.[COD_SPO_USL_TRUD],0) 
	FROM dbo.staff s 
	LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = s.gossl
	WHERE ISNULL(s.TERR_USL_TRUD,0) <> 0 OR ISNULL(s.TERR_RK,0) <> 0 OR ISNULL(s.OSOB_USL_TRUD,0) <> 0 OR ISNULL(s.COD_POS_SPISOK,0) <> 0 OR ISNULL(s.COD_POS_SPISOK2,0) <> 0 OR ISNULL(s.USL_DOSROCH_PENS,0) <> 0 OR ISNULL(s.STAVKA_PED_MED,0) <> 0 OR ISNULL(s.[COD_SPO_USL_TRUD],0) <> 0 
	OR ISNULL(pt.dop_is_c,'')<>'' 

	--
	DECLARE @MAX_TYPE INT
	SET @MAX_TYPE = ISNULL((SELECT MAX(type) FROM #ADD_TYPE),0)

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('TMP_TYPE', '')
	
	/*  ( )*/
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('KOMM_TYPE', '')


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD1', '')

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	SELECT DISTINCT
		'PERIOD2',
		ISNULL(V.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
					--AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
					) VV ON VV.LINK = IV.TYPE_LINK
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD3', '')
/*
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	Select DISTINCT
		'PERIOD4',
		ISNULL(VV.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/
	--    
	INSERT INTO #ADD_TYPE (VID, IS_DOP) 	
	SELECT LEFT('P_' + LTRIM(RTRIM(CODE)),20), IS_DOP
	FROM dbo.VACATION_VID 
	WHERE	IS_DOP IS NOT NULL
			AND 
			NOT EXISTS (SELECT * FROM #ADD_TYPE WHERE VID = LEFT('P_' + LTRIM(RTRIM(CODE)),20))


 	--    c   
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type], NUM_STAKE, IS_DOP)
	SELECT DISTINCT 
		link_face = E.PERS_LINK, S.LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN ELSE @PeriodBegin end)
					THEN (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN else  (case when IM.DATE_BEGIN >= @PeriodBegin  THEN IM.DATE_BEGIN ELSE @PeriodBegin end) end)
					ELSE (case when IM.DATE_BEGIN >= S.DATE_BEG  AND (dis_date IS NOT NULL AND dis_date BETWEEN @PeriodBegin AND @PeriodEND) THEN IM.DATE_BEGIN ELSE S.DATE_BEG end) --          -      
				END,
		date2 = CASE WHEN 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
							> (case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					THEN 
						(case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					ELSE 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
				END,	
		ISNULL(T.[type],0),
		ISNULL(im.NUM_STAKE,0),
		IS_DOP = isnull(T.[IS_DOP],'')
		--, ST.*
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		INNER JOIN dbo.sa_item_move im ON im.EMPL_LINK = e.link
		inner join dbo.staff_head sh on sh.link = STAFF_LINK
		inner join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1	
		left join #ADD_TYPE T on 
				ISNULL(st.TERR_USL_TRUD,0) = ISNULL(T.TERR_USL_TRUD,0) 
				AND ISNULL(st.TERR_RK,0) = ISNULL(T.TERR_RK,0) 
				AND ISNULL(st.OSOB_USL_TRUD,0) = ISNULL(T.OSOB_USL_TRUD,0) 
				AND ISNULL(st.COD_POS_SPISOK,0) = ISNULL(T.COD_POS_SPISOK,0) 
				AND ISNULL(st.COD_POS_SPISOK2,0) = ISNULL(T.COD_POS_SPISOK2,0) 
				AND ISNULL(st.USL_DOSROCH_PENS,0) = ISNULL(T.USL_DOSROCH_PENS,0) 
				AND ISNULL(st.STAVKA_PED_MED,0) = ISNULL(T.STAVKA_PED_MED,0) 
				AND ISNULL(st.[COD_SPO_USL_TRUD],0) = ISNULL(T.[COD_SPO_USL_TRUD],0)
				AND ltrim(rtrim(ISNULL(pt.[DOP_IS_C],''))) = ltrim(rtrim(ISNULL(T.[IS_DOP],'')))
	where 
		S.LINK_UP = @link
		AND
		IM.NUM_STAKE >= 1 
		AND
		IM.[STATUS] <> 2 -- .   
		AND
		im.DATE_BEGIN <= @PeriodEnd and im.DATE_END3 >= @PeriodBegin
		and 
		st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin
		AND 
		im.DATE_end3 > st.DATE_BEGIN -- AND st.DATE_END	 --            
		AND
		T.[TYPE] IS NOT NULL AND T.VID = 'ADD_TYPE'
		AND
		COALESCE(U.DIS_DATE,'20990101') >= @PeriodBegin
	order by
		E.PERS_LINK
	---**************************************

	DECLARE @TMP_TYPE INT
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')

	/* -    ( .  )*/
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	Select DISTINCT 
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		ISNULL( (SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = LEFT('P_' + LTRIM(RTRIM(VV.CODE)),20) AND AT.IS_DOP = VV.IS_DOP ), @TMP_TYPE),
		[NOT_LGOT_EXPIR]
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_vacation iv on E.link = iv.EMPL_LINK 
		inner join dbo.orders o on iv.order_link=o.link
		--  ,   "    ", 
		--  (   )
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link /*AND NO_SAL <> 1*/
		INNER JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK AND WORK_D <> 7 --      (   )
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and ISNULL(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and 
		iv.compens <>1 --   
		and
		iv.date_begin <= @PeriodEnd
		and
		ISNULL(ISNULL(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	/* -    ( .  )*/	
	--SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'KOMM_TYPE')
	
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			THEN (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE,
		1
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_travel T on E.link = T.EMPL_LINK
		left join dbo.ITEM_TRAVEL_LONG ITL on ITL.TRAVEL_LINK = T.LINK and ISNULL(ITL.ACTIVE,0) = 1	
	WHERE
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		AND 
		T.ACTIVE = 1 
		AND 
		T.DATE_BEGIN <= @PeriodEnd
		AND 
		ISNULL(ISNULL(ITL.NEW_DATE_END,T.date_end),'20990101') >= @PeriodBegin

	/* -      */

	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD1')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
		INNER JOIN dbo.NETRUD N ON N.LINK = [TYPE] AND N.DEKRET = 1
	WHERE 
		S.LINK_UP = @link
		AND	
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin

	/* -  */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD3')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
	WHERE
		S.LINK_UP = @link
		AND	 
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin
		and
		[TYPE] not in (select LINK from dbo.NETRUD where DEKRET = 1)

	/* -     1,5   3 */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD2' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(V.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER join dbo.TYP_DAYS D on V.TYPE_LINK = D.LINK AND  WORK_D = 7 
		--INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
			----AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
		--	) VV ON VV.LINK = IV.TYPE_LINK
		LEFT JOIN DBO.ITEM_VACATION_BREAK IVB ON IVB.VAC_LINK = IV.LINK AND COALESCE(IVB.ACTIVE,0) = 1
	WHERE 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin

/*
	/* -     */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	Select DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD4' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(VV.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	WHERE
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/

	--------------------------------------------------------------------------
	-- 2.            type.
	--- ,        , ..     
	CREATE TABLE #PERIODY3 (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] INT, orders int, i int, NUM_STAKE NUMERIC(5,2),IS_DOP VARCHAR(20), TYPE_ADD INT)

	--    -1  ..  
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, [type])
	SELECT DISTINCT link_face, LINK_KATEG, @PeriodBegin, @PeriodEnd, [type] = -1   FROM #PERIODY


	CREATE TABLE #DAYS (ID INT IDENTITY(1,1), LINK_FACE INT, LINK_KATEG INT, [DATE] DATETIME, [TYPE] INT, NUM INT/*, IS_DOP VARCHAR(20)*/, NUM_STAKE NUMERIC(5,2), [TYPE_ADD] INT)

	INSERT INTO #DAYS (LINK_FACE, LINK_KATEG, [DATE], [TYPE], NUM, NUM_STAKE/*,IS_DOP*/, [TYPE_ADD])
	SELECT P.LINK_FACE, P.LINK_KATEG, [DATE], [TYPE] = MAX([TYPE]), 0, 
		[NUM_STAKE] = MAX(ISNULL(NUM_STAKE,0)), 
		--isnull(IS_DOP,''),
		[TYPE_ADD] = MAX(CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END
		)
	FROM 
		#PERIODY P
		INNER JOIN dbo.days_ex(@PeriodBegin, @PeriodEnd) D ON 1=1
	WHERE
		D.[DATE] BETWEEN P.DATE1 AND P.DATE2
	GROUP BY
		 P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]
	ORDER BY	
		P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]

	--   ,     
	UPDATE #DAYS SET [TYPE_ADD] = 0 
	WHERE 
		EXISTS (SELECT * FROM #PERIODY WHERE 
			#PERIODY.[NOT_LGOT_EXPIR] = 1
			AND #PERIODY.link_face = #DAYS.link_face
			AND #DAYS.[DATE] BETWEEN #PERIODY.DATE1 AND #PERIODY.DATE2)


	-- 
	DECLARE 
		@ID INT, @ID1 INT, @ID2 INT, @LINK_FACE INT, @DATE datetime, @LINK_KATEG INT, @TYPE INT, @NUM INT, @TYPE_ADD INT,
		@LINK_FACE1 INT, @LINK_KATEG1 INT, @TYPE1 INT,@TYPE_ADD1 INT,@DATE1 datetime

	--  ,      

------   #ADD_TYPE    
----
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')
----
	CREATE table #TDays(link_face int, id int,  date DATETIME ,LINK_KATEG int , [TYPE] INT, [TYPE_ADD] INT)
	INSERT INTO #TDays (link_face, id, date, LINK_KATEG, [TYPE], [TYPE_ADD])
	SELECT d.link_face,
		   d.id,
		   d.date,
		   d.LINK_KATEG,
		   d.[TYPE],
		   d.[TYPE_ADD]
	FROM #DAYS d WHERE d.[type] = @TMP_TYPE 
	ORDER BY d.link_face, d.ID ,d.[date], d.[TYPE] ,d.[TYPE_ADD]	 


	DECLARE @Cur0 CURSOR, @F_TYPE int, @F_TYPE_ADD int
	SET @Cur0 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE,[date],LINK_KATEG, [TYPE],  TYPE_ADD from  #TDays order by ID, LINK_FACE, [DATE]
	OPEN @Cur0
	FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
		
			SELECT DISTINCT @F_TYPE =[TYPE], @F_TYPE_ADD = [type_add]  
			FROM #DAYS WHERE LINK_FACE = @LINK_FACE AND LINK_KATEG = @LINK_KATEG AND [DATE] = @DATE-1 
			
			SELECT @F_TYPE = ISNULL(@F_TYPE,0), @F_TYPE_ADD = ISNULL( @F_TYPE_ADD,0) 

			IF @F_TYPE_ADD = @type_add OR  (ISNULL((SELECT TOP 1 IS_DOP TYPE FROM #ADD_TYPE WHERE [type] = @F_TYPE_ADD),'') <> '' AND @type_add = 0) 
			BEGIN
			
				UPDATE d
				SET [TYPE] = @F_TYPE , [type_add] = @F_TYPE_ADD 
				FROM #DAYS d
				WHERE d.ID = @ID AND d.LINK_FACE = @LINK_FACE AND d.[DATE] = @DATE AND d.LINK_KATEG=@LINK_KATEG AND d.[TYPE] = @TMP_TYPE

			END	

		END

		FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	END

	CLOSE @Cur0
	DEALLOCATE @Cur0


	--
	/*		---------
				UPDATE #DAYS SET [type] = 0 WHERE [type] = @TMP_TYPE
			---------*/

DROP TABLE #TDays 

---------------------------------------------------------------------------------
	--	
	SELECT TOP 1 @ID1 = 0, @ID2 = 0, @NUM = 0, @LINK_FACE1 = LINK_FACE, @LINK_KATEG1 =LINK_KATEG, @TYPE1 = [TYPE]
	FROM #DAYS
	order by ID
	--
	DECLARE @Cur1 CURSOR
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE, LINK_KATEG, [TYPE] from #DAYS order by ID
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			IF NOT (@LINK_FACE = @LINK_FACE1 AND @LINK_KATEG = @LINK_KATEG1 AND @TYPE = @TYPE1)
			BEGIN
				
				SELECT @NUM = @NUM + 1, @LINK_FACE1 = @LINK_FACE, @LINK_KATEG1 = @LINK_KATEG, @TYPE1 = @TYPE
				UPDATE #DAYS SET NUM = @NUM WHERE ID BETWEEN @ID1 AND @ID-1
				SELECT @ID1 = @ID 

			END

		END

		FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--
	UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1


	--------------------------------
	--**        ,        ,
	--       #DAYS 

	SELECT a.link, a.link_face, a.LINK_KATEG, a.date1, a.date2, a.[type],
	       a.NUM_STAKE, a.IS_DOP, a.NOT_LGOT_EXPIR, a.ADD_TYPE
	INTO #PERIODY_DEL
	FROM #PERIODY a 
		INNER join #PERIODY p on  	p.[type]<= @MAX_TYPE AND 	p.link_face = a.link_FACE	AND p.[type] <> a.[type] 
	WHERE a.[type]= 0 	
	AND p.[type] IN (SELECT [type]  FROM #ADD_TYPE WHERE vid = 'ADD_TYPE')  

	DELETE  FROM  #PERIODY  WHERE link  IN (SELECT link FROM #PERIODY_DEL)
	
	
	UPDATE P 
	SET [ADD_TYPE] = (CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END)
	FROM 
		#PERIODY P
	UPDATE P
	SET [ADD_TYPE] = (SELECT top 1 ADD_TYPE FROM #PERIODY WHERE p.date1 between date1 AND DATE2 )
	FROM 
		#PERIODY P WHERE isnull(P.ADD_TYPE,0) = 0 


	--
DECLARE @IS_DOP varchar(10) , @LINK_FACE_OLD int 
SET @Cur1 = CURSOR FORWARD_ONLY
FOR SELECT  link_face,IS_DOP, [TYPE] from #PERIODY order by link_face
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO  @LINK_FACE, @IS_DOP, @TYPE
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		----           #PERIODY

		IF ISNULL(@LINK_FACE_OLD,0) <> isnull(@LINK_FACE,0)
		BEGIN
			IF EXISTS(select * from #PERIODY where isnull(IS_DOP,'') <> '' and link_face = @LINK_FACE /*and [TYPE] = @TYPE*/)
			BEGIN
				select * from #PERIODY where isnull(IS_DOP,'') <> '' and link_face = @LINK_FACE 
				INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
				SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE1]), DATE_END = MAX([DATE2]), [TYPE], 0, 0, NUM_STAKE = max(ISNULL(NUM_STAKE,0)), ADD_TYPE
				FROM #PERIODY	
				WHERE [type] <> @TMP_TYPE
				--and [type]  = @TYPE
				and isnull(IS_DOP,'') <> ''
				and link_face = @LINK_FACE
				GROUP BY LINK_FACE, LINK_KATEG, /*[DATE1],[DATE2],*/ [TYPE], ADD_TYPE 
				ORDER BY LINK_FACE, LINK_KATEG /*, [DATE1],[DATE2]*/, [TYPE], ADD_TYPE
				-----	

			END 
			 ----           #DAYS
			IF EXISTS(select * from #PERIODY where isnull(IS_DOP,'') = '' and link_face = @LINK_FACE )
			begin
	----
				INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
				SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE]), DATE_END = MAX([DATE]), [TYPE], 0, 0, NUM_STAKE = MAX(ISNULL(NUM_STAKE,0)), TYPE_ADD
				FROM #DAYS	
				where link_face = @link_face
				and [type] not in (select [type] from #periody where isnull(IS_DOP,'') <> '' and link_face = @LINK_FACE)
				GROUP BY LINK_FACE, LINK_KATEG, NUM, [TYPE], TYPE_ADD
				ORDER BY LINK_FACE, LINK_KATEG, DATE_BEG, DATE_END

			
			end 
		
		END 
		set @LINK_FACE_OLD = @LINK_FACE
	END

	FETCH NEXT FROM @Cur1 INTO @LINK_FACE, @IS_DOP, @TYPE
END

CLOSE @Cur1
DEALLOCATE @Cur1
--
UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1	

	--  
	DELETE FROM #PERIODY3 WHERE [TYPE] = -1

	/* */
	DECLARE @uslovie INT
	set @uslovie = 1
	while @uslovie > 0
	begin
		update #PERIODY3 set orders = @uslovie 
		from #PERIODY3 as tt
		where 	coalesce(orders,0) = 0
			and date1 = (select min(t.date1) from #PERIODY3 t where coalesce(orders,0) = 0 and t.link_face = tt.link_face AND T.LINK_KATEG = TT.LINK_KATEG)
		if @@rowcount > 0
			set @uslovie = @uslovie + 1
		else
			set @uslovie = 0
	END


	--   
	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_k3, is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k, osob_spo)
	Select S.link, P.orders, P.date1, P.date2, 
		ter_usl = ISNULL(spr1.CODE,spr1A.CODE),
		ter_koef = ISNULL(T.TERR_RK,TA.TERR_RK),
		osob_usl = ISNULL(spr2.CODE,spr2A.CODE),
		osob_k1 = ISNULL(spr6.CODE,spr6A.CODE),
		osob_k2 = CONVERT(VARCHAR(20),left(ISNULL(spr7.CODE,spr7A.CODE),20)),
		osob_k3 = NULL,
		is_osnov = NULL, 
		is_dop = LTRIM(RTRIM(ISNULL(T.IS_DOP,TA.IS_DOP))),
		is_dop_m = NULL, 
		is_dop_d = NULL, 
		ud_osnov = ISNULL(spr5.CODE,spr5A.CODE), 
		ud_dop_m = NULL, 
		ud_dop_d = NULL, 
		ud_dop_k = ISNULL(T.STAVKA_PED_MED,TA.STAVKA_PED_MED) * P.NUM_STAKE,
		osob_spo = ISNULL(spr9.CODE,spr9A.CODE)
	 from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		inner join #PERIODY3 P on S.link_pers = P.link_face AND S.LINK_KATEG = P.LINK_KATEG
		
		LEFT JOIN #ADD_TYPE T ON P.[TYPE] = T.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1 on spr1.spr_code = 'TERR_USL' and spr1.LINK = T.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2 on spr2.spr_code = 'OSOB_USL_TRUDA' and spr2.LINK = T.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5 on spr5.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5.LINK = T.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6 on spr6.SPR_CODE LIKE 'SPISOK%' and spr6.LINK = T.COD_POS_SPISOK
		left join dbo.szv4_spr spr7 on spr7.SPR_CODE LIKE 'SPISOK%' and spr7.LINK = T.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3
		left join dbo.szv4_spr spr9 on spr9.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9.LINK = T.[COD_SPO_USL_TRUD]

		LEFT JOIN #ADD_TYPE TA ON P.[TYPE_ADD] = TA.[TYPE] AND P.[TYPE_ADD] <> P.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1A on spr1A.spr_code = 'TERR_USL' and spr1A.LINK = TA.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2A on spr2A.spr_code = 'OSOB_USL_TRUDA' and spr2A.LINK = TA.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5A on spr5A.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5A.LINK = TA.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6A on spr6A.SPR_CODE LIKE 'SPISOK%' and spr6A.LINK = TA.COD_POS_SPISOK
		left join dbo.szv4_spr spr7A on spr7A.SPR_CODE LIKE 'SPISOK%' and spr7A.LINK = TA.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3	
		left join dbo.szv4_spr spr9A on spr9A.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9A.LINK = TA.[COD_SPO_USL_TRUD]
	where
		S.link_up = @link
		AND
		S.FORMA = 1
	order by
		S.link, P.orders



	--  
	CREATE TABLE #STAGE_DOG (
		LINK_PERS INT, 
		KATEG TINYINT,
		BERIOD_BEG DATETIME,
		BERIOD_END DATETIME
		)

	INSERT INTO #STAGE_DOG (LINK_PERS, KATEG, BERIOD_BEG, BERIOD_END)
	SELECT LINK_FACE, LINK_KATEG, MIN(date1), MAX(date2) 
	FROM #DGH A
	GROUP BY LINK_FACE, LINK_KATEG

	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2,is_dop)
	Select S.link, 1, P.BERIOD_BEG, P.BERIOD_END,is_dop = (CASE WHEN exists(select * from  DOCUMENTS_DGH_T1 t1 
																				inner join dbo.DOCUMENTS_DGH DOC  ON DOC.link = t1.link 
																				WHERE t1.pers_link = p.LINK_PERS
																				AND p.BERIOD_BEG = DOC.PERIOD  ) THEN '' ELSE '' END)
	from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN #STAGE_DOG P on S.link_pers = P.LINK_PERS AND S.LINK_KATEG = P.KATEG
		
	where
		S.link_up = @link
		AND
		S.FORMA = 2
	order by
		S.link
		
	END


--------------------------------------------------------------------------
/*    ,            
C 14     
*/	
DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE 
LINK_UP = @link
AND
EXISTS (		
	Select  1
	from dbo.ss_szv_STazh_svedenia S inner join  dbo.szv_STAZH_pachka p on p.link = s.link
	WHERE 
		S.LINK1 = dbo.SZV_STAZH_SVEDENIA.LINK
		AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0
				 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0 
		and p.vid_kor != 3
		AND NOT EXISTS (SELECT * FROM dbo.SZV_ST_STAZH ST WHERE ST.LINK_UP = S.LINK1)
)


--------------------------------------------------------------------------
exec dbo.SZV_ST_NUMERATOR @link










GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017] TO PUBLIC

GO


-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_PRINT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_PRINT]

GO


CREATE PROCEDURE dbo.SZV_STAZH_PRINT(@Link int)
AS
-- exec SZV_STAZH_PRINT 151
DECLARE @varKSNOM_PF VARCHAR(20), @varKSname VARCHAR(254), @varKSDEP int,
	@varKSOKPO VARCHAR(40), @varKSINN VARCHAR(12), @varKSKPP VARCHAR(9), @Month int, @Year int, @date datetime

SELECT
	@varKSDEP = D.link, @varKSNOM_PF = PFNUMBER, @varKSname = UPPER([NAME]),
	@varKSOKPO = OKPO, @varKSINN = INN, @varKSKPP = KPP,
	@Month = month_end, @year = year_begin
FROM dbo.DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = @link

Set @date = dbo.ConvertDMY2Date(1,@Month,@Year)
Set @date = dbo.DateEndOfMonth(@date)

SELECT
	LINK = P.link,
	[YEAR] = ISNULL(CASE WHEN year_begin <> 2010 THEN year_begin ELSE NULL END ,0),
	[INN] = @varKSINN,
	[KPP] = @varKSKPP,
	OKPO = @varKSOKPO,
	[CODE] = K.CODE,	
	[PER] = ISNULL(CASE WHEN year_begin <> 2010 THEN PER ELSE NULL END ,0),
	[PER10] = ISNULL(CASE WHEN year_begin = 2010 THEN PER ELSE NULL END ,0),
	[YEAR_EDT] = ISNULL(p.year_edt,0),
	[PER_EDT] = ISNULL(p.PER_EDT,0),
	[TYPE_SV] = P.[TYPE],
	[TYPE] = P.vid_kor,
	[ID] = S.orders,
	[NGROUP] = S.pachka,
	T_DOG = s.forma,
	[PFNUMBER] = PF_NUM,
	[FIO] = FIO2,
	[FM] = s.FM,
	[IM] = s.IM,
	[OT] = s.OT,
	[INN_PERS] = per.INN,
	[ADDRESS] = [ADDRESS],
	[ADDRESS2] = ADDRESS2,
	[INSUR] = COALESCE(S.sum_doh,0), --     . 
	[INSUR1] = COALESCE(S.INSUR,0), --     . 
	[GAIN] = COALESCE(S.GAIN,0), --     . 
	[GAIN1] = COALESCE(S.DOP,0), --     . 
	INC_T1_M1 = S.INCOME_T1_M1,--      1  1 
	INC_T1_M2 = S.INCOME_T1_M2,--      1  2 
	INC_T1_M3 = S.INCOME_T1_M3,--      1  3 
	INC_T2_M1 = S.INCOME_T2_M1,--      2  1 
	INC_T2_M2 = S.INCOME_T2_M2,--      2  2 
	INC_T2_M3 = S.INCOME_T2_M3,--      2  3 
	[ID_EX] = ST.orders,
	[DATE_BEGIN] = date1,
	[DATE_END] = date2,
	[STR_DIS] = (CASE WHEN coalesce(dper_vn_m,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_vn_m,0)) + ' .' else '' end)
	 		+ (CASE WHEN coalesce(dper_vn_d,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_vn_d,0)) + ' .' else '' end),
	dper_vn_m = coalesce(dper_vn_m,0),
	dper_vn_d = coalesce(dper_vn_d,0),
	[STR_VAC2] = (CASE WHEN coalesce(dper_oz_m,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_oz_m,0)) + ' .' else '' end)
	 		+ (CASE WHEN coalesce(dper_oz_d,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_oz_d,0)) + ' .' else '' end),
	dper_oz_m = coalesce(dper_oz_m,0),
	dper_oz_d = coalesce(dper_oz_d,0),
	[TU_CODE] = f_ter_usl,
	ter_usl,
	ter_koef,
	[OS_CODE] = f_osob_usl,
	osob_usl,
	osob_spis = RTRIM(LTRIM(COALESCE(osob_k1,''))) + RTRIM(LTRIM(COALESCE(osob_k2,''))) + RTRIM(LTRIM(COALESCE(osob_k3,''))),
	[EX_CODE] = is_osnov,
	is_dop_m,
	is_dop_d,
	is_dop,
	f_is_dop,
	[P_CODE] = ud_osnov,
	ud_dop_m,
	ud_dop_d,
	ud_dop_k,
	f_ud_dop,
	@varKSNOM_PF AS REG_NOM_PF,
	@varKSname AS DEP_NAME,
	DATE_CRT = @date,
	DATE_DOC = [date], DD = DAY([date]), MM = M.MON, YY = YEAR([date]),
	UV = CASE WHEN exists(SELECT * FROM sd_empl WHERE pers_link = s.link_face AND DATE_end = @DATE) THEN 'X' ELSE '' END,
	N_PP = 0,
	NUM_STR = 0,
	GOSSL = (select top 1 case when isnull(pt.DOP_IS_C,'') <> '' then 1 else 0 end  from dbo.EMPL E 
								inner JOIN dbo.ITEM_MOVE im on E.link = im.empl_link /*and im.NEW_FACE = 1*/ AND im.ACTIVE=1
								left join dbo.staff_head sh on sh.link = im.STAFF_LINK
								left join dbo.staff sf on sf.link_up = sh.link
								LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = sf.gossl  
								where 
								E.DEP_LINK = 74578
								and  @date between im.date_begin and im.date_end 
								and  E.PERS_LINK = S.link_FACE)
INTO #SZV_ST_REP
from
	dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SS_SZV_STAZH_SVEDENIA S ON P.link = S.link
	INNER JOIN dbo.person per ON  per.link = S.link_FACE
	left JOIN dbo.SS_SZV_ST_STAZH ST ON S.link1 = ST.link
	INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = P.KATEG AND year_begin BETWEEN YBEG AND YEND
	INNER JOIN dbo.MONTHS M ON M.NUM = MONTH([date])

where
	P.link = @Link
	--and P.[type] = 2
	and P.proverka = 1
order by
	s.FM,s.PF_NUM,S.pachka, S.orders, ST.orders


Declare @n INT
SET @n = 0

Update #SZV_ST_REP
Set n_pp = @n,
@n = @n+1


DECLARE @Cur_REP CURSOR , @link_szv int , @FIO varchar(254), @PFNUMBER varchar(20), @ID INT ,@T_DOG  int  , @N_PP INT
DECLARE @NN INT, @PN INT, @ON INT , @FIO_L VARCHAR(254) , @PFNUMBER_l varchar(20) , @date_begin datetime, @date_end DATETIME , @IS_DOP VARCHAR(20)
SELECT @NN = 0, @PN = 0, @ON = 0 , @FIO_L = '' ,@N_PP = 0 
SET @Cur_REP = CURSOR FORWARD_ONLY
FOR select link, FIO, PFNUMBER, [ID] , T_DOG, DATE_begin, date_end , IS_DOP from #SZV_ST_REP order by link, FIO, PFNUMBER ,T_DOG, DATE_begin, date_end  

OPEN @Cur_REP
FETCH NEXT FROM @Cur_REP INTO @link_szv, @FIO, @PFNUMBER, @ID ,@T_DOG, @date_begin , @date_end,@IS_DOP
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		IF ltrim(@FIO_L) <> ltrim(@FIO)  OR   ltrim(@PFNUMBER_l) <> ltrim(@PFNUMBER)
		BEGIN	
			SET @NN = 1

			UPDATE A
			SET 
				ID_EX = @NN
			FROM #SZV_ST_REP A 
			WHERE link = @link_szv AND ltrim(FIO)=ltrim(@FIO) AND ltrim(PFNUMBER) =  ltrim(@PFNUMBER) AND ID = @ID and T_DOG = @T_DOG AND date_begin =@date_begin and date_end = @date_end AND IS_DOP = @IS_DOP 

			SET @ON = @NN 			
			set @FIO_L = ltrim(@FIO) 
			SET  @PFNUMBER_l =  @PFNUMBER 
		 END ELSE 
		 		BEGIN  
					SET @NN = @NN + 1

					UPDATE A
					SET 
						ID_EX = @NN
					FROM #SZV_ST_REP A 
					WHERE link = @link_szv AND ltrim(FIO)=ltrim(@FIO) AND ltrim(PFNUMBER) =  ltrim(@PFNUMBER) AND ID = @ID and T_DOG = @T_DOG AND date_begin =@date_begin and date_end = @date_end AND IS_DOP = @IS_DOP 

					SET @ON = @NN 			
					set @FIO_L = ltrim(@FIO) 
					SET  @PFNUMBER_l =  @PFNUMBER 
				END 
	END

	FETCH NEXT FROM @Cur_REP INTO @link_szv, @FIO, @PFNUMBER, @ID,@T_DOG,  @date_begin , @date_end  , @IS_DOP
END
--exec dbo.SZV_STAZH_PRINT 19
CLOSE @Cur_REP
DEALLOCATE @Cur_REP



---   ,       
DECLARE @Cur_R_STR CURSOR  , @NUM_STR int 
SET @NUM_STR  = 0
SET @Cur_R_STR = CURSOR FORWARD_ONLY
FOR select link, FIO, PFNUMBER, N_PP from #SZV_ST_REP order by link,N_PP,  FIO, PFNUMBER

OPEN @Cur_R_STR
FETCH NEXT FROM @Cur_R_STR INTO @link_szv, @FIO, @PFNUMBER, @N_PP 
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		---   ,   1 
		IF (SELECT MAX(NUM_STR) FROM #SZV_ST_REP ) = 0 
		BEGIN	
			UPDATE #SZV_ST_REP 
			SET 
				NUM_STR = @NUM_STR + 1 
			WHERE n_PP <=41 
			
			SET @NUM_STR = @NUM_STR+1 					
		 END 
		--  -    100
		IF (SELECT MAX(NUM_STR) FROM #SZV_ST_REP ) > 0  AND (select COUNT(*) FROM  #SZV_ST_REP WHERE NUM_STR = 0) >= 57
		AND  @N_PP	= (SELECT MAX(n_pp) FROM #SZV_ST_REP WHERE NUM_STR = @NUM_STR) + 1
		BEGIN
			UPDATE #SZV_ST_REP 
			SET 
				NUM_STR = @NUM_STR + 1 
			WHERE n_PP >= @N_PP  AND n_PP IN (SELECT TOP 57 n_pp FROM #SZV_ST_REP WHERE n_PP >= @N_PP)
			
			set @NUM_STR = @NUM_STR + 1 
			
		END
		
		---   ,    100
		IF (SELECT MAX(NUM_STR) FROM #SZV_ST_REP ) > 0 AND (select COUNT(*) FROM  #SZV_ST_REP WHERE NUM_STR = 0) < 57
		AND  @N_PP	= (SELECT MAX(n_pp) FROM #SZV_ST_REP WHERE NUM_STR = @NUM_STR)
		BEGIN

			set @NUM_STR = (SELECT MAX(NUM_STR) FROM #SZV_ST_REP)
			SET @N_PP = (SELECT MAX(n_PP) FROM  #SZV_ST_REP WHERE NUM_STR = @NUM_STR) 
				
			UPDATE #SZV_ST_REP 
			SET 
				NUM_STR = @NUM_STR + 1 
			WHERE n_PP >= @N_PP  AND n_PP IN (SELECT TOP 57 n_pp FROM #SZV_ST_REP WHERE n_PP >= @N_PP)
	
			
			
		END		
		
	END



	FETCH NEXT FROM @Cur_R_STR INTO @link_szv, @FIO, @PFNUMBER, @N_PP 
END
--exec dbo.SZV_STAZH_PRINT 19

CLOSE @Cur_R_STR
DEALLOCATE @Cur_R_STR


SELECT 	LINK ,
	[YEAR] ,
	[INN] ,
	[KPP],
	OKPO ,
	[CODE],	
	[PER] ,
	[PER10] ,
	[YEAR_EDT],
	[PER_EDT] ,
	[TYPE_SV] ,
	[TYPE] ,
	[ID] ,
	[NGROUP] ,
	T_DOG ,
	[PFNUMBER],
	[FIO],
	[FM] ,
	[IM] ,
	[OT] ,
	[INN_PERS] ,
	[ADDRESS],
	[ADDRESS2] ,
	[INSUR] , --     . 
	[INSUR1] , --     . 
	[GAIN] , --     . 
	[GAIN1] , --     . 
	INC_T1_M1 ,--      1  1 
	INC_T1_M2 ,--      1  2 
	INC_T1_M3 ,--      1  3 
	INC_T2_M1 ,--      2  1 
	INC_T2_M2 ,--      2  2 
	INC_T2_M3 ,--      2  3 
	[ID_EX] ,
	[DATE_BEGIN] ,
	[DATE_END] ,
	[STR_DIS] ,
	dper_vn_m  ,
	dper_vn_d ,
	[STR_VAC2],
	dper_oz_m ,
	dper_oz_d ,
	[TU_CODE] ,
	ter_usl,
	ter_koef,
	[OS_CODE] ,
	osob_usl,
	osob_spis ,
	[EX_CODE],
	is_dop_m,
	is_dop_d,
	is_dop,
	f_is_dop,
	[P_CODE] ,
	ud_dop_m,
	ud_dop_d,
	ud_dop_k,
	f_ud_dop,
	REG_NOM_PF,
	DEP_NAME,
	DATE_CRT,
	DATE_DOC ,DD , MM, YY ,
	UV,
	NUM_STR = RIGHT(REPLICATE('0', 5) + CAST(NUM_STR AS varchar(5)), 5),
	GOSSL
FROM #SZV_ST_REP
order by
	NUM_STR,FM,[PFNUMBER],[NGROUP], [ID], [ID_EX]



GO


GRANT EXECUTE ON dbo.[SZV_STAZH_PRINT] TO PUBLIC

GO


-- --

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_EXPORT_PFR_100_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_EXPORT_PFR_100_17]

GO

CREATE      PROCEDURE [dbo].SZV_STAZH_EXPORT_PFR_100_17 (
@DOC_LINK int  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK = @DOC_LINK

CREATE TABLE #ODV1_ONLY(DOC_LINK INT , ODV1_ONLY TINYINT )	
insert into #ODV1_ONLY(DOC_LINK, ODV1_ONLY)
select 
	doc_link = d.link,
	ODV1_ONLY = (SELECT TOP 1 [type] FROM dbo.SS_SZV_STAZH_PACHKA WHERE link = d.Link)
from #DOC d


--  

CREATE TABLE #ODV1 (
		[LINK_SZV]     INT, 
		[YEAR]     INT ,
		[PER]      INT ,
		[PER_edt]      INT ,
		[YEAR_edt]     INT ,
		[PER10]    INT ,
		[TYPE]	   tinyint,
		[VID_KOR]  tinyint, 
		[COUNT_P]  INT,
		[COUNT_PK] INT,
		[COUNT_PERS] INT,  
		[REG_NOM_PF] VARCHAR(20),
		[DEP_NAME] VARCHAR(254),
		[OKPO] VARCHAR(40),
		[INN] VARCHAR(12),
		[KPP] VARCHAR(9),
		DATE_CRT datetime,
		DATE_DOC datetime,
		[GUID] UNIQUEIDENTIFIER)  

CREATE TABLE #ODV1_2 (
		[LINK_SZV]  INT,
		[link_pers] INT , 
		[subdiv_name] VARCHAR(254), 
		[POST_NAME] VARCHAR(254) , 
		[num_stake] NUMERIC(5,2),
		[work_stake] NUMERIC(5,2),
		[Fakt_Work] VARCHAR(254) ,
		[DOC_NAME] VARCHAR(10), 
		[OSOB_USL] VARCHAR(10) , 
		[N_OSOB_USL] VARCHAR(150) ,
		POS_SPIS VARCHAR(150))  

create table #SZV_ST (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[NGROUP] INT,
	[T_DOG] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int,
	GOSSL int)



create table #PERS_INFO2 (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[T_DOG] INT ,
	[NGROUP] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int,
	GOSSL int)



--       -
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
	
			INSERT INTO #ODV1 ([LINK_SZV],[YEAR],[PER],[PER_EDT],[YEAR_EDT],[PER10],[TYPE],[VID_KOR],[COUNT_P],[COUNT_PK],[COUNT_PERS],
							   [REG_NOM_PF],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC,[GUID])  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 1 
			
			INSERT INTO #ODV1_2 ([LINK_SZV],[link_pers],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],
								 [DOC_NAME],[OSOB_USL],[N_OSOB_USL] ,[POS_SPIS] )  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 2 
			
	
			---  #SZV_ST
				
				INSERT INTO #SZV_ST([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP,GOSSL)
				exec dbo.SZV_STAZH_PRINT @LINK_DOC
			
	
				update #SZV_ST  set FM = UPPER(FM), IM = UPPER(IM), OT = UPPER(OT), ADDRESS2 = UPPER(ADDRESS2) WHERE link_SZV = @LINK_DOC 
			
				
				--  #PERS_INFO2 

				INSERT INTO #PERS_INFO2([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP,GOSSL)

				SELECT	[LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP, GOSSL
				FROM #SZV_ST
			

			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			

DECLARE @NN INT, @PN INT, @ON INT
SELECT @NN = 0, @PN = 0, @ON = 0




DECLARE @PI_NGROUP INT, @PI_ID INT, @PI_link_szv int, @PI_T_DOG tinyint  
DECLARE @Cur_PI CURSOR
SET @Cur_PI = CURSOR FORWARD_ONLY

FOR select link_szv, NGROUP,T_DOG, [ID]  from #SZV_ST order by link_szv,T_DOG, NGROUP, [ID]

OPEN @Cur_PI
FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @NN = (CASE WHEN @PI_NGROUP <> @PN THEN 1 ELSE (CASE WHEN @ON <> @PI_ID THEN @NN + 1 ELSE @NN END) END)
		SET @PN = (CASE WHEN @PI_NGROUP <> @PN THEN @PI_NGROUP ELSE @PN END)

		UPDATE A
		SET 
			ID = @NN
		FROM #SZV_ST A 
		WHERE link_szv = @PI_link_szv and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID

		SET @ON = @NN				

	END

	FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
END

CLOSE @Cur_PI
DEALLOCATE @Cur_PI




-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @link_szv INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC datetime, 
	@INN VARCHAR(12), @KPP VARCHAR(9), @OKPO VARCHAR(40), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@COUNT_P VARCHAR(10) , @COUNT_PK VARCHAR(10), @COUNT_PERS VARCHAR(4), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4),@sved int , @TYP_SVED VARCHAR(20), @kor INT,
	@VID_KOR VARCHAR(20),@PER VARCHAR(1),@PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4),  @TYPE VARCHAR(20), @GUID VARCHAR(36),
	@EGRUL varchar(15), @CHIEF_POST_OUR VARCHAR(150) , @CH_FM  VARCHAR(150) , @CH_IM  VARCHAR(150),@CH_OT  VARCHAR(150)
	/*@INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	
	@KATEG VARCHAR(20)*/

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


SELECT @CHIEF_POST_OUR = (SELECT TOP 1 post_name FROM dbo.SD_EMPL AS se WHERE link  = a.face_link),
		@CH_FM = (SELECT TOP 1 LTRIM(RTRIM(FM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_IM = (SELECT TOP 1 LTRIM(RTRIM(IM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_OT = (SELECT TOP 1 LTRIM(RTRIM(OT)) FROM dbo.sd_empl WHERE link  = a.face_link)
FROM DICTIONARY_OTV_FACE_ALL A  
inner join dbo.SS_SZV_STAZH_PACHKA P on a.dep_link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )
AND  a.NAME = '' 


SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	link_szv,
	FNAME = '_'+ RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))) + '_'+LEFT(REPLACE([REG_NOM_PF],'-',''),6)+'_-_'+CONVERT(VARCHAR(8),ltrim(rtrim(replace(CONVERT(VARCHAR(10),DATE_DOC,102),'.',''))))+'_'+ltrim(rtrim([GUID]))+'.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	[OKPO] = RTRIM(LTRIM(COALESCE(OKPO,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))),
	--PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	[COUNT_P] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_P]))), 	
	[COUNT_PK] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PK]))),
	[COUNT_PERS] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PERS]))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = DATE_DOC,
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SVED = [TYPE] ,
	TYP_SVED = (CASE WHEN [TYPE] = 1 THEN '' else (CASE WHEN [TYPE] = 2 THEN '' else '' end) end),
	KOR = [VID_KOR] ,
	VID_KOR = (CASE WHEN [VID_KOR] = 2 THEN '' else (CASE WHEN [VID_KOR] = 3 THEN '' else '' end) end),
	[PER] = 0 ,  --CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	PER_EDT = CONVERT(VARCHAR(1),[PER_edt]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	[GUID] = RTRIM(LTRIM(CONVERT(VARCHAR(36),iSnull([GUID],null))))
from #ODV1 order by link_szv

/*  A63        61 */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	 @SVED, @TYP_SVED, @KOR,@VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'UTF-8' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://.///2014-01-01" xmlns:xs="http://www.w3.org/2001/XMLSchema">'
			/*UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21"'+CHAR(10)+CHAR(13)
+ ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://.//-/2017-01-01'+CHAR(10)
+'..\..\..\..\\\\2017\-_2017-01-01.xsd">'*/
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				 
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<-1>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + CASE when @VID_KOR = '' THEN '1' ELSE '0' end + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'					
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + RTRIM(LTRIM(ISNULL(@COUNT_PERS,''))) + '</>'
	

	IF (SELECT COUNT([work_stake])  FROM #ODV1_2 WHERE [LINK_SZV] =  @link_szv ) <>0
	BEGIN 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  SELECT @lcFNAME , SPACE(2) + '<>'
		
		
		-- 1 
		DECLARE @Cur2 CURSOR, @LINK_SZV1 int, @subdiv_name varchar(254), @POST_NAME varchar(254), @num_stake NUMERIC(5,2), @work_stake NUMERIC(5,2),
				@Fakt_Work VARCHAR(254), @DOC_NAME VARCHAR (10),@OSOB_USL VARCHAR(10),@POS_SPIS VARCHAR(150) 
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
			Select	[LINK_SZV],[subdiv_name],
					[POST_NAME],[num_stake],[work_stake],
					[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 
			FROM #ODV1_2  WHERE  [LINK_SZV] = @link_szv 
			GROUP BY [LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 			   			
		
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN	
						IF isnull(@OSOB_USL,'') <> '' AND isnull(@POS_SPIS,'') <> '' 
						begin		
							  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											Select @lcFNAME, SPACE(3) + '<:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@subdiv_name,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@POST_NAME,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(CONVERT(VARCHAR(8),ISNULL(@num_stake,''))))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(ISNULL(@work_stake,''))))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@Fakt_Work,''))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@DOC_NAME,'-')))+'</:>' 
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@OSOB_USL,'')))+'</:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@POS_SPIS,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '</:>'
								  UNION ALL SELECT @lcFNAME, SPACE(3) + '</:>'
						end
					END
				
					FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS					  
					
				END 
			CLOSE @Cur2
			DEALLOCATE @Cur2
								
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(3) + '<:>'+ RTRIM(LTRIM(CONVERT(VARCHAR(8),SUM(@num_stake))))+ '</:> '  + CHAR(10)
							  +	 SPACE(3) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(sum(@work_stake))))) + '</:>'
				FROM #ODV1_2 WHERE LINK_SZV = @DOC_LINK  GROUP BY LINK_SZV
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	END 

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+REPLACE(RTRIM(LTRIM(isnull(@CHIEF_POST_OUR,''))),' ','')+'</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_FM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_IM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_OT,'')))+'</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(VARCHAR(10),@DATE_DOC , 120) +'</>'
		UNION ALL SELECT @lcFNAME, SPACE(1) + '</-1>'

	-- - 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	Select @lcFNAME, SPACE(1) + '<->'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	UNION ALL Select @lcFNAME, SPACE(2) + '<>'+CASE WHEN  @SVED = 2 THEN '2' 
															     WHEN  @SVED = 1 AND @KOR = 1 THEN '0'	
															     WHEN @SVED = 1 AND @KOR = 2 THEN '1'
															ELSE '0'  END    
												  +'</>'  + CHAR(10)
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	



	DECLARE @LINK_SZV_ST int, @TYPE_SV INT , @TYPE_KOR INT , @ID int, @ID_EX INT, @PF_NUMBER VARCHAR(14)
	SET @Cur2 = CURSOR FORWARD_ONLY
	FOR 
	Select	[LINK_SZV],[TYPE_SV],[TYPE],[ID],[PFNUMBER]
	FROM #SZV_ST  WHERE  [LINK_SZV] = @link_szv 
	GROUP BY [LINK_SZV],[ID],[PFNUMBER],[TYPE_SV],[TYPE]
	ORDER BY [LINK_SZV],[ID],[PFNUMBER]	,[TYPE_SV],[TYPE]	   			
	
	OPEN @Cur2
	FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN	
			  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						Select @lcFNAME, SPACE(2) +'<>'	+ CHAR(10)
										  + SPACE(3) + '<>'	+ CHAR(10)  
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(FM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(IM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(OT,'')))+'</:>'+ CHAR(10) 
										  + SPACE(3) + '</>'+ CHAR(10) 
										  + SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL([PFNUMBER],''))) + '</>' + CHAR(10) 
										FROM 	
										(select top 1 FM , IM , OT , [PFNUMBER] FROM  #SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a

								--       ,    
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
									Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
									FROM #pers_info2
									where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
									and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
									and (isnull(gossl,0) = 0 and LTRIM(COALESCE(is_dop,'')) in ( '',''))

										
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
									Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
										FROM #pers_info2
										where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
										and ((isnull(gossl,0) = 0 and COALESCE(is_dop,'') not in ( '','')) or (isnull(gossl,0) <> 0 and COALESCE(is_dop,'') not in('','','','','','','','','')))
	

										
										-----         
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
										Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
										FROM #pers_info2
										where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
										and (isnull(gossl,0) <> 0 and COALESCE(is_dop,'') in ('','','','','','','','',''))
												
										
		  
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
								Select @lcFNAME, SPACE(2) +'</>'	+ CHAR(10)  
								FROM (select top 1 FM , IM , OT , [PFNUMBER] FROM  #SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a
		END
	
		FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER--,@ID_EX 				  
		
	END 
	CLOSE @Cur2
	DEALLOCATE @Cur2	
		

	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, SPACE(1) + '</->'	
	UNION ALL SELECT @lcFNAME, SPACE(0) +'</>'

	FETCH NEXT FROM @Cur1 INTO  @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	@SVED, @TYP_SVED,@KOR, @VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]















GO


GRANT EXECUTE ON dbo.[SZV_STAZH_EXPORT_PFR_100_17] TO PUBLIC

GO


-- --

GO

GO

-- FIX >>  : 9819.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]

GO

CREATE   PROCEDURE [dbo].SS_SZV_ST_PACHKA_CALC_Buffer_2017 (@BufferCode varchar(10), @link int, @Year int, @Month tinyint) 
AS

DECLARE @SQL VARCHAR(1000)

SET @SQL = '
delete from dbo.Buffer
where RTRIM(LTRIM(ID)) = RTRIM(LTRIM( ''' + @BufferCode + ''' ))
	and link IN (select S.link_pers from dbo.SZV_STAZH_SVEDENIA S where S.link_up = ' + CONVERT(VARCHAR(20),@LINK) + ')'
--EXEC (@SQL)	--!!


CREATE TABLE #PERSON (LINK INT)	

SET @SQL = '
INSERT INTO #PERSON (LINK)
SELECT DISTINCT LINK FROM dbo.Buffer WHERE RTRIM(LTRIM(ID)) = RTRIM(LTRIM(''' + @BufferCode + '''))'
EXEC (@SQL)	

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @VID_KOR TINYINT , @type_doc tinyint

SELECT @VID_KOR = VID_KOR, @type_doc = [type]
FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link


IF @VID_KOR = 2
begin  
	SELECT @Year = @Year, @PER = PER_EDT, @MONTH_END = @Month
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
else 
begin
	SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
DECLARE @PeriodBegin datetime, @PeriodEnd datetime

/*IF @type_doc = 1 OR (@type_doc = 2 AND @PER <> 4)
BEGIN
	SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
	SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

	IF @MONTH_BEG > @MONTH_END
		SET @MONTH_END = @MONTH_BEG + 3 - 1
END
IF  @type_doc = 2 AND @PER = 4
 BEGIN */
		SET @MONTH_BEG = 1 
		SET @MONTH_END = 12
/* END */

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--  .
--
DECLARE @LINK_OZOI INT
SET @LINK_OZOI = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 3 AND @Year BETWEEN YBEG AND YEND),1)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME)

INSERT INTO #PERS_INV (PERS_LINK, DATE_BEGIN, DATE_END) 
SELECT PERS_LINK, DATE_BEGIN = MIN(ISNULL(I.DATE_BEGIN,@PeriodBegin)), DATE_END = MAX(ISNULL(I.DATE_END,@PeriodEnd))
FROM dbo.PERS_INVALID I
WHERE ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin
GROUP BY PERS_LINK


--forma    2013     (1 , 2 )
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_OZOI,
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END,
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
from 
	(	SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2 
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	INNER JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		


----
DECLARE @LINK_NR INT
SET @LINK_NR = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 1 AND @Year BETWEEN YBEG AND YEND),1)

--forma    2013     (1 , 2 )	
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_NR,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodBegin < CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		THEN @PeriodBegin 
		ELSE CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END + 1
	END,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodEnd > CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		THEN @PeriodEnd
		ELSE CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END - 1
	END
from 
	(	
		SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		
WHERE --          
	I.PERS_LINK IS NULL --  
	OR --    
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1
	OR --    
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1	

----
DECLARE @LINK_USEN INT
SET @LINK_USEN = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 2 AND @Year BETWEEN YBEG AND YEND),1)		
	
insert into dbo.SZV_STAZH_SVEDENIA 
	(link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
SELECT 	
	link_up, orders, forma, link_pers, ISNULL(sum_doh,0), ISNULL(sum_str,0), ISNULL(sum_nak,0), ISNULL(sum_dop,0), ISNULL(dper_vn_m,0), ISNULL(dper_vn_d,0), ISNULL(dper_oz_m,0), ISNULL(dper_oz_d,0), ISNULL(isum_str,0), ISNULL(isum_nak,0), @LINK_USEN, DATE_BEG, DATE_END
FROM
	#PERSON B INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON B.LINK = S.link_pers 
WHERE
	link_up = @link
	AND
	LINK_KATEG = @LINK_NR	

/*----        
CREATE TABLE #PERS_SUM_J (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, MON INT, INCOME NUMERIC(18,2), SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM_J (LINK_PERS, LINK_KATEG, DOG, MON, INCOME, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG, MON,
	SUM(CASE WHEN [OBJECT] = 1 THEN SUMMA ELSE 0 END), --  (INCOME)
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.EMPL E ON E.PERS_LINK = S.LINK_PERS
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_EMPL = E.LINK 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 1 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
	UNION ALL	
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.PERS_LINK = S.LINK_PERS 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 2 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG, MON
*/
--
/*CREATE INDEX #TMP_IDX_#PERS_SUM_J ON #PERS_SUM_J (LINK_PERS, LINK_KATEG)

--ר     
-- ר         512   ר 
create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, KATEG TINYINT, DOG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG = 1
FROM 
	dbo.SA_ESN_VIEW(@Year, @Month, @DEP_LINK, 0) S
WHERE 
	WAY_CALC IN (6,7,10,11)
	AND EXISTS (SELECT * FROM #PERSON B WHERE B.LINK = S.REF_PHYS_PERS)

--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, 
	GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, 
	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@Year))) = 2
		THEN 3
		ELSE
		CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END
	END, 
	DOG = 2
FROM 
	dbo.DOCUMENTS_DGH G 
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.PERSON P on GT.PERS_LINK = P.link
	INNER JOIN #PERSON B ON B.LINK = P.LINK
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  IN (6,7,10,11)
	AND YEAR(G.[DATE]) = @Year
	AND MONTH(G.[DATE]) <= @Month
	AND LINK_DEP = @DEP_LINK


--
CREATE INDEX #TMP_IDX_SPR_ESN ON #SPR_ESN (REF_PHYS_PERS, KATEG, DOG)

--
DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS < @PeriodBegin )
*/
--  
DECLARE @STAVKI TABLE ( LINK_PERS INT, TARIF TINYINT, PREDEL NUMERIC(15,2), [PERCENT] NUMERIC(8,2), WAY_CALC TINYINT)

INSERT INTO @STAVKI (LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC)
SELECT 
	LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC 
FROM 
	dbo.SA_ESN_TARIF(DEFAULT, @PeriodEnd, DEFAULT) S
WHERE 
	WAY_CALC IN (6,7)
	AND EXISTS (SELECT * FROM #PERSON P WHERE P.LINK = S.LINK_PERS)

--	
DECLARE @LIMIT NUMERIC(18,2)
SET @LIMIT = ISNULL((SELECT MIN(PREDEL) FROM @STAVKI WHERE TARIF = 1 AND WAY_CALC = 6),0)

------      ר   ר  512.
/*CREATE TABLE #SUM_PERSON (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT, WAY_CALC TINYINT, [PERCENT] NUMERIC(18,2), MON TINYINT, 
				BAZA NUMERIC(18,2), SUM_LIM NUMERIC(18,2), SUM_KOR NUMERIC(18,2),BAZA2 NUMERIC(18,2),  NALOG NUMERIC(20,6), M BIT)

INSERT INTO #SUM_PERSON (LINK_PERSON, KATEG, DOG, WAY_CALC, [PERCENT], MON, BAZA, NALOG, M)
SELECT
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE,
	SUM(ISNULL(SUMMA_BASE,0) - ISNULL(DED_M,0) - ISNULL(INV_M,0)) AS BAZA,
	SUM(SUMMA),
	0
FROM 
	#SPR_ESN E
	INNER JOIN @STAVKI S ON S.LINK_PERS = E.REF_PHYS_PERS AND S.WAY_CALC = E.WAY_CALC AND S.TARIF = E.KATEG
WHERE 
	S.PREDEL = @LIMIT
GROUP BY
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE

-- ,     
CREATE TABLE #PERS_AFTER (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT)

INSERT INTO #PERS_AFTER (LINK_PERSON, KATEG, DOG)
SELECT LINK_PERSON, KATEG, DOG
FROM #SUM_PERSON 
WHERE WAY_CALC = 6
GROUP BY LINK_PERSON, KATEG, DOG
HAVING SUM(BAZA) > @LIMIT
DECLARE @Cur2 CURSOR, @MON TINYINT, @KATEG TINYINT, @DOG TINYINT

SET @Cur2 = CURSOR FORWARD_ONLY
FOR SELECT DISTINCT MON, KATEG, DOG FROM #SUM_PERSON SP
	ORDER BY MON, KATEG ASC, DOG DESC
OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE SP --     
		SET 
			M = 1,
			SUM_LIM = (SELECT SUM(BAZA) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.WAY_CALC = SP.WAY_CALC AND (M=1 OR SP1.MON = SP.MON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG))
		FROM #SUM_PERSON SP
		WHERE MON = @MON AND KATEG = @KATEG AND DOG = @DOG
		
		UPDATE #SUM_PERSON -- 
		SET SUM_KOR = CASE WHEN ISNULL(SUM_LIM,0) > @LIMIT THEN ISNULL(SUM_LIM,0) - @LIMIT ELSE 0 END

		UPDATE #SUM_PERSON
		SET BAZA2 = CASE WHEN (ISNULL(BAZA,0) > ISNULL(SUM_KOR,0) OR ISNULL(BAZA,0) < 0)
							THEN ISNULL(BAZA,0) - ISNULL(SUM_KOR,0) ELSE 0 END
		
		UPDATE SP
		SET NALOG = 
					CASE WHEN BAZA <> BAZA2 
						THEN 
							
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON <= SP.MON),0)
							* ISNULL([PERCENT],0) / 100)
							-
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON < SP.MON),0)
							* ISNULL([PERCENT],0) / 100)

						ELSE 
							(SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND SP.DOG = PS.DOG AND PS.MON = SP.MON)
					END
					
					--CASE WHEN BAZA <> BAZA2 
					--	THEN ISNULL(BAZA2,0) * ISNULL([PERCENT],0) / 100
					--	ELSE (SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND PS.MON = SP.MON)
					--END	
		FROM
			#SUM_PERSON SP
		WHERE --  ,    
			EXISTS (SELECT * FROM #PERS_AFTER PA WHERE PA.LINK_PERSON = SP.LINK_PERSON AND PA.KATEG = SP.KATEG AND PA.DOG = SP.DOG)

	END
	FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
END

CLOSE @Cur2
DEALLOCATE @Cur2

--    
CREATE TABLE #PERS_SUM (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM (LINK_PERS, LINK_KATEG, DOG, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG,
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, SUMMA_BASE = SUM(BAZA2), SUMMA = SUM(NALOG)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG
		INNER JOIN #SUM_PERSON SP ON SP.LINK_PERSON = S.LINK_PERS AND SP.KATEG = K.LINK2 AND S.FORMA = SP.DOG AND SP.MON BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
	WHERE
		S.LINK_UP = @link
		AND
		@Year BETWEEN K.YBEG AND K.YEND
	GROUP BY
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, S.FORMA
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG

--
UPDATE S SET
	sum_doh = ISNULL(SUMMA_I,0), -- 10     
	sum_str = 0, -- 10      ,  ..    -  0,  
	sum_nak = ISNULL(SUMMA_G,0), --      
	sum_dop = 0 --  10      ,  ..    -  0,  
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #PERS_SUM P ON P.LINK_PERS = S.LINK_PERS AND P.LINK_KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

*/
---   
/*CREATE TABLE #INCOME_T1T2 (
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_T1_M1 NUMERIC(18,2),
	INCOME_T2_M1 NUMERIC(18,2),
	INCOME_T1_M2 NUMERIC(18,2),
	INCOME_T2_M2 NUMERIC(18,2),
	INCOME_T1_M3 NUMERIC(18,2),
	INCOME_T2_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME_T1T2 (LINK_PERS, KATEG, DOG, INCOME_T1_M1, INCOME_T2_M1, INCOME_T1_M2, INCOME_T2_M2, INCOME_T1_M3, INCOME_T2_M3)
SELECT REF_PHYS_PERS, KATEG, E.DOG, 
	INCOME_T1_M1 = SUM(CASE WHEN WAY_CALC = 10 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END), 
	INCOME_T2_M1 = SUM(CASE WHEN WAY_CALC = 11 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M2 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M2 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M3 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M3 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END)
FROM #SPR_ESN E
WHERE WAY_CALC IN (10,11)	
GROUP BY REF_PHYS_PERS, KATEG, E.DOG

UPDATE S SET
	S.INCOME_T1_M1 = P.INCOME_T1_M1,
	S.INCOME_T2_M1 = P.INCOME_T2_M1,
	S.INCOME_T1_M2 = P.INCOME_T1_M2,
	S.INCOME_T2_M2 = P.INCOME_T2_M2,
	S.INCOME_T1_M3 = P.INCOME_T1_M3,
	S.INCOME_T2_M3 = P.INCOME_T2_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME_T1T2 P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

--    
CREATE TABLE #INCOME(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_M1 NUMERIC(18,2),
	INCOME_M2 NUMERIC(18,2),
	INCOME_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME (LINK_PERS, KATEG, DOG, INCOME_M1, INCOME_M2, INCOME_M3)
SELECT 
	LINK_PERS, LINK_KATEG, DOG,
	INCOME_M1 = SUM(INCOME),
	INCOME_M2 = SUM(CASE WHEN MON = (@Month - 1) THEN INCOME ELSE 0 END),
	INCOME_M3 = SUM(CASE WHEN MON = @Month THEN INCOME ELSE 0 END)
FROM #PERS_SUM_J
GROUP BY 
	LINK_PERS, LINK_KATEG, DOG

UPDATE S SET
	S.INCOME_M1 = P.INCOME_M1,
	S.INCOME_M2 = P.INCOME_M2,
	S.INCOME_M3 = P.INCOME_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	


--   
CREATE TABLE #BASE(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	BASE_BEFORE_M1 NUMERIC(18,2),
	BASE_AFTER_M1 NUMERIC(18,2),
	BASE_BEFORE_M2 NUMERIC(18,2),
	BASE_AFTER_M2 NUMERIC(18,2),
	BASE_BEFORE_M3 NUMERIC(18,2),
	BASE_AFTER_M3 NUMERIC(18,2)	
	)

INSERT INTO #BASE (LINK_PERS, KATEG, DOG, BASE_BEFORE_M1, BASE_AFTER_M1, BASE_BEFORE_M2, BASE_AFTER_M2, BASE_BEFORE_M3, BASE_AFTER_M3 )
SELECT LINK_PERSON, KATEG, DOG,
	BASE_BEFORE_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M3	= SUM(CASE WHEN MON = @Month THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M3	= SUM(CASE WHEN MON = @Month THEN BAZA - BAZA2 ELSE 0 END)		
FROM #SUM_PERSON 
WHERE 
	WAY_CALC = 6
GROUP BY
	LINK_PERSON, KATEG, DOG
	
UPDATE S SET
	S.BASE_BEFORE_M1 = P.BASE_BEFORE_M1,
	S.BASE_AFTER_M1 = P.BASE_AFTER_M1,
	S.BASE_BEFORE_M2 = P.BASE_BEFORE_M2,
	S.BASE_AFTER_M2 = P.BASE_AFTER_M2,
	S.BASE_BEFORE_M3 = P.BASE_BEFORE_M3,
	S.BASE_AFTER_M3 = P.BASE_AFTER_M3	
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #BASE P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	
*/
--   ,   
SELECT LINK_PERS, FORMA, LINK_KATEG INTO #TAB FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY LINK_PERS, FORMA, LINK_KATEG HAVING SUM(sum_doh) = 0 AND SUM(sum_nak) = 0 AND SUM(INCOME_M1) = 0
--	


DELETE FROM dbo.SZV_STAZH_SVEDENIA 
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 AND LINK_KATEG NOT IN( @LINK_NR, @LINK_OZOI)



DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 
	AND NOT EXISTS (SELECT LINK_PERS FROM #TAB T WHERE T.LINK_PERS = dbo.SZV_STAZH_SVEDENIA.LINK_PERS AND T.FORMA = dbo.SZV_STAZH_SVEDENIA.FORMA AND T.LINK_KATEG = dbo.SZV_STAZH_SVEDENIA.LINK_KATEG)



--  
UPDATE dbo.SZV_STAZH_SVEDENIA SET LINK_KATEG = @LINK_NR WHERE link_up = @link AND LINK_KATEG = @LINK_OZOI




UPDATE b
set b.date_beg = a.date_beg ,
	b.date_end = a.date_end
FROM dbo.SZV_STAZH_SVEDENIA b
	left join (select link_up , FORMA, date_beg = min(date_beg)  , date_end = max(date_end) , link_pers from dbo.SZV_STAZH_SVEDENIA a  where link_up = @link and (select count(*) from dbo.SZV_STAZH_SVEDENIA   where link_up =  a.link_up and link_pers = a.link_pers and FORMA = a.forma)>1  group by link_up,FORMA,  link_pers) as a
	on  b.link_up = a.link_up  and b.forma = a.forma
where  b.link_pers = a.link_pers and  (select count(*) from dbo.SZV_STAZH_SVEDENIA   where link_up =  b.link_up and link_pers = b.link_pers and forma = b.forma )>1 


select link = max(link),forma, link_up,LINK_PERS INTO #TAB1 FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY link_up, forma, LINK_PERS, DATE_BEG,DATE_END  HAVING COUNT(link) >1


DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link in (select link from #tab1)

 
----     
EXEC [dbo].SS_SZV_ST_PACHKA_RASPIL @link


IF @VID_KOR != 3
	begin  
	---  

	----------------------------------------------------------------------------
	CREATE TABLE #PERIODY (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] int, NUM_STAKE NUMERIC(5,2), [IS_DOP] VARCHAR(20),	[NOT_LGOT_EXPIR] INT NULL , ADD_TYPE INT )

	--/* */
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, TYPE,[IS_DOP])
	SELECT 	DISTINCT
		PERS_LINK, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			THEN (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			ELSE S.DATE_END
		END,	
		0,
		[IS_DOP] = isnull(pt.DOP_IS_C, '' )  --(SELECT TOP 1  pt.DOP_IS_C  from dbo.POST_TYPES AS pt WHERE   pt.link = st.gossl) 
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.EMPL E ON S.LINK_PERS = E.PERS_LINK AND E.DEP_LINK = @DEP_LINK
		INNER JOIN dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		left join dbo.staff_head sh on sh.link = p.STAFF_LINK
		left join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
	WHERE
		S.LINK_UP = @link
		AND
		P.DATE_BEGIN <= @PeriodEnd
		and coalesce(P.DATE_END,'20990101') >= @PeriodBegin
		AND
		coalesce(U.DIS_DATE,'20990101') >= @PeriodBegin
		and st.date_begin <= '20171231' 
			and  coalesce(st.date_end,'20990101') >= '20170101'	
		--AND st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin	

	/* */
	Select DISTINCT
		link_face = DGH.PERS_LINK, LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				THEN (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				ELSE S.DATE_BEG
			END,
		date2 = CASE WHEN S.DATE_END > (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				THEN (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				ELSE S.DATE_END
			END,
		[type] = 0
	INTO #DGH	
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.SALARY_REESTR_DGH DGH ON S.LINK_PERS = DGH.PERS_LINK
	WHERE 
		S.LINK_UP = @link
		AND
		DGH.DEP_LINK = @DEP_LINK
		and
		DGH.DATE1 <= @PeriodEnd
		and
		coalesce(DGH.DATE2,'20990101') >= @PeriodBegin



	--       
	SELECT LINK_FACE, DB = MIN(DATE1), DE = MAX(DATE2)
	INTO #WORK
	FROM #PERIODY
	GROUP BY LINK_FACE

	UPDATE S SET 
		S.DATE_BEG = CASE WHEN W.DB < S.DATE_BEG THEN S.DATE_BEG ELSE W.DB END,
		S.DATE_END = CASE WHEN W.DE > S.DATE_END THEN S.DATE_END ELSE W.DE END
	FROM 
		dbo.SZV_STAZH_SVEDENIA S INNER JOIN #WORK W ON S.LINK_PERS = W.LINK_FACE
	WHERE 
		S.LINK_UP = @link
	
	--
	CREATE TABLE #ADD_TYPE (
		[type] INT IDENTITY(1,1),
		[TERR_USL_TRUD] int NULL ,
		[TERR_RK] numeric(3, 2) NULL ,
		[OSOB_USL_TRUD] int NULL ,
		[COD_POS_SPISOK] int NULL ,
		[COD_POS_SPISOK2] int NULL ,
		[USL_DOSROCH_PENS] int NULL ,
		[STAVKA_PED_MED] numeric(3, 2) NULL,
		[VID] VARCHAR(20),
		[IS_DOP] VARCHAR(20),
		[COD_SPO_USL_TRUD] INT NULL
	)	
	INSERT INTO #ADD_TYPE 
		([TERR_USL_TRUD],[TERR_RK],[OSOB_USL_TRUD],[COD_POS_SPISOK],[COD_POS_SPISOK2],[USL_DOSROCH_PENS],[STAVKA_PED_MED],[VID],[IS_DOP],[COD_SPO_USL_TRUD])
	SELECT DISTINCT 
		ISNULL(s.TERR_USL_TRUD,0), ISNULL(s.TERR_RK,0), ISNULL(s.OSOB_USL_TRUD,0), ISNULL(s.COD_POS_SPISOK,0), ISNULL(s.COD_POS_SPISOK2,0), ISNULL(s.USL_DOSROCH_PENS,0), ISNULL(s.STAVKA_PED_MED,0), VID = 'ADD_TYPE', IS_DOP =  ISNULL(dop_is_c,''), ISNULL(s.[COD_SPO_USL_TRUD],0) 
	FROM dbo.staff s 
	LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = s.gossl
	WHERE ISNULL(s.TERR_USL_TRUD,0) <> 0 OR ISNULL(s.TERR_RK,0) <> 0 OR ISNULL(s.OSOB_USL_TRUD,0) <> 0 OR ISNULL(s.COD_POS_SPISOK,0) <> 0 OR ISNULL(s.COD_POS_SPISOK2,0) <> 0 OR ISNULL(s.USL_DOSROCH_PENS,0) <> 0 OR ISNULL(s.STAVKA_PED_MED,0) <> 0 OR ISNULL(s.[COD_SPO_USL_TRUD],0) <> 0 
	OR ISNULL(pt.dop_is_c,'')<>'' 

	--
	DECLARE @MAX_TYPE INT
	SET @MAX_TYPE = ISNULL((SELECT MAX(type) FROM #ADD_TYPE),0)

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('TMP_TYPE', '')
	
	/*  ( )*/
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('KOMM_TYPE', '')


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD1', '')

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	SELECT DISTINCT
		'PERIOD2',
		ISNULL(V.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
					--AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
					) VV ON VV.LINK = IV.TYPE_LINK
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD3', '')
/*
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	Select DISTINCT
		'PERIOD4',
		ISNULL(VV.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/
	--    
	INSERT INTO #ADD_TYPE (VID, IS_DOP) 	
	SELECT LEFT('P_' + LTRIM(RTRIM(CODE)),20), IS_DOP
	FROM dbo.VACATION_VID 
	WHERE	IS_DOP IS NOT NULL
			AND 
			NOT EXISTS (SELECT * FROM #ADD_TYPE WHERE VID = LEFT('P_' + LTRIM(RTRIM(CODE)),20))


 	--    c   
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type], NUM_STAKE, IS_DOP)
	SELECT DISTINCT 
		link_face = E.PERS_LINK, S.LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN ELSE @PeriodBegin end)
					THEN (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN else  (case when IM.DATE_BEGIN >= @PeriodBegin  THEN IM.DATE_BEGIN ELSE @PeriodBegin end) end)
					ELSE (case when IM.DATE_BEGIN >= S.DATE_BEG  AND (dis_date IS NOT NULL AND dis_date BETWEEN @PeriodBegin AND @PeriodEND) THEN IM.DATE_BEGIN ELSE S.DATE_BEG end) --          -      
				END,
		date2 = CASE WHEN 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
							> (case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					THEN 
						(case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					ELSE 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
				END,	
		ISNULL(T.[type],0),
		ISNULL(im.NUM_STAKE,0),
		IS_DOP = isnull(T.[IS_DOP],'')
		--, ST.*
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		INNER JOIN dbo.sa_item_move im ON im.EMPL_LINK = e.link
		inner join dbo.staff_head sh on sh.link = STAFF_LINK
		inner join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1	
		left join #ADD_TYPE T on 
				ISNULL(st.TERR_USL_TRUD,0) = ISNULL(T.TERR_USL_TRUD,0) 
				AND ISNULL(st.TERR_RK,0) = ISNULL(T.TERR_RK,0) 
				AND ISNULL(st.OSOB_USL_TRUD,0) = ISNULL(T.OSOB_USL_TRUD,0) 
				AND ISNULL(st.COD_POS_SPISOK,0) = ISNULL(T.COD_POS_SPISOK,0) 
				AND ISNULL(st.COD_POS_SPISOK2,0) = ISNULL(T.COD_POS_SPISOK2,0) 
				AND ISNULL(st.USL_DOSROCH_PENS,0) = ISNULL(T.USL_DOSROCH_PENS,0) 
				AND ISNULL(st.STAVKA_PED_MED,0) = ISNULL(T.STAVKA_PED_MED,0) 
				AND ISNULL(st.[COD_SPO_USL_TRUD],0) = ISNULL(T.[COD_SPO_USL_TRUD],0)
				AND ltrim(rtrim(ISNULL(pt.[DOP_IS_C],''))) = ltrim(rtrim(ISNULL(T.[IS_DOP],'')))
	where 
		S.LINK_UP = @link
		AND
		IM.NUM_STAKE >= 1 
		AND
		IM.[STATUS] <> 2 -- .   
		AND
		im.DATE_BEGIN <= @PeriodEnd and im.DATE_END3 >= @PeriodBegin
		and 
		st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin
		AND 
		im.DATE_end3 > st.DATE_BEGIN -- AND st.DATE_END	 --            
		AND
		T.[TYPE] IS NOT NULL AND T.VID = 'ADD_TYPE'
		AND
		COALESCE(U.DIS_DATE,'20990101') >= @PeriodBegin
	order by
		E.PERS_LINK
	---**************************************

	DECLARE @TMP_TYPE INT
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')


	/* -    ( .  )*/
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	Select DISTINCT 
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		ISNULL( (SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = LEFT('P_' + LTRIM(RTRIM(VV.CODE)),20) AND AT.IS_DOP = VV.IS_DOP ), @TMP_TYPE),
		[NOT_LGOT_EXPIR]
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_vacation iv on E.link = iv.EMPL_LINK 
		inner join dbo.orders o on iv.order_link=o.link
		--  ,   "    ", 
		--  (   )
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND isnull(vv.IS_DOP,'') <> '' 
		INNER JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK AND WORK_D <> 7 --      (   )
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and ISNULL(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and 
		iv.compens <>1 --   
		and
		iv.date_begin <= @PeriodEnd
		and
		ISNULL(ISNULL(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	/* -    ( .  )*/	
	--SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'KOMM_TYPE')
	
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			THEN (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE,
		1
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_travel T on E.link = T.EMPL_LINK
		left join dbo.ITEM_TRAVEL_LONG ITL on ITL.TRAVEL_LINK = T.LINK and ISNULL(ITL.ACTIVE,0) = 1	
	WHERE
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		AND 
		T.ACTIVE = 1 
		AND 
		T.DATE_BEGIN <= @PeriodEnd
		AND 
		ISNULL(ISNULL(ITL.NEW_DATE_END,T.date_end),'20990101') >= @PeriodBegin

	/* -      */

	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD1')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
		INNER JOIN dbo.NETRUD N ON N.LINK = [TYPE] AND N.DEKRET = 1
	WHERE 
		S.LINK_UP = @link
		AND	
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin

	/* -  */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD3')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
	WHERE
		S.LINK_UP = @link
		AND	 
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin
		and
		[TYPE] not in (select LINK from dbo.NETRUD where DEKRET = 1)

	/* -     1,5   3 */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK-1,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD2' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(V.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER join dbo.TYP_DAYS D on V.TYPE_LINK = D.LINK AND  WORK_D = 7 
		--INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
			----AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
		--	) VV ON VV.LINK = IV.TYPE_LINK
		LEFT JOIN DBO.ITEM_VACATION_BREAK IVB ON IVB.VAC_LINK = IV.LINK AND COALESCE(IVB.ACTIVE,0) = 1
	WHERE 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin

/*
	/* -     */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	Select DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD4' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(VV.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	WHERE
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/

	--------------------------------------------------------------------------
	-- 2.            type.
	--- ,        , ..     
	CREATE TABLE #PERIODY3 (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] INT, orders int, i int, NUM_STAKE NUMERIC(5,2),IS_DOP VARCHAR(20), TYPE_ADD INT)

	--    -1  ..  
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, [type])
	SELECT DISTINCT link_face, LINK_KATEG, @PeriodBegin, @PeriodEnd, [type] = -1   FROM #PERIODY


	CREATE TABLE #DAYS (ID INT IDENTITY(1,1), LINK_FACE INT, LINK_KATEG INT, [DATE] DATETIME, [TYPE] INT, NUM INT/*, IS_DOP VARCHAR(20)*/, NUM_STAKE NUMERIC(5,2), [TYPE_ADD] INT)

	INSERT INTO #DAYS (LINK_FACE, LINK_KATEG, [DATE], [TYPE], NUM, NUM_STAKE/*,IS_DOP*/, [TYPE_ADD])
	SELECT P.LINK_FACE, P.LINK_KATEG, [DATE], [TYPE] = MAX([TYPE]), 0, 
		[NUM_STAKE] = MAX(ISNULL(NUM_STAKE,0)), 
		--isnull(IS_DOP,''),
		[TYPE_ADD] = MAX(CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END
		)
	FROM 
		#PERIODY P
		INNER JOIN dbo.days_ex(@PeriodBegin, @PeriodEnd) D ON 1=1
	WHERE
		D.[DATE] BETWEEN P.DATE1 AND P.DATE2
	GROUP BY
		 P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]
	ORDER BY	
		P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]

	--   ,     
	UPDATE #DAYS SET [TYPE_ADD] = 0 
	WHERE 
		EXISTS (SELECT * FROM #PERIODY WHERE 
			#PERIODY.[NOT_LGOT_EXPIR] = 1
			AND #PERIODY.link_face = #DAYS.link_face
			AND #DAYS.[DATE] BETWEEN #PERIODY.DATE1 AND #PERIODY.DATE2)




	-- 
	DECLARE 
		@ID INT, @ID1 INT, @ID2 INT, @LINK_FACE INT, @DATE datetime, @LINK_KATEG INT, @TYPE INT, @NUM INT, @TYPE_ADD INT,
		@LINK_FACE1 INT, @LINK_KATEG1 INT, @TYPE1 INT,@TYPE_ADD1 INT,@DATE1 datetime

	--  ,      

------   #ADD_TYPE    
----
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')
----
	CREATE table #TDays(link_face int, id int,  date DATETIME ,LINK_KATEG int , [TYPE] INT, [TYPE_ADD] INT)
	INSERT INTO #TDays (link_face, id, date, LINK_KATEG, [TYPE], [TYPE_ADD])
	SELECT d.link_face,
		   d.id,
		   d.date,
		   d.LINK_KATEG,
		   d.[TYPE],
		   d.[TYPE_ADD]
	FROM #DAYS d WHERE d.[type] = @TMP_TYPE 
	ORDER BY d.link_face, d.ID ,d.[date], d.[TYPE] ,d.[TYPE_ADD]	 


	DECLARE @Cur0 CURSOR, @F_TYPE int, @F_TYPE_ADD int
	SET @Cur0 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE,[date],LINK_KATEG, [TYPE],  TYPE_ADD from  #TDays order by ID, LINK_FACE, [DATE]
	OPEN @Cur0
	FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
		
			SELECT DISTINCT @F_TYPE =[TYPE], @F_TYPE_ADD = [type_add]  
			FROM #DAYS WHERE LINK_FACE = @LINK_FACE AND LINK_KATEG = @LINK_KATEG AND [DATE] = @DATE-1 
			
			SELECT @F_TYPE = ISNULL(@F_TYPE,0), @F_TYPE_ADD = ISNULL( @F_TYPE_ADD,0) 

			IF @F_TYPE_ADD = @type_add OR  (ISNULL((SELECT TOP 1 IS_DOP TYPE FROM #ADD_TYPE WHERE [type] = @F_TYPE_ADD),'') <> '' AND @type_add = 0) 
			BEGIN
			
				UPDATE d
				SET [TYPE] = @F_TYPE , [type_add] = @F_TYPE_ADD 
				FROM #DAYS d
				WHERE d.ID = @ID AND d.LINK_FACE = @LINK_FACE AND d.[DATE] = @DATE AND d.LINK_KATEG=@LINK_KATEG AND d.[TYPE] = @TMP_TYPE

			END	

		END

		FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	END

	CLOSE @Cur0
	DEALLOCATE @Cur0

	--
	/*		---------
				UPDATE #DAYS SET [type] = 0 WHERE [type] = @TMP_TYPE
			---------*/

DROP TABLE #TDays 

---------------------------------------------------------------------------------
	--	
	SELECT TOP 1 @ID1 = 0, @ID2 = 0, @NUM = 0, @LINK_FACE1 = LINK_FACE, @LINK_KATEG1 =LINK_KATEG, @TYPE1 = [TYPE]
	FROM #DAYS
	order by ID
	--
	DECLARE @Cur1 CURSOR
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE, LINK_KATEG, [TYPE] from #DAYS order by ID
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			IF NOT (@LINK_FACE = @LINK_FACE1 AND @LINK_KATEG = @LINK_KATEG1 AND @TYPE = @TYPE1)
			BEGIN
				
				SELECT @NUM = @NUM + 1, @LINK_FACE1 = @LINK_FACE, @LINK_KATEG1 = @LINK_KATEG, @TYPE1 = @TYPE
				UPDATE #DAYS SET NUM = @NUM WHERE ID BETWEEN @ID1 AND @ID-1
				SELECT @ID1 = @ID 

			END

		END

		FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--
	UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1


	--------------------------------


	SELECT a.link, a.link_face, a.LINK_KATEG, a.date1, a.date2, a.[type],
	       a.NUM_STAKE, a.IS_DOP, a.NOT_LGOT_EXPIR, a.ADD_TYPE
	INTO #PERIODY_DEL
	FROM #PERIODY a 
		INNER join #PERIODY p on  	p.[type]<= @MAX_TYPE AND 	p.link_face = a.link_FACE	AND p.[type] <> a.[type] 
	WHERE a.[type]= 0 	
	AND p.[type] IN (SELECT [type]  FROM #ADD_TYPE WHERE vid = 'ADD_TYPE')  

	DELETE  FROM  #PERIODY  WHERE link  IN (SELECT link FROM #PERIODY_DEL)
	
	
	UPDATE P 
	SET [ADD_TYPE] = (CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END)
	FROM 
		#PERIODY P
	UPDATE P
	SET [ADD_TYPE] = (SELECT top 1 ADD_TYPE FROM #PERIODY WHERE p.date1 between date1 AND DATE2 )
	FROM 
		#PERIODY P WHERE isnull(P.ADD_TYPE,0) = 0 


	--
DECLARE @IS_DOP varchar(10) , @LINK_FACE_OLD int 
SET @Cur1 = CURSOR FORWARD_ONLY
FOR SELECT  link_face,IS_DOP, [TYPE] from #PERIODY order by link_face
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO  @LINK_FACE, @IS_DOP, @TYPE
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		----           #PERIODY

		IF ISNULL(@LINK_FACE_OLD,0) <> isnull(@LINK_FACE,0)
		BEGIN
			IF EXISTS(select * from #PERIODY where isnull(IS_DOP,'') <> '' and link_face = @LINK_FACE /*and [TYPE] = @TYPE*/)
			BEGIN
				INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
				SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE1]), DATE_END = MAX([DATE2]), [TYPE], 0, 0, NUM_STAKE = max(ISNULL(NUM_STAKE,0)), ADD_TYPE
				FROM #PERIODY	
				WHERE [type] <> @TMP_TYPE
				--and [type]  = @TYPE
				and isnull(IS_DOP,'') <> ''
				and link_face = @LINK_FACE
				GROUP BY LINK_FACE, LINK_KATEG, /*[DATE1],[DATE2],*/ [TYPE], ADD_TYPE 
				ORDER BY LINK_FACE, LINK_KATEG /*, [DATE1],[DATE2]*/, [TYPE], ADD_TYPE


				-----	

			END 
			 ----           #DAYS
			IF EXISTS(select * from #PERIODY where isnull(IS_DOP,'') = '' and link_face = @LINK_FACE )
			begin
	----
				INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
				SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE]), DATE_END = MAX([DATE]), [TYPE], 0, 0, NUM_STAKE = MAX(ISNULL(NUM_STAKE,0)), TYPE_ADD
				FROM #DAYS	
				where link_face = @link_face
				and [type] not in (select [type] from #periody where isnull(IS_DOP,'') <> '' and link_face = @LINK_FACE)
				GROUP BY LINK_FACE, LINK_KATEG, NUM, [TYPE], TYPE_ADD
				ORDER BY LINK_FACE, LINK_KATEG, DATE_BEG, DATE_END
		
			end 
		
		END 
		set @LINK_FACE_OLD = @LINK_FACE
	END

	FETCH NEXT FROM @Cur1 INTO @LINK_FACE, @IS_DOP, @TYPE
END

CLOSE @Cur1
DEALLOCATE @Cur1
--
UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1	


	--  
	DELETE FROM #PERIODY3 WHERE [TYPE] = -1

	/* */
	DECLARE @uslovie INT
	set @uslovie = 1
	while @uslovie > 0
	begin
		update #PERIODY3 set orders = @uslovie 
		from #PERIODY3 as tt
		where 	coalesce(orders,0) = 0
			and date1 = (select min(t.date1) from #PERIODY3 t where coalesce(orders,0) = 0 and t.link_face = tt.link_face AND T.LINK_KATEG = TT.LINK_KATEG)
		if @@rowcount > 0
			set @uslovie = @uslovie + 1
		else
			set @uslovie = 0
	END


	--   
	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_k3, is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k, osob_spo)
	Select S.link, P.orders, P.date1, P.date2, 
		ter_usl = ISNULL(spr1.CODE,spr1A.CODE),
		ter_koef = ISNULL(T.TERR_RK,TA.TERR_RK),
		osob_usl = ISNULL(spr2.CODE,spr2A.CODE),
		osob_k1 = ISNULL(spr6.CODE,spr6A.CODE),
		osob_k2 = CONVERT(VARCHAR(20),left(ISNULL(spr7.CODE,spr7A.CODE),20)),
		osob_k3 = NULL,
		is_osnov = NULL, 
		is_dop = LTRIM(RTRIM(ISNULL(T.IS_DOP,TA.IS_DOP))),
		is_dop_m = NULL, 
		is_dop_d = NULL, 
		ud_osnov = ISNULL(spr5.CODE,spr5A.CODE), 
		ud_dop_m = NULL, 
		ud_dop_d = NULL, 
		ud_dop_k = ISNULL(T.STAVKA_PED_MED,TA.STAVKA_PED_MED) * P.NUM_STAKE,
		osob_spo = ISNULL(spr9.CODE,spr9A.CODE)
	 from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		inner join #PERIODY3 P on S.link_pers = P.link_face AND S.LINK_KATEG = P.LINK_KATEG
		
		LEFT JOIN #ADD_TYPE T ON P.[TYPE] = T.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1 on spr1.spr_code = 'TERR_USL' and spr1.LINK = T.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2 on spr2.spr_code = 'OSOB_USL_TRUDA' and spr2.LINK = T.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5 on spr5.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5.LINK = T.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6 on spr6.SPR_CODE LIKE 'SPISOK%' and spr6.LINK = T.COD_POS_SPISOK
		left join dbo.szv4_spr spr7 on spr7.SPR_CODE LIKE 'SPISOK%' and spr7.LINK = T.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3
		left join dbo.szv4_spr spr9 on spr9.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9.LINK = T.[COD_SPO_USL_TRUD]

		LEFT JOIN #ADD_TYPE TA ON P.[TYPE_ADD] = TA.[TYPE] AND P.[TYPE_ADD] <> P.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1A on spr1A.spr_code = 'TERR_USL' and spr1A.LINK = TA.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2A on spr2A.spr_code = 'OSOB_USL_TRUDA' and spr2A.LINK = TA.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5A on spr5A.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5A.LINK = TA.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6A on spr6A.SPR_CODE LIKE 'SPISOK%' and spr6A.LINK = TA.COD_POS_SPISOK
		left join dbo.szv4_spr spr7A on spr7A.SPR_CODE LIKE 'SPISOK%' and spr7A.LINK = TA.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3	
		left join dbo.szv4_spr spr9A on spr9A.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9A.LINK = TA.[COD_SPO_USL_TRUD]
	where
		S.link_up = @link
		AND
		S.FORMA = 1
	order by
		S.link, P.orders



	--  
	CREATE TABLE #STAGE_DOG (
		LINK_PERS INT, 
		KATEG TINYINT,
		BERIOD_BEG DATETIME,
		BERIOD_END DATETIME
		)

	INSERT INTO #STAGE_DOG (LINK_PERS, KATEG, BERIOD_BEG, BERIOD_END)
	SELECT LINK_FACE, LINK_KATEG, MIN(date1), MAX(date2) 
	FROM #DGH A
	GROUP BY LINK_FACE, month(date1), month(date2), LINK_KATEG



	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2,is_dop)
	Select S.link, 1, P.BERIOD_BEG, P.BERIOD_END,is_dop = (CASE WHEN exists(select * from  DOCUMENTS_DGH_T1 t1 
																				inner join dbo.DOCUMENTS_DGH DOC  ON DOC.link = t1.link 
																				INNER JOIN dbo.SALARY_REESTR_DGH DG ON dg.pers_link = t1.pers_link and dg.link = t1.link_dog 
																				WHERE t1.pers_link = p.LINK_PERS
																				and DOC.Flag_jc = 1
																				AND  DG.DATE1 =  p.BERIOD_BEG and DG.DATE2 =  p.BERIOD_END ) THEN '' ELSE '' END)
	from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN #STAGE_DOG P on S.link_pers = P.LINK_PERS AND S.LINK_KATEG = P.KATEG
		
	where
		S.link_up = @link
		AND
		S.FORMA = 2
	order by
		S.link
		
	END


--------------------------------------------------------------------------
/*    ,            
C 14     
*/	
DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE 
LINK_UP = @link
AND
EXISTS (		
	Select  1
	from dbo.ss_szv_STazh_svedenia S inner join  dbo.szv_STAZH_pachka p on p.link = s.link
	WHERE 
		S.LINK1 = dbo.SZV_STAZH_SVEDENIA.LINK
		AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0
				 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0 
		and p.vid_kor != 3
		AND NOT EXISTS (SELECT * FROM dbo.SZV_ST_STAZH ST WHERE ST.LINK_UP = S.LINK1)
)


--------------------------------------------------------------------------
exec dbo.SZV_ST_NUMERATOR @link










GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9807.sql
/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'SS_SZV_ST_SVEDENIA_N_FORMA')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_SZV_ST_SVEDENIA_N_FORMA')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_SZV_ST_SVEDENIA_N_FORMA')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_SZV_ST_SVEDENIA_N_FORMA')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'SS_SZV_ST_SVEDENIA_N_FORMA'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'SS_SZV_ST_SVEDENIA_N_FORMA')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_N_FORMA')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_N_FORMA', '', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_N_FORMA', NAME = '', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_N_FORMA'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_N_FORMA', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_N_FORMA', 'ORDER_NUMBER', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_N_FORMA', 'CONTROLSOURCE', 'm.cAlias+ ".n_forma"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_N_FORMA', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_N_FORMA', 'TYPE_FIELD_DICT', 'varchar(10)'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_N_FORMA', 'CONTROLSOURCE_EDIT', 'm.cAlias+ ".n_forma"'
GO

/****************     *************/

GO

/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'SS_SZV_ST_SVEDENIA_CODE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_SZV_ST_SVEDENIA_CODE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_SZV_ST_SVEDENIA_CODE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_SZV_ST_SVEDENIA_CODE')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'SS_SZV_ST_SVEDENIA_CODE'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'SS_SZV_ST_SVEDENIA_CODE')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_CODE', '', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_CODE', NAME = '', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_CODE'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'TITLE', ''
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'ORDER_NUMBER', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''SA_PFR_KATEG'', oForm.bSpisok.bGrid1.RECORDSOURCE, ''LINK, CODE'', ''LINK_KATEG, CODE'', '''', '''', '''', .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'CONTROLSOURCE', 'm.cAlias+ ".code"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'CONTROLSOURCE_EDIT', 'm.cAlias+ ".code"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_CODE', 'COMMENTARY', ''
GO

/****************     *************/

GO

/****** :  ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'SS_SZV_ST_SVEDENIA_PACHKA')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_SZV_ST_SVEDENIA_PACHKA')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_SZV_ST_SVEDENIA_PACHKA')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_SZV_ST_SVEDENIA_PACHKA')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'SS_SZV_ST_SVEDENIA_PACHKA'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'SS_SZV_ST_SVEDENIA_PACHKA')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_SZV_ST_SVEDENIA_PACHKA')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_SZV_ST_SVEDENIA_PACHKA', ' ', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_SZV_ST_SVEDENIA_PACHKA', NAME = ' ', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_SZV_STAZH_SVEDENIA'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_SZV_ST_SVEDENIA_PACHKA'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PACHKA', 'TITLE', ' .'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PACHKA', 'ORDER_NUMBER', '1'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PACHKA', 'CONTROLSOURCE', 'm.cAlias+ ".pachka"'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PACHKA', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PACHKA', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PACHKA', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'SS_SZV_ST_SVEDENIA_PACHKA', 'CONTROLSOURCE_EDIT', 'm.cAlias+ ".pachka"'
GO

/****************     *************/

GO






IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_PRINT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_PRINT]

GO


CREATE PROCEDURE dbo.SZV_STAZH_PRINT(@Link int)
AS
-- exec SZV_STAZH_PRINT 151
DECLARE @varKSNOM_PF VARCHAR(20), @varKSname VARCHAR(254), @varKSDEP int,
	@varKSOKPO VARCHAR(40), @varKSINN VARCHAR(12), @varKSKPP VARCHAR(9), @Month int, @Year int, @date datetime

SELECT
	@varKSDEP = D.link, @varKSNOM_PF = PFNUMBER, @varKSname = UPPER([NAME]),
	@varKSOKPO = OKPO, @varKSINN = INN, @varKSKPP = KPP,
	@Month = month_end, @year = year_begin
FROM dbo.DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = @link

Set @date = dbo.ConvertDMY2Date(1,@Month,@Year)
Set @date = dbo.DateEndOfMonth(@date)

SELECT
	LINK = P.link,
	[YEAR] = ISNULL(CASE WHEN year_begin <> 2010 THEN year_begin ELSE NULL END ,0),
	[INN] = @varKSINN,
	[KPP] = @varKSKPP,
	OKPO = @varKSOKPO,
	[CODE] = K.CODE,	
	[PER] = ISNULL(CASE WHEN year_begin <> 2010 THEN PER ELSE NULL END ,0),
	[PER10] = ISNULL(CASE WHEN year_begin = 2010 THEN PER ELSE NULL END ,0),
	[YEAR_EDT] = ISNULL(p.year_edt,0),
	[PER_EDT] = ISNULL(p.PER_EDT,0),
	[TYPE_SV] = P.[TYPE],
	[TYPE] = P.vid_kor,
	[ID] = S.orders,
	[NGROUP] = S.pachka,
	T_DOG = s.forma,
	[PFNUMBER] = PF_NUM,
	[FIO] = FIO2,
	[FM] = s.FM,
	[IM] = s.IM,
	[OT] = s.OT,
	[INN_PERS] = per.INN,
	[ADDRESS] = [ADDRESS],
	[ADDRESS2] = ADDRESS2,
	[INSUR] = COALESCE(S.sum_doh,0), --     . 
	[INSUR1] = COALESCE(S.INSUR,0), --     . 
	[GAIN] = COALESCE(S.GAIN,0), --     . 
	[GAIN1] = COALESCE(S.DOP,0), --     . 
	INC_T1_M1 = S.INCOME_T1_M1,--      1  1 
	INC_T1_M2 = S.INCOME_T1_M2,--      1  2 
	INC_T1_M3 = S.INCOME_T1_M3,--      1  3 
	INC_T2_M1 = S.INCOME_T2_M1,--      2  1 
	INC_T2_M2 = S.INCOME_T2_M2,--      2  2 
	INC_T2_M3 = S.INCOME_T2_M3,--      2  3 
	[ID_EX] = ST.orders,
	[DATE_BEGIN] = date1,
	[DATE_END] = date2,
	[STR_DIS] = (CASE WHEN coalesce(dper_vn_m,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_vn_m,0)) + ' .' else '' end)
	 		+ (CASE WHEN coalesce(dper_vn_d,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_vn_d,0)) + ' .' else '' end),
	dper_vn_m = coalesce(dper_vn_m,0),
	dper_vn_d = coalesce(dper_vn_d,0),
	[STR_VAC2] = (CASE WHEN coalesce(dper_oz_m,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_oz_m,0)) + ' .' else '' end)
	 		+ (CASE WHEN coalesce(dper_oz_d,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_oz_d,0)) + ' .' else '' end),
	dper_oz_m = coalesce(dper_oz_m,0),
	dper_oz_d = coalesce(dper_oz_d,0),
	[TU_CODE] = f_ter_usl,
	ter_usl,
	ter_koef,
	[OS_CODE] = f_osob_usl,
	osob_usl,
	osob_spis = RTRIM(LTRIM(COALESCE(osob_k1,''))) + RTRIM(LTRIM(COALESCE(osob_k2,''))) + RTRIM(LTRIM(COALESCE(osob_k3,''))),
	[EX_CODE] = is_osnov,
	is_dop_m,
	is_dop_d,
	is_dop,
	f_is_dop,
	[P_CODE] = ud_osnov,
	ud_dop_m,
	ud_dop_d,
	ud_dop_k,
	f_ud_dop,
	@varKSNOM_PF AS REG_NOM_PF,
	@varKSname AS DEP_NAME,
	DATE_CRT = @date,
	DATE_DOC = [date], DD = DAY([date]), MM = M.MON, YY = YEAR([date]),
	UV = CASE WHEN exists(SELECT * FROM sd_empl WHERE pers_link = s.link_face AND DATE_end = @DATE) THEN 'X' ELSE '' END,
	N_PP = 0,
	NUM_STR = 0,
	GOSSL = (select top 1 case when isnull(pt.DOP_IS_C,'') <> '' then 1 else 0 end  from dbo.EMPL E 
								inner JOIN dbo.ITEM_MOVE im on E.link = im.empl_link /*and im.NEW_FACE = 1*/ AND im.ACTIVE=1
								left join dbo.staff_head sh on sh.link = im.STAFF_LINK
								left join dbo.staff sf on sf.link_up = sh.link
								LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = sf.gossl  
								where 
								E.DEP_LINK = 74578
								and  @date between im.date_begin and im.date_end 
								and  E.PERS_LINK = S.link_FACE)
INTO #SZV_ST_REP
from
	dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SS_SZV_STAZH_SVEDENIA S ON P.link = S.link
	INNER JOIN dbo.person per ON  per.link = S.link_FACE
	left JOIN dbo.SS_SZV_ST_STAZH ST ON S.link1 = ST.link
	INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = P.KATEG AND year_begin BETWEEN YBEG AND YEND
	INNER JOIN dbo.MONTHS M ON M.NUM = MONTH([date])

where
	P.link = @Link
	--and P.[type] = 2
	and P.proverka = 1
order by
	s.FM,s.PF_NUM,S.pachka, S.orders, ST.orders


Declare @n INT
SET @n = 0

Update #SZV_ST_REP
Set n_pp = @n,
@n = @n+1

update S
set id_ex = A.id_ex 
from  (SELECT row_number() over(partition BY FIO,PFNUMBER  ORDER BY FIO,PFNUMBER , N_PP , DATE_begin) id_ex,  FIO,PFNUMBER, N_PP , DATE_begin , date_end
  FROM #SZV_ST_REP 
 ) A
inner join #SZV_ST_REP S  
ON   S.FIO =a.FIO AND S.PFNUMBER = a.PFNUMBER AND  S.N_PP= a.N_PP AND S.DATE_begin= a.DATE_begin AND S.date_end = a.date_end

UPDATE S
set id = A.id 
from (SELECT row_number() over(ORDER BY FIO,PFNUMBER) id,  FIO,PFNUMBER
  FROM #SZV_ST_REP 
  group by FIO,PFNUMBER ) a
inner join #SZV_ST_REP S  
ON   S.FIO =a.FIO AND S.PFNUMBER = a.PFNUMBER 
 
  
DECLARE  @link_szv int , @FIO varchar(254), @PFNUMBER varchar(20), @ID INT ,@T_DOG  int  , @N_PP INT
DECLARE @NN INT, @PN INT, @ON INT , @FIO_L VARCHAR(254) , @PFNUMBER_l varchar(20) , @date_begin datetime, @date_end DATETIME , @IS_DOP VARCHAR(20)
SELECT @NN = 0, @PN = 0, @ON = 0 , @FIO_L = '' ,@N_PP = 0 


---   ,       
DECLARE @Cur_R_STR CURSOR  , @NUM_STR int 
SET @NUM_STR  = 0
SET @Cur_R_STR = CURSOR FORWARD_ONLY
FOR select link, FIO, PFNUMBER, N_PP from #SZV_ST_REP order by link,N_PP,  FIO, PFNUMBER

OPEN @Cur_R_STR
FETCH NEXT FROM @Cur_R_STR INTO @link_szv, @FIO, @PFNUMBER, @N_PP 
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		---   ,   1 
		IF (SELECT MAX(NUM_STR) FROM #SZV_ST_REP ) = 0 
		BEGIN	
			UPDATE #SZV_ST_REP 
			SET 
				NUM_STR = @NUM_STR + 1 
			WHERE n_PP <=36
			
			SET @NUM_STR = @NUM_STR+1 					
		 END 
	  IF (select COUNT(*) FROM  #SZV_ST_REP ) > 36	 
	   BEGIN
	   		--  -    57
			IF (SELECT MAX(NUM_STR) FROM #SZV_ST_REP ) > 0  AND (select COUNT(*) FROM  #SZV_ST_REP WHERE NUM_STR = 0) >= 50
			AND  @N_PP	= (SELECT MAX(n_pp) FROM #SZV_ST_REP WHERE NUM_STR = @NUM_STR) + 1
			BEGIN
				UPDATE #SZV_ST_REP 
				SET 
					NUM_STR = @NUM_STR + 1 
				WHERE n_PP >= @N_PP  AND n_PP IN (SELECT TOP 50 n_pp FROM #SZV_ST_REP WHERE n_PP >= @N_PP)
				
				set @NUM_STR = @NUM_STR + 1 
				
			END
			
			---   ,    41
			IF (SELECT MAX(NUM_STR) FROM #SZV_ST_REP ) > 0 AND (select COUNT(*) FROM  #SZV_ST_REP WHERE NUM_STR = 0) < 50
			AND  @N_PP	= (SELECT MAX(n_pp) FROM #SZV_ST_REP WHERE NUM_STR = @NUM_STR)
			BEGIN

				set @NUM_STR = (SELECT MAX(NUM_STR) FROM #SZV_ST_REP)
				SET @N_PP = (SELECT MAX(n_PP) FROM  #SZV_ST_REP WHERE NUM_STR = @NUM_STR) 
					
				UPDATE #SZV_ST_REP 
				SET 
					NUM_STR = @NUM_STR + 1 
				WHERE n_PP >= @N_PP  AND n_PP IN (SELECT TOP 50 n_pp FROM #SZV_ST_REP WHERE n_PP >= @N_PP)
		
				
				
			END		
		END
	END



	FETCH NEXT FROM @Cur_R_STR INTO @link_szv, @FIO, @PFNUMBER, @N_PP 
END

--exec dbo.SZV_STAZH_PRINT 19

CLOSE @Cur_R_STR
DEALLOCATE @Cur_R_STR


SELECT 	LINK ,
	[YEAR] ,
	[INN] ,
	[KPP],
	OKPO ,
	[CODE],	
	[PER] ,
	[PER10] ,
	[YEAR_EDT],
	[PER_EDT] ,
	[TYPE_SV] ,
	[TYPE] ,
	[ID] ,
	[NGROUP] ,
	T_DOG ,
	[PFNUMBER],
	[FIO],
	[FM] ,
	[IM] ,
	[OT] ,
	[INN_PERS] ,
	[ADDRESS],
	[ADDRESS2] ,
	[INSUR] , --     . 
	[INSUR1] , --     . 
	[GAIN] , --     . 
	[GAIN1] , --     . 
	INC_T1_M1 ,--      1  1 
	INC_T1_M2 ,--      1  2 
	INC_T1_M3 ,--      1  3 
	INC_T2_M1 ,--      2  1 
	INC_T2_M2 ,--      2  2 
	INC_T2_M3 ,--      2  3 
	[ID_EX] ,
	[DATE_BEGIN] ,
	[DATE_END] ,
	[STR_DIS] ,
	dper_vn_m  ,
	dper_vn_d ,
	[STR_VAC2],
	dper_oz_m ,
	dper_oz_d ,
	[TU_CODE] ,
	ter_usl,
	ter_koef,
	[OS_CODE] ,
	osob_usl,
	osob_spis ,
	[EX_CODE],
	is_dop_m,
	is_dop_d,
	is_dop,
	f_is_dop,
	[P_CODE] ,
	ud_dop_m,
	ud_dop_d,
	ud_dop_k,
	f_ud_dop,
	REG_NOM_PF,
	DEP_NAME,
	DATE_CRT,
	DATE_DOC ,DD , MM, YY ,
	UV,
	NUM_STR = RIGHT(REPLICATE('0', 5) + CAST(NUM_STR AS varchar(5)), 5),
	GOSSL
FROM #SZV_ST_REP
order by
	NUM_STR,FM,[PFNUMBER],[NGROUP], [ID], [ID_EX]



GO


GRANT EXECUTE ON dbo.[SZV_STAZH_PRINT] TO PUBLIC

GO


-- --

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]

GO

CREATE   PROCEDURE [dbo].SS_SZV_ST_PACHKA_CALC_Buffer_2017 (@BufferCode varchar(10), @link int, @Year int, @Month tinyint) 
AS

DECLARE @SQL VARCHAR(1000)

SET @SQL = '
delete from dbo.Buffer
where RTRIM(LTRIM(ID)) = RTRIM(LTRIM( ''' + @BufferCode + ''' ))
	and link IN (select S.link_pers from dbo.SZV_STAZH_SVEDENIA S where S.link_up = ' + CONVERT(VARCHAR(20),@LINK) + ')'
--EXEC (@SQL)	--!!


CREATE TABLE #PERSON (LINK INT)	

SET @SQL = '
INSERT INTO #PERSON (LINK)
SELECT DISTINCT LINK FROM dbo.Buffer WHERE RTRIM(LTRIM(ID)) = RTRIM(LTRIM(''' + @BufferCode + '''))'
EXEC (@SQL)	

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @VID_KOR TINYINT , @type_doc tinyint

SELECT @VID_KOR = VID_KOR, @type_doc = [type]
FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link


IF @VID_KOR = 2
begin  
	SELECT @Year = @Year, @PER = PER_EDT, @MONTH_END = @Month
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
else 
begin
	SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
DECLARE @PeriodBegin datetime, @PeriodEnd datetime

/*IF @type_doc = 1 OR (@type_doc = 2 AND @PER <> 4)
BEGIN
	SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
	SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

	IF @MONTH_BEG > @MONTH_END
		SET @MONTH_END = @MONTH_BEG + 3 - 1
END
IF  @type_doc = 2 AND @PER = 4
 BEGIN */
		SET @MONTH_BEG = 1 
		SET @MONTH_END = 12
/* END */

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--  .
--
DECLARE @LINK_OZOI INT
SET @LINK_OZOI = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 3 AND @Year BETWEEN YBEG AND YEND),1)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME)

INSERT INTO #PERS_INV (PERS_LINK, DATE_BEGIN, DATE_END) 
SELECT PERS_LINK, DATE_BEGIN = MIN(ISNULL(I.DATE_BEGIN,@PeriodBegin)), DATE_END = MAX(ISNULL(I.DATE_END,@PeriodEnd))
FROM dbo.PERS_INVALID I
WHERE ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin
GROUP BY PERS_LINK


--forma    2013     (1 , 2 )
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_OZOI,
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END,
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
from 
	(	SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2 
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	INNER JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		


----
DECLARE @LINK_NR INT
SET @LINK_NR = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 1 AND @Year BETWEEN YBEG AND YEND),1)

--forma    2013     (1 , 2 )	
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_NR,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodBegin < CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		THEN @PeriodBegin 
		ELSE CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END + 1
	END,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodEnd > CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		THEN @PeriodEnd
		ELSE CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END - 1
	END
from 
	(	
		SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		
WHERE --          
	I.PERS_LINK IS NULL --  
	OR --    
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1
	OR --    
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1	

----
DECLARE @LINK_USEN INT
SET @LINK_USEN = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 2 AND @Year BETWEEN YBEG AND YEND),1)		
	
insert into dbo.SZV_STAZH_SVEDENIA 
	(link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
SELECT 	
	link_up, orders, forma, link_pers, ISNULL(sum_doh,0), ISNULL(sum_str,0), ISNULL(sum_nak,0), ISNULL(sum_dop,0), ISNULL(dper_vn_m,0), ISNULL(dper_vn_d,0), ISNULL(dper_oz_m,0), ISNULL(dper_oz_d,0), ISNULL(isum_str,0), ISNULL(isum_nak,0), @LINK_USEN, DATE_BEG, DATE_END
FROM
	#PERSON B INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON B.LINK = S.link_pers 
WHERE
	link_up = @link
	AND
	LINK_KATEG = @LINK_NR	


/*----        
CREATE TABLE #PERS_SUM_J (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, MON INT, INCOME NUMERIC(18,2), SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM_J (LINK_PERS, LINK_KATEG, DOG, MON, INCOME, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG, MON,
	SUM(CASE WHEN [OBJECT] = 1 THEN SUMMA ELSE 0 END), --  (INCOME)
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.EMPL E ON E.PERS_LINK = S.LINK_PERS
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_EMPL = E.LINK 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 1 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
	UNION ALL	
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.PERS_LINK = S.LINK_PERS 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 2 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG, MON
*/
--
/*CREATE INDEX #TMP_IDX_#PERS_SUM_J ON #PERS_SUM_J (LINK_PERS, LINK_KATEG)

--ר     
-- ר         512   ר 
create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, KATEG TINYINT, DOG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG = 1
FROM 
	dbo.SA_ESN_VIEW(@Year, @Month, @DEP_LINK, 0) S
WHERE 
	WAY_CALC IN (6,7,10,11)
	AND EXISTS (SELECT * FROM #PERSON B WHERE B.LINK = S.REF_PHYS_PERS)

--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, 
	GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, 
	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@Year))) = 2
		THEN 3
		ELSE
		CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END
	END, 
	DOG = 2
FROM 
	dbo.DOCUMENTS_DGH G 
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.PERSON P on GT.PERS_LINK = P.link
	INNER JOIN #PERSON B ON B.LINK = P.LINK
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  IN (6,7,10,11)
	AND YEAR(G.[DATE]) = @Year
	AND MONTH(G.[DATE]) <= @Month
	AND LINK_DEP = @DEP_LINK


--
CREATE INDEX #TMP_IDX_SPR_ESN ON #SPR_ESN (REF_PHYS_PERS, KATEG, DOG)

--
DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS < @PeriodBegin )
*/
--  
DECLARE @STAVKI TABLE ( LINK_PERS INT, TARIF TINYINT, PREDEL NUMERIC(15,2), [PERCENT] NUMERIC(8,2), WAY_CALC TINYINT)

INSERT INTO @STAVKI (LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC)
SELECT 
	LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC 
FROM 
	dbo.SA_ESN_TARIF(DEFAULT, @PeriodEnd, DEFAULT) S
WHERE 
	WAY_CALC IN (6,7)
	AND EXISTS (SELECT * FROM #PERSON P WHERE P.LINK = S.LINK_PERS)

--	
DECLARE @LIMIT NUMERIC(18,2)
SET @LIMIT = ISNULL((SELECT MIN(PREDEL) FROM @STAVKI WHERE TARIF = 1 AND WAY_CALC = 6),0)

------      ר   ר  512.
/*CREATE TABLE #SUM_PERSON (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT, WAY_CALC TINYINT, [PERCENT] NUMERIC(18,2), MON TINYINT, 
				BAZA NUMERIC(18,2), SUM_LIM NUMERIC(18,2), SUM_KOR NUMERIC(18,2),BAZA2 NUMERIC(18,2),  NALOG NUMERIC(20,6), M BIT)

INSERT INTO #SUM_PERSON (LINK_PERSON, KATEG, DOG, WAY_CALC, [PERCENT], MON, BAZA, NALOG, M)
SELECT
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE,
	SUM(ISNULL(SUMMA_BASE,0) - ISNULL(DED_M,0) - ISNULL(INV_M,0)) AS BAZA,
	SUM(SUMMA),
	0
FROM 
	#SPR_ESN E
	INNER JOIN @STAVKI S ON S.LINK_PERS = E.REF_PHYS_PERS AND S.WAY_CALC = E.WAY_CALC AND S.TARIF = E.KATEG
WHERE 
	S.PREDEL = @LIMIT
GROUP BY
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE

-- ,     
CREATE TABLE #PERS_AFTER (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT)

INSERT INTO #PERS_AFTER (LINK_PERSON, KATEG, DOG)
SELECT LINK_PERSON, KATEG, DOG
FROM #SUM_PERSON 
WHERE WAY_CALC = 6
GROUP BY LINK_PERSON, KATEG, DOG
HAVING SUM(BAZA) > @LIMIT
DECLARE @Cur2 CURSOR, @MON TINYINT, @KATEG TINYINT, @DOG TINYINT

SET @Cur2 = CURSOR FORWARD_ONLY
FOR SELECT DISTINCT MON, KATEG, DOG FROM #SUM_PERSON SP
	ORDER BY MON, KATEG ASC, DOG DESC
OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE SP --     
		SET 
			M = 1,
			SUM_LIM = (SELECT SUM(BAZA) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.WAY_CALC = SP.WAY_CALC AND (M=1 OR SP1.MON = SP.MON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG))
		FROM #SUM_PERSON SP
		WHERE MON = @MON AND KATEG = @KATEG AND DOG = @DOG
		
		UPDATE #SUM_PERSON -- 
		SET SUM_KOR = CASE WHEN ISNULL(SUM_LIM,0) > @LIMIT THEN ISNULL(SUM_LIM,0) - @LIMIT ELSE 0 END

		UPDATE #SUM_PERSON
		SET BAZA2 = CASE WHEN (ISNULL(BAZA,0) > ISNULL(SUM_KOR,0) OR ISNULL(BAZA,0) < 0)
							THEN ISNULL(BAZA,0) - ISNULL(SUM_KOR,0) ELSE 0 END
		
		UPDATE SP
		SET NALOG = 
					CASE WHEN BAZA <> BAZA2 
						THEN 
							
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON <= SP.MON),0)
							* ISNULL([PERCENT],0) / 100)
							-
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON < SP.MON),0)
							* ISNULL([PERCENT],0) / 100)

						ELSE 
							(SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND SP.DOG = PS.DOG AND PS.MON = SP.MON)
					END
					
					--CASE WHEN BAZA <> BAZA2 
					--	THEN ISNULL(BAZA2,0) * ISNULL([PERCENT],0) / 100
					--	ELSE (SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND PS.MON = SP.MON)
					--END	
		FROM
			#SUM_PERSON SP
		WHERE --  ,    
			EXISTS (SELECT * FROM #PERS_AFTER PA WHERE PA.LINK_PERSON = SP.LINK_PERSON AND PA.KATEG = SP.KATEG AND PA.DOG = SP.DOG)

	END
	FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
END

CLOSE @Cur2
DEALLOCATE @Cur2

--    
CREATE TABLE #PERS_SUM (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM (LINK_PERS, LINK_KATEG, DOG, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG,
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, SUMMA_BASE = SUM(BAZA2), SUMMA = SUM(NALOG)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG
		INNER JOIN #SUM_PERSON SP ON SP.LINK_PERSON = S.LINK_PERS AND SP.KATEG = K.LINK2 AND S.FORMA = SP.DOG AND SP.MON BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
	WHERE
		S.LINK_UP = @link
		AND
		@Year BETWEEN K.YBEG AND K.YEND
	GROUP BY
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, S.FORMA
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG

--
UPDATE S SET
	sum_doh = ISNULL(SUMMA_I,0), -- 10     
	sum_str = 0, -- 10      ,  ..    -  0,  
	sum_nak = ISNULL(SUMMA_G,0), --      
	sum_dop = 0 --  10      ,  ..    -  0,  
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #PERS_SUM P ON P.LINK_PERS = S.LINK_PERS AND P.LINK_KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

*/
---   
/*CREATE TABLE #INCOME_T1T2 (
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_T1_M1 NUMERIC(18,2),
	INCOME_T2_M1 NUMERIC(18,2),
	INCOME_T1_M2 NUMERIC(18,2),
	INCOME_T2_M2 NUMERIC(18,2),
	INCOME_T1_M3 NUMERIC(18,2),
	INCOME_T2_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME_T1T2 (LINK_PERS, KATEG, DOG, INCOME_T1_M1, INCOME_T2_M1, INCOME_T1_M2, INCOME_T2_M2, INCOME_T1_M3, INCOME_T2_M3)
SELECT REF_PHYS_PERS, KATEG, E.DOG, 
	INCOME_T1_M1 = SUM(CASE WHEN WAY_CALC = 10 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END), 
	INCOME_T2_M1 = SUM(CASE WHEN WAY_CALC = 11 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M2 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M2 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M3 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M3 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END)
FROM #SPR_ESN E
WHERE WAY_CALC IN (10,11)	
GROUP BY REF_PHYS_PERS, KATEG, E.DOG

UPDATE S SET
	S.INCOME_T1_M1 = P.INCOME_T1_M1,
	S.INCOME_T2_M1 = P.INCOME_T2_M1,
	S.INCOME_T1_M2 = P.INCOME_T1_M2,
	S.INCOME_T2_M2 = P.INCOME_T2_M2,
	S.INCOME_T1_M3 = P.INCOME_T1_M3,
	S.INCOME_T2_M3 = P.INCOME_T2_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME_T1T2 P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

--    
CREATE TABLE #INCOME(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_M1 NUMERIC(18,2),
	INCOME_M2 NUMERIC(18,2),
	INCOME_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME (LINK_PERS, KATEG, DOG, INCOME_M1, INCOME_M2, INCOME_M3)
SELECT 
	LINK_PERS, LINK_KATEG, DOG,
	INCOME_M1 = SUM(INCOME),
	INCOME_M2 = SUM(CASE WHEN MON = (@Month - 1) THEN INCOME ELSE 0 END),
	INCOME_M3 = SUM(CASE WHEN MON = @Month THEN INCOME ELSE 0 END)
FROM #PERS_SUM_J
GROUP BY 
	LINK_PERS, LINK_KATEG, DOG

UPDATE S SET
	S.INCOME_M1 = P.INCOME_M1,
	S.INCOME_M2 = P.INCOME_M2,
	S.INCOME_M3 = P.INCOME_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	


--   
CREATE TABLE #BASE(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	BASE_BEFORE_M1 NUMERIC(18,2),
	BASE_AFTER_M1 NUMERIC(18,2),
	BASE_BEFORE_M2 NUMERIC(18,2),
	BASE_AFTER_M2 NUMERIC(18,2),
	BASE_BEFORE_M3 NUMERIC(18,2),
	BASE_AFTER_M3 NUMERIC(18,2)	
	)

INSERT INTO #BASE (LINK_PERS, KATEG, DOG, BASE_BEFORE_M1, BASE_AFTER_M1, BASE_BEFORE_M2, BASE_AFTER_M2, BASE_BEFORE_M3, BASE_AFTER_M3 )
SELECT LINK_PERSON, KATEG, DOG,
	BASE_BEFORE_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M3	= SUM(CASE WHEN MON = @Month THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M3	= SUM(CASE WHEN MON = @Month THEN BAZA - BAZA2 ELSE 0 END)		
FROM #SUM_PERSON 
WHERE 
	WAY_CALC = 6
GROUP BY
	LINK_PERSON, KATEG, DOG
	
UPDATE S SET
	S.BASE_BEFORE_M1 = P.BASE_BEFORE_M1,
	S.BASE_AFTER_M1 = P.BASE_AFTER_M1,
	S.BASE_BEFORE_M2 = P.BASE_BEFORE_M2,
	S.BASE_AFTER_M2 = P.BASE_AFTER_M2,
	S.BASE_BEFORE_M3 = P.BASE_BEFORE_M3,
	S.BASE_AFTER_M3 = P.BASE_AFTER_M3	
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #BASE P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	
*/
--   ,   
SELECT LINK_PERS, FORMA, LINK_KATEG INTO #TAB FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY LINK_PERS, FORMA, LINK_KATEG HAVING SUM(sum_doh) = 0 AND SUM(sum_nak) = 0 AND SUM(INCOME_M1) = 0
--	


DELETE FROM dbo.SZV_STAZH_SVEDENIA 
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 AND LINK_KATEG NOT IN( @LINK_NR, @LINK_OZOI)



DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 
	AND NOT EXISTS (SELECT LINK_PERS FROM #TAB T WHERE T.LINK_PERS = dbo.SZV_STAZH_SVEDENIA.LINK_PERS AND T.FORMA = dbo.SZV_STAZH_SVEDENIA.FORMA AND T.LINK_KATEG = dbo.SZV_STAZH_SVEDENIA.LINK_KATEG)



--  
UPDATE dbo.SZV_STAZH_SVEDENIA SET LINK_KATEG = @LINK_NR WHERE link_up = @link AND LINK_KATEG = @LINK_OZOI




UPDATE b
set b.date_beg = a.date_beg ,
	b.date_end = a.date_end
FROM dbo.SZV_STAZH_SVEDENIA b
	left join (select link_up, date_beg = min(date_beg)  , date_end = max(date_end) , link_pers from dbo.SZV_STAZH_SVEDENIA a  where link_up = @link and (select count(*) from dbo.SZV_STAZH_SVEDENIA   where link_up =  a.link_up and link_pers = a.link_pers)>1  group by link_up,  link_pers) as a
	on  b.link_up = a.link_up  
where  b.link_pers = a.link_pers and  (select count(*) from dbo.SZV_STAZH_SVEDENIA   where link_up =  b.link_up and link_pers = b.link_pers)>1 


select link = max(link), link_up,LINK_PERS INTO #TAB1 FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY link_up, LINK_PERS, DATE_BEG,DATE_END  HAVING COUNT(link) >1

DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link in (select link from #tab1)




----     
EXEC [dbo].SS_SZV_ST_PACHKA_RASPIL @link


IF @VID_KOR != 3
	begin  
	---  

	----------------------------------------------------------------------------
	CREATE TABLE #PERIODY (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] int, NUM_STAKE NUMERIC(5,2), [IS_DOP] VARCHAR(20),	[NOT_LGOT_EXPIR] INT NULL , ADD_TYPE INT )

	--/* */
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, TYPE,[IS_DOP])
	SELECT 	DISTINCT
		PERS_LINK, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			THEN (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			ELSE S.DATE_END
		END,	
		0,
		[IS_DOP] = isnull(pt.DOP_IS_C, '' )  --(SELECT TOP 1  pt.DOP_IS_C  from dbo.POST_TYPES AS pt WHERE   pt.link = st.gossl) 
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.EMPL E ON S.LINK_PERS = E.PERS_LINK AND E.DEP_LINK = @DEP_LINK
		INNER JOIN dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		left join dbo.staff_head sh on sh.link = p.STAFF_LINK
		left join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
	WHERE
		S.LINK_UP = @link
		AND
		P.DATE_BEGIN <= @PeriodEnd
		and coalesce(P.DATE_END,'20990101') >= @PeriodBegin
		AND
		coalesce(U.DIS_DATE,'20990101') >= @PeriodBegin
		and st.date_begin <= '20171231' 
			and  coalesce(st.date_end,'20990101') >= '20170101'	
		--AND st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin	

	/* */
	Select DISTINCT
		link_face = DGH.PERS_LINK, LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				THEN (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				ELSE S.DATE_BEG
			END,
		date2 = CASE WHEN S.DATE_END > (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				THEN (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				ELSE S.DATE_END
			END,
		[type] = 0
	INTO #DGH	
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.SALARY_REESTR_DGH DGH ON S.LINK_PERS = DGH.PERS_LINK
	WHERE 
		S.LINK_UP = @link
		AND
		DGH.DEP_LINK = @DEP_LINK
		and
		DGH.DATE1 <= @PeriodEnd
		and
		coalesce(DGH.DATE2,'20990101') >= @PeriodBegin


	--       
	SELECT LINK_FACE, DB = MIN(DATE1), DE = MAX(DATE2)
	INTO #WORK
	FROM #PERIODY
	GROUP BY LINK_FACE

	UPDATE S SET 
		S.DATE_BEG = CASE WHEN W.DB < S.DATE_BEG THEN S.DATE_BEG ELSE W.DB END,
		S.DATE_END = CASE WHEN W.DE > S.DATE_END THEN S.DATE_END ELSE W.DE END
	FROM 
		dbo.SZV_STAZH_SVEDENIA S INNER JOIN #WORK W ON S.LINK_PERS = W.LINK_FACE
	WHERE 
		S.LINK_UP = @link
	
	--
	CREATE TABLE #ADD_TYPE (
		[type] INT IDENTITY(1,1),
		[TERR_USL_TRUD] int NULL ,
		[TERR_RK] numeric(3, 2) NULL ,
		[OSOB_USL_TRUD] int NULL ,
		[COD_POS_SPISOK] int NULL ,
		[COD_POS_SPISOK2] int NULL ,
		[USL_DOSROCH_PENS] int NULL ,
		[STAVKA_PED_MED] numeric(3, 2) NULL,
		[VID] VARCHAR(20),
		[IS_DOP] VARCHAR(20),
		[COD_SPO_USL_TRUD] INT NULL
	)	
	INSERT INTO #ADD_TYPE 
		([TERR_USL_TRUD],[TERR_RK],[OSOB_USL_TRUD],[COD_POS_SPISOK],[COD_POS_SPISOK2],[USL_DOSROCH_PENS],[STAVKA_PED_MED],[VID],[IS_DOP],[COD_SPO_USL_TRUD])
	SELECT DISTINCT 
		ISNULL(s.TERR_USL_TRUD,0), ISNULL(s.TERR_RK,0), ISNULL(s.OSOB_USL_TRUD,0), ISNULL(s.COD_POS_SPISOK,0), ISNULL(s.COD_POS_SPISOK2,0), ISNULL(s.USL_DOSROCH_PENS,0), ISNULL(s.STAVKA_PED_MED,0), VID = 'ADD_TYPE', IS_DOP =  ISNULL(dop_is_c,''), ISNULL(s.[COD_SPO_USL_TRUD],0) 
	FROM dbo.staff s 
	LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = s.gossl
	WHERE ISNULL(s.TERR_USL_TRUD,0) <> 0 OR ISNULL(s.TERR_RK,0) <> 0 OR ISNULL(s.OSOB_USL_TRUD,0) <> 0 OR ISNULL(s.COD_POS_SPISOK,0) <> 0 OR ISNULL(s.COD_POS_SPISOK2,0) <> 0 OR ISNULL(s.USL_DOSROCH_PENS,0) <> 0 OR ISNULL(s.STAVKA_PED_MED,0) <> 0 OR ISNULL(s.[COD_SPO_USL_TRUD],0) <> 0 
	OR ISNULL(pt.dop_is_c,'')<>'' 

	--
	DECLARE @MAX_TYPE INT
	SET @MAX_TYPE = ISNULL((SELECT MAX(type) FROM #ADD_TYPE),0)

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('TMP_TYPE', '')
	
	/*  ( )*/
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('KOMM_TYPE', '')


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD1', '')

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	SELECT DISTINCT
		'PERIOD2',
		ISNULL(V.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
					--AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
					) VV ON VV.LINK = IV.TYPE_LINK
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD3', '')
/*
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	Select DISTINCT
		'PERIOD4',
		ISNULL(VV.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/
	--    
	INSERT INTO #ADD_TYPE (VID, IS_DOP) 	
	SELECT LEFT('P_' + LTRIM(RTRIM(CODE)),20), IS_DOP
	FROM dbo.VACATION_VID 
	WHERE	IS_DOP IS NOT NULL
			AND 
			NOT EXISTS (SELECT * FROM #ADD_TYPE WHERE VID = LEFT('P_' + LTRIM(RTRIM(CODE)),20))


 	--    c   
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type], NUM_STAKE, IS_DOP)
	SELECT DISTINCT 
		link_face = E.PERS_LINK, S.LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN ELSE @PeriodBegin end)
					THEN (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN else  (case when IM.DATE_BEGIN >= @PeriodBegin  THEN IM.DATE_BEGIN ELSE @PeriodBegin end) end)
					ELSE (case when IM.DATE_BEGIN >= S.DATE_BEG  AND (dis_date IS NOT NULL AND dis_date BETWEEN @PeriodBegin AND @PeriodEND) THEN IM.DATE_BEGIN ELSE S.DATE_BEG end) --          -      
				END,
		date2 = CASE WHEN 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
							> (case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					THEN 
						(case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					ELSE 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
				END,	
		ISNULL(T.[type],0),
		ISNULL(im.NUM_STAKE,0),
		IS_DOP = isnull(T.[IS_DOP],'')
		--, ST.*
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		INNER JOIN dbo.sa_item_move im ON im.EMPL_LINK = e.link
		inner join dbo.staff_head sh on sh.link = STAFF_LINK
		inner join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1	
		left join #ADD_TYPE T on 
				ISNULL(st.TERR_USL_TRUD,0) = ISNULL(T.TERR_USL_TRUD,0) 
				AND ISNULL(st.TERR_RK,0) = ISNULL(T.TERR_RK,0) 
				AND ISNULL(st.OSOB_USL_TRUD,0) = ISNULL(T.OSOB_USL_TRUD,0) 
				AND ISNULL(st.COD_POS_SPISOK,0) = ISNULL(T.COD_POS_SPISOK,0) 
				AND ISNULL(st.COD_POS_SPISOK2,0) = ISNULL(T.COD_POS_SPISOK2,0) 
				AND ISNULL(st.USL_DOSROCH_PENS,0) = ISNULL(T.USL_DOSROCH_PENS,0) 
				AND ISNULL(st.STAVKA_PED_MED,0) = ISNULL(T.STAVKA_PED_MED,0) 
				AND ISNULL(st.[COD_SPO_USL_TRUD],0) = ISNULL(T.[COD_SPO_USL_TRUD],0)
				AND ltrim(rtrim(ISNULL(pt.[DOP_IS_C],''))) = ltrim(rtrim(ISNULL(T.[IS_DOP],'')))
	where 
		S.LINK_UP = @link
		AND
		IM.NUM_STAKE >= 1 
		AND
		IM.[STATUS] <> 2 -- .   
		AND
		im.DATE_BEGIN <= @PeriodEnd and im.DATE_END3 >= @PeriodBegin
		and 
		st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin
		AND 
		im.DATE_end3 > st.DATE_BEGIN -- AND st.DATE_END	 --            
		AND
		T.[TYPE] IS NOT NULL AND T.VID = 'ADD_TYPE'
		AND
		COALESCE(U.DIS_DATE,'20990101') >= @PeriodBegin
	order by
		E.PERS_LINK
	---**************************************

	DECLARE @TMP_TYPE INT
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')


	/* -    ( .  )*/
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	Select DISTINCT 
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		ISNULL( (SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = LEFT('P_' + LTRIM(RTRIM(VV.CODE)),20) AND AT.IS_DOP = VV.IS_DOP ), @TMP_TYPE),
		[NOT_LGOT_EXPIR]
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_vacation iv on E.link = iv.EMPL_LINK 
		inner join dbo.orders o on iv.order_link=o.link
		--  ,   "    ", 
		--  (   )
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND isnull(vv.IS_DOP,'') <> '' 
		INNER JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK AND WORK_D <> 7 --      (   )
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and ISNULL(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and 
		iv.compens <>1 --   
		and
		iv.date_begin <= @PeriodEnd
		and
		ISNULL(ISNULL(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	/* -    ( .  )*/	
	--SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'KOMM_TYPE')
	
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			THEN (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE,
		1
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_travel T on E.link = T.EMPL_LINK
		left join dbo.ITEM_TRAVEL_LONG ITL on ITL.TRAVEL_LINK = T.LINK and ISNULL(ITL.ACTIVE,0) = 1	
	WHERE
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		AND 
		T.ACTIVE = 1 
		AND 
		T.DATE_BEGIN <= @PeriodEnd
		AND 
		ISNULL(ISNULL(ITL.NEW_DATE_END,T.date_end),'20990101') >= @PeriodBegin

	/* -      */

	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD1')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
		INNER JOIN dbo.NETRUD N ON N.LINK = [TYPE] AND N.DEKRET = 1
	WHERE 
		S.LINK_UP = @link
		AND	
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin

	/* -  */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD3')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
	WHERE
		S.LINK_UP = @link
		AND	 
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin
		and
		[TYPE] not in (select LINK from dbo.NETRUD where DEKRET = 1)

	/* -     1,5   3 */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK-1,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD2' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(V.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER join dbo.TYP_DAYS D on V.TYPE_LINK = D.LINK AND  WORK_D = 7 
		--INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
			----AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
		--	) VV ON VV.LINK = IV.TYPE_LINK
		LEFT JOIN DBO.ITEM_VACATION_BREAK IVB ON IVB.VAC_LINK = IV.LINK AND COALESCE(IVB.ACTIVE,0) = 1
	WHERE 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin

/*
	/* -     */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	Select DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD4' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(VV.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	WHERE
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/

	--------------------------------------------------------------------------
	-- 2.            type.
	--- ,        , ..     
	CREATE TABLE #PERIODY3 (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] INT, orders int, i int, NUM_STAKE NUMERIC(5,2),IS_DOP VARCHAR(20), TYPE_ADD INT)

	--    -1  ..  
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, [type])
	SELECT DISTINCT link_face, LINK_KATEG, @PeriodBegin, @PeriodEnd, [type] = -1   FROM #PERIODY


	CREATE TABLE #DAYS (ID INT IDENTITY(1,1), LINK_FACE INT, LINK_KATEG INT, [DATE] DATETIME, [TYPE] INT, NUM INT/*, IS_DOP VARCHAR(20)*/, NUM_STAKE NUMERIC(5,2), [TYPE_ADD] INT)

	INSERT INTO #DAYS (LINK_FACE, LINK_KATEG, [DATE], [TYPE], NUM, NUM_STAKE/*,IS_DOP*/, [TYPE_ADD])
	SELECT P.LINK_FACE, P.LINK_KATEG, [DATE], [TYPE] = MAX([TYPE]), 0, 
		[NUM_STAKE] = MAX(ISNULL(NUM_STAKE,0)), 
		--isnull(IS_DOP,''),
		[TYPE_ADD] = MAX(CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END
		)
	FROM 
		#PERIODY P
		INNER JOIN dbo.days_ex(@PeriodBegin, @PeriodEnd) D ON 1=1
	WHERE
		D.[DATE] BETWEEN P.DATE1 AND P.DATE2
	GROUP BY
		 P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]
	ORDER BY	
		P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]

	--   ,     
	UPDATE #DAYS SET [TYPE_ADD] = 0 
	WHERE 
		EXISTS (SELECT * FROM #PERIODY WHERE 
			#PERIODY.[NOT_LGOT_EXPIR] = 1
			AND #PERIODY.link_face = #DAYS.link_face
			AND #DAYS.[DATE] BETWEEN #PERIODY.DATE1 AND #PERIODY.DATE2)




	-- 
	DECLARE 
		@ID INT, @ID1 INT, @ID2 INT, @LINK_FACE INT, @DATE datetime, @LINK_KATEG INT, @TYPE INT, @NUM INT, @TYPE_ADD INT,
		@LINK_FACE1 INT, @LINK_KATEG1 INT, @TYPE1 INT,@TYPE_ADD1 INT,@DATE1 datetime

	--  ,      

------   #ADD_TYPE    
----
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')
----
	CREATE table #TDays(link_face int, id int,  date DATETIME ,LINK_KATEG int , [TYPE] INT, [TYPE_ADD] INT)
	INSERT INTO #TDays (link_face, id, date, LINK_KATEG, [TYPE], [TYPE_ADD])
	SELECT d.link_face,
		   d.id,
		   d.date,
		   d.LINK_KATEG,
		   d.[TYPE],
		   d.[TYPE_ADD]
	FROM #DAYS d WHERE d.[type] = @TMP_TYPE 
	ORDER BY d.link_face, d.ID ,d.[date], d.[TYPE] ,d.[TYPE_ADD]	 


	DECLARE @Cur0 CURSOR, @F_TYPE int, @F_TYPE_ADD int
	SET @Cur0 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE,[date],LINK_KATEG, [TYPE],  TYPE_ADD from  #TDays order by ID, LINK_FACE, [DATE]
	OPEN @Cur0
	FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
		
			SELECT DISTINCT @F_TYPE =[TYPE], @F_TYPE_ADD = [type_add]  
			FROM #DAYS WHERE LINK_FACE = @LINK_FACE AND LINK_KATEG = @LINK_KATEG AND [DATE] = @DATE-1 
			
			SELECT @F_TYPE = ISNULL(@F_TYPE,0), @F_TYPE_ADD = ISNULL( @F_TYPE_ADD,0) 

			IF @F_TYPE_ADD = @type_add OR  (ISNULL((SELECT TOP 1 IS_DOP TYPE FROM #ADD_TYPE WHERE [type] = @F_TYPE_ADD),'') <> '' AND @type_add = 0) 
			BEGIN
			
				UPDATE d
				SET [TYPE] = @F_TYPE , [type_add] = @F_TYPE_ADD 
				FROM #DAYS d
				WHERE d.ID = @ID AND d.LINK_FACE = @LINK_FACE AND d.[DATE] = @DATE AND d.LINK_KATEG=@LINK_KATEG AND d.[TYPE] = @TMP_TYPE

			END	

		END

		FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	END

	CLOSE @Cur0
	DEALLOCATE @Cur0

	--
	/*		---------
				UPDATE #DAYS SET [type] = 0 WHERE [type] = @TMP_TYPE
			---------*/

DROP TABLE #TDays 

---------------------------------------------------------------------------------
	--	
	SELECT TOP 1 @ID1 = 0, @ID2 = 0, @NUM = 0, @LINK_FACE1 = LINK_FACE, @LINK_KATEG1 =LINK_KATEG, @TYPE1 = [TYPE]
	FROM #DAYS
	order by ID
	--
	DECLARE @Cur1 CURSOR
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE, LINK_KATEG, [TYPE] from #DAYS order by ID
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			IF NOT (@LINK_FACE = @LINK_FACE1 AND @LINK_KATEG = @LINK_KATEG1 AND @TYPE = @TYPE1)
			BEGIN
				
				SELECT @NUM = @NUM + 1, @LINK_FACE1 = @LINK_FACE, @LINK_KATEG1 = @LINK_KATEG, @TYPE1 = @TYPE
				UPDATE #DAYS SET NUM = @NUM WHERE ID BETWEEN @ID1 AND @ID-1
				SELECT @ID1 = @ID 

			END

		END

		FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--
	UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1


	--------------------------------


	SELECT a.link, a.link_face, a.LINK_KATEG, a.date1, a.date2, a.[type],
	       a.NUM_STAKE, a.IS_DOP, a.NOT_LGOT_EXPIR, a.ADD_TYPE
	INTO #PERIODY_DEL
	FROM #PERIODY a 
		INNER join #PERIODY p on  	p.[type]<= @MAX_TYPE AND 	p.link_face = a.link_FACE	AND p.[type] <> a.[type] 
	WHERE a.[type]= 0 	
	AND p.[type] IN (SELECT [type]  FROM #ADD_TYPE WHERE vid = 'ADD_TYPE')  

	DELETE  FROM  #PERIODY  WHERE link  IN (SELECT link FROM #PERIODY_DEL)
	
	
	UPDATE P 
	SET [ADD_TYPE] = (CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END)
	FROM 
		#PERIODY P
	UPDATE P
	SET [ADD_TYPE] = (SELECT top 1 ADD_TYPE FROM #PERIODY WHERE p.date1 between date1 AND DATE2 )
	FROM 
		#PERIODY P WHERE isnull(P.ADD_TYPE,0) = 0 


	--
DECLARE @IS_DOP varchar(10) , @LINK_FACE_OLD int 
SET @Cur1 = CURSOR FORWARD_ONLY
FOR SELECT  link_face,IS_DOP, [TYPE] from #PERIODY order by link_face
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO  @LINK_FACE, @IS_DOP, @TYPE
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		----           #PERIODY

		IF ISNULL(@LINK_FACE_OLD,0) <> isnull(@LINK_FACE,0)
		BEGIN
			IF EXISTS(select * from #PERIODY where isnull(IS_DOP,'') <> '' and link_face = @LINK_FACE /*and [TYPE] = @TYPE*/)
			BEGIN
				INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
				SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE1]), DATE_END = MAX([DATE2]), [TYPE], 0, 0, NUM_STAKE = max(ISNULL(NUM_STAKE,0)), ADD_TYPE
				FROM #PERIODY	
				WHERE [type] <> @TMP_TYPE
				--and [type]  = @TYPE
				and isnull(IS_DOP,'') <> ''
				and link_face = @LINK_FACE
				GROUP BY LINK_FACE, LINK_KATEG, /*[DATE1],[DATE2],*/ [TYPE], ADD_TYPE 
				ORDER BY LINK_FACE, LINK_KATEG /*, [DATE1],[DATE2]*/, [TYPE], ADD_TYPE


				-----	

			END 
			 ----           #DAYS
			IF EXISTS(select * from #PERIODY where isnull(IS_DOP,'') = '' and link_face = @LINK_FACE )
			begin
	----
				INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
				SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE]), DATE_END = MAX([DATE]), [TYPE], 0, 0, NUM_STAKE = MAX(ISNULL(NUM_STAKE,0)), TYPE_ADD
				FROM #DAYS	
				where link_face = @link_face
				and [type] not in (select [type] from #periody where isnull(IS_DOP,'') <> '' and link_face = @LINK_FACE)
				GROUP BY LINK_FACE, LINK_KATEG, NUM, [TYPE], TYPE_ADD
				ORDER BY LINK_FACE, LINK_KATEG, DATE_BEG, DATE_END
		
			end 
		
		END 
		set @LINK_FACE_OLD = @LINK_FACE
	END

	FETCH NEXT FROM @Cur1 INTO @LINK_FACE, @IS_DOP, @TYPE
END

CLOSE @Cur1
DEALLOCATE @Cur1
--
UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1	


	--  
	DELETE FROM #PERIODY3 WHERE [TYPE] = -1

	/* */
	DECLARE @uslovie INT
	set @uslovie = 1
	while @uslovie > 0
	begin
		update #PERIODY3 set orders = @uslovie 
		from #PERIODY3 as tt
		where 	coalesce(orders,0) = 0
			and date1 = (select min(t.date1) from #PERIODY3 t where coalesce(orders,0) = 0 and t.link_face = tt.link_face AND T.LINK_KATEG = TT.LINK_KATEG)
		if @@rowcount > 0
			set @uslovie = @uslovie + 1
		else
			set @uslovie = 0
	END


	--   
	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_k3, is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k, osob_spo)
	Select S.link, P.orders, P.date1, P.date2, 
		ter_usl = ISNULL(spr1.CODE,spr1A.CODE),
		ter_koef = ISNULL(T.TERR_RK,TA.TERR_RK),
		osob_usl = ISNULL(spr2.CODE,spr2A.CODE),
		osob_k1 = ISNULL(spr6.CODE,spr6A.CODE),
		osob_k2 = CONVERT(VARCHAR(20),left(ISNULL(spr7.CODE,spr7A.CODE),20)),
		osob_k3 = NULL,
		is_osnov = NULL, 
		is_dop = LTRIM(RTRIM(ISNULL(T.IS_DOP,TA.IS_DOP))),
		is_dop_m = NULL, 
		is_dop_d = NULL, 
		ud_osnov = ISNULL(spr5.CODE,spr5A.CODE), 
		ud_dop_m = NULL, 
		ud_dop_d = NULL, 
		ud_dop_k = ISNULL(T.STAVKA_PED_MED,TA.STAVKA_PED_MED) * P.NUM_STAKE,
		osob_spo = ISNULL(spr9.CODE,spr9A.CODE)
	 from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		inner join #PERIODY3 P on S.link_pers = P.link_face AND S.LINK_KATEG = P.LINK_KATEG
		
		LEFT JOIN #ADD_TYPE T ON P.[TYPE] = T.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1 on spr1.spr_code = 'TERR_USL' and spr1.LINK = T.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2 on spr2.spr_code = 'OSOB_USL_TRUDA' and spr2.LINK = T.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5 on spr5.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5.LINK = T.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6 on spr6.SPR_CODE LIKE 'SPISOK%' and spr6.LINK = T.COD_POS_SPISOK
		left join dbo.szv4_spr spr7 on spr7.SPR_CODE LIKE 'SPISOK%' and spr7.LINK = T.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3
		left join dbo.szv4_spr spr9 on spr9.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9.LINK = T.[COD_SPO_USL_TRUD]

		LEFT JOIN #ADD_TYPE TA ON P.[TYPE_ADD] = TA.[TYPE] AND P.[TYPE_ADD] <> P.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1A on spr1A.spr_code = 'TERR_USL' and spr1A.LINK = TA.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2A on spr2A.spr_code = 'OSOB_USL_TRUDA' and spr2A.LINK = TA.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5A on spr5A.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5A.LINK = TA.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6A on spr6A.SPR_CODE LIKE 'SPISOK%' and spr6A.LINK = TA.COD_POS_SPISOK
		left join dbo.szv4_spr spr7A on spr7A.SPR_CODE LIKE 'SPISOK%' and spr7A.LINK = TA.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3	
		left join dbo.szv4_spr spr9A on spr9A.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9A.LINK = TA.[COD_SPO_USL_TRUD]
	where
		S.link_up = @link
		AND
		S.FORMA = 1
	order by
		S.link, P.orders

	--  
	CREATE TABLE #STAGE_DOG (
		LINK_PERS INT, 
		KATEG TINYINT,
		BERIOD_BEG DATETIME,
		BERIOD_END DATETIME
		)

	INSERT INTO #STAGE_DOG (LINK_PERS, KATEG, BERIOD_BEG, BERIOD_END)
	SELECT LINK_FACE, LINK_KATEG, MIN(date1), MAX(date2) 
	FROM #DGH A
	GROUP BY LINK_FACE, month(date1), month(date2), LINK_KATEG


	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2,is_dop)
	Select S.link, 1, P.BERIOD_BEG, P.BERIOD_END,is_dop = (CASE WHEN exists(select * from  DOCUMENTS_DGH_T1 t1 
																				inner join dbo.DOCUMENTS_DGH DOC  ON DOC.link = t1.link 
																				INNER JOIN dbo.SALARY_REESTR_DGH DG ON dg.pers_link = t1.pers_link and dg.link = t1.link_dog 
																				WHERE t1.pers_link = p.LINK_PERS
																				and DOC.Flag_jc = 1
																				AND  DG.DATE1 =  p.BERIOD_BEG and DG.DATE2 =  p.BERIOD_END ) THEN '' ELSE '' END)
	from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN #STAGE_DOG P on S.link_pers = P.LINK_PERS AND S.LINK_KATEG = P.KATEG
		
	where
		S.link_up = @link
		AND
		(S.FORMA = 1 OR (S.FORMA = 2  AND NOT EXISTS( SELECT * FROM dbo.SZV_STAZH_SVEDENIA sS 
														INNER JOIN #STAGE_DOG Ps on sS.link_pers = Ps.LINK_PERS AND sS.LINK_KATEG = Ps.KATEG 
		                                              WHERE  sS.LINK_PERS =S.LINK_PERS AND  Ss.link_up  = s.link_up AND  Ss.FORMA = 1)))
	order by
		S.link
		
	END


--------------------------------------------------------------------------
/*    ,            
C 14     
*/	
DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE 
LINK_UP = @link
AND
EXISTS (		
	Select  1
	from dbo.ss_szv_STazh_svedenia S inner join  dbo.szv_STAZH_pachka p on p.link = s.link
	WHERE 
		S.LINK1 = dbo.SZV_STAZH_SVEDENIA.LINK
		AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0
				 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0 
		and p.vid_kor != 3
		AND NOT EXISTS (SELECT * FROM dbo.SZV_ST_STAZH ST WHERE ST.LINK_UP = S.LINK1)
)



SELECT s.link, s.link_up, orders = row_number() over(ORDER BY p.NAME_PERS), s.link_pers 
INTO #orders_sved
FROM dbo.SZV_STAZH_SVEDENIA s 
INNER JOIN dbo.ku_person p  ON p.link = s.link_pers
WHERE link_up = @link
ORDER BY 
p.NAME_PERS
 
UPDATE dbo.SZV_STAZH_SVEDENIA
SET orders = s.orders
FROM #orders_sved s WHERE s.link = dbo.SZV_STAZH_SVEDENIA.link  and s.link_up = dbo.SZV_STAZH_SVEDENIA.link_up AND s.link_pers  = dbo.SZV_STAZH_SVEDENIA.link_pers

--------------------------------------------------------------------------
--exec dbo.SZV_ST_NUMERATOR @link











GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017] TO PUBLIC

GO

GO

-- --


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_NUMERATOR3]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_ST_NUMERATOR3]

GO

CREATE   PROCEDURE [dbo].SZV_ST_NUMERATOR3 (@link int)
AS

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @Year INT, @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @INSUR1 NUMERIC(20,2), @GAIN1 NUMERIC(20,2)
SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END, @INSUR1 = ISNULL(INSUR1,0),  @GAIN1 = ISNULL(GAIN1,0) FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link

DECLARE @PeriodBegin datetime, @PeriodEnd datetime

SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--   .   1  2  
CREATE TABLE #SPIS (LINK INT)
INSERT INTO #SPIS(LINK)
Select DISTINCT SV.link  from dbo.SZV_STAZH_svedenia SV inner join dbo.szv_ST_stazh ST on ST.link_up = SV.link
	where SV.link_up = @link 
		and ( coalesce(osob_k1,'') <> ''
			or coalesce(osob_k2,'') <> ''
		)
--and SV.link not in (select tbl.link from #TBL tbl)

--     
CREATE TABLE #LGOT (LINK INT)
INSERT INTO #LGOT(LINK)
Select DISTINCT SV.link  from dbo.SZV_STAZH_svedenia SV inner join dbo.szv_ST_stazh ST on ST.link_up = SV.link
	where SV.link_up = @link 
		and ( coalesce(osob_usl,'') <> ''
			or coalesce(is_osnov,'') <> ''
			or coalesce(ud_osnov,'') <> ''
			or (@Year >= 2010 AND coalesce(ter_usl,'') <> '')
		)

/*   */
UPDATE dbo.SZV_STAZH_SVEDENIA SET ORDERS = 0 WHERE link_up = @link

DECLARE @MAXNUM int, @Forma tinyint
SET @MAXNUM = dbo.sa_get_option_by_code('SA_SZV_STAZH_OPT1')

IF COALESCE(@MAXNUM,0) <=0
	SET @MAXNUM = 9999

declare @nextOrd int, @pachNum int, @newForm tinyint, @oldForm tinyint
Set @pachNum = Coalesce((select numer from dbo.szv_STAZH_pachka where link = @link),0) 
Set @pachNum = (case when @pachNum = 0 then 1 else @pachNum end)
Set @pachNum = COALESCE(@pachNum,0) + (CASE WHEN COALESCE(dbo.sa_get_option_by_code('SA_SZV_STAZH_OPT3'),0) = 1 THEN 1 ELSE 0 END)

CREATE TABLE #ORDERS (ID INT, LINK INT, FORMA tinyint, KATEG tinyint, LGT tinyint, SPIS tinyint, ORD INT)
INSERT INTO #ORDERS (LINK, FORMA, KATEG, LGT, SPIS)
Select 
	S.link, forma = 1, 
	S.LINK_KATEG,
	LGT = 0 , --(CASE WHEN ISNULL(L.LINK,0) = 0 THEN 0 ELSE 1 END),
	SPIS = 0 -- (CASE WHEN ISNULL(P.LINK,0) = 0 THEN 0 ELSE 1 END)
from dbo.SZV_STAZH_SVEDENIA S
	--LEFT JOIN #LGOT L ON L.LINK = S.LINK     --         -    = 0
	--LEFT JOIN #SPIS P ON P.LINK = S.LINK	   --      
where link_up = @link
ORDER BY
	forma , 
	--(CASE WHEN ISNULL(L.LINK,0) = 0 THEN 0 ELSE 1 END),	
	--(CASE WHEN ISNULL(P.LINK,0) = 0 THEN 0 ELSE 1 END),
	dbo.ku_GetPersFIO(S.link_pers)


-- ,      
CREATE TABLE #ORDERS1 (ID1 INT IDENTITY(1,1), FORMA INT, KATEG INT, LGT INT, SPIS INT)

INSERT INTO #ORDERS1 (FORMA, KATEG, LGT, SPIS)
SELECT DISTINCT FORMA, KATEG, LGT, SPIS
FROM #ORDERS
ORDER BY FORMA, KATEG, LGT, SPIS		


UPDATE O
SET ID = ID1
FROM #ORDERS O INNER JOIN #ORDERS1 O1 ON O.FORMA = O1.FORMA AND O.KATEG = O1.KATEG AND O.LGT = O1.LGT AND O.SPIS = O1.SPIS


CREATE TABLE #ORDERS_N (ID INT, LINK INT, FORMA tinyint, KATEG tinyint, LGT tinyint, SPIS tinyint, ORD INT)
INSERT INTO #ORDERS_N (ID, LINK, FORMA, KATEG, LGT, SPIS, ORD)
SELECT ID, LINK, FORMA, KATEG, LGT, SPIS, ORD FROM #ORDERS ORDER BY ID

--   
DECLARE @ORD INT, @ID INT
SELECT @ORD = 0, @ID = 0

UPDATE #ORDERS_N
SET
	@ORD = CASE WHEN @ID <> ID THEN 1 ELSE @ORD + 1 END,
	ORD = @ORD,
	@ID = ID

--  
CREATE TABLE #ORDERS2 (ID1 INT IDENTITY(1,1), FORMA INT, KATEG INT, LGT INT, SPIS INT, PART INT )

INSERT INTO #ORDERS2 (FORMA, KATEG, LGT, SPIS, PART)	
SELECT DISTINCT FORMA, KATEG, LGT, SPIS, PART = CEILING(CAST(ord AS FLOAT) /@MAXNUM)
FROM #ORDERS_N
ORDER BY FORMA, KATEG, LGT, SPIS, CEILING(CAST(ord AS FLOAT) /@MAXNUM)



UPDATE O
SET ID = ID1
FROM #ORDERS_N O INNER JOIN #ORDERS2 O1 
	ON O.FORMA = O1.FORMA 
		AND O.KATEG = O1.KATEG
		AND O.LGT = O1.LGT 
		AND O.SPIS = O1.SPIS 
		AND CEILING(CAST(O.ord AS FLOAT) /@MAXNUM) = O1.PART


UPDATE S
Set 
	PACHKA = T.ID + @pachNum - 1,
	orders = (T.ord-1) % @MAXNUM + 1--,
from dbo.SZV_STAZH_SVEDENIA S inner join #ORDERS_N T on S.link = T.link
WHERE S.link_up = @link





GO


GRANT EXECUTE ON dbo.[SZV_ST_NUMERATOR3] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9810.sql

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_REP_VACATION_OR_TRAVEL_REESTR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_REP_VACATION_OR_TRAVEL_REESTR]

GO



CREATE PROCEDURE dbo.SA_REP_VACATION_OR_TRAVEL_REESTR ( @Type varchar(20), @DATE1 datetime, @DATE2 datetime, @DEP_LINK INT = NULL , @OPTION INT = 1) 
AS

DECLARE @SQL Nvarchar(4000)

IF @DEP_LINK IS NULL
	EXEC dbo.xd_whats_zb @DEP_LINK OUTPUT

SET @SQL =
N'
SELECT  
	TYPE = @Type,
	REF_TYP = D.type_link, 
	name_typ = D.type_name, 
	tab_numer = D.tab_num,
	NAME_EMPL = D.FIO, 
	D.number,
	D.[date], 
	perB = '+ isnull((case when @Type = 'VACATION' then ' D.period_begin' ELSE '''''' END),'') + ', 
	perE = '+ isnull((case when @Type = 'VACATION' then ' D.period_end' ELSE '''''' END),'') + ', 
	date1 = D.date_begin,
	date2 = D.date_end,
	isnull(''''+rtrim(C.NUMBER)+''  ''+convert(varchar(10),C.[DATE],104),'''') as [Calc],
	C.SUMMA,
	C.DAYS,
	C.HOURS 
FROM ' 
	+ RTRIM(@Type) + ' D '
	+ (case when @Type <> 'TRAVEL' then '
	LEFT JOIN (SELECT C0.REF_ARHE, C0.NUMBER, C0.[DATE], SUM(T.SUMMA) AS SUMMA, SUM(T.DAYS) AS DAYS, SUM(T.HOURS) AS HOURS
			FROM DOCUMENTS_ADD_FUR C0 INNER join SDOC_AVAC_TABLE1 T ON T.LINK_UP = C0.LINK
				GROUP BY C0.REF_ARHE, C0.NUMBER, C0.[DATE]) C ON C.REF_ARHE = D.link '
	else '
	LEFT JOIN (SELECT C0.REF_ARHE, C0.NUMBER, C0.[DATE], SUM(T.SUMMA) AS SUMMA, SUM(T.DAYS) AS DAYS, SUM(T.HOURS) AS HOURS
			FROM DOCUMENTS_CALC_TRAVEL C0 INNER join SDOC_AVAC_TABLE1 T ON T.LINK_UP = C0.LINK
				GROUP BY C0.REF_ARHE, C0.NUMBER, C0.[DATE]) C ON C.REF_ARHE = D.link '
	end) + '
WHERE
	D.dep_link = @DEP_LINK
	AND '
		+ 
		CASE @OPTION 
		WHEN 1 THEN
			' D.[date] BETWEEN dbo.DateBeginOfDay(@DATE1) AND dbo.DateEndOfDay(@DATE2) '
		WHEN 2 THEN
			' D.[date_begin] BETWEEN dbo.DateBeginOfDay(@DATE1) AND dbo.DateEndOfDay(@DATE2) '
		WHEN 3 THEN
			' D.[date_begin] <= dbo.DateEndOfDay(@DATE2) AND D.[date_end] >= dbo.DateBeginOfDay(@DATE1) '
		END	
	+ ' AND
	active = 1
ORDER BY
	D.type_link, D.tab_num, D.[date]  
'
print @SQL
EXEC SP_EXECUTESQL @SQL, N'@Type varchar(20), @DEP_LINK INT, @DATE1 datetime, @DATE2 datetime', 
		@Type=@Type, @DEP_LINK = @DEP_LINK, @DATE1 = @DATE1, @DATE2 = @DATE2

GO


GRANT EXECUTE ON dbo.[SA_REP_VACATION_OR_TRAVEL_REESTR] TO PUBLIC

GO

GO

-- FIX >>  : 9781.sql

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSA_RPSV_PERS_UCH_SZV]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSA_RPSV_PERS_UCH_SZV]

GO

--   EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20171001', '20171231', 74578, 0 , 3161
CREATE PROCEDURE dbo.RSA_RPSV_PERS_UCH_SZV
	@dDate1 DATETIME,
	@dDate2 DATETIME,
	@LINK_DEP int = NULL,
	@REP TINYINT = 0, 
	@VARILSF INT = null
AS BEGIN


	declare @DEP_LINK int
	exec dbo.xd_whats_zb @DEP_LINK output

	SET @DEP_LINK = COALESCE(@LINK_DEP,@DEP_LINK)

   DECLARE @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

	SELECT 
		@nYEAR = YEAR(@dDATE1),
		@nMONTH1 = MONTH(@dDATE1),
		@nMONTH2 = MONTH(@dDATE1)+1,
		@nMONTH3 = MONTH(@dDATE1)+2

	DECLARE @ATR_PERS_UCH INT
	DECLARE @ATR_likvid INT
	DECLARE @NUM_KOR  INT 
	SET @ATR_PERS_UCH  = (SELECT DBO.RN_GET_ATR_VALUE(@VARILSF, 'REPORTS_ATR_PERS_UCH'))
	SET @ATR_likvid  = CASE WHEN (SELECT DBO.RN_GET_ATR_VALUE(@VARILSF, 'REPORTS_ATR_LIKVID')) = '' THEN 0 ELSE 1 END 
	SET @NUM_KOR  = (SELECT [version] FROM REPORT_SAVED_FORMS AS rsf WHERE Link_Saved_Form = @VARILSF)

	DECLARE  @Period_Number TINYINT, @Begin_Date DATETIME, @End_Date DATETIME
	SELECT
		@Period_Number = Period_Number,
		@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
		@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date)))
	FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @VARILSF

--************************************************************
	--       
	--    
--***********************************************************

	create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int , REF_PHYS_PERS INT , link_empl int, link_vkr INT  , FACE_GROUP TINYINT, I TINYINT, E TINYINT, INO TINYINT, TDOG INT , SP VARCHAR(4) , KATEG TINYINT)
	-----     ,  , ,           13%, 
	--	  PERSON_CZ  - 0 ..        .
	SELECT DISTINCT PERS_LINK = p.link , p.RESIDENT ,  
					PERSON_CZ =  CASE WHEN ltrim(rtrim(c.name)) LIKE ('%%') THEN 
									 (case when (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
											or (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
											OR (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
											OR (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%') then 0 else 1 end) WHEN ltrim(rtrim(c.name)) LIKE ('% %') THEN  2 ELSE 0 end
	
	INTO #PERS_INO
	FROM person p
	INNER JOIN  citizenship  c ON c.link = p.CITIZ_LINK  AND (ltrim(rtrim(c.name)) LIKE ('%%') OR  ltrim(rtrim(c.name)) LIKE ('% %'))

	Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS , link_empl, FACE_GROUP, I, E, INO, TDOG , SP, KATEG)
	Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS,
		link_empl  = null, 
		( CASE WHEN P.RESIDENT = 0 THEN 3
			   WHEN YEAR(birthdate)<= 1966 THEN 1
			   WHEN YEAR(birthdate)>= 1967 THEN 2 END ) AS FACE_GROUP,
		1,---   dbo.is_invalid(REF_PHYS_PERS,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH_BASE,@nYEAR))),
		F.ENVD,
		IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		TDOG = 1,
		SP = isnull(left(s4.code,4),''),
		KATEG
	from dbo.SA_ESN_VIEW(@nYEAR, @nMONTH3, @DEP_LINK, 0) S
		inner join PERSON P on S.REF_PHYS_PERS = P.link
		inner join dbo.SAL_SFIN F on F.LINK = S.LINK_VKR
		LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = S.SPECO  AND s4.spr_code = 'SPO_USL_TRUDA'
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND (o.PERSON_CZ <> 0 AND o.RESIDENT <> 1)
	WHERE  WAY_CALC not in (5)
	
	UPDATE s
	SET  link_empl = ( SELECT top 1 link FROM  dbo.sd_empl sd WHERE  sd.pers_link = s.REF_PHYS_PERS AND  dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR) BETWEEN sd.DATE_begin AND isnull(sd.DATE_end,'20991231')  )
	from #SPR_ESN s 


	--  
	INSERT INTO #SPR_ESN
		([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E, INO, TDOG, KATEG)
	SELECT
		MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK,
		( CASE WHEN P.RESIDENT = 0  THEN 3
			   WHEN YEAR(birthdate)<= 1966 THEN 1
			   WHEN YEAR(birthdate)>= 1967 THEN 2 END) AS FACE_GROUP ,
		1,---   dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))),
		F.ENVD,
		IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		TDOG = 2,
		KATEG = 	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))) = 2
					THEN 3
					ELSE
					(CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END )
		        	END 
		
	FROM
		DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
		inner join PERSON P on GT.PERS_LINK = P.link
		inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND (o.PERSON_CZ <> 0 AND o.RESIDENT <> 1)
	WHERE
		FLAG_JC = 1
		AND GT.WAY_CALC  not in (5)
		AND YEAR(G.[DATE]) = @nYEAR
		AND MONTH(G.[DATE]) <= @nMONTH3
		AND LINK_DEP = @DEP_LINK


	DELETE FROM #SPR_ESN
	WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS <= @dDate1)
		

	Declare @StBase2 table (link int)
	Insert into @StBase2 (link)
	select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 6)

	--   
	SELECT
		GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, F.ENVD, SUMMA_BASE = sum(GT.SUMMA_BASE)
	INTO #DGH_FAKT_BASE
	FROM
		dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
		INNER JOIN dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
	WHERE
		FLAG_JC = 1
		AND GT.WAY_CALC  = 6
		AND YEAR(G.[DATE]) = @nYEAR
		AND MONTH(G.[DATE]) <= @nMONTH3
		AND LINK_DEP = @DEP_LINK
	GROUP BY
		GT.PERS_LINK, MONTH(G.[DATE]), F.ENVD

	SELECT  PERS_LINK, MONTH_BASE, SUMMA_BASE = SUM(SUMMA_BASE)
	INTO #DGH_FAKT_BASE1
	FROM #DGH_FAKT_BASE
	GROUP BY PERS_LINK, MONTH_BASE

	DECLARE @LINK_EKR213 INT
	SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

	DECLARE @ESN_213 INT --      213 
	SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')

	------
	CREATE TABLE #CALCULATE_JURNAL (LINK_PAYS INT, PERIOD_BEGIN DATETIME, LINK_DOC INT, PERS_LINK INT, LINK_VKR INT, LINK_EKR INT, LINK_EMPL INT, SUMMA NUMERIC(18,2), WAY_CALC TINYINT , SPECO int)
	INSERT INTO #CALCULATE_JURNAL (LINK_PAYS, PERIOD_BEGIN, LINK_DOC, PERS_LINK, LINK_VKR, LINK_EKR, LINK_EMPL, SUMMA,way_calc , SPECO)
	SELECT CJ.LINK_PAYS, CJ.PERIOD_BEGIN, CJ.LINK_DOC, CJ.PERS_LINK, CJ.LINK_VKR, cj.LINK_EKR, CJ.LINK_EMPL, SUMMA = SUM(CJ.SUMMA), p.way_calc , SPECO
	FROM dbo.CALCULATE_JURNAL CJ INNER JOIN dbo.PAYS P ON  CJ.LINK_PAYS = p.link
	WHERE
		Year(period_begin) = @nYEAR
		and Month(period_begin) <= @nMONTH3
		and CJ.LINK_DEP = @DEP_LINK
	GROUP BY
		cj.LINK_PAYS, cj.PERIOD_BEGIN, cj.LINK_DOC, cj.PERS_LINK, cj.LINK_VKR, cj.LINK_EKR, cj.LINK_EMPL, P.WAY_CALC,cj.SPECO


	DELETE FROM #CALCULATE_JURNAL 
	WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = (SELECT e.PERS_LINK FROM empl e WHERE e.link = LINK_EMPL  )  and K.CHECK_SZV = 0  AND DATE_PENS <= @dDate1)


	------	      
	CREATE TABLE #PERS_INV (PERS_LINK INT)
	--SELECT DISTINCT PERS_LINK
	--INTO #PERS_INV
	--FROM dbo.PERS_INVALID I
	--WHERE COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate


	------	            
	SELECT DISTINCT sd.LINK, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,'')
	INTO #EMPL_DT
	FROM DBO.KU_EMPL_PLACING SD
		left JOIN (select * from STAFF WHERE dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR)) BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD  AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR )) BETWEEN S.DATE_BEGIN AND S.DATE_END
		LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD  AND s4.spr_code = 'SPO_USL_TRUDA'
		WHERE
			(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL)


	--  #SALARY_SUM2
	CREATE TABLE #SALARY_SUM_DATA (PERS_LINK INT,LINK_EMPL INT ,T_DOG INT , PERIOD_BEGIN DATETIME, SUMMA_ALL NUMERIC(18,2), SUMMA_NO NUMERIC(18,2), SUMMA_ALL_I NUMERIC(18,2), SUMMA_NO_I NUMERIC(18,2), SUMMA_ALL_E NUMERIC(18,2), SUMMA_NO_E NUMERIC(18,2), INV TINYINT , INO TINYINT,
			SUMMA_ALL_INO NUMERIC(18,2), SUMMA_NO_INO NUMERIC(18,2)
			/*,SUMMA_ALL_D1 NUMERIC(18,2)*/, SUMMA_NO_D1 NUMERIC(18,2)/*, SUMMA_ALL_D2 NUMERIC(18,2)*/, SUMMA_NO_D2 NUMERIC(18,2),
		SUM_NO_D1_O4 NUMERIC(18,2) ,SUM_NO_D1_B34 NUMERIC(18,2) ,SUM_NO_D1_B33 NUMERIC(18,2),SUM_NO_D1_B32 NUMERIC(18,2), SUM_NO_D1_B31 NUMERIC(18,2),
			SUM_NO_D2_O4 NUMERIC(18,2) ,SUM_NO_D2_B34 NUMERIC(18,2) ,SUM_NO_D2_B33 NUMERIC(18,2),SUM_NO_D2_B32 NUMERIC(18,2), SUM_NO_D2_B31 NUMERIC(18,2), sack CHAR(1) DEFAULT ''
			)
	--


	INSERT INTO #SALARY_SUM_DATA (PERS_LINK,LINK_EMPL,T_DOG, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO , 
				SUMMA_ALL_INO , SUMMA_NO_INO
			/*,SUMMA_ALL_D1*/, SUMMA_NO_D1/*, SUMMA_ALL_D2*/, SUMMA_NO_D2,SUM_NO_D1_O4,SUM_NO_D1_B34,SUM_NO_D1_B33, SUM_NO_D1_B32, SUM_NO_D1_B31,
			SUM_NO_D2_O4,SUM_NO_D2_B34,SUM_NO_D2_B33, SUM_NO_D2_B32, SUM_NO_D2_B31, sack)
	select
		E.PERS_LINK,
		CJ.LINK_EMPL,
		T_DOG  = 1 ,
		CJ.PERIOD_BEGIN,
		SUMMA_ALL = SUM(SUMMA),
		SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
		SUMMA_ALL_I = 0,
		SUMMA_NO_I = 0,
		SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
		SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 AND (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) THEN SUMMA ELSE 0 END),
		INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		
		SUMMA_ALL_INO = 0,
		SUMMA_NO_INO = 0,
		--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D1 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 1 AND isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),

		----SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D2 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 2 and  isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='4'  THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.1' THEN SUMMA ELSE 0 END),	
		SUM_NO_D2_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='4' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.1' THEN SUMMA ELSE 0 END),
		sack = ''--CASE WHEN isnull(e.DATE_END,'') BETWEEN dbo.DateENDOfMonth(@dDate1) AND @dDate2 THEN (case when isnull(e.sack,0) = 0 THEN '' ELSE CONVERT( char(1),e.sack ) end ) ELSE '' END 
	from
		#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
		INNER JOIN DBO.sd_EMPL E ON E.LINK = CJ.LINK_EMPL
		LEFT JOIN @StBase2 B ON B.LINK = cj.LINK_PAYS
		LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = E.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
		LEFT JOIN #EMPL_DT ED ON ED.link = CJ.LINK_EMPL
	where 	
		P.[OBJECT] = 1
	GROUP BY
		E.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN , O.pers_LINK,CJ.LINK_EMPL--, e.DATE_END --, e.sack

	INSERT INTO #SALARY_SUM_DATA (PERS_LINK,LINK_EMPL,T_DOG, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO , 
				SUMMA_ALL_INO , SUMMA_NO_INO
			/*,SUMMA_ALL_D1*/, SUMMA_NO_D1/*, SUMMA_ALL_D2*/, SUMMA_NO_D2,SUM_NO_D1_O4,SUM_NO_D1_B34,SUM_NO_D1_B33, SUM_NO_D1_B32, SUM_NO_D1_B31,
			SUM_NO_D2_O4,SUM_NO_D2_B34,SUM_NO_D2_B33, SUM_NO_D2_B32, SUM_NO_D2_B31, sack)
	select
		s.ref_phys_pers,
		s.LINK_EMPL,
		T_DOG  = 1 ,
		dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR),
		SUMMA_ALL = SUM(SUMMA),
		SUMMA_NO = 0, --     
		SUMMA_ALL_I = 0,
		SUMMA_NO_I = 0,
		SUMMA_ALL_E = 0,
		SUMMA_NO_E = 0,
		INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		
		SUMMA_ALL_INO = 0,
		SUMMA_NO_INO = 0,
		--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D1 =0,

		----SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D2 = 0,
		SUM_NO_D1_O4 = 0,
		SUM_NO_D1_B34 = 0,
		SUM_NO_D1_B33 = 0,
		SUM_NO_D1_B32 = 0,
		SUM_NO_D1_B31 = 0,	
		SUM_NO_D2_O4 = 0,
		SUM_NO_D2_B34 = 0,
		SUM_NO_D2_B33 = 0,
		SUM_NO_D2_B32 = 0,
		SUM_NO_D2_B31 = 0,
		sack = ''--CASE WHEN isnull(e.DATE_END,'') BETWEEN dbo.DateENDOfMonth(@dDate1) AND @dDate2 THEN (case when isnull(e.sack,0) = 0 THEN '' ELSE CONVERT( char(1),e.sack ) end ) ELSE '' END 
	from
		#SPR_ESN s
		INNER JOIN DBO.sd_EMPL E ON E.LINK = s.LINK_EMPL
		LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = E.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
		LEFT JOIN #EMPL_DT ED ON ED.link = s.LINK_EMPL
	WHERE  NOT EXISTS( SELECT  link_empl FROM #SALARY_SUM_DATA AS ss WHERE ss.PERS_LINK = s.REF_PHYS_PERS AND ss.PERIOD_BEGIN = dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR))
		  AND   dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR) BETWEEN e.DATE_begin AND isnull(e.DATE_END,'21991231')
	GROUP BY
		s.ref_phys_pers, E.PERS_LINK, I.PERS_LINK , s.[MONTH_BASE] , O.pers_LINK,s.LINK_EMPL--, e.DATE_END --, e.sack
	



	--
	INSERT INTO #SALARY_SUM_DATA (PERS_LINK,  T_DOG, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO,SUMMA_ALL_INO,SUMMA_NO_INO
			--,SUMMA_ALL_D1, SUMMA_NO_D1, SUMMA_ALL_D2, SUMMA_NO_D2
			)
	select
		CJ.PERS_LINK,
		T_DOG = 2,
		CJ.PERIOD_BEGIN,
		SUMMA_ALL = SUM(SUMMA),
		SUMMA_NO = SUM(SUMMA) - ISNULL((SELECT SUM(B1.SUMMA_BASE) FROM #DGH_FAKT_BASE1 B1 WHERE B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)),0), --     
		SUMMA_ALL_I = 0,
		SUMMA_NO_I = 0,
		SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
		SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END)  - ISNULL((SELECT SUM(B.SUMMA_BASE) FROM #DGH_FAKT_BASE B WHERE B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1),0),
		INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		SUMMA_ALL_INO = 0,
		SUMMA_NO_INO = 0
		--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
		--SUMMA_NO_D1 = 0,

		--SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
		--SUMMA_NO_D2 = 0
			
	from
		#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
		INNER JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
		--     
	--	LEFT JOIN #DGH_FAKT_BASE B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1
		--   
	--	LEFT JOIN #DGH_FAKT_BASE1 B1 ON B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
		LEFT JOIN #PERS_INV I ON I.PERS_LINK = CJ.PERS_LINK
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = CJ.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
	where 	
		P.[OBJECT] = 1
	GROUP BY
		CJ.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN, P1.RESIDENT, p1.birthdate , O.pers_LINK



	----    ,      
	--UPDATE D SET
	--	SUMMA_ALL_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL ELSE 0 END),
	--	SUMMA_NO_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO ELSE 0 END),
	--	SUMMA_ALL_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL_E ELSE 0 END),
	--	SUMMA_NO_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO_E ELSE 0 END)
	--FROM #SALARY_SUM_DATA D
	--WHERE INV = 1 --    -  	

	--    ,      
	UPDATE D SET
		SUMMA_ALL_INO = (CASE when D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_ALL ELSE 0 END),
		SUMMA_NO_INO = (CASE WHEN D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_NO ELSE 0 END)
	FROM #SALARY_SUM_DATA D
	WHERE INO = 1 --  -  	


-----------
DECLARE @PREDEL NUMERIC(18,2)
SET @PREDEL = ISNULL((SELECT MIN(PREDEL) FROM dbo.DICTIONARY_RANGE_PF WHERE WAY_CALC = 6 AND TARIF = 1 AND [DATE] >= dbo.ConvertDMY2Date(1,1,YEAR(@dDate1))),0)
-----------

	--   
	SELECT
		PERS_LINK,
		--MON = Month(PERIOD_BEGIN),
		T_DOG = MIN(T_DOG),
		SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO),
		SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I),
		SUMMA_ALL_E = SUM(SUMMA_ALL_E), SUMMA_NO_E = SUM(SUMMA_NO_E),
		SUMMA_ALL_INO = SUM(SUMMA_ALL_INO), SUMMA_NO_INO = SUM(SUMMA_NO_INO),
		SUMMA_ALL_DO_I = (CASE WHEN SUM(SUMMA_ALL_I) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL_I) - SUM(SUMMA_NO_I)) END ),
		SUMMA_ALL_DO = (CASE WHEN SUM(SUMMA_ALL) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL) - SUM(SUMMA_NO)) END ),
		SUMMA_ALL_AFTER = (CASE WHEN SUM(SUMMA_ALL - SUMMA_ALL_I - SUMMA_NO - SUMMA_NO_I)  > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END ),
		SUMMA_ALL_AFTER_I = (CASE WHEN SUM(SUMMA_ALL_I) > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END )
		,BASE_DOG = SUM(CASE WHEN T_DOG = 2 THEN SUMMA_ALL - SUMMA_NO ELSE 0 END),
		SUMMA_NO_D1 = SUM(SUMMA_NO_D1), SUMMA_NO_D2 = SUM(SUMMA_NO_D2),
		SUM_NO_D1_O4  = SUM(SUM_NO_D1_O4), SUM_NO_D1_B34 = SUM(SUM_NO_D1_B34),
		SUM_NO_D1_B33 = SUM(SUM_NO_D1_B33), SUM_NO_D1_B32 = SUM(SUM_NO_D1_B32), SUM_NO_D1_B31 = SUM(SUM_NO_D1_B31),
		SUM_NO_D2_O4  = SUM(SUM_NO_D2_O4), SUM_NO_D2_B34 = SUM(SUM_NO_D2_B34),
		SUM_NO_D2_B33 = SUM(SUM_NO_D2_B33), SUM_NO_D2_B32 = SUM(SUM_NO_D2_B32), SUM_NO_D2_B31 = SUM(SUM_NO_D2_B31) /*,
		SACK = MAX(SACK)*/
	INTO #SALARY_SUM2
	FROM #SALARY_SUM_DATA WHERE month(PERIOD_BEGIN)BETWEEN @nMONTH1 AND @nMONTH3
	GROUP BY
		PERS_LINK
		

	------    
	--
	--,        
	DECLARE @LIMIT NUMERIC(18,2)

	SELECT
		@LIMIT  = MIN(S.PREDEL)
	FROM
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
	WHERE
		tarif =1
		and
		[DATE] =  (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0
		
	SET @LIMIT = ISNULL(@LIMIT,0)


	--,        
	DECLARE @LIMIT_OMS NUMERIC(18,2)

	SELECT @LIMIT_OMS = MAX(S.PREDEL)
	FROM
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
	WHERE
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0
		
	SET @LIMIT_OMS = ISNULL(@LIMIT_OMS,0)


	--  ,        (%)
	--   
	--    2014         ,      " 1967"
	DECLARE
		@PERCENT NUMERIC(18,2),
		--    2014  
		-- @PERCENT_N NUMERIC(18,2)  --
		@PERCENT_OMS NUMERIC(18,2), @IPERCENT_OMS NUMERIC(18,2)
		
	SELECT
		@PERCENT = S.PERCENT3
	FROM
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
	WHERE
		predel = @LIMIT
		and tarif =1
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT3 > 0
		
	SET @PERCENT = ISNULL(@PERCENT,0)	


	--
	SELECT @PERCENT_OMS = S.PERCENT1
	FROM
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
	WHERE
		predel = @LIMIT_OMS
		and tarif =1
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0

	--
	SELECT @IPERCENT_OMS = S.PERCENT1
	FROM
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
	WHERE
		predel = @LIMIT_OMS
		and tarif =3
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0	

	SET @PERCENT_OMS = ISNULL(@PERCENT_OMS,0)	
	SET @IPERCENT_OMS = ISNULL(@IPERCENT_OMS,0)

	--  
	---  
	DECLARE @IPERCENT NUMERIC(28,2)
	SELECT @IPERCENT = S.PERCENT3
	FROM
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
	WHERE
		predel = @LIMIT
		and tarif = 3
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0
	SET @IPERCENT = ISNULL(@IPERCENT,0)		


	SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1 FROM #SPR_ESN WHERE WAY_CALC = 6 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END  FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS

	SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
	INTO #SPR_ESN2
	FROM
		#SPR_ESN1 T INNER JOIN dbo.months_ex(@dDate1, @dDate2) M ON 1=1
		LEFT JOIN #SPR_ESN1 T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
		LEFT JOIN #SPR_ESN1 T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
		

		
--************************************************************
	--     (****)
--***********************************************************

	--   
	DECLARE @ROUND_TYPE tinyint, @ROUND_LEN tinyint
	Set @ROUND_TYPE = dbo.sa_get_option_by_code('SA_SZV4_OPT2')
	Set @ROUND_LEN = (case when @ROUND_TYPE <= 1 then 2 else 0 end)
	Set @ROUND_TYPE = (case when @ROUND_TYPE = 3 then 1 else 0 end)

	--  
	DECLARE @IT_ROUND_TYPE tinyint
	Set @IT_ROUND_TYPE = dbo.sa_get_option_by_code('SA_SZV4_OPT5')
	
	/*SELECT DISTINCT PERS_LINK = p.link , p.RESIDENT ,  PERSON_CZ =  CASE WHEN ltrim(rtrim(c.name)) LIKE ('%%') THEN  1 WHEN ltrim(rtrim(c.name)) LIKE ('% %') THEN  2 ELSE 0 end
	INTO #PERS_INO
	FROM person p
	INNER JOIN  citizenship  c ON c.link = p.CITIZ_LINK  AND (ltrim(rtrim(c.name)) LIKE ('%%') OR  ltrim(rtrim(c.name)) LIKE ('% %'))
	*/
	-----  

		
	SELECT 	 
		[YEAR] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @nYEAR ELSE NULL END ,0),
		[CODE] = CASE WHEN ss.INV = 1 then '' ELSE  
												(CASE WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 2 THEN ''
												WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 0 THEN ''
												ELSE '' END) 
							end ,
		[PER] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @Period_Number ELSE NULL END ,0),
		[PER10] = ISNULL(CASE WHEN @nYEAR = 2013 THEN @Period_Number ELSE NULL END ,0),
		[TYPE] = '1' /*        */,
		[PER_EDT] = 0 /*    */,
		[YEAR_EDT] = 0 /*     */,
		[NGROUP] = 100 /*  -  */,
		[PFNUMBER] = p.INSUR_NUM,
		[T_DOG] = 1,
		link_FACE = ss.PERS_LINK,
		EMPL_LINK = SE.LINK,
		NUM = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY SS.T_DOG),
		[FM]=p.FM,
		[IM]=p.IM,
		[OT] = p.OT,
		[ADDRESS] = (SELECT dbo.GetAddressByKladr(P.ADR_OFIC_LINK)),
		[MON] = month(ss.PERIOD_BEGIN),
		[INC] = ss.SUMMA_ALL,
		[B_BEF] = ((select sum(summa_base) - sum(ded_m) - sum(inv_m) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND WAY_CALC = 6 AND I = 1 AND TDOG = SS.T_DOG  )/(SELECT COUNT(link_empl) FROM #salary_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND month(PERIOD_BEGIN) = month(ss.period_begin) AND T_DOG = SS.T_DOG )   ),
		[B_AFT] = CASE WHEN ss.INV = 1 	THEN (CASE WHEN
													(CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL_I) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG )) 
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND month_base <= month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG ),0) ))
													) > @limit
													THEN 
													(CONVERT(numeric(18,2),(SELECT CONVERT(numeric(18,2),sum(SUMMA_ALL_I) - sum(SUMMA_NO_I)) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN AND T_DOG = SS.T_DOG ) )
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) - @limit 
													ELSE 
													0 END) 
											ELSE
												(CASE WHEN 
													( CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL) - sum(SUMMA_ALL_I) - SUM(SUMMA_NO) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG))
													- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = ss.PERS_LINK AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) > @limit 
												THEN @limit
												ELSE 
													0
												END) 
											END			
										
											 
		,
		[INC_T1] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 10  AND TDOG = SS.T_DOG),0),
		[INC_T2] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 11  AND TDOG = SS.T_DOG),0),
		[INSUR] = isnull((select sum(summa) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 6 AND i = case when ss.inv= 0 THEN 1 ELSE 2 END  AND TDOG = SS.T_DOG ),0), --     . 
		/*[INSUR1] = COALESCE(S.INSUR,0), --     . 
		[GAIN] = COALESCE(S.GAIN,0), --     . 
		[GAIN1] = COALESCE(S.DOP,0), --     . 
		*/[DOP] = COALESCE((SELECT ISNULL(dt.dop,0) FROM #empl_dt dt WHERE dt.link = se.link ),0) ,
		--[ID_EX] = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY ,ss.pers_link),
		[DATE_BEGIN] = ss.PERIOD_BEGIN,
		[DATE_END] = dbo.DateENDOfMonth(ss.PERIOD_BEGIN), /*
		dper_vn_m = coalesce(s.dper_vn_m,0),
		dper_vn_d = coalesce(s.dper_vn_d,0),
		dper_oz_m = coalesce(s.dper_oz_m,0),
		dper_oz_d = coalesce(s.dper_oz_d,0),
		[TU_CODE] = f_ter_usl,
		[OS_CODE] = f_osob_usl,
		osob_usl,*/
		OSOB_SPO = (SELECT ISNULL(dt.spo,'') FROM #empl_dt dt WHERE dt.link = se.link ) ,
		/*[EX_CODE] = is_osnov,
		f_is_dop,
		[P_CODE] = ud_osnov,
		f_ud_dop,
		DATE_DOC = [date],*/
		dep_PFNUM = (select PFNUMBER from dbo.departments where link=@DEP_LINK)
	INTO #SZV_ALL
	FROM #SALARY_SUM_DATA AS ss 
	INNER JOIN dbo.PERSON AS p ON ss.PERS_LINK = p.LINK
	inner JOIN dbo.sd_empl AS se ON   se.link = ss.link_empl /*AND se.sack = 0*/ AND  se.DATE_BEGIN <= @dDate2   and (isnull(se.date_END,'20991231')  >= @dDate1 OR year(isnull(se.date_END,'20991231'))  = year(@dDate1))
	where  (CASE WHEN  exists(SELECT TOP 1  status_empl  from dbo.sd_empl AS s1 where  s1.link = se.link  /*AND se.sack = 0*/ AND  s1.DATE_BEGIN <= @dDate2    and (isnull(se.date_END,'20991231')  >= @dDate1 OR year(isnull(se.date_END,'20991231'))  = year(@dDate1)) and s1.status_empl = 1)
		THEN 1 ELSE (SELECT TOP 1  status_empl  from dbo.sd_empl AS s1 where s1.link = se.link  /*AND se.sack = 0*/ AND  s1.DATE_BEGIN <= @dDate2   and (isnull(se.date_END,'20991231')  >= @dDate1 OR year(isnull(se.date_END,'20991231'))  = year(@dDate1)))  
			      END ) = se.statuS_empl  
	ORDER BY se.FM, se.IM,se.OT,se.DATE_BEGIN, ss.PERIOD_BEGIN
		


    ---    



	INSERT INTO #SZV_ALL
	SELECT 	 
		[YEAR] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @nYEAR ELSE NULL END ,0),
		[CODE] = CASE WHEN ss.INV = 1 then '' ELSE  
							(CASE WHEN t_dog = 1 THEN  
												(CASE WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 2 THEN ''
												WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 0 THEN ''
												ELSE '' END) 
								 WHEN  t_dog = 2 then ''  END )
							end ,
		[PER] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @Period_Number ELSE NULL END ,0),
		[PER10] = ISNULL(CASE WHEN @nYEAR = 2013 THEN @Period_Number ELSE NULL END ,0),
		[TYPE] = '1' /*        */,
		[PER_EDT] = 0 /*    */,
		[YEAR_EDT] = 0 /*     */,
		[NGROUP] = 100 /*  -  */,
		[PFNUMBER] = p.INSUR_NUM,
		[T_DOG] = SS.T_DOG,
		link_FACE = ss.PERS_LINK,
		EMPL_LINK = '',
		NUM = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY SS.T_DOG),
		[FM]=p.FM,
		[IM]=p.IM,
		[OT] = p.OT,
		[ADDRESS] = (SELECT dbo.GetAddressByKladr(P.ADR_OFIC_LINK)),
		[MON] = month(ss.PERIOD_BEGIN),
		[INC] = ss.SUMMA_ALL,
		[B_BEF] = ((select sum(summa_base) - sum(ded_m) - sum(inv_m) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND WAY_CALC = 6 AND I = 1 AND TDOG = SS.T_DOG  )   ),
		[B_AFT] = CASE WHEN ss.INV = 1 	THEN (CASE WHEN
													(CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL_I) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG )) 
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND month_base <= month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG ),0) ))
													) > @limit
													THEN 
													(CONVERT(numeric(18,2),(SELECT CONVERT(numeric(18,2),sum(SUMMA_ALL_I) - sum(SUMMA_NO_I)) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN AND T_DOG = SS.T_DOG ) )
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) - @limit 
													ELSE 
													0 END) 
											ELSE
												(CASE WHEN 
													( CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL) - sum(SUMMA_ALL_I) - SUM(SUMMA_NO) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG))
													- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = ss.PERS_LINK AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) > @limit 
												THEN  @limit
												ELSE 
													0
												END)
											END			
										
											 
		,
		[INC_T1] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 10  AND TDOG = SS.T_DOG),0),
		[INC_T2] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 11  AND TDOG = SS.T_DOG),0),
		[INSUR] = isnull((select sum(summa) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 6 AND i = case when ss.inv= 0 THEN 1 ELSE 2 END  AND TDOG = SS.T_DOG ),0), --     . 
		/*[INSUR1] = COALESCE(S.INSUR,0), --     . 
		[GAIN] = COALESCE(S.GAIN,0), --     . 
		[GAIN1] = COALESCE(S.DOP,0), --     . 
		*/[DOP] = 0 ,
		--[ID_EX] = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY ,ss.pers_link),
		[DATE_BEGIN] = ss.PERIOD_BEGIN,
		[DATE_END] = dbo.DateENDOfMonth(ss.PERIOD_BEGIN), /*
		dper_vn_m = coalesce(s.dper_vn_m,0),
		dper_vn_d = coalesce(s.dper_vn_d,0),
		dper_oz_m = coalesce(s.dper_oz_m,0),
		dper_oz_d = coalesce(s.dper_oz_d,0),
		[TU_CODE] = f_ter_usl,
		[OS_CODE] = f_osob_usl,
		osob_usl,*/
		OSOB_SPO = '',
		/*[EX_CODE] = is_osnov,
		f_is_dop,
		[P_CODE] = ud_osnov,
		f_ud_dop,
		DATE_DOC = [date],*/
		dep_PFNUM = (select PFNUMBER from dbo.departments where link=@DEP_LINK)
	
	FROM #SALARY_SUM_DATA AS ss 
	INNER JOIN dbo.PERSON AS p ON ss.PERS_LINK = p.LINK
	WHERE /*NOT EXISTS (SELECT link_FACE FROM #SZV_ALL WHERE link_FACE = p.link and ss.PERIOD_BEGIN between date_begin and date_end )AND*/ ss.T_DOG = 2
	ORDER BY SS.T_DOG , p.FM, p.IM,p.OT --,se.DATE_BEGIN


SELECT * INTO #SZV_SUM FROM	 
(SELECT 
	RN = ROW_NUMBER() OVER (PARTITION BY LINK_FACE, CODE, T_DOG, [TYPE], PER_EDT, NGROUP/*, ID_EX*/ ORDER BY T_DOG),
	CODE,
	LINK_FACE,
	[PFNUMBER],
	T_DOG,
	INC_M1= convert(numeric(18,2),0) ,
	B_BEF_M1= convert(numeric(18,2),0) ,
	B_AFT_M1= convert(numeric(18,2),0) ,
	INC_M2 = convert(numeric(18,2),0) ,
	B_BEF_M2 = convert(numeric(18,2),0),
	B_AFT_M2 = convert(numeric(18,2),0),
	INC_M3 = convert(numeric(18,2),0),
	B_BEF_M3 = convert(numeric(18,2),0),
	B_AFT_M3 = convert(numeric(18,2),0),		
	per,
	[year],
	[TYPE],
	per_edt,
	year_edt,
	INSUR  = convert(numeric(18,2),0)
FROM 
	#SZV_ALL 
	GROUP BY CODE ,LINK_FACE,[PFNUMBER],T_DOG,per,[year],[TYPE],per_edt,year_edt,NGROUP, num
) T WHERE RN = 1





UPDATE s 	 
set INC_M1 = (SELECT isnull(SUM(s1.INC),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND LTRIM(RTRIM(s1.link_face)) = LTRIM(RTRIM(s.link_face)) AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG)) AND  ltrim(rtrim(s1.mon)) = ltrim(rtrim(@nMONTH1))),
	B_BEF_M1 = (SELECT isnull(SUM(s1.B_BEF),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH1),
	B_AFT_M1 = (SELECT isnull(SUM(s1.B_AFT),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH1),
	INC_M2 = (SELECT isnull(SUM(s1.INC),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH2),
	B_BEF_M2 = (SELECT isnull(SUM(s1.B_BEF),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH2),
	B_AFT_M2 = (SELECT isnull(SUM(s1.B_AFT),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH2),
	INC_M3 = (SELECT isnull(SUM(s1.INC),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH3),
	B_BEF_M3 = (SELECT isnull(SUM(s1.B_BEF),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH3),
	B_AFT_M3 = (SELECT isnull(SUM(s1.B_AFT),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND s1.mon = @nMONTH3),
	INSUR = (select isnull(sum(s1.INSUR),0) from #SZV_ALL s1 WHERE s1.link_face = s.link_face AND  LTRIM(RTRIM(s1.code))= LTRIM(RTRIM(s.code))  AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND rtrim(ltrim(s1.per)) = ltrim(rtrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon IN( @nMONTH1,@nMONTH2,@nMONTH3 ) GROUP BY s1.code, s1.link_face,s1.T_DOG ,s1.per ,s1.[year])
FROM 	
#SZV_SUM s 


----------------------------

SELECT 
	LINK_FACE, [PFNUMBER], CODE, per, [year], [TYPE], per_edt, year_edt, INSUR = SUM(INSUR)
INTO 
	#SZV_PC		
FROM 
	(
	SELECT 
		A.LINK_FACE, A.[PFNUMBER], A.CODE, A.T_DOG, A.per, A.[year], A.[TYPE], A.per_edt, A.year_edt, 
		INSUR = CASE WHEN MIN(B_AFT_M1) + MIN(B_AFT_M2) + MIN(B_AFT_M3) <> 0 THEN
					MIN(B_BEF_M1 * PERCENT1 / 100) + MIN(B_BEF_M2 * PERCENT1 / 100) + MIN(B_BEF_M3 * PERCENT1 / 100)
				ELSE
					MIN(INSUR)
				END				
	FROM 
		#SZV_SUM A left JOIN dbo.SA_PFR_KATEG B ON A.CODE = B.CODE AND [year] BETWEEN YBEG AND YEND
			left JOIN 
			(
				SELECT 
					TARIF, PERCENT1
				FROM 
					dbo.DICTIONARY_RANGE_PF D
				WHERE
					WAY_CALC = 6 AND PREDEL = @PREDEL
					AND [DATE] = (SELECT TOP 1 [DATE] FROM dbo.DICTIONARY_RANGE_PF D1 WHERE D1.TARIF = D.TARIF AND ISNULL(D1.SPECO,0) = ISNULL(D.SPECO,0) AND WAY_CALC = 6 AND DATE <= @dDate1 ORDER BY [DATE] DESC) 
			) C ON C.TARIF = B.LINK2 
	GROUP BY
		A.LINK_FACE, A.[PFNUMBER], A.CODE, A.T_DOG, A.per, A.[year], A.[TYPE], A.per_edt, A.year_edt
	) T
GROUP BY
	LINK_FACE, [PFNUMBER], CODE, per, [year], [TYPE], per_edt, year_edt

-----------------------------------------------------
	IF @REP = 0 
	BEGIN 
		
		declare @modify_date DATETIME
		SELECT  @modify_date = modify_date
		FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @VARILSF
	--PARTITION BY SNILS, [TYPE] ORDER BY CODE_STR
	--(ORDER BY a.[PFNUMBER]))
		SELECT
			CODE = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY  a.[TYPE],a.[T_DOG], a.[FM],a.[IM],a.[OT],p.INN )),
			COL1 = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY a.[TYPE],a.[T_DOG], a.[FM],a.[IM],a.[OT],p.INN )),
			COL2 = @NUM_KOR, 
			COL3 = CASE WHEN @ATR_likvid = 0 then (CASE a.per when 1 THEN 21 
															  WHEN 2 THEN 31
															  WHEN 3 THEN 33
															  WHEN 4 THEN 34 END )
											 ELSE (CASE a.per when 1 THEN 51 
															  WHEN 2 THEN 52
															  WHEN 3 THEN 53
															  WHEN 4 THEN 90 END )			  
											END ,
			COL4 = a.year,
			COL5 = CONVERT(VARCHAR(10), @modify_date, 104),
			COL6 = p.INN ,
			COL7 = CONVERT(VARCHAR(14),a.[PFNUMBER]),
			COL8 = CONVERT(varchar(100),a.[FM]),
			COL9 = CONVERT(varchar(100),a.[IM]),
			COL10 = CONVERT(varchar(100),a.[OT]),
			COL11 = CONVERT(VARCHAR(10),p.BIRTHDATE, 104),
			COL12 = CASE WHEN (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) IN (1,2) 
							THEN '643' 
							ELSE (CASE WHEN p.DOC_WHOM = 'MDA' THEN '498' 
										WHEN p.DOC_WHOM LIKE '%%' THEN '398'
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '804'
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '051' 
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '112' 
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '417'
										ELSE '000' end) end ,
			COL13 = p.SEX,
			col14 = (SELECT code FROM FACE_DOCUMENT WHERE LINK = p.DOC_LINK ) ,
			col15 = substring(REPLACE(REPLACE(ltrim(rtrim(p.DOC_NUM)),'.',''),'/',''),1, len(REPLACE(ltrim(RTRIM(p.DOC_NUM)), right(LTRIM(RTRIM(p.DOC_NUM)),6) , ''))),
			col16 = right(REPLACE(ltrim(rtrim(p.DOC_NUM)),' ','') , 6),
			col17 = 1, --(CASE WHEN (SELECT SUM(summa) FROM  #SPR_ESN WHERE MONTH_BASE BETWEEN 1 AND month(@dDate2) AND WAY_CALC = 6 AND REF_PHYS_PERS = a.LINK_FACE) <> 0 THEN 1 ELSE 2 end),
			col18 = 1,--(CASE WHEN (SELECT SUM(summa) FROM  #SPR_ESN WHERE MONTH_BASE BETWEEN 1 AND month(@dDate2) AND WAY_CALC IN(3,4) AND REF_PHYS_PERS = a.LINK_FACE) <> 0 THEN 1 ELSE 2 end),
			col19 = 1,--(CASE WHEN (SELECT SUM(summa) FROM  #SPR_ESN WHERE MONTH_BASE BETWEEN 1 AND month(@dDate2) AND WAY_CALC = 2 AND REF_PHYS_PERS = a.LINK_FACE) <> 0 THEN 1 ELSE 2 end),
			COL20 = [TYPE],
			COL21 = [NGROUP],
			COL22 = a.LINK_FACE,
			col23 = per_EDT
		FROM
			#SZV_ALL a
		inner join dbo.PERSON p on p.LINK = a.LINK_FACE   AND a.mon BETWEEN month(@dDate1) AND month(@dDate2)
		GROUP BY a.[TYPE],a.[T_DOG],a.[FM],a.[IM],a.[OT],a.[PFNUMBER],a.LINK_FACE, a.[NGROUP]/*, a.[FNAME],a.DATE_DOC*/,a.per_EDT, 
		a.PER, a.[YEAR], p.inn,p.BIRTHDATE,p.CITIZ_LINK,p.SEX,p.DOC_LINK,p.DOC_NUM,p.DOC_WHOM ,p.BIRTHPLACE
		ORDER BY
			a.[TYPE],a.[T_DOG],a.[FM],a.[IM],a.[OT],a.per_EDT

	END



	IF @REP = 1 
	BEGIN 	

	/*****************************************************/
	--     
	/*****************************************************/
		create table #TMP1(CODE int,col1 int,   COL2 varchar(14), COL3 varchar(100), COL4 varchar (4), COL5 varchar (4), COL6 numeric(18,2), COL7 numeric(18,2), 
						   COL8 numeric(18,2), COL9 numeric(18,2),COL10 numeric(18,2) , COL11 varchar(1), COL12 varchar(4), COL13 varchar(15), COL14 varchar(1), COL15 varchar(4),
						   COL16 int, COL17 varchar(100), COL18 varchar(100), COL19 varchar(100), COL20 int, COL21 int, COL22 numeric(18,2), COL23 numeric(18,2), COL24 numeric(18,2),
						   COL25 int, COL26 int, COL27 numeric(18,2), COL28 numeric(18,2), COL29 numeric(18,2),
						   COL30 int, COL31 int, COL32 numeric(18,2), COL33 numeric(18,2), COL34 numeric(18,2),
						   COL35 int, COL36 int, COL37 numeric(18,2), COL38 numeric(18,2), COL39 numeric(18,2),
						   COL40 int, COL41 int, COL42 numeric(18,2), COL43 numeric(18,2), COL44 numeric(18,2), COL45 char(1) DEFAULT '' )
		
		
		/***************************************/
		--            
---------->>>>>>>>>>

-----------<<<<<<<<</*   ,  */
		
		DECLARE @nYEAR1_K INT, @nMONTH_1_K INT, @nMONTH_2_K INT, @nMONTH_3_K INT	
		select 
   		@nYEAR1_K = YEAR_EDT,
   		@nMONTH_1_K = /*case when YEAR_EDT  between '2011' and '2013' then (*/case  PER_EDT when 1 then  1 when 2 then  4 when 3 then  7 when 4 then  10 else 10 end/*)
					when  YEAR_EDT >= '2014'  then (case  PER_EDT when 3 then  1 when 6 then  4 when 9 then  7 else  10 end)
					else null end */
		from #SZV_ALL	
		where [TYPE] = 2
		and YEAR_EDT >=2014
							 
		select @nMONTH_2_K = @nMONTH_1_K+1,
				@nMONTH_3_K = @nMONTH_1_K +2	

		DECLARE @BYearDate_K	datetime , @EndYear_K datetime
		SET @BYearDate_K = dbo.DateBeginOfYear (@nYEAR1_K+'0101')
		Set @EndYear_K = dbo.DateEndOfYear(@BYearDate_K)


		DECLARE @PREDEL_K NUMERIC(18,2)
		SET @PREDEL_K = (SELECT TOP 1 PREDEL FROM DICTIONARY_RANGE WHERE TARIF = 1 AND YEAR([DATE]) =  @nYEAR1_K)

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20180101', '20180331', 74578,1 ,  3412

		/*******************   ********************/
		DECLARE @Cur1 CURSOR, @CODE varchar(4), @TYPE tinyint , @T_DOG tinyint, @PFNUMBER VARCHAR (14) , @FM VARCHAR(100),@IM VARCHAR(100),@OT VARCHAR(100),
		@LINK_FACE1 int , @CODE_old VARCHAR(4), @TYPE_OLD TINYINT, @nom_pp INT, @MON INT, @LINK_FACE INT , @EMPL_LINK INT 
		SET @LINK_FACE1 = 0
		set @CODE_old = '' 
		set @TYPE_OLD = 0
		set @nom_pp = 1
 
		SET @Cur1 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],LINK_FACE,EMPL_LINK, [PFNUMBER], [FM],[IM],[OT], MIN(MON) AS mon 
			FROM #SZV_ALL where [TYPE] = 1 AND mon BETWEEN month(@dDate1) AND month(@dDate2)  
			GROUP BY [FM],[IM],[OT],[PFNUMBER],LINK_FACE,EMPL_LINK,[TYPE],CODE 
			ORDER BY [FM],[IM],[OT],[PFNUMBER],LINK_FACE,EMPL_LINK, mon
		OPEN @Cur1
		FETCH NEXT FROM @Cur1 INTO  @CODE,@TYPE/*,@T_DOG*/,@LINK_FACE,@EMPL_LINK,@PFNUMBER,@FM,@IM,@OT, @MON
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN

				---        ( , , )
				IF (/*@T_DOG = 1 and */ @LINK_FACE <> @LINK_FACE1 ) 
				BEGIN
				
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19, COL45)
					SELECT CODE =  @nom_pp,
						   COL1 =  @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'400'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' THEN ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I ,0) END,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL 
										THEN @PREDEL
										ELSE 
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) - ISNULL(SS.BASE_DOG,0)
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											)
										END)	
									ELSE
										(CASE WHEN 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL 
										THEN @PREDEL
										ELSE 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0)  - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											- ISNULL(SS.BASE_DOG,0)
											) 
											- CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3) ),0) )  --      =   -    
											
										END) 
								 END,
						   COL8 = ISNULL(SS.BASE_DOG,0),
						   COL9 = CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL 
										THEN 
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) - @PREDEL 
										ELSE 
											0
										END)	
									ELSE
										 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3) ),0) )
					 
									 END,
						   COL10 =  (	 CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= @nmonth3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3))/*     */
						   								  )  
						   								  * (@PERCENT/100) ,0)) /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   							END 
						   						 ),	 
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT), 
						  -- COL44 = isnull([INSUR],0),
						   COL45 = '' --ISNULL([sack],'')
					FROM #SZV_PC s LEFT JOIN #SALARY_SUM2 ss ON ss.pers_link = s.link_face
					WHERE 
						code = @CODE and [TYPE] = @TYPE AND  S.LINK_FACE = @link_face



	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20180101', '20180331', 74578,1 ,  3412	
				/*	select row_number() over (order by PER_EDT) as ID , 
							[PER_EDT] as k_PER_EDT, 
							YEAR_EDT as k_YEAR_EDT, 
							INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum_r1 WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.[PER_EDT]  )  as k_INSUR, 
							GAIN - (SELECT SUM(SUM_NAK) FROM #tmp_pers_kor_sum_r1 WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.[PER_EDT] ) as k_GAIN, 
							PFNUMBER as k_PFNUMBER , 
							FM as k_FM 
					INTO #TMP01
					from  #SZV_ALL s
					WHERE  [TYPE] = 2 AND mon =1 and FM = @FM AND PFNUMBER = @PFNUMBER

					UPDATE #TMP1
					SET COL20 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=1),
						COL21 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1),
						COL22 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=1)  ELSE 0 END ),
						COL23 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=1) ELSE 0 END ),
						COL24 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=1) ELSE 0 END ), 
						COL25 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=2),
					    COL26 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2), 
					    COL27 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=2)  ELSE 0 END ), 
					    COL28 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=2) ELSE 0 END ), 
					    COL29 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=2) ELSE 0 END ),
					    COL30 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=3),
					    COL31 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3), 
					    COL32 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=3)  ELSE 0 END ), 
					    COL33 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=3) ELSE 0 END ), 
					    COL34 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=3) ELSE 0 END ),
					    COL35 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=4),
					    COL36 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4), 
					    COL37 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=4)  ELSE 0 END ), 
					    COL38 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=4) ELSE 0 END ), 
					    COL39 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=4) ELSE 0 END ),
					    COL40 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=5),
					    COL41 = (SELECT TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5), 
					    COL42 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=5)  ELSE 0 END ), 
					    COL43 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=5) ELSE 0 END ), 
					    COL44 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=5) ELSE 0 END )--,
					FROM #TMP1
					WHERE #TMP1.COL5 = @CODE 
						AND #TMP1.COL12 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), '') 
						AND #TMP1.COL2 = @PFNUMBER and #TMP1.COL17 = @FM and #TMP1.COL18 = @IM and #TMP1.COL19= @OT

					drop table #TMP01
				*/
					set @nom_pp = @nom_pp + 1

					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14,COL15, COL16,COL17, COL18 , COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(s.[PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'401'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
									--        ,      
						   COL6 = case when SUM(s.[INC_M1]) < 0
									   THEN 0
									   ELSE (CASE WHEN SUM(s.[INC_M2]) >= 0 
												THEN SUM(s.[INC_M1])
												ELSE SUM(s.[INC_M1]) - ABS(SUM(s.[INC_M2])) END)
												/*+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0 
																THEN ss.summa_all ELSE 0 END ) */
									   END ,
						   COL7 = CASE WHEN SUM(s.[B_BEF_M1])<0
										THEN 0
						   				ELSE 
						   					(CASE WHEN  SUM(s.[B_BEF_M2]) >= 0
													THEN (case when  SUM(s.[B_BEF_M1]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH1) <=0 THEN 0
														  ELSE SUM(s.[B_BEF_M1]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH1)
														  END  ) --      =   -    
													ELSE SUM(s.[B_BEF_M1]) - ABS(SUM(s.[B_BEF_M2])) 
													  END )
													 - SUM(CASE WHEN s.T_DOG = 2 THEN [B_BEF_M1] 
														   ELSE 
													 0 END)
													  /*+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0 
																THEN ss.summa_all ELSE 0 END ) */
																		
										END ,
						   COL8 = SUM(CASE WHEN s.T_DOG = 2 THEN [B_BEF_M1] 
										   ELSE /* (CASE WHEN  isnull(ss.summa_all,0)   <> 0 
												THEN ss.summa_all ELSE 0 END ) */
						             0 END),
						   COL9 = case when SUM([B_AFT_M1])>=0 
										THEN (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH1)
										ELSE SUM([B_AFT_M1]) END ,
						   COL10 =   CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 1)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   								 END )
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 4)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   									  ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   								 END )
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 7)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   									  ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   								 END )
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   			 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 10)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   									  ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   								 END )
						   						END 
						   					 ) END ,	 
						    --CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1 WHERE  I = 1 AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ), 
						   COL11 = ISNULL(s.[per],''), 
						   COL12 = ISNULL(s.[year],''), 
						   COL13 = ISNULL((case WHEN s.[TYPE] = 1 then '' when s.[TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),s.[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),s.[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s 
					LEFT outer JOIN #salary_sum_data  ss on ss.pers_link =   s.LINK_FACE /*and ss.t_dog = 2*/ and  month(ss.period_begin) = @nMonth1
					WHERE s.code = @CODE and s.[TYPE] = @TYPE and s.T_DOG = ss.T_DOG AND s.LINK_FACE = @link_face	
					GROUP BY s.[PFNUMBER], s.link_face,s.[per],s.[year],s.[TYPE],s.[per_edt],s.[year_edt]



				
					set @nom_pp = @nom_pp + 1

					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(s.[PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'402'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   	--        ,      
						   COL6 = case when SUM(s.[INC_M2]) < 0
									   THEN 0
									   ELSE (CASE WHEN SUM(s.[INC_M3]) >= 0 
												THEN SUM(s.[INC_M2])
												ELSE SUM(s.[INC_M2]) - ABS(SUM(s.[INC_M3])) END)
												/*+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0 
																THEN ss.summa_all ELSE 0 END )*/
																
									   END ,
						   COL7 = CASE WHEN SUM(s.[B_BEF_M2])<0
										THEN 0
						   				ELSE 
						   					(CASE WHEN  SUM(s.[B_BEF_M3]) >= 0
													THEN (case when  SUM(s.[B_BEF_M2]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH2) <=0 THEN 0
														  ELSE SUM(s.[B_BEF_M2]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH2)
														  END  )--      =   -    
													ELSE SUM(s.[B_BEF_M2]) - ABS(SUM(s.[B_BEF_M3])) END )
													- SUM(CASE WHEN s.T_DOG = 2 THEN [B_BEF_M2] 
														   ELSE 
													 0 END)
													/*+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0 
																THEN ss.summa_all ELSE 0 END )*/
										END ,
						   COL8 = SUM(CASE WHEN s.T_DOG = 2 THEN [B_BEF_M2] 
										   ELSE /* (CASE WHEN  isnull(ss.summa_all,0)   <> 0 
												THEN ss.summa_all ELSE 0 END ) */ 0
						              END),
						   COL9 = case when SUM([B_AFT_M2])>=0 
										THEN (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH2)
										ELSE SUM([B_AFT_M2]) END,
						   COL10 =   CASE WHEN s.[per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 2)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   										 END )
						   								   END) 		 
						   						END 
						   					 )
						   				WHEN s.[per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 5)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							ELSE
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   										 END )
						   								   END ) 		 						   								 
						   						END 
						   					 )
						   				WHEN s.[per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 8)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE	
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   										 END )	
						   								END ) 		 					   								
						   						END 
						   					 )
						   				WHEN s.[per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 11)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE	
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))) 
						   										 END )	
						   								END ) 		 					   		
						   							END 
						   					 ) END ,
						   COL11 = ISNULL(s.[per],''), 
						   COL12 = ISNULL(s.[year], ''), 
						   COL13 = ISNULL((case WHEN s.[TYPE] = 1 then '' when s.[TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),s.[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),s.[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s 
					LEFT JOIN #salary_sum_data  ss on ss.pers_link =   s.LINK_FACE and /*ss.t_dog = 2 and */ month(ss.period_begin) = @nMonth2 
					WHERE s.code = @CODE and s.[TYPE] = @TYPE AND s.LINK_FACE = @link_face	and ss.t_dog = s.t_dog
					GROUP BY s.[PFNUMBER], s.link_face,s.[per],s.[year],s.[TYPE],s.[per_edt],s.[year_edt]
	

			--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20180101', '20180331', 74578,1 ,  3412
			
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(s.[PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'403'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   --        ,        
						   COL6 = case when SUM(s.[INC_M3]) <= 0
									   THEN 0
									   ELSE SUM(s.[INC_M3])
									   END 
									   /*+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0 
																THEN ss.summa_all ELSE 0 END )*/,
						   COL7 = CASE WHEN SUM(s.[B_BEF_M3])<=0
										THEN 0
						   				ELSE 
											(case when  SUM(s.[B_BEF_M3]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH3) <=0 THEN 0
														  ELSE SUM(s.[B_BEF_M3]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH3)
														  END  ) --      =   -    
										END 
										- SUM(CASE WHEN s.T_DOG = 2 THEN [B_BEF_M3] 
														   ELSE 
													 0 END)
										/*+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0 
																THEN ss.summa_all ELSE 0 END )*/,

						   COL8 = SUM(CASE WHEN s.T_DOG = 2 THEN s.[B_BEF_M3] 
										   ELSE /* (CASE WHEN  isnull(ss.summa_all,0)   <> 0 
												THEN ss.summa_all ELSE 0 END ) */ 0
						              END),
						   COL9 = case when SUM([B_AFT_M3])>=0 
										THEN (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH3)
										ELSE SUM([B_AFT_M3]) END,
						   COL10 =   CASE WHEN s.[per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 3)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END) 	
						   						END 
						   					 )
						   				WHEN s.[per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 6)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END) 

						   						END 
						   					 )
						   				WHEN s.[per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 9)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END) 
						   						END 
						   					 )
						   				WHEN s.[per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 12)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   							  (case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END) 
						   						END 
						   					 ) END ,

						   COL11 = ISNULL(s.[per],''), 
						   COL12 = ISNULL(s.[year], ''), 
						   COL13 = ISNULL((case WHEN s.[TYPE] = 1 then '' when s.[TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),s.[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),s.[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s 
					LEFT JOIN #salary_sum_data  ss on ss.pers_link =   s.LINK_FACE and ss.t_dog = s.t_dog and  month(ss.period_begin) = @nMonth3
					WHERE s.code = @CODE and s.[TYPE] = @TYPE AND s.LINK_FACE = @link_face
					GROUP BY s.[PFNUMBER], s.link_face,s.[per],s.[year],s.[TYPE],s.[per_edt],s.[year_edt]

	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 1 ,  3239	
					
					set @nom_pp = @nom_pp + 1
				END
	
	

				---        (         )
				IF /*@T_DOG = 1 and*/  @LINK_FACE = @LINK_FACE1 and @CODE <> @CODE_old	and  @TYPE = @TYPE_OLD
				BEGIN 

					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19,COL45)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' then ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL- SS.SUMMA_ALL_I,0) end,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
									--  
									(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
									- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
									)
								ELSE
									--  
									( (ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0)) - (ISNULL(SS.SUMMA_NO,0) -  ISNULL(SS.SUMMA_NO_I,0))
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
									)
								END
								- -- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL
								ELSE
									0
								END,	
														
						   COL8 = ISNULL(SS.BASE_DOG,0),

						   COL9 = 
								-- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL
								ELSE
									0
								END,
						   COL10 = (	 CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= @nmonth3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3))/*     */
						   								  )  
						   								  * (@PERCENT/100) ,0)) /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   							END 
						   						 ),
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT),
						   COL45 = '' -- ISNULL(SACK,'')
					FROM 
						#SZV_PC s LEFT JOIN #SALARY_SUM2 ss ON ss.pers_link = s.link_face
					WHERE 
						code = @CODE and [TYPE] = @TYPE AND LINK_FACE = @link_face
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =   CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 1)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 4)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 7)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 10)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 ) END ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
						   
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =    CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 2)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 5)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 8)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 11)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 ) END ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =    CASE WHEN [per] = 1 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 3)/*     */
						   								  )  
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 2 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 6)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 3 THEN 
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 9)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 )
						   				WHEN [per] = 4 THEN 
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 12)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else 
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END 
						   					 ) END ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
				END						
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 1 ,  803
				---    '410','411','412','413' 
			
				if not exists (select * from #tmp1 
								where COl2 = @PFNUMBER 
								and COL13 = (case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end)
								and COL4 = '410' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER AND CODE != @CODE AND [TYPE] = 1) 
				begin 
							
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(@PFNUMBER,''), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((SELECT TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') , 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
				
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''), 
						 COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') , 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 		
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1		
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13, COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp, 
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') , 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = '', 
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1	
				
				end 

					set @LINK_FACE1 = @LINK_FACE
					set @CODE_old = @CODE
					set @TYPE_OLD = @TYPE
			END

			FETCH NEXT FROM @Cur1 INTO @CODE,@TYPE/*,@T_DOG*/,@LINK_FACE,@EMPL_LINK,@PFNUMBER,@FM,@IM,@OT, @MON
		END

		CLOSE @Cur1
		DEALLOCATE @Cur1

/*
		/*****************************************************/
		--    /
		/*****************************************************/
		DECLARE @Cur2 CURSOR , @PER_EDT1 INT, @PER_OLD INT
		set @pf_num1 = ''
		
		set @CODE_old = '' 
		set @TYPE_OLD = 0
		set @nom_pp = (SELECT MAX(CODE) FROM #TMP1 WHERE COL12= '') + 1 
		
		SET @Cur2 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], PER_EDT  FROM #SZV_ALL where /*T_DOG = 1 and*/ [TYPE] != 1 /*AND YEAR_EDT >=2014*/ GROUP BY [FM],[IM],[OT],[PFNUMBER],[TYPE],CODE/*, [T_DOG]*/, PER_EDT ORDER BY [FM],[IM],[OT],[PFNUMBER],[TYPE],CODE/*, [T_DOG]*/, PER_EDT
		OPEN @Cur2
		FETCH NEXT FROM @Cur2 INTO  @CODE,@TYPE,@PFNUMBER,@FM,@IM,@OT,@PER_EDT1
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				  
				---        ( , , )
				IF (/*@T_DOG = 1 and */ @PFNUMBER <> @pf_num1  OR ( @PFNUMBER = @pf_num1 AND  @PER_EDT1 <> @PER_OLD)) 
				BEGIN
					
				 					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19, COL45)
					SELECT CODE =  @nom_pp,
						   COL1 =  @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'400'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' THEN ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I,0) END,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K 
										THEN @PREDEL_K
										ELSE 
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											)
										END)	
									ELSE
										(CASE WHEN 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K 
										THEN @PREDEL_K
										ELSE 
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) 
										END) 
								 END,								 

						   COL8 = ISNULL(SS.BASE_DOG,0),

						   COL9 = CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K 
										THEN 
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0) 
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) - @PREDEL_K 
										ELSE 
											0
										END)	
									ELSE
										(CASE WHEN 
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K
										THEN 
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face 
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) - @PREDEL_K
										ELSE 
											0
										END) 
								 END,
						   COL10 = isnull([INSUR],0),												
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT),
						   
						   COL45 = ISNULL([SACK],'')
					FROM 
						#SZV_PC s LEFT JOIN #SALARY_SUM2_K ss ON ss.pers_link = s.link_face
					WHERE 
						code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER  AND PER_EDT = @PER_EDT1 
						
					

					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14,COL15, COL16,COL17, COL18 , COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'401'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE  code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]

			
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'402'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 2) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]

										
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'403'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 3) ,0) ) , 
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''), 
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
				END
					

		
				---        (         )
				IF /*@T_DOG = 1 and*/  @PFNUMBER = @pf_num1 and @CODE <> @CODE_old	and  @TYPE = @TYPE_OLD
				BEGIN 
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' then ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I,0) end,
						   COL7 = 
								CASE WHEN @CODE = '' THEN
									--  
									(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) 
									- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
									)
								ELSE
									--  
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
									)
								END
								- -- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL_K
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL_K
								ELSE
									0
								END,
													
						   COL8 = ISNULL(SS.BASE_DOG,0),
						   
						   COL9 = 
								-- 
								CASE WHEN 
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL_K
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0) 
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL_K
								ELSE
									0
								END,
						   COL10 = isnull([INSUR],0), 										
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM 
						#SZV_ALL s LEFT JOIN #SALARY_SUM2_K ss ON ss.pers_link = s.link_face
					WHERE 
						S.NUM = 1 AND code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER and FM = @FM					
					GROUP BY 
						[TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt],[INSUR],[INC_M1],[INC_M2],[INC_M3],[B_BEF_M1],[B_BEF_M2],[B_BEF_M3], [B_AFT_M1],[B_AFT_M2],[B_AFT_M3],SS.SUMMA_ALL_I, SS.SUMMA_NO, SS.SUMMA_NO_I, SS.SUMMA_NO_E
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM 
						#SZV_ALL s WHERE  code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER and per_edt = @per_edt1
					GROUP BY 
						[TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],s.link_face,[per],[year],[per_edt],[year_edt],[INSUR],[INC_M1],[INC_M2],[INC_M3],[B_BEF_M1],[B_BEF_M2],[B_BEF_M3], [B_AFT_M1],[B_AFT_M2],[B_AFT_M3]
					
					set @nom_pp = @nom_pp + 1
			
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 2) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_ALL s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER],s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
										
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0), 
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 3) ,0) ) ,
						   COL11 = ISNULL([per],''), 
						   COL12 = ISNULL([year], ''), 
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''), 
						   COL14 = ISNULL([per_edt], ''), 
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_ALL s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND  per_edt = @PER_EDT1
					GROUP BY [PFNUMBER] ,s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
										
					set @nom_pp = @nom_pp + 1
				END						

				---    '410','411','412','413' 
			
				if not exists (select * from #tmp1 
								where COL2 = @PFNUMBER 
								and COL12 = (case WHEN @TYPE = 2 then '' else ''end)
								and COL4 = '410' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER AND CODE != @CODE AND [TYPE] = 1) 
				begin 
						
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(@PFNUMBER,''), 
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						 COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''), 
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 		
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1		
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13, COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp, 
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''), 
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
						   
					set @nom_pp = @nom_pp + 1	
					--exec [dbo].RSA_RSV_1_PERS_UCH_SZV '20141001', '20141231', 74578 ,1,  2190
		
				end 
			
					set @pf_num1 = @PFNUMBER
					set @CODE_old = @CODE
					set @TYPE_OLD = @TYPE
					SET @PER_OLD = @PER_EDT1
			END

			FETCH NEXT FROM @Cur2 INTO @CODE,@TYPE/*,@T_DOG*/,@PFNUMBER,@FM,@IM,@OT, @PER_EDT1
		END

		CLOSE @Cur2
		DEALLOCATE @Cur2
*/       
		SELECT DISTINCT 
			CODE = ROW_NUMBER() OVER (ORDER BY CODE),
			COL1 = ROW_NUMBER() OVER (ORDER BY COL1),
			COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, 
			COL11, COL12, COL13, COL14, COL15, COL16, COL17, COL18, COL19, COL20, 
			COL21, COL22, COL23, COL24, COL25, COL26, COL27, COL28, COL29, COL30, 
			COL31, COL32, COL33, COL34, COL35, COL36, COL37, COL38, COL39, COL40, 
			COL41, COL42, COL43, COL44, COL45	
		FROM #TMP1 where col5 <> '' ORDER BY  CODE, COL15
		
	--drop table #SALARY_SUM2_K
	--drop table #SPR_ESN1_K			
	drop table #SPR_ESN
	DROP TABLE #SPR_ESN1
	DROP TABLE #SALARY_SUM_DATA
	drop table #SALARY_SUM2
	DROP TABLE #CALCULATE_JURNAL
	drop table #TMP1

	END  

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 1 ,  803

/*	IF @REP = 2 
	BEGIN 	
		/*   6.6    */
		/*            ,           
		*  ,     .     6.6 , 
		*      ()   6  ()   -6-1,  () -6-2,  () -6-4.
		*/
		/*   ,      */
	
		---    
			DECLARE @BYDateK	datetime , @nYEAR_K INT, @nMON1 INT, @nMON2 INT, @nMON3 INT
	

			select top 1 
			@BYDateK = (convert(varchar(4),YEAR_EDT)+'0101'),
			@nYEAR_K = YEAR_EDT,
			@nMON1 = (case  PER_EDT when 1 then  1 when 2 then  4 when 3 then  7 when 4 then  10 else 10 end)
			from #SZV_ALL WHERE [TYPE] = 2
			
			SELECT  @nMON2 = @nMON1 +1 , 	
					@nMON3 = @nMON1 +2 	
					
----------<<<<<<<<< #SPR_ESN     (  )

		/*    */
		SELECT year_edt = p.YEAR_EDT, 
				PER_EDT = p.PER_EDT, 
				link_dep = p.link_dep,
				link_pers = s.link_pers,
				Link_kateg = case when S.Link_kateg = 3 then 1 else S.Link_kateg  end ,
				pachka = s.pachka
		INTO #tmp_pers
		FROM 	dbo.SA_SZV4_PACHKA P 
				INNER JOIN dbo.SZV4_SVEDENIA S ON P.link = S.link_up 															
		where
			P.link in (select link from #DOCS WHERE vid_kor = 2)
			and P.proverka = 1
			and P.vid_kor > 1
			and p.link_dep = @DEP_LINK


		CREATE TABLE #tmp_pers_kor_sum (link INT  , [date] DATETIME, YEAR_degin INT , per INT , vid_kor int, link_dep INT , proverka INT  , CODE VARCHAR(5), link_pers INT , 
										sum_doh NUMERIC(18,2), sum_str NUMERIC(18,2), sum_nak NUMERIC(18,2),sum_dop NUMERIC(18,2) , pachka int) 
	
		DECLARE @Cur_R2 CURSOR, @link int ,@LINK_pers INT, @year_edt INT , @per_edt INT , @Link_kateg INT ,@pachka int
		SET @Cur_R2 = CURSOR FORWARD_ONLY

		FOR SELECT LINK_pers, year_edt, per_edt, Link_kateg ,pachka FROM #tmp_pers ORDER by link_pers

		OPEN @Cur_R2
		FETCH NEXT FROM @Cur_R2 INTO @LINK_pers, @year_edt, @per_edt , @link_kateg, @pachka
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				
					SET @link = 0
					
					SELECT @link =max(pp.link)
					FROM SA_SZV4_PACHKA pp 
					INNER JOIN dbo.SZV4_SVEDENIA Ss ON ss.link_up = pp.link  
					WHERE  pp.proverka = 1 AND pp.vid_kor = 1 
										  AND pp.link_dep = @DEP_LINK 
										  AND pp.year_begin =@year_edt  
										  AND pp.PER =@per_edt 
										  AND @LINK_pers = ss.link_pers
										  --AND @link_kateg = ss.link_kateg  
										  AND pp.date = (SELECT MAX(p1.[date]) FROM SA_SZV4_PACHKA p1 
																INNER JOIN dbo.SZV4_SVEDENIA S1 ON s1.link_up = p1.link  
																WHERE  pp.proverka = 1 AND p1.vid_kor = 1 
																					  AND p1.link_dep = @DEP_LINK 
																					  AND p1.year_begin =@year_edt  
																					  AND p1.PER =@per_edt 
																					  AND @LINK_pers = s1.link_pers
																					  /*AND @link_kateg = s1.link_kateg*/ )
					
					INSERT INTO #tmp_pers_kor_sum (link, [date], YEAR_degin, per, vid_kor, link_dep, proverka , CODE, link_pers, 
										sum_doh, sum_str, sum_nak,sum_dop, pachka) 
					SELECT pp.link, pp.[date], pp.YEAR_begin, pp.per, pp.vid_kor, pp.link_dep, pp.proverka, CODE = k.code, ss.link_pers, 
										ss.sum_doh, ss.sum_str, ss.sum_nak,ss.sum_dop , pachka = @pachka
					FROM SA_SZV4_PACHKA pp 
					INNER JOIN dbo.SZV4_SVEDENIA Ss ON ss.link_up = pp.link  
					INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = ss.LINK_KATEG AND pp.YEAR_begin BETWEEN YBEG AND YEND		
					WHERE pp.link = @link and pp.proverka = 1 
										 AND pp.vid_kor = 1 
										 AND pp.link_dep = @DEP_LINK 
										 AND pp.year_begin =@year_edt  
										 AND pp.PER =@per_edt 
										 AND ss.link_pers = @LINK_pers
										/* AND ss.link_kateg = @link_kateg*/
										  

			END

			FETCH NEXT FROM @Cur_R2 INTO @LINK_pers, @year_edt, @per_edt, @link_kateg, @pachka
		END

		CLOSE @Cur_R2
		DEALLOCATE @Cur_R2
--exec [dbo].RSA_RSV_1_PERS_UCH_SZV '20141001', '20141231', 74578 ,1,  2191


---------->>>>>>>>>>
		create table #TMP2(CODE int identity(1,1) ,col1 int,   COL2 tinyint, COL3 varchar(4), COL4 numeric(18,2), COL5 numeric(18,2), COL6 numeric(18,2), COL7 VARCHAR(14), COL8 INT)

		INSERT INTO #TMP2 (COL2, COL3, COL4, COL5, COL6, COL7)
		SELECT 
			   COL2 = /*case when YEAR_EDT between '2011' and '2013'  then (case*/ [PER_EDT]/* when 1 then 1 when 2 then 2 when 3 then 3 when 4 then 4 else 0 end)
							when YEAR_EDT = '2014' then (case [PER_EDT] when 1 then 3 when 2 then 6 when 3 then 9 when 4 then 0 else null end) end */, 
			   COL3 = CONVERT(VARCHAR(4),YEAR_EDT),
			   COL4 = (CASE WHEN YEAR_EDT = '2014' THEN INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.per_edt )  ELSE 0 END ),
			   COL5 = (CASE WHEN YEAR_EDT < '2014' THEN INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face  AND  per = s.per_edt )  ELSE 0 END ),
			   COL6 = (CASE WHEN YEAR_EDT < '2014' THEN GAIN - (SELECT SUM(SUM_NAK) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.per_edt )   ELSE 0 END ),
			   COL7 = CONVERT(VARCHAR(14),PFNUMBER)
		FROM #SZV_ALL s WHERE  [TYPE] = 2 AND id_ex =1 
		GROUP BY link_face, YEAR_EDT,  [PER_EDT] , INSUR , GAIN ,[FM],[IM],[OT], PFNUMBER 
		ORDER BY [FM],[IM],[OT],[PFNUMBER]
		
		UPDATE #TMP2 
			SET col1 = CODE , COL8 = CODE 

		
		SELECT * FROM #TMP2 ORDER BY CODE


		drop table #tmp_pers
		drop table #tmp_pers_kor_sum
		--DROP TABLE #SPR_ESN_K
		drop table #TMP2
		--GROUP BY [TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt]	
	

	
	END	
*/	
	IF @REP = 3 
	BEGIN 	
		/*   3.2.2           ,     , 
		*              ,    1, 2  2.1  58.3 
		*    24  2009 .  212- */

	/*****************************************************/
	--     
	/*****************************************************/

		DECLARE @BYear_Date	datetime
			SET @BYear_Date = dbo.DateBeginOfYear (@dDate1)

		/*UPDATE #SZV_ALL 
			SET [OSOB_SPO] =  SP 
			FROM #SPR_ESN   WHERE pf_num = #SZV_ALL.[PFNUMBER] AND WAY_CALC IN (10,11) AND MONTH_BASE = @nMONTH3  AND SUMMA_BASE <> 0 */    

		create table #TMP3(CODE int,col1 int,   COL2 varchar(100), COL3 varchar(4), COL4 varchar (4), COL5 numeric(18,2), COL6 numeric(18,2), COL7 VARCHAR(14), COL8 int, COL9 int, 
							COL10 VARCHAR(10), COL11 VARCHAR(10), COL12 VARCHAR(10),COL13 VARCHAR(30), COL14 VARCHAR(10), COL15 VARCHAR(100), COL16 VARCHAR(10),COL17 VARCHAR(100),
							COL18 VARCHAR(10), COL19 VARCHAR(10), COL20 VARCHAR(10),COL21 VARCHAR(30), COL22 VARCHAR(10), COL23 VARCHAR(100), COL24 VARCHAR(10), COL25 VARCHAR(100), 
							COL26 VARCHAR(10), COL27 VARCHAR(10), COL28 VARCHAR(10),COL29 VARCHAR(30), COL30 VARCHAR(10), COL31 VARCHAR(100), COL32 VARCHAR(10), COL33 VARCHAR(100),
							COL34 VARCHAR(10), COL35 VARCHAR(10), COL36 VARCHAR(10), COL37 VARCHAR(30), COL38 VARCHAR(10), COL39 VARCHAR(100), COL40 VARCHAR(10), COL41 VARCHAR(100), COL42 varchar(100), COL43 varchar(100), COL44 varchar(100),
							COL45 VARCHAR(300), COL46 VARCHAR(300))


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 3 , 370

		DECLARE @Cur3 CURSOR, @CODE1 varchar(4), @TYPE1 tinyint , @PFNUMBER1 VARCHAR (14) , @FM1 VARCHAR(100),@IM1 VARCHAR(100),@OT1 VARCHAR(100),
		@LINK_FACE11 INT ,@LINK_FACE01 int ,@TYPE_OLD1 TINYINT, @nom_pp1 INT, @OSOB_SPO VARCHAR(4), @OSOB_SPO_old VARCHAR(4),
		@DateM1B DATETIME, @DateM2B DATETIME, @DateM3B DATETIME, @DateM1E DATETIME, @dateM2E DATETIME, @dateM3E DATETIME
		
		set @Link_FACE11 = 0
		set @OSOB_SPO_old = NULL 
		set @TYPE_OLD1 = 0
		set @nom_pp1 = 1
	
		SELECT @DateM1B = @dDate1,
			   @DateM2B =  dbo.ConvertDMY2Date(1,month(@dDate1)+1,YEAR(@dDate1)), 	
			   @DateM3B =  dbo.ConvertDMY2Date(1,month(@dDate1)+2,YEAR(@dDate1)), 
			   @DateM1E =  dbo.DateEndOfMonth(@DateM1B),
			   @DateM2E =  dbo.DateEndOfMonth(@DateM2B), 	
			   @DateM3E =  @dDate2


		SET @Cur3 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],LINK_FACE,[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]  
			FROM #SZV_ALL 
			where [TYPE] = 1  AND ISNULL([OSOB_SPO],'') <> '' AND mon BETWEEN month(@dDate1) AND month(@dDate2) 
			GROUP BY [FM],[IM],[OT],LINK_FACE,[PFNUMBER],[TYPE],CODE,mon, [OSOB_SPO] 
			ORDER BY [FM],[IM],[OT],LINK_FACE,[PFNUMBER],[TYPE],CODE,mon, [OSOB_SPO]
		OPEN @Cur3
		FETCH NEXT FROM @Cur3 INTO  @CODE1,@TYPE1,@LINK_FACE01,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				SELECT @OSOB_SPO = ISNULL(@OSOB_SPO, '')
				select @OSOB_SPO_old = ISNULL(@OSOB_SPO_old, '')
				---        ( , , )
				
				IF @LINK_FACE01 <> @LINK_FACE11 
				BEGIN

					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42, COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'700'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL(  (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN e.MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL(  (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL(  ( sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END  ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   ,0)  
								  END,
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE], 
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM 
						#SZV_ALL s
						left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		AND  s.mon = e.MONTH_BASE					
					WHERE  
						s.code = @CODE1 and s.[TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO --AND s.MON = month(@DateM1B)
						AND  s.mon between 	@nMONTH1 AND @nMONTH3	
						AND  e.MONTH_BASE between @nMONTH1 AND @nMONTH3							   
					GROUP BY 
						[TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt]/*, INC_T1,INC_T2*/,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS 
----------------------------------------

-----------------------------------------------
					--                   -      
					UPDATE TMP3
					SET COL5 = (SELECT case when s.per = 1 THEN sum((CASE WHEN  mon = 1 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 1 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 2 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 2 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 3 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 3 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )		) 
											when s.per = 2 then sum((CASE WHEN  mon = 4 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 4 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 5 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 5 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 6 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 6 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END ) 		) 
											when s.per = 3 then sum((CASE WHEN  mon = 7 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 7 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 8 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 8 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 9 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 9 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )		) 
											when s.per = 4 then sum((CASE WHEN  mon = 10 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 10 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 11 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 11 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 11 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = 11 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )		)  end
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon between 	@nMONTH1 AND @nMONTH3
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '700' 			    


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170301', '20170630', 74578, 3 ,  3400

					SELECT  @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'701'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11)  THEN DED_M + INV_M  ELSE 0 END))   ,0),
						   COL6 = ISNULL( (sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11)  THEN SUMMA ELSE 0 END))  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.MON = month(@DateM1B)
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1,INC_T1,INC_T1,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS  
				
					UPDATE TMP3
					SET COL5 = (SELECT  sum((CASE WHEN  mon = month(@DateM1E) AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = month(@DateM1E) AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																	) 
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon = month(@DateM1E)
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '701' 

			

					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'702'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   ,0),
						   COL6 = ISNULL( (sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.MON =month(@DateM2B)
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1,INC_T1,INC_T1,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS  

					UPDATE TMP3
					SET COL5 = (SELECT  sum((CASE WHEN  mon = month(@DateM2E) AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = month(@DateM2E) AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																	) 
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon = month(@DateM2E)
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '702' 
			
					set @nom_pp1 = @nom_pp1 + 1

					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'703'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL(( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.MON = month(@DateM3B)
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1,INC_T1,INC_T1,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS  


				
					UPDATE TMP3
					SET COL5 = (SELECT  sum((CASE WHEN  mon = month(@DateM3E) AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1 
																		 WHEN  mon = month(@DateM3E) AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																	) 
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon = month(@DateM3E)
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '703' 


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 74578, 3 ,  3400						
					set @nom_pp1 = @nom_pp1 + 1
				
				END
		
					
		/*		---        (         )
				IF @PFNUMBER1 = @pf_num11 and @OSOB_SPO <> @OSOB_SPO_old
				BEGIN 
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) ) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
								  END,
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
					
					set @nom_pp1 = @nom_pp1 + 1
				
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
				
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL  s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 	
				
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
				
					set @nom_pp1 = @nom_pp1 + 1
				END						
			*/	---    '410','411','412','413' 
 	
			/*	if not exists (select * from #tmp3 
								where COL7 = @PFNUMBER1 
								and COL9 = @TYPE1
								and COL4 = '710' ) 
					AND NOT EXISTS (
						SELECT * FROM #SZV_ALL 
						WHERE PFNUMBER = @PFNUMBER1 
							AND ISNULL(OSOB_SPO,'') != ISNULL(@OSOB_SPO,'') 
							AND [TYPE] = 1
						) 
				begin 
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT 
						   CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
			
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
			
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						 COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)

					set @nom_pp1 = @nom_pp1 + 1		
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
	
					set @nom_pp1 = @nom_pp1 + 1	
				end 
				*/
					select	row_number() over (order by DATE_BEGIN) as ID ,
							FM1 = [FM]  ,
							IM1 = [IM],
							OT1 = [OT],
							PFNUMBER1 = [PFNUMBER], 
							T_DOG1= T_DOG,
							TYPE1 = [TYPE], 
							DATE_BEGIN1 = [DATE_BEGIN], 
							DATE_END1 = (CASE WHEN [DATE_END]> @dDate2 THEN @dDate2 ELSE [DATE_END] end),
							link_face1 = link_face 
					into #TMP03
					FROM #SZV_ALL  WHERE  mon IS NOT NULL AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN) and [TYPE] = @TYPE1 AND LINK_FACE =@LINK_FACE01 and fm = @FM1 and T_DOG = 1
					GROUP BY [FM],[IM],[OT],LINK_FACE,[PFNUMBER], T_DOG,[TYPE], [DATE_BEGIN], [DATE_END]
					ORDER BY  [FM],[IM],[OT],LINK_FACE,[PFNUMBER], T_DOG,[TYPE]
			
	--SELECT * FROM #TMP03
	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 0 ,  356	
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 3 ,  803
					UPDATE #TMP3
					set COL10 = (SELECT distinct convert(varchar(10),DATE_BEGIN1,104 ) FROM #TMP03 where ID=1 and FM1= @FM1),
						COL11 = (SELECT distinct convert(varchar(10),DATE_END1,104 ) FROM #TMP03 where ID=1 and FM1= @FM1),
						COL12 = NULL,
						COL13 = NULL,
						COL14 = NULL, 
						COL15 = NULL,
					    COL16 = NULL, 
					    COL17 = NULL, 
					    COL18 = NULL, 
					    COL19 = NULL,
					    COL20 = NULL,
					    COL21 = NULL,
						COL22 = NULL, 
						COL23 = NULL,
					    COL24 = NULL, 
					    COL25 = NULL,
					    COL26 = NULL, 
					    COL27 = NULL,
					    COL28 = NULL,
					    COL29 = NULL,
						COL30 = NULL, 
						COL31 = NULL,
					    COL32 = NULL, 
					    COL33 = NULL,
					    COL34 = NULL, 
					    COL35 = NULL,
					    COL36 = NULL,
					    COL37 = NULL,
						COL38 = NULL, 
						COL39 = NULL,
					    COL40 = NULL, 
					    COL41 = NULL,
					    
					    COL45 = NULL, 
					    COL46 = NULL
					    

					from #TMP3	
					WHERE #TMP3.COL9 = @TYPE1 
					and #TMP3.COL8 = @LINK_FACE01 AND #TMP3.COL3 = '700' /*and #TMP3.CODE =  @nom_pp1*/


					drop table #TMP03				


				
				 
					set @LINK_FACE11 = @LINK_FACE01
					set @OSOB_SPO_old = @OSOB_SPO
					set @TYPE_OLD1 = @TYPE1
					
			
			END

			FETCH NEXT FROM @Cur3 INTO @CODE1,@TYPE1,@LINK_FACE01,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		END

		CLOSE @Cur3
		DEALLOCATE @Cur3
		
		
		
		
	/*	/*****************************************************/
		--    /
		/*****************************************************/
		--create table #TMP1(CODE int,col1 int,   COL2 varchar(14), COL3 varchar(100), COL4 varchar (4), COL5 varchar (4), COL6 numeric(18,2), COL7 numeric(18,2), COL8 numeric(18,2), COL9 numeric(18,2), COL10 varchar(1), COL11 varchar(4), COL12 varchar(15), COL13 varchar(1), COL14 varchar(4),COL15 int)
	

		DECLARE @Cur4 CURSOR
		set @pf_num11 = ''
		set @OSOB_SPO_old = ''  
		set @TYPE_OLD1 = 0
		set @nom_pp1 = (SELECT MAX(CODE) FROM #TMP3 WHERE COL9 = 1) + 1 
		
			
		SET @Cur4 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]  FROM #SZV_ALL where /*T_DOG = 1 and */[TYPE] != 1 /*and year_edt >=2014*/  GROUP BY [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]ORDER BY [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]
		OPEN @Cur4
		FETCH NEXT FROM @Cur4 INTO  @CODE1,@TYPE1,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				
				SELECT @OSOB_SPO = ISNULL(@OSOB_SPO, '')
				select @OSOB_SPO_old = ISNULL(@OSOB_SPO_old, '')	
				---        ( , , )
				IF (@PFNUMBER1 <> @pf_num11 ) 
				BEGIN
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'700'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
								  END,

						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3 , date_end,s.OSOB_SPO,E.SP, e.PF_NUM 
					

					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'701'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 10 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end ,s.OSOB_SPO,E.SP, e.PF_NUM 	
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'702'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'703'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt]	,INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 		
					
					set @nom_pp1 = @nom_pp1 + 1
				END
					
				
				---        (         )
				IF @PFNUMBER1 = @pf_num11 and @OSOB_SPO <> @OSOB_SPO_old
				BEGIN 
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) 
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) ) 
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))    
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)  
								  END,						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 	
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 		
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 			
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM  		
					
					set @nom_pp1 = @nom_pp1 + 1
				END						

				---    '710','711','712','713' 
			
				if not exists (select * from #tmp3 
								where COL7 = @PFNUMBER1 
								and COL9 = @TYPE1
								and COL4 = '710' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') != @OSOB_SPO AND [TYPE] = 2) 
				begin 
						
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1		
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1	
				
				end 


					select	row_number() over (order by DATE_BEGIN) as ID ,
							FM1 = [FM]  ,
							IM1 = [IM],
							OT1 = [OT],
							PFNUMBER1 = [PFNUMBER], 
							T_DOG1= T_DOG,
							TYPE1 = [TYPE], 
							DATE_BEGIN1 = [DATE_BEGIN], 
							DATE_END1 = (CASE WHEN [DATE_END] > @dDate2 THEN @dDate2 ELSE  [DATE_END] END )  , 
							TU_CODE1 = [TU_CODE], 
							OS_CODE1 = [OS_CODE], 
							EX_CODE1 = [EX_CODE], 
							f_is_dop1 = [f_is_dop], 
							P_CODE1 = [P_CODE], 
							f_ud_dop1 = [f_ud_dop] 
					into #TMP04
					FROM #SZV_ALL  WHERE  id_ex IS NOT NULL /*AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN)*/ and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 and fm = @FM1 --and T_DOG = 1
					GROUP BY [FM],[IM],[OT],[PFNUMBER], T_DOG,[TYPE], [DATE_BEGIN], [DATE_END] , [TU_CODE], [OS_CODE], [EX_CODE], [f_is_dop], [P_CODE], [f_ud_dop]
					ORDER BY  [FM],[IM],[OT],[PFNUMBER], T_DOG,[TYPE]
				
				

					UPDATE #TMP3
					set COL10 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL11 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL12 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1) ,
						COL13 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL14 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1), 
						COL15 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=1 and FM1= @FM1),
					    COL16 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=1 and FM1= @FM1), 
					    COL17 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=1 and FM1= @FM1), 
					    COL18 = (SELECT distinct convert(varchar(10),DATE_BEGIN1 , 104 ) FROM #TMP04 where ID=2 and FM1= @FM1), 
					    COL19 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL20 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL21 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
						COL22 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1), 
						COL23 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL24 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=2 and FM1= @FM1), 
					    COL25 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL26 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=3 and FM1= @FM1), 
					    COL27 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL28 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL29 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
						COL30 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1), 
						COL31 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL32 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=3 and FM1= @FM1), 
					    COL33 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL34 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=4 and FM1= @FM1), 
					    COL35 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL36 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL37 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
						COL38 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1), 
						COL39 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL40 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=4 and FM1= @FM1), 
					    COL41 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=4 and FM1= @FM1),
						
					    COL45 = CONVERT(VARCHAR(300),ISNULL((SELECT distinct isnull(convert(varchar(10),DATE_BEGIN1,104 ),' ') 
																	  + ',' + isnull(convert(varchar(10),DATE_END1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),TU_CODE1 ),' ') 
																	  + ',' + isnull(convert(varchar(30),OS_CODE1 ),' ') 
																		+ ','  + isnull(convert(varchar(10),EX_CODE1 ),' ')
																	 + ','  + isnull(convert(varchar(100),f_is_dop1 ),' ')
																	 + ','  + isnull(convert(varchar(10),P_CODE1) ,' ')
																	 + ','  + isnull(convert(varchar(100),f_ud_dop1),' ')			
																	 + ','  
					                                         FROM #TMP04 where ID=5 and FM1= @FM1),' ')), 
					    COL46 = CONVERT(VARCHAR(300),ISNULL((SELECT distinct isnull(convert(varchar(10),DATE_BEGIN1,104 ),' ') 
																	  + ',' + isnull(convert(varchar(10),DATE_END1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),TU_CODE1 ), ' ') 
																	  + ',' + isnull(convert(varchar(30),OS_CODE1 ),' ') 
																		+ ','  + isnull(convert(varchar(10),EX_CODE1 ),' ')
																	 + ','  + isnull(convert(varchar(100),f_is_dop1 ),' ')
																	 + ','  + isnull(convert(varchar(10),P_CODE1) ,' ')
																	 + ','  + isnull(convert(varchar(100),f_ud_dop1),' ')
																	 + ','  			
															 FROM #TMP04 where ID=6 and FM1= @FM1),' '))
				
					
					from #TMP3	
					WHERE #TMP3.COL9 = @TYPE1 
					and #TMP3.COL7 = @PFNUMBER1 and  #TMP3.COL3 = '700'

				
					drop table #TMP04	


					set @pf_num11 = @PFNUMBER1
					set @OSOB_SPO_old = @OSOB_SPO
					set @TYPE_OLD1 = @TYPE1
					
			END

			FETCH NEXT FROM @Cur4 INTO @CODE1,@TYPE1,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		END

		CLOSE @Cur4
		DEALLOCATE @Cur4
	*/
	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 3 ,  803
		
		SELECT DISTINCT 
			CODE = ROW_NUMBER() OVER (ORDER BY CODE),
			COL1 = ROW_NUMBER() OVER (ORDER BY COL1),
			COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, 
			COL11, COL12, COL13, COL14, COL15, COL16, COL17, COL18, COL19, COL20, 
			COL21, COL22, COL23, COL24, COL25, COL26, COL27, COL28, COL29, COL30, 
			COL31, COL32, COL33, COL34, COL35, COL36, COL37, COL38, COL39, COL40, 
			COL41, COL42, COL43, COL44, COL45, COL46
		FROM #TMP3 where col5 <> 0 or col6 <> 0 or ISNULL(COL10,'') <> '' ORDER BY CODE, COL8

--RSA_RSV_1_PERS_UCH_szv '20140401', '20140630', 13488 , 3, 2786
		drop table #TMP3
	
	END		

	IF @REP = 4 
	BEGIN 	
		/*  6.8          6 */
		create table #TMP4(CODE int identity(1,1) ,col1 int,   COL2 VARCHAR(10), COL3 VARCHAR(10), COL4 VARCHAR(10), COL5 VARCHAR(30), COL6 VARCHAR(10), COL7 varchar(100), COL8 VARCHAR(10), COL9 varchar(100), COL10 VARCHAR(14), COL11 INT , COL12 INT, COL13 VARCHAR(100), COL14 varchar(100), COL15 VARCHAR(100) )

		INSERT INTO #TMP4 (COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL12, COL13, COL14, COL15 )
		SELECT 
			   COL2 = convert(varchar(10),(CASE WHEN [DATE_BEGIN] > @dDate2 THEN @dDate2 ELSE [DATE_BEGIN] END) , 104), 
			   COL3 = CONVERT(varchar(10),[DATE_END] , 104),
			   COL4 = CONVERT(VARCHAR(10),ISNULL([TU_CODE],'')),
			   COL5 = CONVERT(VARCHAR(30),ISNULL([OS_CODE],'')),
			   COL6 = CONVERT(VARCHAR(10),ISNULL([EX_CODE],'')),
			   COL7 = CONVERT(VARCHAR(100),ISNULL([f_is_dop],'')),
			   COL8 = CONVERT(VARCHAR(10),ISNULL([P_CODE],'')),
			   COL9 = CONVERT(VARCHAR(100),ISNULL([f_ud_dop],'')),
			   COL10 = CONVERT(VARCHAR(100),ISNULL([PFNUMBER],'')),
			   COL12 = ISNULL([TYPE],0),
			   COL13 = CONVERT(varchar(100),FM),
			   COL14 = CONVERT(varchar(100),IM),
			   COL15 = CONVERT(varchar(100),OT)
		FROM #SZV_ALL 
		WHERE 
			id_ex IS NOT NULL AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN)
		GROUP BY 
			[FM],[IM],[OT],[PFNUMBER],[TYPE], [DATE_BEGIN], [DATE_END] , [TU_CODE], [OS_CODE], [EX_CODE], [f_is_dop], [P_CODE], [f_ud_dop]
		ORDER BY
			[FM],[IM],[OT],[PFNUMBER],[TYPE]

		UPDATE #TMP4 
			SET col1 = CODE , COL11 = CODE 

		SELECT * FROM #TMP4 ORDER BY CODE
		
		drop table #TMP4
		--GROUP BY [TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt]	
		
	END	
	
	
		
		drop table #SZV_ALL
		--drop table #docs_kor_otm
		--drop table #docs

END










GO


GRANT EXECUTE ON dbo.[RSA_RPSV_PERS_UCH_SZV] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9772.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_REPORT_F49]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SALARY_REPORT_F49]

GO

CREATE    PROCEDURE [dbo].[SALARY_REPORT_F49]

	@varKSnMonth int, /*  */
	@varKSnYear varchar(4), /*  */
	@varKSnSortMode INT, /*   */
	@nCheck1 int = 0, /*   */
	@nCheck2 int = 0, /*  ...    */
	@nCheck3 int = 0, /*     */
	@nCheck4 int = 0, /*     */
	@nCheck5 int = 0, /*  /      */
	@varKScVal1 CHAR(1) = '',  --   
	@varKSnOtborLink1 int = 0,
	@ALL_DEP tinyint = NULL,
	@nCheck7 tinyint = 0, /*        */	
	@nMPAY tinyint = 1,/*  */
	@DETALIZE_SFIN tinyint = 0, --  ,
	@DETALIZE_EKR tinyint = 0, --  ,
	@cVal2 CHAR(1) = '', --   
	@nOtborLink2 int = 0		
AS 
BEGIN

/*          .   @ALL_DEP = 1*/

SET @ALL_DEP = COALESCE(@ALL_DEP,0)

DECLARE @DEP_LINK INT
exec dbo.xd_whats_zb @DEP_LINK output

--  
CREATE TABLE #VKR (LINK_VKR INT)
IF LEN(@varKScVal1) <> 0 
	INSERT  INTO #VKR
	SELECT O.RECORD
	FROM OBJECT_VAR_SAL_SFIN O WHERE LINK_UP = @varKSnOtborLink1
else 
	INSERT INTO #VKR
	SELECT F.LINK FROM SAL_SFIN F

declare @cur_date datetime
Set @cur_date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@varKSnMonth,@varKSnYEAR)) 
	
CREATE TABLE #RES (LINK_DEP INT, LINK_EMPL INT, LINK_SFIN INT, LINK_EKR INT, LINK_PAYS INT, CP VARCHAR(11), NP VARCHAR(254), S NUMERIC(20,2) , sum_n NUMERIC(20,2))
CREATE TABLE #RES_U (LINK_DEP2 INT, LINK_EMPL2 INT, LINK_SFIN1 INT, LINK_EKR1 INT, CU VARCHAR(11), NU VARCHAR(254), SU NUMERIC(20,2) , sum_U NUMERIC(20,2) )

set @nCheck1 = Coalesce(@nCheck1,0)
set @nCheck2 = Coalesce(@nCheck2,0)
set @nCheck3 = Coalesce(@nCheck3,0)
set @nCheck4 = Coalesce(@nCheck4,0)
set @nCheck5 = Coalesce(@nCheck5,0)
set @nMPAY = coalesce(@nMPAY,0)


DECLARE @LINK_R211 INT, @LINK_211 INT
SET @LINK_R211 = (SELECT TOP 1 LINK FROM dbo.KOSGU T WHERE T.CODE = 'R211')
SET @LINK_211 = (SELECT TOP 1 LINK FROM dbo.KOSGU T WHERE T.CODE = '211')
	
--   
SELECT 
	LINK_DEP = J.LINK_DEP,
	PERS_LINK = CAST(0 AS INT), 
	LINK_FACE = E.PERS_LINK,	 
	J.LINK_EMPL, 
	TAB_NUM = E.TAB, 
	[STAKE] = E.STAKE,
	[FIO] = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100), 

	LINK_PAYS = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.LINK ELSE P.LINK END),
	CODE_PAYS = CONVERT(VARCHAR(11), (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.CODE ELSE P.CODE END)),
	NAME_PAYS = CONVERT(VARCHAR(254),(CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.NAME ELSE P.NAME END)),
	WAY_CALC = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.WAY_CALC ELSE P.WAY_CALC END),
	TYP_OPER = P.[OBJECT],

	LINK_EKR = EKR.LINK,
	CODE_EKR = EKR.CODE,
	 
	MONTH_BEGIN	= MONTH(J.PERIOD_BEGIN),
	YEAR_BEGIN	= YEAR(J.PERIOD_BEGIN),
	
	J.SUMMA, 
	
	CODE_SUBDIV = UPPER(E.SUBDIV_CODE), 
	NAME_SUBDIV = UPPER(E.SUBDIV_NAME), 
	CODE_POST = E.POST_CODE, 
	NAME_POST = E.POST_NAME,

	J.LINK_DOC, 
	
	LINK_SFIN = (CASE WHEN @DETALIZE_SFIN = 1 THEN J.LINK_VKR ELSE 0 END),
	LINK_EKR1 = (CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)	
INTO 
	#DOC1 
FROM 
	dbo.CALCULATE_JURNAL J
	INNER JOIN dbo.SD_EMPL_FN(DEFAULT,@cur_date, DEFAULT, @DEP_LINK) E ON E.LINK = J.LINK_EMPL
	INNER JOIN dbo.PAYS P on P.LINK = J.LINK_PAYS
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = COALESCE(J.LINK_EKR,P.LINK_EKR) THEN @LINK_211 ELSE COALESCE(J.LINK_EKR,P.LINK_EKR) END)
	LEFT JOIN dbo.PAYS MP on MP.LINK = P.LINK_MPAY
WHERE 
	((LINK_DEP = @DEP_LINK AND @ALL_DEP = 0) OR @ALL_DEP = 1)
	and MONTH(J.PERIOD_BEGIN) = @varKSnMonth and YEAR(J.PERIOD_BEGIN) =convert(int, @varKSnYear) 
	and LINK_VKR in (select link_vkr from #VKR) 
	and P.[OBJECT] in (1,2) 
	and ((link_empl is not null and @nCheck1 = 0) or @nCheck1 = 1)
	and COALESCE(LINK_DOC,0) not in (select link from DOCUMENTS_DED_PR where TYP_PAYMENT = 1  and CARD_LINK is null) 
	and (LEN(@cVal2) = 0
		OR
		E.SUBDIV_HEAD IN (select RECORD from dbo.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink2)
		)
--   
UNION ALL
SELECT 
	LINK_DEP = J.LINK_DEP,
	J.PERS_LINK,
	LINK_FACE = 0,
	LINK_EMPL = 0, 
	TAB_NUM = '', 
	STAKE = null,
	[FIO] = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100), 

	LINK_PAYS = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.LINK ELSE P.LINK END),
	CODE_PAYS = CONVERT(VARCHAR(11), (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.CODE ELSE P.CODE END)),
	NAME_PAYS = CONVERT(VARCHAR(254),(CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.NAME ELSE P.NAME END)),
	WAY_CALC = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.WAY_CALC ELSE P.WAY_CALC END),
	TYP_OPER = P.[OBJECT],

	LINK_EKR = EKR.LINK,
	CODE_EKR = EKR.CODE,
	 
	MONTH_BEGIN	= MONTH(J.PERIOD_BEGIN),
	YEAR_BEGIN	= YEAR(J.PERIOD_BEGIN),
	
	J.SUMMA, 
	
	CODE_SUBDIV = '', 
	NAME_SUBDIV = '', 
	CODE_POST = '', 
	NAME_POST = '',

	J.LINK_DOC, 
	
	LINK_SFIN = (CASE WHEN @DETALIZE_SFIN = 1 THEN J.LINK_VKR ELSE 0 END),
	LINK_EKR1 = (CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)

FROM 
	dbo.CALCULATE_JURNAL J
	INNER JOIN dbo.PERSON E ON E.LINK = J.PERS_LINK
	INNER JOIN dbo.PAYS P on P.link = J.LINK_PAYS
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = COALESCE(J.LINK_EKR,P.LINK_EKR) THEN @LINK_211 ELSE COALESCE(J.LINK_EKR,P.LINK_EKR) END)
	LEFT JOIN dbo.PAYS MP on MP.link = P.LINK_MPAY
WHERE 
	((LINK_DEP = @DEP_LINK AND @ALL_DEP = 0) OR @ALL_DEP = 1)
	and MONTH(J.PERIOD_BEGIN) = @varKSnMonth and YEAR(J.PERIOD_BEGIN) =convert(int, @varKSnYear) 
	and LINK_VKR in (select link_vkr from #VKR) 
	and P.[OBJECT] in (1,2) 
	and ((link_empl is not null and @nCheck1 = 0) or @nCheck1 = 1)
	and COALESCE(LINK_DOC,0) not in (SELECT LINK FROM dbo.DOCUMENTS_DED_PR_DGH WHERE TYP_PAYMENT = 1 and CARD_LINK is null)


/*if @@rowcount <>0*/
	select top 1 *  from months
/*else 
	select * from months where num = 0
*/
/*,   */
if @nCheck3 = 1
	UPDATE #DOC1 
	Set #DOC1.NAME_PAYS = LEFT(rtrim(ltrim(COALESCE(P.SNAME,''))),254)
	from #DOC1 D inner join dbo.Pays P on D.LINK_PAYS = P.link


----- " "  
IF @nCheck1 = 1 and  @nCheck4 = 1
	UPDATE #DOC1
	Set NAME_PAYS = LEFT(RTRIM(NAME_PAYS) + ' ( )', 254), CODE_PAYS = LEFT(RTRIM(CODE_PAYS) + '/',10)
	where COALESCE(LINK_DOC,0) in (select link from DOCUMENTS_DED_PR_DGH where TYP_PAYMENT = 1 and CARD_LINK is not null)
-------" "  
IF @nCheck4 = 1
begin
	UPDATE #DOC1
	Set NAME_PAYS = LEFT(RTRIM(NAME_PAYS) + ' ( )', 254), CODE_PAYS = LEFT(RTRIM(CODE_PAYS) + '/',10)
	where COALESCE(LINK_DOC,0) in (select link from DOCUMENTS_DED_PR where TYP_PAYMENT <> 1 and CARD_LINK is not null)

	UPDATE #DOC1
	Set NAME_PAYS = LEFT( RTRIM(NAME_PAYS) + ' ( )', 254), CODE_PAYS = LEFT( RTRIM(CODE_PAYS) + '/', 10)
	where COALESCE(LINK_DOC,0) in (select link from DOCUMENTS_DED_PR where TYP_PAYMENT = 1 and CARD_LINK is not null)
end

IF @nCheck5=1
	UPDATE #DOC1
	Set 
		CODE_PAYS = LEFT(rtrim(ltrim(CODE_PAYS)) + (case rtrim(ltrim(CODE_EKR)) when '211' then '' when '213' then '' else '' end),10), 
		NAME_PAYS = LEFT(rtrim(ltrim(NAME_PAYS)) + SPACE(1) + (case rtrim(ltrim(CODE_EKR)) when '211' then '(  -)' when '213' then '(  )' else '' end),254)
	where link_ekr is not null and way_calc in (13,20) and TYP_OPER = 1

UPDATE #DOC1 
SET LINK_EMPL = -PERS_LINK,
	TAB_NUM = '.',
	NAME_POST = '.: ' + dbo.SA_DOCUMENTS_DGH(PERS_LINK, @varKSnYear, @varKSnMonth)
WHERE COALESCE(LINK_EMPL,0) = 0
------

declare @varKSFKR1 varchar(200),@varKSFKR2 varchar(200),@varKSFKR3 varchar(200),@varKSCode_1 varchar(20),@varKSCode_2 varchar(20),@varKSCode_3 varchar(20)
if (select count(*) from #VKR) = 1
	select @varKSFKR1 = NAME_FKR_D, @varKSFKR2 = NAME_FKR_E, @varKSFKR3 = NAME_FKR_T, 
		@varKSCode_1 = CODE_FKR_D, @varKSCode_2 =CODE_FKR_T, @varKSCode_3 =CODE_FKR_E   from BI_DICTION_VKR where link = (select link_vkr from #VKR)
else 
	select @varKSFKR1='',@varKSFKR2='',@varKSFKR3='',@varKSCode_1 = '', @varKSCode_2 ='', @varKSCode_3 =''

--------------------------------------------------------------------------------------------
CREATE TABLE #SAL_REMAIN (link_empl int, LINK_SFIN INT, LINK_EKR INT, SUMMA numeric(18,2))

INSERT INTO #SAL_REMAIN (link_empl,LINK_SFIN, LINK_EKR, SUMMA)
SELECT
	LINK_EMPL, 
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END), 
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END), 
	SUM(SUMMA) 
FROM 
	dbo.dictionary_sal_remain SR 
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = SR.LINK_EKR THEN @LINK_211 ELSE SR.LINK_EKR END)
WHERE 
	YEAR_SAL = convert(int, @varKSnYear) and LINK_VKR in (SELECT link_vkr FROM #VKR)
GROUP BY 
	LINK_EMPL, 
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END), 
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)
----

CREATE TABLE #VIPLATY (LINK_DEP int, link_empl int, LINK_SFIN INT, LINK_EKR INT, ostatok numeric(18,2), vipl numeric(18,2))

insert into #VIPLATY (LINK_DEP, link_empl, LINK_SFIN, LINK_EKR, ostatok, vipl)
select 
	SJ.LINK_DEP,
	link_empl = (case when COALESCE(SJ.LINK_EMPL,0) = 0 then -SJ.PERS_LINK else SJ.LINK_EMPL end), 
	LINK_SFIN = (CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END),
	LINK_EKR = (CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END),
	ostatok = sum(case when  month_begin < @varKSnMonth then (case when typ_oper = 1 then SJ.summa else -SJ.summa end) else 0 end),
	vipl = SUM(case when 	SJ.MONTH_BEGIN = @varKSnMonth and SJ.TYP_OPER  = 2 and (coalesce(v.link,0) <> 0 or coalesce(v1.link,0) <> 0) then summa else 0 end)
from 
	S_J_C_Short SJ
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = SJ.LINK_EKR THEN @LINK_211 ELSE SJ.LINK_EKR END) 
	left join (SELECT LINK FROM dbo.DOCUMENTS_DED_PR WHERE (LINK_DEP = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1) AND TYP_PAYMENT = 1 and CARD_LINK is null) V on SJ.LINK_DOC = V.link
	left join (SELECT LINK FROM dbo.DOCUMENTS_DED_PR_DGH WHERE (LINK_DEP = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1) AND TYP_PAYMENT = 1 and CARD_LINK is null) V1 on SJ.LINK_DOC = V1.link
where 
	LINK_VKR in (select link_vkr from #VKR)  
	and year_begin = convert(int, @varKSnYear)
	and month_begin <= @varKSnMonth
	and ((link_empl is not null and @nCheck1 = 0) or @nCheck1 = 1)
	and typ_oper in (1,2)
	and (SJ.LINK_DEP = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1)
group by 
	SJ.LINK_DEP, SJ.LINK_EMPL, 
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END),
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END), 
	(case when COALESCE(SJ.LINK_EMPL,0) = 0 then -SJ.PERS_LINK else SJ.LINK_EMPL end)

--       
UPDATE E
SET E.ostatok = ISNULL(E.ostatok,0) + ISNULL(SR.summa, 0)
FROM 
	#VIPLATY E INNER JOIN #SAL_REMAIN SR on E.link_empl = SR.link_empl AND E.LINK_SFIN = SR.LINK_SFIN AND E.LINK_EKR = SR.LINK_EKR
	
INSERT INTO #VIPLATY (LINK_DEP, link_empl, LINK_SFIN, LINK_EKR, ostatok, vipl)	
SELECT E.DEP_LINK, R.link_empl, R.LINK_SFIN, R.LINK_EKR, R.SUMMA, 0 
FROM #SAL_REMAIN R INNER JOIN dbo.EMPL E ON E.LINK = R.LINK_EMPL
WHERE NOT EXISTS (SELECT * FROM #VIPLATY V WHERE R.LINK_EMPL = V.LINK_EMPL AND R.LINK_SFIN = V.LINK_SFIN AND R.LINK_EKR = V.LINK_EKR)

--------------------------------------------------------------------------------------------
select distinct D1.LINK_DEP, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC =YEAR_BEGIN, 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = D1.LINK_EMPL,
	[POST] = name_post,
	[TN]=TAB_NUM,
	[STAKE] = STAKE,
	[FIO] = (case when @nCheck2 = 0 then FIO else (case when coalesce(LINK_FACE,0) <> 0 then dbo.sa_GetPersName(LINK_FACE) else dbo.sa_GetPersName(PERS_LINK) end) end), --FIO,
	[saldo] = coalesce(ostatok,0),
	[vipl] = coalesce(vipl,0),
	SubdivName = UPPER(convert(varchar(254),NAME_SUBDIV)),
	SubdivCode = UPPER(convert(varchar(254),CODE_SUBDIV)),
	CODE_POST = convert(varchar(254),CODE_POST),
	NAME_POST = convert(varchar(254),NAME_POST),
	D1.LINK_SFIN,
	D1.LINK_EKR1
into #Empls
from #DOC1 D1 INNER JOIN #VIPLATY V on D1.link_empl = V.link_empl and D1.LINK_DEP = V.LINK_DEP AND D1.LINK_SFIN = V.LINK_SFIN AND D1.LINK_EKR1 = V.LINK_EKR
where
	D1.MONTH_BEGIN = @varKSnMonth

------ ,     ,     
INSERT INTO #Empls
select distinct E.DEP_LINK, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC = convert(int, @varKSnYear), 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = V.LINK_EMPL,
	[POST] = POST_NAME,
	[TN]= TAB,
	[STAKE] = STAKE,
	[FIO] = (case when @nCheck2 = 0 then LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100) else FIO end), --FIO,
	[saldo] = coalesce(ostatok,0),
	[vipl] = coalesce(vipl,0),
	SubdivName = UPPER(E.SUBDIV_NAME),	
	SubdivCode = UPPER(E.SUBDIV_CODE),	
	E.POST_CODE,
	E.POST_NAME,
	V.LINK_SFIN,
	V.LINK_EKR	
from 
	dbo.SD_EMPL_FN(DEFAULT,@cur_date, DEFAULT, @DEP_LINK) E 
	INNER JOIN #VIPLATY V on E.link = V.link_empl and coalesce(ostatok,0) <> 0 and E.DEP_LINK = V.LINK_DEP
where 	
	(DEP_LINK = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1)
	AND NOT EXISTS (SELECT * FROM #DOC1 D WHERE D.link_empl = V.link_empl AND D.LINK_SFIN = V.LINK_SFIN AND D.LINK_EKR1 = V.LINK_EKR)
	AND (LEN(@cVal2) = 0
		OR
		E.SUBDIV_HEAD IN (select RECORD from dbo.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink2)
		)	

------------------------------------------------------------------------------------------
---- ,     ,     
INSERT INTO #Empls
select distinct V.LINK_DEP, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC = convert(int, @varKSnYear), 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = -P.link,
	[POST] = ' ',
	[TN]='.',
	[STAKE] = null,
	[FIO] = (case when @nCheck2 = 0 then FIO else NAME_PERS end), --FIO,
	[saldo] = coalesce(ostatok,0),
	[vipl] = coalesce(vipl,0),
	SubdivName = null,
	SubdivCode = null,
	POST_CODE = null,
	POST_NAME = null,
	V.LINK_SFIN,
	V.LINK_EKR	
from 
	dbo.KU_Person P 
	inner join #VIPLATY V on P.link = -V.link_empl and coalesce(ostatok,0) > 0
where 	
	@nCheck1 = 1
	AND NOT EXISTS (SELECT * FROM #DOC1 D WHERE D.link_empl = V.link_empl AND D.LINK_SFIN = V.LINK_SFIN AND D.LINK_EKR1 = V.LINK_EKR)

--------------------------------------------------------------------------------------------

INSERT INTO #Empls
select distinct E.DEP_LINK, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC = convert(int, @varKSnYear), 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = E.LINK,
	[POST] = POST_NAME,
	[TN]= TAB,
	[STAKE] = STAKE, 
	[FIO] = (case when @nCheck2 = 0 then LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100) else FIO end), --FIO,
	[saldo] = 0,
	[vipl] = 0,
	SubdivName = UPPER(E.SUBDIV_NAME),
	SubdivCode = UPPER(E.SUBDIV_CODE),
	E.POST_CODE,
	E.POST_NAME,
	LINK_SFIN = 0,
	LINK_EKR = 0	
from 
	dbo.SD_EMPL_FN(DEFAULT,@cur_date, DEFAULT, @DEP_LINK) E 
where 
	@nCheck7 = 1
	and (DEP_LINK = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1)
	and E.LINK not in (Select distinct LINK_EMPL0 from #Empls)
	and (@varKSnYear * 100 + @varKSnMonth) BETWEEN (YEAR(DATE_BEGIN)*100 + MONTH(DATE_BEGIN)) AND COALESCE((YEAR(DATE_END)*100 + MONTH(DATE_END)), (@varKSnYear * 100 + @varKSnMonth))
	and (LEN(@cVal2) = 0
		OR
		E.SUBDIV_HEAD IN (select RECORD from dbo.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink2)
		)	

select 
	LINK_DEP, FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C,
	YEAR_CALC, MONTH_CALC,LINK_EMPL0, POST, TN, STAKE, FIO,
	SubdivName, SubdivCode, CODE_POST, NAME_POST, LINK_SFIN, LINK_EKR1,
	saldo = SUM(saldo),
	vipl = SUM(vipl)	
into #EmplsG
from #Empls
group by
	LINK_DEP, FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C,
	YEAR_CALC, MONTH_CALC,LINK_EMPL0, POST, TN, STAKE, FIO,
	SubdivName, SubdivCode, CODE_POST, NAME_POST, LINK_SFIN, LINK_EKR1

--------------------------------------------------------------------------------------------

	INSERT INTO #RES
	SELECT LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, LINK_PAYS, [CODE_PAY] = CODE_PAYS, [NAME_PAY] = NAME_PAYS, sum(SUMMA), 0
	FROM #DOC1 WHERE TYP_OPER = 1 group by LINK_PAYS, LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, CODE_PAYS, NAME_PAYS

	declare @CODE_PAYS varchar(254), @NAME_PAYS varchar(254), @LINK_PAYS INT
	Select top 1 @LINK_PAYS = LINK_PAYS, @CODE_PAYS = CODE_PAYS, @NAME_PAYS = NAME_PAYS from #DOC1 WHERE TYP_OPER = 1 and CODE_PAYS is not null

	INSERT INTO #RES
	SELECT DISTINCT LINK_DEP, LINK_EMPL0, LINK_SFIN, LINK_EKR1, @LINK_PAYS, [CODE_PAY] = @CODE_PAYS, [NAME_PAY] = @NAME_PAYS, 0, 0
	FROM #EmplsG WHERE LINK_EMPL0 not in (Select distinct LINK_EMPL from #DOC1)

	UPDATE R
	SET CP = CP + '*'
	FROM
		#RES R
		INNER JOIN dbo.PAYS P on P.LINK_MPAY = R.LINK_PAYS
	WHERE
		@nMPAY = 1

	--- 
	UPDATE #RES
	Set NP = CP + '#&' + NP

	INSERT INTO #RES_U
	SELECT LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, [CODE_PAY] = CODE_PAYS, [NAME_PAY] = NAME_PAYS, sum(SUMMA), 0
	FROM #DOC1 WHERE TYP_OPER = 2 group by LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, CODE_PAYS, NAME_PAYS

	Select top 1 @CODE_PAYS = CODE_PAYS, @NAME_PAYS = NAME_PAYS from #DOC1 WHERE TYP_OPER = 2 and CODE_PAYS is not null

	INSERT INTO #RES_U
	SELECT DISTINCT LINK_DEP, LINK_EMPL0, LINK_SFIN, LINK_EKR1, [CODE_PAY] = @CODE_PAYS, [NAME_PAY] = @NAME_PAYS, 0, 0
	FROM #EmplsG WHERE LINK_EMPL0 not in (Select distinct LINK_EMPL from #DOC1)

	--- 
	UPDATE #RES_U
	Set NU = CU + '#&' + NU

	DECLARE @varKSTABLE_N VARCHAR(100), @varKSTABLE_U VARCHAR(120), @varKSTABLE_R VARCHAR(120)
	EXEC X_GET_TABLE_NAME @varKSTABLE_N OUTPUT
	SELECT @varKSTABLE_U = @varKSTABLE_N + '_U', @varKSTABLE_R = @varKSTABLE_N + '_R'

	DECLARE @varKSCNT_N INT, @varKSCNT_U INT
	SELECT @varKSCNT_N = COUNT(DISTINCT CP) FROM #RES 
	SELECT @varKSCNT_U = COUNT(DISTINCT CU) FROM #RES_U

	IF @ALL_DEP = 0 BEGIN
		EXEC M_CROSS_TABLE
			'LINK_EMPL, LINK_SFIN, LINK_EKR, SUM_N', 
			'NP', 'VARCHAR(254)', 
			'S', 'NUMERIC(20,2)', 'SUM(S) AS S',
			'#RES', @varKSTABLE_N
	
		EXEC M_CROSS_TABLE
			'LINK_EMPL2, LINK_SFIN1, LINK_EKR1, SUM_U', 
			'NU', 'VARCHAR(254)', 
			'SU', 'NUMERIC(20,2)', 'SUM(SU) AS SU',
			'#RES_U', @varKSTABLE_U

		EXEC (' SELECT N.*, U.*   INTO ' +  @varKSTABLE_R +'  FROM ' + @varKSTABLE_N +  ' N FULL OUTER JOIN ' + @varKSTABLE_U + ' U 
			ON N.LINK_EMPL = U.LINK_EMPL2 AND N.LINK_SFIN = U.LINK_SFIN1 AND N.LINK_EKR = U.LINK_EKR1' )
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set link_empl = link_empl2 where link_empl is null')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_EKR = ISNULL(LINK_EKR1,0) where ISNULL(LINK_EKR,0) = 0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_SFIN = ISNULL(LINK_SFIN1,0) where ISNULL(LINK_SFIN,0) = 0 ')

		EXEC('
		INSERT INTO ' + @varKSTABLE_R + ' (link_empl, LINK_SFIN, LINK_EKR)
		SELECT DISTINCT E.link_empl0, E.LINK_SFIN, E.LINK_EKR1
		FROM #EmplsG E
		WHERE NOT EXISTS (SELECT * FROM ' + @varKSTABLE_R + ' R WHERE R.link_empl = E.link_empl0 AND R.LINK_SFIN = E.LINK_SFIN AND R.LINK_EKR = E.LINK_EKR1)
		')		
	
	END
	ELSE BEGIN
		EXEC M_CROSS_TABLE
			'LINK_DEP, LINK_SFIN, LINK_EKR, SUM_N', 
			'NP', 'VARCHAR(254)', 
			'S', 'NUMERIC(20,2)', 'SUM(S) AS S',
			'#RES', @varKSTABLE_N
	
		EXEC M_CROSS_TABLE
			'LINK_DEP2, LINK_SFIN1, LINK_EKR1, SUM_U', 
			'NU', 'VARCHAR(254)', 
			'SU', 'NUMERIC(20,2)', 'SUM(SU) AS SU',
			'#RES_U', @varKSTABLE_U

		EXEC (' SELECT N.*, U.*   INTO ' +  @varKSTABLE_R +'  FROM ' + @varKSTABLE_N +  ' N FULL OUTER JOIN ' + @varKSTABLE_U + ' U 
			ON N.LINK_DEP = U.LINK_DEP2 AND N.LINK_SFIN = U.LINK_SFIN1 AND N.LINK_EKR = U.LINK_EKR1' )
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_DEP = LINK_DEP2 where LINK_DEP is null')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_EKR = ISNULL(LINK_EKR1,0) where ISNULL(LINK_EKR,0) = 0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_SFIN = ISNULL(LINK_SFIN1,0) where ISNULL(LINK_SFIN,0) = 0 ')		

		EXEC('
		INSERT INTO ' + @varKSTABLE_R + ' (LINK_DEP, LINK_SFIN, LINK_EKR)
		SELECT DISTINCT E.LINK_DEP, E.LINK_SFIN, E.LINK_EKR1
		FROM #EmplsG E
		WHERE NOT EXISTS (SELECT * FROM ' + @varKSTABLE_R + ' R WHERE R.LINK_DEP = E.LINK_DEP AND R.LINK_SFIN = E.LINK_SFIN AND R.LINK_EKR = E.LINK_EKR1)
		')

	END
	
	DECLARE @varKSI INT, @varKSSQL_STR VARCHAR(4000), @varKSFIELD_NAME VARCHAR(100)
	SET @varKSI=1
	WHILE @varKSI <= @varKSCNT_N BEGIN

		SET @varKSFIELD_NAME= 'NP_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = (SELECT TOP 1 '+@varKSFIELD_NAME+' FROM ' +@varKSTABLE_N + ' WHERE '+
			@varKSFIELD_NAME+ '  IS NOT NULL ) ' 

		EXEC (@varKSSQL_STR)

		SET @varKSFIELD_NAME= 'S_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = 0  WHERE ' +
			@varKSFIELD_NAME+ '  IS  NULL ' 

		EXEC (@varKSSQL_STR)

		SET @varKSI=@varKSI+1
	END

	SET @varKSI=1
	WHILE @varKSI <= @varKSCNT_U BEGIN
		SET @varKSFIELD_NAME= 'NU_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = (SELECT TOP 1 '+@varKSFIELD_NAME+' FROM ' +@varKSTABLE_U + ' WHERE '+
			@varKSFIELD_NAME+ '  IS NOT NULL ) ' 
		EXEC (@varKSSQL_STR)
		SET @varKSFIELD_NAME= 'SU_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = 0  WHERE ' +
			@varKSFIELD_NAME+ '  IS  NULL ' 
		EXEC (@varKSSQL_STR)
		SET @varKSI=@varKSI+1
	END

	IF @ALL_DEP = 0 BEGIN
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_N = (SELECT SUM(S)  FROM #RES R WHERE R.LINK_SFIN = ISNULL(R0.LINK_SFIN,0) AND R.LINK_EKR = ISNULL(R0.LINK_EKR,0) AND R.LINK_EMPL = R0.LINK_EMPL) FROM ' +   @varKSTABLE_R + ' R0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_U= (SELECT SUM(SU)  FROM #RES_U R WHERE R.LINK_SFIN1 = ISNULL(R0.LINK_SFIN1,0) AND R.LINK_EKR1 = ISNULL(R0.LINK_EKR1,0) AND R.LINK_EMPL2   = R0.LINK_EMPL) FROM ' +   @varKSTABLE_R + ' R0 ')
	END 
	ELSE BEGIN
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_N = (SELECT SUM(S)  FROM #RES R WHERE R.LINK_SFIN = ISNULL(R0.LINK_SFIN,0) AND R.LINK_EKR = ISNULL(R0.LINK_EKR,0) AND R.LINK_DEP = R0.LINK_DEP) FROM ' +   @varKSTABLE_R + ' R0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_U= (SELECT SUM(SU)  FROM #RES_U R WHERE R.LINK_SFIN1 = ISNULL(R0.LINK_SFIN1,0) AND R.LINK_EKR1 = ISNULL(R0.LINK_EKR1,0) AND R.LINK_DEP2   = R0.LINK_DEP2) FROM ' +   @varKSTABLE_R + ' R0 ')		
	END


	
	IF @varKSCNT_N = 0 BEGIN
		EXEC (' ALTER TABLE ' + @varKSTABLE_R + ' ADD CP_0 VARCHAR(10), NP_0_0 VARCHAR(254), S_0_0 numeric(20,2) ')
	END
	IF @varKSCNT_U = 0 BEGIN
		EXEC (' ALTER TABLE ' + @varKSTABLE_R + ' ADD CU_0 VARCHAR(10), NU_0_0 VARCHAR(254), SU_0_0 numeric(20,2) ')
	END

	DECLARE @varKScSQL VARCHAR(7000)


	IF @ALL_DEP = 0
		SET @varKScSQL = ' SELECT E.*, D.INN, D.KPP, R.*, SFIN_CODE = F.CODE, EKR_CODE = EKR.CODE, s_saldo, s_vipl '
			+ ' FROM #EmplsG E LEFT JOIN DBO.SAL_SFIN F ON F.LINK = E.LINK_SFIN' 
			+ ' LEFT JOIN DEPARTMENTS D on e.LINK_DEP = D.LINK '
			+ ' LEFT JOIN DBO.KOSGU EKR ON EKR.LINK = E.LINK_EKR1' 			
			+ ' LEFT JOIN ' + @varKSTABLE_R+' R on link_empl0 = link_empl AND ISNULL(R.LINK_SFIN,0) = E.LINK_SFIN AND ISNULL(R.LINK_EKR,0) = E.LINK_EKR1'
			+ ' LEFT JOIN (SELECT s_saldo = SUM(saldo), s_vipl = SUM(vipl) FROM #EMPLSG) S on 1=1'
			+ ' order by '
			+ (CASE @varKSnSortMode WHEN 1 THEN 'COALESCE(TN,'''')' 
						WHEN 2 THEN 'FIO, F.CODE, EKR.CODE' 
						WHEN 3 THEN 'COALESCE(SubdivName,''''), COALESCE(TN,''''), F.CODE, EKR.CODE' 
						WHEN 4 THEN 'COALESCE(SubdivName,''''), FIO, F.CODE, EKR.CODE' 
						WHEN 5 THEN 'COALESCE(SubdivCode,''''), COALESCE(TN,''''), F.CODE, EKR.CODE' 
						WHEN 6 THEN 'COALESCE(SubdivCode,''''), FIO, F.CODE, EKR.CODE' 
						WHEN 7 THEN 'COALESCE(SubdivName,''''), COALESCE(CODE_POST,''''), FIO, F.CODE, EKR.CODE' 
						WHEN 8 THEN 'COALESCE(SubdivCode,''''), COALESCE(CODE_POST,''''), FIO, F.CODE, EKR.CODE' 
						else 'COALESCE(TN,''''), F.CODE, EKR.CODE'  END)
	ELSE

		SET @varKScSQL = ' SELECT R.* , D.INN, D.KPP, E.*, SFIN_CODE = F.CODE, EKR_CODE = EKR.CODE, DEP_NAME= D.[NAME], GRP_NAME = COALESCE(GRP.GRP_NAME,'' '')  FROM ' + @varKSTABLE_R+' R '
	+ ' INNER JOIN DEPARTMENTS D on R.LINK_DEP = D.LINK
		LEFT JOIN DBO.SAL_SFIN F ON F.LINK = R.LINK_SFIN
		LEFT JOIN DBO.KOSGU EKR ON EKR.LINK = R.LINK_EKR
		LEFT JOIN (select GRP_NAME= G.[NAME], D_LINK= REF.DEP_LINK
			from DEPARTMENT_GROUPS G inner join DEPARTMENT_GROUPS_REF REF on G.LINK = REF.GROUP_LINK
			where G.LINK = (SELECT MAX(REF1.GROUP_LINK) from DEPARTMENT_GROUPS_REF REF1 where REF1.DEP_LINK = REF.DEP_LINK)) GRP on D.LINK = GRP.D_LINK'
	+ ' INNER JOIN (SELECT link_dep, LINK_SFIN, LINK_EKR1, saldo = SUM(saldo), vipl = SUM(vipl), FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C FROM #EMPLSG group by link_dep, LINK_SFIN, LINK_EKR1, FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C) E on R.LINK_DEP = E.link_dep AND R.LINK_SFIN = E.LINK_SFIN AND R.LINK_EKR1 = E.LINK_EKR1'
	+ ' order by GRP.GRP_NAME, D.NAME, F.CODE'
	
	exec (@varKScSQL)

	EXEC ('DROP TABLE ' + @varKSTABLE_N)
	EXEC ('DROP TABLE ' + @varKSTABLE_U)
	EXEC ('DROP TABLE ' + @varKSTABLE_R)
	drop table #Doc1
	drop table #Empls
	drop table #EmplsG
END






GO


GRANT EXECUTE ON dbo.[SALARY_REPORT_F49] TO PUBLIC

GO



GO

-- FIX >>  : 9713.sql
--  [LINK_FACE]   SAL_REMAIN
IF COLUMNPROPERTY(object_id('[dbo].[SAL_REMAIN]'), 'LINK_FACE', 'AllowsNull') is null
	ALTER TABLE [dbo].[SAL_REMAIN] ADD [LINK_FACE] INT NULL
GO


IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_SAL_REMAIN_FACE]'))
ALTER TABLE [dbo].[SAL_REMAIN] 
ADD CONSTRAINT [FK_SAL_REMAIN_FACE] FOREIGN KEY ([LINK_FACE]) REFERENCES [dbo].[PERSON] ([LINK])
GO


--  [LINK_FACE]   SAL_REMAIN
IF COLUMNPROPERTY(object_id('[dbo].[SAL_REMAIN]'), 'LINK_EMPL', 'AllowsNull') = 0 
	ALTER TABLE [dbo].[SAL_REMAIN] ALTER column [LINK_EMPL] INT NULL
GO

GO

/****** :       ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'SALARY_EXEC_CREATE_REST_DGH')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'SALARY_EXEC_CREATE_REST_DGH')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'SALARY_EXEC_CREATE_REST_DGH')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'SALARY_EXEC_CREATE_REST_DGH')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'SALARY_EXEC_CREATE_REST_DGH'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'SALARY_EXEC_CREATE_REST_DGH')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SALARY_EXEC_CREATE_REST_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SALARY_EXEC_CREATE_REST_DGH', '      ', 34, (SELECT LINK FROM S_OBJECTS WHERE CODE='SALARY_EXEC_MODULES'), (SELECT LINK FROM S_OBJECTS WHERE CODE='REFERENCE_RUN_LINK'),1,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SALARY_EXEC_CREATE_REST_DGH', NAME = '      ', ORDERS = '34', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SALARY_EXEC_MODULES'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='REFERENCE_RUN_LINK'), MANAGED = 1, INHERITED = 1
	WHERE CODE ='SALARY_EXEC_CREATE_REST_DGH'
GO
EXEC X_SET_PROP 'SALARY_EXEC_CREATE_REST_DGH', 'INIT_OBJECT_METHOD', 'SALARY_FORM_LOAD(''salary_remain_dgh_year'')'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'SALARY_EXEC_CREATE_REST_DGH', '-', 63,0
GO

/****************     "      "*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = NULL

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = '4728' AND NAME = '')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'SALARY_EXEC_CREATE_REST_DGH')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = '4728' AND NAME = ''))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'CREATE_REST_GPH'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'CREATE_REST_GPH', '      ', @ORD, NULL, 1, @LINK_SELF, 'RUN', @OBJECT, @LINK_VAR, 3
GO

GO
/****** :    ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'DICTIONARY_SAL_REMAIN_DGH')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICTIONARY_SAL_REMAIN_DGH')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICTIONARY_SAL_REMAIN_DGH')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICTIONARY_SAL_REMAIN_DGH')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'DICTIONARY_SAL_REMAIN_DGH'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DICTIONARY_SAL_REMAIN_DGH')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DICTIONARY_SAL_REMAIN_DGH', '   ', 40, (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SALARY'), (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_CLASS'),1,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DICTIONARY_SAL_REMAIN_DGH', NAME = '   ', ORDERS = '40', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SALARY'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_CLASS'), MANAGED = 1, INHERITED = 1
	WHERE CODE ='DICTIONARY_SAL_REMAIN_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_MARKER_REMAIN_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_MARKER_REMAIN_1', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_MARKER_REMAIN_1', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_MARKER_REMAIN_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_YEAR_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_YEAR_REMAIN_DGH', '', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_YEAR_REMAIN_DGH', NAME = '', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_YEAR_REMAIN_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NAME_VKR_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NAME_VKR_REMAIN_DGH', '', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NAME_VKR_REMAIN_DGH', NAME = '', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NAME_VKR_REMAIN_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DICT_SAL_REMAIN_EKR_CODE_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DICT_SAL_REMAIN_EKR_CODE_DGH', '', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DICT_SAL_REMAIN_EKR_CODE_DGH', NAME = '', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DICT_SAL_REMAIN_EKR_CODE_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NAME_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NAME_REMAIN_DGH', '', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NAME_REMAIN_DGH', NAME = '', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NAME_REMAIN_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_LINK_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_LINK_REMAIN_DGH', '  ', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_LINK_REMAIN_DGH', NAME = '  ', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_LINK_REMAIN_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_SUMMA_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_SUMMA_REMAIN_DGH', '', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_SUMMA_REMAIN_DGH', NAME = '', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_SUMMA_REMAIN_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NDFL_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NDFL_REMAIN_DGH', ' ', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NDFL_REMAIN_DGH', NAME = ' ', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NDFL_REMAIN_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_LINK_VKR_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_LINK_VKR_REMAIN_DGH', '  ', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_LINK_VKR_REMAIN_DGH', NAME = '  ', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_LINK_VKR_REMAIN_DGH'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'TITLE', '   '
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'INIT_OBJECT_METHOD', 'X_SPISOK("DICTIONARY_SAL_REMAIN_DGH")'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'REMOVE_OBJECT_METHOD', 'I_DELETE_RECORDS(m.oForm.Alias, "DICTIONARY_SAL_REMAIN_DGH", "X_DELETE_DICTIONARY_REMAIN_DGH", 4, .F., .F.)'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'SAVE_OBJECT_METHOD', 'X_SAVE(''SALARY_SAVE_DICTIONARY_REMAIN_DGH'', m.cAlias," YEAR_SAL,SUMMA,LINK_EMPL,NDFL,LINK_VKR,LINK_EKR,LINK_FACE","DICTIONARY_SAL_REMAIN_DGH")'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'EDIT_OBJECT_METHOD', 'X_BROW()'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'SELECT_RECORDS_METHOD', 'X_SELECT_DICTIONS(''DICTIONARY_SAL_REMAIN_DGH'')'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'SELECT_RECORDS_METHOD_EDIT', 'X_SELECT_DICTIONS(''DICTIONARY_SAL_REMAIN_DGH'')'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'OPEN_CODE', 'CODE'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'CAPTION', '  '
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'SERVER_TABLE_NAME', 'SAL_REMAIN'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'HELP_TOPIC', '7'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'OPERATION_MASK', '24'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'HISTORY_DOC_FIELD_NUMBER', 'NULL'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REMAIN_1', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REMAIN_1', 'CONTROLSOURCE', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REMAIN_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'CONTROLSOURCE', 'm.cAlias + ".YEAR_SAL"'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'STORAGE', 'PAYS'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'SHORT_CODE_OBJ', 'YEAR_SAL'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".YEAR_SAL"'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'CONTROL_NAME_EDIT', 'ATxt1'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'INPUT_MASK', '9999'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'REFERENCE_TO_FIELD', 'CODE'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'COMMENTARY', ''
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''SALARY_SRC_FIN'', oForm.ALIAS, ''LINK, CODE'', ''LINK_VKR,NAME_VKR'', '''', '''', '''', .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'CONTROLSOURCE', 'm.cAlias + ".NAME_VKR"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'TYPE_FIELD_DICT', 'VARCHAR(60)'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NAME_VKR"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'CONTROL_NAME_EDIT', 'Asel_spr2'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'COMMENTARY', ' '
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'TITLE', ''
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''DICTIONARY_ITEM'',oForm.ALIAS, ''LINK, CODE'', ''LINK_EKR, CODE_EKR'', '''', '''', '''', .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'CONTROLSOURCE', 'm.cAlias + ".CODE_EKR"'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'TYPE_FIELD_DICT', 'VARCHAR(60)'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CODE_EKR"'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'CONTROL_NAME_EDIT', 'Asel_spr3'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'COMMENTARY', '   ()'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''KU_PERSON'', oForm.ALIAS, ''LINK, ALLT(FM) +" "  +allt(im)  +" "+allt(ot) , BIRTHDATE, SEX'', ''LINK_FACE, NAME_FACE'', "LINK_FACE = link , NAME_FACE = rtrim(FM)+'' ''+left(IM,1)+''.''+left(OT,1)+''.''",'''', " exists(select * from dbo.SALARY_REESTR_DGH where pers_link = a.link ) ", .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'CONTROLSOURCE', 'm.cAlias + ".NAME_FACE"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'STORAGE', 'dictionary_faces'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'TYPE_FIELD_DICT', 'VARCHAR(100)'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'SHORT_CODE_OBJ', 'NAME_FACE'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NAME_FACE"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'CONTROL_NAME_EDIT', 'ASEL_SPR4'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'REFERENCE_TO_FIELD', 'NAME_FACE'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'COMMENTARY', ' . '
GO
EXEC X_SET_PROP 'COLUMN_LINK_REMAIN_DGH', 'CONTROLSOURCE', 'm.cAlias + ".LINK_FACE"'
GO
EXEC X_SET_PROP 'COLUMN_LINK_REMAIN_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".LINK_FACE"'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'CONTROLSOURCE', 'm.cAlias+".SUMMA"'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'STORAGE', 'SAL_REMAIN'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'SHORT_CODE_OBJ', 'SUMMA'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias+".SUMMA"'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'CONTROL_NAME_EDIT', 'ATXT5'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'REFERENCE_TO_FIELD', 'SUMMA'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'COMMENTARY', ''
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'TITLE', ' '
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'CONTROLSOURCE', 'm.cAlias+".NDFL"'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'STORAGE', 'SAL_REMAIN'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'SHORT_CODE_OBJ', 'NDFL'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias+".NDFL"'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'CONTROL_NAME_EDIT', 'ATXT6'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'REFERENCE_TO_FIELD', 'NDFL'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'COMMENTARY', ' '
GO
EXEC X_SET_PROP 'COLUMN_LINK_VKR_REMAIN_DGH', 'TITLE', '  '
GO
EXEC X_SET_PROP 'COLUMN_LINK_VKR_REMAIN_DGH', 'CONTROLSOURCE', 'm.cAlias + ".LINK_VKR"'
GO
EXEC X_SET_PROP 'COLUMN_LINK_VKR_REMAIN_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".LINK_VKR"'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'DICTIONARY_SAL_REMAIN_DGH', '-', 63,0
GO

/****************     "  "*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = NULL

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_SAL_SALDO' AND NAME = '')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DICTIONARY_SAL_REMAIN_DGH')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_SAL_SALDO' AND NAME = ''))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'DICT_SAL_REMAIN_DGH'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'DICT_SAL_REMAIN_DGH', '   ', @ORD, NULL, 1, @LINK_SELF, 'DICTIONARY', @OBJECT, @LINK_VAR, 3
GO

GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DICTIONARY_SAL_REMAIN]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[DICTIONARY_SAL_REMAIN]
GO

/*
  (Keysystems), 2005
*/
CREATE            VIEW dbo.DICTIONARY_SAL_REMAIN
AS
SELECT 
	[LINK]			= M.LINK,
	[LINK_EMPL]	    = M.LINK_EMPL,
	[TAB_NUM] 		= E.TAB,
	[NAME_EMPL]   	= dbo.sd_GetEmplName(E.LINK),
	[YEAR_SAL] 		= M.YEAR_SAL,
	[SUMMA]	 		= M.SUMMA,
	[NDFL]	 		= M.NDFL,
	[LINK_VKR]		= M.LINK_VKR,
	[NAME_VKR] 		= F.CODE,
	LINK_EKR		= COALESCE(LINK_EKR,EKR1.LINK),	
	CODE_EKR		= COALESCE(EKR.CODE,EKR1.CODE)
FROM dbo.SAL_REMAIN M INNER JOIN dbo.EMPL E ON M.LINK_EMPL = E.LINK
	LEFT JOIN dbo.SAL_SFIN F ON M.LINK_VKR = F.LINK
	LEFT JOIN dbo.KOSGU EKR ON M.LINK_EKR = EKR.LINK 
	LEFT JOIN dbo.KOSGU EKR1 ON EKR1.CODE = '211'
WHERE m.LINK_EMPL IS NOT null	

GO

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_SAVE_DICTIONARY_REMAIN]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SALARY_SAVE_DICTIONARY_REMAIN]

GO

CREATE PROCEDURE dbo.SALARY_SAVE_DICTIONARY_REMAIN
	@varKSparLINK		int	OUTPUT,
	@varKSparYear		INT,
	@varKSparSumma	numeric(15,2) = 0,
	@varKSparLinkEMPL   INT = null,
	@varKSparNDFL int,
	@varKSparLinkVKR int,
	@linkEKR INT,
	@varKSparLinkFACE INT = null
AS
DECLARE @varKSERROR	tinyint,
		@varKStrancount	int

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

IF COALESCE(@varKSparYear,0)=0 OR COALESCE(@varKSparLinkEmpl,0) = 0 OR COALESCE(@varKSparLinkVKR,0) = 0 OR COALESCE(@linkEKR,0) = 0
BEGIN
	ROLLBACK
	RETURN 5
END

EXECUTE @varKSERROR = dbo.X_UPDATE_SAL_REMAIN @varKSparLINK OUTPUT,@varKSparYear, @varKSparSumma, @varKSparLinkEmpl,@varKSparNDFL,@varKSparLinkVKR, @linkEKR, @varKSparLinkFACE
IF @varKSERROR <> 0
BEGIN
	ROLLBACK
	RETURN @varKSERROR
END	

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN
RETURN 0
GO

GRANT EXECUTE ON dbo.[SALARY_SAVE_DICTIONARY_REMAIN] TO PUBLIC

GO

GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DICTIONARY_SAL_REMAIN_DGH]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[DICTIONARY_SAL_REMAIN_DGH]
GO

/*
  (Keysystems), 2005
*/
CREATE            VIEW dbo.DICTIONARY_SAL_REMAIN_DGH
AS
SELECT 
	[LINK]			= M.LINK,
	[LINK_EMPL]	    = M.LINK_EMPL,
	[LINK_FACE]		= m.LINK_FACE,
	[NAME_FACE]   	= LTRIM(rtrim(isnull(p.FM,'')))+' '+ substring(LTRIM(rtrim(isnull(p.IM,''))),1,1)+'.'+ substring(LTRIM(rtrim(isnull(p.OT,''))),1,1)+'.',
	[YEAR_SAL] 		= M.YEAR_SAL,
	[SUMMA]	 		= M.SUMMA,
	[NDFL]	 		= M.NDFL,
	[LINK_VKR]		= M.LINK_VKR,
	[NAME_VKR] 		= F.CODE,
	LINK_EKR		= COALESCE(LINK_EKR,EKR1.LINK),	
	CODE_EKR		= COALESCE(EKR.CODE,EKR1.CODE)
FROM dbo.SAL_REMAIN M INNER JOIN dbo.PERSON p ON M.LINK_FACE = p.LINK
	LEFT JOIN dbo.SAL_SFIN F ON M.LINK_VKR = F.LINK
	LEFT JOIN dbo.KOSGU EKR ON M.LINK_EKR = EKR.LINK 
	LEFT JOIN dbo.KOSGU EKR1 ON EKR1.CODE = '211'
WHERE m.LINK_FACE IS NOT null 

GO

GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[X_UPDATE_SAL_REMAIN]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[X_UPDATE_SAL_REMAIN]
GO

CREATE      PROCEDURE dbo.X_UPDATE_SAL_REMAIN
	@varKSintLINK	int	OUTPUT,
	@varKSparYear		INT,
	@varKSparSumma	numeric(15,2) = 0,
	@varKSparLinkEmpl   INT = null,
	@varKSparNDFL int,
	@varKSparLinkVKR int,
	@linkEKR INT,
	@varKSparLinkFACE   INT = null
AS
DECLARE @varKSRowCount	int,
			@varKSSQLError	int,
			@varKStrancount	INT			
SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
	IF @varKSintLINK is null OR @varKSintLINK = 0
	BEGIN
		INSERT INTO SAL_REMAIN WITH (ROWLOCK) (YEAR_SAL,SUMMA,LINK_EMPL,NDFL,LINK_VKR,LINK_EKR, LINK_FACE)
		VALUES (@varKSparYear,@varKSparSumma,@varKSparLinkEmpl, @varKSparNDFL,@varKSparLinkVKR,@linkEKR, @varKSparLinkFACE)
		SELECT @varKSSQLError = @@ERROR, @varKSintLINK = @@IDENTITY
		IF @varKSSQLError <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
	END
	ELSE
	BEGIN
		UPDATE SAL_REMAIN WITH (ROWLOCK) 
		SET YEAR_SAL =@varKSparYear, SUMMA = @varKSparSumma, LINK_EMPL = @varKSparLinkEmpl, NDFL = @varKSparNDFL, LINK_VKR = @varKSparLinkVKR, LINK_EKR = @linkEKR, LINK_FACE = @varKSparLinkFACE
		WHERE LINK=@varKSintLINK
		SELECT @varKSSQLError = @@ERROR, @varKSRowCount = @@ROWCOUNT
		IF @varKSSQLError <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
		IF @varKSRowCount = 0
		BEGIN
			ROLLBACK
			RETURN 2
		END
	END
IF @@TRANCOUNT > @varKStrancount  
	COMMIT TRAN
RETURN 0


GO
GRANT EXECUTE ON dbo.[X_UPDATE_SAL_REMAIN] TO PUBLIC

GO

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_SAVE_DICTIONARY_REMAIN_DGH]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SALARY_SAVE_DICTIONARY_REMAIN_DGH]

GO

CREATE PROCEDURE dbo.SALARY_SAVE_DICTIONARY_REMAIN_DGH
	@varKSparLINK		int	OUTPUT,
	@varKSparYear		INT,
	@varKSparSumma	numeric(15,2) = 0,
	@varKSparLinkEMPL   INT = null,
	@varKSparNDFL int,
	@varKSparLinkVKR int,
	@linkEKR INT,
	@varKSparLinkFACE INT = null
AS
DECLARE @varKSERROR	tinyint,
		@varKStrancount	int

SET @varKSparLinkEmpl = null
SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

IF COALESCE(@varKSparYear,0)=0 OR COALESCE(@varKSparLinkFACE,0) = 0 OR COALESCE(@varKSparLinkVKR,0) = 0 OR COALESCE(@linkEKR,0) = 0
BEGIN
	ROLLBACK
	RETURN 5
END

EXECUTE @varKSERROR = dbo.X_UPDATE_SAL_REMAIN @varKSparLINK OUTPUT,@varKSparYear, @varKSparSumma, null,@varKSparNDFL,@varKSparLinkVKR, @linkEKR, @varKSparLinkFACE
IF @varKSERROR <> 0
BEGIN
	ROLLBACK
	RETURN @varKSERROR
END	

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN
RETURN 0
GO

GRANT EXECUTE ON dbo.[SALARY_SAVE_DICTIONARY_REMAIN_DGH] TO PUBLIC

GO

GO
SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[X_DELETE_DICTIONARY_REMAIN_DGH]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[X_DELETE_DICTIONARY_REMAIN_DGH]
GO




/*
  (Keysystems), 2005
*/



CREATE   PROCEDURE dbo.X_DELETE_DICTIONARY_REMAIN_DGH
	@varKSintLINK	int
AS
DECLARE @varKStrancount	int,
	@varKSObjectLink	int,
	@varKSEventText	varchar(254)

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN
	SELECT @varKSEventText = '    ' + rtrim(NAME_FACE) + '  '+RTRIM(LTRIM(str(YEAR_SAL)))+ ' '
		 FROM DICTIONARY_SAL_REMAIN_DGH WITH (UPDLOCK) WHERE LINK = @varKSintLINK
	IF @@RowCount = 0 OR @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 2
	END
	DELETE FROM SAL_REMAIN WHERE LINK = @varKSintLINK
	IF @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
IF @@TRANCOUNT > @varKStrancount
	BEGIN
		SELECT @varKSObjectLink = LINK FROM S_OBJECTS WHERE CODE = 'dictionary_sal_remain_DGH'
		EXECUTE WF_GENERATEEVENT '  ', @varKSEventText, @varKSObjectLink, 'SAL_REMAIN', @varKSintLINK
		COMMIT TRAN
	END
RETURN 0



GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_REMAIN_YEAR_DGH]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_REMAIN_YEAR_DGH]

GO

/*
  (Keysystems), 2005
*/
CREATE  PROCEDURE [dbo].SS_REMAIN_YEAR_DGH @varKSYear  int
AS  

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DELETE FROM dbo.SAL_REMAIN
WHERE YEAR_SAL = @varKSYear
	AND EXISTS (SELECT * FROM dbo.PERSON p WHERE p.LINK = dbo.SAL_REMAIN.LINK_FACE /*AND p.DEP_LINK = @DEP_LINK*/)

INSERT INTO SAL_REMAIN(LINK_FACE, LINK_VKR, LINK_EKR, YEAR_SAL, SUMMA, NDFL)
select  
	link_FACE = pers_link, 
	link_vkr, 
	link_ekr = COALESCE(link_ekr,EKR.LINK),
	@varKSYear, 
	summa = sum(summa * (case when typ_oper = 1 then 1 else -1  end) ), 0
from 
	dbo.s_j_c_short LEFT JOIN dbo.KOSGU EKR ON EKR.CODE = '211'
where 
	TYP_OPER in (1,2)
	and link_empl IS NULL
	AND pers_link IS NOT NULL 
	and year_begin = @varKSYear-1
	and LINK_DEP = @DEP_LINK
group by pers_link, link_vkr, COALESCE(link_ekr,EKR.LINK)
order by pers_link, link_vkr, COALESCE(link_ekr,EKR.LINK)

INSERT INTO SAL_REMAIN(LINK_FACE, LINK_VKR, LINK_EKR, YEAR_SAL, SUMMA, NDFL)
SELECT LINK_FACE, LINK_VKR, LINK_EKR, @varKSYear, SUM(SUMMA), SUM(NDFL) 
FROM dbo.SAL_REMAIN R INNER JOIN dbo.PERSON p ON R.LINK_FACE = p.LINK
WHERE YEAR_SAL = @varKSYear-1 --AND E.DEP_LINK = @DEP_LINK
GROUP BY LINK_FACE, LINK_VKR, LINK_EKR


GO


GRANT EXECUTE ON dbo.[SS_REMAIN_YEAR_DGH] TO PUBLIC

GO

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_DGH_SALDO_MONTH_VKR]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SALARY_DGH_SALDO_MONTH_VKR]

GO

CREATE  FUNCTION DBO.SALARY_DGH_SALDO_MONTH_VKR(@LINK int, @DATE1 datetime, @LINK_S_FIN INT, @LINK_EKR INT = null, @DEP_LINK INT)
RETURNS NUMERIC(18,2)
AS  
BEGIN
	
DECLARE @VARKSRESULT  NUMERIC(15,2)

SET  @VARKSRESULT =ISNULL( DBO.SALARY_DGH_SALDO_VKR(@LINK, YEAR(@DATE1),@LINK_S_FIN, @LINK_EKR),0)


RETURN 
	ISNULL(
		(
			SELECT 
				SUM(CASE WHEN  P.[OBJECT] = 1 THEN J.SUMMA ELSE 0 END) - SUM(CASE WHEN P.[OBJECT] =  2 THEN J.SUMMA ELSE 0 END)
			FROM 
				dbo.PAYS P
				INNER JOIN dbo.CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
			WHERE
				J.LINK_DEP = @DEP_LINK 
				AND J.LINK_EMPL IS NULL 
				AND J.PERS_LINK = @LINK 
				AND J.LINK_VKR = @LINK_S_FIN
				AND (J.LINK_EKR = @LINK_EKR OR  ISNULL(@LINK_EKR,0) = 0 ) 
				AND YEAR(J.PERIOD_BEGIN) = YEAR(@DATE1) 
				AND MONTH(J.PERIOD_BEGIN) < MONTH(@DATE1)	
			)
	,0) +  @VARKSRESULT

END
                                                        


GO


GRANT EXECUTE ON dbo.[SALARY_DGH_SALDO_MONTH_VKR] TO PUBLIC

GO


-- --

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_DGH_SALDO_VKR]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SALARY_DGH_SALDO_VKR]

GO

/*
  (Keysystems), 2005
*/
CREATE    function DBO.SALARY_DGH_SALDO_VKR(@varKSLinkFACE  int, @varKSYear INT,@varKSlinkVKR int, @LINK_EKR INT = 0)
RETURNS NUMERIC(15,2)
AS  
BEGIN
	DECLARE @varKSResult  NUMERIC(15,2)
	
	SET @varKSlinkVKR = COALESCE(@varKSlinkVKR,0)

	SET @LINK_EKR = COALESCE(@LINK_EKR,0)
	
	select @varKSResult = SUM(SUMMA) 
	from 
		dbo.dictionary_sal_remain_DGH SR
		CROSS APPLY (SELECT LINK FROM dbo.KOSGU T WHERE T.CODE = 'R211') R211
		CROSS APPLY (SELECT LINK FROM dbo.KOSGU T WHERE T.CODE = '211') T211	
		INNER JOIN dbo.KOSGU DI ON DI.LINK = (CASE WHEN R211.LINK = SR.LINK_EKR THEN T211.LINK ELSE SR.LINK_EKR END)
	WHERE 
		LINK_FACE = @varKSLinkFACE AND YEAR_SAL = @varKSYear 
		and (LINK_VKR = @varKSlinkVKR OR @varKSlinkVKR = 0)
		AND ( DI.LINK = @LINK_EKR OR @LINK_EKR = 0)	
	RETURN isnull(@varKSResult,0)
end
                                                        



GO


GRANT EXECUTE ON dbo.[SALARY_DGH_SALDO_VKR] TO PUBLIC

GO


-- --

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_U_VEDOM_DGH_SALDO]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_U_VEDOM_DGH_SALDO]

GO



/*
  (Keysystems), 2005
*/
CREATE PROCEDURE [dbo].SD_U_VEDOM_DGH_SALDO
 @varKSSumma numeric(15,2) OUTPUT, 
 @varKSnLinkFACE	 int,
 @varKSdDate1	datetime,
 @varKSnMode	int,  		 
 @varKSLinkVKR INT,
 @varKSLinkEKR INT,
 @DEP_LINK INT = NULL
AS  
BEGIN

IF @DEP_LINK IS NULL
	EXEC DBO.XD_WHATS_ZB @DEP_LINK OUTPUT

SET @varKSSumma =
(case WHEN @varKSnMode = 1
			THEN DBO.SALARY_DGH_SALDO_VKR(@varKSnLinkFACE, YEAR(@varKSdDate1),@varKSLinkVKR, @varKSLinkEKR)
	WHEN @varKSnMode = 2
			THEN DBO.SALARY_DGH_SALDO_MONTH_VKR(@varKSnLinkFACE, @varKSdDate1,@varKSLinkVKR,@varKSLinkEKR,@DEP_LINK)
	WHEN @varKSnMode = 3
			THEN 0
	ELSE 0
END)

END










GO


GRANT EXECUTE ON dbo.[SD_U_VEDOM_DGH_SALDO] TO PUBLIC

GO


-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_REPORT_F49]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SALARY_REPORT_F49]

GO

CREATE    PROCEDURE [dbo].[SALARY_REPORT_F49]

	@varKSnMonth int, /*  */
	@varKSnYear varchar(4), /*  */
	@varKSnSortMode INT, /*   */
	@nCheck1 int = 0, /*   */
	@nCheck2 int = 0, /*  ...    */
	@nCheck3 int = 0, /*     */
	@nCheck4 int = 0, /*     */
	@nCheck5 int = 0, /*  /      */
	@varKScVal1 CHAR(1) = '',  --   
	@varKSnOtborLink1 int = 0,
	@ALL_DEP tinyint = NULL,
	@nCheck7 tinyint = 0, /*        */	
	@nMPAY tinyint = 1,/*  */
	@DETALIZE_SFIN tinyint = 0, --  ,
	@DETALIZE_EKR tinyint = 0, --  ,
	@cVal2 CHAR(1) = '', --   
	@nOtborLink2 int = 0		
AS 
BEGIN

/*          .   @ALL_DEP = 1*/

SET @ALL_DEP = COALESCE(@ALL_DEP,0)

DECLARE @DEP_LINK INT
exec dbo.xd_whats_zb @DEP_LINK output

--  
CREATE TABLE #VKR (LINK_VKR INT)
IF LEN(@varKScVal1) <> 0 
	INSERT  INTO #VKR
	SELECT O.RECORD
	FROM OBJECT_VAR_SAL_SFIN O WHERE LINK_UP = @varKSnOtborLink1
else 
	INSERT INTO #VKR
	SELECT F.LINK FROM SAL_SFIN F

declare @cur_date datetime
Set @cur_date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@varKSnMonth,@varKSnYEAR)) 
	
CREATE TABLE #RES (LINK_DEP INT, LINK_EMPL INT, LINK_SFIN INT, LINK_EKR INT, LINK_PAYS INT, CP VARCHAR(11), NP VARCHAR(254), S NUMERIC(20,2) , sum_n NUMERIC(20,2))
CREATE TABLE #RES_U (LINK_DEP2 INT, LINK_EMPL2 INT, LINK_SFIN1 INT, LINK_EKR1 INT, CU VARCHAR(11), NU VARCHAR(254), SU NUMERIC(20,2) , sum_U NUMERIC(20,2) )

set @nCheck1 = Coalesce(@nCheck1,0)
set @nCheck2 = Coalesce(@nCheck2,0)
set @nCheck3 = Coalesce(@nCheck3,0)
set @nCheck4 = Coalesce(@nCheck4,0)
set @nCheck5 = Coalesce(@nCheck5,0)
set @nMPAY = coalesce(@nMPAY,0)


DECLARE @LINK_R211 INT, @LINK_211 INT
SET @LINK_R211 = (SELECT TOP 1 LINK FROM dbo.KOSGU T WHERE T.CODE = 'R211')
SET @LINK_211 = (SELECT TOP 1 LINK FROM dbo.KOSGU T WHERE T.CODE = '211')
	
--   
SELECT 
	LINK_DEP = J.LINK_DEP,
	PERS_LINK = CAST(0 AS INT), 
	LINK_FACE = E.PERS_LINK,	 
	J.LINK_EMPL, 
	TAB_NUM = E.TAB, 
	[STAKE] = E.STAKE,
	[FIO] = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100), 

	LINK_PAYS = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.LINK ELSE P.LINK END),
	CODE_PAYS = CONVERT(VARCHAR(11), (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.CODE ELSE P.CODE END)),
	NAME_PAYS = CONVERT(VARCHAR(254),(CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.NAME ELSE P.NAME END)),
	WAY_CALC = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.WAY_CALC ELSE P.WAY_CALC END),
	TYP_OPER = P.[OBJECT],

	LINK_EKR = EKR.LINK,
	CODE_EKR = EKR.CODE,
	 
	MONTH_BEGIN	= MONTH(J.PERIOD_BEGIN),
	YEAR_BEGIN	= YEAR(J.PERIOD_BEGIN),
	
	J.SUMMA, 
	
	CODE_SUBDIV = UPPER(E.SUBDIV_CODE), 
	NAME_SUBDIV = UPPER(E.SUBDIV_NAME), 
	CODE_POST = E.POST_CODE, 
	NAME_POST = E.POST_NAME,

	J.LINK_DOC, 
	
	LINK_SFIN = (CASE WHEN @DETALIZE_SFIN = 1 THEN J.LINK_VKR ELSE 0 END),
	LINK_EKR1 = (CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)	
INTO 
	#DOC1 
FROM 
	dbo.CALCULATE_JURNAL J
	INNER JOIN dbo.SD_EMPL_FN(DEFAULT,@cur_date, DEFAULT, @DEP_LINK) E ON E.LINK = J.LINK_EMPL
	INNER JOIN dbo.PAYS P on P.LINK = J.LINK_PAYS
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = COALESCE(J.LINK_EKR,P.LINK_EKR) THEN @LINK_211 ELSE COALESCE(J.LINK_EKR,P.LINK_EKR) END)
	LEFT JOIN dbo.PAYS MP on MP.LINK = P.LINK_MPAY
WHERE 
	((LINK_DEP = @DEP_LINK AND @ALL_DEP = 0) OR @ALL_DEP = 1)
	and MONTH(J.PERIOD_BEGIN) = @varKSnMonth and YEAR(J.PERIOD_BEGIN) =convert(int, @varKSnYear) 
	and LINK_VKR in (select link_vkr from #VKR) 
	and P.[OBJECT] in (1,2) 
	and ((link_empl is not null and @nCheck1 = 0) or @nCheck1 = 1)
	and COALESCE(LINK_DOC,0) not in (select link from DOCUMENTS_DED_PR where TYP_PAYMENT = 1  and CARD_LINK is null) 
	and (LEN(@cVal2) = 0
		OR
		E.SUBDIV_HEAD IN (select RECORD from dbo.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink2)
		)
--   
UNION ALL
SELECT 
	LINK_DEP = J.LINK_DEP,
	J.PERS_LINK,
	LINK_FACE = 0,
	LINK_EMPL = 0, 
	TAB_NUM = '', 
	STAKE = null,
	[FIO] = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100), 

	LINK_PAYS = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.LINK ELSE P.LINK END),
	CODE_PAYS = CONVERT(VARCHAR(11), (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.CODE ELSE P.CODE END)),
	NAME_PAYS = CONVERT(VARCHAR(254),(CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.NAME ELSE P.NAME END)),
	WAY_CALC = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.WAY_CALC ELSE P.WAY_CALC END),
	TYP_OPER = P.[OBJECT],

	LINK_EKR = EKR.LINK,
	CODE_EKR = EKR.CODE,
	 
	MONTH_BEGIN	= MONTH(J.PERIOD_BEGIN),
	YEAR_BEGIN	= YEAR(J.PERIOD_BEGIN),
	
	J.SUMMA, 
	
	CODE_SUBDIV = '', 
	NAME_SUBDIV = '', 
	CODE_POST = '', 
	NAME_POST = '',

	J.LINK_DOC, 
	
	LINK_SFIN = (CASE WHEN @DETALIZE_SFIN = 1 THEN J.LINK_VKR ELSE 0 END),
	LINK_EKR1 = (CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)

FROM 
	dbo.CALCULATE_JURNAL J
	INNER JOIN dbo.PERSON E ON E.LINK = J.PERS_LINK
	INNER JOIN dbo.PAYS P on P.link = J.LINK_PAYS
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = COALESCE(J.LINK_EKR,P.LINK_EKR) THEN @LINK_211 ELSE COALESCE(J.LINK_EKR,P.LINK_EKR) END)
	LEFT JOIN dbo.PAYS MP on MP.link = P.LINK_MPAY
WHERE 
	((LINK_DEP = @DEP_LINK AND @ALL_DEP = 0) OR @ALL_DEP = 1)
	and MONTH(J.PERIOD_BEGIN) = @varKSnMonth and YEAR(J.PERIOD_BEGIN) =convert(int, @varKSnYear) 
	and LINK_VKR in (select link_vkr from #VKR) 
	and P.[OBJECT] in (1,2) 
	and ((link_empl is not null and @nCheck1 = 0) or @nCheck1 = 1)
	and COALESCE(LINK_DOC,0) not in (SELECT LINK FROM dbo.DOCUMENTS_DED_PR_DGH WHERE TYP_PAYMENT = 1 and CARD_LINK is null)


/*if @@rowcount <>0*/
	select top 1 *  from months
/*else 
	select * from months where num = 0
*/
/*,   */
if @nCheck3 = 1
	UPDATE #DOC1 
	Set #DOC1.NAME_PAYS = LEFT(rtrim(ltrim(COALESCE(P.SNAME,''))),254)
	from #DOC1 D inner join dbo.Pays P on D.LINK_PAYS = P.link


----- " "  
IF @nCheck1 = 1 and  @nCheck4 = 1
	UPDATE #DOC1
	Set NAME_PAYS = LEFT(RTRIM(NAME_PAYS) + ' ( )', 254), CODE_PAYS = LEFT(RTRIM(CODE_PAYS) + '/',10)
	where COALESCE(LINK_DOC,0) in (select link from DOCUMENTS_DED_PR_DGH where TYP_PAYMENT = 1 and CARD_LINK is not null)
-------" "  
IF @nCheck4 = 1
begin
	UPDATE #DOC1
	Set NAME_PAYS = LEFT(RTRIM(NAME_PAYS) + ' ( )', 254), CODE_PAYS = LEFT(RTRIM(CODE_PAYS) + '/',10)
	where COALESCE(LINK_DOC,0) in (select link from DOCUMENTS_DED_PR where TYP_PAYMENT <> 1 and CARD_LINK is not null)

	UPDATE #DOC1
	Set NAME_PAYS = LEFT( RTRIM(NAME_PAYS) + ' ( )', 254), CODE_PAYS = LEFT( RTRIM(CODE_PAYS) + '/', 10)
	where COALESCE(LINK_DOC,0) in (select link from DOCUMENTS_DED_PR where TYP_PAYMENT = 1 and CARD_LINK is not null)
end

IF @nCheck5=1
	UPDATE #DOC1
	Set 
		CODE_PAYS = LEFT(rtrim(ltrim(CODE_PAYS)) + (case rtrim(ltrim(CODE_EKR)) when '211' then '' when '213' then '' else '' end),10), 
		NAME_PAYS = LEFT(rtrim(ltrim(NAME_PAYS)) + SPACE(1) + (case rtrim(ltrim(CODE_EKR)) when '211' then '(  -)' when '213' then '(  )' else '' end),254)
	where link_ekr is not null and way_calc in (13,20) and TYP_OPER = 1

UPDATE #DOC1 
SET LINK_EMPL = -PERS_LINK,
	TAB_NUM = '.',
	NAME_POST = '.: ' + dbo.SA_DOCUMENTS_DGH(PERS_LINK, @varKSnYear, @varKSnMonth)
WHERE COALESCE(LINK_EMPL,0) = 0
------

declare @varKSFKR1 varchar(200),@varKSFKR2 varchar(200),@varKSFKR3 varchar(200),@varKSCode_1 varchar(20),@varKSCode_2 varchar(20),@varKSCode_3 varchar(20)
if (select count(*) from #VKR) = 1
	select @varKSFKR1 = NAME_FKR_D, @varKSFKR2 = NAME_FKR_E, @varKSFKR3 = NAME_FKR_T, 
		@varKSCode_1 = CODE_FKR_D, @varKSCode_2 =CODE_FKR_T, @varKSCode_3 =CODE_FKR_E   from BI_DICTION_VKR where link = (select link_vkr from #VKR)
else 
	select @varKSFKR1='',@varKSFKR2='',@varKSFKR3='',@varKSCode_1 = '', @varKSCode_2 ='', @varKSCode_3 =''

--------------------------------------------------------------------------------------------
CREATE TABLE #SAL_REMAIN (link_empl int, LINK_SFIN INT, LINK_EKR INT, SUMMA numeric(18,2))

INSERT INTO #SAL_REMAIN (link_empl,LINK_SFIN, LINK_EKR, SUMMA)
SELECT
	LINK_EMPL, 
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END), 
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END), 
	SUM(SUMMA) 
FROM 
	dbo.dictionary_sal_remain SR 
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = SR.LINK_EKR THEN @LINK_211 ELSE SR.LINK_EKR END)
WHERE 
	YEAR_SAL = convert(int, @varKSnYear) and LINK_VKR in (SELECT link_vkr FROM #VKR)
GROUP BY 
	LINK_EMPL, 
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END), 
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)
----
--------------------------------------------------------------------------------------------
CREATE TABLE #SAL_REMAIN_DGH (link_FACE int, LINK_SFIN INT, LINK_EKR INT, SUMMA numeric(18,2))

INSERT INTO #SAL_REMAIN_DGH (link_FACE,LINK_SFIN, LINK_EKR, SUMMA)
SELECT
	link_FACE,
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END),
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END),
	SUM(SUMMA)
FROM
	dbo.dictionary_sal_remain_DGH SR
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = SR.LINK_EKR THEN @LINK_211 ELSE SR.LINK_EKR END)
WHERE
	YEAR_SAL = convert(int, @varKSnYear) and LINK_VKR in (SELECT link_vkr FROM #VKR)
GROUP BY
	link_FACE,
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END),
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)
----

CREATE TABLE #VIPLATY (LINK_DEP int, link_empl int, LINK_SFIN INT, LINK_EKR INT, ostatok numeric(18,2), vipl numeric(18,2))

insert into #VIPLATY (LINK_DEP, link_empl, LINK_SFIN, LINK_EKR, ostatok, vipl)
select 
	SJ.LINK_DEP,
	link_empl = (case when COALESCE(SJ.LINK_EMPL,0) = 0 then -SJ.PERS_LINK else SJ.LINK_EMPL end), 
	LINK_SFIN = (CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END),
	LINK_EKR = (CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END),
	ostatok = sum(case when  month_begin < @varKSnMonth then (case when typ_oper = 1 then SJ.summa else -SJ.summa end) else 0 end),
	vipl = SUM(case when 	SJ.MONTH_BEGIN = @varKSnMonth and SJ.TYP_OPER  = 2 and (coalesce(v.link,0) <> 0 or coalesce(v1.link,0) <> 0) then summa else 0 end)
from 
	S_J_C_Short SJ
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = SJ.LINK_EKR THEN @LINK_211 ELSE SJ.LINK_EKR END) 
	left join (SELECT LINK FROM dbo.DOCUMENTS_DED_PR WHERE (LINK_DEP = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1) AND TYP_PAYMENT = 1 and CARD_LINK is null) V on SJ.LINK_DOC = V.link
	left join (SELECT LINK FROM dbo.DOCUMENTS_DED_PR_DGH WHERE (LINK_DEP = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1) AND TYP_PAYMENT = 1 and CARD_LINK is null) V1 on SJ.LINK_DOC = V1.link
where 
	LINK_VKR in (select link_vkr from #VKR)  
	and year_begin = convert(int, @varKSnYear)
	and month_begin <= @varKSnMonth
	and ((link_empl is not null and @nCheck1 = 0) or @nCheck1 = 1)
	and typ_oper in (1,2)
	and (SJ.LINK_DEP = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1)
group by 
	SJ.LINK_DEP, SJ.LINK_EMPL, 
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END),
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END), 
	(case when COALESCE(SJ.LINK_EMPL,0) = 0 then -SJ.PERS_LINK else SJ.LINK_EMPL end)


--       
UPDATE E
SET E.ostatok = ISNULL(E.ostatok,0) + ISNULL(SR.summa, 0)
FROM 
	#VIPLATY E INNER JOIN #SAL_REMAIN SR on E.link_empl = SR.link_empl AND E.LINK_SFIN = SR.LINK_SFIN AND E.LINK_EKR = SR.LINK_EKR
	INNER JOIN #SAL_REMAIN_DGH srd ON -E.link_empl = -SRd.link_face AND E.LINK_SFIN = SRd.LINK_SFIN AND E.LINK_EKR = SRd.LINK_EKR


INSERT INTO #VIPLATY (LINK_DEP, link_empl, LINK_SFIN, LINK_EKR, ostatok, vipl)	
SELECT E.DEP_LINK, R.link_empl, R.LINK_SFIN, R.LINK_EKR, R.SUMMA, 0 
FROM #SAL_REMAIN R INNER JOIN dbo.EMPL E ON E.LINK = R.LINK_EMPL
WHERE NOT EXISTS (SELECT * FROM #VIPLATY V WHERE R.LINK_EMPL = V.LINK_EMPL AND R.LINK_SFIN = V.LINK_SFIN AND R.LINK_EKR = V.LINK_EKR)

INSERT INTO #VIPLATY (LINK_DEP, link_empl, LINK_SFIN, LINK_EKR, ostatok, vipl)	
SELECT LINK_DEP = @DEP_LINK , -R.link_face, R.LINK_SFIN, R.LINK_EKR, R.SUMMA, 0 
FROM #SAL_REMAIN_DGH R INNER JOIN dbo.person p ON p.LINK = R.LINK_FACE
WHERE NOT EXISTS (SELECT * FROM #VIPLATY V WHERE -R.LINK_FACE = -V.LINK_EMPL AND R.LINK_SFIN = V.LINK_SFIN AND R.LINK_EKR = V.LINK_EKR)


--------------------------------------------------------------------------------------------
select distinct D1.LINK_DEP, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC =YEAR_BEGIN, 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = D1.LINK_EMPL,
	[POST] = name_post,
	[TN]=TAB_NUM,
	[STAKE] = STAKE,
	[FIO] = (case when @nCheck2 = 0 then FIO else (case when coalesce(LINK_FACE,0) <> 0 then dbo.sa_GetPersName(LINK_FACE) else dbo.sa_GetPersName(PERS_LINK) end) end), --FIO,
	[saldo] = coalesce(ostatok,0),
	[vipl] = coalesce(vipl,0),
	SubdivName = UPPER(convert(varchar(254),NAME_SUBDIV)),
	SubdivCode = UPPER(convert(varchar(254),CODE_SUBDIV)),
	CODE_POST = convert(varchar(254),CODE_POST),
	NAME_POST = convert(varchar(254),NAME_POST),
	D1.LINK_SFIN,
	D1.LINK_EKR1
into #Empls
from #DOC1 D1 INNER JOIN #VIPLATY V on D1.link_empl = V.link_empl and D1.LINK_DEP = V.LINK_DEP AND D1.LINK_SFIN = V.LINK_SFIN AND D1.LINK_EKR1 = V.LINK_EKR
where
	D1.MONTH_BEGIN = @varKSnMonth

------ ,     ,     
INSERT INTO #Empls
select distinct E.DEP_LINK, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC = convert(int, @varKSnYear), 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = V.LINK_EMPL,
	[POST] = POST_NAME,
	[TN]= TAB,
	[STAKE] = STAKE,
	[FIO] = (case when @nCheck2 = 0 then LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100) else FIO end), --FIO,
	[saldo] = coalesce(ostatok,0),
	[vipl] = coalesce(vipl,0),
	SubdivName = UPPER(E.SUBDIV_NAME),	
	SubdivCode = UPPER(E.SUBDIV_CODE),	
	E.POST_CODE,
	E.POST_NAME,
	V.LINK_SFIN,
	V.LINK_EKR	
from 
	dbo.SD_EMPL_FN(DEFAULT,@cur_date, DEFAULT, @DEP_LINK) E 
	INNER JOIN #VIPLATY V on E.link = V.link_empl and coalesce(ostatok,0) <> 0 and E.DEP_LINK = V.LINK_DEP
where 	
	(DEP_LINK = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1)
	AND NOT EXISTS (SELECT * FROM #DOC1 D WHERE D.link_empl = V.link_empl AND D.LINK_SFIN = V.LINK_SFIN AND D.LINK_EKR1 = V.LINK_EKR)
	AND (LEN(@cVal2) = 0
		OR
		E.SUBDIV_HEAD IN (select RECORD from dbo.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink2)
		)	

------------------------------------------------------------------------------------------
---- ,     ,     
INSERT INTO #Empls
select distinct V.LINK_DEP, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC = convert(int, @varKSnYear), 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = -P.link,
	[POST] = ' ',
	[TN]='.',
	[STAKE] = null,
	[FIO] = (case when @nCheck2 = 0 then FIO else NAME_PERS end), --FIO,
	[saldo] = coalesce(ostatok,0),
	[vipl] = coalesce(vipl,0),
	SubdivName = null,
	SubdivCode = null,
	POST_CODE = null,
	POST_NAME = null,
	V.LINK_SFIN,
	V.LINK_EKR	
from 
	dbo.KU_Person P 
	inner join #VIPLATY V on P.link = -V.link_empl and coalesce(ostatok,0) > 0
where 	
	@nCheck1 = 1
	AND NOT EXISTS (SELECT * FROM #DOC1 D WHERE D.link_empl = V.link_empl AND D.LINK_SFIN = V.LINK_SFIN AND D.LINK_EKR1 = V.LINK_EKR)

--------------------------------------------------------------------------------------------

INSERT INTO #Empls
select distinct E.DEP_LINK, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC = convert(int, @varKSnYear), 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = E.LINK,
	[POST] = POST_NAME,
	[TN]= TAB,
	[STAKE] = STAKE, 
	[FIO] = (case when @nCheck2 = 0 then LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100) else FIO end), --FIO,
	[saldo] = 0,
	[vipl] = 0,
	SubdivName = UPPER(E.SUBDIV_NAME),
	SubdivCode = UPPER(E.SUBDIV_CODE),
	E.POST_CODE,
	E.POST_NAME,
	LINK_SFIN = 0,
	LINK_EKR = 0	
from 
	dbo.SD_EMPL_FN(DEFAULT,@cur_date, DEFAULT, @DEP_LINK) E 
where 
	@nCheck7 = 1
	and (DEP_LINK = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1)
	and E.LINK not in (Select distinct LINK_EMPL0 from #Empls)
	and (@varKSnYear * 100 + @varKSnMonth) BETWEEN (YEAR(DATE_BEGIN)*100 + MONTH(DATE_BEGIN)) AND COALESCE((YEAR(DATE_END)*100 + MONTH(DATE_END)), (@varKSnYear * 100 + @varKSnMonth))
	and (LEN(@cVal2) = 0
		OR
		E.SUBDIV_HEAD IN (select RECORD from dbo.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink2)
		)	

select 
	LINK_DEP, FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C,
	YEAR_CALC, MONTH_CALC,LINK_EMPL0, POST, TN, STAKE, FIO,
	SubdivName, SubdivCode, CODE_POST, NAME_POST, LINK_SFIN, LINK_EKR1,
	saldo = SUM(saldo),
	vipl = SUM(vipl)	
into #EmplsG
from #Empls
group by
	LINK_DEP, FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C,
	YEAR_CALC, MONTH_CALC,LINK_EMPL0, POST, TN, STAKE, FIO,
	SubdivName, SubdivCode, CODE_POST, NAME_POST, LINK_SFIN, LINK_EKR1

--------------------------------------------------------------------------------------------

	INSERT INTO #RES
	SELECT LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, LINK_PAYS, [CODE_PAY] = CODE_PAYS, [NAME_PAY] = NAME_PAYS, sum(SUMMA), 0
	FROM #DOC1 WHERE TYP_OPER = 1 group by LINK_PAYS, LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, CODE_PAYS, NAME_PAYS

	declare @CODE_PAYS varchar(254), @NAME_PAYS varchar(254), @LINK_PAYS INT
	Select top 1 @LINK_PAYS = LINK_PAYS, @CODE_PAYS = CODE_PAYS, @NAME_PAYS = NAME_PAYS from #DOC1 WHERE TYP_OPER = 1 and CODE_PAYS is not null

	INSERT INTO #RES
	SELECT DISTINCT LINK_DEP, LINK_EMPL0, LINK_SFIN, LINK_EKR1, @LINK_PAYS, [CODE_PAY] = @CODE_PAYS, [NAME_PAY] = @NAME_PAYS, 0, 0
	FROM #EmplsG WHERE LINK_EMPL0 not in (Select distinct LINK_EMPL from #DOC1)

	UPDATE R
	SET CP = CP + '*'
	FROM
		#RES R
		INNER JOIN dbo.PAYS P on P.LINK_MPAY = R.LINK_PAYS
	WHERE
		@nMPAY = 1

	--- 
	UPDATE #RES
	Set NP = CP + '#&' + NP

	INSERT INTO #RES_U
	SELECT LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, [CODE_PAY] = CODE_PAYS, [NAME_PAY] = NAME_PAYS, sum(SUMMA), 0
	FROM #DOC1 WHERE TYP_OPER = 2 group by LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, CODE_PAYS, NAME_PAYS

	Select top 1 @CODE_PAYS = CODE_PAYS, @NAME_PAYS = NAME_PAYS from #DOC1 WHERE TYP_OPER = 2 and CODE_PAYS is not null

	INSERT INTO #RES_U
	SELECT DISTINCT LINK_DEP, LINK_EMPL0, LINK_SFIN, LINK_EKR1, [CODE_PAY] = @CODE_PAYS, [NAME_PAY] = @NAME_PAYS, 0, 0
	FROM #EmplsG WHERE LINK_EMPL0 not in (Select distinct LINK_EMPL from #DOC1)

	--- 
	UPDATE #RES_U
	Set NU = CU + '#&' + NU

	DECLARE @varKSTABLE_N VARCHAR(100), @varKSTABLE_U VARCHAR(120), @varKSTABLE_R VARCHAR(120)
	EXEC X_GET_TABLE_NAME @varKSTABLE_N OUTPUT
	SELECT @varKSTABLE_U = @varKSTABLE_N + '_U', @varKSTABLE_R = @varKSTABLE_N + '_R'

	DECLARE @varKSCNT_N INT, @varKSCNT_U INT
	SELECT @varKSCNT_N = COUNT(DISTINCT CP) FROM #RES 
	SELECT @varKSCNT_U = COUNT(DISTINCT CU) FROM #RES_U

	IF @ALL_DEP = 0 BEGIN
		EXEC M_CROSS_TABLE
			'LINK_EMPL, LINK_SFIN, LINK_EKR, SUM_N', 
			'NP', 'VARCHAR(254)', 
			'S', 'NUMERIC(20,2)', 'SUM(S) AS S',
			'#RES', @varKSTABLE_N
	
		EXEC M_CROSS_TABLE
			'LINK_EMPL2, LINK_SFIN1, LINK_EKR1, SUM_U', 
			'NU', 'VARCHAR(254)', 
			'SU', 'NUMERIC(20,2)', 'SUM(SU) AS SU',
			'#RES_U', @varKSTABLE_U

		EXEC (' SELECT N.*, U.*   INTO ' +  @varKSTABLE_R +'  FROM ' + @varKSTABLE_N +  ' N FULL OUTER JOIN ' + @varKSTABLE_U + ' U 
			ON N.LINK_EMPL = U.LINK_EMPL2 AND N.LINK_SFIN = U.LINK_SFIN1 AND N.LINK_EKR = U.LINK_EKR1' )
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set link_empl = link_empl2 where link_empl is null')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_EKR = ISNULL(LINK_EKR1,0) where ISNULL(LINK_EKR,0) = 0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_SFIN = ISNULL(LINK_SFIN1,0) where ISNULL(LINK_SFIN,0) = 0 ')

		EXEC('
		INSERT INTO ' + @varKSTABLE_R + ' (link_empl, LINK_SFIN, LINK_EKR)
		SELECT DISTINCT E.link_empl0, E.LINK_SFIN, E.LINK_EKR1
		FROM #EmplsG E
		WHERE NOT EXISTS (SELECT * FROM ' + @varKSTABLE_R + ' R WHERE R.link_empl = E.link_empl0 AND R.LINK_SFIN = E.LINK_SFIN AND R.LINK_EKR = E.LINK_EKR1)
		')		
	
	END
	ELSE BEGIN
		EXEC M_CROSS_TABLE
			'LINK_DEP, LINK_SFIN, LINK_EKR, SUM_N', 
			'NP', 'VARCHAR(254)', 
			'S', 'NUMERIC(20,2)', 'SUM(S) AS S',
			'#RES', @varKSTABLE_N
	
		EXEC M_CROSS_TABLE
			'LINK_DEP2, LINK_SFIN1, LINK_EKR1, SUM_U', 
			'NU', 'VARCHAR(254)', 
			'SU', 'NUMERIC(20,2)', 'SUM(SU) AS SU',
			'#RES_U', @varKSTABLE_U

		EXEC (' SELECT N.*, U.*   INTO ' +  @varKSTABLE_R +'  FROM ' + @varKSTABLE_N +  ' N FULL OUTER JOIN ' + @varKSTABLE_U + ' U 
			ON N.LINK_DEP = U.LINK_DEP2 AND N.LINK_SFIN = U.LINK_SFIN1 AND N.LINK_EKR = U.LINK_EKR1' )
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_DEP = LINK_DEP2 where LINK_DEP is null')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_EKR = ISNULL(LINK_EKR1,0) where ISNULL(LINK_EKR,0) = 0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_SFIN = ISNULL(LINK_SFIN1,0) where ISNULL(LINK_SFIN,0) = 0 ')		

		EXEC('
		INSERT INTO ' + @varKSTABLE_R + ' (LINK_DEP, LINK_SFIN, LINK_EKR)
		SELECT DISTINCT E.LINK_DEP, E.LINK_SFIN, E.LINK_EKR1
		FROM #EmplsG E
		WHERE NOT EXISTS (SELECT * FROM ' + @varKSTABLE_R + ' R WHERE R.LINK_DEP = E.LINK_DEP AND R.LINK_SFIN = E.LINK_SFIN AND R.LINK_EKR = E.LINK_EKR1)
		')

	END
	
	DECLARE @varKSI INT, @varKSSQL_STR VARCHAR(4000), @varKSFIELD_NAME VARCHAR(100)
	SET @varKSI=1
	WHILE @varKSI <= @varKSCNT_N BEGIN

		SET @varKSFIELD_NAME= 'NP_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = (SELECT TOP 1 '+@varKSFIELD_NAME+' FROM ' +@varKSTABLE_N + ' WHERE '+
			@varKSFIELD_NAME+ '  IS NOT NULL ) ' 

		EXEC (@varKSSQL_STR)

		SET @varKSFIELD_NAME= 'S_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = 0  WHERE ' +
			@varKSFIELD_NAME+ '  IS  NULL ' 

		EXEC (@varKSSQL_STR)

		SET @varKSI=@varKSI+1
	END

	SET @varKSI=1
	WHILE @varKSI <= @varKSCNT_U BEGIN
		SET @varKSFIELD_NAME= 'NU_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = (SELECT TOP 1 '+@varKSFIELD_NAME+' FROM ' +@varKSTABLE_U + ' WHERE '+
			@varKSFIELD_NAME+ '  IS NOT NULL ) ' 
		EXEC (@varKSSQL_STR)
		SET @varKSFIELD_NAME= 'SU_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = 0  WHERE ' +
			@varKSFIELD_NAME+ '  IS  NULL ' 
		EXEC (@varKSSQL_STR)
		SET @varKSI=@varKSI+1
	END

	IF @ALL_DEP = 0 BEGIN
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_N = (SELECT SUM(S)  FROM #RES R WHERE R.LINK_SFIN = ISNULL(R0.LINK_SFIN,0) AND R.LINK_EKR = ISNULL(R0.LINK_EKR,0) AND R.LINK_EMPL = R0.LINK_EMPL) FROM ' +   @varKSTABLE_R + ' R0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_U= (SELECT SUM(SU)  FROM #RES_U R WHERE R.LINK_SFIN1 = ISNULL(R0.LINK_SFIN1,0) AND R.LINK_EKR1 = ISNULL(R0.LINK_EKR1,0) AND R.LINK_EMPL2   = R0.LINK_EMPL) FROM ' +   @varKSTABLE_R + ' R0 ')
	END 
	ELSE BEGIN
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_N = (SELECT SUM(S)  FROM #RES R WHERE R.LINK_SFIN = ISNULL(R0.LINK_SFIN,0) AND R.LINK_EKR = ISNULL(R0.LINK_EKR,0) AND R.LINK_DEP = R0.LINK_DEP) FROM ' +   @varKSTABLE_R + ' R0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_U= (SELECT SUM(SU)  FROM #RES_U R WHERE R.LINK_SFIN1 = ISNULL(R0.LINK_SFIN1,0) AND R.LINK_EKR1 = ISNULL(R0.LINK_EKR1,0) AND R.LINK_DEP2   = R0.LINK_DEP2) FROM ' +   @varKSTABLE_R + ' R0 ')		
	END


	
	IF @varKSCNT_N = 0 BEGIN
		EXEC (' ALTER TABLE ' + @varKSTABLE_R + ' ADD CP_0 VARCHAR(10), NP_0_0 VARCHAR(254), S_0_0 numeric(20,2) ')
	END
	IF @varKSCNT_U = 0 BEGIN
		EXEC (' ALTER TABLE ' + @varKSTABLE_R + ' ADD CU_0 VARCHAR(10), NU_0_0 VARCHAR(254), SU_0_0 numeric(20,2) ')
	END

	DECLARE @varKScSQL VARCHAR(7000)


	IF @ALL_DEP = 0
		SET @varKScSQL = ' SELECT E.*, D.INN, D.KPP, R.*, SFIN_CODE = F.CODE, EKR_CODE = EKR.CODE, s_saldo, s_vipl '
			+ ' FROM #EmplsG E LEFT JOIN DBO.SAL_SFIN F ON F.LINK = E.LINK_SFIN' 
			+ ' LEFT JOIN DEPARTMENTS D on e.LINK_DEP = D.LINK '
			+ ' LEFT JOIN DBO.KOSGU EKR ON EKR.LINK = E.LINK_EKR1' 			
			+ ' LEFT JOIN ' + @varKSTABLE_R+' R on link_empl0 = link_empl AND ISNULL(R.LINK_SFIN,0) = E.LINK_SFIN AND ISNULL(R.LINK_EKR,0) = E.LINK_EKR1'
			+ ' LEFT JOIN (SELECT s_saldo = SUM(saldo), s_vipl = SUM(vipl) FROM #EMPLSG) S on 1=1'
			+ ' order by '
			+ (CASE @varKSnSortMode WHEN 1 THEN 'COALESCE(TN,'''')' 
						WHEN 2 THEN 'FIO, F.CODE, EKR.CODE' 
						WHEN 3 THEN 'COALESCE(SubdivName,''''), COALESCE(TN,''''), F.CODE, EKR.CODE' 
						WHEN 4 THEN 'COALESCE(SubdivName,''''), FIO, F.CODE, EKR.CODE' 
						WHEN 5 THEN 'COALESCE(SubdivCode,''''), COALESCE(TN,''''), F.CODE, EKR.CODE' 
						WHEN 6 THEN 'COALESCE(SubdivCode,''''), FIO, F.CODE, EKR.CODE' 
						WHEN 7 THEN 'COALESCE(SubdivName,''''), COALESCE(CODE_POST,''''), FIO, F.CODE, EKR.CODE' 
						WHEN 8 THEN 'COALESCE(SubdivCode,''''), COALESCE(CODE_POST,''''), FIO, F.CODE, EKR.CODE' 
						else 'COALESCE(TN,''''), F.CODE, EKR.CODE'  END)
	ELSE

		SET @varKScSQL = ' SELECT R.* , D.INN, D.KPP, E.*, SFIN_CODE = F.CODE, EKR_CODE = EKR.CODE, DEP_NAME= D.[NAME], GRP_NAME = COALESCE(GRP.GRP_NAME,'' '')  FROM ' + @varKSTABLE_R+' R '
	+ ' INNER JOIN DEPARTMENTS D on R.LINK_DEP = D.LINK
		LEFT JOIN DBO.SAL_SFIN F ON F.LINK = R.LINK_SFIN
		LEFT JOIN DBO.KOSGU EKR ON EKR.LINK = R.LINK_EKR
		LEFT JOIN (select GRP_NAME= G.[NAME], D_LINK= REF.DEP_LINK
			from DEPARTMENT_GROUPS G inner join DEPARTMENT_GROUPS_REF REF on G.LINK = REF.GROUP_LINK
			where G.LINK = (SELECT MAX(REF1.GROUP_LINK) from DEPARTMENT_GROUPS_REF REF1 where REF1.DEP_LINK = REF.DEP_LINK)) GRP on D.LINK = GRP.D_LINK'
	+ ' INNER JOIN (SELECT link_dep, LINK_SFIN, LINK_EKR1, saldo = SUM(saldo), vipl = SUM(vipl), FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C FROM #EMPLSG group by link_dep, LINK_SFIN, LINK_EKR1, FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C) E on R.LINK_DEP = E.link_dep AND R.LINK_SFIN = E.LINK_SFIN AND R.LINK_EKR1 = E.LINK_EKR1'
	+ ' order by GRP.GRP_NAME, D.NAME, F.CODE'
	
	exec (@varKScSQL)

	EXEC ('DROP TABLE ' + @varKSTABLE_N)
	EXEC ('DROP TABLE ' + @varKSTABLE_U)
	EXEC ('DROP TABLE ' + @varKSTABLE_R)
	drop table #Doc1
	drop table #Empls
	drop table #EmplsG
END






GO


GRANT EXECUTE ON dbo.[SALARY_REPORT_F49] TO PUBLIC

GO


GO

GO

-- FIX >>  : 9871.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[KU_ACTIVATE_MOVES]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[KU_ACTIVATE_MOVES]

GO


/*
  (Keysystems), 2005
*/
CREATE      PROCEDURE [dbo].KU_ACTIVATE_MOVES
	@order_link int,
	@new_status int = null
AS
	DECLARE @date_begin datetime, @empl_link int, @link int, @status int, @ERROR tinyint, @new_face int,
		@trancount int, @cur cursor, @staff_link int

	SET @trancount = @@TRANCOUNT
	SET IMPLICIT_TRANSACTIONS ON
	BEGIN TRAN
	COMMIT TRAN

		IF @new_status=1
		BEGIN
			SELECT @order_link = link FROM orders WHERE status<>1 and link=@order_link
			IF @@rowcount=0 BEGIN
				ROLLBACK
				RETURN 103
			END
		END

		EXEC @ERROR = KU_ORDER_CONFIRM @order_link, @new_status
		IF @ERROR <>0 BEGIN
			ROLLBACK
			RETURN @ERROR
		END

		SET @cur = CURSOR FAST_FORWARD FOR SELECT link, new_face, empl_link, date_begin, status, staff_link FROM item_move 
								WHERE order_link=@order_link
		OPEN @cur
		FETCH NEXT FROM @cur INTO @link, @new_face, @empl_link, @date_begin, @status, @staff_link
		WHILE @@FETCH_STATUS=0 BEGIN

			IF @new_status=1 AND @new_face in (0, 1) and (select free_stakes from dbo.KJ_GET_FREE_STAKES_STAFF(@date_begin, @staff_link)) < 0
			BEGIN
				ROLLBACK
				RETURN 116
			END

			IF @new_face in (0, 1) and @new_status=1 BEGIN
				INSERT money_period (item_link, pay_link, date_begin, date_end, summa)
				SELECT distinct @link, mp.pay_link, @date_begin, '99991231', 0
				FROM order_money_period mp
				WHERE mp.item_link<>@link and mp.empl_link=@empl_link and pay_link not in
					(SELECT pay_link FROM order_money_period
						WHERE empl_link=@empl_link and item_link=@link
							and @date_begin between date_begin and date_end and active=1)
					and @date_begin between date_begin and date_end and active=1
				IF @@error<>0 BEGIN
					ROLLBACK
					RETURN 7
				END
			END

			EXEC @ERROR = ku_adjust_moves @empl_link
			IF @ERROR<>0 BEGIN
				ROLLBACK
				RETURN @ERROR
			END
			
			IF @new_status=1 AND @new_face <> 4 and exists(	
						SELECT	* 
						FROM	dbo.empl_status(@date_begin) 
						WHERE	dbo.sd_GetEmplPers(empl_link)=dbo.sd_GetEmplPers(@empl_link) and 
							--dbo.ku_GetEmplDepLink(empl_link)=dbo.ku_GetEmplDepLink(@empl_link) and
							empl_link<>@empl_link and
							(status=1/* or status=3*/) and
							(@status=1/* or @status=3*/)and
							dbo.ku_GetEmplSack(@empl_link, @date_begin)=0 and 
							dbo.ku_GetEmplSack(empl_link, @date_begin)=0
						)
			BEGIN
				ROLLBACK
				RETURN 104
			END
			IF @new_status=1 AND @new_face <> 4  and exists(	
						SELECT	* 
						FROM	dbo.empl_status(@date_begin) 
						WHERE	dbo.sd_GetEmplPers(empl_link)=dbo.sd_GetEmplPers(@empl_link) and 
							dbo.ku_GetEmplDepLink(empl_link)=dbo.ku_GetEmplDepLink(@empl_link) and
							empl_link<>@empl_link and
							dbo.ku_GetEmplSack(@empl_link, @date_begin)=0 and
							dbo.ku_GetEmplSack(empl_link, @date_begin)=0 and
							((@status = 1 and (status=1 or status=3)) or
							(@status = 3 and status=1))
						)

			BEGIN
				ROLLBACK
				RETURN 117
			END			

			IF @new_status=1 and @status=2 and @new_face <> 4 and not exists(SELECT * FROM dbo.empl_status(@date_begin)
				WHERE dbo.sd_GetEmplPers(empl_link)=dbo.sd_GetEmplPers(@empl_link) and 
				dbo.ku_GetEmplDepLink(empl_link)=dbo.ku_GetEmplDepLink(@empl_link) and
				empl_link<>@empl_link and status=1
				and dbo.ku_GetEmplSack(@empl_link, @date_begin)=0 and dbo.ku_GetEmplSack(empl_link, @date_begin)=0)
			BEGIN
				ROLLBACK
				RETURN 105
			END
			
			FETCH NEXT FROM @cur INTO @link, @new_face, @empl_link, @date_begin, @status, @staff_link
		END
		CLOSE @cur
		DEALLOCATE @cur

	IF @@TRANCOUNT > @trancount
		COMMIT TRAN
	RETURN 0




GO


GRANT EXECUTE ON dbo.[KU_ACTIVATE_MOVES] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9886.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]

GO

CREATE   PROCEDURE [dbo].SS_SZV_ST_PACHKA_CALC_Buffer_2017 (@BufferCode varchar(10), @link int, @Year int, @Month tinyint) 
AS

DECLARE @SQL VARCHAR(1000)

SET @SQL = '
delete from dbo.Buffer
where RTRIM(LTRIM(ID)) = RTRIM(LTRIM( ''' + @BufferCode + ''' ))
	and link IN (select S.link_pers from dbo.SZV_STAZH_SVEDENIA S where S.link_up = ' + CONVERT(VARCHAR(20),@LINK) + ')'
--EXEC (@SQL)	--!!


CREATE TABLE #PERSON (LINK INT)	

SET @SQL = '
INSERT INTO #PERSON (LINK)
SELECT DISTINCT LINK FROM dbo.Buffer WHERE RTRIM(LTRIM(ID)) = RTRIM(LTRIM(''' + @BufferCode + '''))'
EXEC (@SQL)	

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @VID_KOR TINYINT , @type_doc tinyint

SELECT @VID_KOR = VID_KOR, @type_doc = [type]
FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link


IF @VID_KOR = 2
begin  
	SELECT @Year = @Year, @PER = PER_EDT, @MONTH_END = @Month
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
else 
begin
	SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
DECLARE @PeriodBegin datetime, @PeriodEnd datetime

/*IF @type_doc = 1 OR (@type_doc = 2 AND @PER <> 4)
BEGIN
	SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
	SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

	IF @MONTH_BEG > @MONTH_END
		SET @MONTH_END = @MONTH_BEG + 3 - 1
END
IF  @type_doc = 2 AND @PER = 4
 BEGIN */
		SET @MONTH_BEG = 1 
		SET @MONTH_END = 12
/* END */

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--  .
--
DECLARE @LINK_OZOI INT
SET @LINK_OZOI = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 3 AND @Year BETWEEN YBEG AND YEND),1)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME)

INSERT INTO #PERS_INV (PERS_LINK, DATE_BEGIN, DATE_END) 
SELECT PERS_LINK, DATE_BEGIN = MIN(ISNULL(I.DATE_BEGIN,@PeriodBegin)), DATE_END = MAX(ISNULL(I.DATE_END,@PeriodEnd))
FROM dbo.PERS_INVALID I
WHERE ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin
GROUP BY PERS_LINK


--forma    2013     (1 , 2 )
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_OZOI,
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END,
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
from 
	(	SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2 
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	INNER JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		


----
DECLARE @LINK_NR INT
SET @LINK_NR = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 1 AND @Year BETWEEN YBEG AND YEND),1)

--forma    2013     (1 , 2 )	
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_NR,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodBegin < CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		THEN @PeriodBegin 
		ELSE CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END + 1
	END,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodEnd > CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		THEN @PeriodEnd
		ELSE CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END - 1
	END
from 
	(	
		SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		
WHERE --          
	I.PERS_LINK IS NULL --  
	OR --    
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1
	OR --    
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1	

----
DECLARE @LINK_USEN INT
SET @LINK_USEN = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 2 AND @Year BETWEEN YBEG AND YEND),1)		
	
insert into dbo.SZV_STAZH_SVEDENIA 
	(link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
SELECT 	
	link_up, orders, forma, link_pers, ISNULL(sum_doh,0), ISNULL(sum_str,0), ISNULL(sum_nak,0), ISNULL(sum_dop,0), ISNULL(dper_vn_m,0), ISNULL(dper_vn_d,0), ISNULL(dper_oz_m,0), ISNULL(dper_oz_d,0), ISNULL(isum_str,0), ISNULL(isum_nak,0), @LINK_USEN, DATE_BEG, DATE_END
FROM
	#PERSON B INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON B.LINK = S.link_pers 
WHERE
	link_up = @link
	AND
	LINK_KATEG = @LINK_NR	


/*----        
CREATE TABLE #PERS_SUM_J (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, MON INT, INCOME NUMERIC(18,2), SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM_J (LINK_PERS, LINK_KATEG, DOG, MON, INCOME, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG, MON,
	SUM(CASE WHEN [OBJECT] = 1 THEN SUMMA ELSE 0 END), --  (INCOME)
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.EMPL E ON E.PERS_LINK = S.LINK_PERS
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_EMPL = E.LINK 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 1 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
	UNION ALL	
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.PERS_LINK = S.LINK_PERS 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 2 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG, MON
*/
--
/*CREATE INDEX #TMP_IDX_#PERS_SUM_J ON #PERS_SUM_J (LINK_PERS, LINK_KATEG)

--ר     
-- ר         512   ר 
create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, KATEG TINYINT, DOG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG = 1
FROM 
	dbo.SA_ESN_VIEW(@Year, @Month, @DEP_LINK, 0) S
WHERE 
	WAY_CALC IN (6,7,10,11)
	AND EXISTS (SELECT * FROM #PERSON B WHERE B.LINK = S.REF_PHYS_PERS)

--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, 
	GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, 
	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@Year))) = 2
		THEN 3
		ELSE
		CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END
	END, 
	DOG = 2
FROM 
	dbo.DOCUMENTS_DGH G 
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.PERSON P on GT.PERS_LINK = P.link
	INNER JOIN #PERSON B ON B.LINK = P.LINK
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  IN (6,7,10,11)
	AND YEAR(G.[DATE]) = @Year
	AND MONTH(G.[DATE]) <= @Month
	AND LINK_DEP = @DEP_LINK


--
CREATE INDEX #TMP_IDX_SPR_ESN ON #SPR_ESN (REF_PHYS_PERS, KATEG, DOG)

--
DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS < @PeriodBegin )
*/
--  
DECLARE @STAVKI TABLE ( LINK_PERS INT, TARIF TINYINT, PREDEL NUMERIC(15,2), [PERCENT] NUMERIC(8,2), WAY_CALC TINYINT)

INSERT INTO @STAVKI (LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC)
SELECT 
	LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC 
FROM 
	dbo.SA_ESN_TARIF(DEFAULT, @PeriodEnd, DEFAULT) S
WHERE 
	WAY_CALC IN (6,7)
	AND EXISTS (SELECT * FROM #PERSON P WHERE P.LINK = S.LINK_PERS)

--	
DECLARE @LIMIT NUMERIC(18,2)
SET @LIMIT = ISNULL((SELECT MIN(PREDEL) FROM @STAVKI WHERE TARIF = 1 AND WAY_CALC = 6),0)

------      ר   ר  512.
/*CREATE TABLE #SUM_PERSON (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT, WAY_CALC TINYINT, [PERCENT] NUMERIC(18,2), MON TINYINT, 
				BAZA NUMERIC(18,2), SUM_LIM NUMERIC(18,2), SUM_KOR NUMERIC(18,2),BAZA2 NUMERIC(18,2),  NALOG NUMERIC(20,6), M BIT)

INSERT INTO #SUM_PERSON (LINK_PERSON, KATEG, DOG, WAY_CALC, [PERCENT], MON, BAZA, NALOG, M)
SELECT
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE,
	SUM(ISNULL(SUMMA_BASE,0) - ISNULL(DED_M,0) - ISNULL(INV_M,0)) AS BAZA,
	SUM(SUMMA),
	0
FROM 
	#SPR_ESN E
	INNER JOIN @STAVKI S ON S.LINK_PERS = E.REF_PHYS_PERS AND S.WAY_CALC = E.WAY_CALC AND S.TARIF = E.KATEG
WHERE 
	S.PREDEL = @LIMIT
GROUP BY
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE

-- ,     
CREATE TABLE #PERS_AFTER (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT)

INSERT INTO #PERS_AFTER (LINK_PERSON, KATEG, DOG)
SELECT LINK_PERSON, KATEG, DOG
FROM #SUM_PERSON 
WHERE WAY_CALC = 6
GROUP BY LINK_PERSON, KATEG, DOG
HAVING SUM(BAZA) > @LIMIT
DECLARE @Cur2 CURSOR, @MON TINYINT, @KATEG TINYINT, @DOG TINYINT

SET @Cur2 = CURSOR FORWARD_ONLY
FOR SELECT DISTINCT MON, KATEG, DOG FROM #SUM_PERSON SP
	ORDER BY MON, KATEG ASC, DOG DESC
OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE SP --     
		SET 
			M = 1,
			SUM_LIM = (SELECT SUM(BAZA) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.WAY_CALC = SP.WAY_CALC AND (M=1 OR SP1.MON = SP.MON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG))
		FROM #SUM_PERSON SP
		WHERE MON = @MON AND KATEG = @KATEG AND DOG = @DOG
		
		UPDATE #SUM_PERSON -- 
		SET SUM_KOR = CASE WHEN ISNULL(SUM_LIM,0) > @LIMIT THEN ISNULL(SUM_LIM,0) - @LIMIT ELSE 0 END

		UPDATE #SUM_PERSON
		SET BAZA2 = CASE WHEN (ISNULL(BAZA,0) > ISNULL(SUM_KOR,0) OR ISNULL(BAZA,0) < 0)
							THEN ISNULL(BAZA,0) - ISNULL(SUM_KOR,0) ELSE 0 END
		
		UPDATE SP
		SET NALOG = 
					CASE WHEN BAZA <> BAZA2 
						THEN 
							
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON <= SP.MON),0)
							* ISNULL([PERCENT],0) / 100)
							-
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON < SP.MON),0)
							* ISNULL([PERCENT],0) / 100)

						ELSE 
							(SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND SP.DOG = PS.DOG AND PS.MON = SP.MON)
					END
					
					--CASE WHEN BAZA <> BAZA2 
					--	THEN ISNULL(BAZA2,0) * ISNULL([PERCENT],0) / 100
					--	ELSE (SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND PS.MON = SP.MON)
					--END	
		FROM
			#SUM_PERSON SP
		WHERE --  ,    
			EXISTS (SELECT * FROM #PERS_AFTER PA WHERE PA.LINK_PERSON = SP.LINK_PERSON AND PA.KATEG = SP.KATEG AND PA.DOG = SP.DOG)

	END
	FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
END

CLOSE @Cur2
DEALLOCATE @Cur2

--    
CREATE TABLE #PERS_SUM (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM (LINK_PERS, LINK_KATEG, DOG, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG,
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, SUMMA_BASE = SUM(BAZA2), SUMMA = SUM(NALOG)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG
		INNER JOIN #SUM_PERSON SP ON SP.LINK_PERSON = S.LINK_PERS AND SP.KATEG = K.LINK2 AND S.FORMA = SP.DOG AND SP.MON BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
	WHERE
		S.LINK_UP = @link
		AND
		@Year BETWEEN K.YBEG AND K.YEND
	GROUP BY
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, S.FORMA
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG

--
UPDATE S SET
	sum_doh = ISNULL(SUMMA_I,0), -- 10     
	sum_str = 0, -- 10      ,  ..    -  0,  
	sum_nak = ISNULL(SUMMA_G,0), --      
	sum_dop = 0 --  10      ,  ..    -  0,  
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #PERS_SUM P ON P.LINK_PERS = S.LINK_PERS AND P.LINK_KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

*/
---   
/*CREATE TABLE #INCOME_T1T2 (
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_T1_M1 NUMERIC(18,2),
	INCOME_T2_M1 NUMERIC(18,2),
	INCOME_T1_M2 NUMERIC(18,2),
	INCOME_T2_M2 NUMERIC(18,2),
	INCOME_T1_M3 NUMERIC(18,2),
	INCOME_T2_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME_T1T2 (LINK_PERS, KATEG, DOG, INCOME_T1_M1, INCOME_T2_M1, INCOME_T1_M2, INCOME_T2_M2, INCOME_T1_M3, INCOME_T2_M3)
SELECT REF_PHYS_PERS, KATEG, E.DOG, 
	INCOME_T1_M1 = SUM(CASE WHEN WAY_CALC = 10 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END), 
	INCOME_T2_M1 = SUM(CASE WHEN WAY_CALC = 11 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M2 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M2 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M3 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M3 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END)
FROM #SPR_ESN E
WHERE WAY_CALC IN (10,11)	
GROUP BY REF_PHYS_PERS, KATEG, E.DOG

UPDATE S SET
	S.INCOME_T1_M1 = P.INCOME_T1_M1,
	S.INCOME_T2_M1 = P.INCOME_T2_M1,
	S.INCOME_T1_M2 = P.INCOME_T1_M2,
	S.INCOME_T2_M2 = P.INCOME_T2_M2,
	S.INCOME_T1_M3 = P.INCOME_T1_M3,
	S.INCOME_T2_M3 = P.INCOME_T2_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME_T1T2 P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

--    
CREATE TABLE #INCOME(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_M1 NUMERIC(18,2),
	INCOME_M2 NUMERIC(18,2),
	INCOME_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME (LINK_PERS, KATEG, DOG, INCOME_M1, INCOME_M2, INCOME_M3)
SELECT 
	LINK_PERS, LINK_KATEG, DOG,
	INCOME_M1 = SUM(INCOME),
	INCOME_M2 = SUM(CASE WHEN MON = (@Month - 1) THEN INCOME ELSE 0 END),
	INCOME_M3 = SUM(CASE WHEN MON = @Month THEN INCOME ELSE 0 END)
FROM #PERS_SUM_J
GROUP BY 
	LINK_PERS, LINK_KATEG, DOG

UPDATE S SET
	S.INCOME_M1 = P.INCOME_M1,
	S.INCOME_M2 = P.INCOME_M2,
	S.INCOME_M3 = P.INCOME_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	


--   
CREATE TABLE #BASE(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	BASE_BEFORE_M1 NUMERIC(18,2),
	BASE_AFTER_M1 NUMERIC(18,2),
	BASE_BEFORE_M2 NUMERIC(18,2),
	BASE_AFTER_M2 NUMERIC(18,2),
	BASE_BEFORE_M3 NUMERIC(18,2),
	BASE_AFTER_M3 NUMERIC(18,2)	
	)

INSERT INTO #BASE (LINK_PERS, KATEG, DOG, BASE_BEFORE_M1, BASE_AFTER_M1, BASE_BEFORE_M2, BASE_AFTER_M2, BASE_BEFORE_M3, BASE_AFTER_M3 )
SELECT LINK_PERSON, KATEG, DOG,
	BASE_BEFORE_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M3	= SUM(CASE WHEN MON = @Month THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M3	= SUM(CASE WHEN MON = @Month THEN BAZA - BAZA2 ELSE 0 END)		
FROM #SUM_PERSON 
WHERE 
	WAY_CALC = 6
GROUP BY
	LINK_PERSON, KATEG, DOG
	
UPDATE S SET
	S.BASE_BEFORE_M1 = P.BASE_BEFORE_M1,
	S.BASE_AFTER_M1 = P.BASE_AFTER_M1,
	S.BASE_BEFORE_M2 = P.BASE_BEFORE_M2,
	S.BASE_AFTER_M2 = P.BASE_AFTER_M2,
	S.BASE_BEFORE_M3 = P.BASE_BEFORE_M3,
	S.BASE_AFTER_M3 = P.BASE_AFTER_M3	
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #BASE P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	
*/
--   ,   
SELECT LINK_PERS, FORMA, LINK_KATEG INTO #TAB FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY LINK_PERS, FORMA, LINK_KATEG HAVING SUM(sum_doh) = 0 AND SUM(sum_nak) = 0 AND SUM(INCOME_M1) = 0
--	

DELETE FROM dbo.SZV_STAZH_SVEDENIA 
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 AND LINK_KATEG NOT IN( @LINK_NR, @LINK_OZOI)



DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 
	AND NOT EXISTS (SELECT LINK_PERS FROM #TAB T WHERE T.LINK_PERS = dbo.SZV_STAZH_SVEDENIA.LINK_PERS AND T.FORMA = dbo.SZV_STAZH_SVEDENIA.FORMA AND T.LINK_KATEG = dbo.SZV_STAZH_SVEDENIA.LINK_KATEG)



--  
UPDATE dbo.SZV_STAZH_SVEDENIA SET LINK_KATEG = @LINK_NR WHERE link_up = @link AND LINK_KATEG = @LINK_OZOI




UPDATE b
set b.date_beg = a.date_beg ,
	b.date_end = a.date_end
FROM dbo.SZV_STAZH_SVEDENIA b
	left join (select link_up, date_beg = min(date_beg)  , date_end = max(date_end) , link_pers from dbo.SZV_STAZH_SVEDENIA a  where link_up = @link and (select count(*) from dbo.SZV_STAZH_SVEDENIA   where link_up =  a.link_up and link_pers = a.link_pers)>1  group by link_up,  link_pers) as a
	on  b.link_up = a.link_up  
where  b.link_pers = a.link_pers and  (select count(*) from dbo.SZV_STAZH_SVEDENIA   where link_up =  b.link_up and link_pers = b.link_pers)>1 


select link = max(link), link_up,LINK_PERS INTO #TAB1 FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY link_up, LINK_PERS, DATE_BEG,DATE_END  HAVING COUNT(link) >1

DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link in (select link from #tab1)



----     
EXEC [dbo].SS_SZV_ST_PACHKA_RASPIL @link


IF @VID_KOR != 3
	begin  
	---  

	----------------------------------------------------------------------------
	CREATE TABLE #PERIODY (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] int, NUM_STAKE NUMERIC(5,2), [IS_DOP] VARCHAR(20),	[NOT_LGOT_EXPIR] INT NULL , ADD_TYPE INT )

	--/* */
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, TYPE,[IS_DOP])
	SELECT 	DISTINCT
		PERS_LINK, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			THEN (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			ELSE S.DATE_END
		END,	
		0,
		[IS_DOP] = isnull(pt.DOP_IS_C, '' )  --(SELECT TOP 1  pt.DOP_IS_C  from dbo.POST_TYPES AS pt WHERE   pt.link = st.gossl) 
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.EMPL E ON S.LINK_PERS = E.PERS_LINK AND E.DEP_LINK = @DEP_LINK
		INNER JOIN dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE in (1,0) AND P.ACTIVE=1
		left join dbo.staff_head sh on sh.link = p.STAFF_LINK
		left join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
	WHERE
		S.LINK_UP = @link
		AND
		P.DATE_BEGIN <= @PeriodEnd
		and coalesce(P.DATE_END,'20990101') >= @PeriodBegin
		AND
		coalesce(U.DIS_DATE,'20990101') >= @PeriodBegin
		and st.date_begin <= @PeriodEnd
			and  coalesce(st.date_end,'20990101') >= @PeriodBegin
		--AND st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin	


	/* */
	Select DISTINCT
		link_face = DGH.PERS_LINK, LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				THEN (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				ELSE S.DATE_BEG
			END,
		date2 = CASE WHEN S.DATE_END > (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				THEN (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				ELSE S.DATE_END
			END,
		[type] = 0
	INTO #DGH	
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.SALARY_REESTR_DGH DGH ON S.LINK_PERS = DGH.PERS_LINK
	WHERE 
		S.LINK_UP = @link
		AND
		DGH.DEP_LINK = @DEP_LINK
		and
		DGH.DATE1 <= @PeriodEnd
		and
		coalesce(DGH.DATE2,'20990101') >= @PeriodBegin

SELECT * FROM #PERIODY

	--       
	SELECT LINK_FACE, DB = MIN(DATE1), DE = MAX(DATE2)
	INTO #WORK
	FROM #PERIODY
	GROUP BY LINK_FACE

	UPDATE S SET 
		S.DATE_BEG = CASE WHEN W.DB < S.DATE_BEG THEN S.DATE_BEG ELSE W.DB END,
		S.DATE_END = CASE WHEN W.DE > S.DATE_END THEN S.DATE_END ELSE W.DE END
	FROM 
		dbo.SZV_STAZH_SVEDENIA S INNER JOIN #WORK W ON S.LINK_PERS = W.LINK_FACE
	WHERE 
		S.LINK_UP = @link
	
	--
	CREATE TABLE #ADD_TYPE (
		[type] INT IDENTITY(1,1),
		[TERR_USL_TRUD] int NULL ,
		[TERR_RK] numeric(3, 2) NULL ,
		[OSOB_USL_TRUD] int NULL ,
		[COD_POS_SPISOK] int NULL ,
		[COD_POS_SPISOK2] int NULL ,
		[USL_DOSROCH_PENS] int NULL ,
		[STAVKA_PED_MED] numeric(3, 2) NULL,
		[VID] VARCHAR(20),
		[IS_DOP] VARCHAR(20),
		[COD_SPO_USL_TRUD] INT NULL
	)	
	INSERT INTO #ADD_TYPE 
		([TERR_USL_TRUD],[TERR_RK],[OSOB_USL_TRUD],[COD_POS_SPISOK],[COD_POS_SPISOK2],[USL_DOSROCH_PENS],[STAVKA_PED_MED],[VID],[IS_DOP],[COD_SPO_USL_TRUD])
	SELECT DISTINCT 
		ISNULL(s.TERR_USL_TRUD,0), ISNULL(s.TERR_RK,0), ISNULL(s.OSOB_USL_TRUD,0), ISNULL(s.COD_POS_SPISOK,0), ISNULL(s.COD_POS_SPISOK2,0), ISNULL(s.USL_DOSROCH_PENS,0), ISNULL(s.STAVKA_PED_MED,0), VID = 'ADD_TYPE', IS_DOP =  ISNULL(dop_is_c,''), ISNULL(s.[COD_SPO_USL_TRUD],0) 
	FROM dbo.staff s 
	LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = s.gossl
	WHERE ISNULL(s.TERR_USL_TRUD,0) <> 0 OR ISNULL(s.TERR_RK,0) <> 0 OR ISNULL(s.OSOB_USL_TRUD,0) <> 0 OR ISNULL(s.COD_POS_SPISOK,0) <> 0 OR ISNULL(s.COD_POS_SPISOK2,0) <> 0 OR ISNULL(s.USL_DOSROCH_PENS,0) <> 0 OR ISNULL(s.STAVKA_PED_MED,0) <> 0 OR ISNULL(s.[COD_SPO_USL_TRUD],0) <> 0 
	OR ISNULL(pt.dop_is_c,'')<>'' 

	--
	DECLARE @MAX_TYPE INT
	SET @MAX_TYPE = ISNULL((SELECT MAX(type) FROM #ADD_TYPE),0)

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('TMP_TYPE', '')
	
	/*  ( )*/
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('KOMM_TYPE', '')


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD1', '')

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	SELECT DISTINCT
		'PERIOD2',
		ISNULL(V.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
					--AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
					) VV ON VV.LINK = IV.TYPE_LINK
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD3', '')
/*
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	Select DISTINCT
		'PERIOD4',
		ISNULL(VV.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/
	--    
	INSERT INTO #ADD_TYPE (VID, IS_DOP) 	
	SELECT LEFT('P_' + LTRIM(RTRIM(CODE)),20), IS_DOP
	FROM dbo.VACATION_VID 
	WHERE	IS_DOP IS NOT NULL
			AND 
			NOT EXISTS (SELECT * FROM #ADD_TYPE WHERE VID = LEFT('P_' + LTRIM(RTRIM(CODE)),20))


 	--    c   
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type], NUM_STAKE, IS_DOP)
	SELECT DISTINCT 
		link_face = E.PERS_LINK, S.LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN ELSE @PeriodBegin end)
					THEN (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN else  (case when IM.DATE_BEGIN >= @PeriodBegin  THEN IM.DATE_BEGIN ELSE @PeriodBegin end) end)
					ELSE (case when IM.DATE_BEGIN >= S.DATE_BEG  AND (dis_date IS NOT NULL AND dis_date BETWEEN @PeriodBegin AND @PeriodEND) THEN IM.DATE_BEGIN ELSE S.DATE_BEG end) --          -      
				END,
		date2 = CASE WHEN 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
							> (case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					THEN 
						(case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					ELSE 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
				END,	
		ISNULL(T.[type],0),
		ISNULL(im.NUM_STAKE,0),
		IS_DOP = isnull(T.[IS_DOP],'')
		--, ST.*
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		INNER JOIN dbo.sa_item_move im ON im.EMPL_LINK = e.link
		inner join dbo.staff_head sh on sh.link = STAFF_LINK
		inner join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1	
		left join #ADD_TYPE T on 
				ISNULL(st.TERR_USL_TRUD,0) = ISNULL(T.TERR_USL_TRUD,0) 
				AND ISNULL(st.TERR_RK,0) = ISNULL(T.TERR_RK,0) 
				AND ISNULL(st.OSOB_USL_TRUD,0) = ISNULL(T.OSOB_USL_TRUD,0) 
				AND ISNULL(st.COD_POS_SPISOK,0) = ISNULL(T.COD_POS_SPISOK,0) 
				AND ISNULL(st.COD_POS_SPISOK2,0) = ISNULL(T.COD_POS_SPISOK2,0) 
				AND ISNULL(st.USL_DOSROCH_PENS,0) = ISNULL(T.USL_DOSROCH_PENS,0) 
				AND ISNULL(st.STAVKA_PED_MED,0) = ISNULL(T.STAVKA_PED_MED,0) 
				AND ISNULL(st.[COD_SPO_USL_TRUD],0) = ISNULL(T.[COD_SPO_USL_TRUD],0)
				AND ltrim(rtrim(ISNULL(pt.[DOP_IS_C],''))) = ltrim(rtrim(ISNULL(T.[IS_DOP],'')))
	where 
		S.LINK_UP = @link
		AND
		IM.NUM_STAKE >= 1 
		AND
		IM.[STATUS] <> 2 -- .   
		AND
		im.DATE_BEGIN <= @PeriodEnd and im.DATE_END3 >= @PeriodBegin
		and 
		st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin
		AND 
		im.DATE_end3 > st.DATE_BEGIN -- AND st.DATE_END	 --            
		AND
		T.[TYPE] IS NOT NULL AND T.VID = 'ADD_TYPE'
		AND
		COALESCE(U.DIS_DATE,'20990101') >= @PeriodBegin
	order by
		E.PERS_LINK
	---**************************************

	DECLARE @TMP_TYPE INT
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')


	/* -    ( .  )*/
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	Select DISTINCT 
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		ISNULL( (SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = LEFT('P_' + LTRIM(RTRIM(VV.CODE)),20) AND AT.IS_DOP = VV.IS_DOP ), @TMP_TYPE),
		[NOT_LGOT_EXPIR]
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_vacation iv on E.link = iv.EMPL_LINK 
		inner join dbo.orders o on iv.order_link=o.link
		--  ,   "    ", 
		--  (   )
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND isnull(vv.IS_DOP,'') <> '' 
		INNER JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK AND WORK_D <> 7 --      (   )
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and ISNULL(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and 
		iv.compens <>1 --   
		and
		iv.date_begin <= @PeriodEnd
		and
		ISNULL(ISNULL(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	/* -    ( .  )*/	
	--SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'KOMM_TYPE')
	
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			THEN (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE,
		1
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_travel T on E.link = T.EMPL_LINK
		left join dbo.ITEM_TRAVEL_LONG ITL on ITL.TRAVEL_LINK = T.LINK and ISNULL(ITL.ACTIVE,0) = 1	
	WHERE
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		AND 
		T.ACTIVE = 1 
		AND 
		T.DATE_BEGIN <= @PeriodEnd
		AND 
		ISNULL(ISNULL(ITL.NEW_DATE_END,T.date_end),'20990101') >= @PeriodBegin

	/* -      */

	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD1')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
		INNER JOIN dbo.NETRUD N ON N.LINK = [TYPE] AND N.DEKRET = 1
	WHERE 
		S.LINK_UP = @link
		AND	
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin

	/* -  */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD3')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
	WHERE
		S.LINK_UP = @link
		AND	 
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin
		and
		[TYPE] not in (select LINK from dbo.NETRUD where DEKRET = 1)

	/* -     1,5   3 */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK-1,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD2' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(V.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER join dbo.TYP_DAYS D on V.TYPE_LINK = D.LINK AND  WORK_D = 7 
		--INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
			----AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
		--	) VV ON VV.LINK = IV.TYPE_LINK
		LEFT JOIN DBO.ITEM_VACATION_BREAK IVB ON IVB.VAC_LINK = IV.LINK AND COALESCE(IVB.ACTIVE,0) = 1
	WHERE 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin

/*
	/* -     */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	Select DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD4' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(VV.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	WHERE
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/

	--------------------------------------------------------------------------
	-- 2.            type.
	--- ,        , ..     
	CREATE TABLE #PERIODY3 (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] INT, orders int, i int, NUM_STAKE NUMERIC(5,2),IS_DOP VARCHAR(20), TYPE_ADD INT)

	--    -1  ..  
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, [type])
	SELECT DISTINCT link_face, LINK_KATEG, @PeriodBegin, @PeriodEnd, [type] = -1   FROM #PERIODY


	CREATE TABLE #DAYS (ID INT IDENTITY(1,1), LINK_FACE INT, LINK_KATEG INT, [DATE] DATETIME, [TYPE] INT, NUM INT/*, IS_DOP VARCHAR(20)*/, NUM_STAKE NUMERIC(5,2), [TYPE_ADD] INT)

	INSERT INTO #DAYS (LINK_FACE, LINK_KATEG, [DATE], [TYPE], NUM, NUM_STAKE/*,IS_DOP*/, [TYPE_ADD])
	SELECT P.LINK_FACE, P.LINK_KATEG, [DATE], [TYPE] = MAX([TYPE]), 0, 
		[NUM_STAKE] = MAX(ISNULL(NUM_STAKE,0)), 
		--isnull(IS_DOP,''),
		[TYPE_ADD] = MAX(CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END
		)
	FROM 
		#PERIODY P
		INNER JOIN dbo.days_ex(@PeriodBegin, @PeriodEnd) D ON 1=1
	WHERE
		D.[DATE] BETWEEN P.DATE1 AND P.DATE2
	GROUP BY
		 P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]
	ORDER BY	
		P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]

	--   ,     
	UPDATE #DAYS SET [TYPE_ADD] = 0 
	WHERE 
		EXISTS (SELECT * FROM #PERIODY WHERE 
			#PERIODY.[NOT_LGOT_EXPIR] = 1
			AND #PERIODY.link_face = #DAYS.link_face
			AND #DAYS.[DATE] BETWEEN #PERIODY.DATE1 AND #PERIODY.DATE2)




	-- 
	DECLARE 
		@ID INT, @ID1 INT, @ID2 INT, @LINK_FACE INT, @DATE datetime, @LINK_KATEG INT, @TYPE INT, @NUM INT, @TYPE_ADD INT,
		@LINK_FACE1 INT, @LINK_KATEG1 INT, @TYPE1 INT,@TYPE_ADD1 INT,@DATE1 datetime

	--  ,      

------   #ADD_TYPE    
----
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')
----
	CREATE table #TDays(link_face int, id int,  date DATETIME ,LINK_KATEG int , [TYPE] INT, [TYPE_ADD] INT)
	INSERT INTO #TDays (link_face, id, date, LINK_KATEG, [TYPE], [TYPE_ADD])
	SELECT d.link_face,
		   d.id,
		   d.date,
		   d.LINK_KATEG,
		   d.[TYPE],
		   d.[TYPE_ADD]
	FROM #DAYS d WHERE d.[type] = @TMP_TYPE 
	ORDER BY d.link_face, d.ID ,d.[date], d.[TYPE] ,d.[TYPE_ADD]	 


	DECLARE @Cur0 CURSOR, @F_TYPE int, @F_TYPE_ADD int
	SET @Cur0 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE,[date],LINK_KATEG, [TYPE],  TYPE_ADD from  #TDays order by ID, LINK_FACE, [DATE]
	OPEN @Cur0
	FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
		
			SELECT DISTINCT @F_TYPE =[TYPE], @F_TYPE_ADD = [type_add]  
			FROM #DAYS WHERE LINK_FACE = @LINK_FACE AND LINK_KATEG = @LINK_KATEG AND [DATE] = @DATE-1 
			
			SELECT @F_TYPE = ISNULL(@F_TYPE,0), @F_TYPE_ADD = ISNULL( @F_TYPE_ADD,0) 

			IF @F_TYPE_ADD = @type_add OR  (ISNULL((SELECT TOP 1 IS_DOP TYPE FROM #ADD_TYPE WHERE [type] = @F_TYPE_ADD),'') <> '' AND @type_add = 0) 
			BEGIN
			
				UPDATE d
				SET [TYPE] = @F_TYPE , [type_add] = @F_TYPE_ADD 
				FROM #DAYS d
				WHERE d.ID = @ID AND d.LINK_FACE = @LINK_FACE AND d.[DATE] = @DATE AND d.LINK_KATEG=@LINK_KATEG AND d.[TYPE] = @TMP_TYPE

			END	

		END

		FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	END

	CLOSE @Cur0
	DEALLOCATE @Cur0

	--
	/*		---------
				UPDATE #DAYS SET [type] = 0 WHERE [type] = @TMP_TYPE
			---------*/

DROP TABLE #TDays 

---------------------------------------------------------------------------------
	--	
	SELECT TOP 1 @ID1 = 0, @ID2 = 0, @NUM = 0, @LINK_FACE1 = LINK_FACE, @LINK_KATEG1 =LINK_KATEG, @TYPE1 = [TYPE]
	FROM #DAYS
	order by ID
	--
	DECLARE @Cur1 CURSOR
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE, LINK_KATEG, [TYPE] from #DAYS order by ID
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			IF NOT (@LINK_FACE = @LINK_FACE1 AND @LINK_KATEG = @LINK_KATEG1 AND @TYPE = @TYPE1)
			BEGIN
				
				SELECT @NUM = @NUM + 1, @LINK_FACE1 = @LINK_FACE, @LINK_KATEG1 = @LINK_KATEG, @TYPE1 = @TYPE
				UPDATE #DAYS SET NUM = @NUM WHERE ID BETWEEN @ID1 AND @ID-1
				SELECT @ID1 = @ID 

			END

		END

		FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--
	UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1


	--------------------------------


	SELECT a.link, a.link_face, a.LINK_KATEG, a.date1, a.date2, a.[type],
	       a.NUM_STAKE, a.IS_DOP, a.NOT_LGOT_EXPIR, a.ADD_TYPE
	INTO #PERIODY_DEL
	FROM #PERIODY a 
		INNER join #PERIODY p on  	p.[type]<= @MAX_TYPE AND 	p.link_face = a.link_FACE	AND p.[type] <> a.[type] 
	WHERE a.[type]= 0 	
	AND p.[type] IN (SELECT [type]  FROM #ADD_TYPE WHERE vid = 'ADD_TYPE')  

	DELETE  FROM  #PERIODY  WHERE link  IN (SELECT link FROM #PERIODY_DEL)
	
	
	UPDATE P 
	SET [ADD_TYPE] = (CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END)
	FROM 
		#PERIODY P
	UPDATE P
	SET [ADD_TYPE] = (SELECT top 1 ADD_TYPE FROM #PERIODY WHERE p.date1 between date1 AND DATE2 )
	FROM 
		#PERIODY P WHERE isnull(P.ADD_TYPE,0) = 0 


	--
DECLARE @IS_DOP varchar(10) , @LINK_FACE_OLD int 
SET @Cur1 = CURSOR FORWARD_ONLY
FOR SELECT  link_face,IS_DOP, [TYPE] from #PERIODY order by link_face
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO  @LINK_FACE, @IS_DOP, @TYPE
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		----           #PERIODY

		IF ISNULL(@LINK_FACE_OLD,0) <> isnull(@LINK_FACE,0)
		BEGIN
			IF EXISTS(select * from #PERIODY where isnull(IS_DOP,'') <> '' and link_face = @LINK_FACE /*and [TYPE] = @TYPE*/)
			BEGIN
				INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
				SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE1]), DATE_END = MAX([DATE2]), [TYPE], 0, 0, NUM_STAKE = max(ISNULL(NUM_STAKE,0)), ADD_TYPE
				FROM #PERIODY	
				WHERE [type] <> @TMP_TYPE
				--and [type]  = @TYPE
				and isnull(IS_DOP,'') <> ''
				and link_face = @LINK_FACE
				GROUP BY LINK_FACE, LINK_KATEG, /*[DATE1],[DATE2],*/ [TYPE], ADD_TYPE 
				ORDER BY LINK_FACE, LINK_KATEG /*, [DATE1],[DATE2]*/, [TYPE], ADD_TYPE


				-----	

			END 
			 ----           #DAYS
			IF EXISTS(select * from #PERIODY where isnull(IS_DOP,'') = '' and link_face = @LINK_FACE )
			begin
	----
				INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
				SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE]), DATE_END = MAX([DATE]), [TYPE], 0, 0, NUM_STAKE = MAX(ISNULL(NUM_STAKE,0)), TYPE_ADD
				FROM #DAYS	
				where link_face = @link_face
				and [type] not in (select [type] from #periody where isnull(IS_DOP,'') <> '' and link_face = @LINK_FACE)
				GROUP BY LINK_FACE, LINK_KATEG, NUM, [TYPE], TYPE_ADD
				ORDER BY LINK_FACE, LINK_KATEG, DATE_BEG, DATE_END
		
			end 
		
		END 
		set @LINK_FACE_OLD = @LINK_FACE
	END

	FETCH NEXT FROM @Cur1 INTO @LINK_FACE, @IS_DOP, @TYPE
END

CLOSE @Cur1
DEALLOCATE @Cur1
--
UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1	


	--  
	DELETE FROM #PERIODY3 WHERE [TYPE] = -1

	/* */
	DECLARE @uslovie INT
	set @uslovie = 1
	while @uslovie > 0
	begin
		update #PERIODY3 set orders = @uslovie 
		from #PERIODY3 as tt
		where 	coalesce(orders,0) = 0
			and date1 = (select min(t.date1) from #PERIODY3 t where coalesce(orders,0) = 0 and t.link_face = tt.link_face AND T.LINK_KATEG = TT.LINK_KATEG)
		if @@rowcount > 0
			set @uslovie = @uslovie + 1
		else
			set @uslovie = 0
	END


	--   
	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_k3, is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k, osob_spo)
	Select S.link, P.orders, P.date1, P.date2, 
		ter_usl = ISNULL(spr1.CODE,spr1A.CODE),
		ter_koef = ISNULL(T.TERR_RK,TA.TERR_RK),
		osob_usl = ISNULL(spr2.CODE,spr2A.CODE),
		osob_k1 = ISNULL(spr6.CODE,spr6A.CODE),
		osob_k2 = CONVERT(VARCHAR(20),left(ISNULL(spr7.CODE,spr7A.CODE),20)),
		osob_k3 = NULL,
		is_osnov = NULL, 
		is_dop = LTRIM(RTRIM(ISNULL(T.IS_DOP,TA.IS_DOP))),
		is_dop_m = NULL, 
		is_dop_d = NULL, 
		ud_osnov = ISNULL(spr5.CODE,spr5A.CODE), 
		ud_dop_m = NULL, 
		ud_dop_d = NULL, 
		ud_dop_k = ISNULL(T.STAVKA_PED_MED,TA.STAVKA_PED_MED) * P.NUM_STAKE,
		osob_spo = ISNULL(spr9.CODE,spr9A.CODE)
	 from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		inner join #PERIODY3 P on S.link_pers = P.link_face AND S.LINK_KATEG = P.LINK_KATEG
		
		LEFT JOIN #ADD_TYPE T ON P.[TYPE] = T.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1 on spr1.spr_code = 'TERR_USL' and spr1.LINK = T.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2 on spr2.spr_code = 'OSOB_USL_TRUDA' and spr2.LINK = T.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5 on spr5.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5.LINK = T.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6 on spr6.SPR_CODE LIKE 'SPISOK%' and spr6.LINK = T.COD_POS_SPISOK
		left join dbo.szv4_spr spr7 on spr7.SPR_CODE LIKE 'SPISOK%' and spr7.LINK = T.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3
		left join dbo.szv4_spr spr9 on spr9.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9.LINK = T.[COD_SPO_USL_TRUD]

		LEFT JOIN #ADD_TYPE TA ON P.[TYPE_ADD] = TA.[TYPE] AND P.[TYPE_ADD] <> P.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1A on spr1A.spr_code = 'TERR_USL' and spr1A.LINK = TA.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2A on spr2A.spr_code = 'OSOB_USL_TRUDA' and spr2A.LINK = TA.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5A on spr5A.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5A.LINK = TA.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6A on spr6A.SPR_CODE LIKE 'SPISOK%' and spr6A.LINK = TA.COD_POS_SPISOK
		left join dbo.szv4_spr spr7A on spr7A.SPR_CODE LIKE 'SPISOK%' and spr7A.LINK = TA.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3	
		left join dbo.szv4_spr spr9A on spr9A.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9A.LINK = TA.[COD_SPO_USL_TRUD]
	where
		S.link_up = @link
		AND
		S.FORMA = 1
	order by
		S.link, P.orders

	--  
	CREATE TABLE #STAGE_DOG (
		LINK_PERS INT, 
		KATEG TINYINT,
		BERIOD_BEG DATETIME,
		BERIOD_END DATETIME
		)

	INSERT INTO #STAGE_DOG (LINK_PERS, KATEG, BERIOD_BEG, BERIOD_END)
	SELECT LINK_FACE, LINK_KATEG, MIN(date1), MAX(date2) 
	FROM #DGH A
	GROUP BY LINK_FACE, month(date1), month(date2), LINK_KATEG


	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2,is_dop)
	Select S.link, 1, P.BERIOD_BEG, P.BERIOD_END,is_dop = (CASE WHEN exists(select * from  DOCUMENTS_DGH_T1 t1 
																				inner join dbo.DOCUMENTS_DGH DOC  ON DOC.link = t1.link 
																				INNER JOIN dbo.SALARY_REESTR_DGH DG ON dg.pers_link = t1.pers_link and dg.link = t1.link_dog 
																				WHERE t1.pers_link = p.LINK_PERS
																				and DOC.Flag_jc = 1
																				AND  DG.DATE1 =  p.BERIOD_BEG and DG.DATE2 =  p.BERIOD_END ) THEN '' ELSE '' END)
	from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN #STAGE_DOG P on S.link_pers = P.LINK_PERS AND S.LINK_KATEG = P.KATEG
		
	where
		S.link_up = @link
		AND
		(S.FORMA = 1 OR (S.FORMA = 2  AND NOT EXISTS( SELECT * FROM dbo.SZV_STAZH_SVEDENIA sS 
														INNER JOIN #STAGE_DOG Ps on sS.link_pers = Ps.LINK_PERS AND sS.LINK_KATEG = Ps.KATEG 
		                                              WHERE  sS.LINK_PERS =S.LINK_PERS AND  Ss.link_up  = s.link_up AND  Ss.FORMA = 1)))
	order by
		S.link
		
	END


--------------------------------------------------------------------------
/*    ,            
C 14     
*/	
DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE 
LINK_UP = @link
AND
EXISTS (		
	Select  1
	from dbo.ss_szv_STazh_svedenia S inner join  dbo.szv_STAZH_pachka p on p.link = s.link
	WHERE 
		S.LINK1 = dbo.SZV_STAZH_SVEDENIA.LINK
		AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0
				 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0 
		and p.vid_kor != 3
		AND NOT EXISTS (SELECT * FROM dbo.SZV_ST_STAZH ST WHERE ST.LINK_UP = S.LINK1)
)


SELECT s.link, s.link_up, orders = row_number() over(ORDER BY p.NAME_PERS), s.link_pers 
INTO #orders_sved
FROM dbo.SZV_STAZH_SVEDENIA s 
INNER JOIN dbo.ku_person p  ON p.link = s.link_pers
WHERE link_up = @link
ORDER BY 
p.NAME_PERS

 
UPDATE dbo.SZV_STAZH_SVEDENIA
SET orders = s.orders
FROM #orders_sved s WHERE s.link = dbo.SZV_STAZH_SVEDENIA.link  and s.link_up = dbo.SZV_STAZH_SVEDENIA.link_up AND s.link_pers  = dbo.SZV_STAZH_SVEDENIA.link_pers

--------------------------------------------------------------------------
--exec dbo.SZV_ST_NUMERATOR @link











GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9869.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017]

GO

CREATE   PROCEDURE [dbo].SS_SZV_ST_PACHKA_CALC_Buffer_2017 (@BufferCode varchar(10), @link int, @Year int, @Month tinyint) 
AS

DECLARE @SQL VARCHAR(1000)

SET @SQL = '
delete from dbo.Buffer
where RTRIM(LTRIM(ID)) = RTRIM(LTRIM( ''' + @BufferCode + ''' ))
	and link IN (select S.link_pers from dbo.SZV_STAZH_SVEDENIA S where S.link_up = ' + CONVERT(VARCHAR(20),@LINK) + ')'
--EXEC (@SQL)	--!!


CREATE TABLE #PERSON (LINK INT)	

SET @SQL = '
INSERT INTO #PERSON (LINK)
SELECT DISTINCT LINK FROM dbo.Buffer WHERE RTRIM(LTRIM(ID)) = RTRIM(LTRIM(''' + @BufferCode + '''))'
EXEC (@SQL)	

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @VID_KOR TINYINT , @type_doc tinyint

SELECT @VID_KOR = VID_KOR, @type_doc = [type]
FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link


IF @VID_KOR = 2
begin  
	SELECT @Year = @Year, @PER = PER_EDT, @MONTH_END = @Month
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
else 
begin
	SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END
	FROM dbo.SZV_STAZH_PACHKA WHERE LINK = @link
end 
DECLARE @PeriodBegin datetime, @PeriodEnd datetime

/*IF @type_doc = 1 OR (@type_doc = 2 AND @PER <> 4)
BEGIN
	SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
	SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

	IF @MONTH_BEG > @MONTH_END
		SET @MONTH_END = @MONTH_BEG + 3 - 1
END
IF  @type_doc = 2 AND @PER = 4
 BEGIN */
		SET @MONTH_BEG = 1 
		SET @MONTH_END = 12
/* END */

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--  .
--
DECLARE @LINK_OZOI INT
SET @LINK_OZOI = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 3 AND @Year BETWEEN YBEG AND YEND),1)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME)

INSERT INTO #PERS_INV (PERS_LINK, DATE_BEGIN, DATE_END) 
SELECT PERS_LINK, DATE_BEGIN = MIN(ISNULL(I.DATE_BEGIN,@PeriodBegin)), DATE_END = MAX(ISNULL(I.DATE_END,@PeriodEnd))
FROM dbo.PERS_INVALID I
WHERE ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin
GROUP BY PERS_LINK


--forma    2013     (1 , 2 )
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_OZOI,
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END,
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
from 
	(	SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2 
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	INNER JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		


----
DECLARE @LINK_NR INT
SET @LINK_NR = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 1 AND @Year BETWEEN YBEG AND YEND),1)

--forma    2013     (1 , 2 )	
insert into dbo.SZV_STAZH_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_NR,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodBegin < CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		THEN @PeriodBegin 
		ELSE CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END + 1
	END,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodEnd > CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		THEN @PeriodEnd
		ELSE CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END - 1
	END
from 
	(	
		SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		
WHERE --          
	I.PERS_LINK IS NULL --  
	OR --    
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1
	OR --    
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1	

----
DECLARE @LINK_USEN INT
SET @LINK_USEN = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 2 AND @Year BETWEEN YBEG AND YEND),1)		
	
insert into dbo.SZV_STAZH_SVEDENIA 
	(link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
SELECT 	
	link_up, orders, forma, link_pers, ISNULL(sum_doh,0), ISNULL(sum_str,0), ISNULL(sum_nak,0), ISNULL(sum_dop,0), ISNULL(dper_vn_m,0), ISNULL(dper_vn_d,0), ISNULL(dper_oz_m,0), ISNULL(dper_oz_d,0), ISNULL(isum_str,0), ISNULL(isum_nak,0), @LINK_USEN, DATE_BEG, DATE_END
FROM
	#PERSON B INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON B.LINK = S.link_pers 
WHERE
	link_up = @link
	AND
	LINK_KATEG = @LINK_NR	


/*----        
CREATE TABLE #PERS_SUM_J (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, MON INT, INCOME NUMERIC(18,2), SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM_J (LINK_PERS, LINK_KATEG, DOG, MON, INCOME, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG, MON,
	SUM(CASE WHEN [OBJECT] = 1 THEN SUMMA ELSE 0 END), --  (INCOME)
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.EMPL E ON E.PERS_LINK = S.LINK_PERS
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_EMPL = E.LINK 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 1 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
	UNION ALL	
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.PERS_LINK = S.LINK_PERS 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 2 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG, MON
*/
--
/*CREATE INDEX #TMP_IDX_#PERS_SUM_J ON #PERS_SUM_J (LINK_PERS, LINK_KATEG)

--ר     
-- ר         512   ר 
create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, KATEG TINYINT, DOG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG = 1
FROM 
	dbo.SA_ESN_VIEW(@Year, @Month, @DEP_LINK, 0) S
WHERE 
	WAY_CALC IN (6,7,10,11)
	AND EXISTS (SELECT * FROM #PERSON B WHERE B.LINK = S.REF_PHYS_PERS)

--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, 
	GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, 
	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@Year))) = 2
		THEN 3
		ELSE
		CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END
	END, 
	DOG = 2
FROM 
	dbo.DOCUMENTS_DGH G 
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.PERSON P on GT.PERS_LINK = P.link
	INNER JOIN #PERSON B ON B.LINK = P.LINK
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  IN (6,7,10,11)
	AND YEAR(G.[DATE]) = @Year
	AND MONTH(G.[DATE]) <= @Month
	AND LINK_DEP = @DEP_LINK


--
CREATE INDEX #TMP_IDX_SPR_ESN ON #SPR_ESN (REF_PHYS_PERS, KATEG, DOG)

--
DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS < @PeriodBegin )
*/
--  
DECLARE @STAVKI TABLE ( LINK_PERS INT, TARIF TINYINT, PREDEL NUMERIC(15,2), [PERCENT] NUMERIC(8,2), WAY_CALC TINYINT)

INSERT INTO @STAVKI (LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC)
SELECT 
	LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC 
FROM 
	dbo.SA_ESN_TARIF(DEFAULT, @PeriodEnd, DEFAULT) S
WHERE 
	WAY_CALC IN (6,7)
	AND EXISTS (SELECT * FROM #PERSON P WHERE P.LINK = S.LINK_PERS)

--	
DECLARE @LIMIT NUMERIC(18,2)
SET @LIMIT = ISNULL((SELECT MIN(PREDEL) FROM @STAVKI WHERE TARIF = 1 AND WAY_CALC = 6),0)

------      ר   ר  512.
/*CREATE TABLE #SUM_PERSON (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT, WAY_CALC TINYINT, [PERCENT] NUMERIC(18,2), MON TINYINT, 
				BAZA NUMERIC(18,2), SUM_LIM NUMERIC(18,2), SUM_KOR NUMERIC(18,2),BAZA2 NUMERIC(18,2),  NALOG NUMERIC(20,6), M BIT)

INSERT INTO #SUM_PERSON (LINK_PERSON, KATEG, DOG, WAY_CALC, [PERCENT], MON, BAZA, NALOG, M)
SELECT
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE,
	SUM(ISNULL(SUMMA_BASE,0) - ISNULL(DED_M,0) - ISNULL(INV_M,0)) AS BAZA,
	SUM(SUMMA),
	0
FROM 
	#SPR_ESN E
	INNER JOIN @STAVKI S ON S.LINK_PERS = E.REF_PHYS_PERS AND S.WAY_CALC = E.WAY_CALC AND S.TARIF = E.KATEG
WHERE 
	S.PREDEL = @LIMIT
GROUP BY
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE

-- ,     
CREATE TABLE #PERS_AFTER (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT)

INSERT INTO #PERS_AFTER (LINK_PERSON, KATEG, DOG)
SELECT LINK_PERSON, KATEG, DOG
FROM #SUM_PERSON 
WHERE WAY_CALC = 6
GROUP BY LINK_PERSON, KATEG, DOG
HAVING SUM(BAZA) > @LIMIT
DECLARE @Cur2 CURSOR, @MON TINYINT, @KATEG TINYINT, @DOG TINYINT

SET @Cur2 = CURSOR FORWARD_ONLY
FOR SELECT DISTINCT MON, KATEG, DOG FROM #SUM_PERSON SP
	ORDER BY MON, KATEG ASC, DOG DESC
OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE SP --     
		SET 
			M = 1,
			SUM_LIM = (SELECT SUM(BAZA) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.WAY_CALC = SP.WAY_CALC AND (M=1 OR SP1.MON = SP.MON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG))
		FROM #SUM_PERSON SP
		WHERE MON = @MON AND KATEG = @KATEG AND DOG = @DOG
		
		UPDATE #SUM_PERSON -- 
		SET SUM_KOR = CASE WHEN ISNULL(SUM_LIM,0) > @LIMIT THEN ISNULL(SUM_LIM,0) - @LIMIT ELSE 0 END

		UPDATE #SUM_PERSON
		SET BAZA2 = CASE WHEN (ISNULL(BAZA,0) > ISNULL(SUM_KOR,0) OR ISNULL(BAZA,0) < 0)
							THEN ISNULL(BAZA,0) - ISNULL(SUM_KOR,0) ELSE 0 END
		
		UPDATE SP
		SET NALOG = 
					CASE WHEN BAZA <> BAZA2 
						THEN 
							
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON <= SP.MON),0)
							* ISNULL([PERCENT],0) / 100)
							-
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON < SP.MON),0)
							* ISNULL([PERCENT],0) / 100)

						ELSE 
							(SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND SP.DOG = PS.DOG AND PS.MON = SP.MON)
					END
					
					--CASE WHEN BAZA <> BAZA2 
					--	THEN ISNULL(BAZA2,0) * ISNULL([PERCENT],0) / 100
					--	ELSE (SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND PS.MON = SP.MON)
					--END	
		FROM
			#SUM_PERSON SP
		WHERE --  ,    
			EXISTS (SELECT * FROM #PERS_AFTER PA WHERE PA.LINK_PERSON = SP.LINK_PERSON AND PA.KATEG = SP.KATEG AND PA.DOG = SP.DOG)

	END
	FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
END

CLOSE @Cur2
DEALLOCATE @Cur2

--    
CREATE TABLE #PERS_SUM (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM (LINK_PERS, LINK_KATEG, DOG, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG,
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, SUMMA_BASE = SUM(BAZA2), SUMMA = SUM(NALOG)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG
		INNER JOIN #SUM_PERSON SP ON SP.LINK_PERSON = S.LINK_PERS AND SP.KATEG = K.LINK2 AND S.FORMA = SP.DOG AND SP.MON BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
	WHERE
		S.LINK_UP = @link
		AND
		@Year BETWEEN K.YBEG AND K.YEND
	GROUP BY
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, S.FORMA
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG

--
UPDATE S SET
	sum_doh = ISNULL(SUMMA_I,0), -- 10     
	sum_str = 0, -- 10      ,  ..    -  0,  
	sum_nak = ISNULL(SUMMA_G,0), --      
	sum_dop = 0 --  10      ,  ..    -  0,  
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #PERS_SUM P ON P.LINK_PERS = S.LINK_PERS AND P.LINK_KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

*/
---   
/*CREATE TABLE #INCOME_T1T2 (
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_T1_M1 NUMERIC(18,2),
	INCOME_T2_M1 NUMERIC(18,2),
	INCOME_T1_M2 NUMERIC(18,2),
	INCOME_T2_M2 NUMERIC(18,2),
	INCOME_T1_M3 NUMERIC(18,2),
	INCOME_T2_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME_T1T2 (LINK_PERS, KATEG, DOG, INCOME_T1_M1, INCOME_T2_M1, INCOME_T1_M2, INCOME_T2_M2, INCOME_T1_M3, INCOME_T2_M3)
SELECT REF_PHYS_PERS, KATEG, E.DOG, 
	INCOME_T1_M1 = SUM(CASE WHEN WAY_CALC = 10 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END), 
	INCOME_T2_M1 = SUM(CASE WHEN WAY_CALC = 11 THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M2 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M2 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M3 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M3 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END)
FROM #SPR_ESN E
WHERE WAY_CALC IN (10,11)	
GROUP BY REF_PHYS_PERS, KATEG, E.DOG

UPDATE S SET
	S.INCOME_T1_M1 = P.INCOME_T1_M1,
	S.INCOME_T2_M1 = P.INCOME_T2_M1,
	S.INCOME_T1_M2 = P.INCOME_T1_M2,
	S.INCOME_T2_M2 = P.INCOME_T2_M2,
	S.INCOME_T1_M3 = P.INCOME_T1_M3,
	S.INCOME_T2_M3 = P.INCOME_T2_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME_T1T2 P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

--    
CREATE TABLE #INCOME(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_M1 NUMERIC(18,2),
	INCOME_M2 NUMERIC(18,2),
	INCOME_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME (LINK_PERS, KATEG, DOG, INCOME_M1, INCOME_M2, INCOME_M3)
SELECT 
	LINK_PERS, LINK_KATEG, DOG,
	INCOME_M1 = SUM(INCOME),
	INCOME_M2 = SUM(CASE WHEN MON = (@Month - 1) THEN INCOME ELSE 0 END),
	INCOME_M3 = SUM(CASE WHEN MON = @Month THEN INCOME ELSE 0 END)
FROM #PERS_SUM_J
GROUP BY 
	LINK_PERS, LINK_KATEG, DOG

UPDATE S SET
	S.INCOME_M1 = P.INCOME_M1,
	S.INCOME_M2 = P.INCOME_M2,
	S.INCOME_M3 = P.INCOME_M3
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #INCOME P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	


--   
CREATE TABLE #BASE(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	BASE_BEFORE_M1 NUMERIC(18,2),
	BASE_AFTER_M1 NUMERIC(18,2),
	BASE_BEFORE_M2 NUMERIC(18,2),
	BASE_AFTER_M2 NUMERIC(18,2),
	BASE_BEFORE_M3 NUMERIC(18,2),
	BASE_AFTER_M3 NUMERIC(18,2)	
	)

INSERT INTO #BASE (LINK_PERS, KATEG, DOG, BASE_BEFORE_M1, BASE_AFTER_M1, BASE_BEFORE_M2, BASE_AFTER_M2, BASE_BEFORE_M3, BASE_AFTER_M3 )
SELECT LINK_PERSON, KATEG, DOG,
	BASE_BEFORE_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M3	= SUM(CASE WHEN MON = @Month THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M3	= SUM(CASE WHEN MON = @Month THEN BAZA - BAZA2 ELSE 0 END)		
FROM #SUM_PERSON 
WHERE 
	WAY_CALC = 6
GROUP BY
	LINK_PERSON, KATEG, DOG
	
UPDATE S SET
	S.BASE_BEFORE_M1 = P.BASE_BEFORE_M1,
	S.BASE_AFTER_M1 = P.BASE_AFTER_M1,
	S.BASE_BEFORE_M2 = P.BASE_BEFORE_M2,
	S.BASE_AFTER_M2 = P.BASE_AFTER_M2,
	S.BASE_BEFORE_M3 = P.BASE_BEFORE_M3,
	S.BASE_AFTER_M3 = P.BASE_AFTER_M3	
FROM
	dbo.SZV_STAZH_SVEDENIA S 
	INNER JOIN #BASE P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	
*/
--   ,   
SELECT LINK_PERS, FORMA, LINK_KATEG INTO #TAB FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY LINK_PERS, FORMA, LINK_KATEG HAVING SUM(sum_doh) = 0 AND SUM(sum_nak) = 0 AND SUM(INCOME_M1) = 0
--	

DELETE FROM dbo.SZV_STAZH_SVEDENIA 
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 AND LINK_KATEG NOT IN( @LINK_NR, @LINK_OZOI)



DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 
	AND NOT EXISTS (SELECT LINK_PERS FROM #TAB T WHERE T.LINK_PERS = dbo.SZV_STAZH_SVEDENIA.LINK_PERS AND T.FORMA = dbo.SZV_STAZH_SVEDENIA.FORMA AND T.LINK_KATEG = dbo.SZV_STAZH_SVEDENIA.LINK_KATEG)



--  
UPDATE dbo.SZV_STAZH_SVEDENIA SET LINK_KATEG = @LINK_NR WHERE link_up = @link AND LINK_KATEG = @LINK_OZOI




UPDATE b
set b.date_beg = a.date_beg ,
	b.date_end = a.date_end
FROM dbo.SZV_STAZH_SVEDENIA b
	left join (select link_up, date_beg = min(date_beg)  , date_end = max(date_end) , link_pers from dbo.SZV_STAZH_SVEDENIA a  where link_up = @link and (select count(*) from dbo.SZV_STAZH_SVEDENIA   where link_up =  a.link_up and link_pers = a.link_pers)>1  group by link_up,  link_pers) as a
	on  b.link_up = a.link_up  
where  b.link_pers = a.link_pers and  (select count(*) from dbo.SZV_STAZH_SVEDENIA   where link_up =  b.link_up and link_pers = b.link_pers)>1 


select link = max(link), link_up,LINK_PERS INTO #TAB1 FROM dbo.SZV_STAZH_SVEDENIA WHERE LINK_UP = @link GROUP BY link_up, LINK_PERS, DATE_BEG,DATE_END  HAVING COUNT(link) >1

DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE link in (select link from #tab1)



----     
EXEC [dbo].SS_SZV_ST_PACHKA_RASPIL @link


IF @VID_KOR != 3
	begin  
	---  

	----------------------------------------------------------------------------
	CREATE TABLE #PERIODY (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] int, NUM_STAKE NUMERIC(5,2), [IS_DOP] VARCHAR(20),	[NOT_LGOT_EXPIR] INT NULL , ADD_TYPE INT )

	--/* */
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, TYPE,[IS_DOP])
	SELECT 	DISTINCT
		PERS_LINK, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			THEN (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			ELSE S.DATE_END
		END,	
		0,
		[IS_DOP] = isnull(pt.DOP_IS_C, '' )  --(SELECT TOP 1  pt.DOP_IS_C  from dbo.POST_TYPES AS pt WHERE   pt.link = st.gossl) 
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.EMPL E ON S.LINK_PERS = E.PERS_LINK AND E.DEP_LINK = @DEP_LINK
		INNER JOIN dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE in (1,0) AND P.ACTIVE=1
		left join dbo.staff_head sh on sh.link = p.STAFF_LINK
		left join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
	WHERE
		S.LINK_UP = @link
		AND
		P.DATE_BEGIN <= @PeriodEnd
		--and coalesce(P.DATE_END,'20990101') >= @PeriodBegin
		AND
		coalesce(U.DIS_DATE,'20990101') >= @PeriodBegin
		and st.date_begin <= @PeriodEnd
			and  coalesce(st.date_end,'20990101') >= @PeriodBegin
		--AND st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin	

	/* */
	Select DISTINCT
		link_face = DGH.PERS_LINK, LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				THEN (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				ELSE S.DATE_BEG
			END,
		date2 = CASE WHEN S.DATE_END > (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				THEN (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				ELSE S.DATE_END
			END,
		[type] = 0
	INTO #DGH	
	FROM
		#PERSON B
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.SALARY_REESTR_DGH DGH ON S.LINK_PERS = DGH.PERS_LINK
	WHERE 
		S.LINK_UP = @link
		AND
		DGH.DEP_LINK = @DEP_LINK
		and
		DGH.DATE1 <= @PeriodEnd
		and
		coalesce(DGH.DATE2,'20990101') >= @PeriodBegin



	--       
	SELECT LINK_FACE, DB = MIN(DATE1), DE = MAX(DATE2)
	INTO #WORK
	FROM #PERIODY
	GROUP BY LINK_FACE

	UPDATE S SET 
		S.DATE_BEG = CASE WHEN W.DB < S.DATE_BEG THEN S.DATE_BEG ELSE W.DB END,
		S.DATE_END = CASE WHEN W.DE > S.DATE_END THEN S.DATE_END ELSE W.DE END
	FROM 
		dbo.SZV_STAZH_SVEDENIA S INNER JOIN #WORK W ON S.LINK_PERS = W.LINK_FACE
	WHERE 
		S.LINK_UP = @link
	
	--
	CREATE TABLE #ADD_TYPE (
		[type] INT IDENTITY(1,1),
		[TERR_USL_TRUD] int NULL ,
		[TERR_RK] numeric(3, 2) NULL ,
		[OSOB_USL_TRUD] int NULL ,
		[COD_POS_SPISOK] int NULL ,
		[COD_POS_SPISOK2] int NULL ,
		[USL_DOSROCH_PENS] int NULL ,
		[STAVKA_PED_MED] numeric(3, 2) NULL,
		[VID] VARCHAR(20),
		[IS_DOP] VARCHAR(20),
		[COD_SPO_USL_TRUD] INT NULL
	)	
	INSERT INTO #ADD_TYPE 
		([TERR_USL_TRUD],[TERR_RK],[OSOB_USL_TRUD],[COD_POS_SPISOK],[COD_POS_SPISOK2],[USL_DOSROCH_PENS],[STAVKA_PED_MED],[VID],[IS_DOP],[COD_SPO_USL_TRUD])
	SELECT DISTINCT 
		ISNULL(s.TERR_USL_TRUD,0), ISNULL(s.TERR_RK,0), ISNULL(s.OSOB_USL_TRUD,0), ISNULL(s.COD_POS_SPISOK,0), ISNULL(s.COD_POS_SPISOK2,0), ISNULL(s.USL_DOSROCH_PENS,0), ISNULL(s.STAVKA_PED_MED,0), VID = 'ADD_TYPE', IS_DOP =  ISNULL(dop_is_c,''), ISNULL(s.[COD_SPO_USL_TRUD],0) 
	FROM dbo.staff s 
	LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = s.gossl
	WHERE ISNULL(s.TERR_USL_TRUD,0) <> 0 OR ISNULL(s.TERR_RK,0) <> 0 OR ISNULL(s.OSOB_USL_TRUD,0) <> 0 OR ISNULL(s.COD_POS_SPISOK,0) <> 0 OR ISNULL(s.COD_POS_SPISOK2,0) <> 0 OR ISNULL(s.USL_DOSROCH_PENS,0) <> 0 OR ISNULL(s.STAVKA_PED_MED,0) <> 0 OR ISNULL(s.[COD_SPO_USL_TRUD],0) <> 0 
	OR ISNULL(pt.dop_is_c,'')<>'' 

	--
	DECLARE @MAX_TYPE INT
	SET @MAX_TYPE = ISNULL((SELECT MAX(type) FROM #ADD_TYPE),0)

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('TMP_TYPE', '')
	
	/*  ( )*/
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('KOMM_TYPE', '')


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD1', '')

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	SELECT DISTINCT
		'PERIOD2',
		ISNULL(V.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
					--AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
					) VV ON VV.LINK = IV.TYPE_LINK
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD3', '')
/*
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	Select DISTINCT
		'PERIOD4',
		ISNULL(VV.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/
	--    
	INSERT INTO #ADD_TYPE (VID, IS_DOP) 	
	SELECT LEFT('P_' + LTRIM(RTRIM(CODE)),20), IS_DOP
	FROM dbo.VACATION_VID 
	WHERE	IS_DOP IS NOT NULL
			AND 
			NOT EXISTS (SELECT * FROM #ADD_TYPE WHERE VID = LEFT('P_' + LTRIM(RTRIM(CODE)),20))


 	--    c   
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type], NUM_STAKE, IS_DOP)
	SELECT DISTINCT 
		link_face = E.PERS_LINK, S.LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN ELSE @PeriodBegin end)
					THEN (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN else  (case when IM.DATE_BEGIN >= @PeriodBegin  THEN IM.DATE_BEGIN ELSE @PeriodBegin end) end)
					ELSE (case when IM.DATE_BEGIN >= S.DATE_BEG  AND (dis_date IS NOT NULL AND dis_date BETWEEN @PeriodBegin AND @PeriodEND) THEN IM.DATE_BEGIN ELSE S.DATE_BEG end) --          -      
				END,
		date2 = CASE WHEN 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
							> (case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					THEN 
						(case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					ELSE 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
				END,	
		ISNULL(T.[type],0),
		ISNULL(im.NUM_STAKE,0),
		IS_DOP = isnull(T.[IS_DOP],'')
		--, ST.*
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		INNER JOIN dbo.sa_item_move im ON im.EMPL_LINK = e.link
		inner join dbo.staff_head sh on sh.link = STAFF_LINK
		inner join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.POST_TYPES AS pt ON  pt.link = st.gossl
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1	
		left join #ADD_TYPE T on 
				ISNULL(st.TERR_USL_TRUD,0) = ISNULL(T.TERR_USL_TRUD,0) 
				AND ISNULL(st.TERR_RK,0) = ISNULL(T.TERR_RK,0) 
				AND ISNULL(st.OSOB_USL_TRUD,0) = ISNULL(T.OSOB_USL_TRUD,0) 
				AND ISNULL(st.COD_POS_SPISOK,0) = ISNULL(T.COD_POS_SPISOK,0) 
				AND ISNULL(st.COD_POS_SPISOK2,0) = ISNULL(T.COD_POS_SPISOK2,0) 
				AND ISNULL(st.USL_DOSROCH_PENS,0) = ISNULL(T.USL_DOSROCH_PENS,0) 
				AND ISNULL(st.STAVKA_PED_MED,0) = ISNULL(T.STAVKA_PED_MED,0) 
				AND ISNULL(st.[COD_SPO_USL_TRUD],0) = ISNULL(T.[COD_SPO_USL_TRUD],0)
				AND ltrim(rtrim(ISNULL(pt.[DOP_IS_C],''))) = ltrim(rtrim(ISNULL(T.[IS_DOP],'')))
	where 
		S.LINK_UP = @link
		AND
		IM.NUM_STAKE >= 1 
		AND
		IM.[STATUS] <> 2 -- .   
		AND
		im.DATE_BEGIN <= @PeriodEnd and im.DATE_END3 >= @PeriodBegin
		and 
		st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin
		AND 
		im.DATE_end3 > st.DATE_BEGIN -- AND st.DATE_END	 --            
		AND
		T.[TYPE] IS NOT NULL AND T.VID = 'ADD_TYPE'
		AND
		COALESCE(U.DIS_DATE,'20990101') >= @PeriodBegin
	order by
		E.PERS_LINK
	---**************************************

	DECLARE @TMP_TYPE INT
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')


	/* -    ( .  )*/
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	Select DISTINCT 
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		ISNULL( (SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = LEFT('P_' + LTRIM(RTRIM(VV.CODE)),20) AND AT.IS_DOP = VV.IS_DOP ), @TMP_TYPE),
		[NOT_LGOT_EXPIR]
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_vacation iv on E.link = iv.EMPL_LINK 
		inner join dbo.orders o on iv.order_link=o.link
		--  ,   "    ", 
		--  (   )
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND isnull(vv.IS_DOP,'') <> '' 
		INNER JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK AND WORK_D <> 7 --      (   )
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and ISNULL(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and 
		iv.compens <>1 --   
		and
		iv.date_begin <= @PeriodEnd
		and
		ISNULL(ISNULL(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	/* -    ( .  )*/	
	--SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'KOMM_TYPE')
	
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			THEN (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE,
		1
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_travel T on E.link = T.EMPL_LINK
		left join dbo.ITEM_TRAVEL_LONG ITL on ITL.TRAVEL_LINK = T.LINK and ISNULL(ITL.ACTIVE,0) = 1	
	WHERE
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		AND 
		T.ACTIVE = 1 
		AND 
		T.DATE_BEGIN <= @PeriodEnd
		AND 
		ISNULL(ISNULL(ITL.NEW_DATE_END,T.date_end),'20990101') >= @PeriodBegin

	/* -      */

	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD1')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
		INNER JOIN dbo.NETRUD N ON N.LINK = [TYPE] AND N.DEKRET = 1
	WHERE 
		S.LINK_UP = @link
		AND	
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin

	/* -  */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD3')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
	WHERE
		S.LINK_UP = @link
		AND	 
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin
		and
		[TYPE] not in (select LINK from dbo.NETRUD where DEKRET = 1)

	/* -     1,5   3 */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK-1,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD2' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(V.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER join dbo.TYP_DAYS D on V.TYPE_LINK = D.LINK AND  WORK_D = 7 
		--INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
			----AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
		--	) VV ON VV.LINK = IV.TYPE_LINK
		LEFT JOIN DBO.ITEM_VACATION_BREAK IVB ON IVB.VAC_LINK = IV.LINK AND COALESCE(IVB.ACTIVE,0) = 1
	WHERE 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin

/*
	/* -     */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	Select DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD4' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(VV.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	WHERE
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/

	--------------------------------------------------------------------------
	-- 2.            type.
	--- ,        , ..     
	CREATE TABLE #PERIODY3 (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] INT, orders int, i int, NUM_STAKE NUMERIC(5,2),IS_DOP VARCHAR(20), TYPE_ADD INT)

	--    -1  ..  
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, [type])
	SELECT DISTINCT link_face, LINK_KATEG, @PeriodBegin, @PeriodEnd, [type] = -1   FROM #PERIODY


	CREATE TABLE #DAYS (ID INT IDENTITY(1,1), LINK_FACE INT, LINK_KATEG INT, [DATE] DATETIME, [TYPE] INT, NUM INT/*, IS_DOP VARCHAR(20)*/, NUM_STAKE NUMERIC(5,2), [TYPE_ADD] INT)

	INSERT INTO #DAYS (LINK_FACE, LINK_KATEG, [DATE], [TYPE], NUM, NUM_STAKE/*,IS_DOP*/, [TYPE_ADD])
	SELECT P.LINK_FACE, P.LINK_KATEG, [DATE], [TYPE] = MAX([TYPE]), 0, 
		[NUM_STAKE] = MAX(ISNULL(NUM_STAKE,0)), 
		--isnull(IS_DOP,''),
		[TYPE_ADD] = MAX(CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END
		)
	FROM 
		#PERIODY P
		INNER JOIN dbo.days_ex(@PeriodBegin, @PeriodEnd) D ON 1=1
	WHERE
		D.[DATE] BETWEEN P.DATE1 AND P.DATE2
	GROUP BY
		 P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]
	ORDER BY	
		P.LINK_FACE/*,p.IS_DOP*/, P.LINK_KATEG, [date]

	--   ,     
	UPDATE #DAYS SET [TYPE_ADD] = 0 
	WHERE 
		EXISTS (SELECT * FROM #PERIODY WHERE 
			#PERIODY.[NOT_LGOT_EXPIR] = 1
			AND #PERIODY.link_face = #DAYS.link_face
			AND #DAYS.[DATE] BETWEEN #PERIODY.DATE1 AND #PERIODY.DATE2)




	-- 
	DECLARE 
		@ID INT, @ID1 INT, @ID2 INT, @LINK_FACE INT, @DATE datetime, @LINK_KATEG INT, @TYPE INT, @NUM INT, @TYPE_ADD INT,
		@LINK_FACE1 INT, @LINK_KATEG1 INT, @TYPE1 INT,@TYPE_ADD1 INT,@DATE1 datetime

	--  ,      

------   #ADD_TYPE    
----
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')
----
	CREATE table #TDays(link_face int, id int,  date DATETIME ,LINK_KATEG int , [TYPE] INT, [TYPE_ADD] INT)
	INSERT INTO #TDays (link_face, id, date, LINK_KATEG, [TYPE], [TYPE_ADD])
	SELECT d.link_face,
		   d.id,
		   d.date,
		   d.LINK_KATEG,
		   d.[TYPE],
		   d.[TYPE_ADD]
	FROM #DAYS d WHERE d.[type] = @TMP_TYPE 
	ORDER BY d.link_face, d.ID ,d.[date], d.[TYPE] ,d.[TYPE_ADD]	 


	DECLARE @Cur0 CURSOR, @F_TYPE int, @F_TYPE_ADD int
	SET @Cur0 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE,[date],LINK_KATEG, [TYPE],  TYPE_ADD from  #TDays order by ID, LINK_FACE, [DATE]
	OPEN @Cur0
	FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
		
			SELECT DISTINCT @F_TYPE =[TYPE], @F_TYPE_ADD = [type_add]  
			FROM #DAYS WHERE LINK_FACE = @LINK_FACE AND LINK_KATEG = @LINK_KATEG AND [DATE] = @DATE-1 
			
			SELECT @F_TYPE = ISNULL(@F_TYPE,0), @F_TYPE_ADD = ISNULL( @F_TYPE_ADD,0) 

			IF @F_TYPE_ADD = @type_add OR  (ISNULL((SELECT TOP 1 IS_DOP TYPE FROM #ADD_TYPE WHERE [type] = @F_TYPE_ADD),'') <> '' AND @type_add = 0) 
			BEGIN
			
				UPDATE d
				SET [TYPE] = @F_TYPE , [type_add] = @F_TYPE_ADD 
				FROM #DAYS d
				WHERE d.ID = @ID AND d.LINK_FACE = @LINK_FACE AND d.[DATE] = @DATE AND d.LINK_KATEG=@LINK_KATEG AND d.[TYPE] = @TMP_TYPE

			END	

		END

		FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	END

	CLOSE @Cur0
	DEALLOCATE @Cur0

	--
	/*		---------
				UPDATE #DAYS SET [type] = 0 WHERE [type] = @TMP_TYPE
			---------*/

DROP TABLE #TDays 

---------------------------------------------------------------------------------
	--	
	SELECT TOP 1 @ID1 = 0, @ID2 = 0, @NUM = 0, @LINK_FACE1 = LINK_FACE, @LINK_KATEG1 =LINK_KATEG, @TYPE1 = [TYPE]
	FROM #DAYS
	order by ID
	--
	DECLARE @Cur1 CURSOR
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE, LINK_KATEG, [TYPE] from #DAYS order by ID
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			IF NOT (@LINK_FACE = @LINK_FACE1 AND @LINK_KATEG = @LINK_KATEG1 AND @TYPE = @TYPE1)
			BEGIN
				
				SELECT @NUM = @NUM + 1, @LINK_FACE1 = @LINK_FACE, @LINK_KATEG1 = @LINK_KATEG, @TYPE1 = @TYPE
				UPDATE #DAYS SET NUM = @NUM WHERE ID BETWEEN @ID1 AND @ID-1
				SELECT @ID1 = @ID 

			END

		END

		FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--
	UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1


	--------------------------------


	SELECT a.link, a.link_face, a.LINK_KATEG, a.date1, a.date2, a.[type],
	       a.NUM_STAKE, a.IS_DOP, a.NOT_LGOT_EXPIR, a.ADD_TYPE
	INTO #PERIODY_DEL
	FROM #PERIODY a 
		INNER join #PERIODY p on  	p.[type]<= @MAX_TYPE AND 	p.link_face = a.link_FACE	AND p.[type] <> a.[type] 
	WHERE a.[type]= 0 	
	AND p.[type] IN (SELECT [type]  FROM #ADD_TYPE WHERE vid = 'ADD_TYPE')  

	DELETE  FROM  #PERIODY  WHERE link  IN (SELECT link FROM #PERIODY_DEL)
	
	
	UPDATE P 
	SET [ADD_TYPE] = (CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END)
	FROM 
		#PERIODY P
	UPDATE P
	SET [ADD_TYPE] = (SELECT top 1 ADD_TYPE FROM #PERIODY WHERE p.date1 between date1 AND DATE2 )
	FROM 
		#PERIODY P WHERE isnull(P.ADD_TYPE,0) = 0 



	--
DECLARE @IS_DOP varchar(10) , @LINK_FACE_OLD int 
SET @Cur1 = CURSOR FORWARD_ONLY
FOR SELECT  link_face,IS_DOP, [TYPE] from #PERIODY order by link_face
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO  @LINK_FACE, @IS_DOP, @TYPE
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		----           #PERIODY

		IF ISNULL(@LINK_FACE_OLD,0) <> isnull(@LINK_FACE,0)
		BEGIN
			IF EXISTS(select * from #PERIODY where isnull(IS_DOP,'') <> '' and link_face = @LINK_FACE /*and [TYPE] = @TYPE*/)
			BEGIN
				INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
				SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE1]), DATE_END = MAX([DATE2]), [TYPE], 0, 0, NUM_STAKE = max(ISNULL(NUM_STAKE,0)), ADD_TYPE
				FROM #PERIODY	
				WHERE [type] <> @TMP_TYPE
				--and [type]  = @TYPE
				and isnull(IS_DOP,'') <> ''
				and link_face = @LINK_FACE
				GROUP BY LINK_FACE, LINK_KATEG, /*[DATE1],[DATE2],*/ [TYPE], ADD_TYPE 
				ORDER BY LINK_FACE, LINK_KATEG /*, [DATE1],[DATE2]*/, [TYPE], ADD_TYPE


				-----	

			END 
			 ----           #DAYS
			IF EXISTS(select * from #PERIODY where isnull(IS_DOP,'') = '' and link_face = @LINK_FACE )
			begin
	----
				INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
				SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE]), DATE_END = MAX([DATE]), [TYPE], 0, 0, NUM_STAKE = MAX(ISNULL(NUM_STAKE,0)), TYPE_ADD
				FROM #DAYS	
				where link_face = @link_face
				and [type] not in (select [type] from #periody where isnull(IS_DOP,'') <> '' and link_face = @LINK_FACE)
				GROUP BY LINK_FACE, LINK_KATEG, NUM, [TYPE], TYPE_ADD
				ORDER BY LINK_FACE, LINK_KATEG, DATE_BEG, DATE_END
		
			end 
		
		END 
		set @LINK_FACE_OLD = @LINK_FACE
	END

	FETCH NEXT FROM @Cur1 INTO @LINK_FACE, @IS_DOP, @TYPE
END

CLOSE @Cur1
DEALLOCATE @Cur1
--
UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1	


	--  
	DELETE FROM #PERIODY3 WHERE [TYPE] = -1

	/* */
	DECLARE @uslovie INT
	set @uslovie = 1
	while @uslovie > 0
	begin
		update #PERIODY3 set orders = @uslovie 
		from #PERIODY3 as tt
		where 	coalesce(orders,0) = 0
			and date1 = (select min(t.date1) from #PERIODY3 t where coalesce(orders,0) = 0 and t.link_face = tt.link_face AND T.LINK_KATEG = TT.LINK_KATEG)
		if @@rowcount > 0
			set @uslovie = @uslovie + 1
		else
			set @uslovie = 0
	END


	--   
	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_k3, is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k, osob_spo)
	Select S.link, P.orders, P.date1, P.date2, 
		ter_usl = ISNULL(spr1.CODE,spr1A.CODE),
		ter_koef = ISNULL(T.TERR_RK,TA.TERR_RK),
		osob_usl = ISNULL(spr2.CODE,spr2A.CODE),
		osob_k1 = ISNULL(spr6.CODE,spr6A.CODE),
		osob_k2 = CONVERT(VARCHAR(20),left(ISNULL(spr7.CODE,spr7A.CODE),20)),
		osob_k3 = NULL,
		is_osnov = NULL, 
		is_dop = LTRIM(RTRIM(ISNULL(T.IS_DOP,TA.IS_DOP))),
		is_dop_m = NULL, 
		is_dop_d = NULL, 
		ud_osnov = ISNULL(spr5.CODE,spr5A.CODE), 
		ud_dop_m = NULL, 
		ud_dop_d = NULL, 
		ud_dop_k = ISNULL(T.STAVKA_PED_MED,TA.STAVKA_PED_MED) * P.NUM_STAKE,
		osob_spo = ISNULL(spr9.CODE,spr9A.CODE)
	 from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		inner join #PERIODY3 P on S.link_pers = P.link_face AND S.LINK_KATEG = P.LINK_KATEG
		
		LEFT JOIN #ADD_TYPE T ON P.[TYPE] = T.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1 on spr1.spr_code = 'TERR_USL' and spr1.LINK = T.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2 on spr2.spr_code = 'OSOB_USL_TRUDA' and spr2.LINK = T.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5 on spr5.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5.LINK = T.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6 on spr6.SPR_CODE LIKE 'SPISOK%' and spr6.LINK = T.COD_POS_SPISOK
		left join dbo.szv4_spr spr7 on spr7.SPR_CODE LIKE 'SPISOK%' and spr7.LINK = T.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3
		left join dbo.szv4_spr spr9 on spr9.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9.LINK = T.[COD_SPO_USL_TRUD]

		LEFT JOIN #ADD_TYPE TA ON P.[TYPE_ADD] = TA.[TYPE] AND P.[TYPE_ADD] <> P.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1A on spr1A.spr_code = 'TERR_USL' and spr1A.LINK = TA.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2A on spr2A.spr_code = 'OSOB_USL_TRUDA' and spr2A.LINK = TA.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5A on spr5A.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5A.LINK = TA.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6A on spr6A.SPR_CODE LIKE 'SPISOK%' and spr6A.LINK = TA.COD_POS_SPISOK
		left join dbo.szv4_spr spr7A on spr7A.SPR_CODE LIKE 'SPISOK%' and spr7A.LINK = TA.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3	
		left join dbo.szv4_spr spr9A on spr9A.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9A.LINK = TA.[COD_SPO_USL_TRUD]
	where
		S.link_up = @link
		AND
		S.FORMA = 1
	order by
		S.link, P.orders

	--  
	CREATE TABLE #STAGE_DOG (
		LINK_PERS INT, 
		KATEG TINYINT,
		BERIOD_BEG DATETIME,
		BERIOD_END DATETIME
		)

	INSERT INTO #STAGE_DOG (LINK_PERS, KATEG, BERIOD_BEG, BERIOD_END)
	SELECT LINK_FACE, LINK_KATEG, MIN(date1), MAX(date2) 
	FROM #DGH A
	GROUP BY LINK_FACE, month(date1), month(date2), LINK_KATEG


	insert into dbo.SZV_ST_STAZH (link_up, orders, date1, date2,is_dop)
	Select S.link, 1, P.BERIOD_BEG, P.BERIOD_END,is_dop = (CASE WHEN exists(select * from  DOCUMENTS_DGH_T1 t1 
																				inner join dbo.DOCUMENTS_DGH DOC  ON DOC.link = t1.link 
																				INNER JOIN dbo.SALARY_REESTR_DGH DG ON dg.pers_link = t1.pers_link and dg.link = t1.link_dog 
																				WHERE t1.pers_link = p.LINK_PERS
																				and DOC.Flag_jc = 1
																				AND  DG.DATE1 =  p.BERIOD_BEG and DG.DATE2 =  p.BERIOD_END ) THEN '' ELSE '' END)
	from
		#PERSON B 
		INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN #STAGE_DOG P on S.link_pers = P.LINK_PERS AND S.LINK_KATEG = P.KATEG
		
	where
		S.link_up = @link
		AND
		(S.FORMA = 1 OR (S.FORMA = 2  AND NOT EXISTS( SELECT * FROM dbo.SZV_STAZH_SVEDENIA sS 
														INNER JOIN #STAGE_DOG Ps on sS.link_pers = Ps.LINK_PERS AND sS.LINK_KATEG = Ps.KATEG 
		                                              WHERE  sS.LINK_PERS =S.LINK_PERS AND  Ss.link_up  = s.link_up AND  Ss.FORMA = 1)))
	order by
		S.link
		
	END


--------------------------------------------------------------------------
/*    ,            
C 14     
*/	
DELETE FROM dbo.SZV_STAZH_SVEDENIA
WHERE 
LINK_UP = @link
AND
EXISTS (		
	Select  1
	from dbo.ss_szv_STazh_svedenia S inner join  dbo.szv_STAZH_pachka p on p.link = s.link
	WHERE 
		S.LINK1 = dbo.SZV_STAZH_SVEDENIA.LINK
		AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0
				 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0 
		and p.vid_kor != 3
		AND NOT EXISTS (SELECT * FROM dbo.SZV_ST_STAZH ST WHERE ST.LINK_UP = S.LINK1)
)


SELECT s.link, s.link_up, orders = row_number() over(ORDER BY p.NAME_PERS), s.link_pers 
INTO #orders_sved
FROM dbo.SZV_STAZH_SVEDENIA s 
INNER JOIN dbo.ku_person p  ON p.link = s.link_pers
WHERE link_up = @link
ORDER BY 
p.NAME_PERS

 
UPDATE dbo.SZV_STAZH_SVEDENIA
SET orders = s.orders
FROM #orders_sved s WHERE s.link = dbo.SZV_STAZH_SVEDENIA.link  and s.link_up = dbo.SZV_STAZH_SVEDENIA.link_up AND s.link_pers  = dbo.SZV_STAZH_SVEDENIA.link_pers

--------------------------------------------------------------------------
--exec dbo.SZV_ST_NUMERATOR @link











GO


GRANT EXECUTE ON dbo.[SS_SZV_ST_PACHKA_CALC_Buffer_2017] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9859.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_PRINT_TABEL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_PRINT_TABEL]

GO

CREATE   PROCEDURE dbo.SA_PRINT_TABEL
	@varKSnLINKDoc INT,
	@varKSnOption1 INT= 1,
	@varKSnCheck1 INT = 0,
	@nSort3 int = 0 /* 3*/,
	@nCheck3 tinyint = 0 /* */,
	@nCheck5 tinyint = 0 /*   */,
	@varKSSUBDIV VARCHAR(254) OUTPUT, 
	@varKSSUBDIV_CODE VARCHAR(10) OUTPUT,
	@varKSDIV_CODE VARCHAR(10) OUTPUT, 
	@varKSDIV_NAME VARCHAR(254) OUTPUT,
	@varKSTI_CODE VARCHAR(10) OUTPUT, 
	@varKSTI_NAME VARCHAR(254) OUTPUT,
	@varKSEXP_CODE VARCHAR(10) OUTPUT, 
	@varKSEXP_NAME VARCHAR(254) OUTPUT

AS
BEGIN

	declare @varKSdDate1 DATETIME, @varKSdDate2 DATETIME
	SELECT @varKSdDate1 = PERIOD FROM TABELS WHERE LINK_DOC = @varKSnLINKDoc
	SELECT @varKSdDate1 = dbo.DateBeginOfMonth(@varKSdDate1)
	SELECT @varKSdDate2 = dbo.DateEndOfMonth(@varKSdDate1)

	CREATE TABLE #T_RES00 (
		ID VARCHAR(20),
		LINK_FACE INT, 
		LINK_EMPL INT,
		LINK_SOVM INT,
		FIO VARCHAR(254),
		NAME_EMPL VARCHAR(254),
		TN VARCHAR(10) ,
		STAKE NUMERIC(3,2),
		SUBDIV_LINK INT, 
		CODE_SUB VARCHAR(10),
		SUBDIV VARCHAR(254) ,
		POST_LINK INT,
		CODE_POST VARCHAR(10),
		POST VARCHAR(254) ,
		LINK_DAY INT,
		SYMB VARCHAR(4),
		DAY_1 CHAR(2),	DAY_2 CHAR(2),	DAY_3 CHAR(2),	DAY_4 CHAR(2),	DAY_5 CHAR(2),
		DAY_6 CHAR(2),	DAY_7 CHAR(2),	DAY_8 CHAR(2),	DAY_9 CHAR(2),	DAY_10 CHAR(2),
		DAY_11 CHAR(2),	DAY_12 CHAR(2),	DAY_13 CHAR(2),	DAY_14 CHAR(2),	DAY_15 CHAR(2),
		DAY_16 CHAR(2),	DAY_17 CHAR(2),	DAY_18 CHAR(2),	DAY_19 CHAR(2),	DAY_20 CHAR(2),
		DAY_21 CHAR(2),	DAY_22 CHAR(2),	DAY_23 CHAR(2),	DAY_24 CHAR(2),	DAY_25 CHAR(2),
		DAY_26 CHAR(2),	DAY_27 CHAR(2),	DAY_28 CHAR(2),	DAY_29 CHAR(2),	DAY_30 CHAR(2),
		DAY_31 CHAR(2),
		
		H_1 NUMERIC(6,2),  H_2 NUMERIC(6,2),  H_3 NUMERIC(6,2),  H_4 NUMERIC(6,2),  H_5 NUMERIC(6,2),  H_6 NUMERIC(6,2),
		H_7 NUMERIC(6,2),  H_8 NUMERIC(6,2),  H_9 NUMERIC(6,2),  H_10 NUMERIC(6,2), H_11 NUMERIC(6,2), H_12 NUMERIC(6,2),
		H_13 NUMERIC(6,2), H_14 NUMERIC(6,2), H_15 NUMERIC(6,2), H_16 NUMERIC(6,2), H_17 NUMERIC(6,2), H_18 NUMERIC(6,2),
		H_19 NUMERIC(6,2), H_20 NUMERIC(6,2), H_21 NUMERIC(6,2), H_22 NUMERIC(6,2), H_23 NUMERIC(6,2), H_24 NUMERIC(6,2),
		H_25 NUMERIC(6,2), H_26 NUMERIC(6,2), H_27 NUMERIC(6,2), H_28 NUMERIC(6,2), H_29 NUMERIC(6,2), H_30 NUMERIC(6,2),
		H_31 NUMERIC(6,2),
		
		HALF_D INT, HALF_H NUMERIC(6,2), 	
		HALF2_D INT, HALF2_H NUMERIC(6,2), 	
		ALL_D INT, ALL_H NUMERIC(6,2), 		
		NONE_DAYS INT, NONE_HOURS NUMERIC(6,2)	,
		
		TYPE_1 INT, TYPE_1H NUMERIC(6,2), TYPE_2H INT, TYPE_2 INT, TYPE_3 INT, TYPE_4 INT, TYPE_5 INT, TYPE_6 INT, 
		TYPE_7 INT, TYPE_8 INT, TYPE_9 INT, TYPE_10 INT, TYPE_11 INT, TYPE_12 INT,

		TYPE_13 INT,	--     
		TYPE_14 INT,	--     
		TYPE_15 INT,	--         
	) 

	---
	DECLARE @ISMINUTES TINYINT
	SET @ISMINUTES = DBO.SA_GET_OPTION_BY_CODE('TABEL_OPT10') --     

	---
	declare @def_tdlink int, @def_tdname varchar(254), @def_tdsymb varchar(4)
	Select @def_tdlink = LINK, @def_tdname = [NAME], @def_tdsymb = SYMB from dbo.TYP_DAYS where WORK_D = 1 AND TYP_YAVKA = 1

	select  LINK_DOC, NUMBER, DATE, LINK_EMPL, PERIOD, [DAY], 
		SUM([HOUR]) as [HOUR], 
		MAX(WORK_D) as WORK_D,
		MAX(TYP_YAV) AS TYP_YAV,
		(CASE when count(TYPE_DAY) = 1 then MAX(TYPE_DAY) else @def_tdlink end) as TYPE_DAY,
		(CASE when count(SYMB) = 1 then MAX(SYMB) else @def_tdsymb end) as SYMB,	
		(CASE when count(SYMB) = 1 then MAX(TYPE_DATY_NAME) else @def_tdname end) as TYPE_DATY_NAME
	into #tabel 
	from TABEL WHERE LINK_DOC = @varKSnLINKDoc
	group by LINK_DOC, NUMBER, DATE, LINK_EMPL, PERIOD, [DAY]
--	having count(SYMB) > 1
--AND TYPE_DAY not in (Select KOD from [dbo].[SA_TYPES_DOP_TAB])

	---    
	SELECT W.LINK_UP1, W.LINK_SOVM,
	DAYS_H1 = 
		CASE WHEN SUM(W.D1) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D2) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D3) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D4) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D5) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D6) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D7) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D8) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D9) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D10) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D11) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D12) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D13) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D14) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D15) > 0 THEN 1 ELSE 0 END,

	DAYS_H2 = 
		CASE WHEN SUM(W.D16) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D17) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D18) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D19) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D20) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D21) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D22) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D23) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D24) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D25) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D26) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D27) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D28) > 0 THEN 1 ELSE 0 END
	+	CASE WHEN SUM(W.D29) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D30) > 0 THEN 1 ELSE 0 END 
	+	CASE WHEN SUM(W.D31) > 0 THEN 1 ELSE 0 END,

	HORS_H1 = SUM(W.D1) + SUM(W.D2) + SUM(W.D3) + SUM(W.D4) + SUM(W.D5) + SUM(W.D6) + SUM(W.D7) + SUM(W.D8) + SUM(W.D9) + SUM(W.D10) + SUM(W.D11) + SUM(W.D12) + SUM(W.D13) + SUM(W.D14) + SUM(W.D15),
	HORS_H2 = SUM(W.D16) + SUM(W.D17) + SUM(W.D18) + SUM(W.D19) + SUM(W.D20) + SUM(W.D21) + SUM(W.D22) + SUM(W.D23) + SUM(W.D24) + SUM(W.D25) + SUM(W.D26) + SUM(W.D27) + SUM(W.D28) + SUM(W.D29) + SUM(W.D30) + SUM(W.D31)
		
	INTO 
		#WORK_DAYS
	FROM 
		DBO.SA_TABELS_W W
	WHERE 
		LINK_UP = @varKSnLINKDoc
	GROUP BY 
		W.LINK_UP1, W.LINK_SOVM

	---    
	SELECT W.LINK_UP1, W.LINK_SOVM,
	DAYS_Y7 = 
			CASE WHEN SUM(W.D1) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D2) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D3) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D4) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D5) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D6) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D7) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D8) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D9) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D10) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D11) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D12) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D13) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D14) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D15) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D16) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D17) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D18) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D19) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D20) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D21) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D22) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D23) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D24) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D25) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D26) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D27) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D28) > 0 THEN 1 ELSE 0 END
		+	CASE WHEN SUM(W.D29) > 0 THEN 1 ELSE 0 END +	CASE WHEN SUM(W.D30) > 0 THEN 1 ELSE 0 END 
		+	CASE WHEN SUM(W.D31) > 0 THEN 1 ELSE 0 END
	INTO 
		#WORK_DAYS1
	FROM 
		DBO.SA_TABELS_W W
	WHERE 
		LINK_UP = @varKSnLINKDoc
		AND
		TYP_YAVKA = 7
	GROUP BY 
		W.LINK_UP1, W.LINK_SOVM			

	---    
	SELECT 
		N.LINK_UP1,
		T.WORK_D,
		COUNT_DAYS = 
			CASE WHEN N.D1 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D2 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D3 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D4 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D5 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D6 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D7 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D8 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D9 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D10 = T.LINK THEN 1 ELSE 0 END

			+ CASE WHEN N.D11 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D12 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D13 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D14 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D15 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D16 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D17 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D18 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D19 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D20 = T.LINK THEN 1 ELSE 0 END

			+ CASE WHEN N.D21 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D22 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D23 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D24 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D25 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D26 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D27 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D28 = T.LINK THEN 1 ELSE 0 END
			+ CASE WHEN N.D29 = T.LINK THEN 1 ELSE 0 END + CASE WHEN N.D30 = T.LINK THEN 1 ELSE 0 END 
			+ CASE WHEN N.D31 = T.LINK THEN 1 ELSE 0 END 
	INTO 
		#NOTWORK_DAYS
	FROM
		DBO.SA_TABELS_N N, DBO.TYP_DAYS T
	WHERE
		LINK_UP = @varKSnLINKDoc

	---
	INSERT INTO #T_RES00
		(ID,LINK_FACE, LINK_EMPL, LINK_SOVM, FIO, NAME_EMPL, TN,STAKE, SUBDIV_LINK, CODE_SUB, SUBDIV, POST_LINK, CODE_POST, POST,
		LINK_DAY,
		SYMB,
		DAY_1,  DAY_2,  DAY_3,  DAY_4,  DAY_5,  DAY_6,  DAY_7,  DAY_8,  DAY_9,  DAY_10, 
		DAY_11, DAY_12, DAY_13, DAY_14, DAY_15, DAY_16, DAY_17, DAY_18, DAY_19, DAY_20, 
		DAY_21, DAY_22, DAY_23, DAY_24, DAY_25, DAY_26, DAY_27, DAY_28, DAY_29, DAY_30,
		DAY_31,
		H_1,  H_2, H_3,  H_4,  H_5,  H_6,  H_7,  H_8,  H_9,  H_10, 
		H_11, H_12, H_13, H_14, H_15, H_16, H_17, H_18, H_19, H_20, 
		H_21, H_22, H_23, H_24, H_25, H_26, H_27, H_28, H_29, H_30, 
		H_31,
		HALF_D, HALF_H,
		HALF2_D, HALF2_H,
		ALL_D, ALL_H,
		NONE_DAYS, NONE_HOURS,
		TYPE_1, TYPE_1H, TYPE_2, TYPE_2H, TYPE_3, TYPE_4, TYPE_5, TYPE_6, 
		TYPE_7, TYPE_8, TYPE_9, TYPE_10, TYPE_11, TYPE_12,

		TYPE_13,TYPE_14,TYPE_15

	)
	SELECT
		ID = RIGHT( REPLACE(SPACE(20),SPACE(1),'0') + CONVERT(VARCHAR(20),WP.LINK_EMPL),10) +RIGHT( REPLACE(SPACE(20),SPACE(1),'0') + CONVERT(VARCHAR(20),WP.LINK_SOVM),10) ,
		[LINK_FACE] = P.LINK,
		WP.LINK_EMPL,
		WP.LINK_SOVM,
		[FIO]  = (case when coalesce(@nCheck3,0) = 1 then  coalesce(LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(P.FM)) + ' ' + LTRIM(RTRIM(P.IM)) + ' ' + LTRIM(RTRIM(P.OT)),' '))),100), SPACE(100)) 
					else coalesce(LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(FM)) + ' ' + LEFT(LTRIM(RTRIM(IM)),1) + '.' + LEFT(LTRIM(RTRIM(OT)),1) + '.', ' '))),30), SPACE(100)) end),
		[NAME_EMPL] = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(FM)) + ' ' + LEFT(LTRIM(RTRIM(IM)),1) + '.' + LEFT(LTRIM(RTRIM(OT)),1) + '.', ' '))),30),
		[TN] 		= ISNULL(TE.TAB, SPACE(10)),
		[STAKE] =  (SELECT TOP 1 stake FROM SD_EMPL WHERE link = E.link),
		[SUBDIV_LINK] = TE.SUBDIV_LINK,
		[CODE_SUB] = ISNULL( TE.SUBDIV_CODE, SPACE(10) ),
		[SUBDIV] = ISNULL( TE.SUBDIV_NAME, SPACE(254) ),
		[POST_LINK] = WP.POST_LINK,
		[CODE_POST] = ISNULL( WP.POST_CODE, SPACE(10) ),
		[POST] 		= ISNULL( WP.POST_NAME, SPACE(120) ),
		W.LINK_DAY,		
		W.SYMB,
		[DAY_1] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB1, SPACE(2) ) end,
		[DAY_2] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB2, SPACE(2) ) end,
		[DAY_3] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB3, SPACE(2) ) end,
		[DAY_4] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB4, SPACE(2) ) end,
		[DAY_5] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB5, SPACE(2) ) end,
		[DAY_6] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB6, SPACE(2) ) end,
		[DAY_7] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB7, SPACE(2) ) end,
		[DAY_8] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB8, SPACE(2) ) end,
		[DAY_9] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB9, SPACE(2) ) end,
		[DAY_10] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB10, SPACE(2) ) end,

		[DAY_11] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB11, SPACE(2) ) end,
		[DAY_12] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB12, SPACE(2) ) end,
		[DAY_13] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB13, SPACE(2) ) end,
		[DAY_14] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB14, SPACE(2) ) end,
		[DAY_15] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB15, SPACE(2) ) end,
		[DAY_16] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB16, SPACE(2) ) end,
		[DAY_17] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB17, SPACE(2) ) end,
		[DAY_18] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB18, SPACE(2) ) end,
		[DAY_19] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB19, SPACE(2) ) end,
		[DAY_20] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB20, SPACE(2) ) end,

		[DAY_21] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB21, SPACE(2) ) end,
		[DAY_22] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB22, SPACE(2) ) end,
		[DAY_23] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB23, SPACE(2) ) end,
		[DAY_24] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB24, SPACE(2) ) end,
		[DAY_25] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB25, SPACE(2) ) end,
		[DAY_26] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB26, SPACE(2) ) end,
		[DAY_27] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB27, SPACE(2) ) end,
		[DAY_28] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB28, SPACE(2) ) end,
		[DAY_29] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB29, SPACE(2) ) end,
		[DAY_30] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB30, SPACE(2) ) end,
		[DAY_31] =  case when @nCheck5 = 1 then '' else ISNULL( SYMB31, SPACE(2) ) end,

		[H1] = case when @nCheck5 = 1 then 0 else W.D1 end, 
		[H2] = case when @nCheck5 = 1 then 0 else W.D2 end,
		[H3] = case when @nCheck5 = 1 then 0 else W.D3 end,
		[H4] = case when @nCheck5 = 1 then 0 else W.D4 end, 
		[H5] = case when @nCheck5 = 1 then 0 else W.D5 end,
		[H6] = case when @nCheck5 = 1 then 0 else W.D6 end,
		[H7] = case when @nCheck5 = 1 then 0 else W.D7 end,  
		[H8] = case when @nCheck5 = 1 then 0 else W.D8 end, 
		[H9] = case when @nCheck5 = 1 then 0 else W.D9 end, 
		[H10] = case when @nCheck5 = 1 then 0 else W.D10 end,

		[H11] = case when @nCheck5 = 1 then 0 else W.D11 end,
		[H12] = case when @nCheck5 = 1 then 0 else W.D12 end, 
		[H13] = case when @nCheck5 = 1 then 0 else W.D13 end, 
		[H14] = case when @nCheck5 = 1 then 0 else W.D14 end, 
		[H15] = case when @nCheck5 = 1 then 0 else W.D15 end, 
		[H16] = case when @nCheck5 = 1 then 0 else W.D16 end, 
		[H17] = case when @nCheck5 = 1 then 0 else W.D17 end, 
		[H18] = case when @nCheck5 = 1 then 0 else W.D18 end, 
		[H19] = case when @nCheck5 = 1 then 0 else W.D19 end, 
		[H20] = case when @nCheck5 = 1 then 0 else W.D20 end, 

		[H21] = case when @nCheck5 = 1 then 0 else W.D21 end, 
		[H22] = case when @nCheck5 = 1 then 0 else W.D22 end, 
		[H23] = case when @nCheck5 = 1 then 0 else W.D23 end, 
		[H24] = case when @nCheck5 = 1 then 0 else W.D24 end, 
		[H25] = case when @nCheck5 = 1 then 0 else W.D25 end, 
		[H26] = case when @nCheck5 = 1 then 0 else W.D26 end, 
		[H27] = case when @nCheck5 = 1 then 0 else W.D27 end, 
		[H28] = case when @nCheck5 = 1 then 0 else W.D28 end, 
		[H29] = case when @nCheck5 = 1 then 0 else W.D29 end, 
		[H30] = case when @nCheck5 = 1 then 0 else W.D30 end, 
		[H31] = case when @nCheck5 = 1 then 0 else W.D31 end, 
--
		[HALF_D] = case when @nCheck5 = 1 then 0 else isnull(WD.DAYS_H1,0) end, 
		[HALF_H] = case when @nCheck5 = 1 then 0 else 
			DBO.MINUTES_TO_NUM( 
			DBO.NUM_TO_MINUTES(W.D1,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D2,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D3,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D4,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D5,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D6,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D7,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D8,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D9,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D10,@ISMINUTES)

		+	DBO.NUM_TO_MINUTES(W.D11,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D12,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D13,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D14,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D15,@ISMINUTES) 
		,@ISMINUTES) end,

		[HALF_D2] = case when @nCheck5 = 1 then 0 else isnull(WD.DAYS_H2,0) end,
		[HALF_H2] = case when @nCheck5 = 1 then 0 else isnull(WD.HORS_H2,0) end,

		[ALL_D] = case when @nCheck5 = 1 then 0 else isnull(WD.DAYS_H1,0) + isnull(WD.DAYS_H2,0) end,
		[ALL_H] = case when @nCheck5 = 1 then 0 else isnull(WD.HORS_H1,0) + isnull(WD.HORS_H2,0) end,

		[NONE_DAYS] = case when @nCheck5 = 1 then 0 else (case when NOT (W.WORK_D = 1 AND W.TYP_YAVKA = 1) then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D IN (4, 5, 6, 7, 8, 9, 10, 13)) end ) end,
		[NONE_HOURS] = case when @nCheck5 = 1 then 0 else 0 end,

		-- 		
		[TYPE_1] = case when @nCheck5 = 1 then 0 else (case when NOT (W.WORK_D = 1 AND W.TYP_YAVKA = 1) then 0 else COALESCE(WD.DAYS_H1,0) + COALESCE(WD.DAYS_H2,0) end) end,
		-- 
		[TYPE_1H] =  case when @nCheck5 = 1 then 0 else 
			DBO.MINUTES_TO_NUM( 
			DBO.NUM_TO_MINUTES(W.D1,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D2,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D3,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D4,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D5,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D6,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D7,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D8,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D9,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D10,@ISMINUTES)

		+	DBO.NUM_TO_MINUTES(W.D11,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D12,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D13,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D14,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D15,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D16,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D17,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D18,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D19,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D20,@ISMINUTES)

		+	DBO.NUM_TO_MINUTES(W.D21,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D22,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D23,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D24,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D25,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D26,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D27,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D28,@ISMINUTES)
		+	DBO.NUM_TO_MINUTES(W.D29,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D30,@ISMINUTES) +	DBO.NUM_TO_MINUTES(W.D31,@ISMINUTES)
		,@ISMINUTES) end,

		[TYPE_2] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 2) end,		--  ()
		[TYPE_2H] = 0,	--  ()
		[TYPE_3] = case when @nCheck5 = 1 then 0 else ISNULL((SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 3),0) + ISNULL(Y.DAYS_Y7,0) end,		--   ()
		[TYPE_4] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 4) end,		--     ()
		[TYPE_5] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 5) end,		--    ()
		[TYPE_6] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 6) end,		--   ()
		[TYPE_7] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D IN (7,13)) end, 	--     ()
		[TYPE_8] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 8) end,		--     ()
		[TYPE_9] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 9) end,		--   ()
		[TYPE_10] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 10) end,	--    ()
		[TYPE_11] = case when @nCheck5 = 1 then 0 else (case when NOT (W.WORK_D = 1 AND W.TYP_YAVKA = 1) then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D IN (11,14)) end ) end,	--     ()
		[TYPE_12] = case when @nCheck5 = 1 then 0 else (SELECT SUM(COUNT_DAYS) FROM #NOTWORK_DAYS WHERE TE.LINK = LINK_UP1 AND WORK_D = 12) end,
		--
		[TYPE_13] = case when @nCheck5 = 1 then 0 else (SELECT COUNT(*)  FROM #TABEL WHERE LINK_EMPL = T.LINK_EMPL AND WORK_D = 1 and TYP_YAV = 4) end,	--  
		[TYPE_14] = case when @nCheck5 = 1 then 0 else (SELECT COUNT(*)  FROM #TABEL WHERE LINK_EMPL = T.LINK_EMPL AND WORK_D = 1 and TYP_YAV = 2) end, --    
		[TYPE_15] = case when @nCheck5 = 1 then 0 else (SELECT COUNT(*)  FROM #TABEL WHERE LINK_EMPL = T.LINK_EMPL AND WORK_D = 1 and TYP_YAV = 3) end	--     
	FROM 
		DBO.TABELS T 
		INNER JOIN DBO.SA_TABELS_EMPLS TE ON T.LINK = TE.LINK
		INNER JOIN DBO.SA_TABELS_EMPLS_WP WP ON TE.LINK = WP.LINK_UP1
		INNER JOIN DBO.EMPL E ON E.LINK = TE.LINK_EMPL
		INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK
		LEFT JOIN DBO.SA_TABELS_N N ON TE.LINK = N.LINK_UP1
		LEFT JOIN DBO.SA_TABELS_W W ON TE.LINK = W.LINK_UP1 AND W.LINK_SOVM = WP.LINK_SOVM
		LEFT JOIN #WORK_DAYS WD ON TE.LINK = WD.LINK_UP1 AND WD.LINK_SOVM = WP.LINK_SOVM
		LEFT JOIN #WORK_DAYS1 Y ON TE.LINK = Y.LINK_UP1 AND WD.LINK_SOVM = Y.LINK_SOVM
	WHERE 
		T.LINK_DOC = @varKSnLINKDoc
	ORDER BY 
		1

	IF (SELECT COUNT(DISTINCT SUBDIV_LINK) FROM #T_RES00) <> 1 BEGIN
		SELECT @varKSSUBDIV = '', @varKSSUBDIV_CODE = ''
	END
	ELSE BEGIN
			SELECT TOP 1 @varKSSUBDIV = SUBDIV, @varKSSUBDIV_CODE = CODE_SUB FROM  #T_RES00
	END


	DECLARE 
		@varKSCNT1 INT, @varKSCNT2 INT, @varKSCNT3 INT

	SELECT TOP 1 
		@varKSCNT1 = COUNT(DISTINCT LINK_FKR_D), 
		@varKSCNT2 = COUNT(DISTINCT LINK_FKR_T), 
		@varKSCNT3 = COUNT(DISTINCT LINK_FKR_E),
		@varKSDIV_CODE = MAX(CODE_FKR_D),
		@varKSDIV_NAME = MAX(NAME_FKR_D),
		@varKSTI_CODE = MAX(CODE_FKR_T),
		@varKSTI_NAME = MAX(NAME_FKR_T),
		@varKSEXP_CODE = MAX(CODE_FKR_E),
		@varKSEXP_NAME = MAX(NAME_FKR_E)
	FROM DICTIONARY_PAYS_EMPL DPE
	INNER JOIN dbo.PAYS P ON DPE.LINK_PAYS = P.LINK
	INNER JOIN bi_diction_vkr VKR ON VKR.LINK = DPE.LINK_KBK
	INNER JOIN #T_RES00 R ON DPE.LINK_EMPL = R.LINK_EMPL
	where date_begin <= @varKSdDate2
		AND (DATE_END >= @varKSdDate1 OR DATE_END IS NULL) 


		declare @LINK_DEP int
		Set @LINK_DEP = Coalesce( (SELECT TOP 1 ZB_LINK FROM dbo.KS_OPTIONS_ZB), dbo.GetOwnDepLink())
		
		declare @nAVGCount numeric(18,2), @nMCount numeric(18,2)
		Select @nAVGCount = dbo.sa_ssch_empls(@varKSdDate1, @varKSdDate2, null, 0, 1, 0, DEFAULT)
		Select @nMCount = dbo.sa_sch_empls(@varKSdDate2, null, 0, 1, 0, DEFAULT)

	IF @varKSCNT1 <> 1
		SELECT @varKSDIV_CODE = '', @varKSDIV_NAME = ''
	IF @varKSCNT2 <> 1
		SELECT @varKSTI_CODE = '', @varKSTI_NAME = ''
	IF @varKSCNT3 <> 1
		SELECT @varKSEXP_CODE = '', @varKSEXP_NAME = ''

	SELECT *, @nAVGCount as AVGCount, @nMCount as MCount 
	FROM #T_RES00
	ORDER BY 
		LTRIM(RTRIM(CASE @varKSnOption1 
			WHEN 1 THEN REPLICATE ('0',10 - len(ltrim(rtrim((TN))))) + ltrim(rtrim((TN))) 
			WHEN 2 THEN REPLICATE ('0',10 - len(ltrim(rtrim((CODE_POST))))) + ltrim(rtrim((CODE_POST)))
			WHEN 3 THEN POST
			WHEN 4 THEN FIO
			WHEN 5 THEN REPLICATE ('0',10 - len(ltrim(rtrim((CODE_SUB))))) + ltrim(rtrim((CODE_SUB)))
			WHEN 6 THEN SUBDIV
			ELSE ''
		END)),

		LTRIM(RTRIM(CASE @varKSnCheck1 
			WHEN 2 THEN REPLICATE ('0',10 - len(ltrim(rtrim((TN))))) + ltrim(rtrim((TN))) 
			WHEN 3 THEN REPLICATE ('0',10 - len(ltrim(rtrim((CODE_POST))))) + ltrim(rtrim((CODE_POST)))
			WHEN 4 THEN POST
			WHEN 5 THEN FIO
			WHEN 6 THEN REPLICATE ('0',10 - len(ltrim(rtrim((CODE_SUB))))) + ltrim(rtrim((CODE_SUB)))
			WHEN 7 THEN SUBDIV
			ELSE ''
		END)),
		
		LTRIM(RTRIM(CASE @nSort3 
			WHEN 2 THEN '' + REPLICATE ('0',10 - len(ltrim(rtrim((TN))))) + ltrim(rtrim((TN))) 
			WHEN 3 THEN '' +REPLICATE ('0',10 - len(ltrim(rtrim((CODE_POST))))) + ltrim(rtrim((CODE_POST)))
			WHEN 4 THEN '' +POST
			WHEN 5 THEN '' +FIO
			WHEN 6 THEN '' +REPLICATE ('0',10 - len(ltrim(rtrim((CODE_SUB))))) + ltrim(rtrim((CODE_SUB)))
			WHEN 7 THEN '' +SUBDIV
			ELSE ''
		END))

END













GO


GRANT EXECUTE ON dbo.[SA_PRINT_TABEL] TO PUBLIC

GO


-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_PRINT_TABEL_T13]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_PRINT_TABEL_T13]

GO
CREATE PROCEDURE dbo.SA_PRINT_TABEL_T13
	@nLINKDoc INT,
	@nOption1 INT= 1, -- 1
	@nCheck1 INT = 0, -- 2
	@nSort3 int = 0 /* 3*/,
	@nCheck3 tinyint = 0 /* */,
	@nCheck5 tinyint = 0 /*   */,
	@SUBDIV VARCHAR(254) OUTPUT, 
	@SUBDIV_CODE VARCHAR(10) OUTPUT,
	@DIV_CODE VARCHAR(10) OUTPUT, 
	@DIV_NAME VARCHAR(254) OUTPUT,
	@TI_CODE VARCHAR(10) OUTPUT, 
	@TI_NAME VARCHAR(254) OUTPUT,
	@EXP_CODE VARCHAR(10) OUTPUT, 
	@EXP_NAME VARCHAR(254) OUTPUT
AS

BEGIN	

	CREATE TABLE #TABEL (
		LINE_ID INT IDENTITY(1,1),
		ID VARCHAR(20),
		LINK_FACE INT, 
		LINK_EMPL INT,
		LINK_SOVM INT,
		FIO VARCHAR(254),
		NAME_EMPL VARCHAR(254),
		TN VARCHAR(10) ,
		STAKE NUMERIC(2,1),
		SUBDIV_LINK INT, 
		CODE_SUB VARCHAR(10),
		SUBDIV VARCHAR(254) ,
		POST_LINK INT,
		CODE_POST VARCHAR(10),
		POST VARCHAR(254) ,
		LINK_DAY INT,
		SYMB VARCHAR(4),
		DAY_1 VARCHAR(20),	DAY_2 VARCHAR(20),	DAY_3 VARCHAR(20),	DAY_4 VARCHAR(20),	DAY_5 VARCHAR(20),
		DAY_6 VARCHAR(20),	DAY_7 VARCHAR(20),	DAY_8 VARCHAR(20),	DAY_9 VARCHAR(20),	DAY_10 VARCHAR(20),
		DAY_11 VARCHAR(20),	DAY_12 VARCHAR(20),	DAY_13 VARCHAR(20),	DAY_14 VARCHAR(20),	DAY_15 VARCHAR(20),
		DAY_16 VARCHAR(20),	DAY_17 VARCHAR(20),	DAY_18 VARCHAR(20),	DAY_19 VARCHAR(20),	DAY_20 VARCHAR(20),
		DAY_21 VARCHAR(20),	DAY_22 VARCHAR(20),	DAY_23 VARCHAR(20),	DAY_24 VARCHAR(20),	DAY_25 VARCHAR(20),
		DAY_26 VARCHAR(20),	DAY_27 VARCHAR(20),	DAY_28 VARCHAR(20),	DAY_29 VARCHAR(20),	DAY_30 VARCHAR(20),
		DAY_31 VARCHAR(20),
		
		H_1 NUMERIC(6,2),  H_2 NUMERIC(6,2),  H_3 NUMERIC(6,2),  H_4 NUMERIC(6,2),  H_5 NUMERIC(6,2),  H_6 NUMERIC(6,2),
		H_7 NUMERIC(6,2),  H_8 NUMERIC(6,2),  H_9 NUMERIC(6,2),  H_10 NUMERIC(6,2), H_11 NUMERIC(6,2), H_12 NUMERIC(6,2),
		H_13 NUMERIC(6,2), H_14 NUMERIC(6,2), H_15 NUMERIC(6,2), H_16 NUMERIC(6,2), H_17 NUMERIC(6,2), H_18 NUMERIC(6,2),
		H_19 NUMERIC(6,2), H_20 NUMERIC(6,2), H_21 NUMERIC(6,2), H_22 NUMERIC(6,2), H_23 NUMERIC(6,2), H_24 NUMERIC(6,2),
		H_25 NUMERIC(6,2), H_26 NUMERIC(6,2), H_27 NUMERIC(6,2), H_28 NUMERIC(6,2), H_29 NUMERIC(6,2), H_30 NUMERIC(6,2),
		H_31 NUMERIC(6,2),
		
		HALF_D INT, HALF_H NUMERIC(6,2), 	
		HALF2_D INT, HALF2_H NUMERIC(6,2), 	
		ALL_D INT, ALL_H NUMERIC(6,2), 		
		NONE_DAYS INT, NONE_HOURS NUMERIC(6,2)	,
		
		TYPE_1 INT, TYPE_1H NUMERIC(6,2), TYPE_2H INT, TYPE_2 INT, TYPE_3 INT, TYPE_4 INT, TYPE_5 INT, TYPE_6 INT, 
		TYPE_7 INT, TYPE_8 INT, TYPE_9 INT, TYPE_10 INT, TYPE_11 INT, TYPE_12 INT,

		TYPE_13 INT,	--     
		TYPE_14 INT,	--     
		TYPE_15 INT,	--         
		AVGCount numeric(18,2), 
		MCount numeric(18,2)
	) 


INSERT INTO #TABEL (ID, LINK_FACE, LINK_EMPL, LINK_SOVM, FIO, NAME_EMPL, TN, STAKE, SUBDIV_LINK, CODE_SUB, SUBDIV, POST_LINK, CODE_POST, POST, 
	LINK_DAY, SYMB, DAY_1, DAY_2, DAY_3, DAY_4, DAY_5, DAY_6, DAY_7, DAY_8, DAY_9, DAY_10, DAY_11, DAY_12, DAY_13, DAY_14, DAY_15, 
	DAY_16, DAY_17, DAY_18, DAY_19, DAY_20, DAY_21, DAY_22, DAY_23, DAY_24, DAY_25, DAY_26, DAY_27, DAY_28, DAY_29, DAY_30, DAY_31, 
	H_1, H_2, H_3, H_4, H_5, H_6, H_7, H_8, H_9, H_10, H_11, H_12, H_13, H_14, H_15, 
	H_16, H_17, H_18, H_19, H_20, H_21, H_22, H_23, H_24, H_25, H_26, H_27, H_28, H_29, H_30, H_31, 
	HALF_D, HALF_H, HALF2_D, HALF2_H, ALL_D, ALL_H, NONE_DAYS, NONE_HOURS, 
	TYPE_1, TYPE_1H, TYPE_2H, TYPE_2, TYPE_3, TYPE_4, TYPE_5, TYPE_6, TYPE_7, TYPE_8, TYPE_9, TYPE_10, TYPE_11, TYPE_12, TYPE_13, TYPE_14, TYPE_15, 
	AVGCount, MCount)
EXEC dbo.SA_PRINT_TABEL
	@nLINKDoc,
	@nOption1, -- 1
	@nCheck1, -- 2
	@nSort3 /* 3*/,
	@nCheck3 /* */,
	@nCheck5 /*   */,
	@SUBDIV OUTPUT, 
	@SUBDIV_CODE OUTPUT,
	@DIV_CODE OUTPUT, 
	@DIV_NAME OUTPUT,
	@TI_CODE OUTPUT, 
	@TI_NAME OUTPUT,
	@EXP_CODE OUTPUT, 
	@EXP_NAME OUTPUT
		
--SELECT * FROM #TABEL
		

DECLARE @Cur1 CURSOR,  @Cur2 CURSOR, @LINE_ID INT, @LINE_ID2 INT, @ID VARCHAR(20)

SET @Cur1 = CURSOR FORWARD_ONLY

FOR 
	SELECT 
		LINE_ID = MIN(LINE_ID), ID
	FROM 
		#TABEL T
	GROUP BY
		ID, LINK_FACE, LINK_EMPL, LINK_SOVM, FIO, NAME_EMPL, TN, SUBDIV_LINK,  CODE_SUB, SUBDIV, POST_LINK, CODE_POST, POST

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINE_ID, @ID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE #TABEL SET
			DAY_1 = CASE WHEN H_1 > 0 THEN SYMB ELSE DAY_1 END,
			DAY_2 = CASE WHEN H_2 > 0 THEN SYMB ELSE DAY_2 END,
			DAY_3 = CASE WHEN H_3 > 0 THEN SYMB ELSE DAY_3 END,
			DAY_4 = CASE WHEN H_4 > 0 THEN SYMB ELSE DAY_4 END,
			DAY_5 = CASE WHEN H_5 > 0 THEN SYMB ELSE DAY_5 END,
			DAY_6 = CASE WHEN H_6 > 0 THEN SYMB ELSE DAY_6 END,
			DAY_7 = CASE WHEN H_7 > 0 THEN SYMB ELSE DAY_7 END,
			DAY_8 = CASE WHEN H_8 > 0 THEN SYMB ELSE DAY_8 END,
			DAY_9 = CASE WHEN H_9 > 0 THEN SYMB ELSE DAY_9 END,
			DAY_10 = CASE WHEN H_10 > 0 THEN SYMB ELSE DAY_10 END,
			
			DAY_11 = CASE WHEN H_11 > 0 THEN SYMB ELSE DAY_11 END,
			DAY_12 = CASE WHEN H_12 > 0 THEN SYMB ELSE DAY_12 END,
			DAY_13 = CASE WHEN H_13 > 0 THEN SYMB ELSE DAY_13 END,
			DAY_14 = CASE WHEN H_14 > 0 THEN SYMB ELSE DAY_14 END,
			DAY_15 = CASE WHEN H_15 > 0 THEN SYMB ELSE DAY_15 END,
			DAY_16 = CASE WHEN H_16 > 0 THEN SYMB ELSE DAY_16 END,
			DAY_17 = CASE WHEN H_17 > 0 THEN SYMB ELSE DAY_17 END,
			DAY_18 = CASE WHEN H_18 > 0 THEN SYMB ELSE DAY_18 END,
			DAY_19 = CASE WHEN H_19 > 0 THEN SYMB ELSE DAY_19 END,
			DAY_20 = CASE WHEN H_20 > 0 THEN SYMB ELSE DAY_20 END,
			
			DAY_21 = CASE WHEN H_21 > 0 THEN SYMB ELSE DAY_21 END,
			DAY_22 = CASE WHEN H_22 > 0 THEN SYMB ELSE DAY_22 END,
			DAY_23 = CASE WHEN H_23 > 0 THEN SYMB ELSE DAY_23 END,
			DAY_24 = CASE WHEN H_24 > 0 THEN SYMB ELSE DAY_24 END,
			DAY_25 = CASE WHEN H_25 > 0 THEN SYMB ELSE DAY_25 END,
			DAY_26 = CASE WHEN H_26 > 0 THEN SYMB ELSE DAY_26 END,
			DAY_27 = CASE WHEN H_27 > 0 THEN SYMB ELSE DAY_27 END,
			DAY_28 = CASE WHEN H_28 > 0 THEN SYMB ELSE DAY_28 END,
			DAY_29 = CASE WHEN H_29 > 0 THEN SYMB ELSE DAY_29 END,
			DAY_30 = CASE WHEN H_30 > 0 THEN SYMB ELSE DAY_30 END,
			
			DAY_31 = CASE WHEN H_31 > 0 THEN SYMB ELSE DAY_31 END
			
		WHERE LINE_ID = @LINE_ID
		
		SET @Cur2 = CURSOR FORWARD_ONLY
		FOR 
			SELECT LINE_ID FROM #TABEL T WHERE ID = @ID AND LINE_ID <> @LINE_ID
		OPEN @Cur2
		FETCH NEXT FROM @Cur2 INTO @LINE_ID2
		WHILE (@@fetch_status <> -1)
		BEGIN
			IF (@@fetch_status <> -2)
			BEGIN
				UPDATE T1 SET
					DAY_1 = CASE WHEN T2.H_1 > 0 THEN 
								CASE WHEN T1.DAY_1 <> '' THEN LTRIM(RTRIM(T1.DAY_1)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_1 END,
					DAY_2 = CASE WHEN T2.H_2 > 0 THEN 
								CASE WHEN T1.DAY_2 <> '' THEN LTRIM(RTRIM(T1.DAY_2)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_2 END,
					DAY_3 = CASE WHEN T2.H_3 > 0 THEN 
								CASE WHEN T1.DAY_3 <> '' THEN LTRIM(RTRIM(T1.DAY_3)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_3 END,
					DAY_4 = CASE WHEN T2.H_4 > 0 THEN 
								CASE WHEN T1.DAY_4 <> '' THEN LTRIM(RTRIM(T1.DAY_4)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_4 END,
					DAY_5 = CASE WHEN T2.H_5 > 0 THEN 
								CASE WHEN T1.DAY_5 <> '' THEN LTRIM(RTRIM(T1.DAY_5)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_5 END,
					DAY_6 = CASE WHEN T2.H_6 > 0 THEN 
								CASE WHEN T1.DAY_6 <> '' THEN LTRIM(RTRIM(T1.DAY_6)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_6 END,
					DAY_7 = CASE WHEN T2.H_7 > 0 THEN 
								CASE WHEN T1.DAY_7 <> '' THEN LTRIM(RTRIM(T1.DAY_7)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_7 END,
					DAY_8 = CASE WHEN T2.H_8 > 0 THEN 
								CASE WHEN T1.DAY_8 <> '' THEN LTRIM(RTRIM(T1.DAY_8)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_8 END,
					DAY_9 = CASE WHEN T2.H_9 > 0 THEN 
								CASE WHEN T1.DAY_9 <> '' THEN LTRIM(RTRIM(T1.DAY_9)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_9 END,
					DAY_10 = CASE WHEN T2.H_10 > 0 THEN 
								CASE WHEN T1.DAY_10 <> '' THEN LTRIM(RTRIM(T1.DAY_10)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_10 END,

					DAY_11 = CASE WHEN T2.H_11 > 0 THEN 
								CASE WHEN T1.DAY_11 <> '' THEN LTRIM(RTRIM(T1.DAY_11)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_11 END,
					DAY_12 = CASE WHEN T2.H_12 > 0 THEN 
								CASE WHEN T1.DAY_12 <> '' THEN LTRIM(RTRIM(T1.DAY_12)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_12 END,
					DAY_13 = CASE WHEN T2.H_13 > 0 THEN 
								CASE WHEN T1.DAY_13 <> '' THEN LTRIM(RTRIM(T1.DAY_13)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_13 END,
					DAY_14 = CASE WHEN T2.H_14 > 0 THEN 
								CASE WHEN T1.DAY_14 <> '' THEN LTRIM(RTRIM(T1.DAY_14)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_14 END,
					DAY_15 = CASE WHEN T2.H_15 > 0 THEN 
								CASE WHEN T1.DAY_15 <> '' THEN LTRIM(RTRIM(T1.DAY_15)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_15 END,
					DAY_16 = CASE WHEN T2.H_16 > 0 THEN 
								CASE WHEN T1.DAY_16 <> '' THEN LTRIM(RTRIM(T1.DAY_16)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_16 END,
					DAY_17 = CASE WHEN T2.H_17 > 0 THEN 
								CASE WHEN T1.DAY_17 <> '' THEN LTRIM(RTRIM(T1.DAY_17)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_17 END,
					DAY_18 = CASE WHEN T2.H_18 > 0 THEN 
								CASE WHEN T1.DAY_18 <> '' THEN LTRIM(RTRIM(T1.DAY_18)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_18 END,
					DAY_19 = CASE WHEN T2.H_19 > 0 THEN 
								CASE WHEN T1.DAY_19 <> '' THEN LTRIM(RTRIM(T1.DAY_19)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_19 END,
					DAY_20 = CASE WHEN T2.H_20 > 0 THEN 
								CASE WHEN T1.DAY_20 <> '' THEN LTRIM(RTRIM(T1.DAY_20)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_20 END,


					DAY_21 = CASE WHEN T2.H_21 > 0 THEN 
								CASE WHEN T1.DAY_21 <> '' THEN LTRIM(RTRIM(T1.DAY_21)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_21 END,
					DAY_22 = CASE WHEN T2.H_22 > 0 THEN 
								CASE WHEN T1.DAY_22 <> '' THEN LTRIM(RTRIM(T1.DAY_22)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_22 END,
					DAY_23 = CASE WHEN T2.H_23 > 0 THEN 
								CASE WHEN T1.DAY_23 <> '' THEN LTRIM(RTRIM(T1.DAY_23)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_23 END,
					DAY_24 = CASE WHEN T2.H_24 > 0 THEN 
								CASE WHEN T1.DAY_24 <> '' THEN LTRIM(RTRIM(T1.DAY_24)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_24 END,
					DAY_25 = CASE WHEN T2.H_25 > 0 THEN 
								CASE WHEN T1.DAY_25 <> '' THEN LTRIM(RTRIM(T1.DAY_25)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_25 END,
					DAY_26 = CASE WHEN T2.H_26 > 0 THEN 
								CASE WHEN T1.DAY_26 <> '' THEN LTRIM(RTRIM(T1.DAY_26)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_26 END,
					DAY_27 = CASE WHEN T2.H_27 > 0 THEN 
								CASE WHEN T1.DAY_27 <> '' THEN LTRIM(RTRIM(T1.DAY_27)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_27 END,
					DAY_28 = CASE WHEN T2.H_28 > 0 THEN 
								CASE WHEN T1.DAY_28 <> '' THEN LTRIM(RTRIM(T1.DAY_28)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_28 END,
					DAY_29 = CASE WHEN T2.H_29 > 0 THEN 
								CASE WHEN T1.DAY_29 <> '' THEN LTRIM(RTRIM(T1.DAY_29)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_29 END,
					DAY_30 = CASE WHEN T2.H_30 > 0 THEN 
								CASE WHEN T1.DAY_30 <> '' THEN LTRIM(RTRIM(T1.DAY_30)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_30 END,

					DAY_31 = CASE WHEN T2.H_31 > 0 THEN 
								CASE WHEN T1.DAY_31 <> '' THEN LTRIM(RTRIM(T1.DAY_31)) + ',' + T2.SYMB ELSE T2.SYMB END
							ELSE T1.DAY_31 END																				
				FROM #TABEL T1 INNER JOIN #TABEL T2 ON 1=1
				WHERE 
					T1.LINE_ID = @LINE_ID
					AND
					T2.LINE_ID = @LINE_ID2
					
				DELETE FROM #TABEL WHERE LINE_ID = @LINE_ID2	

			END
			FETCH NEXT FROM @Cur2 INTO @LINE_ID2
		END	
			
	END

	FETCH NEXT FROM @Cur1 INTO @LINE_ID, @ID
END

CLOSE @Cur1
DEALLOCATE @Cur1

--SELECT * FROM #TABEL	

--   
CREATE TABLE #LINE (LINE_ID INT, LINK_EMPL INT, LINK_SOVM INT, LINK_DAY INT, DOP_TAB INT)
INSERT INTO #LINE (LINE_ID, LINK_EMPL, LINK_SOVM, LINK_DAY, DOP_TAB)
SELECT LINE_ID, LINK_EMPL, LINK_SOVM, LINK_DAY, DOP_TAB
FROM #TABEL L INNER JOIN dbo.TYP_DAYS T ON L.LINK_DAY = LINK
	
--
DECLARE @DATE DATETIME
SELECT @DATE = [DATE] FROM dbo.SDOC WHERE LINK = @nLINKDoc

---
CREATE TABLE #SPR_DOP_TAB (LINK_DAY INT, LINK_PAY INT)

INSERT INTO #SPR_DOP_TAB (LINK_DAY, LINK_PAY)
SELECT LINK_TYP_TAB, LINK_PAYS
FROM
	DBO.SPR_KOEF_DOPL A
WHERE 
	A.LINK_PAYS IS NOT NULL
	AND
	A.[DATE] = (SELECT TOP 1 K2.[DATE] FROM dbo.SPR_KOEF_DOPL AS K2 WHERE A.LINK_TYP_TAB = K2.LINK_TYP_TAB AND K2.[DATE] <= @DATE ORDER BY K2.[DATE] DESC) 

---   
CREATE TABLE #SUM (SUM_ID INT IDENTITY(1,1), LINK_EMPL INT, LINK_SOVM INT, REF_PAY INT, SUMMA NUMERIC(18,2), LINK_DAY INT)

INSERT INTO #SUM (LINK_EMPL, LINK_SOVM, REF_PAY, LINK_DAY, SUMMA)
SELECT
	C.LINK_EMPL, C.LINK_SOVM, REF_PAY, DT.LINK_DAY, SUM(SUMMA_ALL)
FROM
	dbo.SDOC_TABEL D
	INNER JOIN dbo.SA_TABELS_C C ON D.LINK_UP = C.LINK_CALC
	LEFT JOIN #SPR_DOP_TAB DT ON DT.LINK_PAY = C.REF_PAY
WHERE
	D.REF_DOC = @nLINKDoc
GROUP BY
	C.LINK_EMPL, C.LINK_SOVM, REF_PAY, DT.LINK_DAY	


--,    
CREATE TABLE #LINE_SUM (LINE_ID INT, SUM_ID INT)

INSERT INTO #LINE_SUM (LINE_ID, SUM_ID)
--    
SELECT LINE_ID, SUM_ID
FROM 
	#LINE L INNER JOIN #SUM S ON L.LINK_EMPL = S.LINK_EMPL AND L.LINK_SOVM = S.LINK_SOVM AND L.LINK_DAY = S.LINK_DAY


--    (   )
CREATE TABLE #LINE1 (LINK_EMPL INT, LINK_SOVM INT, LINE_ID INT)

INSERT INTO #LINE1 (LINK_EMPL, LINK_SOVM, LINE_ID)
SELECT LINK_EMPL, LINK_SOVM, MIN(LINE_ID)
FROM 
	#LINE L
WHERE
	NOT EXISTS ( SELECT * FROM #LINE_SUM T WHERE T.LINE_ID = L.LINE_ID )
GROUP BY
	LINK_EMPL, LINK_SOVM		

--
INSERT INTO #LINE_SUM (LINE_ID, SUM_ID)
SELECT 
	LINE_ID, SUM_ID
FROM 
	#LINE1 L
	INNER JOIN #SUM S ON L.LINK_EMPL = S.LINK_EMPL AND L.LINK_SOVM = S.LINK_SOVM
WHERE
	NOT EXISTS (
		SELECT * FROM #LINE_SUM LS WHERE S.SUM_ID = LS.SUM_ID
	)	

CREATE TABLE #DATE_SUM (LINE_ID INT, CP VARCHAR(20), SUMMA NUMERIC(18,2))
INSERT INTO #DATE_SUM (LINE_ID, CP, SUMMA)
SELECT LS.LINE_ID, P.CODE + '#' + SA.cSinth + '.' + SA.cAnalit, S.SUMMA 
FROM
	#LINE_SUM LS
	INNER JOIN #SUM S ON LS.SUM_ID = S.SUM_ID
	INNER JOIN dbo.PAYS P ON P.LINK = S.REF_PAY
	LEFT JOIN dbo.G_PROV2 GP2 ON ISNULL(P.LINK_OPER2,P.LINK_OPER) = GP2.link_up
	LEFT JOIN dbo.G_PROV_AP AP ON AP.LINK_UP = GP2.LINK AND DB_KR = 1
	LEFT JOIN dbo.S_ACCOUNTS SA ON SA.LINK = AP.ACCOUNT	
		
	DECLARE @SUM_INFO VARCHAR(120)
	EXEC dbo.X_GET_TABLE_NAME @SUM_INFO OUTPUT
	
	EXEC M_CROSS_TABLE 
		'LINE_ID', 
		'CP', 'VARCHAR(10)', 
		'SUMMA', 'NUMERIC(18,2)', 'SUM(SUMMA) AS SUMMA',
		'#DATE_SUM', @SUM_INFO


	DECLARE @CNT INT
	SELECT @CNT = COUNT(DISTINCT CP) FROM #DATE_SUM
	
	DECLARE @I INT, @SQL_STR VARCHAR(4000), @FIELD_NAME VARCHAR(100)
	SET @I=1

	WHILE @I<=@CNT BEGIN

		SET @FIELD_NAME = 'CP_'  +  RTRIM(LTRIM(STR(@I))) 
		SET @SQL_STR= ' UPDATE ' + @SUM_INFO + '  SET '+@FIELD_NAME+ ' = (SELECT TOP 1 ' + @FIELD_NAME + ' FROM ' + @SUM_INFO + ' WHERE '+
			@FIELD_NAME+ '  IS NOT NULL ) ' 
		EXEC (@SQL_STR)

		SET @FIELD_NAME= 'SUMMA_'  +  RTRIM(LTRIM(STR(@I)))  
		SET @SQL_STR= ' UPDATE ' + @SUM_INFO + '  SET '+@FIELD_NAME+ ' = 0  WHERE ' + @FIELD_NAME+ '  IS NULL ' 
		EXEC (@SQL_STR)

		SET @I=@I+1
	END

	IF @CNT = 0 BEGIN
		EXEC (' ALTER TABLE ' + @SUM_INFO + ' ADD CP_1 VARCHAR(10),  SUMMA_1 NUMERIC(18,2)')
	END

--EXEC(
--'
--SELECT
--	T.LINE_ID,
--	SUBDIV_LINK, 
--	EMPL = LTRIM(RTRIM(ISNULL(FIO,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(NAME_EMPL,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(TN,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(CODE_SUB,''''))) + ''#'' 
--		+ LTRIM(RTRIM(ISNULL(SUBDIV,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(CODE_POST,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(POST,''''))), 
--	DAY_S = LTRIM(RTRIM(ISNULL(DAY_1,'''')))+ ''#'' + LTRIM(RTRIM(ISNULL(DAY_2,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_3,''''))) + ''#'' 
--		+ LTRIM(RTRIM(ISNULL(DAY_4,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_5,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_6,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_7,''''))) + ''#'' 
--		+ LTRIM(RTRIM(ISNULL(DAY_8,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_9,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_10,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_11,''''))) + ''#'' 
--		+ LTRIM(RTRIM(ISNULL(DAY_12,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_13,''''))) + ''#'' +  LTRIM(RTRIM(ISNULL(DAY_14,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_15,''''))) + ''#''
--		+ LTRIM(RTRIM(ISNULL(DAY_16,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_17,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_18,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_19,''''))) + ''#'' 
--		+ LTRIM(RTRIM(ISNULL(DAY_20,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_21,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_22,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_23,''''))) + ''#'' 
--		+ LTRIM(RTRIM(ISNULL(DAY_24,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_25,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_26,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_27,''''))) + ''#'' 
--		+ LTRIM(RTRIM(ISNULL(DAY_28,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_29,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_30,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_31,''''))),
--	DAY_H = RTRIM(CONVERT(VARCHAR(10),ISNULL(H_1,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_2,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_3,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(H_4,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_5,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_6,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(H_7,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_8,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_9,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(H_10,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_11,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_12,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(H_13,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_14,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_15,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(H_16,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_17,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_18,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(H_19,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_20,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_21,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(H_22,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_23,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_24,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(H_25,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_26,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_27,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(H_28,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_29,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(H_30,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(H_31,0))),
--	TYPE_H = RTRIM(CONVERT(VARCHAR(10),ISNULL(HALF_D,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(HALF_H,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(HALF2_D,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(HALF2_H,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(ALL_D,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(ALL_H,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(NONE_DAYS,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(NONE_HOURS,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_1,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_1H,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_2H,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_2,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_3,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_4,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_5,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_6,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_7,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_8,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_9,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_10,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_11,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_12,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_13,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_14,0))) + ''#'' 
--		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_15,0))), 
--	AVGCount, MCount,
--	S.*
--FROM 
--	#TABEL T
--	LEFT JOIN ' + @SUM_INFO + ' S ON T.LINE_ID = S.LINE_ID
--ORDER BY
--	T.LINE_ID	
--'
--)

EXEC(
'
SELECT
	T.LINE_ID,
	SUBDIV_LINK, 
	EMPL = LTRIM(RTRIM(ISNULL(FIO,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(NAME_EMPL,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(TN,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(CODE_SUB,''''))) + ''#'' 
		+ LTRIM(RTRIM(ISNULL(SUBDIV,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(CODE_POST,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(POST,''''))), 
	DAY_S = LTRIM(RTRIM(ISNULL(DAY_1,'''')))+ ''#'' + LTRIM(RTRIM(ISNULL(DAY_2,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_3,''''))) + ''#'' 
		+ LTRIM(RTRIM(ISNULL(DAY_4,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_5,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_6,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_7,''''))) + ''#'' 
		+ LTRIM(RTRIM(ISNULL(DAY_8,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_9,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_10,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_11,''''))) + ''#'' 
		+ LTRIM(RTRIM(ISNULL(DAY_12,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_13,''''))) + ''#'' +  LTRIM(RTRIM(ISNULL(DAY_14,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_15,''''))) + ''#''
		+ LTRIM(RTRIM(ISNULL(DAY_16,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_17,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_18,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_19,''''))) + ''#'' 
		+ LTRIM(RTRIM(ISNULL(DAY_20,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_21,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_22,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_23,''''))) + ''#'' 
		+ LTRIM(RTRIM(ISNULL(DAY_24,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_25,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_26,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_27,''''))) + ''#'' 
		+ LTRIM(RTRIM(ISNULL(DAY_28,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_29,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_30,''''))) + ''#'' + LTRIM(RTRIM(ISNULL(DAY_31,''''))),
	DAY_H = ''##############################'',
	TYPE_H = RTRIM(CONVERT(VARCHAR(10),ISNULL(HALF_D,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(HALF_H,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(HALF2_D,0))) + ''#'' 
		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(HALF2_H,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(ALL_D,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(ALL_H,0))) + ''#'' 
		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(NONE_DAYS,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(NONE_HOURS,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_1,0))) + ''#'' 
		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_1H,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_2H,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_2,0))) + ''#'' 
		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_3,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_4,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_5,0))) + ''#'' 
		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_6,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_7,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_8,0))) + ''#'' 
		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_9,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_10,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_11,0))) + ''#'' 
		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_12,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_13,0))) + ''#'' + RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_14,0))) + ''#'' 
		+ RTRIM(CONVERT(VARCHAR(10),ISNULL(TYPE_15,0))), 
	AVGCount, MCount,
	S.*
FROM 
	#TABEL T
	LEFT JOIN ' + @SUM_INFO + ' S ON T.LINE_ID = S.LINE_ID
ORDER BY
	T.LINE_ID	
'
)	

DROP TABLE #TABEL
DROP TABLE #LINE
DROP TABLE #SPR_DOP_TAB
DROP TABLE #SUM
DROP TABLE #LINE_SUM
DROP TABLE #LINE1
DROP TABLE #DATE_SUM
	
END
	


GO


GRANT EXECUTE ON dbo.[SA_PRINT_TABEL_T13] TO PUBLIC

GO

GO

GO

-- FIX >>  : 9850.sql
----      '129'   2018  
DECLARE @LINK_DED INT,
		@P1 INT,
		@Object INT
		
	SELECT @Object = LINK FROM dbo.S_OBJECTS WHERE CODE = 'COLUMN_REF_PAY_MROT_T1'
	SET @P1 = (SELECT TOP 1 link FROM dbo.DICTIONARY_MROT AS dm WHERE year(dm.PERIOD)  =  '2018')
	SET @LINK_DED = (SELECT TOP 1  link  FROM  dbo.DICTIONARY_TYP_DEDUCTION WHERE SNAME = '129' ) 
	IF COALESCE(@LINK_DED,0) > 0  AND COALESCE(@P1,0) > 0 AND EXISTS(SELECT * FROM MINROT_DICTION WHERE LINK_MINROT = @P1 and LINK_DICTION = @LINK_DED and [OBJECT] = @Object )
		UPDATE MINROT_DICTION
		set SUMMA  = 12000
		WHERE LINK_MINROT = @P1 and LINK_DICTION = @LINK_DED and [OBJECT] = @Object 
		
GO

GO

-- FIX >>  : 9830.sql

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[ku_EmplsInPeriod0]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[ku_EmplsInPeriod0]

GO

/*
  (Keysystems), 2005
*/

CREATE FUNCTION dbo.ku_EmplsInPeriod0 (
	@BDate datetime,
	@EDate	datetime,
	@iDep_Link int = NULL,
	@analit tinyint, -- 0 - , 1 - 
	@vn_sovm tinyint = 0 --   
	)
RETURNS @empl TABLE (date datetime, empl_link int, [status] tinyint, sch numeric(5,2), ssch numeric(5,2), comment varchar(100))
AS  ---    
BEGIN 

	SET @iDep_Link = COALESCE(@iDep_Link,(SELECT TOP 1 DEP_LINK FROM dbo.USER_DEP))

	DECLARE @empl_in_otpusk TABLE (date_begin datetime, date_end datetime, empl_Link int)
	
	INSERT @empl_in_otpusk
	SELECT 
		(case when V.date_begin<=@BDate then @BDate else V.date_begin end),
		(case when isnull(coalesce(DATE_BREAK,V.date_end), @EDate) <= @EDate then isnull(coalesce(DATE_BREAK,V.date_end), @EDate) else @EDate end),
		v.empl_link  
	FROM orders o inner join dbo.item_vacation V on o.link = V.order_link
		inner join dbo.vacation_vid VV on V.type_link = VV.link
		inner join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK
		left join item_vacation_break ivb on ivb.vac_link = v.link
	WHERE 
		(
			d.WORK_D IN  (7, 13) --
			or (d.WORK_D = 5 AND VV.NO_SAL = 1) -- 
		) 
		and v.active=1
		and V.date_begin <= @EDate 
		and isnull(V.date_end, @EDate) >= @BDate		
			and o.dep_link = @iDep_Link

	--    	
	insert into @empl ([date], empl_link, [STATUS], sch, ssch, comment)
	SELECT 
		D.[DATE], 
		EMPL_LINK, 
		[status] = 0, 
		sch = 1,
		ssch = 0,
		com = '  ,  ,     /'  
	FROM 
		@empl_in_otpusk M
		inner join dbo.days_ex(@BDate,@EDate) D on D.[DATE] between M.DATE_BEGIN AND ISNULL(M.DATE_END,D.[DATE])
	WHERE 
		M.DATE_BEGIN <= @EDate
		and isnull(M.DATE_END, @EDate) >= @BDate

	-- 
	insert into @empl ([date], empl_link, [STATUS], sch, ssch, comment)
	SELECT 
		D.[DATE], 
		EMPL_LINK, 
		[status], 
		sch = case when [status] = 2 or @vn_sovm = 1 then 0 else 1 end,
		ssch = case when [status] = 2 or @vn_sovm = 1 then 0 else NUM_STAKE end,
		com = case [status] when 3 then ' ' when 2 then '' else '' end  
	FROM 
		dbo.EMPL E
		inner join dbo.sa_empl_move(default) M on E.link = M.empl_link
		inner join dbo.days_ex(@BDate,@EDate) D on D.[DATE] between M.DATE_BEGIN AND ISNULL(M.DATE_END,D.[DATE])
	WHERE 
		M.DATE_BEGIN <= @EDate
		and isnull(M.DATE_END, @EDate) >= @BDate
		and E.dep_link = @iDep_Link
		and not exists (select empl_link from @empl_in_otpusk O where O.empl_link = e.link and D.[DATE] between O.DATE_BEGIN AND ISNULL(O.DATE_END,D.[DATE]) )

	RETURN
END





GO


GRANT SELECT ON dbo.[ku_EmplsInPeriod0] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9890.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SUBDIVISION]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SUBDIVISION]

GO



CREATE    FUNCTION [dbo].SUBDIVISION (@dDATE datetime = null)
RETURNS TABLE
AS
RETURN
SELECT sh.link, [subdiv_link] = s.link, s.code, s.name, 
	[link_self] = isnull(s.link_self, 0),
	s.orders, sh.dep_link, s.lim, 
	S.OBOSOB,
	S.O_OKATO,
	S.O_KPP,
	[date_begin] = (SELECT min(date_begin) FROM subdiv WHERE link_up=sh.link),
	[date_end] = (SELECT min(date_end) FROM subdiv WHERE link_up=sh.link),
	[imageindex] = case when isnull(@dDATE, ui.workdate) between s.date_begin and s.date_end then 'subdiv' else 'sack' end,
	[deleted] = case when isnull(@dDATE, ui.workdate) between s.date_begin and s.date_end then 0 else 1 end,
	[childrens] = case when exists(select * from subdiv where link_self=sh.link and isnull(@dDATE, ui.workdate) between date_begin and date_end)
			then convert(bit, 0) else convert (bit, 1) end,
	[PARENT_NAME] = isnull((SELECT top 1 NAME FROM subdiv WHERE LINK_UP = s.link_self AND isnull(@dDATE, ui.workdate) BETWEEN DATE_BEGIN AND DATE_END),''),
    O_OKTMO = case when ISNULL(S.O_OKTMO ,'') = '' THEN  LEFT(S.O_OKATO,11) ELSE S.O_OKTMO  END 
FROM dbo.user_info ui
	INNER JOIN dbo.subdiv_head sh ON sh.dep_link = (SELECT zb_link FROM ks_options_zb)
	INNER JOIN dbo.subdiv s ON s.link_up=sh.link 
		and ((s.date_begin=isnull((SELECT max(date_begin) FROM subdiv WHERE link_up=s.link_up and isnull(@dDATE, ui.workdate)>=date_begin),
				(SELECT min(date_begin) FROM subdiv WHERE link_up=s.link_up and isnull(@dDATE, ui.workdate)<=date_begin)) and ui.code_task in ('KADRY', 'SALARY'))
			or (isnull(@dDATE, ui.workdate) between s.date_begin and s.date_end and  ui.code_task not in ('KADRY', 'SALARY')))





GO


GRANT SELECT ON dbo.[SUBDIVISION] TO PUBLIC

GO


-- --

GO




IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_REP_2NDFL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_REP_2NDFL]

GO

CREATE PROCEDURE dbo.SD_REP_2NDFL
	@varKScYear varchar(4),			
	@varKSnFirstNum INT,	
	@nCHECK_S int = 0,					   /*    */
	@nSumm_For_Check numeric(18,2) = null, /*    */			
	@varKScVal1 char(1), @varKSnOtborLink1 int,	
	@varKScVal2 char(1), @varKSnOtborLink2 int,
	@nLinkEmpl int = 0,
	@nMonth int = 12,
	@LINK_PERS INT = NULL,
	@nCheck_CheeF int = 0,
	@nOption1 int = 1, /*   1 - , 2 - , 3 -  */
	@nKOrr VARCHAR(2) /*   */
AS BEGIN

SET NOCOUNT ON
	
	Set @nMonth = ISNULL(@nMonth,12)

	DECLARE @varKSnYear INT
	SET @varKSnYear = CAST(@varKScYear AS INT)

	DECLARE @BEGIN_YEAR DATETIME, @END_YEAR DATETIME
	SET @BEGIN_YEAR = dbo.ConvertDMY2Date(1,1,@varKSnYear)
	SET @END_YEAR = dbo.DateEndOfYear(@BEGIN_YEAR)

	declare @DEP_LINK int
	exec dbo.xd_whats_zb @DEP_LINK OUTPUT

	CREATE TABLE #RES0 (
		ID INT IDENTITY,
		NOM_SPR INT,
		nKorr VARCHAR(2),
		LINK_FACE INT,
		SEX INT,
		INNFIZ VARCHAR(20),
		NUMB_SERT VARCHAR(20),
		STATUS VARCHAR(1),
		FIO VARCHAR(254),
		FM VARCHAR(254),
		IM VARCHAR(254),
		OT VARCHAR(254),
		KDVD VARCHAR(4),
		SERNOM VARCHAR(254), 
		BIRTH DATETIME,
		GRAZD VARCHAR(3),
		KSTR VARCHAR(3),
		LINK_ADR INT,
		IND_ADR VARCHAR(10),
		REGION VARCHAR(4),
		RAION VARCHAR(254),
		GOROD VARCHAR(254),
		NASEL VARCHAR(254),
		STREET VARCHAR(254),
		HOUSE VARCHAR(20),
		KORP VARCHAR(10),
		FLAT VARCHAR(10),

		KSTR_ino VARCHAR(3),
		Adr_ino VARCHAR(200),

		O_OKATO VARCHAR(14),
		O_OKTMO VARCHAR(11),
		O_KPP VARCHAR(9),		

		ksv1 varchar(3), ssv1 numeric(11,2),
		ksv2 varchar(3), ssv2 numeric(11,2),
		ksv3 varchar(3), ssv3 numeric(11,2),
		ksv4 varchar(3), ssv4 numeric(11,2),
		ksv5 varchar(3), ssv5 numeric(11,2),
		ksv6 varchar(3), ssv6 numeric(11,2),
		ksv7 varchar(3), ssv7 numeric(11,2),
		ksv8 varchar(3), ssv8 numeric(11,2),
		ksv9 varchar(3), ssv9 numeric(11,2),
		ksv10 varchar(3), ssv10 numeric(11,2),
		ksv11 varchar(3), ssv11 numeric(11,2),
		ksv12 varchar(3), ssv12 numeric(11,2),
		ssv numeric(11,2), siv numeric(11,2),
		osd13 numeric(11,2), sdo13 numeric(11,2), 
		nalogn13 numeric(18), nalogu13 numeric(18),
		NALOG13S numeric(18),
		err int,
		S_5_6 NUMERIC(18,2), S_5_7 NUMERIC(18,2),		
		dolg_np numeric(8), dolg_na numeric(8),
		kbkcode1 varchar(30), kbkcode2 varchar(30), kbkcode3 varchar(30), kbkcode4 varchar(30), 
		kbksum1 numeric(18,2), kbksum2 numeric(18,2),kbksum3 numeric(18,2),kbksum4 numeric(18,2),
		VIFNSPL numeric(18,2),
		ZSummPL numeric(18,2),
		UdSumPL numeric(18,2),
		VzkIFNS numeric(18,2)

	)	


	CREATE TABLE #FACES (LINK int,PERS_LINK int)

	IF @nLinkEmpl = 0
	BEGIN

		IF (len(@varKScVal1) = 0) AND (len(@varKScVal2) = 0 )
			INSERT INTO #FACES
			SELECT distinct PERS_LINK,PERS_LINK FROM dbo.empl WHERE DEP_LINK = @DEP_LINK --AND dbo.ku_GetEmplSack(link,default) = 0
		ELSE 
		if len(@varKScVal1) <> 0
			INSERT INTO #FACES 
			SELECT distinct Min(RECORD),E.PERS_LINK 
			FROM dbo.EMPL E INNER JOIN dbo.OBJECT_VAR_EMPL OVE ON OVE.RECORD = E.LINK
			WHERE LINK_UP = @varKSnOtborLink1
			GROUP BY E.PERS_LINK

		IF (len(@varKScVal1) = 0) AND (len(@varKScVal2) = 0 )
			INSERT INTO #FACES
			SELECT distinct PERS_LINK,PERS_LINK FROM dbo.SALARY_REESTR_DGH WHERE DEP_LINK = @DEP_LINK
				AND PERS_LINK NOT IN (SELECT PERS_LINK FROM #FACES)
		ELSE 
		IF len(@varKScVal2) <> 0
			INSERT INTO #FACES 
			SELECT distinct Min(RECORD), P.LINK 
			FROM dbo.PERSON P INNER JOIN dbo.OBJECT_VAR_PERSON OVE ON OVE.RECORD = P.LINK  
			WHERE LINK_UP = @varKSnOtborLink2 AND P.LINK NOT IN (SELECT PERS_LINK FROM #FACES)
			GROUP BY P.LINK
	END
	
	IF @nLinkEmpl > 0
	BEGIN
		INSERT INTO #FACES
		SELECT distinct LINK,PERS_LINK FROM dbo.empl WHERE LINK = @nLinkEmpl and DEP_LINK = @DEP_LINK
	END
	
	
	IF @nLinkEmpl IS NULL
		INSERT INTO #FACES (LINK, PERS_LINK)
		VALUES (0, @LINK_PERS)

	-----------------------------
	delete from dbo.SAL_DED_MONTH
	where 
	YEAR(DATE_DED) = @varKSnYear
	AND
	Month(DATE_DED) <= @nMonth
	AND
	LINK_EMPL IN (Select EM.LINK from dbo.EMPL EM INNER JOIN #FACES F on EM.PERS_LINK = F.PERS_LINK)
	AND
	LINK IN 
	(
		select D.LINK 
		from dbo.SAL_DED_MONTH D inner join dbo.empl E on D.link_empl = E.link
		where YEAR(D.DATE_DED) = @varKSnYear AND Month(D.DATE_DED) <= @nMonth
		and not exists (Select * from dbo.CALCULATE_JURNAL JC where YEAR(JC.PERIOD_BEGIN) = @varKSnYear AND Month(JC.PERIOD_BEGIN) <= @nMonth AND JC.LINK_EMPL = E.LINK AND JC.LINK_VKR = D.LINK_VKR)
	)

	-----------------------------	

	EXEC dbo.BufferClear
	EXEC dbo.BufferPushTable '#faces', 'REP2NDFL', 'pers_link'

	/* */
	Declare @isPrevPreiod tinyint
	--        ,     .                   
	Set @isPrevPreiod = dbo.sa_get_option_by_code('NDFL_OPT6')

	create table #S_J_C_SHORT (LINK_FACE int,PERS_LINK int, link_empl int, link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), link_inc int, period_begin datetime, date1 datetime, link_dep int)

	IF @nOption1 < 3
	BEGIN
		
		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep)
		Select 
			E.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, 
			P.LINK, link_vkr, ISNULL(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, summa, P.LINK_INC,
			period_begin = (case when @isPrevPreiod = 0 then JC.period_begin 
					else (Case 
							when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
							then JC.DATE_BEGIN else JC.period_begin 
						end) 
					end),
			JC.DATE_BEGIN,
			JC.LINK_DEP
		from 
			dbo.CALCULATE_JURNAL JC 
			INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS
			LEFT JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
			LEFT JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
			LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
		where
			(
					(@isPrevPreiod = 0 or ISNULL(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and @nMonth >= month(JC.PERIOD_BEGIN) and @varKSnYear = year(JC.PERIOD_BEGIN)
					or 
					@isPrevPreiod = 1 and ISNULL(d.code,'') = 'DOCUMENTS_ADD_TABEL'
					and (@nMonth >= month(JC.DATE_BEGIN) or @nMonth >= month(JC.PERIOD_BEGIN) )
					and (@varKSnYear = year(JC.DATE_BEGIN) or @varKSnYear = year(JC.PERIOD_BEGIN) )

				)
			AND  
				(	-->>NEW
				E.PERS_LINK in (select PERS_LINK from #FACES )
				or
				JC.PERS_LINK in (select PERS_LINK from #FACES )
				)	
			AND JC.LINK_DEP = @DEP_LINK 
		union all --
		Select LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep
		from dbo.S_J_C_SHORT SJC 
			LEFT JOIN DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC 
		where 
			SJC.LINK_DEP = @DEP_LINK
			and
			(
				SJC.LINK_FACE in (select PERS_LINK from #FACES )
				or
				SJC.PERS_LINK in (select PERS_LINK from #FACES )
			)
			and YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
			and Month(SJC.PERIOD_BEGIN) <= @nMonth
			and TYP_OPER = 2
			
	END --IF @nOption1 < 3
	ELSE
	BEGIN

		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_dep)
		Select 
			F.PERS_LINK, F.PERS_LINK, E.LINK, @DEP_LINK
		FROM
			#FACES F
			LEFT JOIN dbo.EMPL E ON F.LINK = E.LINK
	END
	
-----------------------------------------------------------
--  
DECLARE @DATE DATETIME
SET @DATE = DBO.ConvertDMY2Date(1,@nMonth, @varKSnYear)
SET @DATE = DBO.DateEndOfMonth(@DATE)

CREATE TABLE #E_SUBDIV (EMPL_LINK INT, SUBDIV_LINK INT)

IF @nLinkEmpl > 0
BEGIN
	INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
	SELECT EMPL_LINK, SUBDIV_LINK
	FROM DBO.SA_EMPLS_INFO(@DATE, @nLinkEmpl)
	WHERE [STATUS] = 1 OR [STATUS] = 3	
END
ELSE 
	BEGIN
		INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
		SELECT EMPL_LINK, SUBDIV_LINK
		FROM DBO.SA_EMPLS_INFO(@DATE,DEFAULT)
		WHERE [STATUS] = 1 OR [STATUS] = 3	
	END	

CREATE TABLE #S_OBOSOB (SUBDIV_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #S_OBOSOB (SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP)
SELECT SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP 
FROM [dbo].SUBDIVISION(@DATE) 
WHERE OBOSOB = 1

CREATE TABLE #P_OBOSOB (PERS_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #P_OBOSOB(PERS_LINK, O_OKATO, O_OKTMO, O_KPP)
SELECT E.PERS_LINK, SO.O_OKATO , SO.O_OKTMO, SO.O_KPP 
FROM 
	#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
	INNER JOIN  DBO.EMPL E ON   E.LINK = ES.EMPL_LINK

-----------------------------------------------------------
	INSERT INTO #RES0 (
		LINK_FACE,
		SEX,
		INNFIZ, --NALOG,
		NUMB_SERT,
		STATUS,
		FIO,
		FM, IM, OT,
		KDVD,
		SERNOM, 
		BIRTH,
		GRAZD,
		KSTR,
		LINK_ADR,
		IND_ADR,
		REGION,
		RAION,
		GOROD,
		NASEL,
		STREET,
		HOUSE,
		KORP,
		FLAT, 
		KSTR_ino,
		Adr_ino,
		ERR,
		O_OKATO,
		O_OKTMO,
		O_KPP
	)

	SELECT 	distinct 
		P.LINK, P.SEX, P.INN, /*P.IFNS,*/ P.INSUR_NUM, 
		CASE 
			WHEN P.RESIDENT  IS NULL THEN ''
			WHEN P.RESIDENT = 1 THEN '1'
			WHEN P.RESIDENT = 0 THEN '2'
		END,
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT),
		RTRIM(P.FM), RTRIM(P.IM), RTRIM(P.OT),
		[KDVD] = (SELECT TOP 1 CODE FROM FACE_DOCUMENT WHERE LINK = P.DOC_LINK),
		P.DOC_NUM,
		P.BIRTHDATE,
		GRAZD= (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK),
		KSTR= (case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then '643' else '' END),
		ADR.LINK_ADDR,
		ADR.IND_ADR,
		ADR.REGION,
		ADR.RAION,
		ADR.GOROD,
		ADR.NASEL,
		ADR.STREET,
		ADR.HOUSE,
		ADR.KORP,
		ADR.FLAT,
		KSTR_ino = '',
		Adr_ino = '',
		0,
		PO.O_OKATO,
		PO.O_OKTMO,
		PO.O_KPP
	FROM 
		#FACES F 
		INNER JOIN PERSON P ON P.LINK = F.PERS_LINK
		INNER JOIN (SELECT LINK_FACE from #S_J_C_Short SJC where LINK_FACE is not null
			 		UNION 
			 		SELECT LINK_FACE= PERS_LINK from #S_J_C_Short SJC where PERS_LINK is not null) J on P.LINK = J.LINK_FACE
		LEFT OUTER JOIN dbo.NDFL_GET_ADDRESS() ADR ON P.LINK = ADR.LINK_FACE
		LEFT JOIN #P_OBOSOB PO ON PO.PERS_LINK = F.PERS_LINK 
	ORDER BY 
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT)

	CREATE TABLE #PAYS_0
	(
		ID INT IDENTITY,
		LINK_FACE INT, 
		mes int, 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)
	

	
	select distinct LINK_FACE, Y = year(PERIOD_BEGIN), M = month(PERIOD_BEGIN),  LINK_INC, LINK_VKR  
	into #spr_pays_kbk
	from 	#S_J_C_SHORT where TYP_OPER = 1
	

	CREATE TABLE #PAYS_0_tmp
	(
		ID INT IDENTITY,
		LINK_FACE INT,
		mes int, 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)


IF @nOption1 < 3
BEGIN

	INSERT INTO #PAYS_0_tmp
	(LINK_FACE, mes, 
	LINK_INC, CODE_INC, SUMMA_INC,
	LINK_DED, CODE_DED, SUMMA_DED)
	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM 
		#S_J_C_SHORT SJC 
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.LINK_FACE = F.PERS_LINK
	WHERE 
		SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.PERS_LINK,0) = 0
		AND
		SJC.LINK_DEP = @DEP_LINK 
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED

	---<<    	
	union all 

	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM #S_J_C_SHORT SJC 	
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC --AND DTI.SNAME <> '0000'
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 	SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.LINK_FACE,0) = 0
		AND
		SJC.LINK_DEP = @DEP_LINK
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED
	ORDER BY 
		1, ISNULL(DTI.SNAME,'0000'), COD_DED

	INSERT INTO #PAYS_0
	Select LINK_FACE, mes, LINK_INC, CODE_INC, sum(SUMMA_INC), LINK_DED, CODE_DED, sum(SUMMA_DED)
	from #PAYS_0_tmp
	group by LINK_FACE, mes, LINK_INC, CODE_INC, LINK_DED, CODE_DED
	having Sum(SUMMA_INC) <> 0

	drop table #PAYS_0_tmp
	
END
ELSE
BEGIN

	INSERT INTO #PAYS_0
	Select PERS_LINK, 0, NULL, NULL, 0, NULL, NULL, 0 FROM #FACES
	
END

	
IF @nOption1 < 3
BEGIN
	---->>
	--
	SELECT D.LINK_FACE, D.mes, SUM(D.SUMMA) as SUMMA, D.REF_DED INTO #DED 
	FROM 
		dbo.SA_NDFL_MONTH_DED_ALL(@varKSnYear) D 
		inner join #spr_pays_kbk kbk on kbk.LINK_FACE = d.LINK_FACE and kbk.m = d.mes and kbk.link_inc = d.REF_INC and kbk.LINK_VKR = d.LINK_VKR
	where 
		kbk.y = @varKSnYear
		and kbk.m <= @nMonth
	GROUP BY 
		D.LINK_FACE, d.mes, d.REF_DED

	UPDATE #PAYS_0
	SET SUMMA_DED = 
		(SELECT SUM(SUMMA) FROM #DED D WHERE D.LINK_FACE = R.LINK_FACE AND D.REF_DED = R.LINK_DED AND D.mes = R.mes ) 
	FROM #PAYS_0 R 
	WHERE LINK_DED IS NOT NULL


	update #PAYS_0 
		Set CODE_DED = ''
		where ISNULL(SUMMA_DED,0) = 0


	CREATE TABLE #P0 (LINK_FACE INT, ID1 INT)

	--- 1

	CREATE TABLE #PAYS1(LINK_FACE INT, SM NUMERIC(11,2), MONTH_NUM INT)
	INSERT INTO #PAYS1
	SELECT LINK_FACE, SM, [MONTH]
	FROM dbo.NDFL_BASE_SUM_TAX_MONTH_ALL(@nMonth, @varKSnYear)

	---<<    
	insert into #pays1

	SELECT 
		F.PERS_LINK,
		SUM(SUMMA) AS SUMMA_INC,
		Month(SJC.PERIOD_BEGIN)
	FROM 
		#S_J_C_SHORT SJC 
		INNER JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND ISNULL(SJC.LINK_FACE,0) = 0
		AND SJC.LINK_DEP = @DEP_LINK 
	GROUP BY F.PERS_LINK, SJC.PERIOD_BEGIN

	---->>

	SELECT LINK_FACE, SUM(SM) AS SM
	INTO #PAYS_R
	FROM #PAYS1
	GROUP BY LINK_FACE

	INSERT INTO #PAYS1
	SELECT 
		EP.PERS_LINK, -SUM(SUMMA), MONTH(DATE_DED)
	FROM    
		dbo.empl EP 
		inner join SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND [TYPE] = 2)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
	where 
		EP.DEP_LINK = @DEP_LINK	
	GROUP BY 
		EP.PERS_LINK, MONTH(DATE_DED)

	CREATE TABLE #PAYS3(ID INT IDENTITY, LINK_FACE INT, LINK_DED INT, CODE_DED VARCHAR(6), SUMMA NUMERIC(18,2), SUMMA_FAKT NUMERIC(18,2))
	--     
	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.empl EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BEGIN_YEAR) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.REESTR_DGH EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_DGH AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND S.[TYPE] = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BEGIN_YEAR) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE


	--UPDATE #PAYS3
	--SET
	--	SUMMA = (Select sum(SUM_DED) from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	
	--where
	--	exists (Select * from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	


	UPDATE #PAYS3
	SET
		SUMMA = ISNULL(SUMMA_FAKT,0)
	where
		ISNULL(SUMMA,0) = 0

	--  (,     .)
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, SUM(S.SUMMA), SUM(S.SUMMA) 
	FROM 
		dbo.EMPL EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
	where 
		T.NUMBER NOT IN (	1, --
							6 --    
							)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

	--   . 
	update #RES0
	Set siv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = @DEP_LINK AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0),
		ssv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED NOT IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = @DEP_LINK AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0)		

	from #RES0 R
	

	--
	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV1 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV1 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV2 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV2 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV3 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV3 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV4 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV4 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV5 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV5 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV6 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV6 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV7 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV7 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV8 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV8 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV9 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV9 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV10 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV10 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV11 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV11 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV12 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV12 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	UPDATE #RES0 SET OSD13 = (SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE) FROM #RES0 R

	----
	UPDATE #RES0 SET SDO13 = OSD13 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE

	-----
	UPDATE #RES0 SET SDO13 = 0 WHERE SDO13 < 0

	CREATE TABLE #NDFL_TAX(LINK_TAX INT)
	INSERT INTO #NDFL_TAX
	SELECT LINK FROM PAYS P WHERE P.OBJECT = 2 AND P.WAY_CALC = 4

	Create table #NDLF13_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF13 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF13_tmp (LINK, SUMMA)
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  
	WHERE 
		YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY 
		B.LINK
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY B.LINK

	insert into #NDLF13 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF13_tmp group by LINK
	
	drop table #NDLF13_tmp
	--->>

	UPDATE #RES0 SET NALOGU13 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF13 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN13 = SDO13 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX WHERE TARIF = 1)
								ELSE 0.30 END)
	--     
	DECLARE @SUMMA_PLAT_ALL NUMERIC(18,2)
		
	IF @nCHECK_S = 0
		BEGIN
			SET @SUMMA_PLAT_ALL =  @nSumm_For_Check 	
		END
	ELSE
		BEGIN 
			EXEC dbo.SA_NDFL_PLAT @BEGIN_YEAR, @DATE, @DEP_LINK, @SUMMA_PLAT_ALL OUT
		END 
	
	--     
	DECLARE @SUMMA_NACH_ALL NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL @BEGIN_YEAR, @DATE, @DEP_LINK, @SUMMA_NACH_ALL OUT
	--  	
	UPDATE #RES0 SET NALOG13S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL > 0 THEN (NALOGU13	/ @SUMMA_NACH_ALL) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG13S = CASE WHEN NALOG13S > NALOGU13 THEN NALOGU13 ELSE NALOG13S END

	UPDATE #RES0 SET NOM_SPR = ID + @varKSnFirstNum - 1
	
	UPDATE #RES0 SET NKORR = CASE WHEN @nOption1 = 2 THEN (case when len(left(ltrim(rtrim(@nKOrr)),2)) = 1 THEN '0'+ltrim(rtrim(@nKOrr)) ELSE  left(ltrim(rtrim(@nKOrr)),2) END ) 
								  WHEN  @nOption1 = 1 THEN '00' 
								  WHEN @nOption1 =3 THEN '99' end

	--- /      
	UPDATE A SET 
		S_5_6 = (CASE WHEN R.NDFL > 0 THEN R.NDFL ELSE 0 END),
		S_5_7 = (CASE WHEN R.NDFL <= 0 THEN - R.NDFL ELSE 0 END)
	FROM
		#RES0 A INNER JOIN 
		(SELECT E.PERS_LINK, NDFL = SUM(SR.NDFL) FROM dbo.SAL_REMAIN SR INNER JOIN dbo.EMPL E ON E.LINK = SR.LINK_EMPL WHERE SR.YEAR_SAL = @varKSnYear GROUP BY E.PERS_LINK) R 
			ON R.PERS_LINK = A.LINK_FACE
	--	
	UPDATE #RES0 SET DOLG_NP = CASE WHEN NALOGN13 - NALOGU13 > 0 THEN NALOGN13 - NALOGU13 ELSE 0 END - ISNULL(S_5_6,0)
	UPDATE #RES0 SET DOLG_NA = CASE WHEN NALOGU13 - NALOGN13 > 0 THEN NALOGU13 - NALOGN13 ELSE 0 END - ISNULL(S_5_7,0)

	--^^^^^^^^^   ^^^^^^^^^^
	create table  #PAYS_NDFL (ID INT IDENTITY, LINK_FACE int, LINK_PAYS int, kbk_code varchar(30), SUMMA numeric(18,2))

	INSERT INTO #PAYS_NDFL (LINK_FACE, LINK_PAYS, kbk_code, SUMMA)
	SELECT LINK_FACE, SJC.LINK_PAYS, left(kbk.CODE,30), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.PERS_LINK,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)
	GROUP BY 
		LINK_FACE, LINK_PAYS, kbk.CODE

	union all ---<<    	

	SELECT  PERS_LINK, SJC.LINK_PAYS, left(kbk.CODE,20), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.LINK_FACE,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)

	GROUP BY 
		PERS_LINK, LINK_PAYS, kbk.CODE
	ORDER BY 
		1, 2, 3

	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode1 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum1 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode2 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum2 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode3 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum3 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode4 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum4 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

END --IF @nOption1 < 3
	-------------------------------------
	update #res0
	set 	VIFNSPL =0, ZSummPL =0, UdSumPL =0, VzkIFNS =0


	DECLARE @varKSCNT INT

	SELECT @varKSCNT  = COUNT(*) FROM #RES0

	SELECT TOP 1 
		LTRIM(RTRIM(STR(@varKSCNT))) AS DOCCOUNT, 
		ISNULL(IMNS, '') AS NALOG,
		ISNULL(dd.INN, '') AS INN,
		ISNULL(KPP, '') AS KPP,
		ISNULL(OKATO, '')  AS OKATO,
		ISNULL(OKTMO, '')AS OKTMO,
		convert(varchar (254),(ISNULL(FULL_NAME, ''))) AS FULL_NAME,
		ISNULL(DOTF.PHONE, '') AS PHONE,
		ISNULL(RTRIM(FM), '') + ' ' + ISNULL(RTRIM(IM), '') + ' ' + ISNULL(RTRIM(OT), '') AS GLBUH,
		ISNULL(RTRIM(FM), '') AS FM,
		ISNULL(RTRIM(IM), '') AS IM, 
		ISNULL(RTRIM(OT), '') AS OT,
		ISNULL(RTRIM(DOTF.NAME), '') AS Dolzh
	INTO #DEP
	FROM 
		dbo.DICTIONARY_DEPARTMENT DD 
		LEFT OUTER JOIN dbo.DICTIONARY_OTV_FACE DOTF ON 
		DOTF.DEP_LINK = DD.LINK
		AND 
		(
			(@nCheck_CheeF = 0 and DOTF.NAME = ' ' ) 
			OR 
			(@nCheck_CheeF = 1 and DOTF.NAME = '' )
		)
		LEFT OUTER JOIN dbo.KU_EMPL_PLACING EP ON DOTF.FACE_LINK = EP.LINK
	WHERE 
		DD.link = @DEP_LINK


	CREATE TABLE #LOG(
		LINK INT, ERR INT IDENTITY, 
		NUMBER VARCHAR(20), DETAIL VARCHAR(254) )

	DECLARE @varKScInn VARCHAR(254), @varKScKPP VARCHAR(254), @varKSFULL_NAME varchar(254), 
		@varKSNALOG VARCHAR(254), @varKSOKATO VARCHAR(254), @varKSOKTMO VARCHAR(254), @varKSPHONE VARCHAR(254), 
		@varKSGLBUH VARCHAR(254), 
		@varKSRESULT BIT

	SELECT 
		@varKScInn = INN, @varKScKPP = KPP,
		@varKSFULL_NAME = FULL_NAME, 
		@varKSNALOG = NALOG, @varKSOKATO = Replace(OKATO,' ',''), @varKSOKTMO = Replace(OKTMO,' ',''),
		@varKSPHONE = PHONE, 
		@varKSGLBUH  = GLBUH
	FROM #DEP
	
	IF LEN(@varKScInn) = 0
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKScInn) <> 10 BEGIN
			INSERT INTO #LOG (LINK, NUMBER, DETAIL)
			VALUES (0, ' ', '  ')
		END
		ELSE BEGIN
			EXEC SD_CHECK_INN @varKScInn, @varKSRESULT OUTPUT, 0
			IF @varKSRESULT = -1
				INSERT INTO #LOG (LINK, NUMBER, DETAIL)
				VALUES (0, ' ', '  ')
		END
	END

	
	IF LEN(@varKScKPP) = 0
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKScKPP) <>9  BEGIN
			INSERT INTO #LOG (LINK, NUMBER, DETAIL)
			VALUES (0, ' ', '    9 ')
		END
	END

	IF LEN(@varKSNALOG) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKSNALOG) <> 4  
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '    4 ')

	END

	IF LEN(@varKSFULL_NAME) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   -')



	IF LEN(@varKSOKTMO) = 0  
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)		VALUES (0, ' ', '   ')	

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT E.PERS_LINK, '', '      ,     ' + RTRIM(P.FM) + ' ' + SUBSTRING(RTRIM(P.IM),1,1) + '.' + SUBSTRING(RTRIM(P.OT),1,1) + '.'
	FROM
		#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
		INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK
		INNER JOIN #FACES F ON F.PERS_LINK = E.PERS_LINK
		INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK
	WHERE
		LEN(O_OKTMO) = 0 
		
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT E.PERS_LINK, '', '      KPP   ,     ' + RTRIM(P.FM) + ' ' + SUBSTRING(RTRIM(P.IM),1,1) + '.' + SUBSTRING(RTRIM(P.OT),1,1) + '.'
	FROM
		#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
		INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK
		INNER JOIN #FACES F ON F.PERS_LINK = E.PERS_LINK
		INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK		
	WHERE
		LEN(O_KPP) <> 9

	IF LEN(@varKSPHONE) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')

	IF LEN(@varKSGLBUH) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT DISTINCT
		0, ' ', '         ' + LTRIM(RTRIM(ISNULL(D.SNAME,'')))
	FROM
		dbo.TAX_DEDUCTIONS TD INNER JOIN DBO.DICTIONARY_TYP_DEDUCTION D ON D.LINK = TD.LINK_DICTION
	WHERE
		TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth
		AND
		TD.LINK_DICTION NOT IN (SELECT REF_PAY FROM dbo.Salary_deductions(@END_YEAR))

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '', '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(FM, '')) = 0 AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '', '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(IM, '')) = 0 AND OSD13 > 0 

/*	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(Ot, '')) = 0 AND OSD13 > 0 
*/
/*	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT NOM_SPR, NOM_SPR,  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE dbo.IsValidINNFiz(INNFIZ) = 0
*/
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '   ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE STATUS = '' AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE GRAZD IS NULL AND OSD13 > 0 
/*
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT NOM_SPR, NOM_SPR,  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = ''
*/
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '    ,  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' and KDVD IS NULL AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '     ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND ISNULL(SERNOM, '') = '' AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '     '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND BIRTH IS NULL AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND link_adr IS NULL AND OSD13 > 0 

	SET @varKSCNT = 0
	SELECT @varKSCNT = COUNT(DISTINCT LINK) FROM #LOG WHERE LINK > 0

	UPDATE #RES0
	SET ERR = 1
	WHERE LINK_FACE IN (SELECT LINK_FACE FROM #LOG)

	/*  */  -- DED_TYPE = 1 - , 2-  
	CREATE TABLE #td (LINK_PERSON INT ,NUM_REF VARCHAR(15),DATE_REF DATETIME,IFNS_CODE VARCHAR(20),DED_TYPE TINYINT)

	IF @nOption1 < 3
	BEGIN
		INSERT INTO #td (LINK_PERSON ,NUM_REF,DATE_REF,IFNS_CODE,DED_TYPE)
		Select LINK_PERSON, 
			   NUM_REF, 
			   DATE_REF, 
			   IFNS_CODE,
			   DED_TYPE = 1 
		from dbo.TAX_DEDUCTIONS td
		where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER ='4')  )
		UNION SELECT 
			   LINK_PERSON, 
			   NUM_REF, 
			   DATE_REF, 
			   IFNS_CODE,
			   DED_TYPE = 2 
		from dbo.TAX_DEDUCTIONS td
		where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER IN('11','12','13')) )
	END	--IF @nOption1 < 3

	declare @KBK_DEFAULT varchar(254)
	Set @KBK_DEFAULT = (select Top 1 CODE_KBK from dbo.sd_empl where LINK_KBK > 0)

	UPDATE #RES0 Set kbkcode1 = @KBK_DEFAULT, kbksum1 = 0 where ISNULL(kbksum1,0) = 0

	/*  */
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '        '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 inner join  #td on #RES0.LINK_FACE = #td.LINK_PERSON 
	WHERE rtrim(ltrim(ISNULL(NUM_REF,''))) = '' or rtrim(ltrim(ISNULL(IFNS_CODE,''))) = '' or DATE_REF is null AND OSD13 > 0 

	CREATE TABLE #RES_OUT (ID INT,LINK_FACE INT,mes INT,LINK_INC INT,CODE_INC VARCHAR(4),SUMMA_INC NUMERIC(18,2),LINK_DED INT,CODE_DED VARCHAR(3),SUMMA_DED NUMERIC(18,2),ID2 INT)

	INSERT INTO #RES_OUT (ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2)
	SELECT ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2 = 0 
	FROM #PAYS_0 
	ORDER BY LINK_FACE, MES, CODE_INC
	
	---
	CREATE TABLE #RES_OUT_ORD (NUM_PP INT IDENTITY(1,1), ID INT, LINK_FACE INT)
	INSERT INTO #RES_OUT_ORD (ID, LINK_FACE)
	SELECT ID, LINK_FACE FROM #PAYS_0 ORDER BY LINK_FACE, MES, CODE_INC
	--
	CREATE TABLE #RES_OUT_ORD2 (LINK_FACE INT, MIN_NUM INT)
	INSERT INTO #RES_OUT_ORD2 (LINK_FACE, MIN_NUM)
	SELECT LINK_FACE, MIN(NUM_PP) FROM #RES_OUT_ORD GROUP BY LINK_FACE
	---   
	UPDATE R
	SET R.ID2 = O.NUM_PP - O2.MIN_NUM + 1
	FROM 
		#RES_OUT R 
		INNER JOIN #RES_OUT_ORD O ON O.ID = R.ID
		INNER JOIN #RES_OUT_ORD2 O2 ON O2.LINK_FACE = R.LINK_FACE

	CREATE TABLE #ORDERS (ID int)
	DECLARE @SQL VARCHAR(1000)
	SET @SQL = 'ALTER TABLE #ORDERS ADD [NOM_SPR] INT IDENTITY(' + RTRIM(str(ISNULL(@varKSnFirstNum,1))) + ',1)'
	EXEC(@SQL)

	INSERT INTO #ORDERS (ID) 
	SELECT DISTINCT ID 
	FROM #RES0 
	WHERE LINK_FACE IN ( Select DISTINCT LINK_FACE from #RES_OUT where [ID2]%2 = 1 )
			--AND ISNULL(OSD13,0) > 0
	ORDER BY ID

	--UPDATE #ORDERS SET NOM_SPR = NOM_SPR + @varKSnFirstNum - 1

	---   
	UPDATE #DEP SET DOCCOUNT = ISNULL((SELECT MAX(NOM_SPR) FROM #ORDERS),0)

	-------------------
	SELECT 
		R.ID, O.NOM_SPR, r.nKorr, R.LINK_FACE, R.SEX, R.INNFIZ, R.NUMB_SERT, R.STATUS, 
		R.FIO, R.FM, R.IM, R.OT, R.KDVD, R.SERNOM, R.BIRTH, R.GRAZD, R.KSTR, 
		R.LINK_ADR, R.IND_ADR, R.REGION, R.RAION, R.GOROD, R.NASEL, R.STREET, 
		R.HOUSE, R.KORP, R.FLAT, R.KSTR_ino, R.Adr_ino, 
		R.ksv1, R.ssv1, R.ksv2, R.ssv2, R.ksv3, R.ssv3, R.ksv4, R.ssv4, R.ksv5, R.ssv5, R.ksv6, R.ssv6, 
		R.ksv7, R.ssv7, R.ksv8, R.ssv8, R.ksv9, R.ssv9, R.ksv10, R.ssv10, R.ksv11, R.ssv11, R.ksv12, R.ssv12, 
		R.ssv, R.siv, R.osd13, R.sdo13, R.nalogn13, R.nalogu13, R.nalog13s, R.err, R.S_5_6, R.S_5_7, R.dolg_np, R.dolg_na, 
		R.kbkcode1, R.kbkcode2, R.kbkcode3, R.kbkcode4, R.kbksum1, R.kbksum2, R.kbksum3, R.kbksum4, 
		R.VIFNSPL, R.ZSummPL, R.UdSumPL, R.VzkIFNS, 
		ndoc_td = td1.NUM_REF , --   
		ddoc_td = td1.DATE_REF,
		ifnsdoc_td = td1.ifns_code,
		nDoc_SD = td2.NUM_REF, --    
		dDoc_SD = td2.DATE_REF,
		ifnsdoc_sd = td2.ifns_code,
		nalog	= @varKSNALOG,
		KPP1 = ISNULL(R.O_KPP,@varKScKPP),
		OKATO1 = replace(ISNULL(R.O_OKATO,@varKSOKATO),' ',''),
		OKATO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKATO else '' end),
		OKATO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKATO else '' end),
		OKATO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKATO else '' end),
		OKTMO1 = replace(ISNULL(R.O_OKATO,@varKSOKTMO),' ',''),
		OKTMO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKTMO else '' end),
		T.M1, T.CINC1, T.SINC1, T.CDED1, T.SDED1, T.M2, T.CINC2, T.SINC2, T.CDED2, T.SDED2,
		td1.LINK_PERSON/*, #td.NUM_REF, #td.DATE_REF, #td.IFNS_CODE*/
	FROM #RES0 R 
		INNER JOIN #ORDERS O ON O.ID = R.ID
		INNER JOIN ( 
			Select	T1.LINK_FACE, M1= T1.MES, CINC1= T1.CODE_INC, SINC1= T1.SUMMA_INC, CDED1= T1.CODE_DED, SDED1= T1.SUMMA_DED, M2= T2.MES, CINC2= T2.CODE_INC, SINC2= T2.SUMMA_INC, CDED2= T2.CODE_DED, SDED2= T2.SUMMA_DED
			from	(Select * from #RES_OUT where [ID2]%2 = 1) T1 left join (Select * from #RES_OUT where [ID2]%2 = 0) T2 on T1.link_FACE = T2.LINK_FACE AND T1.[ID2] = (T2.[ID2]-1)
		) T on R.LINK_FACE = T.LINK_FACE
		LEFT OUTER JOIN   #td td1 on R.LINK_FACE = td1.LINK_PERSON AND td1.DED_TYPE = 1 /* */
		LEFT OUTER JOIN   #td td2 on R.LINK_FACE = td2.LINK_PERSON AND td2.DED_TYPE = 2 /* */
	--where OSD13 > 0 
	ORDER BY O.NOM_SPR, T.M1, T.CINC1, T.M2, T.CINC2

	---
	SELECT *, CAST(  (CAST (DOCCOUNT AS INT) - @varKSCNT) AS VARCHAR(254) ) AS DOCCOUNT2 FROM #DEP 
	---	

	UPDATE L SET
		NUMBER = O.NOM_SPR
	FROM 
		#LOG L
		INNER JOIN #RES0 R ON L.LINK = R.LINK_FACE
		INNER JOIN #ORDERS O ON O.ID = R.ID
	
	SELECT * FROM #LOG ORDER BY LINK, ERR
	---
	EXEC dbo.BufferClear

	DROP TABLE #E_SUBDIV
	DROP TABLE #S_OBOSOB
	DROP TABLE #P_OBOSOB	
	DROP TABLE #LOG	
	DROP TABLE #RES0	
	DROP TABLE #ORDERS				
	
END


GO


GRANT EXECUTE ON dbo.[SD_REP_2NDFL] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9713_1.sql
--  [LINK_FACE]   SAL_REMAIN
IF COLUMNPROPERTY(object_id('[dbo].[SAL_REMAIN]'), 'LINK_FACE', 'AllowsNull') is null
	ALTER TABLE [dbo].[SAL_REMAIN] ADD [LINK_FACE] INT NULL
GO


IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_SAL_REMAIN_FACE]'))
ALTER TABLE [dbo].[SAL_REMAIN] 
ADD CONSTRAINT [FK_SAL_REMAIN_FACE] FOREIGN KEY ([LINK_FACE]) REFERENCES [dbo].[PERSON] ([LINK])
GO


--  [LINK_FACE]   SAL_REMAIN
IF COLUMNPROPERTY(object_id('[dbo].[SAL_REMAIN]'), 'LINK_EMPL', 'AllowsNull') = 0 
	ALTER TABLE [dbo].[SAL_REMAIN] ALTER column [LINK_EMPL] INT NULL
GO

GO

/****** :       ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'SALARY_EXEC_CREATE_REST_DGH')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'SALARY_EXEC_CREATE_REST_DGH')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'SALARY_EXEC_CREATE_REST_DGH')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'SALARY_EXEC_CREATE_REST_DGH')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'SALARY_EXEC_CREATE_REST_DGH'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'SALARY_EXEC_CREATE_REST_DGH')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SALARY_EXEC_CREATE_REST_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SALARY_EXEC_CREATE_REST_DGH', '      ', 34, (SELECT LINK FROM S_OBJECTS WHERE CODE='SALARY_EXEC_MODULES'), (SELECT LINK FROM S_OBJECTS WHERE CODE='REFERENCE_RUN_LINK'),1,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SALARY_EXEC_CREATE_REST_DGH', NAME = '      ', ORDERS = '34', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SALARY_EXEC_MODULES'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='REFERENCE_RUN_LINK'), MANAGED = 1, INHERITED = 1
	WHERE CODE ='SALARY_EXEC_CREATE_REST_DGH'
GO
EXEC X_SET_PROP 'SALARY_EXEC_CREATE_REST_DGH', 'INIT_OBJECT_METHOD', 'SALARY_FORM_LOAD(''salary_remain_dgh_year'')'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'SALARY_EXEC_CREATE_REST_DGH', '-', 63,0
GO

/****************     "      "*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = NULL

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = '4728' AND NAME = '')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'SALARY_EXEC_CREATE_REST_DGH')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = '4728' AND NAME = ''))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'CREATE_REST_GPH'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'CREATE_REST_GPH', '      ', @ORD, NULL, 1, @LINK_SELF, 'RUN', @OBJECT, @LINK_VAR, 3
GO

GO
/****** :    ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'DICTIONARY_SAL_REMAIN_DGH')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICTIONARY_SAL_REMAIN_DGH')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICTIONARY_SAL_REMAIN_DGH')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICTIONARY_SAL_REMAIN_DGH')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'DICTIONARY_SAL_REMAIN_DGH'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DICTIONARY_SAL_REMAIN_DGH')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DICTIONARY_SAL_REMAIN_DGH', '   ', 40, (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SALARY'), (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_CLASS'),1,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DICTIONARY_SAL_REMAIN_DGH', NAME = '   ', ORDERS = '40', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SALARY'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_CLASS'), MANAGED = 1, INHERITED = 1
	WHERE CODE ='DICTIONARY_SAL_REMAIN_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_MARKER_REMAIN_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_MARKER_REMAIN_1', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_MARKER_REMAIN_1', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_MARKER_REMAIN_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_YEAR_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_YEAR_REMAIN_DGH', '', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_YEAR_REMAIN_DGH', NAME = '', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_YEAR_REMAIN_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NAME_VKR_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NAME_VKR_REMAIN_DGH', '', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NAME_VKR_REMAIN_DGH', NAME = '', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NAME_VKR_REMAIN_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DICT_SAL_REMAIN_EKR_CODE_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DICT_SAL_REMAIN_EKR_CODE_DGH', '', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DICT_SAL_REMAIN_EKR_CODE_DGH', NAME = '', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='DICT_SAL_REMAIN_EKR_CODE_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NAME_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NAME_REMAIN_DGH', '', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NAME_REMAIN_DGH', NAME = '', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NAME_REMAIN_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_LINK_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_LINK_REMAIN_DGH', '  ', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_LINK_REMAIN_DGH', NAME = '  ', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_LINK_REMAIN_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_SUMMA_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_SUMMA_REMAIN_DGH', '', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_SUMMA_REMAIN_DGH', NAME = '', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_SUMMA_REMAIN_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NDFL_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NDFL_REMAIN_DGH', ' ', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NDFL_REMAIN_DGH', NAME = ' ', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NDFL_REMAIN_DGH'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_LINK_VKR_REMAIN_DGH')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_LINK_VKR_REMAIN_DGH', '  ', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_LINK_VKR_REMAIN_DGH', NAME = '  ', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_SAL_REMAIN_DGH'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_LINK_VKR_REMAIN_DGH'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'TITLE', '   '
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'INIT_OBJECT_METHOD', 'X_SPISOK("DICTIONARY_SAL_REMAIN_DGH")'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'REMOVE_OBJECT_METHOD', 'I_DELETE_RECORDS(m.oForm.Alias, "DICTIONARY_SAL_REMAIN_DGH", "X_DELETE_DICTIONARY_REMAIN_DGH", 4, .F., .F.)'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'SAVE_OBJECT_METHOD', 'X_SAVE(''SALARY_SAVE_DICTIONARY_REMAIN_DGH'', m.cAlias," YEAR_SAL,SUMMA,LINK_EMPL,NDFL,LINK_VKR,LINK_EKR,LINK_FACE","DICTIONARY_SAL_REMAIN_DGH")'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'EDIT_OBJECT_METHOD', 'X_BROW()'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'SELECT_RECORDS_METHOD', 'X_SELECT_DICTIONS(''DICTIONARY_SAL_REMAIN_DGH'')'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'SELECT_RECORDS_METHOD_EDIT', 'X_SELECT_DICTIONS(''DICTIONARY_SAL_REMAIN_DGH'')'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'OPEN_CODE', 'CODE'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'CAPTION', '  '
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'SERVER_TABLE_NAME', 'SAL_REMAIN'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'HELP_TOPIC', '7'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'OPERATION_MASK', '24'
GO
EXEC X_SET_PROP 'DICTIONARY_SAL_REMAIN_DGH', 'HISTORY_DOC_FIELD_NUMBER', 'NULL'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REMAIN_1', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REMAIN_1', 'CONTROLSOURCE', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REMAIN_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'CONTROLSOURCE', 'm.cAlias + ".YEAR_SAL"'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'STORAGE', 'PAYS'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'TYPE_FIELD_DICT', 'int'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'SHORT_CODE_OBJ', 'YEAR_SAL'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".YEAR_SAL"'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'CONTROL_NAME_EDIT', 'ATxt1'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'INPUT_MASK', '9999'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'REFERENCE_TO_FIELD', 'CODE'
GO
EXEC X_SET_PROP 'COLUMN_YEAR_REMAIN_DGH', 'COMMENTARY', ''
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''SALARY_SRC_FIN'', oForm.ALIAS, ''LINK, CODE'', ''LINK_VKR,NAME_VKR'', '''', '''', '''', .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'CONTROLSOURCE', 'm.cAlias + ".NAME_VKR"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'TYPE_FIELD_DICT', 'VARCHAR(60)'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NAME_VKR"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'CONTROL_NAME_EDIT', 'Asel_spr2'
GO
EXEC X_SET_PROP 'COLUMN_NAME_VKR_REMAIN_DGH', 'COMMENTARY', ' '
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'TITLE', ''
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''DICTIONARY_ITEM'',oForm.ALIAS, ''LINK, CODE'', ''LINK_EKR, CODE_EKR'', '''', '''', '''', .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'CONTROLSOURCE', 'm.cAlias + ".CODE_EKR"'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'TYPE_FIELD_DICT', 'VARCHAR(60)'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CODE_EKR"'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'CONTROL_NAME_EDIT', 'Asel_spr3'
GO
EXEC X_SET_PROP 'DICT_SAL_REMAIN_EKR_CODE_DGH', 'COMMENTARY', '   ()'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''KU_PERSON'', oForm.ALIAS, ''LINK, ALLT(FM) +" "  +allt(im)  +" "+allt(ot) , BIRTHDATE, SEX'', ''LINK_FACE, NAME_FACE'', "LINK_FACE = link , NAME_FACE = rtrim(FM)+'' ''+left(IM,1)+''.''+left(OT,1)+''.''",'''', " exists(select * from dbo.SALARY_REESTR_DGH where pers_link = a.link ) ", .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'CONTROLSOURCE', 'm.cAlias + ".NAME_FACE"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'STORAGE', 'dictionary_faces'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'TYPE_FIELD_DICT', 'VARCHAR(100)'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'SHORT_CODE_OBJ', 'NAME_FACE'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NAME_FACE"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'CONTROL_NAME_EDIT', 'ASEL_SPR4'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'REFERENCE_TO_FIELD', 'NAME_FACE'
GO
EXEC X_SET_PROP 'COLUMN_NAME_REMAIN_DGH', 'COMMENTARY', ' . '
GO
EXEC X_SET_PROP 'COLUMN_LINK_REMAIN_DGH', 'CONTROLSOURCE', 'm.cAlias + ".LINK_FACE"'
GO
EXEC X_SET_PROP 'COLUMN_LINK_REMAIN_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".LINK_FACE"'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'CONTROLSOURCE', 'm.cAlias+".SUMMA"'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'STORAGE', 'SAL_REMAIN'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'SHORT_CODE_OBJ', 'SUMMA'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias+".SUMMA"'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'CONTROL_NAME_EDIT', 'ATXT5'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'REFERENCE_TO_FIELD', 'SUMMA'
GO
EXEC X_SET_PROP 'COLUMN_SUMMA_REMAIN_DGH', 'COMMENTARY', ''
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'TITLE', ' '
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'CONTROLSOURCE', 'm.cAlias+".NDFL"'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'STORAGE', 'SAL_REMAIN'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'TYPE_FIELD_DICT', 'NUMERIC(15,2)'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'SHORT_CODE_OBJ', 'NDFL'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias+".NDFL"'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'CONTROL_NAME_EDIT', 'ATXT6'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'REFERENCE_TO_FIELD', 'NDFL'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_REMAIN_DGH', 'COMMENTARY', ' '
GO
EXEC X_SET_PROP 'COLUMN_LINK_VKR_REMAIN_DGH', 'TITLE', '  '
GO
EXEC X_SET_PROP 'COLUMN_LINK_VKR_REMAIN_DGH', 'CONTROLSOURCE', 'm.cAlias + ".LINK_VKR"'
GO
EXEC X_SET_PROP 'COLUMN_LINK_VKR_REMAIN_DGH', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".LINK_VKR"'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'DICTIONARY_SAL_REMAIN_DGH', '-', 63,0
GO

/****************     "  "*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = NULL

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_SAL_SALDO' AND NAME = '')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DICTIONARY_SAL_REMAIN_DGH')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_SAL_SALDO' AND NAME = ''))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'DICT_SAL_REMAIN_DGH'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'DICT_SAL_REMAIN_DGH', '   ', @ORD, NULL, 1, @LINK_SELF, 'DICTIONARY', @OBJECT, @LINK_VAR, 3
GO

GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DICTIONARY_SAL_REMAIN]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[DICTIONARY_SAL_REMAIN]
GO

/*
  (Keysystems), 2005
*/
CREATE            VIEW dbo.DICTIONARY_SAL_REMAIN
AS
SELECT 
	[LINK]			= M.LINK,
	[LINK_EMPL]	    = M.LINK_EMPL,
	[TAB_NUM] 		= E.TAB,
	[NAME_EMPL]   	= dbo.sd_GetEmplName(E.LINK),
	[YEAR_SAL] 		= M.YEAR_SAL,
	[SUMMA]	 		= M.SUMMA,
	[NDFL]	 		= M.NDFL,
	[LINK_VKR]		= M.LINK_VKR,
	[NAME_VKR] 		= F.CODE,
	LINK_EKR		= COALESCE(LINK_EKR,EKR1.LINK),	
	CODE_EKR		= COALESCE(EKR.CODE,EKR1.CODE)
FROM dbo.SAL_REMAIN M INNER JOIN dbo.EMPL E ON M.LINK_EMPL = E.LINK
	LEFT JOIN dbo.SAL_SFIN F ON M.LINK_VKR = F.LINK
	LEFT JOIN dbo.KOSGU EKR ON M.LINK_EKR = EKR.LINK 
	LEFT JOIN dbo.KOSGU EKR1 ON EKR1.CODE = '211'
WHERE m.LINK_EMPL IS NOT null	

GO

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_SAVE_DICTIONARY_REMAIN]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SALARY_SAVE_DICTIONARY_REMAIN]

GO

CREATE PROCEDURE dbo.SALARY_SAVE_DICTIONARY_REMAIN
	@varKSparLINK		int	OUTPUT,
	@varKSparYear		INT,
	@varKSparSumma	numeric(15,2) = 0,
	@varKSparLinkEMPL   INT = null,
	@varKSparNDFL int,
	@varKSparLinkVKR int,
	@linkEKR INT,
	@varKSparLinkFACE INT = null
AS
DECLARE @varKSERROR	tinyint,
		@varKStrancount	int

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

IF COALESCE(@varKSparYear,0)=0 OR COALESCE(@varKSparLinkEmpl,0) = 0 OR COALESCE(@varKSparLinkVKR,0) = 0 OR COALESCE(@linkEKR,0) = 0
BEGIN
	ROLLBACK
	RETURN 5
END

EXECUTE @varKSERROR = dbo.X_UPDATE_SAL_REMAIN @varKSparLINK OUTPUT,@varKSparYear, @varKSparSumma, @varKSparLinkEmpl,@varKSparNDFL,@varKSparLinkVKR, @linkEKR, @varKSparLinkFACE
IF @varKSERROR <> 0
BEGIN
	ROLLBACK
	RETURN @varKSERROR
END	

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN
RETURN 0
GO

GRANT EXECUTE ON dbo.[SALARY_SAVE_DICTIONARY_REMAIN] TO PUBLIC

GO

GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DICTIONARY_SAL_REMAIN_DGH]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[DICTIONARY_SAL_REMAIN_DGH]
GO

/*
  (Keysystems), 2005
*/
CREATE            VIEW dbo.DICTIONARY_SAL_REMAIN_DGH
AS
SELECT 
	[LINK]			= M.LINK,
	[LINK_EMPL]	    = M.LINK_EMPL,
	[LINK_FACE]		= m.LINK_FACE,
	[NAME_FACE]   	= LTRIM(rtrim(isnull(p.FM,'')))+' '+ substring(LTRIM(rtrim(isnull(p.IM,''))),1,1)+'.'+ substring(LTRIM(rtrim(isnull(p.OT,''))),1,1)+'.',
	[YEAR_SAL] 		= M.YEAR_SAL,
	[SUMMA]	 		= M.SUMMA,
	[NDFL]	 		= M.NDFL,
	[LINK_VKR]		= M.LINK_VKR,
	[NAME_VKR] 		= F.CODE,
	LINK_EKR		= COALESCE(LINK_EKR,EKR1.LINK),	
	CODE_EKR		= COALESCE(EKR.CODE,EKR1.CODE)
FROM dbo.SAL_REMAIN M INNER JOIN dbo.PERSON p ON M.LINK_FACE = p.LINK
	LEFT JOIN dbo.SAL_SFIN F ON M.LINK_VKR = F.LINK
	LEFT JOIN dbo.KOSGU EKR ON M.LINK_EKR = EKR.LINK 
	LEFT JOIN dbo.KOSGU EKR1 ON EKR1.CODE = '211'
WHERE m.LINK_FACE IS NOT null 

GO

GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[X_UPDATE_SAL_REMAIN]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[X_UPDATE_SAL_REMAIN]
GO

CREATE      PROCEDURE dbo.X_UPDATE_SAL_REMAIN
	@varKSintLINK	int	OUTPUT,
	@varKSparYear		INT,
	@varKSparSumma	numeric(15,2) = 0,
	@varKSparLinkEmpl   INT = null,
	@varKSparNDFL int,
	@varKSparLinkVKR int,
	@linkEKR INT,
	@varKSparLinkFACE   INT = null
AS
DECLARE @varKSRowCount	int,
			@varKSSQLError	int,
			@varKStrancount	INT			
SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
	IF @varKSintLINK is null OR @varKSintLINK = 0
	BEGIN
		INSERT INTO SAL_REMAIN WITH (ROWLOCK) (YEAR_SAL,SUMMA,LINK_EMPL,NDFL,LINK_VKR,LINK_EKR, LINK_FACE)
		VALUES (@varKSparYear,@varKSparSumma,@varKSparLinkEmpl, @varKSparNDFL,@varKSparLinkVKR,@linkEKR, @varKSparLinkFACE)
		SELECT @varKSSQLError = @@ERROR, @varKSintLINK = @@IDENTITY
		IF @varKSSQLError <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
	END
	ELSE
	BEGIN
		UPDATE SAL_REMAIN WITH (ROWLOCK) 
		SET YEAR_SAL =@varKSparYear, SUMMA = @varKSparSumma, LINK_EMPL = @varKSparLinkEmpl, NDFL = @varKSparNDFL, LINK_VKR = @varKSparLinkVKR, LINK_EKR = @linkEKR, LINK_FACE = @varKSparLinkFACE
		WHERE LINK=@varKSintLINK
		SELECT @varKSSQLError = @@ERROR, @varKSRowCount = @@ROWCOUNT
		IF @varKSSQLError <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
		IF @varKSRowCount = 0
		BEGIN
			ROLLBACK
			RETURN 2
		END
	END
IF @@TRANCOUNT > @varKStrancount  
	COMMIT TRAN
RETURN 0


GO
GRANT EXECUTE ON dbo.[X_UPDATE_SAL_REMAIN] TO PUBLIC

GO

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_SAVE_DICTIONARY_REMAIN_DGH]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SALARY_SAVE_DICTIONARY_REMAIN_DGH]

GO

CREATE PROCEDURE dbo.SALARY_SAVE_DICTIONARY_REMAIN_DGH
	@varKSparLINK		int	OUTPUT,
	@varKSparYear		INT,
	@varKSparSumma	numeric(15,2) = 0,
	@varKSparLinkEMPL   INT = null,
	@varKSparNDFL int,
	@varKSparLinkVKR int,
	@linkEKR INT,
	@varKSparLinkFACE INT = null
AS
DECLARE @varKSERROR	tinyint,
		@varKStrancount	int

SET @varKSparLinkEmpl = null
SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

IF COALESCE(@varKSparYear,0)=0 OR COALESCE(@varKSparLinkFACE,0) = 0 OR COALESCE(@varKSparLinkVKR,0) = 0 OR COALESCE(@linkEKR,0) = 0
BEGIN
	ROLLBACK
	RETURN 5
END

EXECUTE @varKSERROR = dbo.X_UPDATE_SAL_REMAIN @varKSparLINK OUTPUT,@varKSparYear, @varKSparSumma, null,@varKSparNDFL,@varKSparLinkVKR, @linkEKR, @varKSparLinkFACE
IF @varKSERROR <> 0
BEGIN
	ROLLBACK
	RETURN @varKSERROR
END	

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN
RETURN 0
GO

GRANT EXECUTE ON dbo.[SALARY_SAVE_DICTIONARY_REMAIN_DGH] TO PUBLIC

GO

GO
SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[X_DELETE_DICTIONARY_REMAIN_DGH]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[X_DELETE_DICTIONARY_REMAIN_DGH]
GO




/*
  (Keysystems), 2005
*/



CREATE   PROCEDURE dbo.X_DELETE_DICTIONARY_REMAIN_DGH
	@varKSintLINK	int
AS
DECLARE @varKStrancount	int,
	@varKSObjectLink	int,
	@varKSEventText	varchar(254)

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN
	SELECT @varKSEventText = '    ' + rtrim(NAME_FACE) + '  '+RTRIM(LTRIM(str(YEAR_SAL)))+ ' '
		 FROM DICTIONARY_SAL_REMAIN_DGH WITH (UPDLOCK) WHERE LINK = @varKSintLINK
	IF @@RowCount = 0 OR @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 2
	END
	DELETE FROM SAL_REMAIN WHERE LINK = @varKSintLINK
	IF @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
IF @@TRANCOUNT > @varKStrancount
	BEGIN
		SELECT @varKSObjectLink = LINK FROM S_OBJECTS WHERE CODE = 'dictionary_sal_remain_DGH'
		EXECUTE WF_GENERATEEVENT '  ', @varKSEventText, @varKSObjectLink, 'SAL_REMAIN', @varKSintLINK
		COMMIT TRAN
	END
RETURN 0



GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_REMAIN_YEAR_DGH]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_REMAIN_YEAR_DGH]

GO

/*
  (Keysystems), 2005
*/
CREATE  PROCEDURE [dbo].SS_REMAIN_YEAR_DGH @varKSYear  int
AS  

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DELETE FROM dbo.SAL_REMAIN
WHERE YEAR_SAL = @varKSYear
	AND EXISTS (SELECT * FROM dbo.PERSON p WHERE p.LINK = dbo.SAL_REMAIN.LINK_FACE /*AND p.DEP_LINK = @DEP_LINK*/)

INSERT INTO SAL_REMAIN(LINK_FACE, LINK_VKR, LINK_EKR, YEAR_SAL, SUMMA, NDFL)
select  
	link_FACE = pers_link, 
	link_vkr, 
	link_ekr = COALESCE(link_ekr,EKR.LINK),
	@varKSYear, 
	summa = sum(summa * (case when typ_oper = 1 then 1 else -1  end) ), 0
from 
	dbo.s_j_c_short LEFT JOIN dbo.KOSGU EKR ON EKR.CODE = '211'
where 
	TYP_OPER in (1,2)
	and link_empl IS NULL
	AND pers_link IS NOT NULL 
	and year_begin = @varKSYear-1
	and LINK_DEP = @DEP_LINK
group by pers_link, link_vkr, COALESCE(link_ekr,EKR.LINK)
order by pers_link, link_vkr, COALESCE(link_ekr,EKR.LINK)

INSERT INTO SAL_REMAIN(LINK_FACE, LINK_VKR, LINK_EKR, YEAR_SAL, SUMMA, NDFL)
SELECT LINK_FACE, LINK_VKR, LINK_EKR, @varKSYear, SUM(SUMMA), SUM(NDFL) 
FROM dbo.SAL_REMAIN R INNER JOIN dbo.PERSON p ON R.LINK_FACE = p.LINK
WHERE YEAR_SAL = @varKSYear-1 --AND E.DEP_LINK = @DEP_LINK
GROUP BY LINK_FACE, LINK_VKR, LINK_EKR


GO


GRANT EXECUTE ON dbo.[SS_REMAIN_YEAR_DGH] TO PUBLIC

GO

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_DGH_SALDO_MONTH_VKR]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SALARY_DGH_SALDO_MONTH_VKR]

GO

CREATE  FUNCTION DBO.SALARY_DGH_SALDO_MONTH_VKR(@LINK int, @DATE1 datetime, @LINK_S_FIN INT, @LINK_EKR INT = null, @DEP_LINK INT)
RETURNS NUMERIC(18,2)
AS  
BEGIN
	
DECLARE @VARKSRESULT  NUMERIC(15,2)

SET  @VARKSRESULT =ISNULL( DBO.SALARY_DGH_SALDO_VKR(@LINK, YEAR(@DATE1),@LINK_S_FIN, @LINK_EKR),0)


RETURN 
	ISNULL(
		(
			SELECT 
				SUM(CASE WHEN  P.[OBJECT] = 1 THEN J.SUMMA ELSE 0 END) - SUM(CASE WHEN P.[OBJECT] =  2 THEN J.SUMMA ELSE 0 END)
			FROM 
				dbo.PAYS P
				INNER JOIN dbo.CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
			WHERE
				J.LINK_DEP = @DEP_LINK 
				AND J.LINK_EMPL IS NULL 
				AND J.PERS_LINK = @LINK 
				AND J.LINK_VKR = @LINK_S_FIN
				AND (J.LINK_EKR = @LINK_EKR OR  ISNULL(@LINK_EKR,0) = 0 ) 
				AND YEAR(J.PERIOD_BEGIN) = YEAR(@DATE1) 
				AND MONTH(J.PERIOD_BEGIN) < MONTH(@DATE1)	
			)
	,0) +  @VARKSRESULT

END
                                                        


GO


GRANT EXECUTE ON dbo.[SALARY_DGH_SALDO_MONTH_VKR] TO PUBLIC

GO


-- --

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_DGH_SALDO_VKR]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[SALARY_DGH_SALDO_VKR]

GO

/*
  (Keysystems), 2005
*/
CREATE    function DBO.SALARY_DGH_SALDO_VKR(@varKSLinkFACE  int, @varKSYear INT,@varKSlinkVKR int, @LINK_EKR INT = 0)
RETURNS NUMERIC(15,2)
AS  
BEGIN
	DECLARE @varKSResult  NUMERIC(15,2)
	
	SET @varKSlinkVKR = COALESCE(@varKSlinkVKR,0)

	SET @LINK_EKR = COALESCE(@LINK_EKR,0)
	
	select @varKSResult = SUM(SUMMA) 
	from 
		dbo.dictionary_sal_remain_DGH SR
		CROSS APPLY (SELECT LINK FROM dbo.KOSGU T WHERE T.CODE = 'R211') R211
		CROSS APPLY (SELECT LINK FROM dbo.KOSGU T WHERE T.CODE = '211') T211	
		INNER JOIN dbo.KOSGU DI ON DI.LINK = (CASE WHEN R211.LINK = SR.LINK_EKR THEN T211.LINK ELSE SR.LINK_EKR END)
	WHERE 
		LINK_FACE = @varKSLinkFACE AND YEAR_SAL = @varKSYear 
		and (LINK_VKR = @varKSlinkVKR OR @varKSlinkVKR = 0)
		AND ( DI.LINK = @LINK_EKR OR @LINK_EKR = 0)	
	RETURN isnull(@varKSResult,0)
end
                                                        



GO


GRANT EXECUTE ON dbo.[SALARY_DGH_SALDO_VKR] TO PUBLIC

GO


-- --

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_U_VEDOM_DGH_SALDO]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_U_VEDOM_DGH_SALDO]

GO



/*
  (Keysystems), 2005
*/
CREATE PROCEDURE [dbo].SD_U_VEDOM_DGH_SALDO
 @varKSSumma numeric(15,2) OUTPUT, 
 @varKSnLinkFACE	 int,
 @varKSdDate1	datetime,
 @varKSnMode	int,  		 
 @varKSLinkVKR INT,
 @varKSLinkEKR INT,
 @DEP_LINK INT = NULL
AS  
BEGIN

IF @DEP_LINK IS NULL
	EXEC DBO.XD_WHATS_ZB @DEP_LINK OUTPUT

SET @varKSSumma =
(case WHEN @varKSnMode = 1
			THEN DBO.SALARY_DGH_SALDO_VKR(@varKSnLinkFACE, YEAR(@varKSdDate1),@varKSLinkVKR, @varKSLinkEKR)
	WHEN @varKSnMode = 2
			THEN DBO.SALARY_DGH_SALDO_MONTH_VKR(@varKSnLinkFACE, @varKSdDate1,@varKSLinkVKR,@varKSLinkEKR,@DEP_LINK)
	WHEN @varKSnMode = 3
			THEN 0
	ELSE 0
END)

END










GO


GRANT EXECUTE ON dbo.[SD_U_VEDOM_DGH_SALDO] TO PUBLIC

GO


-- --

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_REPORT_F49]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SALARY_REPORT_F49]

GO

CREATE    PROCEDURE [dbo].[SALARY_REPORT_F49]

	@varKSnMonth int, /*  */
	@varKSnYear varchar(4), /*  */
	@varKSnSortMode INT, /*   */
	@nCheck1 int = 0, /*   */
	@nCheck2 int = 0, /*  ...    */
	@nCheck3 int = 0, /*     */
	@nCheck4 int = 0, /*     */
	@nCheck5 int = 0, /*  /      */
	@varKScVal1 CHAR(1) = '',  --   
	@varKSnOtborLink1 int = 0,
	@ALL_DEP tinyint = NULL,
	@nCheck7 tinyint = 0, /*        */	
	@nMPAY tinyint = 1,/*  */
	@DETALIZE_SFIN tinyint = 0, --  ,
	@DETALIZE_EKR tinyint = 0, --  ,
	@cVal2 CHAR(1) = '', --   
	@nOtborLink2 int = 0		
AS 
BEGIN

/*          .   @ALL_DEP = 1*/

SET @ALL_DEP = COALESCE(@ALL_DEP,0)

DECLARE @DEP_LINK INT
exec dbo.xd_whats_zb @DEP_LINK output

--  
CREATE TABLE #VKR (LINK_VKR INT)
IF LEN(@varKScVal1) <> 0 
	INSERT  INTO #VKR
	SELECT O.RECORD
	FROM OBJECT_VAR_SAL_SFIN O WHERE LINK_UP = @varKSnOtborLink1
else 
	INSERT INTO #VKR
	SELECT F.LINK FROM SAL_SFIN F

declare @cur_date datetime
Set @cur_date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@varKSnMonth,@varKSnYEAR)) 
	
CREATE TABLE #RES (LINK_DEP INT, LINK_EMPL INT, LINK_SFIN INT, LINK_EKR INT, LINK_PAYS INT, CP VARCHAR(11), NP VARCHAR(254), S NUMERIC(20,2) , sum_n NUMERIC(20,2))
CREATE TABLE #RES_U (LINK_DEP2 INT, LINK_EMPL2 INT, LINK_SFIN1 INT, LINK_EKR1 INT, CU VARCHAR(11), NU VARCHAR(254), SU NUMERIC(20,2) , sum_U NUMERIC(20,2) )

set @nCheck1 = Coalesce(@nCheck1,0)
set @nCheck2 = Coalesce(@nCheck2,0)
set @nCheck3 = Coalesce(@nCheck3,0)
set @nCheck4 = Coalesce(@nCheck4,0)
set @nCheck5 = Coalesce(@nCheck5,0)
set @nMPAY = coalesce(@nMPAY,0)


DECLARE @LINK_R211 INT, @LINK_211 INT
SET @LINK_R211 = (SELECT TOP 1 LINK FROM dbo.KOSGU T WHERE T.CODE = 'R211')
SET @LINK_211 = (SELECT TOP 1 LINK FROM dbo.KOSGU T WHERE T.CODE = '211')
	
--   
SELECT 
	LINK_DEP = J.LINK_DEP,
	PERS_LINK = CAST(0 AS INT), 
	LINK_FACE = E.PERS_LINK,	 
	J.LINK_EMPL, 
	TAB_NUM = E.TAB, 
	[STAKE] = E.STAKE,
	[FIO] = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100), 

	LINK_PAYS = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.LINK ELSE P.LINK END),
	CODE_PAYS = CONVERT(VARCHAR(11), (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.CODE ELSE P.CODE END)),
	NAME_PAYS = CONVERT(VARCHAR(254),(CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.NAME ELSE P.NAME END)),
	WAY_CALC = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.WAY_CALC ELSE P.WAY_CALC END),
	TYP_OPER = P.[OBJECT],

	LINK_EKR = EKR.LINK,
	CODE_EKR = EKR.CODE,
	 
	MONTH_BEGIN	= MONTH(J.PERIOD_BEGIN),
	YEAR_BEGIN	= YEAR(J.PERIOD_BEGIN),
	
	J.SUMMA, 
	
	CODE_SUBDIV = UPPER(E.SUBDIV_CODE), 
	NAME_SUBDIV = UPPER(E.SUBDIV_NAME), 
	CODE_POST = E.POST_CODE, 
	NAME_POST = E.POST_NAME,

	J.LINK_DOC, 
	
	LINK_SFIN = (CASE WHEN @DETALIZE_SFIN = 1 THEN J.LINK_VKR ELSE 0 END),
	LINK_EKR1 = (CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)	
INTO 
	#DOC1 
FROM 
	dbo.CALCULATE_JURNAL J
	INNER JOIN dbo.SD_EMPL_FN(DEFAULT,@cur_date, DEFAULT, @DEP_LINK) E ON E.LINK = J.LINK_EMPL
	INNER JOIN dbo.PAYS P on P.LINK = J.LINK_PAYS
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = COALESCE(J.LINK_EKR,P.LINK_EKR) THEN @LINK_211 ELSE COALESCE(J.LINK_EKR,P.LINK_EKR) END)
	LEFT JOIN dbo.PAYS MP on MP.LINK = P.LINK_MPAY
WHERE 
	((LINK_DEP = @DEP_LINK AND @ALL_DEP = 0) OR @ALL_DEP = 1)
	and MONTH(J.PERIOD_BEGIN) = @varKSnMonth and YEAR(J.PERIOD_BEGIN) =convert(int, @varKSnYear) 
	and LINK_VKR in (select link_vkr from #VKR) 
	and P.[OBJECT] in (1,2) 
	and ((link_empl is not null and @nCheck1 = 0) or @nCheck1 = 1)
	and COALESCE(LINK_DOC,0) not in (select link from DOCUMENTS_DED_PR where TYP_PAYMENT = 1  and CARD_LINK is null) 
	and (LEN(@cVal2) = 0
		OR
		E.SUBDIV_HEAD IN (select RECORD from dbo.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink2)
		)
--   
UNION ALL
SELECT 
	LINK_DEP = J.LINK_DEP,
	J.PERS_LINK,
	LINK_FACE = 0,
	LINK_EMPL = 0, 
	TAB_NUM = '', 
	STAKE = null,
	[FIO] = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100), 

	LINK_PAYS = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.LINK ELSE P.LINK END),
	CODE_PAYS = CONVERT(VARCHAR(11), (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.CODE ELSE P.CODE END)),
	NAME_PAYS = CONVERT(VARCHAR(254),(CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.NAME ELSE P.NAME END)),
	WAY_CALC = (CASE WHEN @nMPAY = 1 and P.LINK_MPAY is not null THEN MP.WAY_CALC ELSE P.WAY_CALC END),
	TYP_OPER = P.[OBJECT],

	LINK_EKR = EKR.LINK,
	CODE_EKR = EKR.CODE,
	 
	MONTH_BEGIN	= MONTH(J.PERIOD_BEGIN),
	YEAR_BEGIN	= YEAR(J.PERIOD_BEGIN),
	
	J.SUMMA, 
	
	CODE_SUBDIV = '', 
	NAME_SUBDIV = '', 
	CODE_POST = '', 
	NAME_POST = '',

	J.LINK_DOC, 
	
	LINK_SFIN = (CASE WHEN @DETALIZE_SFIN = 1 THEN J.LINK_VKR ELSE 0 END),
	LINK_EKR1 = (CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)

FROM 
	dbo.CALCULATE_JURNAL J
	INNER JOIN dbo.PERSON E ON E.LINK = J.PERS_LINK
	INNER JOIN dbo.PAYS P on P.link = J.LINK_PAYS
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = COALESCE(J.LINK_EKR,P.LINK_EKR) THEN @LINK_211 ELSE COALESCE(J.LINK_EKR,P.LINK_EKR) END)
	LEFT JOIN dbo.PAYS MP on MP.link = P.LINK_MPAY
WHERE 
	((LINK_DEP = @DEP_LINK AND @ALL_DEP = 0) OR @ALL_DEP = 1)
	and MONTH(J.PERIOD_BEGIN) = @varKSnMonth and YEAR(J.PERIOD_BEGIN) =convert(int, @varKSnYear) 
	and LINK_VKR in (select link_vkr from #VKR) 
	and P.[OBJECT] in (1,2) 
	and ((link_empl is not null and @nCheck1 = 0) or @nCheck1 = 1)
	and COALESCE(LINK_DOC,0) not in (SELECT LINK FROM dbo.DOCUMENTS_DED_PR_DGH WHERE TYP_PAYMENT = 1 and CARD_LINK is null)


/*if @@rowcount <>0*/
	select top 1 *  from months
/*else 
	select * from months where num = 0
*/
/*,   */
if @nCheck3 = 1
	UPDATE #DOC1 
	Set #DOC1.NAME_PAYS = LEFT(rtrim(ltrim(COALESCE(P.SNAME,''))),254)
	from #DOC1 D inner join dbo.Pays P on D.LINK_PAYS = P.link


----- " "  
IF @nCheck1 = 1 and  @nCheck4 = 1
	UPDATE #DOC1
	Set NAME_PAYS = LEFT(RTRIM(NAME_PAYS) + ' ( )', 254), CODE_PAYS = LEFT(RTRIM(CODE_PAYS) + '/',10)
	where COALESCE(LINK_DOC,0) in (select link from DOCUMENTS_DED_PR_DGH where TYP_PAYMENT = 1 and CARD_LINK is not null)
-------" "  
IF @nCheck4 = 1
begin
	UPDATE #DOC1
	Set NAME_PAYS = LEFT(RTRIM(NAME_PAYS) + ' ( )', 254), CODE_PAYS = LEFT(RTRIM(CODE_PAYS) + '/',10)
	where COALESCE(LINK_DOC,0) in (select link from DOCUMENTS_DED_PR where TYP_PAYMENT <> 1 and CARD_LINK is not null)

	UPDATE #DOC1
	Set NAME_PAYS = LEFT( RTRIM(NAME_PAYS) + ' ( )', 254), CODE_PAYS = LEFT( RTRIM(CODE_PAYS) + '/', 10)
	where COALESCE(LINK_DOC,0) in (select link from DOCUMENTS_DED_PR where TYP_PAYMENT = 1 and CARD_LINK is not null)
end

IF @nCheck5=1
	UPDATE #DOC1
	Set 
		CODE_PAYS = LEFT(rtrim(ltrim(CODE_PAYS)) + (case rtrim(ltrim(CODE_EKR)) when '211' then '' when '213' then '' else '' end),10), 
		NAME_PAYS = LEFT(rtrim(ltrim(NAME_PAYS)) + SPACE(1) + (case rtrim(ltrim(CODE_EKR)) when '211' then '(  -)' when '213' then '(  )' else '' end),254)
	where link_ekr is not null and way_calc in (13,20) and TYP_OPER = 1

UPDATE #DOC1 
SET LINK_EMPL = -PERS_LINK,
	TAB_NUM = '.',
	NAME_POST = '.: ' + dbo.SA_DOCUMENTS_DGH(PERS_LINK, @varKSnYear, @varKSnMonth)
WHERE COALESCE(LINK_EMPL,0) = 0
------

declare @varKSFKR1 varchar(200),@varKSFKR2 varchar(200),@varKSFKR3 varchar(200),@varKSCode_1 varchar(20),@varKSCode_2 varchar(20),@varKSCode_3 varchar(20)
if (select count(*) from #VKR) = 1
	select @varKSFKR1 = NAME_FKR_D, @varKSFKR2 = NAME_FKR_E, @varKSFKR3 = NAME_FKR_T, 
		@varKSCode_1 = CODE_FKR_D, @varKSCode_2 =CODE_FKR_T, @varKSCode_3 =CODE_FKR_E   from BI_DICTION_VKR where link = (select link_vkr from #VKR)
else 
	select @varKSFKR1='',@varKSFKR2='',@varKSFKR3='',@varKSCode_1 = '', @varKSCode_2 ='', @varKSCode_3 =''

--------------------------------------------------------------------------------------------
CREATE TABLE #SAL_REMAIN (link_empl int, LINK_SFIN INT, LINK_EKR INT, SUMMA numeric(18,2))

INSERT INTO #SAL_REMAIN (link_empl,LINK_SFIN, LINK_EKR, SUMMA)
SELECT
	LINK_EMPL, 
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END), 
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END), 
	SUM(SUMMA) 
FROM 
	dbo.dictionary_sal_remain SR 
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = SR.LINK_EKR THEN @LINK_211 ELSE SR.LINK_EKR END)
WHERE 
	YEAR_SAL = convert(int, @varKSnYear) and LINK_VKR in (SELECT link_vkr FROM #VKR)
GROUP BY 
	LINK_EMPL, 
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END), 
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)
----
--------------------------------------------------------------------------------------------
CREATE TABLE #SAL_REMAIN_DGH (link_FACE int, LINK_SFIN INT, LINK_EKR INT, SUMMA numeric(18,2))

INSERT INTO #SAL_REMAIN_DGH (link_FACE,LINK_SFIN, LINK_EKR, SUMMA)
SELECT
	link_FACE,
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END),
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END),
	SUM(SUMMA)
FROM
	dbo.dictionary_sal_remain_DGH SR
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = SR.LINK_EKR THEN @LINK_211 ELSE SR.LINK_EKR END)
WHERE
	YEAR_SAL = convert(int, @varKSnYear) and LINK_VKR in (SELECT link_vkr FROM #VKR)
GROUP BY
	link_FACE,
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END),
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END)
----

CREATE TABLE #VIPLATY (LINK_DEP int, link_empl int, LINK_SFIN INT, LINK_EKR INT, ostatok numeric(18,2), vipl numeric(18,2))

insert into #VIPLATY (LINK_DEP, link_empl, LINK_SFIN, LINK_EKR, ostatok, vipl)
select 
	SJ.LINK_DEP,
	link_empl = (case when COALESCE(SJ.LINK_EMPL,0) = 0 then -SJ.PERS_LINK else SJ.LINK_EMPL end), 
	LINK_SFIN = (CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END),
	LINK_EKR = (CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END),
	ostatok = sum(case when  month_begin < @varKSnMonth then (case when typ_oper = 1 then SJ.summa else -SJ.summa end) else 0 end),
	vipl = SUM(case when 	SJ.MONTH_BEGIN = @varKSnMonth and SJ.TYP_OPER  = 2 and (coalesce(v.link,0) <> 0 or coalesce(v1.link,0) <> 0) then summa else 0 end)
from 
	S_J_C_Short SJ
	INNER JOIN dbo.KOSGU EKR on EKR.LINK = (CASE WHEN @LINK_R211 = SJ.LINK_EKR THEN @LINK_211 ELSE SJ.LINK_EKR END) 
	left join (SELECT LINK FROM dbo.DOCUMENTS_DED_PR WHERE (LINK_DEP = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1) AND TYP_PAYMENT = 1 and CARD_LINK is null) V on SJ.LINK_DOC = V.link
	left join (SELECT LINK FROM dbo.DOCUMENTS_DED_PR_DGH WHERE (LINK_DEP = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1) AND TYP_PAYMENT = 1 and CARD_LINK is null) V1 on SJ.LINK_DOC = V1.link
where 
	LINK_VKR in (select link_vkr from #VKR)  
	and year_begin = convert(int, @varKSnYear)
	and month_begin <= @varKSnMonth
	and ((link_empl is not null and @nCheck1 = 0) or @nCheck1 = 1)
	and typ_oper in (1,2)
	and (SJ.LINK_DEP = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1)
group by 
	SJ.LINK_DEP, SJ.LINK_EMPL, 
	(CASE WHEN @DETALIZE_SFIN = 1 THEN LINK_VKR ELSE 0 END),
	(CASE WHEN @DETALIZE_EKR = 1 THEN EKR.LINK ELSE 0 END), 
	(case when COALESCE(SJ.LINK_EMPL,0) = 0 then -SJ.PERS_LINK else SJ.LINK_EMPL end)


--       
UPDATE E
SET E.ostatok = ISNULL(E.ostatok,0) + ISNULL(SR.summa, 0)
FROM 
	#VIPLATY E INNER JOIN #SAL_REMAIN SR on E.link_empl = SR.link_empl AND E.LINK_SFIN = SR.LINK_SFIN AND E.LINK_EKR = SR.LINK_EKR
	
UPDATE E
SET E.ostatok = ISNULL(E.ostatok,0) + ISNULL(SRD.summa, 0)
FROM 
	#VIPLATY E INNER JOIN #SAL_REMAIN_DGH srd ON E.link_empl = -SRd.link_face AND E.LINK_SFIN = SRd.LINK_SFIN AND E.LINK_EKR = SRd.LINK_EKR


INSERT INTO #VIPLATY (LINK_DEP, link_empl, LINK_SFIN, LINK_EKR, ostatok, vipl)	
SELECT E.DEP_LINK, R.link_empl, R.LINK_SFIN, R.LINK_EKR, R.SUMMA, 0 
FROM #SAL_REMAIN R INNER JOIN dbo.EMPL E ON E.LINK = R.LINK_EMPL
WHERE NOT EXISTS (SELECT * FROM #VIPLATY V WHERE R.LINK_EMPL = V.LINK_EMPL AND R.LINK_SFIN = V.LINK_SFIN AND R.LINK_EKR = V.LINK_EKR)

INSERT INTO #VIPLATY (LINK_DEP, link_empl, LINK_SFIN, LINK_EKR, ostatok, vipl)	
SELECT LINK_DEP = @DEP_LINK , -R.link_face, R.LINK_SFIN, R.LINK_EKR, R.SUMMA, 0 
FROM #SAL_REMAIN_DGH R INNER JOIN dbo.person p ON p.LINK = R.LINK_FACE
WHERE NOT EXISTS (SELECT * FROM #VIPLATY V WHERE -R.LINK_FACE = V.LINK_EMPL AND R.LINK_SFIN = V.LINK_SFIN AND R.LINK_EKR = V.LINK_EKR)


--------------------------------------------------------------------------------------------
select distinct D1.LINK_DEP, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC =YEAR_BEGIN, 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = D1.LINK_EMPL,
	[POST] = name_post,
	[TN]=TAB_NUM,
	[STAKE] = STAKE,
	[FIO] = (case when @nCheck2 = 0 then FIO else (case when coalesce(LINK_FACE,0) <> 0 then dbo.sa_GetPersName(LINK_FACE) else dbo.sa_GetPersName(PERS_LINK) end) end), --FIO,
	[saldo] = coalesce(ostatok,0),
	[vipl] = coalesce(vipl,0),
	SubdivName = UPPER(convert(varchar(254),NAME_SUBDIV)),
	SubdivCode = UPPER(convert(varchar(254),CODE_SUBDIV)),
	CODE_POST = convert(varchar(254),CODE_POST),
	NAME_POST = convert(varchar(254),NAME_POST),
	D1.LINK_SFIN,
	D1.LINK_EKR1
into #Empls
from #DOC1 D1 INNER JOIN #VIPLATY V on D1.link_empl = V.link_empl and D1.LINK_DEP = V.LINK_DEP AND D1.LINK_SFIN = V.LINK_SFIN AND D1.LINK_EKR1 = V.LINK_EKR
where
	D1.MONTH_BEGIN = @varKSnMonth

------ ,     ,     
INSERT INTO #Empls
select distinct E.DEP_LINK, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC = convert(int, @varKSnYear), 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = V.LINK_EMPL,
	[POST] = POST_NAME,
	[TN]= TAB,
	[STAKE] = STAKE,
	[FIO] = (case when @nCheck2 = 0 then LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100) else FIO end), --FIO,
	[saldo] = coalesce(ostatok,0),
	[vipl] = coalesce(vipl,0),
	SubdivName = UPPER(E.SUBDIV_NAME),	
	SubdivCode = UPPER(E.SUBDIV_CODE),	
	E.POST_CODE,
	E.POST_NAME,
	V.LINK_SFIN,
	V.LINK_EKR	
from 
	dbo.SD_EMPL_FN(DEFAULT,@cur_date, DEFAULT, @DEP_LINK) E 
	INNER JOIN #VIPLATY V on E.link = V.link_empl and coalesce(ostatok,0) <> 0 and E.DEP_LINK = V.LINK_DEP
where 	
	(DEP_LINK = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1)
	AND NOT EXISTS (SELECT * FROM #DOC1 D WHERE D.link_empl = V.link_empl AND D.LINK_SFIN = V.LINK_SFIN AND D.LINK_EKR1 = V.LINK_EKR)
	AND (LEN(@cVal2) = 0
		OR
		E.SUBDIV_HEAD IN (select RECORD from dbo.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink2)
		)	

------------------------------------------------------------------------------------------
---- ,     ,     
INSERT INTO #Empls
select distinct V.LINK_DEP, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC = convert(int, @varKSnYear), 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = -P.link,
	[POST] = ' ',
	[TN]='.',
	[STAKE] = null,
	[FIO] = (case when @nCheck2 = 0 then FIO else NAME_PERS end), --FIO,
	[saldo] = coalesce(ostatok,0),
	[vipl] = coalesce(vipl,0),
	SubdivName = null,
	SubdivCode = null,
	POST_CODE = null,
	POST_NAME = null,
	V.LINK_SFIN,
	V.LINK_EKR	
from 
	dbo.KU_Person P 
	inner join #VIPLATY V on P.link = -V.link_empl and coalesce(ostatok,0) > 0
where 	
	@nCheck1 = 1
	AND NOT EXISTS (SELECT * FROM #DOC1 D WHERE D.link_empl = V.link_empl AND D.LINK_SFIN = V.LINK_SFIN AND D.LINK_EKR1 = V.LINK_EKR)

--------------------------------------------------------------------------------------------

INSERT INTO #Empls
select distinct E.DEP_LINK, FKR1 = @varKSFKR1, FKR2= @varKSFKR2, FKR3= @varKSFKR3, FKR1C = @varKSCode_1, FKR2C= @varKSCode_2, FKR3C= @varKSCode_3,
	YEAR_CALC = convert(int, @varKSnYear), 
	MONTH_CALC = (select mon from months where num = @varKSnMonth),
	[LINK_EMPL0] = E.LINK,
	[POST] = POST_NAME,
	[TN]= TAB,
	[STAKE] = STAKE, 
	[FIO] = (case when @nCheck2 = 0 then LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(E.FM)) + ' ' + LTRIM(RTRIM(E.IM)) + ' ' + LTRIM(RTRIM(E.OT)),' '))),100) else FIO end), --FIO,
	[saldo] = 0,
	[vipl] = 0,
	SubdivName = UPPER(E.SUBDIV_NAME),
	SubdivCode = UPPER(E.SUBDIV_CODE),
	E.POST_CODE,
	E.POST_NAME,
	LINK_SFIN = 0,
	LINK_EKR = 0	
from 
	dbo.SD_EMPL_FN(DEFAULT,@cur_date, DEFAULT, @DEP_LINK) E 
where 
	@nCheck7 = 1
	and (DEP_LINK = @DEP_LINK AND @ALL_DEP = 0 OR @ALL_DEP = 1)
	and E.LINK not in (Select distinct LINK_EMPL0 from #Empls)
	and (@varKSnYear * 100 + @varKSnMonth) BETWEEN (YEAR(DATE_BEGIN)*100 + MONTH(DATE_BEGIN)) AND COALESCE((YEAR(DATE_END)*100 + MONTH(DATE_END)), (@varKSnYear * 100 + @varKSnMonth))
	and (LEN(@cVal2) = 0
		OR
		E.SUBDIV_HEAD IN (select RECORD from dbo.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink2)
		)	

select 
	LINK_DEP, FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C,
	YEAR_CALC, MONTH_CALC,LINK_EMPL0, POST, TN, STAKE, FIO,
	SubdivName, SubdivCode, CODE_POST, NAME_POST, LINK_SFIN, LINK_EKR1,
	saldo = SUM(saldo),
	vipl = SUM(vipl)	
into #EmplsG
from #Empls
group by
	LINK_DEP, FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C,
	YEAR_CALC, MONTH_CALC,LINK_EMPL0, POST, TN, STAKE, FIO,
	SubdivName, SubdivCode, CODE_POST, NAME_POST, LINK_SFIN, LINK_EKR1

--------------------------------------------------------------------------------------------

	INSERT INTO #RES
	SELECT LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, LINK_PAYS, [CODE_PAY] = CODE_PAYS, [NAME_PAY] = NAME_PAYS, sum(SUMMA), 0
	FROM #DOC1 WHERE TYP_OPER = 1 group by LINK_PAYS, LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, CODE_PAYS, NAME_PAYS

	declare @CODE_PAYS varchar(254), @NAME_PAYS varchar(254), @LINK_PAYS INT
	Select top 1 @LINK_PAYS = LINK_PAYS, @CODE_PAYS = CODE_PAYS, @NAME_PAYS = NAME_PAYS from #DOC1 WHERE TYP_OPER = 1 and CODE_PAYS is not null

	INSERT INTO #RES
	SELECT DISTINCT LINK_DEP, LINK_EMPL0, LINK_SFIN, LINK_EKR1, @LINK_PAYS, [CODE_PAY] = @CODE_PAYS, [NAME_PAY] = @NAME_PAYS, 0, 0
	FROM #EmplsG WHERE LINK_EMPL0 not in (Select distinct LINK_EMPL from #DOC1)

	UPDATE R
	SET CP = CP + '*'
	FROM
		#RES R
		INNER JOIN dbo.PAYS P on P.LINK_MPAY = R.LINK_PAYS
	WHERE
		@nMPAY = 1

	--- 
	UPDATE #RES
	Set NP = CP + '#&' + NP

	INSERT INTO #RES_U
	SELECT LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, [CODE_PAY] = CODE_PAYS, [NAME_PAY] = NAME_PAYS, sum(SUMMA), 0
	FROM #DOC1 WHERE TYP_OPER = 2 group by LINK_DEP, LINK_EMPL, LINK_SFIN, LINK_EKR1, CODE_PAYS, NAME_PAYS

	Select top 1 @CODE_PAYS = CODE_PAYS, @NAME_PAYS = NAME_PAYS from #DOC1 WHERE TYP_OPER = 2 and CODE_PAYS is not null

	INSERT INTO #RES_U
	SELECT DISTINCT LINK_DEP, LINK_EMPL0, LINK_SFIN, LINK_EKR1, [CODE_PAY] = @CODE_PAYS, [NAME_PAY] = @NAME_PAYS, 0, 0
	FROM #EmplsG WHERE LINK_EMPL0 not in (Select distinct LINK_EMPL from #DOC1)

	--- 
	UPDATE #RES_U
	Set NU = CU + '#&' + NU

	DECLARE @varKSTABLE_N VARCHAR(100), @varKSTABLE_U VARCHAR(120), @varKSTABLE_R VARCHAR(120)
	EXEC X_GET_TABLE_NAME @varKSTABLE_N OUTPUT
	SELECT @varKSTABLE_U = @varKSTABLE_N + '_U', @varKSTABLE_R = @varKSTABLE_N + '_R'

	DECLARE @varKSCNT_N INT, @varKSCNT_U INT
	SELECT @varKSCNT_N = COUNT(DISTINCT CP) FROM #RES 
	SELECT @varKSCNT_U = COUNT(DISTINCT CU) FROM #RES_U

	IF @ALL_DEP = 0 BEGIN
		EXEC M_CROSS_TABLE
			'LINK_EMPL, LINK_SFIN, LINK_EKR, SUM_N', 
			'NP', 'VARCHAR(254)', 
			'S', 'NUMERIC(20,2)', 'SUM(S) AS S',
			'#RES', @varKSTABLE_N
	
		EXEC M_CROSS_TABLE
			'LINK_EMPL2, LINK_SFIN1, LINK_EKR1, SUM_U', 
			'NU', 'VARCHAR(254)', 
			'SU', 'NUMERIC(20,2)', 'SUM(SU) AS SU',
			'#RES_U', @varKSTABLE_U

		EXEC (' SELECT N.*, U.*   INTO ' +  @varKSTABLE_R +'  FROM ' + @varKSTABLE_N +  ' N FULL OUTER JOIN ' + @varKSTABLE_U + ' U 
			ON N.LINK_EMPL = U.LINK_EMPL2 AND N.LINK_SFIN = U.LINK_SFIN1 AND N.LINK_EKR = U.LINK_EKR1' )
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set link_empl = link_empl2 where link_empl is null')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_EKR = ISNULL(LINK_EKR1,0) where ISNULL(LINK_EKR,0) = 0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_SFIN = ISNULL(LINK_SFIN1,0) where ISNULL(LINK_SFIN,0) = 0 ')

		EXEC('
		INSERT INTO ' + @varKSTABLE_R + ' (link_empl, LINK_SFIN, LINK_EKR)
		SELECT DISTINCT E.link_empl0, E.LINK_SFIN, E.LINK_EKR1
		FROM #EmplsG E
		WHERE NOT EXISTS (SELECT * FROM ' + @varKSTABLE_R + ' R WHERE R.link_empl = E.link_empl0 AND R.LINK_SFIN = E.LINK_SFIN AND R.LINK_EKR = E.LINK_EKR1)
		')		
	
	END
	ELSE BEGIN
		EXEC M_CROSS_TABLE
			'LINK_DEP, LINK_SFIN, LINK_EKR, SUM_N', 
			'NP', 'VARCHAR(254)', 
			'S', 'NUMERIC(20,2)', 'SUM(S) AS S',
			'#RES', @varKSTABLE_N
	
		EXEC M_CROSS_TABLE
			'LINK_DEP2, LINK_SFIN1, LINK_EKR1, SUM_U', 
			'NU', 'VARCHAR(254)', 
			'SU', 'NUMERIC(20,2)', 'SUM(SU) AS SU',
			'#RES_U', @varKSTABLE_U

		EXEC (' SELECT N.*, U.*   INTO ' +  @varKSTABLE_R +'  FROM ' + @varKSTABLE_N +  ' N FULL OUTER JOIN ' + @varKSTABLE_U + ' U 
			ON N.LINK_DEP = U.LINK_DEP2 AND N.LINK_SFIN = U.LINK_SFIN1 AND N.LINK_EKR = U.LINK_EKR1' )
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_DEP = LINK_DEP2 where LINK_DEP is null')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_EKR = ISNULL(LINK_EKR1,0) where ISNULL(LINK_EKR,0) = 0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' set LINK_SFIN = ISNULL(LINK_SFIN1,0) where ISNULL(LINK_SFIN,0) = 0 ')		

		EXEC('
		INSERT INTO ' + @varKSTABLE_R + ' (LINK_DEP, LINK_SFIN, LINK_EKR)
		SELECT DISTINCT E.LINK_DEP, E.LINK_SFIN, E.LINK_EKR1
		FROM #EmplsG E
		WHERE NOT EXISTS (SELECT * FROM ' + @varKSTABLE_R + ' R WHERE R.LINK_DEP = E.LINK_DEP AND R.LINK_SFIN = E.LINK_SFIN AND R.LINK_EKR = E.LINK_EKR1)
		')

	END
	
	DECLARE @varKSI INT, @varKSSQL_STR VARCHAR(4000), @varKSFIELD_NAME VARCHAR(100)
	SET @varKSI=1
	WHILE @varKSI <= @varKSCNT_N BEGIN

		SET @varKSFIELD_NAME= 'NP_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = (SELECT TOP 1 '+@varKSFIELD_NAME+' FROM ' +@varKSTABLE_N + ' WHERE '+
			@varKSFIELD_NAME+ '  IS NOT NULL ) ' 

		EXEC (@varKSSQL_STR)

		SET @varKSFIELD_NAME= 'S_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = 0  WHERE ' +
			@varKSFIELD_NAME+ '  IS  NULL ' 

		EXEC (@varKSSQL_STR)

		SET @varKSI=@varKSI+1
	END

	SET @varKSI=1
	WHILE @varKSI <= @varKSCNT_U BEGIN
		SET @varKSFIELD_NAME= 'NU_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = (SELECT TOP 1 '+@varKSFIELD_NAME+' FROM ' +@varKSTABLE_U + ' WHERE '+
			@varKSFIELD_NAME+ '  IS NOT NULL ) ' 
		EXEC (@varKSSQL_STR)
		SET @varKSFIELD_NAME= 'SU_'  +  RTRIM(LTRIM(STR(@varKSI)))
		SET @varKSSQL_STR= ' UPDATE '+@varKSTABLE_R + '  SET '+@varKSFIELD_NAME+ ' = 0  WHERE ' +
			@varKSFIELD_NAME+ '  IS  NULL ' 
		EXEC (@varKSSQL_STR)
		SET @varKSI=@varKSI+1
	END

	IF @ALL_DEP = 0 BEGIN
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_N = (SELECT SUM(S)  FROM #RES R WHERE R.LINK_SFIN = ISNULL(R0.LINK_SFIN,0) AND R.LINK_EKR = ISNULL(R0.LINK_EKR,0) AND R.LINK_EMPL = R0.LINK_EMPL) FROM ' +   @varKSTABLE_R + ' R0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_U= (SELECT SUM(SU)  FROM #RES_U R WHERE R.LINK_SFIN1 = ISNULL(R0.LINK_SFIN1,0) AND R.LINK_EKR1 = ISNULL(R0.LINK_EKR1,0) AND R.LINK_EMPL2   = R0.LINK_EMPL) FROM ' +   @varKSTABLE_R + ' R0 ')
	END 
	ELSE BEGIN
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_N = (SELECT SUM(S)  FROM #RES R WHERE R.LINK_SFIN = ISNULL(R0.LINK_SFIN,0) AND R.LINK_EKR = ISNULL(R0.LINK_EKR,0) AND R.LINK_DEP = R0.LINK_DEP) FROM ' +   @varKSTABLE_R + ' R0 ')
		EXEC (' UPDATE ' +  @varKSTABLE_R + ' SET SUM_U= (SELECT SUM(SU)  FROM #RES_U R WHERE R.LINK_SFIN1 = ISNULL(R0.LINK_SFIN1,0) AND R.LINK_EKR1 = ISNULL(R0.LINK_EKR1,0) AND R.LINK_DEP2   = R0.LINK_DEP2) FROM ' +   @varKSTABLE_R + ' R0 ')		
	END


	
	IF @varKSCNT_N = 0 BEGIN
		EXEC (' ALTER TABLE ' + @varKSTABLE_R + ' ADD CP_0 VARCHAR(10), NP_0_0 VARCHAR(254), S_0_0 numeric(20,2) ')
	END
	IF @varKSCNT_U = 0 BEGIN
		EXEC (' ALTER TABLE ' + @varKSTABLE_R + ' ADD CU_0 VARCHAR(10), NU_0_0 VARCHAR(254), SU_0_0 numeric(20,2) ')
	END

	DECLARE @varKScSQL VARCHAR(7000)


	IF @ALL_DEP = 0
		SET @varKScSQL = ' SELECT E.*, D.INN, D.KPP, R.*, SFIN_CODE = F.CODE, EKR_CODE = EKR.CODE, s_saldo, s_vipl '
			+ ' FROM #EmplsG E LEFT JOIN DBO.SAL_SFIN F ON F.LINK = E.LINK_SFIN' 
			+ ' LEFT JOIN DEPARTMENTS D on e.LINK_DEP = D.LINK '
			+ ' LEFT JOIN DBO.KOSGU EKR ON EKR.LINK = E.LINK_EKR1' 			
			+ ' LEFT JOIN ' + @varKSTABLE_R+' R on link_empl0 = link_empl AND ISNULL(R.LINK_SFIN,0) = E.LINK_SFIN AND ISNULL(R.LINK_EKR,0) = E.LINK_EKR1'
			+ ' LEFT JOIN (SELECT s_saldo = SUM(saldo), s_vipl = SUM(vipl) FROM #EMPLSG) S on 1=1'
			+ ' order by '
			+ (CASE @varKSnSortMode WHEN 1 THEN 'COALESCE(TN,'''')' 
						WHEN 2 THEN 'FIO, F.CODE, EKR.CODE' 
						WHEN 3 THEN 'COALESCE(SubdivName,''''), COALESCE(TN,''''), F.CODE, EKR.CODE' 
						WHEN 4 THEN 'COALESCE(SubdivName,''''), FIO, F.CODE, EKR.CODE' 
						WHEN 5 THEN 'COALESCE(SubdivCode,''''), COALESCE(TN,''''), F.CODE, EKR.CODE' 
						WHEN 6 THEN 'COALESCE(SubdivCode,''''), FIO, F.CODE, EKR.CODE' 
						WHEN 7 THEN 'COALESCE(SubdivName,''''), COALESCE(CODE_POST,''''), FIO, F.CODE, EKR.CODE' 
						WHEN 8 THEN 'COALESCE(SubdivCode,''''), COALESCE(CODE_POST,''''), FIO, F.CODE, EKR.CODE' 
						else 'COALESCE(TN,''''), F.CODE, EKR.CODE'  END)
	ELSE

		SET @varKScSQL = ' SELECT R.* , D.INN, D.KPP, E.*, SFIN_CODE = F.CODE, EKR_CODE = EKR.CODE, DEP_NAME= D.[NAME], GRP_NAME = COALESCE(GRP.GRP_NAME,'' '')  FROM ' + @varKSTABLE_R+' R '
	+ ' INNER JOIN DEPARTMENTS D on R.LINK_DEP = D.LINK
		LEFT JOIN DBO.SAL_SFIN F ON F.LINK = R.LINK_SFIN
		LEFT JOIN DBO.KOSGU EKR ON EKR.LINK = R.LINK_EKR
		LEFT JOIN (select GRP_NAME= G.[NAME], D_LINK= REF.DEP_LINK
			from DEPARTMENT_GROUPS G inner join DEPARTMENT_GROUPS_REF REF on G.LINK = REF.GROUP_LINK
			where G.LINK = (SELECT MAX(REF1.GROUP_LINK) from DEPARTMENT_GROUPS_REF REF1 where REF1.DEP_LINK = REF.DEP_LINK)) GRP on D.LINK = GRP.D_LINK'
	+ ' INNER JOIN (SELECT link_dep, LINK_SFIN, LINK_EKR1, saldo = SUM(saldo), vipl = SUM(vipl), FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C FROM #EMPLSG group by link_dep, LINK_SFIN, LINK_EKR1, FKR1, FKR2, FKR3, FKR1C, FKR2C, FKR3C) E on R.LINK_DEP = E.link_dep AND R.LINK_SFIN = E.LINK_SFIN AND R.LINK_EKR1 = E.LINK_EKR1'
	+ ' order by GRP.GRP_NAME, D.NAME, F.CODE'
	
	exec (@varKScSQL)

	EXEC ('DROP TABLE ' + @varKSTABLE_N)
	EXEC ('DROP TABLE ' + @varKSTABLE_U)
	EXEC ('DROP TABLE ' + @varKSTABLE_R)
	drop table #Doc1
	drop table #Empls
	drop table #EmplsG
END






GO


GRANT EXECUTE ON dbo.[SALARY_REPORT_F49] TO PUBLIC

GO



GO

GO

-- FIX >>  : 9899.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_EXPORT_PFR_100_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_EXPORT_PFR_100_17]

GO

CREATE      PROCEDURE [dbo].SZV_STAZH_EXPORT_PFR_100_17 (
@DOC_LINK int  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK = @DOC_LINK

CREATE TABLE #ODV1_ONLY(DOC_LINK INT , ODV1_ONLY TINYINT )	
insert into #ODV1_ONLY(DOC_LINK, ODV1_ONLY)
select 
	doc_link = d.link,
	ODV1_ONLY = (SELECT TOP 1 [type] FROM dbo.SS_SZV_STAZH_PACHKA WHERE link = d.Link)
from #DOC d


--  

CREATE TABLE #ODV1 (
		[LINK_SZV]     INT, 
		[YEAR]     INT ,
		[PER]      INT ,
		[PER_edt]      INT ,
		[YEAR_edt]     INT ,
		[PER10]    INT ,
		[TYPE]	   tinyint,
		[VID_KOR]  tinyint, 
		[COUNT_P]  INT,
		[COUNT_PK] INT,
		[COUNT_PERS] INT,  
		[REG_NOM_PF] VARCHAR(20),
		[DEP_NAME] VARCHAR(254),
		[OKPO] VARCHAR(40),
		[INN] VARCHAR(12),
		[KPP] VARCHAR(9),
		DATE_CRT datetime,
		DATE_DOC datetime,
		[GUID] UNIQUEIDENTIFIER)  

CREATE TABLE #ODV1_2 (
		[LINK_SZV]  INT,
		[link_pers] INT , 
		[subdiv_name] VARCHAR(254), 
		[POST_NAME] VARCHAR(254) , 
		[num_stake] NUMERIC(5,2),
		[work_stake] NUMERIC(5,2),
		[Fakt_Work] VARCHAR(254) ,
		[DOC_NAME] VARCHAR(10), 
		[OSOB_USL] VARCHAR(10) , 
		[N_OSOB_USL] VARCHAR(150) ,
		POS_SPIS VARCHAR(150))  

create table #SZV_ST (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[NGROUP] INT,
	[T_DOG] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int,
	GOSSL int)



create table #PERS_INFO2 (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[T_DOG] INT ,
	[NGROUP] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int,
	GOSSL int)



--       -
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
	
			INSERT INTO #ODV1 ([LINK_SZV],[YEAR],[PER],[PER_EDT],[YEAR_EDT],[PER10],[TYPE],[VID_KOR],[COUNT_P],[COUNT_PK],[COUNT_PERS],
							   [REG_NOM_PF],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC,[GUID])  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 1 
			
			INSERT INTO #ODV1_2 ([LINK_SZV],[link_pers],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],
								 [DOC_NAME],[OSOB_USL],[N_OSOB_USL] ,[POS_SPIS] )  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 2 
			
	
			---  #SZV_ST
				
				INSERT INTO #SZV_ST([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP,GOSSL)
				exec dbo.SZV_STAZH_PRINT @LINK_DOC
			
	
				update #SZV_ST  set FM = UPPER(FM), IM = UPPER(IM), OT = UPPER(OT), ADDRESS2 = UPPER(ADDRESS2) WHERE link_SZV = @LINK_DOC 
			
				
				--  #PERS_INFO2 

				INSERT INTO #PERS_INFO2([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP,GOSSL)

				SELECT	[LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP, GOSSL
				FROM #SZV_ST
			

			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			

DECLARE @NN INT, @PN INT, @ON INT
SELECT @NN = 0, @PN = 0, @ON = 0




DECLARE @PI_NGROUP INT, @PI_ID INT, @PI_link_szv int, @PI_T_DOG tinyint  
DECLARE @Cur_PI CURSOR
SET @Cur_PI = CURSOR FORWARD_ONLY

FOR select link_szv, NGROUP,T_DOG, [ID]  from #SZV_ST order by link_szv,T_DOG, NGROUP, [ID]

OPEN @Cur_PI
FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @NN = (CASE WHEN @PI_NGROUP <> @PN THEN 1 ELSE (CASE WHEN @ON <> @PI_ID THEN @NN + 1 ELSE @NN END) END)
		SET @PN = (CASE WHEN @PI_NGROUP <> @PN THEN @PI_NGROUP ELSE @PN END)

		UPDATE A
		SET 
			ID = @NN
		FROM #SZV_ST A 
		WHERE link_szv = @PI_link_szv and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID

		UPDATE A
		SET 
			ID = @NN
		FROM #PERS_INFO2 A 
		WHERE link_szv = @PI_link_szv and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID
		

		SET @ON = @NN				

	END

	FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
END

CLOSE @Cur_PI
DEALLOCATE @Cur_PI




-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @link_szv INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC datetime, 
	@INN VARCHAR(12), @KPP VARCHAR(9), @OKPO VARCHAR(40), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@COUNT_P VARCHAR(10) , @COUNT_PK VARCHAR(10), @COUNT_PERS VARCHAR(4), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4),@sved int , @TYP_SVED VARCHAR(20), @kor INT,
	@VID_KOR VARCHAR(20),@PER VARCHAR(1),@PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4),  @TYPE VARCHAR(20), @GUID VARCHAR(36),
	@EGRUL varchar(15), @CHIEF_POST_OUR VARCHAR(150) , @CH_FM  VARCHAR(150) , @CH_IM  VARCHAR(150),@CH_OT  VARCHAR(150)
	/*@INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	
	@KATEG VARCHAR(20)*/

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


SELECT @CHIEF_POST_OUR = (SELECT TOP 1 post_name FROM dbo.SD_EMPL AS se WHERE link  = a.face_link),
		@CH_FM = (SELECT TOP 1 LTRIM(RTRIM(FM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_IM = (SELECT TOP 1 LTRIM(RTRIM(IM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_OT = (SELECT TOP 1 LTRIM(RTRIM(OT)) FROM dbo.sd_empl WHERE link  = a.face_link)
FROM DICTIONARY_OTV_FACE_ALL A  
inner join dbo.SS_SZV_STAZH_PACHKA P on a.dep_link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )
AND  a.NAME = '' 


SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	link_szv,
	FNAME = '_'+ RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))) + '_'+LEFT(REPLACE([REG_NOM_PF],'-',''),6)+'_-_'+CONVERT(VARCHAR(8),ltrim(rtrim(replace(CONVERT(VARCHAR(10),DATE_DOC,102),'.',''))))+'_'+ltrim(rtrim([GUID]))+'.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	[OKPO] = RTRIM(LTRIM(COALESCE(OKPO,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))),
	--PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	[COUNT_P] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_P]))), 	
	[COUNT_PK] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PK]))),
	[COUNT_PERS] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PERS]))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = DATE_DOC,
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SVED = [TYPE] ,
	TYP_SVED = (CASE WHEN [TYPE] = 1 THEN '' else (CASE WHEN [TYPE] = 2 THEN '' else '' end) end),
	KOR = [VID_KOR] ,
	VID_KOR = (CASE WHEN [VID_KOR] = 2 THEN '' else (CASE WHEN [VID_KOR] = 3 THEN '' else '' end) end),
	[PER] = 0 ,  --CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	PER_EDT = CONVERT(VARCHAR(1),[PER_edt]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	[GUID] = RTRIM(LTRIM(CONVERT(VARCHAR(36),iSnull([GUID],null))))
from #ODV1 order by link_szv

/*  A63        61 */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	 @SVED, @TYP_SVED, @KOR,@VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'UTF-8' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://.///2014-01-01" xmlns:xs="http://www.w3.org/2001/XMLSchema">'
			/*UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21"'+CHAR(10)+CHAR(13)
+ ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://.//-/2017-01-01'+CHAR(10)
+'..\..\..\..\\\\2017\-_2017-01-01.xsd">'*/
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				 
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<-1>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + CASE when @VID_KOR = '' THEN '1' ELSE '0' end + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'					
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + RTRIM(LTRIM(ISNULL(@COUNT_PERS,''))) + '</>'
	

	IF (SELECT COUNT([work_stake])  FROM #ODV1_2 WHERE [LINK_SZV] =  @link_szv ) <>0
	BEGIN 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  SELECT @lcFNAME , SPACE(2) + '<>'
		
		
		-- 1 
		DECLARE @Cur2 CURSOR, @LINK_SZV1 int, @subdiv_name varchar(254), @POST_NAME varchar(254), @num_stake NUMERIC(5,2), @work_stake NUMERIC(5,2),
				@Fakt_Work VARCHAR(254), @DOC_NAME VARCHAR (10),@OSOB_USL VARCHAR(10),@POS_SPIS VARCHAR(150) 
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
			Select	[LINK_SZV],[subdiv_name],
					[POST_NAME],[num_stake],[work_stake],
					[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 
			FROM #ODV1_2  WHERE  [LINK_SZV] = @link_szv 
			GROUP BY [LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 			   			
		
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN	
						IF isnull(@OSOB_USL,'') <> '' AND isnull(@POS_SPIS,'') <> '' 
						begin		
							  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											Select @lcFNAME, SPACE(3) + '<:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@subdiv_name,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@POST_NAME,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(CONVERT(VARCHAR(8),ISNULL(@num_stake,''))))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(ISNULL(@work_stake,''))))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@Fakt_Work,''))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@DOC_NAME,'-')))+'</:>' 
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@OSOB_USL,'')))+'</:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@POS_SPIS,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '</:>'
								  UNION ALL SELECT @lcFNAME, SPACE(3) + '</:>'
						end
					END
				
					FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS					  
					
				END 
			CLOSE @Cur2
			DEALLOCATE @Cur2
								
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(3) + '<:>'+ RTRIM(LTRIM(CONVERT(VARCHAR(8),SUM(@num_stake))))+ '</:> '  + CHAR(10)
							  +	 SPACE(3) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(sum(@work_stake))))) + '</:>'
				FROM #ODV1_2 WHERE LINK_SZV = @DOC_LINK  GROUP BY LINK_SZV
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	END 

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+REPLACE(RTRIM(LTRIM(isnull(@CHIEF_POST_OUR,''))),' ','')+'</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_FM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_IM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_OT,'')))+'</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(VARCHAR(10),@DATE_DOC , 120) +'</>'
		UNION ALL SELECT @lcFNAME, SPACE(1) + '</-1>'

	-- - 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	Select @lcFNAME, SPACE(1) + '<->'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	UNION ALL Select @lcFNAME, SPACE(2) + '<>'+CASE WHEN  @SVED = 2 THEN '2' 
															     WHEN  @SVED = 1 AND @KOR = 1 THEN '0'	
															     WHEN @SVED = 1 AND @KOR = 2 THEN '1'
															ELSE '0'  END    
												  +'</>'  + CHAR(10)
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	



	DECLARE @LINK_SZV_ST int, @TYPE_SV INT , @TYPE_KOR INT , @ID int, @ID_EX INT, @PF_NUMBER VARCHAR(14)
	SET @Cur2 = CURSOR FORWARD_ONLY
	FOR 
	Select	[LINK_SZV],[TYPE_SV],[TYPE],[ID],[PFNUMBER]
	FROM #SZV_ST  WHERE  [LINK_SZV] = @link_szv 
	GROUP BY [LINK_SZV],[ID],[PFNUMBER],[TYPE_SV],[TYPE]
	ORDER BY [LINK_SZV],[ID],[PFNUMBER]	,[TYPE_SV],[TYPE]	   			
	
	OPEN @Cur2
	FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN	
			  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						Select @lcFNAME, SPACE(2) +'<>'	+ CHAR(10)
										  + SPACE(3) + '<>'	+ CHAR(10)  
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(FM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(IM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(OT,'')))+'</:>'+ CHAR(10) 
										  + SPACE(3) + '</>'+ CHAR(10) 
										  + SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL([PFNUMBER],''))) + '</>' + CHAR(10) 
										FROM 	
										(select top 1 FM , IM , OT , [PFNUMBER] FROM  #SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a

								--       ,    
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
									Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
									FROM #pers_info2
									where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
									and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
									and (isnull(gossl,0) = 0 and LTRIM(COALESCE(is_dop,'')) in ( '',''))
	


										
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
									Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
										FROM #pers_info2
										where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
										and ((isnull(gossl,0) = 0 and COALESCE(is_dop,'') not in ( '','')) or (isnull(gossl,0) <> 0 and COALESCE(is_dop,'') not in('','','','','','','','','')))
	

										
										-----         
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
										Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
										FROM #pers_info2
										where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
										and (isnull(gossl,0) <> 0 and COALESCE(is_dop,'') in ('','','','','','','','',''))
												
										
		  
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
								Select @lcFNAME, SPACE(2) +'</>'	+ CHAR(10)  
								FROM (select top 1 FM , IM , OT , [PFNUMBER] FROM  #SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a
		END
	
		FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER--,@ID_EX 				  
		
	END 
	CLOSE @Cur2
	DEALLOCATE @Cur2	
		

	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, SPACE(1) + '</->'	
	UNION ALL SELECT @lcFNAME, SPACE(0) +'</>'

	FETCH NEXT FROM @Cur1 INTO  @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	@SVED, @TYP_SVED,@KOR, @VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]















GO


GRANT EXECUTE ON dbo.[SZV_STAZH_EXPORT_PFR_100_17] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9905.sql

/****************     "       (-)"*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = (SELECT LINK FROM OBJECT_VAR WHERE CODE = 'SZV_K')

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'KADRY_FREE_PERSONS' AND NAME = '  ')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'SS_SZV_STAZH_PACHKA')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'KADRY_FREE_PERSONS' AND NAME = '  '))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'EOD_DOC_K_SZV_ST'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'EOD_DOC_K_SZV_ST', '       (-)', @ORD, NULL, 1, @LINK_SELF, 'REPORT', @OBJECT, @LINK_VAR, 3
GO


GO

-- FIX >>  : 9898.sql
-- DICTIONARY_REORGANIZATION
IF not exists(select * from sysobjects where id = object_id('[dbo].[DICTIONARY_REORGANIZATION]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[DICTIONARY_REORGANIZATION] (
	[LINK] int NOT NULL IDENTITY(1,1) ,
	[NUMBER] VARCHAR(10) NOT NULL,
	[DATE] datetime NOT NULL ,
	[DEP_LINK] INT NOT NULL ,
	[R_DEP_LINK] int NULL ,
	[R_SUBDIV]  int NULL ,
	[REORG_FORM] tinyint NOT NULL ,
	[COMMENT] varchar(50) NULL ,
	[NAME_REORG] VARCHAR(50) null)
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[DICTIONARY_REORGANIZATION] TO PUBLIC
	
GO

-- --
--
IF  NOT EXISTS (SELECT * FROM dbo.sysindexes WHERE [name] = 'IX_DICTIONARY_REORGANIZATION')
CREATE INDEX [IX_DICTIONARY_REORGANIZATION] ON [dbo].[DICTIONARY_REORGANIZATION] ([NUMBER], [DATE]) ON [INDEX]
GO
--

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[PK_DICTIONARY_REORGANIZATION]'))
ALTER TABLE [dbo].[DICTIONARY_REORGANIZATION] 
ADD CONSTRAINT [PK_DICTIONARY_REORGANIZATION] PRIMARY KEY CLUSTERED ([LINK])
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_DICTIONARY_REORGANIZATION_REORG_FORM]'))
ALTER TABLE [dbo].[DICTIONARY_REORGANIZATION] 
ADD CONSTRAINT [DF_DICTIONARY_REORGANIZATION_REORG_FORM] DEFAULT ((0)) FOR [REORG_FORM]
GO

--

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DICTIONARY_REORG_Ss_INSUPD]') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER dbo.[DICTIONARY_REORG_Ss_INSUPD]

GO
CREATE TRIGGER [dbo].[DICTIONARY_REORG_Ss_INSUPD] ON dbo.DICTIONARY_REORGANIZATION
FOR INSERT, UPDATE
AS
IF @@ROWCOUNT > 0 AND TRIGGER_NESTLEVEL()<2
BEGIN
	SET NOCOUNT ON
	
	SELECT * FROM  INSERTED
	update dbo.DICTIONARY_REORGANIZATION 
	set NAME_REORG = ''+LTRIM(rtrim(ISNULL(i.[NUMBER],'')))+'  '+ltrim(rtrim(ISNULL(CONVERT(VARCHAR(10),i.[DATE],104),'')))+'' 
	FROM INSERTED i 
	where
		dbo.DICTIONARY_REORGANIZATION.link = i.link 
	
END

GO

GO

/****** :   ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'RB_VIEW_ATR_TYPE_REORG')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'RB_VIEW_ATR_TYPE_REORG')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'RB_VIEW_ATR_TYPE_REORG')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'RB_VIEW_ATR_TYPE_REORG')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'RB_VIEW_ATR_TYPE_REORG'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'RB_VIEW_ATR_TYPE_REORG')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='RB_VIEW_ATR_TYPE_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'RB_VIEW_ATR_TYPE_REORG', '  ', 124, (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORT_DICTIONARY'), (SELECT LINK FROM S_OBJECTS WHERE CODE='WEB_DICTIONARY_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'RB_VIEW_ATR_TYPE_REORG', NAME = '  ', ORDERS = '124', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORT_DICTIONARY'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='WEB_DICTIONARY_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='RB_VIEW_ATR_TYPE_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='RB_VIEW_ATR_DA_NET_MARKER_1_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'RB_VIEW_ATR_DA_NET_MARKER_1_1', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='RB_VIEW_ATR_TYPE_REORG'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'RB_VIEW_ATR_DA_NET_MARKER_1_1', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='RB_VIEW_ATR_TYPE_REORG'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='RB_VIEW_ATR_DA_NET_MARKER_1_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='RB_VIEW_ATR_REORG_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'RB_VIEW_ATR_REORG_CODE', '', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='RB_VIEW_ATR_TYPE_REORG'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'RB_VIEW_ATR_REORG_CODE', NAME = '', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='RB_VIEW_ATR_TYPE_REORG'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='RB_VIEW_ATR_REORG_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='RB_VIEW_ATR_REORG_NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'RB_VIEW_ATR_REORG_NAME', '', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='RB_VIEW_ATR_TYPE_REORG'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'RB_VIEW_ATR_REORG_NAME', NAME = '', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='RB_VIEW_ATR_TYPE_REORG'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='RB_VIEW_ATR_REORG_NAME'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_TYPE_REORG', 'TITLE', '  '
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_TYPE_REORG', 'INIT_OBJECT_METHOD', 'x_spisok(''RB_VIEW_ATR_TYPE_REORG'')'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_TYPE_REORG', 'SAVE_OBJECT_METHOD', 'sql.exec("if object_id(''tempdb..#RB_VIEW_ATR_TYPE_REORG'') is not NULL drop table #RB_VIEW_ATR_TYPE_REORGcreate table #RB_VIEW_ATR_TYPE_REORG(link int, CODE varchar(4))", "")
A_SAVE_CURSOR (''#RB_VIEW_ATR_TYPE_REORG'', m.cAlias, '''', ''link,CODE'', ''link,CODE'', ''upd=1'')
sql.call(''dbo.RT_WEB_SAVE_DICT_PRINT'',0,'''')
'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_TYPE_REORG', 'EDIT_OBJECT_METHOD', 'x_brow()'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_TYPE_REORG', 'SELECT_RECORDS_METHOD', 'sql.exec(''select 0 as checked, 0 as upd, 0 as del, * from RB_VIEW_ATR_TYPE_REORG'',m.cAlias)'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_TYPE_REORG', 'SELECT_RECORDS_METHOD_EDIT', 'sql.exec(''select 0 as checked, 0 as upd, 0 as del, * from RB_VIEW_ATR_TYPE_REORG where Link = '' + STR(m.nLink),m.cAlias)'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_TYPE_REORG', 'OPEN_CODE', 'TYPE'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_TYPE_REORG', 'MSG_SEL_ONE', 'IIF(ISNULL(TYPE),'''', TYPE) + [-] + IIF(ISNULL(NUMB), '''', NUMB)'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_TYPE_REORG', 'SERVER_TABLE_NAME', ''
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_TYPE_REORG', 'EDIT_OBJECT_METHOD_SQL', 'KU_EDIT_OBJECT_METHOD @cObject = ''RB_VIEW_ATR_TYPE_REORG'''
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_TYPE_REORG', 'SELECT_RECORDS_METHOD_SQL', 'WEB_SELECT_DICTIONARY @cDicCode=''RB_VIEW_ATR_TYPE_REORG'''
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_TYPE_REORG', 'SAVE_OBJECT_METHOD_SQL', 'RT_WEB_SAVE_DICT_PRINT'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_TYPE_REORG', 'EXCH_MODEL_CODE', 'L'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_TYPE_REORG', 'EXCHANGE', '1'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_DA_NET_MARKER_1_1', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_DA_NET_MARKER_1_1', 'CONTROLSOURCE', 'm.cAlias + ".checked"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_DA_NET_MARKER_1_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_DA_NET_MARKER_1_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".checked"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_DA_NET_MARKER_1_1', 'CONTROL_NAME_EDIT', 'check1'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_DA_NET_MARKER_1_1', 'ASPTYPE', 'checkbox'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_DA_NET_MARKER_1_1', 'FIELD_DATA', 'CHECKED'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE', 'TITLE', ''
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE', 'VISIBLE', '31'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE', 'CONTROLSOURCE', 'm.cAlias + ".LINK"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".LINK"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE', 'CONTROL_NAME_EDIT', 'ATxt1'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE', 'ASPTYPE', 'WebTextEdit'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE', 'ATTRIBUTES', 'style="Z-INDEX: 102; LEFT: 250px; POSITION: absolute; TOP: 16px""
Width="500px"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE', 'LABEL_ATTRIBUTES', 'style="Z-INDEX: 101; LEFT: 24px; POSITION: absolute; TOP: 16px"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE', 'FIELD_DATA', 'NAME'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME', 'TITLE', ''
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME', 'VISIBLE', '31'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME', 'CONTROLSOURCE', 'm.cAlias + ".CODE"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CODE"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME', 'CONTROL_NAME_EDIT', 'ATxt2'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME', 'ASPTYPE', 'WebTextEdit'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME', 'ATTRIBUTES', 'style="Z-INDEX: 102; LEFT: 250px; POSITION: absolute; TOP: 16px""
Width="500px"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME', 'LABEL_ATTRIBUTES', 'style="Z-INDEX: 101; LEFT: 24px; POSITION: absolute; TOP: 16px"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME', 'FIELD_DATA', 'NAME'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'RB_VIEW_ATR_TYPE_REORG', '-', 63,0
GO
EXEC DBO.W_SPERM_WRITE 'RB_VIEW_ATR_TYPE_REORG', '-', 63,0
GO



/****** :  ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'REPORTS_ATR_TYPE_REORG')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'REPORTS_ATR_TYPE_REORG')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'REPORTS_ATR_TYPE_REORG')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'REPORTS_ATR_TYPE_REORG')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'REPORTS_ATR_TYPE_REORG'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'REPORTS_ATR_TYPE_REORG')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='REPORTS_ATR_TYPE_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'REPORTS_ATR_TYPE_REORG', ' ', 60, (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORTS_ATR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORT_ATRIBUT'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'REPORTS_ATR_TYPE_REORG', NAME = ' ', ORDERS = '60', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORTS_ATR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORT_ATRIBUT'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='REPORTS_ATR_TYPE_REORG'
GO
EXEC X_SET_PROP 'REPORTS_ATR_TYPE_REORG', 'NAME', ' '
GO
EXEC X_SET_PROP 'REPORTS_ATR_TYPE_REORG', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 ("RB_VIEW_ATR_TYPE_REORG",oForm.ALIAS_ATR, "CODE", "REPORTS_ATR_TYPE_REORG", "", "", "", .T., 0, oForm, oObj)'
GO
EXEC X_SET_PROP 'REPORTS_ATR_TYPE_REORG', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'REPORTS_ATR_TYPE_REORG', 'CONTROL_TYPE', '1'
GO
EXEC X_SET_PROP 'REPORTS_ATR_TYPE_REORG', 'SHORT_NAME', ' '
GO
EXEC X_SET_PROP 'REPORTS_ATR_TYPE_REORG', 'CHECK_WHEN', 'ALIB_NEED_SPR (oObj)'
GO
EXEC X_SET_PROP 'REPORTS_ATR_TYPE_REORG', 'DEFAULT_VALUE', ''''''
GO
EXEC X_SET_PROP 'REPORTS_ATR_TYPE_REORG', 'MAXWIDTH', '11'
GO
EXEC X_SET_PROP 'REPORTS_ATR_TYPE_REORG', 'DICTIONARY', 'RB_VIEW_ATR_TYPE_REORG'
GO
EXEC X_SET_PROP 'REPORTS_ATR_TYPE_REORG', 'DICTIONARY_COLUMNS_LIST', 'REPORTS_ATR_TYPE_REORG'
GO
EXEC X_SET_PROP 'REPORTS_ATR_TYPE_REORG', 'DICTIONARY_FIELDS_LIST', 'CODE'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'REPORTS_ATR_TYPE_REORG', '-', 63,0
GO
EXEC DBO.W_SPERM_WRITE 'REPORTS_ATR_TYPE_REORG', '-', 63,0
GO


GO

/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_REORGANIZATION')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_REORGANIZATION')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_REORGANIZATION')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DICT_REORGANIZATION', '', 41, (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SALARY'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_DEDUCT'),1,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DICT_REORGANIZATION', NAME = '', ORDERS = '41', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SALARY'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_DEDUCT'), MANAGED = 1, INHERITED = 1
	WHERE CODE ='DICT_REORGANIZATION'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_MARKER_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_MARKER_REORG', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_MARKER_REORG', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_MARKER_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NUMBER_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NUMBER_REORG', ' -', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NUMBER_REORG', NAME = ' -', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NUMBER_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_DATE_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_DATE_REORG', ' ', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_DATE_REORG', NAME = ' ', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_DATE_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NAME_DEP_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NAME_DEP_REORG', '-', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NAME_DEP_REORG', NAME = '-', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NAME_DEP_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_R_NAME_DEP_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_R_NAME_DEP_REORG', ' ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_R_NAME_DEP_REORG', NAME = ' ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_R_NAME_DEP_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_R_CODE_SUB_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_R_CODE_SUB_REORG', '  ', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_R_CODE_SUB_REORG', NAME = '  ', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_R_CODE_SUB_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_R_NAME_SUB_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_R_NAME_SUB_REORG', '  ', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_R_NAME_SUB_REORG', NAME = '  ', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_R_NAME_SUB_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_F_NAME_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_F_NAME_REORG', ' ', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_F_NAME_REORG', NAME = ' ', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_F_NAME_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_COMMENT_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_COMMENT_REORG', '', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_COMMENT_REORG', NAME = '', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_COMMENT_REORG'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'TITLE', ''
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'INIT_OBJECT_METHOD', 'X_SPISOK("DICT_REORGANIZATION")'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'REMOVE_OBJECT_METHOD', 'I_DELETE_RECORDS(m.oForm.Alias, "DICT_REORGANIZATION", "SS_DICTIONARY_REORGANIZATION_DEL", 4, .F., .F.)'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'SAVE_OBJECT_METHOD', 'X_SAVE(''SS_SAVE_DICTIONARY_REORGANIZATION'', m.cAlias,"NUMBER , sqlnull(DATE),  sqlnull(DEP_LINK), sqlnull(R_DEP_LINK), sqlnull(R_SUB),F_CODE,COMMENT","DICT_REORGANIZATION")'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'EDIT_OBJECT_METHOD', 'X_BROW()'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'SELECT_RECORDS_METHOD', 'SA_SELECT_DICTIONS_ZB(''DICT_REORGANIZATION'')'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'SELECT_RECORDS_METHOD_EDIT', 'X_SELECT_DICTIONS(''DICT_REORGANIZATION'')'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'OPEN_CODE', 'link'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'SERVER_TABLE_NAME', 'DICTIONARY_REORGANIZATION'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'OPERATION_MASK', '24'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'HISTORY_DOC_FIELD_NUMBER', 'NULL'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REORG', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REORG', 'CONTROLSOURCE', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'TITLE', ' ..'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'CONTROLSOURCE', 'm.cAlias + ".NUMBER"'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'TYPE_FIELD_DICT', 'INT'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'SHORT_CODE_OBJ', 'NUMBER'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NUMBER"'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'CONTROL_NAME_EDIT', 'aTxt1'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'REFERENCE_TO_FIELD', 'NUMBER'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'COMMENTARY', '  '
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'TITLE', ' .'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'CONTROLSOURCE', 'm.cAlias + ".DATE"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'TYPE_FIELD_DICT', 'DATETIME'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'SHORT_CODE_OBJ', 'DATE'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".DATE"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'CONTROL_NAME_EDIT', 'Atxt2'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'COMMENTARY', ' '
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'EDIT_OBJECT_METHOD', 'N_VIBOR_01 (''DICTIONARY_DEPARTMENT'', oForm.ALIAS, ''LINK, NAME,INN,KPP'', ''DEP_LINK, NAME_DEP,DEP_INN,DEP_KPP'', '''','''', "(TYPE=4 OR ZB=1) AND dbo.xu_GetAccessByDep (LINK) > 0 ", .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'CONTROLSOURCE', 'm.cAlias + ".NAME_DEP"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NAME_DEP"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'CONTROL_NAME', 'asel_spr3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'CONTROL_NAME_EDIT', 'asel_spr3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'COMMENTARY', '-'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''DICTIONARY_DEPARTMENT'', oForm.ALIAS, ''LINK, NAME,INN,KPP'', ''R_DEP_LINK, R_DEP_MAME,R_DEP_INN,R_DEP_KPP'', '''','''', "(TYPE=4 OR ZB=1)  ", .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'CONTROLSOURCE', 'm.cAlias + ".R_DEP_MAME"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".R_DEP_MAME"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'CONTROL_NAME_EDIT', 'asel_SPR4'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'COMMENTARY', ' '
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 ("DICTIONARY_SUBDIVISION", oForm.ALIAS, "subdiv_link,CODE,NAME,O_KPP", "R_SUB,R_CODE_SUB,R_NAME_SUB,R_KPP_SUB", "", "", "", .T., 1, oForm, oObj)'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'CONTROLSOURCE', 'm.cAlias + ".R_CODE_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'CONTROL_TYPE', '8'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'STORAGE', 'SUBDIV'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'TYPE_FIELD_DICT', 'VARCHAR(5)'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'SHORT_CODE_OBJ', 'R_CODE_SUB'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".R_CODE_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'CONTROL_NAME_EDIT', 'ASel_Spr5'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'REFERENCE_TO_FIELD', 'CODE'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'CONTROLSOURCE', 'm.cAlias + ".R_NAME_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'STORAGE', 'SUBDIV'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'SHORT_CODE_OBJ', 'R_NAME_SUB'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".R_NAME_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'CONTROL_NAME_EDIT', 'ATxtn5'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'REFERENCE_TO_FIELD', 'NAME'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'TITLE', ' '
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 ("RB_VIEW_ATR_TYPE_REORG",oForm.ALIAS, "LINK, CODE", "REORG_FORM,F_CODE", "", "", "", .T., 0, oForm, oObj)'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'CONTROLSOURCE', 'm.cAlias + ".F_CODE"'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'SHORT_CODE_OBJ', 'F_CODE'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".F_CODE"'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'CONTROL_NAME_EDIT', 'ASel_Spr6'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'NAME', 'COMMENT'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'CONTROLSOURCE', 'm.cAlias + ".COMMENT"'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'SHORT_CODE_OBJ', 'COMMENT'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".COMMENT"'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'CONTROL_NAME_EDIT', 'Atxt7'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'REFERENCE_TO_FIELD', 'COMMENT'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'DICT_REORGANIZATION', '-', 63,0
GO
EXEC DBO.W_SPERM_WRITE 'DICT_REORGANIZATION', '-', 63,0
GO

/****************     ""*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = NULL

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_SAL_DICTIONS' AND NAME = '')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_SAL_DICTIONS' AND NAME = ''))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_DICTIONARY_REORGANIZATION'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'NV_DICTIONARY_REORGANIZATION', '', @ORD, NULL, 1, @LINK_SELF, 'DICTIONARY', @OBJECT, @LINK_VAR, 3
GO



GO


 IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RB_VIEW_ATR_TYPE_REORG]') AND OBJECTPROPERTY(id, N'IsView') = 1) 
	 DROP VIEW dbo.[RB_VIEW_ATR_TYPE_REORG]    
 GO
 
 /*******************************************************************************  
  
   (Keysystems), 2010  
  
*******************************************************************************/  
  
CREATE VIEW dbo.[RB_VIEW_ATR_TYPE_REORG]  
AS  
select 1 as link, '' as code  
union   
SELECT 2 AS link, '' AS code  
union
select 3 as link, '' as code  
union  
SELECT 5 AS link, '' AS code  
union  
select 6 as link, '   ' as code  
union   
SELECT 0 AS link, '' AS code    
  
  
GO
  GRANT SELECT ON dbo.[RB_VIEW_ATR_TYPE_REORG] TO PUBLIC    
  
GO

-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DICT_REORGANIZATION]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[DICT_REORGANIZATION]

GO

/*
  (Keysystems), 2005
*/
CREATE     VIEW dbo.DICT_REORGANIZATION
AS
SELECT 
	[LINK]	     = d.LINK,
	[NUMBER]	 = d.NUMBER,
	[DATE]		 = d.[DATE],
	[DEP_LINK]	 = d.DEP_LINK,
	[NAME_DEP]   = dep.NAME,
	[DEP_INN]    = dep.INN,
	[DEP_KPP]	 = dep.KPP,
	[R_DEP_LINK] = d.r_dep_link ,
	[R_DEP_MAME]   = dep1.NAME,
	[R_DEP_INN]    = dep1.INN,
	[R_DEP_KPP]	 = dep1.KPP,					   
	[R_SUB]		= d.R_SUBDIV,
	[R_CODE_SUB] = ds.code,	
	[R_NAME_SUB]  = ds.name,
	[R_KPP_SUB]  = ds.O_KPP,
	[REORG_FORM]	= d.REORG_FORM ,
	[F_CODE]	= FR.CODE ,
	[COMMENT]		= d.COMMENT,
	[NAME_REORG] =  d.[NAME_REORG] 
FROM 
	 dbo.DICTIONARY_REORGANIZATION d
	 INNER JOIN dbo.departments dep on dep.link = d.[DEP_LINK]
	 LEFT JOIN dbo.departments dep1 on dep1.link = d.[R_DEP_LINK]
	 LEFT JOIN dbo.DICTIONARY_SUBDIVISION ds ON ds.subdiv_link =  d.R_subdiv 
	 INNER JOIN dbo.RB_VIEW_ATR_TYPE_REORG fr ON  fr.link  =  d.reorg_form

GO


GRANT SELECT ON dbo.[DICT_REORGANIZATION] TO PUBLIC

GO


-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SAVE_DICTIONARY_REORGANIZATION]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SAVE_DICTIONARY_REORGANIZATION]

GO




/*
  (Keysystems), 2005
*/
/*
  2018    
*/
CREATE   PROCEDURE dbo.SS_SAVE_DICTIONARY_REORGANIZATION
	@varKSparLINK			int	OUTPUT,
	@varKSparNUMBER         VARCHAR(10),
	@varKSparDATE           datetime,
	@varKSparDEP_LINK       int ,
	@varKSparR_DEP_LINK     int ,
	@varKSparR_SUB			INT , 
	@varKSparF_CODE			VARCHAR(50) , 
	@varKSparCOMMENT		VARCHAR(50)
AS
DECLARE @varKSSQLError	int, 
		@varKSEventText	varchar(7000),
		@varKStrancount	int,  
		@varKSObjLink int, 
		@varKSRowCount INT,
		@varKSREORG_FORM INT
		
SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

--SET @varKSparNUMBER = @varKSparSNAME	

IF LEN(@varKSparNUMBER) = 0 or LEN(@varKSparDATE)= 0  OR  LEN(@varKSparF_CODE) = 0  
BEGIN
	ROLLBACK
	RETURN 5
END

IF isnull(@varKSparR_DEP_LINK,0) = 0  OR isnull(@varKSparR_SUB,0) = 0
BEGIN
	IF isnull(@varKSparR_DEP_LINK,0) = 0  and isnull(@varKSparR_SUB,0) = 0
	begin
		ROLLBACK
		RETURN 5
	end
END

SET @varKSREORG_FORM  =  (SELECT top 1 link FROM RB_VIEW_ATR_TYPE_REORG WHERE code = LTRIM(rtrim(@varKSparF_CODE))) 


SELECT @varKSObjLink = LINK FROM S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION'

IF @varKSparLINK is null OR @varKSparLINK = 0
BEGIN
	IF  EXISTS ( select link from  dbo.DICTIONARY_REORGANIZATION where NUMBER = @varKSparNUMBER AND  [DATE] = @varKSparDATE )
	BEGIN 
		ROLLBACK
		RETURN 8
	END
	ELSE
	BEGIN
		INSERT INTO dbo.DICTIONARY_REORGANIZATION WITH (ROWLOCK) (NUMBER,[DATE],DEP_LINK, R_DEP_LINK, R_SUBDIV,REORG_FORM,COMMENT) 
		VALUES (@varKSparNUMBER,@varKSparDATE,@varKSparDEP_LINK,@varKSparR_DEP_LINK,@varKSparR_SUB, @varKSREORG_FORM,@varKSparCOMMENT)
		SELECT @varKSSQLError = @@ERROR, @varKSparLINK = @@IDENTITY
		IF @varKSSQLError <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
	END
END
ELSE
BEGIN
	UPDATE dbo.DICTIONARY_REORGANIZATION WITH (ROWLOCK) 
	SET  NUMBER = @varKSparNUMBER ,[DATE] = @varKSparDATE,DEP_LINK = @varKSparDEP_LINK,R_DEP_LINK = @varKSparR_DEP_LINK,R_SUBDIV = @varKSparR_SUB , REORG_FORM = @varKSREORG_FORM,COMMENT = @varKSparCOMMENT
	WHERE LINK =@varKSparLINK
	SELECT @varKSSQLError = @@ERROR, @varKSRowCount = @@ROWCOUNT
	IF @varKSSQLError <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
	IF @varKSRowCount = 0
	BEGIN
		ROLLBACK
		RETURN 2
	END
END	


SET @varKSEventText = '' + ' '+ RTRIM(CONVERT(VARCHAR(10), @varKSparNUMBER))+' '+ RTRIM(CONVERT(VARCHAR(10), @varKSparDATE,104))
EXECUTE WF_GENERATEEVENT '  ', @varKSEventText, @varKSObjLink, 'DICT_REORGANIZATION', @varKSparLINK

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN
RETURN 0










GO


GRANT EXECUTE ON dbo.[SS_SAVE_DICTIONARY_REORGANIZATION] TO PUBLIC

GO


-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_DICTIONARY_REORGANIZATION_DEL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_DICTIONARY_REORGANIZATION_DEL]

GO



/*
  (Keysystems), 2005
*/
/*2018    */
CREATE PROCEDURE dbo.SS_DICTIONARY_REORGANIZATION_DEL
	@varKSintLINK	int
AS

DECLARE @varKStrancount	int,
		@varKSObjectLink	int,
		@varKSEventText	varchar(254)

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN
	

	SELECT @varKSEventText = ' ' + ' ' + NUMBER + ' ' + CONVERT(VARCHAR(10),[DATE],104) FROM dbo.DICTIONARY_REORGANIZATION WITH (UPDLOCK) WHERE LINK = @varKSintLINK
	IF @@RowCount = 0 OR @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 2
	END
	DELETE FROM dbo.DICTIONARY_REORGANIZATION WHERE LINK = @varKSintLINK
	IF @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
IF @@TRANCOUNT > @varKStrancount
	BEGIN
		SELECT @varKSObjectLink = LINK FROM S_OBJECTS WHERE CODE = 'DICTIONARY_REORGANIZATION'
		EXECUTE WF_GENERATEEVENT '  ', @varKSEventText, @varKSObjectLink, 'DICTIONARY_REORGANIZATION', @varKSintLINK
		COMMIT TRAN
	END
RETURN 0









GO


GRANT EXECUTE ON dbo.[SS_DICTIONARY_REORGANIZATION_DEL] TO PUBLIC

GO


-- --

GO

GO

-- FIX >>  : 9921.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_PRINT_ODV1]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_ST_PRINT_ODV1]

GO

CREATE    PROCEDURE dbo.SZV_ST_PRINT_ODV1(@Link int, @mode tinyint = 0)
AS

DECLARE @varKSNOM_PF VARCHAR(20), @varKSname VARCHAR(254), @varKSDEP int,
	@varKSOKPO VARCHAR(40), @varKSINN VARCHAR(12), @varKSKPP VARCHAR(9), @Month int, @Year int, @date datetime,
	@COUNT_DOCS TINYINT

SET @COUNT_DOCS  = 1

create table #DOCS (link int)
/*---     
IF exists (select * from buffer where id = 'BUFF_PRINT_ODV1')
BEGIN
	Insert into #DOCS (link)
	select link from buffer where id = 'BUFF_PRINT_ODV1'
	---     
	set @COUNT_DOCS   = (select COUNT(*) from #docs)
END
ELSE
BEGIN*/
	Insert into #DOCS (link)
	select link = @Link
/*END*/

SELECT
	@varKSDEP = D.link, @varKSNOM_PF = PFNUMBER, @varKSname = UPPER([NAME]),
	@varKSOKPO = OKPO, @varKSINN = INN, @varKSKPP = KPP,
	@Month = month_end, @year = year_begin
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = @link

Set @date = dbo.ConvertDMY2Date(1,@Month,@Year)
Set @date = dbo.DateEndOfMonth(@date)

declare @TYPE_TARIF tinyint
SET @TYPE_TARIF = (
	SELECT TOP 1 FLAG_MS
	FROM dbo.DOCUMENTS_ESN_G
	WHERE
		FLAG_JC = 1
		AND YEAR_BASE = @Year and month_base <= @Month
	ORDER BY MONTH_BASE DESC	
)


IF @mode = 0 OR @mode = 1
	Select 	top 1
		LINK = p.link,
		[YEAR] = ISNULL(CASE WHEN year_begin <> 2010 THEN year_begin ELSE NULL END ,0),
		[PER] = ISNULL(CASE WHEN year_begin <> 2010 THEN PER ELSE NULL END ,0),
		PER_EDT = ISNULL(CASE WHEN year_edt >= 2017 THEN PER_edt ELSE NULL END ,0),
		year_EDT = ISNULL(CASE WHEN year_edt >= 2017 THEN year_edt ELSE NULL END ,0),
		[PER10] = ISNULL(CASE WHEN year_begin = 2010 THEN PER ELSE NULL END ,0),
		[TYPE] = P.[type],
		[VID_KOR]  = P.vid_kor ,
		[COUNT_P] = COUNT(distinct CASE WHEN P.vid_kor = 1 THEN S.pachka ELSE NULL END),
		[COUNT_PK] = (SELECT COUNT(distinct S1.pachka) from  dbo.SS_SZV_STAZH_PACHKA P1
									INNER JOIN dbo.SZV_STAZH_SVEDENIA S1 ON P1.link = S1.link_up
									INNER JOIN  #DOCS d1 on d1.link = p1.link
									where P1.proverka = 1 and P1.vid_kor > 1 ),
		[COUNT_PERS] = (SELECT COUNT(ss.link_PERs) from ( select s1.link_PERs FROM  dbo.SS_SZV_STAZH_PACHKA P1
									INNER JOIN dbo.SZV_STAZH_SVEDENIA S1 ON P1.link = S1.link_up
									INNER JOIN  #DOCS d1 on d1.link = p1.link
									where P1.proverka = 1  group by   s1.link_PERs) as ss),						
		@varKSNOM_PF AS REG_NOM_PF,
		[DEP_NAME] = @varKSname,
		@varKSOKPO AS OKPO,
		@varKSINN AS INN,
		@varKSKPP AS KPP,
		DATE_CRT = @date,
		DATE_DOC = [date],
		[GUID] = p.[GUID]
	from
		dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON P.link = S.link_up
		INNER JOIN  #DOCS d on d.link = p.link
	WHERE/*
		P.link = @Link
		 AND */ P.proverka = 1
	GROUP BY
		p.link, P.year_begin, P.PER, P.per_edt, P.year_edt, P.[date], P.[type],P.vid_kor,p.[GUID]

IF @mode = 0 OR @mode = 2
BEGIN 

	SELECT	
			link = p.link,
			s.link_pers ,
			KEP.subdiv_name,
			KEP.POST_NAME ,
			DS.num_stake,
			work_stake = (DS.num_stake - ds.free_stakes) ,
			Fakt_Work = KEP.POST_NAME ,
			DOC_NAME = null,
			OSOB_USL = st.OSOB_USL ,
			N_OSOB_USL = st.n_OSOB_USL ,
			POS_SPIS = CASE WHEN OSOB_K1 IS NOT NULL AND  OSOB_K2 IS NOT NULL  THEN '' + ltrim(rtrim(OSOB_K1)) + ',' + ltrim(rtrim(OSOB_K2)) + ''
							WHEN OSOB_K1 IS NULL AND  OSOB_K2 IS NOT NULL  THEN '' + ltrim(rtrim(OSOB_K2)) + ''
							WHEN OSOB_K1 IS NOT NULL AND  OSOB_K2 IS NULL  THEN '' + ltrim(rtrim(OSOB_K1)) + ''
			           END ,
			UD_OSNOV = st.ud_osnov ,
			N_UD_OSNOV = st.n_ud_osnov
			         
	INTO #res2
	FROM 	
			dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON P.link = S.link_up
			INNER JOIN  #DOCS d on d.link = p.link
			INNER JOIN dbo.ss_SZV_ST_STAZH  st ON  st.link = s.link
			INNER JOIN dbo.KU_EMPL_PLACING  kep ON kep.PERS_LINK = s.link_pers AND st.date1 between kep.date_begin AND isnull(kep.date_sack,'21991231')
			INNER JOIN dbo.dictionary_staff ds ON ds.STAFF_LINK = kep.STAFF_LINK
	where
			/*P.link = @Link
			and */
			P.proverka = 1
			AND (isnull(st.osob_USL,'') <> '' OR isnull(st.osob_k1,'') <> '' OR isnull(st.osob_k2,'') <> '' OR isnull(st.osob_spo,'') <> '' OR isnull(st.ud_osnov,'') <> '')
	ORDER BY KEP.subdiv_name, KEP.POST_NAME

	IF (select COUNT(*) FROM #res2 ) = 0
	BEGIN 
		insert into #res2
		SELECT 
			link = 0,
			link_pers = 0,
			subdiv_name = '',
			POST_NAME = '',
			num_stake = 0,
			work_stake = 0,
			Fakt_Work = '',
			DOC_NAME = '',
			OSOB_USL = '',
			N_OSOB_USL = '',
			POS_SPIS = '',
			UD_OSNOV = '',
			N_UD_OSNOV = ''

	END  

	SELECT * FROM #res2  ORDER BY subdiv_name, POST_NAME
	
END
	
/*
IF @mode = 0 OR @mode = 2
	Select
		[NGROUP] = S.pachka,
		[cGRP] = REPLACE(str(S.pachka,5),' ','0'),
		[CODE] = K.CODE,
		[INSUR] = CONVERT(NUMERIC(18,2),sum(S.sum_doh+ S.SUM_DOLG_STR)),
		[INSUR1] = CONVERT(NUMERIC(18,2),sum(S.sum_str+S.SUM_UPLATA_DOLGA_STR)),
		[GAIN] = CONVERT(NUMERIC(18,2),sum(S.sum_nak+ S.sum_dolg_nak)),
		[GAIN1] = CONVERT(NUMERIC(18,2),sum(S.sum_dop+S.SUM_UPLATA_DOLGA_NAK)),
		[PERS_CNT] = COUNT(S.orders),
		FNAME = 'PFR-700-Y-' + CONVERT(VARCHAR(4),year_begin) + '-ORG-' + LTRIM(RTRIM(@varKSNOM_PF)) + '-DCK-' + REPLACE(str(S.pachka,5),' ','0') + '-DPT-000000-DCK-00000.XML'
	from
		dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON P.link = S.link_up
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG AND year_begin BETWEEN YBEG AND YEND
		
	where
		P.link = @Link
		and P.proverka = 1
		and P.vid_kor = 1
	group by
		s.pachka, year_begin, K.CODE
	UNION ALL SELECT NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL
	WHERE NOT EXISTS(SELECT * FROM dbo.SS_SZV_STAZH_PACHKA P where P.link = @Link and P.proverka = 1 and P.vid_kor = 1)	
	order by S.pachka

IF @mode = 0 OR @mode = 3
	Select 	
		[NGROUP] = S.pachka,
		[cGRP] = REPLACE(str(S.pachka,5),' ','0'),
		[CODE] = K.CODE,
		[INSUR] =CONVERT(NUMERIC(18,2),sum(S.sum_doh)),
		[INSUR1] = CONVERT(NUMERIC(18,2),sum(S.sum_str)),
		[GAIN] = CONVERT(NUMERIC(18,2),sum(S.sum_nak)),
		[GAIN1] = CONVERT(NUMERIC(18,2),sum(S.sum_dop)),
		sd_str = CONVERT(NUMERIC(18,2),sum(S.sum_dolg_str)),
		sud_str = CONVERT(NUMERIC(18,2),sum(S.sum_uplata_dolga_str)),
		sd_nak = CONVERT(NUMERIC(18,2),sum(S.sum_dolg_nak)),
		sud_nak = CONVERT(NUMERIC(18,2),sum(S.sum_uplata_dolga_nak)),		
		[PERS_CNT] = COUNT(S.orders),
		FNAME = 'PFR-700-Y-' + CONVERT(VARCHAR(4),year_begin) + '-ORG-' + LTRIM(RTRIM(@varKSNOM_PF)) + '-DCK-' + REPLACE(str(S.pachka,5),' ','0') + '-DPT-000000-DCK-00000.XML'
	from
		dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON P.link = S.link_up
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG AND year_begin BETWEEN YBEG AND YEND
		INNER JOIN  #DOCS d on d.link = p.link
	where
		/*P.link = @Link
		and*/ P.proverka = 1
		and P.vid_kor > 1
	group by
		s.pachka, year_begin, K.CODE
	UNION ALL SELECT NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL		
	WHERE NOT EXISTS(SELECT * FROM dbo.SS_SZV_STAZH_PACHKA P INNER JOIN  #DOCS d on d.link = p.link where  P.proverka = 1 and P.vid_kor > 1)	
	order by
		S.pachka

*/







GO


GRANT EXECUTE ON dbo.[SZV_ST_PRINT_ODV1] TO PUBLIC

GO


-- --
GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_EXPORT_PFR_100_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_EXPORT_PFR_100_17]

GO

CREATE      PROCEDURE [dbo].SZV_STAZH_EXPORT_PFR_100_17 (
@DOC_LINK int  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK = @DOC_LINK

CREATE TABLE #ODV1_ONLY(DOC_LINK INT , ODV1_ONLY TINYINT )	
insert into #ODV1_ONLY(DOC_LINK, ODV1_ONLY)
select 
	doc_link = d.link,
	ODV1_ONLY = (SELECT TOP 1 [type] FROM dbo.SS_SZV_STAZH_PACHKA WHERE link = d.Link)
from #DOC d


--  

CREATE TABLE #ODV1 (
		[LINK_SZV]     INT, 
		[YEAR]     INT ,
		[PER]      INT ,
		[PER_edt]      INT ,
		[YEAR_edt]     INT ,
		[PER10]    INT ,
		[TYPE]	   tinyint,
		[VID_KOR]  tinyint, 
		[COUNT_P]  INT,
		[COUNT_PK] INT,
		[COUNT_PERS] INT,  
		[REG_NOM_PF] VARCHAR(20),
		[DEP_NAME] VARCHAR(254),
		[OKPO] VARCHAR(40),
		[INN] VARCHAR(12),
		[KPP] VARCHAR(9),
		DATE_CRT datetime,
		DATE_DOC datetime,
		[GUID] UNIQUEIDENTIFIER)  

CREATE TABLE #ODV1_2 (
		[LINK_SZV]  INT,
		[link_pers] INT , 
		[subdiv_name] VARCHAR(254), 
		[POST_NAME] VARCHAR(254) , 
		[num_stake] NUMERIC(5,2),
		[work_stake] NUMERIC(5,2),
		[Fakt_Work] VARCHAR(254) ,
		[DOC_NAME] VARCHAR(10), 
		[OSOB_USL] VARCHAR(10) , 
		[N_OSOB_USL] VARCHAR(150) ,
		POS_SPIS VARCHAR(150),
		UD_OSNOV VARCHAR(10),
		[N_UD_OSNOV] VARCHAR(254))  

create table #SZV_ST (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[NGROUP] INT,
	[T_DOG] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int,
	GOSSL int)



create table #PERS_INFO2 (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[T_DOG] INT ,
	[NGROUP] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int,
	GOSSL int)



--       -
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
		
			INSERT INTO #ODV1 ([LINK_SZV],[YEAR],[PER],[PER_EDT],[YEAR_EDT],[PER10],[TYPE],[VID_KOR],[COUNT_P],[COUNT_PK],[COUNT_PERS],
							   [REG_NOM_PF],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC,[GUID])  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 1 
			
			INSERT INTO #ODV1_2 ([LINK_SZV],[link_pers],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],
								 [DOC_NAME],[OSOB_USL],[N_OSOB_USL] ,[POS_SPIS],UD_OSNOV , n_UD_OSNOV )  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 2 


			---  #SZV_ST
		
				INSERT INTO #SZV_ST([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP,GOSSL)
				exec dbo.SZV_STAZH_PRINT @LINK_DOC

	
				update #SZV_ST  set FM = UPPER(FM), IM = UPPER(IM), OT = UPPER(OT), ADDRESS2 = UPPER(ADDRESS2) WHERE link_SZV = @LINK_DOC 
			
				
				--  #PERS_INFO2 

				INSERT INTO #PERS_INFO2([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP,GOSSL)

				SELECT	[LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP, GOSSL
				FROM #SZV_ST
			

			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			

DECLARE @NN INT, @PN INT, @ON INT
SELECT @NN = 0, @PN = 0, @ON = 0


DECLARE @PI_NGROUP INT, @PI_ID INT, @PI_link_szv int, @PI_T_DOG tinyint  
DECLARE @Cur_PI CURSOR
SET @Cur_PI = CURSOR FORWARD_ONLY

FOR select link_szv, NGROUP,T_DOG, [ID]  from #SZV_ST order by link_szv,T_DOG, NGROUP, [ID]

OPEN @Cur_PI
FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @NN = (CASE WHEN @PI_NGROUP <> @PN THEN 1 ELSE (CASE WHEN @ON <> @PI_ID THEN @NN + 1 ELSE @NN END) END)
		SET @PN = (CASE WHEN @PI_NGROUP <> @PN THEN @PI_NGROUP ELSE @PN END)

		UPDATE A
		SET 
			ID = @NN
		FROM #SZV_ST A 
		WHERE link_szv = @PI_link_szv and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID

		UPDATE A
		SET 
			ID = @NN
		FROM #PERS_INFO2 A 
		WHERE link_szv = @PI_link_szv and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID
		

		SET @ON = @NN				

	END

	FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
END

CLOSE @Cur_PI
DEALLOCATE @Cur_PI




-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @link_szv INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC datetime, 
	@INN VARCHAR(12), @KPP VARCHAR(9), @OKPO VARCHAR(40), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@COUNT_P VARCHAR(10) , @COUNT_PK VARCHAR(10), @COUNT_PERS VARCHAR(4), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4),@sved int , @TYP_SVED VARCHAR(20), @kor INT,
	@VID_KOR VARCHAR(20),@PER VARCHAR(1),@PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4),  @TYPE VARCHAR(20), @GUID VARCHAR(36),
	@EGRUL varchar(15), @CHIEF_POST_OUR VARCHAR(150) , @CH_FM  VARCHAR(150) , @CH_IM  VARCHAR(150),@CH_OT  VARCHAR(150)
	/*@INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	
	@KATEG VARCHAR(20)*/

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


SELECT @CHIEF_POST_OUR = (SELECT TOP 1 post_name FROM dbo.SD_EMPL AS se WHERE link  = a.face_link),
		@CH_FM = (SELECT TOP 1 LTRIM(RTRIM(FM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_IM = (SELECT TOP 1 LTRIM(RTRIM(IM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_OT = (SELECT TOP 1 LTRIM(RTRIM(OT)) FROM dbo.sd_empl WHERE link  = a.face_link)
FROM DICTIONARY_OTV_FACE_ALL A  
inner join dbo.SS_SZV_STAZH_PACHKA P on a.dep_link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )
AND  a.NAME = '' 


SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	link_szv,
	FNAME = '_'+ RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))) + '_'+LEFT(REPLACE([REG_NOM_PF],'-',''),6)+'_-_'+CONVERT(VARCHAR(8),ltrim(rtrim(replace(CONVERT(VARCHAR(10),DATE_DOC,102),'.',''))))+'_'+ltrim(rtrim([GUID]))+'.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	[OKPO] = RTRIM(LTRIM(COALESCE(OKPO,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))),
	--PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	[COUNT_P] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_P]))), 	
	[COUNT_PK] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PK]))),
	[COUNT_PERS] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PERS]))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = DATE_DOC,
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SVED = [TYPE] ,
	TYP_SVED = (CASE WHEN [TYPE] = 1 THEN '' else (CASE WHEN [TYPE] = 2 THEN '' else '' end) end),
	KOR = [VID_KOR] ,
	VID_KOR = (CASE WHEN [VID_KOR] = 2 THEN '' else (CASE WHEN [VID_KOR] = 3 THEN '' else '' end) end),
	[PER] = 0 ,  --CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	PER_EDT = CONVERT(VARCHAR(1),[PER_edt]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	[GUID] = RTRIM(LTRIM(CONVERT(VARCHAR(36),iSnull([GUID],null))))
from #ODV1 order by link_szv

/*  A63        61 */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	 @SVED, @TYP_SVED, @KOR,@VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'UTF-8' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://.///2014-01-01" xmlns:xs="http://www.w3.org/2001/XMLSchema">'
			/*UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21"'+CHAR(10)+CHAR(13)
+ ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://.//-/2017-01-01'+CHAR(10)
+'..\..\..\..\\\\2017\-_2017-01-01.xsd">'*/
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				 
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<-1>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + CASE when @VID_KOR = '' THEN '1' ELSE '0' end + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'					
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + RTRIM(LTRIM(ISNULL(@COUNT_PERS,''))) + '</>'
	

	IF (SELECT COUNT([work_stake])  FROM #ODV1_2 WHERE [LINK_SZV] =  @link_szv ) <>0
	BEGIN 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  SELECT @lcFNAME , SPACE(2) + '<>'
		
		
		-- 1 
		DECLARE @Cur2 CURSOR, @LINK_SZV1 int, @subdiv_name varchar(254), @POST_NAME varchar(254), @num_stake NUMERIC(5,2), @work_stake NUMERIC(5,2),
				@Fakt_Work VARCHAR(254), @DOC_NAME VARCHAR (10),@OSOB_USL VARCHAR(10),@POS_SPIS VARCHAR(150)  , @UD_OSNOV VARCHAR(10)
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
			Select	[LINK_SZV],[subdiv_name],
					[POST_NAME],[num_stake],[work_stake],
					[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] ,[UD_OSNOV] 
			FROM #ODV1_2  WHERE  [LINK_SZV] = @link_szv 
			GROUP BY [LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] , [UD_OSNOV] 			   			
		
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS,@UD_OSNOV
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN	
						IF isnull(@OSOB_USL,'') <> '' AND isnull(@POS_SPIS,'') <> ''  OR isnull(@UD_OSNOV,'') <> ''
						begin		
							  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											Select @lcFNAME, SPACE(3) + '<:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@subdiv_name,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@POST_NAME,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(CONVERT(VARCHAR(8),ISNULL(@num_stake,''))))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(ISNULL(@work_stake,''))))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@Fakt_Work,''))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@DOC_NAME,'-')))+'</:>' 
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@OSOB_USL,ISNULL(@UD_OSNOV,''))))+'</:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@POS_SPIS,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '</:>'
								  UNION ALL SELECT @lcFNAME, SPACE(3) + '</:>'
						end
					END
				
					FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS	,@UD_OSNOV				  
					
				END 
			CLOSE @Cur2
			DEALLOCATE @Cur2
								
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(3) + '<:>'+ RTRIM(LTRIM(CONVERT(VARCHAR(8),SUM(@num_stake))))+ '</:> '  + CHAR(10)
							  +	 SPACE(3) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(sum(@work_stake))))) + '</:>'
				FROM #ODV1_2 WHERE LINK_SZV = @DOC_LINK  GROUP BY LINK_SZV
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	END 
	--- exec SZV_STAZH_EXPORT_PFR_100_17 17
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+REPLACE(RTRIM(LTRIM(isnull(@CHIEF_POST_OUR,''))),' ','')+'</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_FM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_IM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_OT,'')))+'</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(VARCHAR(10),@DATE_DOC , 120) +'</>'
		UNION ALL SELECT @lcFNAME, SPACE(1) + '</-1>'

	-- - 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	Select @lcFNAME, SPACE(1) + '<->'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	UNION ALL Select @lcFNAME, SPACE(2) + '<>'+CASE WHEN  @SVED = 2 THEN '2' 
															     WHEN  @SVED = 1 AND @KOR = 1 THEN '0'	
															     WHEN @SVED = 1 AND @KOR = 2 THEN '1'
															ELSE '0'  END    
												  +'</>'  + CHAR(10)
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	



	DECLARE @LINK_SZV_ST int, @TYPE_SV INT , @TYPE_KOR INT , @ID int, @ID_EX INT, @PF_NUMBER VARCHAR(14)
	SET @Cur2 = CURSOR FORWARD_ONLY
	FOR 
	Select	[LINK_SZV],[TYPE_SV],[TYPE],[ID],[PFNUMBER]
	FROM #SZV_ST  WHERE  [LINK_SZV] = @link_szv 
	GROUP BY [LINK_SZV],[ID],[PFNUMBER],[TYPE_SV],[TYPE]
	ORDER BY [LINK_SZV],[ID],[PFNUMBER]	,[TYPE_SV],[TYPE]	   			
	
	OPEN @Cur2
	FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN	
			  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						Select @lcFNAME, SPACE(2) +'<>'	+ CHAR(10)
										  + SPACE(3) + '<>'	+ CHAR(10)  
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(FM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(IM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(OT,'')))+'</:>'+ CHAR(10) 
										  + SPACE(3) + '</>'+ CHAR(10) 
										  + SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL([PFNUMBER],''))) + '</>' + CHAR(10) 
										FROM 	
										(select top 1 FM , IM , OT , [PFNUMBER] FROM  #SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a

								--       ,    
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
									Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
									FROM #pers_info2
									where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
									and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
									and (isnull(gossl,0) = 0 and LTRIM(COALESCE(is_dop,'')) in ( '',''))
	


										
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
									Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
										FROM #pers_info2
										where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
										and ((isnull(gossl,0) = 0 and COALESCE(is_dop,'') not in ( '','')) or (isnull(gossl,0) <> 0 and COALESCE(is_dop,'') not in('','','','','','','','','')))
	

										
										-----         
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
										Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
										FROM #pers_info2
										where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
										and (isnull(gossl,0) <> 0 and COALESCE(is_dop,'') in ('','','','','','','','',''))
												
										
		  
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
								Select @lcFNAME, SPACE(2) +'</>'	+ CHAR(10)  
								FROM (select top 1 FM , IM , OT , [PFNUMBER] FROM  #SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a
		END
	
		FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER--,@ID_EX 				  
		
	END 
	CLOSE @Cur2
	DEALLOCATE @Cur2	
		

	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, SPACE(1) + '</->'	
	UNION ALL SELECT @lcFNAME, SPACE(0) +'</>'

	FETCH NEXT FROM @Cur1 INTO  @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	@SVED, @TYP_SVED,@KOR, @VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]















GO


GRANT EXECUTE ON dbo.[SZV_STAZH_EXPORT_PFR_100_17] TO PUBLIC

GO


-- --

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_ODV1_EXPORT_PFR_100_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_ST_ODV1_EXPORT_PFR_100_17]

GO

CREATE      PROCEDURE [dbo].SZV_ST_ODV1_EXPORT_PFR_100_17 (
@DOC_LINK int  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK = @DOC_LINK

CREATE TABLE #ODV1_ONLY(DOC_LINK INT , ODV1_ONLY TINYINT )	
insert into #ODV1_ONLY(DOC_LINK, ODV1_ONLY)
select 
	doc_link = d.link,
	ODV1_ONLY = (SELECT TOP 1 [type] FROM dbo.SS_SZV_STAZH_PACHKA WHERE link = d.Link)
from #DOC d


--  

CREATE TABLE #ODV1 (
		[LINK_SZV]     INT, 
		[YEAR]     INT ,
		[PER]      INT ,
		[PER_edt]      INT ,
		[YEAR_edt]     INT ,
		[PER10]    INT ,
		[TYPE]	   tinyint,
		[VID_KOR]  tinyint, 
		[COUNT_P]  INT,
		[COUNT_PK] INT,
		[COUNT_PERS] INT,  
		[REG_NOM_PF] VARCHAR(20),
		[DEP_NAME] VARCHAR(254),
		[OKPO] VARCHAR(40),
		[INN] VARCHAR(12),
		[KPP] VARCHAR(9),
		DATE_CRT datetime,
		DATE_DOC datetime,
		[GUID] UNIQUEIDENTIFIER)  

CREATE TABLE #ODV1_2 (
		[LINK_SZV]  INT,
		[link_pers] INT , 
		[subdiv_name] VARCHAR(254), 
		[POST_NAME] VARCHAR(254) , 
		[num_stake] NUMERIC(5,2),
		[work_stake] NUMERIC(5,2),
		[Fakt_Work] VARCHAR(254) ,
		[DOC_NAME] VARCHAR(10), 
		[OSOB_USL] VARCHAR(10) , 
		[N_OSOB_USL] VARCHAR(150) ,
		POS_SPIS VARCHAR(150),
		UD_OSNOV VARCHAR(10),
		N_UD_OSNOV VARCHAR(254))  



--       -
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
	
			INSERT INTO #ODV1 ([LINK_SZV],[YEAR],[PER],[PER_EDT],[YEAR_EDT],[PER10],[TYPE],[VID_KOR],[COUNT_P],[COUNT_PK],[COUNT_PERS],
							   [REG_NOM_PF],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC,[GUID])  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 1 
			
			INSERT INTO #ODV1_2 ([LINK_SZV],[link_pers],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],
								 [DOC_NAME],[OSOB_USL],[N_OSOB_USL] ,[POS_SPIS] ,UD_OSNOV,N_UD_OSNOV)  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 2 
			
	
			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			




-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @link_szv INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC datetime, 
	@INN VARCHAR(12), @KPP VARCHAR(9), @OKPO VARCHAR(40), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@COUNT_P VARCHAR(10) , @COUNT_PK VARCHAR(10), @COUNT_PERS VARCHAR(4), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4),@sved int , @TYP_SVED VARCHAR(20), @kor INT,
	@VID_KOR VARCHAR(20),@PER VARCHAR(1),@PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4),  @TYPE VARCHAR(20), @GUID VARCHAR(36),
	@EGRUL varchar(15), @CHIEF_POST_OUR VARCHAR(150) , @CH_FM  VARCHAR(150) , @CH_IM  VARCHAR(150),@CH_OT  VARCHAR(150)
	/*@INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	
	@KATEG VARCHAR(20)*/

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


SELECT @CHIEF_POST_OUR = (SELECT TOP 1 post_name FROM dbo.SD_EMPL AS se WHERE link  = a.face_link),
		@CH_FM = (SELECT TOP 1 LTRIM(RTRIM(FM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_IM = (SELECT TOP 1 LTRIM(RTRIM(IM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_OT = (SELECT TOP 1 LTRIM(RTRIM(OT)) FROM dbo.sd_empl WHERE link  = a.face_link)
FROM DICTIONARY_OTV_FACE_ALL A  
inner join dbo.SS_SZV_STAZH_PACHKA P on a.dep_link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )
AND  a.NAME = '' 



SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	link_szv,
	FNAME = '_'+ RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))) + '_'+LEFT(REPLACE([REG_NOM_PF],'-',''),6)+'_-1_'+CONVERT(VARCHAR(8),ltrim(rtrim(replace(CONVERT(VARCHAR(10),DATE_DOC,102),'.',''))))+'_'+ltrim(rtrim([GUID]))+'.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	[OKPO] = RTRIM(LTRIM(COALESCE(OKPO,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))),
	--PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	[COUNT_P] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_P]))), 	
	[COUNT_PK] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PK]))),
	[COUNT_PERS] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PERS]))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = DATE_DOC,
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SVED = [TYPE] ,
	TYP_SVED = (CASE WHEN [TYPE] = 1 THEN '' else (CASE WHEN [TYPE] = 2 THEN '' else '' end) end),
	KOR = [VID_KOR] ,
	VID_KOR = (CASE WHEN [VID_KOR] = 2 THEN '' else (CASE WHEN [VID_KOR] = 3 THEN '' else '' end) end),
	[PER] = 0 ,  --CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	PER_EDT = CONVERT(VARCHAR(1),[PER_edt]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	[GUID] = RTRIM(LTRIM(CONVERT(VARCHAR(36),iSnull([GUID],null))))
from #ODV1 order by link_szv

/*  1  */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	 @SVED, @TYP_SVED, @KOR,@VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'UTF-8' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-1/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://.///2014-01-01" xmlns:xs="http://www.w3.org/2001/XMLSchema">'
			/*UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21"'+CHAR(10)+CHAR(13)
+ ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://.//-/2017-01-01'+CHAR(10)
+'..\..\..\..\\\\2017\-_2017-01-01.xsd">'*/
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				 
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<-1>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + CASE when @VID_KOR = '' THEN '1' ELSE '2' end + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'					
					--UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + RTRIM(LTRIM(ISNULL(@COUNT_PERS,''))) + '</>'
	

	IF (SELECT COUNT([work_stake])  FROM #ODV1_2 WHERE [LINK_SZV] =  @link_szv ) <>0
	BEGIN 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  SELECT @lcFNAME , SPACE(2) + '<>'
		
		
		-- 1 
		DECLARE @Cur2 CURSOR, @LINK_SZV1 int, @subdiv_name varchar(254), @POST_NAME varchar(254), @num_stake NUMERIC(5,2), @work_stake NUMERIC(5,2),
				@Fakt_Work VARCHAR(254), @DOC_NAME VARCHAR (10),@OSOB_USL VARCHAR(10),@POS_SPIS VARCHAR(150) ,@UD_OSNOV VARCHAR(10)
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
			Select	[LINK_SZV],[subdiv_name],
					[POST_NAME],[num_stake],[work_stake],
					[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] , [UD_OSNOV] 
			FROM #ODV1_2  WHERE  [LINK_SZV] = @link_szv 
			GROUP BY [LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] , [UD_OSNOV] 			   			
		
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS,@UD_OSNOV
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN	
						IF isnull(@OSOB_USL,'') <> '' AND isnull(@POS_SPIS,'') <> ''   OR isnull(@UD_OSNOV,'') <> ''
						begin		
							  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											Select @lcFNAME, SPACE(3) + '<:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@subdiv_name,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@POST_NAME,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(CONVERT(VARCHAR(8),ISNULL(@num_stake,''))))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(ISNULL(@work_stake,''))))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@Fakt_Work,''))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@DOC_NAME,'-')))+'</:>' 
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@OSOB_USL,ISNULL(@UD_OSNOV,''))))+'</:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@POS_SPIS,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '</:>'
								  UNION ALL SELECT @lcFNAME, SPACE(3) + '</:>'
						end
					END
				
					FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS,@UD_OSNOV					  
					
				END 
			CLOSE @Cur2
			DEALLOCATE @Cur2
								
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(3) + '<:>'+ RTRIM(LTRIM(CONVERT(VARCHAR(8),SUM(@num_stake))))+ '</:> '  + CHAR(10)
							  +	 SPACE(3) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(sum(@work_stake))))) + '</:>'
				FROM #ODV1_2 WHERE LINK_SZV = @DOC_LINK  GROUP BY LINK_SZV
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	END 

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+REPLACE(RTRIM(LTRIM(isnull(@CHIEF_POST_OUR,''))),' ','')+'</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_FM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_IM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_OT,'')))+'</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(VARCHAR(10),@DATE_DOC , 120) +'</>'
		UNION ALL SELECT @lcFNAME, SPACE(1) + '</-1>'


	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
--	 SELECT @lcFNAME, SPACE(1) + '</->'	
	SELECT @lcFNAME, SPACE(0) +'</>'

	FETCH NEXT FROM @Cur1 INTO  @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	@SVED, @TYP_SVED,@KOR, @VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]


GO


GRANT EXECUTE ON dbo.[SZV_ST_ODV1_EXPORT_PFR_100_17] TO PUBLIC

GO


-- --

GO

GO

-- FIX >>  : 9839.sql
/****** :    6-******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'SS_VIEW_ATR_PALCE_CODE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_VIEW_ATR_PALCE_CODE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_VIEW_ATR_PALCE_CODE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'SS_VIEW_ATR_PALCE_CODE')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'SS_VIEW_ATR_PALCE_CODE'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'SS_VIEW_ATR_PALCE_CODE')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='SS_VIEW_ATR_PALCE_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'SS_VIEW_ATR_PALCE_CODE', '   6-', 125, (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORT_DICTIONARY'), (SELECT LINK FROM S_OBJECTS WHERE CODE='WEB_DICTIONARY_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'SS_VIEW_ATR_PALCE_CODE', NAME = '   6-', ORDERS = '125', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORT_DICTIONARY'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='WEB_DICTIONARY_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='SS_VIEW_ATR_PALCE_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='RB_VIEW_ATR_DA_NET_MARKER_1__1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'RB_VIEW_ATR_DA_NET_MARKER_1__1', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_VIEW_ATR_PALCE_CODE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'RB_VIEW_ATR_DA_NET_MARKER_1__1', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_VIEW_ATR_PALCE_CODE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='RB_VIEW_ATR_DA_NET_MARKER_1__1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='RB_VIEW_ATR_REORG_CODE_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'RB_VIEW_ATR_REORG_CODE_1', '', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_VIEW_ATR_PALCE_CODE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'RB_VIEW_ATR_REORG_CODE_1', NAME = '', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_VIEW_ATR_PALCE_CODE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='RB_VIEW_ATR_REORG_CODE_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='RB_VIEW_ATR_REORG_NAME_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'RB_VIEW_ATR_REORG_NAME_1', '', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_VIEW_ATR_PALCE_CODE'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'RB_VIEW_ATR_REORG_NAME_1', NAME = '', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SS_VIEW_ATR_PALCE_CODE'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='RB_VIEW_ATR_REORG_NAME_1'
GO
EXEC X_SET_PROP 'SS_VIEW_ATR_PALCE_CODE', 'TITLE', '   6-'
GO
EXEC X_SET_PROP 'SS_VIEW_ATR_PALCE_CODE', 'INIT_OBJECT_METHOD', 'x_spisok(''SS_VIEW_ATR_PALCE_CODE'')'
GO
EXEC X_SET_PROP 'SS_VIEW_ATR_PALCE_CODE', 'SAVE_OBJECT_METHOD', 'sql.exec("if object_id(''tempdb..#SS_VIEW_ATR_PALCE_CODE'') is not NULL drop table #SS_VIEW_ATR_PALCE_CODE Gcreate table #SS_VIEW_ATR_PALCE_CODE(CODE varchar(3), NAME varchar(50))", "")
A_SAVE_CURSOR (''#SS_VIEW_ATR_PALCE_CODE'', m.cAlias, '''', ''CODE,NAME'', ''CODE,NAME'', ''upd=1'')
sql.call(''dbo.RT_WEB_SAVE_DICT_PRINT'',0,'''')
'
GO
EXEC X_SET_PROP 'SS_VIEW_ATR_PALCE_CODE', 'EDIT_OBJECT_METHOD', 'x_brow()'
GO
EXEC X_SET_PROP 'SS_VIEW_ATR_PALCE_CODE', 'SELECT_RECORDS_METHOD', 'sql.exec(''select 0 as checked, 0 as upd, 0 as del, * from SS_VIEW_ATR_PALCE_CODE'',m.cAlias)'
GO
EXEC X_SET_PROP 'SS_VIEW_ATR_PALCE_CODE', 'SELECT_RECORDS_METHOD_EDIT', 'sql.exec(''select 0 as checked, 0 as upd, 0 as del, * from SS_VIEW_ATR_PALCE_CODE where Link = '' + STR(m.nLink),m.cAlias)'
GO
EXEC X_SET_PROP 'SS_VIEW_ATR_PALCE_CODE', 'OPEN_CODE', 'TYPE'
GO
EXEC X_SET_PROP 'SS_VIEW_ATR_PALCE_CODE', 'MSG_SEL_ONE', 'IIF(ISNULL(TYPE),'''', TYPE) + [-] + IIF(ISNULL(NUMB), '''', NUMB)'
GO
EXEC X_SET_PROP 'SS_VIEW_ATR_PALCE_CODE', 'SERVER_TABLE_NAME', ''
GO
EXEC X_SET_PROP 'SS_VIEW_ATR_PALCE_CODE', 'EDIT_OBJECT_METHOD_SQL', 'KU_EDIT_OBJECT_METHOD @cObject = ''SS_VIEW_ATR_PALCE_CODE'''
GO
EXEC X_SET_PROP 'SS_VIEW_ATR_PALCE_CODE', 'SELECT_RECORDS_METHOD_SQL', 'WEB_SELECT_DICTIONARY @cDicCode=''SS_VIEW_ATR_PALCE_CODE'''
GO
EXEC X_SET_PROP 'SS_VIEW_ATR_PALCE_CODE', 'SAVE_OBJECT_METHOD_SQL', 'RT_WEB_SAVE_DICT_PRINT'
GO
EXEC X_SET_PROP 'SS_VIEW_ATR_PALCE_CODE', 'EXCH_MODEL_CODE', 'L'
GO
EXEC X_SET_PROP 'SS_VIEW_ATR_PALCE_CODE', 'EXCHANGE', '1'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_DA_NET_MARKER_1__1', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_DA_NET_MARKER_1__1', 'CONTROLSOURCE', 'm.cAlias + ".checked"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_DA_NET_MARKER_1__1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_DA_NET_MARKER_1__1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".checked"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_DA_NET_MARKER_1__1', 'CONTROL_NAME_EDIT', 'check1'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_DA_NET_MARKER_1__1', 'ASPTYPE', 'checkbox'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_DA_NET_MARKER_1__1', 'FIELD_DATA', 'CHECKED'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE_1', 'TITLE', ''
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE_1', 'VISIBLE', '31'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE_1', 'CONTROLSOURCE', 'm.cAlias + ".LINK"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".LINK"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE_1', 'CONTROL_NAME_EDIT', 'ATxt1'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE_1', 'ASPTYPE', 'WebTextEdit'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE_1', 'ATTRIBUTES', 'style="Z-INDEX: 102; LEFT: 250px; POSITION: absolute; TOP: 16px""
Width="500px"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE_1', 'LABEL_ATTRIBUTES', 'style="Z-INDEX: 101; LEFT: 24px; POSITION: absolute; TOP: 16px"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_CODE_1', 'FIELD_DATA', 'NAME'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME_1', 'TITLE', ''
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME_1', 'VISIBLE', '31'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME_1', 'CONTROLSOURCE', 'm.cAlias + ".CODE"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CODE"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME_1', 'CONTROL_NAME_EDIT', 'ATxt2'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME_1', 'ASPTYPE', 'WebTextEdit'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME_1', 'ATTRIBUTES', 'style="Z-INDEX: 102; LEFT: 250px; POSITION: absolute; TOP: 16px""
Width="500px"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME_1', 'LABEL_ATTRIBUTES', 'style="Z-INDEX: 101; LEFT: 24px; POSITION: absolute; TOP: 16px"'
GO
EXEC X_SET_PROP 'RB_VIEW_ATR_REORG_NAME_1', 'FIELD_DATA', 'NAME'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'SS_VIEW_ATR_PALCE_CODE', '-', 63,0
GO
EXEC DBO.W_SPERM_WRITE 'SS_VIEW_ATR_PALCE_CODE', '-', 63,0
GO

GO

/****** :     6-******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'REPORTS_ATR_PALCE_CODE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'REPORTS_ATR_PALCE_CODE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'REPORTS_ATR_PALCE_CODE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'REPORTS_ATR_PALCE_CODE')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'REPORTS_ATR_PALCE_CODE'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'REPORTS_ATR_PALCE_CODE')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='REPORTS_ATR_PALCE_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'REPORTS_ATR_PALCE_CODE', '    6-', 62, (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORTS_ATR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORT_ATRIBUT'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'REPORTS_ATR_PALCE_CODE', NAME = '    6-', ORDERS = '62', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORTS_ATR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORT_ATRIBUT'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='REPORTS_ATR_PALCE_CODE'
GO
EXEC X_SET_PROP 'REPORTS_ATR_PALCE_CODE', 'NAME', '    6-'
GO
EXEC X_SET_PROP 'REPORTS_ATR_PALCE_CODE', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 ("SS_VIEW_ATR_PALCE_CODE  ",oForm.ALIAS_ATR, "link", "REPORTS_ATR_PALCE_CODE", "", "", "", .T., 0, oForm, oObj)'
GO
EXEC X_SET_PROP 'REPORTS_ATR_PALCE_CODE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'REPORTS_ATR_PALCE_CODE', 'CONTROL_TYPE', '1'
GO
EXEC X_SET_PROP 'REPORTS_ATR_PALCE_CODE', 'SHORT_NAME', '    6-'
GO
EXEC X_SET_PROP 'REPORTS_ATR_PALCE_CODE', 'CHECK_WHEN', 'ALIB_NEED_SPR (oObj)'
GO
EXEC X_SET_PROP 'REPORTS_ATR_PALCE_CODE', 'DEFAULT_VALUE', ''
GO
EXEC X_SET_PROP 'REPORTS_ATR_PALCE_CODE', 'MAXWIDTH', '11'
GO
EXEC X_SET_PROP 'REPORTS_ATR_PALCE_CODE', 'DICTIONARY', 'SS_VIEW_ATR_PALCE_CODE'
GO
EXEC X_SET_PROP 'REPORTS_ATR_PALCE_CODE', 'DICTIONARY_COLUMNS_LIST', 'REPORTS_ATR_PALCE_CODE'
GO
EXEC X_SET_PROP 'REPORTS_ATR_PALCE_CODE', 'DICTIONARY_FIELDS_LIST', 'CODE'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'REPORTS_ATR_PALCE_CODE', '-', 63,0
GO
EXEC DBO.W_SPERM_WRITE 'REPORTS_ATR_PALCE_CODE', '-', 63,0
GO

GO
/****** :   ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'REPORTS_ATR_REORG')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'REPORTS_ATR_REORG')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'REPORTS_ATR_REORG')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'REPORTS_ATR_REORG')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'REPORTS_ATR_REORG'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'REPORTS_ATR_REORG')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='REPORTS_ATR_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'REPORTS_ATR_REORG', '  ', 56, (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORTS_ATR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORT_ATRIBUT'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'REPORTS_ATR_REORG', NAME = '  ', ORDERS = '56', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORTS_ATR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORT_ATRIBUT'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='REPORTS_ATR_REORG'
GO
EXEC X_SET_PROP 'REPORTS_ATR_REORG', 'NAME', '  '
GO
EXEC X_SET_PROP 'REPORTS_ATR_REORG', 'EDIT_OBJECT_METHOD', 'A_REORG_VIBOR_01 ("DICT_REORGANIZATION_1",oForm.ALIAS_ATR, "Alltrim(NAME_REORG)", "REPORTS_ATR_REORG ", "", "", "", .T., 0, oForm, oObj)'
GO
EXEC X_SET_PROP 'REPORTS_ATR_REORG', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'REPORTS_ATR_REORG', 'CONTROL_TYPE', '1'
GO
EXEC X_SET_PROP 'REPORTS_ATR_REORG', 'SHORT_NAME', '  '
GO
EXEC X_SET_PROP 'REPORTS_ATR_REORG', 'CHECK_WHEN', 'ALIB_NEED_SPR (oObj)'
GO
EXEC X_SET_PROP 'REPORTS_ATR_REORG', 'MAXWIDTH', '30'
GO
EXEC X_SET_PROP 'REPORTS_ATR_REORG', 'DICTIONARY', 'DICT_REORGANIZATION_1'
GO
EXEC X_SET_PROP 'REPORTS_ATR_REORG', 'DICTIONARY_COLUMNS_LIST', 'REPORTS_ATR_REORG'
GO
EXEC X_SET_PROP 'REPORTS_ATR_REORG', 'DICTIONARY_FIELDS_LIST', 'NAME_REORG'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'REPORTS_ATR_REORG', '-', 63,0
GO
EXEC DBO.W_SPERM_WRITE 'REPORTS_ATR_REORG', '-', 63,0
GO

GO
/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION_1')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_REORGANIZATION_1')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_REORGANIZATION_1')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_REORGANIZATION_1')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION_1'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION_1')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DICT_REORGANIZATION_1', '', 126, (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORT_DICTIONARY'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_DEDUCT'),1,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DICT_REORGANIZATION_1', NAME = '', ORDERS = '126', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORT_DICTIONARY'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_DEDUCT'), MANAGED = 1, INHERITED = 1
	WHERE CODE ='DICT_REORGANIZATION_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_MARKER_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_MARKER_REORG_1', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_MARKER_REORG_1', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_MARKER_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NUMBER_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NUMBER_REORG_1', ' -', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NUMBER_REORG_1', NAME = ' -', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NUMBER_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_DATE_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_DATE_REORG_1', ' ', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_DATE_REORG_1', NAME = ' ', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_DATE_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NAME_DEP_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NAME_DEP_REORG_1', '-', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NAME_DEP_REORG_1', NAME = '-', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NAME_DEP_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_R_NAME_DEP_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_R_NAME_DEP_REORG_1', ' ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_R_NAME_DEP_REORG_1', NAME = ' ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_R_NAME_DEP_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_R_CODE_SUB_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_R_CODE_SUB_REORG_1', '  ', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_R_CODE_SUB_REORG_1', NAME = '  ', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_R_CODE_SUB_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_R_NAME_SUB_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_R_NAME_SUB_REORG_1', '  ', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_R_NAME_SUB_REORG_1', NAME = '  ', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_R_NAME_SUB_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_F_NAME_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_F_NAME_REORG_1', ' ', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_F_NAME_REORG_1', NAME = ' ', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_F_NAME_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_COMMENT_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_COMMENT_REORG_1', '', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_COMMENT_REORG_1', NAME = '', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_COMMENT_REORG_1'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'TITLE', ''
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'INIT_OBJECT_METHOD', 'X_SPISOK("DICT_REORGANIZATION")'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'REMOVE_OBJECT_METHOD', 'I_DELETE_RECORDS(m.oForm.Alias, "DICT_REORGANIZATION", "SS_DICTIONARY_REORGANIZATION_DEL", 4, .F., .F.)'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'SAVE_OBJECT_METHOD', 'X_SAVE(''SS_SAVE_DICTIONARY_REORGANIZATION'', m.cAlias,"NUMBER , sqlnull(DATE),  sqlnull(DEP_LINK), sqlnull(R_DEP_LINK), sqlnull(R_SUB),F_CODE,COMMENT","DICT_REORGANIZATION")'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'EDIT_OBJECT_METHOD', 'X_BROW()'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'SELECT_RECORDS_METHOD', 'X_SELECT_DICTIONS(''DICT_REORGANIZATION'')'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'SELECT_RECORDS_METHOD_EDIT', 'X_SELECT_DICTIONS(''DICT_REORGANIZATION'')'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'OPEN_CODE', 'link'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'SERVER_TABLE_NAME', 'DICTIONARY_REORGANIZATION'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'OPERATION_MASK', '24'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'HISTORY_DOC_FIELD_NUMBER', 'NULL'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REORG_1', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'TITLE', ' ..'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".NUMBER"'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'TYPE_FIELD_DICT', 'INT'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'SHORT_CODE_OBJ', 'NUMBER'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NUMBER"'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'CONTROL_NAME_EDIT', 'aTxt1'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'REFERENCE_TO_FIELD', 'NUMBER'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'COMMENTARY', '  '
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'TITLE', ' .'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".DATE"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'TYPE_FIELD_DICT', 'DATETIME'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'SHORT_CODE_OBJ', 'DATE'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".DATE"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'CONTROL_NAME_EDIT', 'Atxt2'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'COMMENTARY', ' '
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'EDIT_OBJECT_METHOD', 'N_VIBOR_01 (''DICTIONARY_DEPARTMENT'', oForm.ALIAS, ''LINK, NAME,INN,KPP'', ''DEP_LINK, NAME_DEP,DEP_INN,DEP_KPP'', '''','''', "(TYPE=4 OR ZB=1) AND dbo.xu_GetAccessByDep (LINK) > 0 ", .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".NAME_DEP"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NAME_DEP"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'CONTROL_NAME', 'asel_spr3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'CONTROL_NAME_EDIT', 'asel_spr3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'COMMENTARY', '-'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''DICTIONARY_DEPARTMENT'', oForm.ALIAS, ''LINK, NAME,INN,KPP'', ''R_DEP_LINK, R_DEP_MAME,R_DEP_INN,R_DEP_KPP'', '''','''', "(TYPE=4 OR ZB=1)  ", .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".R_DEP_MAME"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".R_DEP_MAME"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'CONTROL_NAME_EDIT', 'asel_SPR4'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'COMMENTARY', ' '
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 ("DICTIONARY_SUBDIVISION", oForm.ALIAS, "subdiv_link,CODE,NAME,O_KPP", "R_SUB,R_CODE_SUB,R_NAME_SUB,R_KPP_SUB", "", "", "", .T., 1, oForm, oObj)'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".R_CODE_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'CONTROL_TYPE', '8'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'STORAGE', 'SUBDIV'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'TYPE_FIELD_DICT', 'VARCHAR(5)'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'SHORT_CODE_OBJ', 'R_CODE_SUB'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".R_CODE_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'CONTROL_NAME_EDIT', 'ASel_Spr5'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'REFERENCE_TO_FIELD', 'CODE'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".R_NAME_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'STORAGE', 'SUBDIV'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'SHORT_CODE_OBJ', 'R_NAME_SUB'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".R_NAME_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'CONTROL_NAME_EDIT', 'ATxtn5'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'REFERENCE_TO_FIELD', 'NAME'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'TITLE', ' '
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 ("RB_VIEW_ATR_TYPE_REORG",oForm.ALIAS, "LINK, CODE", "REORG_FORM,F_CODE", "", "", "", .T., 0, oForm, oObj)'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".F_CODE"'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'SHORT_CODE_OBJ', 'F_CODE'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".F_CODE"'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'CONTROL_NAME_EDIT', 'ASel_Spr6'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'NAME', 'COMMENT'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".COMMENT"'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'SHORT_CODE_OBJ', 'COMMENT'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".COMMENT"'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'CONTROL_NAME_EDIT', 'Atxt7'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'REFERENCE_TO_FIELD', 'COMMENT'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'DICT_REORGANIZATION_1', '-', 63,0
GO
EXEC DBO.W_SPERM_WRITE 'DICT_REORGANIZATION_1', '-', 63,0
GO

GO



IF not exists(select * from dbo.formula_bridge where name = '6_01032018_' and PROC_NAME = 'SA_6NDFL_01032018_PREPARE')
begin
  	
  IF not exists(select * from dbo.DICTION where name = '6_01032018_')
  begin
		-- insert     dbo.DICTION  
		declare @linkObjF int,
				@LinkOBJ int
							
		set @linkObjF  = (select link from dbo.s_objects where code = 'FORMULA_BRIDGE')
  
		insert into  dbo.DICTION (NAME,[OBJECT], CODE, begindate, enddate)
			values ('6_01032018_', @linkObjF, NULL, '17530101','99991231')

		set @LinkOBJ = (select link from dbo.DICTION where name = '6_01032018_')
		
		-- insert      dbo.DICTION_APP 
		IF not exists(select * from dbo.DICTION_APP where link_up = (select link from dbo.DICTION where name = '6_01032018_') and [object] = (select link from s_objects where  code = 'FORMULA_ORDERS'))
		begin	
			declare @linkObjF_ORD int 
					
			set @linkObjF_ORD = (select link from dbo.s_objects where code = 'FORMULA_ORDERS') 
			insert into  dbo.DICTION_APP (LINK_UP,[OBJECT], VALUE)
				values (@LinkOBJ, @linkObjF_ORD, '9')		
				
		end
		-- insert       dbo.DICTION_APP 		
		IF not exists(select * from dbo.DICTION_APP where link_up = (select link from dbo.DICTION where name = '6_01032018_') and [object] = (select link from s_objects where  code = 'FORMULA_PROCEDURE'))
		begin	
			
			declare @linkObjF_PROC int 
					
			set @linkObjF_PROC = (select link from dbo.s_objects where code = 'FORMULA_PROCEDURE') 
		
			insert into  dbo.DICTION_APP (LINK_UP,[OBJECT], VALUE)
				values (@LinkOBJ, @linkObjF_PROC, 'SA_6NDFL_01032018_PREPARE')		
 
		end
			
  end	
 
end   

GO

GO

--  .. RA_EXPORT_FORM_STRUCT. ( 15 2018  4:24:37:820PM)
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     : 6- (      ,     )
--   : 20160101
--    : 20180324
--  : 2018-02-15 16:24:37.820
--   :
--    REPORT_FORMS              : 

SET NOCOUNT               ON
SET ANSI_NULLS            ON  --   NULL.
SET ANSI_WARNINGS         ON  --      .
SET IMPLICIT_TRANSACTIONS OFF --    .
SET LOCK_TIMEOUT          -1  --     .

BEGIN TRANSACTION         --   .
SAVE TRANSACTION SaveTran --   .

DECLARE @iERROR INT, @iLINK_FORM INT, @iLINK_TABLE INT, @iFORM_TYPE INT,
        @iLINK_COL INT, @iLINK_CODE_COL INT, @iLINK_ROW INT, @iLINK_TOTAL INT,
        @iOLD_FORM_LINK INT, @vcNEW_FORM_CODE VARCHAR(20), @dNEW_START_DATE DATETIME, @dOLD_UPDATE_DATE DATETIME

IF OBJECT_ID('tempdb..#tabErrorLog') IS NOT NULL
BEGIN
   DROP TABLE #tabErrorLog
END
CREATE TABLE #tabErrorLog([PROC] VARCHAR(250),[ERROR] INT)

IF OBJECT_ID('tempdb..#tabStop') IS NOT NULL
BEGIN
   DROP TABLE #tabStop
END
CREATE TABLE #tabStop([CURRENT_DATE] VARCHAR(100))

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabStop',@iERROR)
END

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL
BEGIN
   DROP TABLE #tabInfo
END
CREATE TABLE #tabInfo([LINK_FORM] INT, [LINK_FORM_NEW] INT)

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabInfo',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .   ,      .
SELECT @iOLD_FORM_LINK = [LINK_FORM], @dOLD_UPDATE_DATE = [UPDATE_DATE]FROM dbo.[REPORT_FORMS] WHERE [CODE] = '6-' AND [START_DATE] = '20160101'

IF @dOLD_UPDATE_DATE > CONVERT(DATETIME,'2018-02-15 16:24:37.820',121)
BEGIN
   INSERT #tabStop VALUES(CONVERT(VARCHAR(50),@dOLD_UPDATE_DATE,121))
END

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN

INSERT #tabInfo VALUES (COALESCE(@iOLD_FORM_LINK, @iLINK_FORM), @iLINK_FORM)
END --     #tabStop

GO

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--    .
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT, @iLINK_FORM INT, @iTABLE_LINK INT, @tTABLE_ORDER TINYINT, @iGF_LINK INT

SELECT @iLINK_FORM = [LINK_FORM]
FROM #tabInfo


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   REPORT_FORMS.
UPDATE dbo.[REPORT_FORMS]
SET [NAME]                = '      ,     ',
    [ExportCode]          = '          ',
    [START_DATE]          = '20160101',
    [END_DATE]            = '20180324',
    [PERIODIC]            = 2,
    [ISSVOD]              = 0,
    [ISEXPORTED]          = 1,
    [ISUSERFORM]          = 1,
    [IsKonsolid]          = 0,
    [IS_AUTOFILL]         = 0,
    [PRINT_OBJECT_METHOD] = 'sa_print_6NDFL_01012016()',
    [QUERY_ADD_MODULE]    = '6NDFL_16.bas',
    [QUERY_BEFORE]        = '',
    [QUERY_REPMAKER]      = 'KirRepMakerMultiSheet.XLS',
    [QUERY_REPORT]        = '6NDFL_15.xlt',
    [QUERY_REPORT_PATH]   = '',
    [DECRIPT_PROC]        = NULL,
    [EXPORT_PROC]         = 'i_report_export_nalog',
    [IsRemoteAccess]      = 0,
    [PARAM_EXPORT]        = NULL,
    [PARAM_IMPORT]        = NULL,
    [OBJECT]              = NULL,
    [ATRIBUTS]            = 'REPORTS_ATR_NOM_OBR,REPORTS_FILTER_SUBDIV',
    [SvodProc]            = NULL,
    [COMMENT]             = '',
    [PRINT_OBJECT_METHOD_NEW] = NULL,
    [QUERY_BEFORE_PRINT_NEW]  = '',
    [QUERY_REPORT_NEW]        = '',
    [IS_CALC]        = 1
WHERE [LINK_FORM] = @iLINK_FORM


UPDATE dbo.[REPORT_FORMS] SET [UPDATE_DATE] = CONVERT(DATETIME,'2018-02-15 16:24:37.820',121) WHERE [LINK_FORM]=@iLINK_FORM

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
ELSE BEGIN
	DECLARE @vcMessage VARCHAR(8000)
	SELECT @vcMessage = [CURRENT_DATE] FROM #tabStop
	IF @vcMessage = '2018-02-15 16:24:37.820'
	BEGIN
		SELECT @vcMessage = ' 6-    ' + @vcMessage + '  .  .'
	END
	ELSE BEGIN
		SELECT @vcMessage = ' 6-    ' + @vcMessage + '       2018-02-15 16:24:37.820.  .'
	END

	 IF OBJECT_ID('tempdb..#tabUpdateMessages') IS NOT NULL
	 BEGIN
		 INSERT #tabUpdateMessages([TXT]) VALUES (@vcMessage)
	 END
	 SELECT @vcMessage
END
GO

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL DROP TABLE #tabInfo
SELECT * FROM #tabErrorLog

IF EXISTS(SELECT * FROM #tabErrorLog)
BEGIN
   ROLLBACK TRANSACTION SaveTran --   .
END

DROP TABLE #tabErrorLog
DROP TABLE #tabStop

COMMIT TRANSACTION --  .
GO

GO
--  .. RA_EXPORT_FORM_STRUCT. ( 16 2018  8:33:12:210AM)
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     : 6- (      ,     )
--   : 20180325
--    :
--  : 2018-02-16 08:33:12.207
--   :
--             : 
--            : 
--                : 
--             : 
--         : 
--        : 

SET NOCOUNT               ON
SET ANSI_NULLS            ON  --   NULL.
SET ANSI_WARNINGS         ON  --      .
SET IMPLICIT_TRANSACTIONS OFF --    .
SET LOCK_TIMEOUT          -1  --     .

BEGIN TRANSACTION         --   .
SAVE TRANSACTION SaveTran --   .

DECLARE @iERROR INT, @iLINK_FORM INT, @iLINK_TABLE INT, @iFORM_TYPE INT,
        @iLINK_COL INT, @iLINK_CODE_COL INT, @iLINK_ROW INT, @iLINK_TOTAL INT,
        @iOLD_FORM_LINK INT, @vcNEW_FORM_CODE VARCHAR(20), @dNEW_START_DATE DATETIME, @dOLD_UPDATE_DATE DATETIME

IF OBJECT_ID('tempdb..#tabErrorLog') IS NOT NULL
BEGIN
   DROP TABLE #tabErrorLog
END
CREATE TABLE #tabErrorLog([PROC] VARCHAR(250),[ERROR] INT)

IF OBJECT_ID('tempdb..#tabStop') IS NOT NULL
BEGIN
   DROP TABLE #tabStop
END
CREATE TABLE #tabStop([CURRENT_DATE] VARCHAR(100))

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabStop',@iERROR)
END

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL
BEGIN
   DROP TABLE #tabInfo
END
CREATE TABLE #tabInfo([LINK_FORM] INT, [LINK_FORM_NEW] INT)

SET @iERROR = @@ERROR
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #tabInfo',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .   ,      .
SELECT @iOLD_FORM_LINK = [LINK_FORM], @dOLD_UPDATE_DATE = [UPDATE_DATE]FROM dbo.[REPORT_FORMS] WHERE [CODE] = '6-' AND [START_DATE] = '20180325'

IF @dOLD_UPDATE_DATE > CONVERT(DATETIME,'2018-02-16 08:33:12.207',121)
BEGIN
   INSERT #tabStop VALUES(CONVERT(VARCHAR(50),@dOLD_UPDATE_DATE,121))
END

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN

IF @iOLD_FORM_LINK IS NOT NULL
BEGIN
   SET @vcNEW_FORM_CODE = LEFT('NEW_' + '6-',20)
   SELECT @dNEW_START_DATE = MAX([START_DATE]) + 1    FROM dbo.[REPORT_FORMS]    WHERE [CODE] = @vcNEW_FORM_CODE
END
ELSE BEGIN
   SET @vcNEW_FORM_CODE = '6-'
END

SET @dNEW_START_DATE = ISNULL(@dNEW_START_DATE,'20180325')

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_FORMS.
SELECT @iFORM_TYPE = [LINK] FROM dbo.[S_OBJECTS] WHERE [CODE] = 'SALARY'
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_FORMS]  @iLINK_FORM OUTPUT,'      ,     ',@vcNEW_FORM_CODE,@dNEW_START_DATE,2,0,1,1,2291,'i_report_export_nalog',0,0,'19000101',NULL,''
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_FORMS',@iERROR)
END

EXEC @iERROR = dbo.[RN_REPORT_SAVE_REPORT_FORMS_PART2]  @iLINK_FORM, 'sa_print_6NDFL_01032018()','6NDFL_16.bas','','KirRepMakerMultiSheet.XLS','6NDFL_18.xlt','',NULL,'i_report_export_nalog',0,NULL,NULL,NULL,'          ','REPORTS_ATR_NOM_OBR,REPORTS_FILTER_SUBDIV,REPORTS_ATR_REORG,REPORTS_ATR_PALCE_CODE',NULL,NULL,'|',1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_REPORT_SAVE_REPORT_FORMS_PART2',@iERROR)
END

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--   . REPORT_TABLES.
SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '1. ', @iLINK_FORM,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,'',@iLINK_TABLE,0,1,0,0,250,0,'','','',NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,' ',@iLINK_TABLE,1,1,1,0,0,0,'','','',NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'',@iLINK_TABLE,0,0,3,2,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '1. ', @iLINK_FORM,1, @iLINK_CODE_COL,0,'',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

SET @iLINK_TABLE = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE OUTPUT, '2.        ', @iLINK_FORM,2
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_DINAMIC_TOTALS.

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--   . REPORT_COLOUMNS.
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 1,' /',@iLINK_TABLE,1,1,0,0,0,1,NULL,NULL,NULL,'999',8,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_CODE_COL = @iLINK_COL
SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 2,'100 -    ',@iLINK_TABLE,1,1,1,0,10,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 3,'110 -        ',@iLINK_TABLE,0,1,2,0,10,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 4,'120 - ,        ',@iLINK_TABLE,0,1,3,0,10,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 5,'130-   . . (   . .)     100',@iLINK_TABLE,0,0,4,3,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


SET @iLINK_COL = NULL
EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_COLOUMNS] @iLINK_COL OUTPUT, 6,'140-        110 ',@iLINK_TABLE,0,0,5,4,2,1,NULL,NULL,NULL,'999 999 999 999 999.99',NULL,NULL,NULL
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_COLOUMNS',@iERROR)
END


EXEC @iERROR = dbo.[I_REPORT_SAVE_REPORT_TABLES] @iLINK_TABLE, '2.        ', @iLINK_FORM,2, @iLINK_CODE_COL,1,'CALC_SMETA=exec dbo.SA_6NDFL_18_PREPARE_R2 @Lsf',NULL,0
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('I_REPORT_SAVE_REPORT_TABLES',@iERROR)
END

INSERT #tabInfo VALUES (COALESCE(@iOLD_FORM_LINK, @iLINK_FORM), @iLINK_FORM)

DELETE FROM dbo.[REPORT_CONTROL_RULES] WHERE [LINK_FORM] = @iOLD_FORM_LINK AND [IsSystemsRule] = 1
END --     #tabStop

GO

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--    .

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN

DECLARE @iError INT

--    .
IF OBJECT_ID('tempdb..#R') IS NOT NULL
BEGIN
   DROP TABLE #R
END

CREATE TABLE #R([ORDERS]      SMALLINT,
                [LINK_TABLE]  INT,
                [CALC_ORDERS] SMALLINT,
                [PRINT_NULL]  TINYINT)

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #R',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop)
BEGIN
INSERT #R VALUES (1,1,1,1)
INSERT #R VALUES (2,1,2,1)
INSERT #R VALUES (3,1,3,1)
INSERT #R VALUES (4,1,4,1)
INSERT #R VALUES (5,1,5,1)
INSERT #R VALUES (6,1,6,1)
INSERT #R VALUES (7,1,7,1)
INSERT #R VALUES (8,1,8,1)
INSERT #R VALUES (9,1,9,1)
INSERT #R VALUES (10,1,10,1)
INSERT #R VALUES (11,1,11,1)
INSERT #R VALUES (12,1,12,1)
INSERT #R VALUES (13,1,13,1)
INSERT #R VALUES (14,1,14,1)
INSERT #R VALUES (15,1,15,1)
INSERT #R VALUES (16,1,16,1)
INSERT #R VALUES (17,1,17,1)
INSERT #R VALUES (18,1,18,1)
INSERT #R VALUES (19,1,19,1)
INSERT #R VALUES (20,1,20,1)
INSERT #R VALUES (21,1,21,1)
INSERT #R VALUES (22,1,22,1)
INSERT #R VALUES (23,1,23,1)
INSERT #R VALUES (24,1,24,1)
INSERT #R VALUES (25,1,25,1)
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #R) <> 25
BEGIN
   INSERT #tabErrorLog VALUES ('     #R',0)
END

ALTER TABLE dbo.[REPORT_ROWS] DISABLE TRIGGER ALL

INSERT dbo.[REPORT_ROWS] ([ORDERS],
                          [LINK_TABLE],
                          [CALC_ORDERS],
                          [PRINT_NULL])
SELECT [C].[ORDERS],
       [B].[LINK_TABLE],
       [C].[CALC_ORDERS],
       [C].[PRINT_NULL]
FROM #tabInfo            [A]
JOIN dbo.[REPORT_TABLES] [B] ON [A].[LINK_FORM_NEW] = [B].[LINK_FORM]
JOIN #R                  [C] ON [B].[ORDERS] = [C].[LINK_TABLE]

ALTER TABLE dbo.[REPORT_ROWS] ENABLE TRIGGER ALL

DROP TABLE #R

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

--  REPORT_FORMULA.
IF OBJECT_ID('tempdb..#F') IS NOT NULL
BEGIN
   DROP TABLE #F
END

CREATE TABLE #F([ORDER_TABLE] INT,
                [ORDER_ROW]   INT,
                [ORDER_COL]   INT,
                [FORMULA]  VARCHAR(8000))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #F',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
INSERT #F VALUES (1,1,1,'1. , %                                                                                                                                                                                                                                        ')
INSERT #F VALUES (1,2,1,'1.                                                                                                                                                                                                                                 ')
INSERT #F VALUES (1,3,1,'1.                                                                                                                                                                                                         ')
INSERT #F VALUES (1,4,1,'1.                                                                                                                                                                                                                                   ')
INSERT #F VALUES (1,5,1,'1.                                                                                                                                                                                                 ')
INSERT #F VALUES (1,6,1,'1.                                                                                                                                                                                                                                 ')
INSERT #F VALUES (1,7,1,'1.                                                                                                                                                                                                                    ')
INSERT #F VALUES (1,8,1,'2. , %                                                                                                                                                                                                                                        ')
INSERT #F VALUES (1,9,1,'2.                                                                                                                                                                                                                                 ')
INSERT #F VALUES (1,10,1,'2.                                                                                                                                                                                                         ')
INSERT #F VALUES (1,11,1,'2.                                                                                                                                                                                                                                   ')
INSERT #F VALUES (1,12,1,'2.                                                                                                                                                                                                                                 ')
INSERT #F VALUES (1,13,1,'2.                                                                                                                                                                                                 ')
INSERT #F VALUES (1,14,1,'2.                                                                                                                                                                                                                    ')
INSERT #F VALUES (1,15,1,'3. , %                                                                                                                                                                                                                                        ')
INSERT #F VALUES (1,16,1,'3.                                                                                                                                                                                                                                 ')
INSERT #F VALUES (1,17,1,'3.                                                                                                                                                                                                         ')
INSERT #F VALUES (1,18,1,'3.                                                                                                                                                                                                                                   ')
INSERT #F VALUES (1,19,1,'3.                                                                                                                                                                                                                                 ')
INSERT #F VALUES (1,20,1,'3.                                                                                                                                                                                                 ')
INSERT #F VALUES (1,21,1,'3.                                                                                                                                                                                                                    ')
INSERT #F VALUES (1,22,1,'  ,                                                                                                                                                                                                                 ')
INSERT #F VALUES (1,23,1,'                                                                                                                                                                                                                                    ')
INSERT #F VALUES (1,24,1,' ,                                                                                                                                                                                                                 ')
INSERT #F VALUES (1,25,1,' ,                                                                                                                                                                                                                 ')
INSERT #F VALUES (1,1,2,'010                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,2,2,'020                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,3,2,'025                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,4,2,'030                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,5,2,'045                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,6,2,'040                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,7,2,'050                                                                                                                                                                                                                                                           ')
INSERT #F VALUES (1,8,2,'1010                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,9,2,'1020                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,10,2,'1025                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,11,2,'1030                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,12,2,'1040                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,13,2,'1045                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,14,2,'1050                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,15,2,'2010                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,16,2,'2020                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,17,2,'2025                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,18,2,'2030                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,19,2,'2040                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,20,2,'2045                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,21,2,'2050                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,22,2,'3060                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,23,2,'3070                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,24,2,'3090                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,25,2,'3080                                                                                                                                                                                                                                                          ')
INSERT #F VALUES (1,1,3,'6_01032018_() + 6_1(''010'',3)')
INSERT #F VALUES (1,2,3,'6_1(''020'',3)')
INSERT #F VALUES (1,3,3,'6_1(''025'',3)')
INSERT #F VALUES (1,4,3,'6_1(''030'',3)')
INSERT #F VALUES (1,5,3,'6_1(''045'',3)')
INSERT #F VALUES (1,6,3,'6_1(''040'',3)')
INSERT #F VALUES (1,7,3,'6_1(''050'',3)')
INSERT #F VALUES (1,8,3,'6_1(''1010'',3)')
INSERT #F VALUES (1,9,3,'6_1(''1020'',3)')
INSERT #F VALUES (1,10,3,'6_1(''1025'',3)')
INSERT #F VALUES (1,11,3,'6_1(''1030'',3)')
INSERT #F VALUES (1,12,3,'6_1(''1040'',3)')
INSERT #F VALUES (1,13,3,'6_1(''1045'',3)')
INSERT #F VALUES (1,14,3,'6_1(''1050'',3)')
INSERT #F VALUES (1,15,3,'6_1(''2010'',3)')
INSERT #F VALUES (1,16,3,'6_1(''2020'',3)')
INSERT #F VALUES (1,17,3,'6_1(''2025'',3)')
INSERT #F VALUES (1,18,3,'6_1(''2030'',3)')
INSERT #F VALUES (1,19,3,'6_1(''2040'',3)')
INSERT #F VALUES (1,20,3,'6_1(''2045'',3)')
INSERT #F VALUES (1,21,3,'6_1(''2050'',3)')
INSERT #F VALUES (1,22,3,'6_1(''3060'',3)')
INSERT #F VALUES (1,23,3,'6_1(''3070'',3)')
INSERT #F VALUES (1,24,3,'6_1(''3090'',3)')
INSERT #F VALUES (1,25,3,'6_1(''3080'',3)')

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #F) <> 75
BEGIN
   INSERT #tabErrorLog VALUES ('     #F',0)
END

ALTER TABLE dbo.[REPORT_FORMULA] DISABLE TRIGGER ALL

INSERT dbo.[REPORT_FORMULA] ([LINK_ROW],
                             [LINK_COL],
                             [FORMULA])
SELECT [D].[LINK_ROW],
       [C].[LINK_COL],
       [E].[FORMULA]
FROM #tabInfo              [A]
JOIN dbo.[REPORT_TABLES]   [B] ON [A].[LINK_FORM_NEW] = [B].[LINK_FORM]
JOIN dbo.[REPORT_COLOUMNS] [C] ON [B].[LINK_TABLE] = [C].[LINK_TABLE]
JOIN dbo.[REPORT_ROWS]     [D] ON [B].[LINK_TABLE] = [D].[LINK_TABLE]
JOIN #F                    [E] ON [E].[ORDER_TABLE] = [B].[ORDERS] AND [E].[ORDER_COL] = [C].[ORDERS] AND [E].[ORDER_ROW] = [D].[ORDERS]

ALTER TABLE dbo.[REPORT_FORMULA] ENABLE TRIGGER ALL

DROP TABLE #F

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN

DECLARE @iERROR INT, @iLINK_FORM_NEW INT, @iLINK_FORM INT

SELECT @iLINK_FORM = [LINK_FORM],
       @iLINK_FORM_NEW = [LINK_FORM_NEW]
FROM #tabInfo

--IF @iLINK_FORM_NEW <> @iLINK_FORM
--BEGIN
  EXEC @iERROR = dbo.[RA_UNION_FORM_STRUCT] @iLINK_FORM, @iLINK_FORM_NEW, 1
--END
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UNION_FORM_STRUCT',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--     .
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF OBJECT_ID('tempdb..#A') IS NOT NULL
BEGIN
   DROP TABLE #A
END
CREATE TABLE #A ([LINK_RULE]       INT NULL,
                 [LINK_TASK]       INT NULL,
                 [IsOutside]       TINYINT NULL,
                 [LINK_FORM]       INT NULL,
                 [OrderRule]       INT NULL,
                 [PERIOD]          SMALLINT NULL,
                 [PERIOD_NOM]      SMALLINT NULL,
                 [ORG_LEVEL]       SMALLINT NULL,
                 [IsSvod]          SMALLINT NULL,
                 [STR_RULE]        VARCHAR (6000) NULL,
                 [IsDoschet]       TINYINT NULL,
                 [CALC_ORDERS]     INT NULL,
                 [IsSystemsRule]   TINYINT NULL ,
                 [MODIFY_DATE]     DATETIME NULL,
                 [ROWS]            VARCHAR(1000),
                 [COLS]            VARCHAR(250),
                 [ROWS_DESC]       VARCHAR (250),
                 [CODE_FORM]       VARCHAR (250),
                 [START_DATE_FORM] VARCHAR (250),
                 [REGION]				VARCHAR (100),
                 [SIGN_SR]         CHAR(2)      NOT NULL,
                 [ALGORITHM]       TINYINT      NOT NULL,
                 [ATR_CODE_SR]     VARCHAR(254) NOT NULL,
                 [COMMENT]         VARCHAR(8000))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #A',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #A'
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO
IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #A) <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('     #A',0)
END

IF OBJECT_ID('tempdb..#B') IS NOT NULL
BEGIN
   DROP TABLE #B
END

CREATE TABLE #B ([LINK_RULE]       INT NULL,
                 [OrderRow]        INT NULL,
                 [VAL_TYPE]        TINYINT NULL,
                 [SIGN]            CHAR(2) NULL,
                 [LINK_FORM]       INT NULL,
                 [LINK_TABLE]      INT NULL,
                 [LINK_COL]        INT NULL,
                 [LINK_ROW]        INT NULL,
                 [PERIOD_FORM]     SMALLINT NULL,
                 [FACTOR]          FLOAT NULL,
                 [EXEC_PROC]       VARCHAR(250) NULL,
                 [EXEC_PROC_DESC]  VARCHAR(250) NULL,
                 [CODE_ROW]        VARCHAR(250) NULL,
                 [FILTER]          VARCHAR(1000) NULL,
                 [FILTER_DESC]     VARCHAR(250) NULL,
                 [MASKA]           VARCHAR(250) NULL,
                 [MASKA_DESC]      VARCHAR(250) NULL,
                 [CODE_FORM_ROW]   VARCHAR(25)  NULL,
                 [COL]             VARCHAR(100) NULL,
                 [ROW]             VARCHAR(100) NULL,
                 [TABLE]           VARCHAR(25)  NULL,
                 [START_DATE_FORM] DATETIME     NULL,
                 [PERIOD_YEAR]     SMALLINT     NULL,
                 [ATR_CODE]        VARCHAR(254) NOT NULL,
                 [PART]            TINYINT      NOT NULL,
                 [BEGIN_DATE]      DATETIME     NULL,
                 [PX]              FLOAT(53)    NOT NULL,
                 [PX_COMMENT]              VARCHAR(254)    NULL,
                 [Property]				TINYINT    DEFAULT (0))

SELECT @iERROR = @@ERROR

IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('CREATE TABLE #B',@iERROR)
END

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
PRINT 'INSERT #B'
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT

IF (SELECT COUNT(*) FROM #B) <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('     #B',0)
END

CREATE INDEX #IX_tabROWS ON #B([LINK_RULE])
CREATE INDEX #IX_tabRULES ON #A([LINK_RULE])

--     .
EXEC @iERROR = dbo.[RN_IMPORT_RULES] '#A', '#B', 1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RN_IMPORT_RULES',@iERROR)
END
END -- IF NOT EXISTS(SELECT * FROM #tabStop)
GO

GO

IF NOT EXISTS(SELECT * FROM #tabStop) BEGIN
DECLARE @iERROR INT, @iLINK_FORM INT, @iTABLE_LINK INT, @tTABLE_ORDER TINYINT, @iGF_LINK INT

SELECT @iLINK_FORM = [LINK_FORM]
FROM #tabInfo


--     .

DELETE dbo.[REPORT_FORM_GROUPS_REF]
WHERE [LINK_FORM] = @iLINK_FORM

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '3         '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'3',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

SET @iGF_LINK = NULL
SELECT @iGF_LINK = [LINK] FROM dbo.[REPORT_FORM_GROUPS] WHERE [CODE] = '999999    '
EXEC @iERROR = dbo.[RV_UPDATE_REPORT_FORM_GROUPS] @iGF_LINK OUTPUT,'999999',' ',0,1
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RV_UPDATE_REPORT_FORM_GROUPS',@iERROR)
END

EXEC @iERROR = dbo.[RA_UPDATE_FORM_GROUPS_REF] @iLINK_FORM, @iGF_LINK
IF @iERROR <> 0
BEGIN
   INSERT #tabErrorLog VALUES ('RA_UPDATE_FORM_GROUPS_REF',@iERROR)
END

--   RI_PROC_T.
DECLARE curTable CURSOR FOR
SELECT [LINK_TABLE],
       [ORDERS]
FROM [REPORT_TABLES]
WHERE [LINK_FORM] = @iLINK_FORM

OPEN curTable

FETCH NEXT
FROM curTable
INTO @iTABLE_LINK,
     @tTABLE_ORDER

WHILE @@FETCH_STATUS = 0
BEGIN
   EXEC @iERROR = dbo.[I_REPORT_CREATE_PROC] @iTABLE_LINK
   IF @iERROR <> 0
   BEGIN
      INSERT #tabErrorLog VALUES ('I_REPORT_CREATE_PROC',@iERROR)
   END
   FETCH NEXT
   FROM curTable
   INTO @iTABLE_LINK,
        @tTABLE_ORDER
END
CLOSE curTable
DEALLOCATE curTable

EXEC dbo.[I_CONTROL_RULES_ACTION] 3, @iLINK_FORM


UPDATE dbo.[REPORT_FORMS] SET [UPDATE_DATE] = CONVERT(DATETIME,'2018-02-16 08:33:12.207',121) WHERE [LINK_FORM]=@iLINK_FORM

END -- IF NOT EXISTS(SELECT * FROM #tabStop)
ELSE BEGIN
	DECLARE @vcMessage VARCHAR(8000)
	SELECT @vcMessage = [CURRENT_DATE] FROM #tabStop
	IF @vcMessage = '2018-02-16 08:33:12.207'
	BEGIN
		SELECT @vcMessage = ' 6-    ' + @vcMessage + '  .  .'
	END
	ELSE BEGIN
		SELECT @vcMessage = ' 6-    ' + @vcMessage + '       2018-02-16 08:33:12.207.  .'
	END

	 IF OBJECT_ID('tempdb..#tabUpdateMessages') IS NOT NULL
	 BEGIN
		 INSERT #tabUpdateMessages([TXT]) VALUES (@vcMessage)
	 END
	 SELECT @vcMessage
END
GO

IF OBJECT_ID('tempdb..#tabInfo') IS NOT NULL DROP TABLE #tabInfo
SELECT * FROM #tabErrorLog

IF EXISTS(SELECT * FROM #tabErrorLog)
BEGIN
   ROLLBACK TRANSACTION SaveTran --   .
END

DROP TABLE #tabErrorLog
DROP TABLE #tabStop

COMMIT TRANSACTION --  .
GO

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_VIEW_ATR_PALCE_CODE]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SS_VIEW_ATR_PALCE_CODE]

GO
 
 /*******************************************************************************  
  
   (Keysystems), 2010  
  
*******************************************************************************/  
  
CREATE VIEW dbo.[SS_VIEW_ATR_PALCE_CODE]  
AS  
select '120' as link, '    ' as code  
union   
SELECT '124' AS link, '    ()  () ' AS code  
union
SELECT '125' AS link, '   ' AS code  
union  
SELECT '126' AS link, '   ' AS code   
union  
select '213' AS link, '      ' AS code  
union   
SELECT '214' AS link, '    ,    ' AS code  
union
SELECT '215' AS link, '   ,    ' AS code  
union  
SELECT '216' AS link, '   ,   ' AS code   
union  
select '220' AS link, '      ' AS code  
union   
SELECT '320' AS link, '     ' AS code    
union   
SELECT '335' AS link, '         ' AS code     

GO


GRANT SELECT ON dbo.[SS_VIEW_ATR_PALCE_CODE] TO PUBLIC

GO


-- --
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN]

GO
CREATE FUNCTION dbo.BK_VIEW_EXPORT_FORMAT_NALOG_FN (@YEAR INT = NULL)
RETURNS TABLE

RETURN

	--      --
	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.02 ( 01.01.2009 .)', PROC_NAME = 'BK_EXPORT_F1151006', 
		PRG_SKRIPT = CONVERT(VARCHAR(100),''),
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR < 2011

	UNION ALL

	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.03 ( 01.01.2011 .)', PROC_NAME = 'BK_EXPORT_F1151006_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR BETWEEN 2011 AND 2013

	UNION ALL

	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.05 ( 01.12.2013 .)', PROC_NAME = 'BK_EXPORT_F1151006_505', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR >= 2013

	UNION ALL
	--     --
	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 4.01 ( 01.01.2007 .)',
		PROC_NAME = 'BK_EXPORT_F1152004', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152027'
	WHERE @YEAR < 2012	

	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.01 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_501', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR = 2012

	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.02 ( 01.01.2013 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_502', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR = 2013
	
	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.03 ( 01.01.2015 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR >= 2014

	UNION ALL

	SELECT FORM_CODE = 'AV_TN',
		FNAME = ' 4.01 ( 01.01.2007 .)', PROC_NAME = 'BK_EXPORT_F1152027', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152027'

	UNION ALL

	---      ---
	SELECT FORM_CODE = 'AV_F1152028',
		FNAME = ' 5.00 ( 01.01.2008 .)',
		PROC_NAME = 'BK_EXPORT_F1152028', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152028'
	UNION ALL
	SELECT FORM_CODE = 'AV_ASS',
		FNAME = ' 5.00 ( 01.01.2008 .)',
		PROC_NAME = 'BK_EXPORT_F1152026', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152028'
	UNION ALL
	--   01.01.2012 --
	SELECT FORM_CODE = 'ND_IMU',
		FNAME = ' 5.02 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152026_502', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR < 2013
	UNION ALL
	SELECT FORM_CODE = 'AV_IMU',
		FNAME = ' 5.02 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152028_502', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR < 2014		
	UNION ALL
	--   01.01.2013 --
	SELECT FORM_CODE = 'ND_IMU',
		FNAME = ' 5.03 ( 01.01.2013 .)',
		PROC_NAME = 'BK_EXPORT_F1152026_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	UNION ALL
	SELECT FORM_CODE = 'AV_IMU',
		FNAME = ' 5.03 ( 01.01.2014 .)',
		PROC_NAME = 'BK_EXPORT_F1152028_503', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR >= 2014		
	UNION ALL
	--   01.01.2018 --
--	SELECT FORM_CODE = 'ND_IMU',
--		FNAME = ' 5.04 ( 01.01.2018 .)',
--		PROC_NAME = 'BK_EXPORT_F1152026_503', 
--		PRG_SKRIPT = '',
--		DIR = 'IMNS',
--		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
--	UNION ALL
	SELECT FORM_CODE = 'AV_IMU_18',
		FNAME = ' 5.04 ( 01.01.2018 .)',
		PROC_NAME = 'BK_EXPORT_F1152028_504', 
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR >= 2017		

	UNION ALL
	--   4 --
	SELECT FORM_CODE = '4FSS',
		FNAME = ',      06.11.2009 n 871', PROC_NAME = 'SA_4FSS_EXPORT', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR <= 2010	
	UNION ALL	
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.3 ( 19  12.02.2010  .  21.03.2011 (53)', PROC_NAME = 'SA_4FSS_EXPORT_v03', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2011
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.4 (   22.11.2011)', PROC_NAME = 'SA_4FSS_EXPORT_v04', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2012
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.5 ( 107  19.03.2013)', PROC_NAME = 'SA_4FSS_EXPORT_v05', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2013	
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.6 ( 107  19.03.2013  .  11.02.2014  94)', PROC_NAME = 'SA_4FSS_EXPORT_v05', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2014	
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.7 (  59  26.02.2015)', PROC_NAME = 'SA_4FSS_EXPORT_v07', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR IN ( 2015,2016)	
	UNION ALL
		SELECT FORM_CODE = '4FSS',
		FNAME = '  0.93 (  416  11.09.2017)', PROC_NAME = 'SA_4FSS_EXPORT_v093', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR >= 2017	
	UNION ALL
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 (2011)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2011', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2011	
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 15.03.2012 . 232)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2012', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2012			
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 15.03.2012 . 232)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2013', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2013
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 03.03.2014 . 25)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2014', 
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR >= 2014	
	UNION ALL
	--   -2 () --
	SELECT FORM_CODE = '0617005',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617005', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	UNION ALL
	--   -2 () --
	SELECT FORM_CODE = '0617004',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617004', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	-- -2 .  01.01.2011 --
	SELECT FORM_CODE = '0617004_11',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617004_11', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	--   -2  () --
	UNION ALL
	SELECT FORM_CODE = '2_',
		FNAME = '   -2()  ', PROC_NAME = 'BK_EXPORT_F0617010', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE @YEAR < 2012	

	UNION ALL
	SELECT FORM_CODE = '2_',
		FNAME = '   -2()  ', PROC_NAME = 'BK_EXPORT_F0617010_2012', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE @YEAR >= 2012	

	UNION ALL
	--   -4 --
	SELECT FORM_CODE = '0606010',
		FNAME = '   -4  ', PROC_NAME = 'SK_EXPORT_F0606010', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE 
		@YEAR <= 2012	
	UNION ALL
	--   -4 c 01.01.2013 --
	SELECT FORM_CODE = '0606010',
		FNAME = '   -4  ', PROC_NAME = 'SK_EXPORT_F0606010_13', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2013		


	UNION ALL
	--   1- --
	SELECT FORM_CODE = '1GS',
		FNAME = '   1-  ', PROC_NAME = 'KJ_EXPORT_1GS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   2- --
	SELECT FORM_CODE = '2GS_GZ',
		FNAME = '   2-  ', PROC_NAME = 'KJ_EXPORT_2GS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- --
	SELECT FORM_CODE = '1MS',
		FNAME = '   1-  ', PROC_NAME = 'KJ_EXPORT_1MS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   2- --
	SELECT FORM_CODE = '2MS',
		FNAME = '   2-  ', PROC_NAME = 'KJ_EXPORT_2MS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1-() --
	SELECT FORM_CODE = '1T_GMS',
		FNAME = '   1-()  ', PROC_NAME = 'KJ_EXPORT_1T_GMS', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- () --
	SELECT FORM_CODE = '0607006',
		FNAME = '   1-  ', PROC_NAME = 'BK_EXPORT_F0607006', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- () --
	SELECT FORM_CODE = '1_',
		FNAME = '   1-  ', PROC_NAME = 'BK_EXPORT_F0607006_11', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   11  () --
	SELECT FORM_CODE = '0602002',
		FNAME = '   11-  ', PROC_NAME = 'BK_EXPORT_F0602002', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	UNION ALL
	SELECT FORM_CODE = '_11',
		FNAME = '   11-  ', PROC_NAME = 'BK_EXPORT_F0602002_2012', 
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2012		
	
	--   ( 2013) --		
	UNION ALL
	SELECT
		FORM_CODE = 'AHD_EXPORT_REST',
		FNAME = ' 1.00 ( 01.09.2013 .)',
		PROC_NAME = 'BK_EXPORT_AHD_REST',
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''

	UNION ALL
	SELECT
		FORM_CODE = 'AHD_EXPORT_PROV',
		FNAME = ' 1.00 ( 01.09.2013 .)',
		PROC_NAME = 'BK_EXPORT_AHD_PROV',
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''
	

	--     --		
	UNION ALL
	SELECT
		FORM_CODE = 'EOD_EXPORT_INV1',
		FNAME = ' 1.00 ( 01.01.2013 .)',
		PROC_NAME = 'BK_EXPORT_INV1',
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''

	--  6- --		
	UNION ALL
	SELECT
		FORM_CODE = '6-',
		FNAME = ' 5.01 (  N-7-11/450@  14.10.2015.)',
		PROC_NAME = 'SA_6NDFL_EXPORT_v5_01',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'SA_6NDFL_EXPORT_TEST'
	WHERE @YEAR <= 2018	
	--  6- --		
	UNION ALL
	SELECT
		FORM_CODE = '6-',
		FNAME = ' 5.02 (  N-7-11/450@ c   17.01.2018 .)',
		PROC_NAME = 'SA_6NDFL_EXPORT_v5_02',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'SA_6NDFL_EXPORT_TEST'
	WHERE @YEAR >= 2018	
		
	--  - --		
	UNION ALL
	SELECT
		FORM_CODE = '-',
		FNAME = ' 2.52 ( 21.06.2016 .)',
		PROC_NAME = 'SA_SZVM_EXPORT_v2_52',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = ''--'SA_SZVM_EXPORT_TEST'
	WHERE @YEAR < 2017	
	UNION ALL
	SELECT 	FORM_CODE = '-',
		FNAME = ' 2.56 ( 07.12.2016 . N 1077)',
		PROC_NAME = 'SA_SZVM_EXPORT_v2_56',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = ''--'SA_SZVM_EXPORT_TEST'
	WHERE @YEAR >= 2017
	UNION ALL
	SELECT 	FORM_CODE = '',
		FNAME = ' 5.01 ( 10.10.2016. N-7-11/551@)',
		PROC_NAME = 'SS_RPSV_EXPORT_v5_01',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'SS_RPSV_EXPORT_TEST'
	WHERE @YEAR >= 2017	

	UNION ALL
	--   N- c 01.01.2016 --
	SELECT FORM_CODE = '0606045',
		FNAME = '   0606045(-)  ', PROC_NAME = 'SK_EXPORT_F0606045_17', 
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2013	
	UNION ALL
	--   N- c 01.01.2016 --
	SELECT FORM_CODE = '0606046',
		FNAME = '   0606046(-)', PROC_NAME = 'SK_EXPORT_F0606045_17', 
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2013	
	UNION ALL	
	--   N- c 01.01.2016 --
	SELECT FORM_CODE = '0606047',
		FNAME = '   0606047(-)', PROC_NAME = 'SK_EXPORT_F0606045_17', 
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2013	
	UNION ALL	
	--   N- c 01.01.2016 --
	SELECT FORM_CODE = '0606048',
		FNAME = '   0606048(-)', PROC_NAME = 'SK_EXPORT_F0606045_17', 
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2013
	UNION ALL			
	--   N- c 01.01.2016 --
	SELECT FORM_CODE = '0606049',
		FNAME = '   0606049(-)', PROC_NAME = 'SK_EXPORT_F0606045_17', 
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''
	WHERE 
		@YEAR >= 2013									


GO


GRANT SELECT ON dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN] TO PUBLIC

GO


-- --







GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_6NDFL_18_PREPARE_R2]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_6NDFL_18_PREPARE_R2]

GO
CREATE PROCEDURE dbo.SA_6NDFL_18_PREPARE_R2 @LSF INT
AS

DECLARE
	@START_DATE DATETIME, @END_DATE DATETIME, @DEP_LINK INT, @R_DEP_LINK INT, @R_SUB INT, @BYearDate DATETIME,
	@nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SET DATEFIRST 7

SELECT
	@DEP_LINK = Link_Organization,
	@START_DATE = BEGIN_DATE
FROM
	report_saved_forms
WHERE
	link_saved_form = @LSF
	
----           ,    @dep_link      	
SELECT @R_DEP_LINK  = R_DEP_LINK ,
	   @r_SUB = R_SUB 
FROM dbo.dict_reorganization WHERE rtrim(ltrim(NAME_REORG)) = ltrim((SELECT DBO.RN_GET_ATR_VALUE(@LSF, 'REPORTS_ATR_REORG')))

IF isnull(@R_DEP_LINK,0) <> 0 
	set	@DEP_LINK = @R_DEP_LINK
/*IF isnull(@r_SUB,0) <> 0 BEGIN
	DELETE from	@SUBDIV 
	INSERT INTO @SUBDIV (LINK)
	select link = @r_SUB	
END*/
----	

SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)


SELECT
	@nYEAR = YEAR(@START_DATE),
	@nMONTH1 = MONTH(@START_DATE)-2,
	@nMONTH2 = MONTH(@START_DATE)-1,
	@nMONTH3 = MONTH(@START_DATE)
DECLARE @BDATE DATETIME , @EDATE DATETIME

SET @BDATE = dbo.ConvertDMY2Date(1,@nMONTH1,@nYEAR)
SET @EDATE = @START_DATE

DECLARE @varKSname VARCHAR(100), @varKSSQL VARCHAR(8000)
SET @varKSname = (SELECT ID FROM BUFFER WHERE LINK = -116 AND SID = SUSER_SID() )




--------------------------------------------
IF OBJECT_ID('tempdb..#FIZ_VID_DOH') IS NOT NULL DROP TABLE #FIZ_VID_DOH
CREATE TABLE #FIZ_VID_DOH(link_FACE INT, PERS_LINK INT, LINK_EMPL INT, INOSTR int, DIS TINYINT , DATE_DIS DATETIME 
							, VID_DOH CHAR(3), mon int,summa_doh NUMERIC(18,2),summa_nal NUMERIC(18,2),DATE_DOH DATETIME,DATE_NAL datetime, DATE_ISCH DATETIME , DED TINYINT, link_ved INT , SUM_DED NUMERIC(18,2) )



EXEC dbo.SA_6NDFL_PREPARE_R2 @BDATE,@EDATE,'REP2NDFL', @DEP_LINK

-- EXEC SA_6NDFL_16_PREPARE_R2        3195 

-- exec dbo.RI_REPORT_FORMULA_ALL_CALCULATE '2016-01-01 00:00:00','2016-03-31 00:00:00',2,1,3195
---      1       , 2    ,  2  
-- -       ,       ,    
-- 
SELECT
	  PERS_LINK = LINK_FACE
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUMMA_DOH
	  ,SUMMA_NAL = SUMMA_NAL
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_ZP_GR	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'ZP'
GROUP BY link_FACE,LINK_EMPL,PERS_LINK,DIS, INOSTR, VID_DOH,SUMMA_DOH, SUMMA_NAL, mon,DATE_DOH, DATE_NAL, DATE_ISCH	  
----       
SELECT
	  PERS_LINK = PERS_LINK
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = sum(SUMMA_DOH)
	  ,SUMMA_NAL = sum(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_ZP	  
FROM #TAB_ZP_GR
WHERE VID_DOH = 'ZP'
GROUP BY PERS_LINK,DIS, INOSTR, VID_DOH, mon,DATE_DOH, DATE_NAL, DATE_ISCH	  


SELECT 
	  PERS_LINK
	  , DGH  = 1
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_DZP	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'DZP'
GROUP BY  link_FACE,LINK_EMPL,PERS_LINK,DIS, INOSTR, VID_DOH, mon,DATE_DOH, DATE_NAL, DATE_ISCH	


SELECT
	  PERS_LINK = LINK_FACE
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_UV	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'UV'
GROUP BY link_FACE,LINK_EMPL,PERS_LINK,DIS, INOSTR, VID_DOH, mon,DATE_DOH, DATE_NAL, DATE_ISCH	


SELECT
	  PERS_LINK = LINK_FACE
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
	  ,DED
INTO #TAB_DR	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'DR'
AND isnull(DATE_DOH,'') <> '' 
GROUP BY link_FACE,DIS, INOSTR, VID_DOH, mon, DATE_DOH, DATE_NAL, DATE_ISCH,DED



/*

-- EXEC SA_6NDFL_16_PREPARE_R2        3195

*/CREATE TABLE #PAYS_TMP (VID_DOH CHAR(3), SUMMA_DOH NUMERIC(18,2), SUMMA_NAL NUMERIC(18,2), MON tinyint, DATE_DOH datetime, DATE_NAL datetime, DATE_ISCH DATETIME)
INSERT INTO #PAYS_TMP(VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH)

--SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
--FROM #TAB_DR TDR

SELECT TB.VID_DOH, SUMMA_DOH = SUM(TB.SUMMA_DOH), SUMMA_NAL = SUM(TB.SUMMA_NAL),MON,TB.DATE_DOH,TB.DATE_NAL, TB.DATE_ISCH
FROM 
(SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_ZP TZP
UNION ALL
SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_DZP TDZP
UNION ALL
SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_UV TUV
UNION ALL
SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_DR TDR)  TB
GROUP BY TB.VID_DOH,MON, TB.DATE_DOH, TB.DATE_NAL, TB.DATE_ISCH--, TB.SUMMA_DOH, TB.SUMMA_NAL

-- EXEC SA_6NDFL_16_PREPARE_R2    565

CREATE TABLE #RAZD2 (LINK INT IDENTITY (1,1), COL2 VARCHAR(10),COL3 VARCHAR(10), COL4 VARCHAR(10), COL5 NUMERIC(18,2), COL6 NUMERIC(18,2))
INSERT INTO #RAZD2 ( COL2, COL3, COL4, COL5, COL6)
SELECT
	CONVERT (VARCHAR (10), A.DATE_DOH,104),
	CONVERT(VARCHAR (10), A.DATE_NAL,104),
	CONVERT(VARCHAR (10), A.DATE_ISCH,104),
	sum(A.SUMMA_DOH),
	SUM(A.SUMMA_NAL)
FROM 
	#PAYS_TMP  A
GROUP BY A.[mon],A.DATE_DOH, A.DATE_NAL,A.DATE_ISCH /*, B.PERIOD_ndfl*/
ORDER BY
	A.DATE_DOH, A.DATE_NAL,A.DATE_ISCH

SELECT
	CODE = REPLICATE( '0', 3-len(CONVERT(VARCHAR(4),RANK() OVER (ORDER BY link)) ))+CONVERT(VARCHAR(4),RANK() OVER (ORDER BY link)) ,
	COL1 = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY link)),
	COL2,
	COL3,
	COL4,
	COL5,
	COL6
FROM
	#RAZD2 E
ORDER BY
	month(convert(datetime,COL2,104))

DROP TABLE #FIZ_VID_DOH
DROP TABLE #RAZD2


	

RETURN 0





GO


GRANT EXECUTE ON dbo.[SA_6NDFL_18_PREPARE_R2] TO PUBLIC

GO


-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSA_6NDFL_01032018_PREPARE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSA_6NDFL_01032018_PREPARE]

GO

CREATE PROCEDURE dbo.RSA_6NDFL_01032018_PREPARE
	@Res float output, @varcStr varchar(250), @vardBegin datetime = '20180101', @vardEnd datetime = '20181231', @variCol int, @variRow int, @variLSF int


AS BEGIN

SET NOCOUNT ON

/*declare
	@varKScYear varchar(4),			
	@nPERIOD int,
	@varKSnFirstNum INT,
	@nCHECK_S int,					   /*    */
	@nSumm_For_Check numeric(18,2), /*    */			
	@varKScVal1 char(1), @varKSnOtborLink1 int,	
	@varKScVal2 char(1), @varKSnOtborLink2 int,
	@nLinkEmpl int,
	@LINK_PERS INT*/



DECLARE @DEP_LINK INT,
		@R_DEP_LINK INT, 
		@r_SUB INT, 
		@START_DATE DATETIME, 
		@END_DATE DATETIME 
---------------------   /  
DECLARE @FILTER_SUBDIV_NAME VARCHAR(254) , @FILTER_SUBDIV_LINK INT
SET @FILTER_SUBDIV_NAME = (SELECT DBO.RN_GET_ATR_VALUE(@variLSF, 'REPORTS_FILTER_SUBDIV'))

IF @FILTER_SUBDIV_NAME IS NOT NULL
	SET @FILTER_SUBDIV_LINK = 
		( SELECT TOP 1 LINK FROM DBO.REPORT_KBK 
		  WHERE 
		   ('' + CONVERT(VARCHAR(3),PROPERTY) + ' - ' +  NAME ) =  @FILTER_SUBDIV_NAME
			AND 
			CODE_FORM='FILTER_NABOR' AND CODE='REPORTS_FILTER_SUBDIV')

DECLARE @BUFFER_SUBDIV VARCHAR(20) 
DECLARE @SUBDIV TABLE (LINK INT)

IF @FILTER_SUBDIV_LINK IS NOT NULL 
BEGIN

	EXEC DBO.GETRANDSTR 20, @BUFFER_SUBDIV OUT

	INSERT INTO @SUBDIV (LINK) 
	SELECT LINK FROM DBO.RN_VIEW_FILTER WHERE LINK_SELF = @FILTER_SUBDIV_LINK

END


SELECT @DEP_LINK = Link_Organization from report_saved_forms where link_saved_form =  @variLSF
------------------------------
---------------------------  /   ,       
SELECT @R_DEP_LINK  = R_DEP_LINK ,
	   @r_SUB = R_SUB 
FROM dbo.dict_reorganization WHERE rtrim(ltrim(NAME_REORG)) = ltrim((SELECT DBO.RN_GET_ATR_VALUE(@variLSF, 'REPORTS_ATR_REORG')))

--------------------------------------------------------------------
--         ,  @DEP_LINK  @SUBDIV      
IF isnull(@R_DEP_LINK,0) <> 0 
	set	@DEP_LINK = @R_DEP_LINK
IF isnull(@r_SUB,0) <> 0 BEGIN
	DELETE from	@SUBDIV 
	INSERT INTO @SUBDIV (LINK)
	select link = @r_SUB	
END

set @res = 0
SELECT @START_DATE = @vardBegin, @END_DATE = @vardEnd

DECLARE @BYearDate	datetime
SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)

declare @EndYear datetime
Set @EndYear = dbo.DateEndOfYear(@START_DATE)

DECLARE @varKSnYear INT,
		@nMonth INT 				
Set @nMonth = ISNULL(month(@vardEnd),12)

SET @varKSnYear = CAST(year(@vardBegin) AS INT)	



	CREATE TABLE #RES0 (
		ID INT IDENTITY,
		NOM_SPR INT,
		LINK_FACE INT,
		SEX INT,
		INNFIZ VARCHAR(20),
		NUMB_SERT VARCHAR(20),
		STATUS VARCHAR(1),
		FIO VARCHAR(254),
		FM VARCHAR(254),
		IM VARCHAR(254),
		OT VARCHAR(254),
		KDVD VARCHAR(4),
		SERNOM VARCHAR(254), 
		BIRTH DATETIME,
		GRAZD VARCHAR(3),
		KSTR VARCHAR(3),
		LINK_ADR INT,
		IND_ADR VARCHAR(10),
		REGION VARCHAR(4),
		RAION VARCHAR(254),
		GOROD VARCHAR(254),
		NASEL VARCHAR(254),
		STREET VARCHAR(254),
		HOUSE VARCHAR(20),
		KORP VARCHAR(10),
		FLAT VARCHAR(10),

		KSTR_ino VARCHAR(3),
		Adr_ino VARCHAR(200),

		O_OKATO VARCHAR(14),
		O_OKTMO VARCHAR(11),
		O_KPP VARCHAR(9),		

		ksv1 varchar(3), ssv1 numeric(11,2),
		ksv2 varchar(3), ssv2 numeric(11,2),
		ksv3 varchar(3), ssv3 numeric(11,2),
		ksv4 varchar(3), ssv4 numeric(11,2),
		ksv5 varchar(3), ssv5 numeric(11,2),
		ksv6 varchar(3), ssv6 numeric(11,2),
		ksv7 varchar(3), ssv7 numeric(11,2),
		ksv8 varchar(3), ssv8 numeric(11,2),
		ksv9 varchar(3), ssv9 numeric(11,2),
		ksv10 varchar(3), ssv10 numeric(11,2),
		ksv11 varchar(3), ssv11 numeric(11,2),
		ksv12 varchar(3), ssv12 numeric(11,2),
		ssv numeric(11,2), siv numeric(11,2),
		osd13 numeric(11,2), sdo13 numeric(11,2), 
		nalogn13 numeric(18), nalogu13 numeric(18),
		NALOG13S numeric(18),
		osd30 numeric(11,2), sdo30 numeric(11,2), 
		nalogn30 numeric(18), nalogu30 numeric(18),
		NALOG30S numeric(18),
		osd35 numeric(11,2), sdo35 numeric(11,2), 
		nalogn35 numeric(18), nalogu35 numeric(18),
		NALOG35S numeric(18),
		err int,
		S_5_6 NUMERIC(18,2), S_5_7 NUMERIC(18,2),		
		dolg_np numeric(8), dolg_na numeric(8),
		kbkcode1 varchar(30), kbkcode2 varchar(30), kbkcode3 varchar(30), kbkcode4 varchar(30), 
		kbksum1 numeric(18,2), kbksum2 numeric(18,2),kbksum3 numeric(18,2),kbksum4 numeric(18,2),
		VIFNSPL numeric(18,2),
		ZSummPL numeric(18,2),
		UdSumPL numeric(18,2),
		VzkIFNS numeric(18,2)

	)	


CREATE TABLE #FACES (LINK int,PERS_LINK int)

	INSERT INTO #FACES
	SELECT distinct PERS_LINK,PERS_LINK FROM dbo.sd_empl WHERE DEP_LINK = @DEP_LINK 
			AND (
		@BUFFER_SUBDIV IS NULL 
			OR 
		@BUFFER_SUBDIV IS NOT NULL AND SUBDIV_head IN (SELECT LINK FROM @SUBDIV)
		)
	
	INSERT INTO #FACES
	SELECT distinct PERS_LINK,PERS_LINK FROM dbo.SALARY_REESTR_DGH WHERE DEP_LINK = @DEP_LINK
		AND PERS_LINK NOT IN (SELECT PERS_LINK FROM #FACES)		

/*
declare  @Res float 
set @Res = ''
 EXEC RSA_6NDFL_01012016_PREPARE @Res output, '', '20160101', '20161231',2,1,553


*/

	-----------------------------
	delete  from dbo.SAL_DED_MONTH
	where 
	YEAR(DATE_DED) =@varKSnYear 
	AND
	Month(DATE_DED) <= @nMonth
	AND
	LINK_EMPL IN (Select EM.LINK from dbo.EMPL EM INNER JOIN #FACES F on EM.PERS_LINK = F.PERS_LINK)
	AND
	LINK IN 
	(
		select D.LINK 
		from dbo.SAL_DED_MONTH D inner join dbo.empl E on D.link_empl = E.link
		where YEAR(D.DATE_DED) = @varKSnYear AND Month(D.DATE_DED) <= @nMonth  
		and not exists (Select * from dbo.CALCULATE_JURNAL JC where YEAR(JC.PERIOD_BEGIN) = @varKSnYear AND Month(JC.PERIOD_BEGIN) <= @nMonth AND JC.LINK_EMPL = E.LINK AND JC.LINK_VKR = D.LINK_VKR)
	)
	

	-----------------------------

	EXEC dbo.BufferClear
	EXEC dbo.BufferPushTable '#faces', 'REP2NDFL', 'pers_link'

			
	create table #S_J_C_SHORT (LINK_FACE int,PERS_LINK int, link_empl int, link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), link_inc int, period_begin datetime, date1 datetime, link_dep int)

	Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep)
	Select E.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, P.LINK, link_vkr, ISNULL(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, summa, P.LINK_INC,
		period_begin = (Case 
						when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
						then JC.DATE_BEGIN else JC.period_begin 
					end) ,
		JC.DATE_BEGIN,
		JC.LINK_DEP  
	from 
		dbo.CALCULATE_JURNAL JC 
		INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS
		LEFT JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
		LEFT JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
		LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
	where
		(
				(ISNULL(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and @nMonth >= month(JC.PERIOD_BEGIN) and @varKSnYear = year(JC.PERIOD_BEGIN)
				or 
				ISNULL(d.code,'') = 'DOCUMENTS_ADD_TABEL'
				and (@nMonth >= month(JC.DATE_BEGIN) or @nMonth >= month(JC.PERIOD_BEGIN) )
				and (@varKSnYear = year(JC.DATE_BEGIN) or @varKSnYear = year(JC.PERIOD_BEGIN) )

			)
		AND  
			(	-->>NEW
			E.PERS_LINK in (select PERS_LINK from #FACES )
			or
			JC.PERS_LINK in (select PERS_LINK from #FACES )
			)	
		AND JC.LINK_DEP = @DEP_LINK 
	
	union all --
	SELECT   LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep
	from dbo.S_J_C_SHORT SJC 
		LEFT JOIN DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC 
	where 
		SJC.LINK_DEP = @DEP_LINK
		and YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and Month(SJC.PERIOD_BEGIN) <= @nMonth
		and TYP_OPER = 2

CREATE TABLE #S_J_C_SHORT_RES ( link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), link_inc int, period_begin datetime, date1 datetime, link_dep int)
	
INSERT INTO #S_J_C_SHORT_RES ( link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep) 		
SELECT link_pays,
	   link_vkr, 
	   link_ekr, 
	   typ_per, 
	   typ_oper, 
	   sum(summa), 
	   link_inc, 
	   period_begin, 
	   date1, 
	   link_dep
FROM #S_J_C_SHORT
GROUP BY link_pays,link_vkr,link_ekr,typ_per,typ_oper,link_inc,period_begin,date1,link_dep

SELECT * FROM #S_J_C_SHORT_RES

-----------------------------------------------------------
--  
DECLARE @DATE DATETIME
SET @DATE = DBO.ConvertDMY2Date(1,@nMonth, @varKSnYear)
SET @DATE = DBO.DateEndOfMonth(@DATE)

CREATE TABLE #E_SUBDIV (EMPL_LINK INT, SUBDIV_LINK INT)
INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
SELECT EMPL_LINK, SUBDIV_LINK
FROM DBO.SA_EMPLS_INFO(@DATE, DEFAULT)
WHERE [STATUS] = 1 OR [STATUS] = 3

CREATE TABLE #S_OBOSOB (SUBDIV_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #S_OBOSOB (SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP)
SELECT SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP 
FROM [dbo].SUBDIVISION(@DATE) 
WHERE OBOSOB = 1

CREATE TABLE #P_OBOSOB (PERS_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #P_OBOSOB(PERS_LINK, O_OKATO, O_OKTMO, O_KPP)
SELECT E.PERS_LINK, SO.O_OKATO , SO.O_OKTMO, SO.O_KPP 
FROM 
	#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
	INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK

-----------------------------------------------------------
	INSERT INTO #RES0 (
		LINK_FACE,
		SEX,
		INNFIZ, --NALOG,
		NUMB_SERT,
		STATUS,
		FIO,
		FM, IM, OT,
		KDVD,
		SERNOM, 
		BIRTH,
		GRAZD,
		KSTR,
		LINK_ADR,
		IND_ADR,
		REGION,
		RAION,
		GOROD,
		NASEL,
		STREET,
		HOUSE,
		KORP,
		FLAT, 
		KSTR_ino,
		Adr_ino,
		ERR,
		O_OKATO,
		O_OKTMO,
		O_KPP
	)

	SELECT 	distinct 
		P.LINK, P.SEX, P.INN, /*P.IFNS,*/ P.INSUR_NUM, 
		CASE 
			WHEN P.RESIDENT  IS NULL THEN ''
			WHEN P.RESIDENT = 1 THEN '1'
			WHEN P.RESIDENT = 0 THEN '2'
			WHEN P.RESIDENT = 2 THEN '2'
		END,
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT),
		RTRIM(P.FM), RTRIM(P.IM), RTRIM(P.OT),
		[KDVD] = (SELECT TOP 1 CODE FROM FACE_DOCUMENT WHERE LINK = P.DOC_LINK),
		P.DOC_NUM,
		P.BIRTHDATE,
		GRAZD= (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK),
		KSTR= (case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then '643' else '' END),
		ADR.LINK_ADDR,
		ADR.IND_ADR,
		ADR.REGION,
		ADR.RAION,
		ADR.GOROD,
		ADR.NASEL,
		ADR.STREET,
		ADR.HOUSE,
		ADR.KORP,
		ADR.FLAT,
		KSTR_ino = '',
		Adr_ino = '',
		0,
		PO.O_OKATO,
		PO.O_OKTMO,
		PO.O_KPP
	FROM 
		#FACES F 
		INNER JOIN PERSON P ON P.LINK = F.PERS_LINK
		INNER JOIN (SELECT LINK_FACE from #S_J_C_Short SJC where LINK_FACE is not null
			UNION SELECT LINK_FACE= PERS_LINK from #S_J_C_Short SJC where PERS_LINK is not null) J on P.LINK = J.LINK_FACE
		LEFT OUTER JOIN dbo.NDFL_GET_ADDRESS() ADR ON P.LINK = ADR.LINK_FACE
		LEFT JOIN #P_OBOSOB PO ON PO.PERS_LINK = F.PERS_LINK
	ORDER BY 
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT)



		
	select DISTINCT SJC.LINK_FACE, Y = year(SJC.PERIOD_BEGIN), M = month(SJC.PERIOD_BEGIN),		
					PERC_TAX = CASE WHEN ISNULL(DTI.FLAG,0) = 0 THEN 0 
						WHEN ISNULL(DTI.FLAG,0) = 1 THEN 0
						WHEN ISNULL(DTI.FLAG,0) = 2 THEN 13
						WHEN ISNULL(DTI.FLAG,0) = 3 THEN 30
						WHEN ISNULL(DTI.FLAG,0) = 4 THEN 35  
					END ,  
					LINK_INC, LINK_VKR  
	into #spr_pays_kbk
	from 	#S_J_C_SHORT SJC
	LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
	 where SJC.TYP_OPER = 1

	CREATE TABLE #PAYS_0_tmp
	(
		ID INT IDENTITY,
		LINK_FACE INT,
		mes int, PERC_TAX INT , 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)

	CREATE TABLE #PAYS_0
	(
		ID INT IDENTITY,
		LINK_FACE INT, 
		mes int, PERC_TAX INT ,  
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)

	INSERT INTO #PAYS_0_tmp
	(LINK_FACE, mes, PERC_TAX,
	LINK_INC, CODE_INC, SUMMA_INC,
	LINK_DED, CODE_DED, SUMMA_DED)
	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		PERC_TAX = CASE WHEN ISNULL(DTI.FLAG,0) = 0 THEN 0 
						WHEN ISNULL(DTI.FLAG,0) = 1 THEN 0
						WHEN ISNULL(DTI.FLAG,0) = 2 THEN 13
						WHEN ISNULL(DTI.FLAG,0) = 3 THEN 30
						WHEN ISNULL(DTI.FLAG,0) = 4 THEN 35  
					END ,
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM 
		#S_J_C_SHORT SJC 
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.LINK_FACE = F.PERS_LINK
	WHERE 
		SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.PERS_LINK,0) = 0
		AND
		SJC.LINK_DEP = @DEP_LINK 
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED, DTI.FLAG

	---<<    	
	union all 

	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		PERC_TAX = CASE WHEN ISNULL(DTI.FLAG,0) = 0 THEN 0 
				WHEN ISNULL(DTI.FLAG,0) = 1 THEN 0
				WHEN ISNULL(DTI.FLAG,0) = 2 THEN 13
				WHEN ISNULL(DTI.FLAG,0) = 3 THEN 30
				WHEN ISNULL(DTI.FLAG,0) = 4 THEN 35  
			END ,
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM #S_J_C_SHORT SJC 	
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC --AND DTI.SNAME <> '0000'
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 	SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.LINK_FACE,0) = 0
		AND
		SJC.LINK_DEP = @DEP_LINK
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED, DTI.FLAG
	ORDER BY 
		1, ISNULL(DTI.SNAME,'0000'), COD_DED

	---   ,      
	--- --------------------------------------------------
	/*create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0)

	INSERT INTO #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS)
	Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS
	from dbo.SA_ESN_VIEW(@varKSnYear, @nMonth, @DEP_LINK, 0)
	
	SELECT * FROM #SPR_ESN
	*/-----------------------------------------------------
	-----------------------------------------------------
-- select( 8297996.42 - 1019455.00) * 0.13

	INSERT INTO #PAYS_0
	Select LINK_FACE, mes,perc_tax, LINK_INC, CODE_INC, sum(SUMMA_INC), LINK_DED, CODE_DED, sum(SUMMA_DED)
	from #PAYS_0_tmp
	group by LINK_FACE, mes,perc_tax, LINK_INC, CODE_INC, LINK_DED, CODE_DED
	having Sum(SUMMA_INC) <> 0

	drop table #PAYS_0_tmp

	---->>
	--
	SELECT D.LINK_FACE, D.mes, kbk.perc_tax, SUM(D.SUMMA) as SUMMA, D.REF_DED INTO #DED 
	FROM 
		dbo.SA_NDFL_MONTH_DED_ALL(@varKSnYear) D 
		inner join #spr_pays_kbk kbk on kbk.LINK_FACE = d.LINK_FACE and kbk.m = d.mes and kbk.link_inc = d.REF_INC and kbk.LINK_VKR = d.LINK_VKR
	where 
		kbk.y = @varKSnYear
		and kbk.m <= @nMonth
	GROUP BY 
		D.LINK_FACE, d.mes, d.REF_DED, kbk.perc_tax


	UPDATE #PAYS_0
	SET SUMMA_DED = 
		(SELECT SUM(SUMMA) FROM #DED D WHERE D.LINK_FACE = R.LINK_FACE AND D.REF_DED = R.LINK_DED AND D.mes = R.mes ) 
	FROM #PAYS_0 R 
	WHERE LINK_DED IS NOT NULL

	update #PAYS_0 
		Set CODE_DED = ''
		where ISNULL(SUMMA_DED,0) = 0

SELECT * FROM #PAYS_0

	CREATE TABLE #P0 (LINK_FACE INT, ID1 INT)

	--- 1
	CREATE TABLE #PAYS1_TMP (LINK_FACE INT , SM NUMERIC(18,2) , [MONTH] INT, PERC_TAX INT ) 
	INSERT INTO #PAYS1_TMP (LINK_FACE, SM, [MONTH], PERC_TAX) 
		SELECT EP.PERS_LINK, ISNULL(SUM(SJ.summa), 0) , MONTH(CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_END WHEN SJ.TYP_PER = 2 THEN SJ.DATE2 END) , 																																
				PERC_TAX = CASE WHEN ISNULL(DTI.FLAG,0) = 0 THEN 0 
				WHEN ISNULL(DTI.FLAG,0) = 1 THEN 0
				WHEN ISNULL(DTI.FLAG,0) = 2 THEN 13
				WHEN ISNULL(DTI.FLAG,0) = 3 THEN 30
				WHEN ISNULL(DTI.FLAG,0) = 4 THEN 35  
			END 
		
		FROM SALARY_JURNAL_CALCULAT_SHORT SJ 
		INNER JOIN dbo.NDFL_GroupTax() T ON SJ.link_PAYS=T.LINK_PAYS
		INNER JOIN dbo.KU_EMPL_PLACING EP ON EP.LINK = SJ.LINK_EMPL
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.dictionary_typ_incoms dti ON dti.link = SJ.LINK_INC
		WHERE 
			SJ.PERIOD_BEGIN >= @BYearDate AND SJ.PERIOD_END <=@vardEND
--			(CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_BEGIN WHEN SJ.TYP_PER = 2 THEN SJ.DATE1 END) >= @varKSdDate1 
--			AND (CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_END WHEN SJ.TYP_PER = 2 THEN SJ.DATE2 END)<=@varKSdDate2
			AND EP.DEP_LINK = @DEP_LINK
		GROUP BY EP.PERS_LINK, MONTH(CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_END WHEN SJ.TYP_PER = 2 THEN SJ.DATE2 END) , DTI.FLAG




	CREATE TABLE #PAYS1(LINK_FACE INT, SM NUMERIC(11,2), MONTH_NUM INT, PERC_TAX int)
	INSERT INTO #PAYS1
	SELECT LINK_FACE, SM, [MONTH], PERC_TAX 	 
	FROM #PAYS1_TMP ORDER BY  [MONTH], LINK_FACE

	DROP TABLE #PAYS1_TMP
	---<<    
	insert into #pays1

	SELECT 
		F.PERS_LINK,
		SUM(SUMMA) AS SUMMA_INC,
		Month(SJC.PERIOD_BEGIN),
		PERC_TAX = CASE WHEN ISNULL(DTI.FLAG,0) = 0 THEN 0 
				WHEN ISNULL(DTI.FLAG,0) = 1 THEN 0
				WHEN ISNULL(DTI.FLAG,0) = 2 THEN 13
				WHEN ISNULL(DTI.FLAG,0) = 3 THEN 30
				WHEN ISNULL(DTI.FLAG,0) = 4 THEN 35  
			END 
	FROM 
		#S_J_C_SHORT SJC 
		INNER JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND ISNULL(SJC.LINK_FACE,0) = 0
		AND SJC.LINK_DEP = @DEP_LINK 
	GROUP BY F.PERS_LINK, SJC.PERIOD_BEGIN, DTI.FLAG


	---->>

	SELECT LINK_FACE, SUM(SM) AS SM, PERC_TAX
	INTO #PAYS_R
	FROM #PAYS1
	GROUP BY LINK_FACE,PERC_TAX


	INSERT INTO #PAYS1
	SELECT 
		EP.PERS_LINK, -SUM(SUMMA), MONTH(DATE_DED),NULL
	FROM    
		dbo.empl EP 
		inner join SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND [TYPE] = 2)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
	where 
		EP.DEP_LINK = @DEP_LINK	
	GROUP BY 
		EP.PERS_LINK, MONTH(DATE_DED)




	CREATE TABLE #PAYS3(ID INT IDENTITY, LINK_FACE INT, LINK_DED INT, CODE_DED VARCHAR(6), SUMMA NUMERIC(18,2), SUMMA_FAKT NUMERIC(18,2))
	--     
	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.empl EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BYearDate) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE


	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.REESTR_DGH EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_DGH AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND S.[TYPE] = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BYearDate) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE
		
	--UPDATE #PAYS3
	--SET
	--	SUMMA = (Select sum(SUM_DED) from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	
	--where
	--	exists (Select * from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	

	UPDATE #PAYS3
	SET
		SUMMA = ISNULL(SUMMA_FAKT,0)
	where
		ISNULL(SUMMA,0) = 0

	--  (,     .)
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, SUM(S.SUMMA), SUM(S.SUMMA) 
	FROM 
		dbo.EMPL EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		--INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
	where 
		T.NUMBER NOT IN (	1, --
							6 --    
							)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

/*
declare  @Res float 
set @Res = ''
  EXEC RSA_6NDFL_01012016_PREPARE @Res output, '', '20160101', '20160331',1 ,0  ,703

*/	

	--   . 
	update #RES0
	Set siv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = @DEP_LINK AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0),
		ssv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED NOT IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = @DEP_LINK AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0)		
	from #RES0 R

--SELECT * FROM #RES0

	--
	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV1 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV1 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV2 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV2 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV3 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV3 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV4 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV4 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV5 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV5 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV6 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV6 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV7 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV7 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV8 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV8 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV9 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV9 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV10 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV10 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV11 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV11 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV12 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV12 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END



	UPDATE #RES0 SET OSD13 = ISNULL((SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE AND PR.PERC_TAX = 13),0) FROM #RES0 R
	UPDATE #RES0 SET OSD30 = ISNULL((SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE AND PR.PERC_TAX = 30),0) FROM #RES0 R
	UPDATE #RES0 SET OSD35 = ISNULL((SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE AND PR.PERC_TAX = 35),0) FROM #RES0 R


	----
	UPDATE #RES0 SET SDO13 = OSD13 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0  WHERE PERC_TAX = 13 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE

	UPDATE #RES0 SET SDO30 = OSD30 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0  WHERE PERC_TAX = 30 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE
	
	UPDATE #RES0 SET SDO35 = OSD35 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0  WHERE PERC_TAX = 35 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE

	-----
	UPDATE #RES0 SET SDO13 = 0 WHERE SDO13 < 0
	UPDATE #RES0 SET SDO30 = 0 WHERE SDO30 < 0
	UPDATE #RES0 SET SDO35 = 0 WHERE SDO35 < 0
	


	CREATE TABLE #NDFL_TAX(LINK_TAX INT, PERC_TAX INT )
	INSERT INTO #NDFL_TAX
	SELECT LINK, PERC_TAX = CASE WHEN P.WAY_CALC = 4 THEN 13 
								 WHEN P.WAY_CALC = 5 THEN 30
								 WHEN P.WAY_CALC = 6 THEN 35  end	
	FROM PAYS P WHERE P.OBJECT = 2 AND P.WAY_CALC IN (4,5,6)
	
	--- 13%
	Create table #NDLF13_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF13 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF13_tmp (LINK, SUMMA)
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  AND  T.PERC_TAX = 13
	WHERE 
		YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY 
		B.LINK
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX AND  T.PERC_TAX = 13  
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY B.LINK

	insert into #NDLF13 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF13_tmp group by LINK
	
	drop table #NDLF13_tmp


	-- 30% 
		Create table #NDLF30_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF30 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF30_tmp (LINK, SUMMA)
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  AND  T.PERC_TAX = 30
	WHERE 
		YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY 
		B.LINK
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX AND  T.PERC_TAX = 30  
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY B.LINK

	insert into #NDLF30 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF30_tmp group by LINK
	
	drop table #NDLF30_tmp
	
	-- 35% 
		Create table #NDLF35_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF35 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF35_tmp (LINK, SUMMA)
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  AND  T.PERC_TAX = 35
	WHERE 
		YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY 
		B.LINK
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX AND  T.PERC_TAX = 35
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY B.LINK

	insert into #NDLF35 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF35_tmp group by LINK
	
	drop table #NDLF35_tmp
	

	--->>

	UPDATE #RES0 SET NALOGU13 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF13 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN13 = SDO13 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX AND T.PERC_TAX =13 WHERE TARIF = 1)
								ELSE 0.30 END)
	
	UPDATE #RES0 SET NALOGU30 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF30 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN30 = SDO30 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX  AND T.PERC_TAX =30 WHERE TARIF = 1)
								ELSE 0.30 END)	
	
	UPDATE #RES0 SET NALOGU35 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF35 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN35 = SDO35 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX  AND T.PERC_TAX =35 WHERE TARIF = 1)
								ELSE 0.30 END)														



	--     
	DECLARE @SUMMA_PLAT_ALL NUMERIC(18,2)
		
/*	IF @nCHECK_S = 0
		BEGIN
			SET @SUMMA_PLAT_ALL =  @nSumm_For_Check 	
		END
	ELSE
		BEGIN 
*/			EXEC dbo.SA_NDFL_PLAT @varKSnYear, @DATE, @DEP_LINK, @SUMMA_PLAT_ALL OUT
/*		END */
	--     
	DECLARE @SUMMA_NACH_ALL NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL @varKSnYear, @DATE, @DEP_LINK, @SUMMA_NACH_ALL OUT
	
	--  30%    
	DECLARE @SUMMA_NACH_ALL30 NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL30 @varKSnYear, @DATE, @DEP_LINK, @SUMMA_NACH_ALL30 OUT
	
	--  35%    
	DECLARE @SUMMA_NACH_ALL35 NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL35 @varKSnYear, @DATE, @DEP_LINK, @SUMMA_NACH_ALL35 OUT
	
	--   13%	
	UPDATE #RES0 SET NALOG13S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL > 0 THEN (NALOGU13	/ @SUMMA_NACH_ALL) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG13S = CASE WHEN NALOG13S > NALOGU13 THEN NALOGU13 ELSE NALOG13S END

	UPDATE #RES0 SET NOM_SPR = ID --+ @varKSnFirstNum - 1
	
	--   30%	
	UPDATE #RES0 SET NALOG30S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL30 > 0 THEN (NALOGU30/ @SUMMA_NACH_ALL30) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG30S = CASE WHEN NALOG30S > NALOGU30 THEN NALOGU30 ELSE NALOG30S END

	UPDATE #RES0 SET NOM_SPR = ID --+ @varKSnFirstNum - 1

	--   35%	
	UPDATE #RES0 SET NALOG35S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL35 > 0 THEN (NALOGU35	/ @SUMMA_NACH_ALL35) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG35S = CASE WHEN NALOG35S > NALOGU35 THEN NALOGU35 ELSE NALOG35S END

	UPDATE #RES0 SET NOM_SPR = ID --+ @varKSnFirstNum - 1	

	--- /      
	UPDATE A SET 
		S_5_6 = (CASE WHEN R.NDFL > 0 THEN R.NDFL ELSE 0 END),
		S_5_7 = (CASE WHEN R.NDFL <= 0 THEN - R.NDFL ELSE 0 END)
	FROM
		#RES0 A INNER JOIN 
		(SELECT E.PERS_LINK, NDFL = SUM(SR.NDFL) FROM dbo.SAL_REMAIN SR INNER JOIN dbo.EMPL E ON E.LINK = SR.LINK_EMPL WHERE SR.YEAR_SAL = @varKSnYear GROUP BY E.PERS_LINK) R 
			ON R.PERS_LINK = A.LINK_FACE
			
		
	--	
	UPDATE #RES0 SET DOLG_NP = CASE WHEN NALOGN13 - NALOGU13 > 0 THEN NALOGN13 - NALOGU13 ELSE 0 END - ISNULL(S_5_6,0)
	UPDATE #RES0 SET DOLG_NA = CASE WHEN NALOGU13 - NALOGN13 > 0 THEN NALOGU13 - NALOGN13 ELSE 0 END - ISNULL(S_5_7,0)


	--^^^^^^^^^   ^^^^^^^^^^
	create table  #PAYS_NDFL (ID INT IDENTITY, LINK_FACE int, LINK_PAYS int, kbk_code varchar(30), SUMMA numeric(18,2))

	INSERT INTO #PAYS_NDFL (LINK_FACE, LINK_PAYS, kbk_code, SUMMA)
	SELECT LINK_FACE, SJC.LINK_PAYS, left(kbk.CODE,30), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.PERS_LINK,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)
	GROUP BY 
		LINK_FACE, LINK_PAYS, kbk.CODE

	union all ---<<    	

	SELECT  PERS_LINK, SJC.LINK_PAYS, left(kbk.CODE,20), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.LINK_FACE,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)

	GROUP BY 
		PERS_LINK, LINK_PAYS, kbk.CODE
	ORDER BY 
		1, 2, 3


	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode1 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum1 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode2 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum2 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode3 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum3 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode4 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum4 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	-------------------------------------
	update #res0
	set 	VIFNSPL =0, ZSummPL =0, UdSumPL =0, VzkIFNS =0


	DECLARE @varKSCNT INT

	SELECT @varKSCNT  = COUNT(*) FROM #RES0

	SELECT TOP 1 
		LTRIM(RTRIM(STR(@varKSCNT))) AS DOCCOUNT, 
		ISNULL(IMNS, '') AS NALOG,
		ISNULL(dd.INN, '') AS INN,
		ISNULL(KPP, '') AS KPP,
		ISNULL(OKATO, '')  AS OKATO,
		ISNULL(OKTMO, '')AS OKTMO,
		convert(varchar (254),(ISNULL(FULL_NAME, ''))) AS FULL_NAME,
		ISNULL(DOTF.PHONE, '') AS PHONE,
		ISNULL(RTRIM(FM), '') + ' ' + ISNULL(RTRIM(IM), '') + ' ' + ISNULL(RTRIM(OT), '') AS GLBUH,
		ISNULL(RTRIM(FM), '') AS FM,
		ISNULL(RTRIM(IM), '') AS IM, 
		ISNULL(RTRIM(OT), '') AS OT,
		ISNULL(RTRIM(DOTF.NAME), '') AS Dolzh
	INTO #DEP
	FROM DICTIONARY_DEPARTMENT DD 
	LEFT OUTER JOIN DICTIONARY_OTV_FACE DOTF ON 
		(DOTF.DEP_LINK = DD.LINK
		AND DOTF.NAME = ' ')
	LEFT OUTER JOIN KU_EMPL_PLACING EP ON DOTF.FACE_LINK = EP.LINK
	WHERE DD.link = @DEP_LINK



	DECLARE @varKScInn VARCHAR(254), @varKScKPP VARCHAR(254), @varKSFULL_NAME varchar(254), 
		@varKSNALOG VARCHAR(254), @varKSOKATO VARCHAR(254), @varKSOKTMO VARCHAR(254), @varKSPHONE VARCHAR(254), 
		@varKSGLBUH VARCHAR(254), 
		@varKSRESULT BIT

	SELECT 
		@varKScInn = INN, @varKScKPP = KPP,
		@varKSFULL_NAME = FULL_NAME, 
		@varKSNALOG = NALOG, @varKSOKATO = Replace(OKATO,' ',''), @varKSOKTMO = Replace(OKTMO,' ',''),
		@varKSPHONE = PHONE, 
		@varKSGLBUH  = GLBUH
	FROM #DEP

	/*  */  -- DED_TYPE = 1 - , 2-  
/*	CREATE TABLE #td (LINK_PERSON INT ,NUM_REF VARCHAR(15),DATE_REF DATETIME,IFNS_CODE VARCHAR(20),DED_TYPE TINYINT)
	INSERT INTO #td (LINK_PERSON ,NUM_REF,DATE_REF,IFNS_CODE,DED_TYPE)
	Select LINK_PERSON, 
		   NUM_REF, 
		   DATE_REF, 
		   IFNS_CODE,
		   DED_TYPE = 1 
	from dbo.TAX_DEDUCTIONS td
	where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER ='4')  )
	UNION SELECT 
		   LINK_PERSON, 
		   NUM_REF, 
		   DATE_REF, 
		   IFNS_CODE,
		   DED_TYPE = 2 
	from dbo.TAX_DEDUCTIONS td
	where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER IN('11','12','13')) )
*/

	declare @KBK_DEFAULT varchar(254)
	Set @KBK_DEFAULT = (select Top 1 CODE_KBK from dbo.sd_empl where LINK_KBK > 0)

	UPDATE #RES0 Set kbkcode1 = @KBK_DEFAULT, kbksum1 = 0 where ISNULL(kbksum1,0) = 0

/*	/*  */
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '        '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 inner join  #td on #RES0.LINK_FACE = #td.LINK_PERSON 
	WHERE rtrim(ltrim(ISNULL(NUM_REF,''))) = '' or rtrim(ltrim(ISNULL(IFNS_CODE,''))) = '' or DATE_REF is null AND OSD13 > 0 

*/	CREATE TABLE #RES_OUT (ID INT,LINK_FACE INT,mes INT,LINK_INC INT,CODE_INC VARCHAR(4),SUMMA_INC NUMERIC(18,2),LINK_DED INT,CODE_DED VARCHAR(3),SUMMA_DED NUMERIC(18,2),ID2 INT)

	INSERT INTO #RES_OUT (ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2)
	SELECT ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2 = 0 
	FROM #PAYS_0 
	ORDER BY LINK_FACE, MES, CODE_INC
	
	---
	CREATE TABLE #RES_OUT_ORD (NUM_PP INT IDENTITY(1,1), ID INT, LINK_FACE INT)
	INSERT INTO #RES_OUT_ORD (ID, LINK_FACE)
	SELECT ID, LINK_FACE FROM #PAYS_0 ORDER BY LINK_FACE, MES, CODE_INC
	--
	CREATE TABLE #RES_OUT_ORD2 (LINK_FACE INT, MIN_NUM INT)
	INSERT INTO #RES_OUT_ORD2 (LINK_FACE, MIN_NUM)
	SELECT LINK_FACE, MIN(NUM_PP) FROM #RES_OUT_ORD GROUP BY LINK_FACE
	---   
	UPDATE R
	SET R.ID2 = O.NUM_PP - O2.MIN_NUM + 1
	FROM 
		#RES_OUT R 
		INNER JOIN #RES_OUT_ORD O ON O.ID = R.ID
		INNER JOIN #RES_OUT_ORD2 O2 ON O2.LINK_FACE = R.LINK_FACE


	CREATE TABLE #ORDERS (ID int)
	DECLARE @SQL VARCHAR(1000)
	SET @SQL = 'ALTER TABLE #ORDERS ADD [NOM_SPR] INT IDENTITY(' + RTRIM(str(ISNULL(1,1))) + ',1)'
	EXEC(@SQL)

	INSERT INTO #ORDERS (ID) 
	SELECT DISTINCT ID 
	FROM #RES0 
	WHERE LINK_FACE IN ( Select DISTINCT LINK_FACE from #RES_OUT where [ID2]%2 = 1 )
			--AND ISNULL(OSD13,0) > 0
	ORDER BY ID

	--UPDATE #ORDERS SET NOM_SPR = NOM_SPR + @varKSnFirstNum - 1

	---   
	UPDATE #DEP SET DOCCOUNT = ISNULL((SELECT MAX(NOM_SPR) FROM #ORDERS),0)
	-------------------
	/*SELECT 
		R.ID, O.NOM_SPR, R.LINK_FACE, R.SEX, R.INNFIZ, R.NUMB_SERT, R.STATUS, 
		R.FIO, R.FM, R.IM, R.OT, R.KDVD, R.SERNOM, R.BIRTH, R.GRAZD, R.KSTR, 
		R.LINK_ADR, R.IND_ADR, R.REGION, R.RAION, R.GOROD, R.NASEL, R.STREET, 
		R.HOUSE, R.KORP, R.FLAT, R.KSTR_ino, R.Adr_ino, 
		R.ksv1, R.ssv1, R.ksv2, R.ssv2, R.ksv3, R.ssv3, R.ksv4, R.ssv4, R.ksv5, R.ssv5, R.ksv6, R.ssv6, 
		R.ksv7, R.ssv7, R.ksv8, R.ssv8, R.ksv9, R.ssv9, R.ksv10, R.ssv10, R.ksv11, R.ssv11, R.ksv12, R.ssv12, 
		R.ssv, R.siv, R.osd13, R.sdo13, R.nalogn13, R.nalogu13, R.nalog13s, R.err, R.S_5_6, R.S_5_7, R.dolg_np, R.dolg_na, 
		R.kbkcode1, R.kbkcode2, R.kbkcode3, R.kbkcode4, R.kbksum1, R.kbksum2, R.kbksum3, R.kbksum4, 
		R.VIFNSPL, R.ZSummPL, R.UdSumPL, R.VzkIFNS, 
		--ndoc_td = td1.NUM_REF , --   
		--ddoc_td = td1.DATE_REF,
		--ifnsdoc_td = td1.ifns_code,
		--nDoc_SD = td2.NUM_REF, --    
		--dDoc_SD = td2.DATE_REF,
		--ifnsdoc_sd = td2.ifns_code,
		--nalog	= @varKSNALOG,
		KPP1 = ISNULL(R.O_KPP,@varKScKPP),
		OKATO1 = replace(ISNULL(R.O_OKATO,@varKSOKATO),' ',''),
		OKATO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKATO else '' end),
		OKATO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKATO else '' end),
		OKATO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKATO else '' end),
		OKTMO1 = replace(ISNULL(R.O_OKATO,@varKSOKTMO),' ',''),
		OKTMO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKTMO else '' end),
		T.M1, T.CINC1, T.SINC1, T.CDED1, T.SDED1, T.M2, T.CINC2, T.SINC2, T.CDED2, T.SDED2--,
		--td1.LINK_PERSON/*, #td.NUM_REF, #td.DATE_REF, #td.IFNS_CODE*/
	FROM #RES0 R 
		INNER JOIN #ORDERS O ON O.ID = R.ID
		INNER JOIN ( 
			Select	T1.LINK_FACE, M1= T1.MES, CINC1= T1.CODE_INC, SINC1= T1.SUMMA_INC, CDED1= T1.CODE_DED, SDED1= T1.SUMMA_DED, M2= T2.MES, CINC2= T2.CODE_INC, SINC2= T2.SUMMA_INC, CDED2= T2.CODE_DED, SDED2= T2.SUMMA_DED
			from	(Select * from #RES_OUT where [ID2]%2 = 1) T1 left join (Select * from #RES_OUT where [ID2]%2 = 0) T2 on T1.link_FACE = T2.LINK_FACE AND T1.[ID2] = (T2.[ID2]-1)
		) T on R.LINK_FACE = T.LINK_FACE
	--	LEFT OUTER JOIN   #td td1 on R.LINK_FACE = td1.LINK_PERSON AND td1.DED_TYPE = 1 /* */
	--	LEFT OUTER JOIN   #td td2 on R.LINK_FACE = td2.LINK_PERSON AND td2.DED_TYPE = 2 /* */
	--where OSD13 > 0 
	ORDER BY O.NOM_SPR, T.M1, T.CINC1, T.M2, T.CINC2
	
	*/

	-------------------------------------------
	---        
	------------------------------------------
	CREATE TABLE #RES_OUT_MAIN (ID INT IDENTITY(1,1),PERC_TAX INT,SUMMA_INC NUMERIC(18,2),SUMMA_DED NUMERIC(18,2))

	INSERT INTO #RES_OUT_MAIN (PERC_TAX, SUMMA_INC, SUMMA_DED)
	SELECT PERC_TAX, SUM(SUMMA_INC), SUM(SUMMA_DED)
	FROM #PAYS_0 
	GROUP BY PERC_TAX
	ORDER BY PERC_TAX
	
	IF NOT EXISTS (SELECT * FROM #RES_OUT_MAIN WHERE PERC_TAX = 30)
	   INSERT INTO #RES_OUT_MAIN(PERC_TAX, SUMMA_INC, SUMMA_DED)
	   SELECT PERC_TAX = 30 ,
			  SUMMA_INC = NULL, 
			  SUMMA_DED = NULL
	IF NOT EXISTS (SELECT * FROM #RES_OUT_MAIN WHERE PERC_TAX = 35)
	   INSERT INTO #RES_OUT_MAIN(PERC_TAX, SUMMA_INC, SUMMA_DED)
	   SELECT PERC_TAX = 35 ,
			  SUMMA_INC = NULL, 
			  SUMMA_DED = NULL		  
	-------------------


/*
declare  @Res float 
set @Res = ''
  EXEC RSA_6NDFL_01012016_PREPARE @Res output, '', '20160101', '20160331',1 ,0  ,703

*/	

	CREATE TABLE  #RES0_PERC (ID INT , PERC_TAX INT, COUNT_FIZL INT, SUMMA_INC NUMERIC(18,2), SUMMA_DED NUMERIC(18,2)  ,ssv NUMERIC(18,2), siv NUMERIC(18,2), osd NUMERIC(18,2), sdo NUMERIC(18,2), nalogn NUMERIC(18,2), nalogu NUMERIC(18,2), nalogs NUMERIC(18,2), S_5_6 NUMERIC(18,2), S_5_7 NUMERIC(18,2), dolg_np NUMERIC(18,2),dolg_na NUMERIC(18,2)  )
	INSERT INTO  #RES0_PERC(ID, PERC_TAX,COUNT_FIZL,SUMMA_INC, SUMMA_DED, ssv, siv, osd, sdo, nalogn, nalogu, nalogs, S_5_6, S_5_7, dolg_np,dolg_na)
	SELECT ID = 1 , 
		   PERC_TAX = 13,
		   ISNULL(COUNT(LINK_FACE),NULL),
		   SUMMA_INC = NULL,
		   SUMMA_DED = NULL,
		   ISNULL(SUM(ssv),NULL), 
		   ISNULL(SUM(siv),NULL), 
		   osd = ISNULL(SUM(osd13),NULL), 
		   sdo = ISNULL(SUM(sdo13),NULL), 
		   nalogn = ISNULL(SUM(nalogn13),NULL), 
		   nalogu = ISNULL(SUM(nalogu13),NULL), 
		   nalogs = ISNULL(SUM(nalog13s),NULL), 
		  ISNULL( SUM(S_5_6),NULL) , 
		   ISNULL(SUM(S_5_7),NULL) , 
		   ISNULL(SUM(dolg_np),NULL),
		   ISNULL(SUM(dolg_na),NULL)
	FROM #RES0  r
	WHERE isnull(osd13,0) <> 0
	UNION ALL 
		SELECT ID = 2 , 
		   PERC_TAX = 30,
		    ISNULL(COUNT(LINK_FACE),NULL),
		   SUMMA_INC = NULL,
		   SUMMA_DED = NULL,
		    ISNULL(SUM(ssv),NULL), 
		    ISNULL(SUM(siv),NULL), 
		   osd =  ISNULL(SUM(osd30),NULL), 
		   sdo =  ISNULL(SUM(sdo30),NULL), 
		   nalogn =  ISNULL(SUM(nalogn30),NULL), 
		   nalogu =  ISNULL(SUM(nalogu30),NULL), 
		   nalogs =  ISNULL(SUM(nalog30s),NULL), 
		    ISNULL(SUM(S_5_6),NULL) , 
		    ISNULL(SUM(S_5_7),NULL) , 
		    ISNULL(SUM(dolg_np),NULL),
		    ISNULL(SUM(dolg_na),NULL)
	FROM #RES0  r
	WHERE isnull(osd30,0) <> 0	
	UNION ALL 
		SELECT ID = 3 , 
		   PERC_TAX = 35,
		   ISNULL(COUNT(LINK_FACE),NULL),
		   SUMMA_INC = NULL,
		   SUMMA_DED = NULL,
		   ISNULL(SUM(ssv),NULL), 
		   ISNULL(SUM(siv),NULL), 
		   osd = ISNULL(SUM(osd35),NULL), 
		   sdo = ISNULL(SUM(sdo35),NULL), 
		   nalogn = ISNULL(SUM(nalogn35),NULL), 
		   nalogu = ISNULL(SUM(nalogu35),NULL), 
		   nalogs = ISNULL(SUM(nalog35s),NULL), 
		   ISNULL(SUM(S_5_6),NULL) , 
		   ISNULL(SUM(S_5_7),NULL) , 
		   ISNULL(SUM(dolg_np),NULL),
		   ISNULL(SUM(dolg_na),NULL)
	FROM #RES0  r
	WHERE isnull(osd35,0) <> 0	
	
	update  P
	SET   SUMMA_INC = RO.SUMMA_INC ,
		SUMMA_DED = RO.SUMMA_DED
	FROM #RES0_PERC P 
	INNER JOIN #RES_OUT_MAIN RO ON RO.PERC_TAX = P.PERC_TAX 

	
CREATE TABLE #RES2(CODE_STR VARCHAR(10), COL3 NUMERIC(20,2))

	
INSERT INTO #RES2 SELECT '010', ISNULL(PERC_TAX,13) FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '020', isnull(OSD,0) FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '025', 0 FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '030', ISNULL(OSD,0) -  ISNULL(SDO,0)  FROM #RES0_PERC WHERE  ID = 1 ---isnull(ssv,0)+isnull(siv,0)+isnull(SUMMA_DED,0) FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '040', isnull(nalogn,0) FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '045', 0 FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '050', 0 FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '1010',ISNULL(PERC_TAX,30) FROM #RES0_PERC WHERE  ID = 2
INSERT INTO #RES2 SELECT '1020', isnull(OSD,0) FROM #RES0_PERC WHERE  ID = 2 
INSERT INTO #RES2 SELECT '1025', 0 FROM #RES0_PERC WHERE  ID = 2
INSERT INTO #RES2 SELECT '1030',ISNULL(OSD,0) -  ISNULL(SDO,0)  FROM #RES0_PERC WHERE  ID = 2 --isnull(ssv,0)+isnull(siv,0)+isnull(SUMMA_DED,0) FROM #RES0_PERC WHERE  ID = 2 
INSERT INTO #RES2 SELECT '1040', isnull(nalogn,0) FROM #RES0_PERC WHERE  ID = 2 
INSERT INTO #RES2 SELECT '1045', 0 FROM #RES0_PERC WHERE  ID = 2 
INSERT INTO #RES2 SELECT '1050', 0 FROM #RES0_PERC WHERE  ID = 2 
INSERT INTO #RES2 SELECT '2010', ISNULL(PERC_TAX,35) FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2020', isnull(OSD,0) FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2025', 0 FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2030', ISNULL(OSD,0) -  ISNULL(SDO,0)  FROM #RES0_PERC WHERE  ID = 3 --isnull(ssv,0)+isnull(siv,0)+isnull(SUMMA_DED,0) FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2040', isnull(nalogn,0) FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2045', 0 FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2050', 0 FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '3060', SUM(isnull(COUNT_FIZL,0)) FROM #RES0_PERC   
INSERT INTO #RES2 SELECT '3070', SUM(isnull(nalogu,0)) FROM #RES0_PERC   
INSERT INTO #RES2 SELECT '3080', SUM(isnull(dolg_np,0)) FROM #RES0_PERC  
INSERT INTO #RES2 SELECT '3090', SUM(isnull(dolg_na,0)) FROM #RES0_PERC 

--SELECT * FROM #RES2
/*  -      */
DECLARE @Table_Razd1 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd1 OUTPUT
EXEC ('select * INTO ' + @Table_Razd1 + ' from #RES2 order by code_str')
EXEC dbo.BufferPush -116, @Table_Razd1

	-----------------------------------------------------
	---------------------------------------------------

	---
	--SELECT *, CAST(  (CAST (DOCCOUNT AS INT) - @varKSCNT) AS VARCHAR(254) ) AS DOCCOUNT2 FROM #DEP 
	---	

/*	UPDATE L SET
		NUMBER = O.NOM_SPR
	FROM 
		#LOG L
		INNER JOIN #RES0 R ON L.LINK = R.LINK_FACE
		INNER JOIN #ORDERS O ON O.ID = R.ID
	
	SELECT * FROM #LOG ORDER BY LINK, ERR
*/	---
--	EXEC dbo.BufferClear

	DROP TABLE #FACES
	DROP TABLE #S_J_C_SHORT
	DROP TABLE #S_J_C_SHORT_RES
/*	DROP TABLE #E_SUBDIV
	DROP TABLE #S_OBOSOB
	DROP TABLE #P_OBOSOB	
	DROP TABLE #LOG	
*/	DROP TABLE #RES0	
	DROP TABLE #ORDERS				

END













GO


GRANT EXECUTE ON dbo.[RSA_6NDFL_01032018_PREPARE] TO PUBLIC

GO


-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_6NDFL_EXPORT_v5_02]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_6NDFL_EXPORT_v5_02]

GO

/*EXEC dbo.BK_SELECT_EXPORT_FORMAT 2486*/
/*exec [dbo].[SA_6NDFL_EXPORT_v5_02]       42251*/
CREATE      PROCEDURE [dbo].SA_6NDFL_EXPORT_v5_02 ( @Link int /*  */ )
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))


INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------
DECLARE @FILTER_SUBDIV_NAME VARCHAR(254) , @FILTER_SUBDIV_LINK INT ,  @R_DEP_LINK INT, 
		@r_SUB INT , @reorg_form int, @PLACE INT 
		
SET @FILTER_SUBDIV_NAME = (SELECT DBO.RN_GET_ATR_VALUE(@Link, 'REPORTS_FILTER_SUBDIV'))

IF @FILTER_SUBDIV_NAME IS NOT NULL
	SET @FILTER_SUBDIV_LINK = 
		( SELECT TOP 1 LINK FROM DBO.REPORT_KBK 
		  WHERE 
		   ('' + CONVERT(VARCHAR(3),PROPERTY) + ' - ' +  NAME ) =  @FILTER_SUBDIV_NAME
			AND 
			CODE_FORM='FILTER_NABOR' AND CODE='REPORTS_FILTER_SUBDIV')

DECLARE @BUFFER_SUBDIV VARCHAR(20) 
DECLARE @SUBDIV TABLE (LINK INT)

IF @FILTER_SUBDIV_LINK IS NOT NULL 
BEGIN

	EXEC DBO.GETRANDSTR 20, @BUFFER_SUBDIV OUT

	INSERT INTO @SUBDIV (LINK) 
	SELECT LINK FROM DBO.RN_VIEW_FILTER WHERE LINK_SELF = @FILTER_SUBDIV_LINK

END


DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT,
		@Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME


SELECT
	@LINK_DEP = LINK_ORGANIZATION,
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date))),
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS
WHERE LINK_SAVED_FORM = @link

SET @PLACE = ltrim((SELECT DBO.RN_GET_ATR_VALUE(@Link, 'REPORTS_ATR_PALCE_CODE')))
---------------------------  /   ,       

SELECT @R_DEP_LINK  = R_DEP_LINK ,
	   @r_SUB = R_SUB ,
	   @reorg_form = reorg_form
FROM dbo.dict_reorganization WHERE rtrim(ltrim(NAME_REORG)) = ltrim((SELECT DBO.RN_GET_ATR_VALUE(@link, 'REPORTS_ATR_REORG')))

--------------------------------------------------------------------
--         ,  @DEP_LINK  @SUBDIV      
/*IF isnull(@R_DEP_LINK,0) <> 0 
	set	@LINK_DEP = @R_DEP_LINK
IF isnull(@r_SUB,0) <> 0 BEGIN
	DELETE from	@SUBDIV 
	INSERT INTO @SUBDIV (LINK)
	select link = @r_SUB	
END*/


DECLARE
	@first_month_of_quarter TINYINT,
	@second_month_of_quarter TINYINT,
	@third_month_of_quarter TINYINT

IF @Period_Number = 1
	SELECT @first_month_of_quarter = 1, @second_month_of_quarter = 2, @third_month_of_quarter = 3
IF @Period_Number = 2
	SELECT @first_month_of_quarter = 4, @second_month_of_quarter = 5, @third_month_of_quarter = 6
IF @Period_Number = 3
	SELECT @first_month_of_quarter = 7, @second_month_of_quarter = 8, @third_month_of_quarter = 9
IF @Period_Number = 4
	SELECT @first_month_of_quarter = 10, @second_month_of_quarter = 11, @third_month_of_quarter = 12

SELECT  @first_month_of_quarter = ISNULL(@first_month_of_quarter,1), @second_month_of_quarter = ISNULL(@second_month_of_quarter,2), @third_month_of_quarter = ISNULL(@third_month_of_quarter,3)


SELECT top 1
	DD1.OKPO AS OKPO1,
	DD1.INN AS INN1, 
    KPP1 =  CASE WHEN EXISTS(SELECT * FROM @SUBDIV) 
				 then (SELECT TOP 1 O_KPP FROM  subdiv WHERE LINK_up = (SELECT TOP 1 link FROM @SUBDIV) AND  @End_Date BETWEEN DATE_BEGIN AND DATE_END )
				 else DD1.KPP END ,
	FULL_NAME = UPPER(DD1.FULL_NAME),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	DD1.OGRN AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE  ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	CHIEF.FM as CHIEF_FM,
	CHIEF.IM as CHIEF_IM,
	CHIEF.OT as CHIEF_OT,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	DD1.OGRN,
	DD1.OKATO,
	OKTMO = CASE WHEN EXISTS(SELECT * FROM @SUBDIV) 
				 then (SELECT TOP 1 O_OKATO FROM  subdiv WHERE LINK_up = (SELECT TOP 1 link FROM @SUBDIV) AND  @End_Date BETWEEN DATE_BEGIN AND DATE_END)
				 else DD1.OKTMO END ,
	DD1.OKVED,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TaxType = DD1.FSS_KP_PC1,
	TaxType2 = DD1.FSS_KP_PC2,
	TaxType3 = DD1.FSS_KP_PC3
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP

 --     / 
SELECT top 1
	DD1.OKPO AS OKPO1,
	DD1.INN AS INN1, 
    KPP1 =  CASE WHEN isnull(@r_SUB,0) <> 0 
				 then (SELECT TOP 1 O_KPP FROM  subdiv WHERE LINK_up =  isnull(@r_SUB,0) AND  @End_Date BETWEEN DATE_BEGIN AND DATE_END )
				 else DD1.KPP END ,
	FULL_NAME = UPPER(DD1.FULL_NAME),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	DD1.OGRN AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE  ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	CHIEF.FM as CHIEF_FM,
	CHIEF.IM as CHIEF_IM,
	CHIEF.OT as CHIEF_OT,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	DD1.OGRN,
	DD1.OKATO,
	OKTMO = CASE WHEN isnull(@r_SUB,0) <> 0 
				 then (SELECT TOP 1 O_OKATO FROM  subdiv WHERE LINK_up = isnull(@r_SUB,0) AND  @End_Date BETWEEN DATE_BEGIN AND DATE_END)
				 else DD1.OKTMO END ,
	DD1.OKVED,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TaxType = DD1.FSS_KP_PC1,
	TaxType2 = DD1.FSS_KP_PC2,
	TaxType3 = DD1.FSS_KP_PC3
INTO #DEP_DATA_REORG	
FROM DICTIONARY_DEPARTMENT DD1
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(ISNULL(@R_DEP_LINK,@LINK_DEP), '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(ISNULL(@R_DEP_LINK,@LINK_DEP), ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE ((isnull(@r_sub,0) = 0 AND DD1.LINK = @R_DEP_LINK )
		OR (isnull(@r_sub,0)<> 0 AND DD1.LINK = @LINK_DEP ))
	
	
/*exec [dbo].[SA_6NDFL_EXPORT_v5_02]        1119*/

/*exec [dbo].[SA_6NDFL_EXPORT_v5_02]        1114*/

DECLARE @NumDotC VARCHAR(2), @NumDot INT
SELECT @NumDotC = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_NOM_OBR'),'00')
SET @NumDot = CASE WHEN ISNUMERIC(@NumDotC) =1 THEN CONVERT(INT,@NumDotC) ELSE 0 END

DECLARE @LIKV VARCHAR(3), @nLIKV INT
SELECT @LIKV = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_LIKVID'),'00')
SET @nLIKV = CASE WHEN LTRIM(RTRIM(@LIKV)) = '' THEN 1 ELSE 0 END

/*DECLARE @LIKV_TYPE VARCHAR(3), @nLIKV_TYPE CHAR(1)
SELECT @LIKV_TYPE = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_LIKVID'),'')
SET @nLIKV_TYPE = CASE 	WHEN LTRIM(RTRIM(@LIKV_TYPE)) = '' THEN '1' 
						WHEN LTRIM(RTRIM(@LIKV_TYPE)) = '' THEN '2' 
						WHEN LTRIM(RTRIM(@LIKV_TYPE)) = '' THEN '3' 
						WHEN LTRIM(RTRIM(@LIKV_TYPE)) = '' THEN '5' 
						WHEN LTRIM(RTRIM(@LIKV_TYPE)) = '' THEN '6' 
						WHEN LTRIM(RTRIM(@LIKV_TYPE)) = '   ' THEN '0' 
						ELSE '' END*/



DECLARE @Cur0 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @Cur CURSOR, @Cur1 CURSOR, @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254)

DECLARE @lcFNAME varchar(254),
		@lcFidNAME VARCHAR(254)

SELECT @lcFNAME ='NO_NDFL6_'+ isnull(IMNS_SONO,'0000000000') + '_'+ isnull(SONO,'0000000000') + '_'+ LTRIM(rtrim(INN1))+LTRIM(rtrim(KPP1))+ '_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.',''))))  + '_0.XML' FROM #DEP_DATA
SELECT @lcFidNAME ='NO_NDFL6_'+isnull(IMNS_SONO,'0000000000')  + '_'+ isnull(SONO,'0000000000') + '_'+ LTRIM(rtrim(INN1))+LTRIM(rtrim(KPP1))+ '_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.',''))))  + '_0' FROM #DEP_DATA
/*exec [dbo].[SA_6NDFL_EXPORT_v5_01]       2060*/
--SELECT convert(varchar(10),@modify_date,104)


INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, 'OEM' -- 
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="windows-1251"?>'
--UNION ALL SELECT @lcFNAME, SPACE(0) + '<?F4FORM version="0.7"?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '< ="'+LTRIM(RTRIM(@lcFidNAME))+'" ="'+@NAME_PROG+ ':'+ @VERS_PROG+'" ="5.02">'

/**  **/

	UNION ALL SELECT @lcFNAME, SPACE(1) + '<'
		+ ' ="1151099"'
		+ ' ="' + convert(varchar(10),@modify_date,104) + '"'
		--+ ' DOP_NUM="' + ISNULL(LTRIM(RTRIM(FSS_KOD_DOP)),'') + '"'
		+ ' ="' + (CASE @Period_Number WHEN 1 THEN '21' WHEN 2 THEN '31' WHEN 3 THEN '33' ELSE '34' END) + '"'
		+ ' ="' + CONVERT(VARCHAR(4),@YEAR) + '"'
		+ ' ="' + LTRIM(RTRIM(isnull(IMNS_SONO,''))) + '"'
		+ ' ="' + LTRIM(RTRIM(CONVERT(VARCHAR(3),@Version))) + '"' -- 
		+ ' ="'+LTRIM(RTRIM(convert(varchar(3),@PLACE)))+'">'
	FROM #DEP_DATA	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '<'	
			+ ' ="' + LTRIM(RTRIM(OKTMO)) + '"'
			+ CASE WHEN ISNULL((SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = ''),'') = '' 
				THEN '' ELSE 
				' ="' +(SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = '') + '"'
				END 
				+ '>'
		FROM #DEP_DATA	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(3) + '<>'	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + LTRIM(RTRIM(REPLACE(FULL_NAME,'"',''))) + '</>'
					FROM #DEP_DATA	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' +LTRIM(RTRIM(INN1)) + '</>'
					FROM #DEP_DATA						
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + LTRIM(RTRIM(KPP1)) + '</>'
					FROM #DEP_DATA
					
					IF EXISTS (SELECT R_DEP_LINK , R_SUB 
									FROM dbo.dict_reorganization WHERE rtrim(ltrim(NAME_REORG)) = ltrim((SELECT DBO.RN_GET_ATR_VALUE(@link, 'REPORTS_ATR_REORG')))
					)
					BEGIN 
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
							SELECT @lcFNAME, SPACE(4) + '<>'	
								UNION ALL SELECT @lcFNAME, SPACE(5) + '<>' + LTRIM(RTRIM(CONVERT(char(1),@reorg_form))) + '</>'
								UNION ALL SELECT @lcFNAME, SPACE(5) + '<>' +LTRIM(RTRIM(INN1)) + '</>'
								FROM #DEP_DATA_REORG						
								UNION ALL SELECT @lcFNAME, SPACE(5) + '<>' + LTRIM(RTRIM(KPP1)) + '</>'
								FROM #DEP_DATA_REORG			
							UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'
					END				
			  
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
			  SELECT @lcFNAME, SPACE(3) + '</>'	
			

		UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '< ="1">'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<'	+ ' ="' + LTRIM(RTRIM(CHIEF_FM)) + '"'
					+ ' ="' +LTRIM(RTRIM(CHIEF_IM)) + '"'
					+ ' ="' + LTRIM(RTRIM(CHIEF_OT)) + '"/>'
				FROM #DEP_DATA	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'

--  /**  I **/

	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, SPACE(2) + '<6>'

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(3) + '<' 
					 +' ="' + isnull((select ltrim(rtrim(SUMMA)) from DBO.SA_SAVED_REPORT_VIEW (@link, 1, DEFAULT, DEFAULT) T WHERE T.COL = 3 AND t.ROW_CODE = '3060' ),0) + '"'  
					 +' ="' + + isnull((select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) from DBO.SA_SAVED_REPORT_VIEW (@link, 1, DEFAULT, DEFAULT) T WHERE T.COL = 3 AND t.ROW_CODE = '3070' ),0) + '"'
					 +' ="' + + isnull((select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) from DBO.SA_SAVED_REPORT_VIEW (@link, 1, DEFAULT, DEFAULT) T WHERE T.COL = 3 AND t.ROW_CODE = '3080'),0) + '"'
					 +' ="' + + isnull((select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) from DBO.SA_SAVED_REPORT_VIEW (@link, 1, DEFAULT, DEFAULT) T WHERE T.COL = 3 AND t.ROW_CODE = '3090' ),0) + '">'
  
	IF		(SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='020')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='025')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='030')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='040')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='045')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='050')>0
	BEGIN 
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(4) + '< ="' + (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='010')  +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='020') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='025') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='030') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='040') +'" '	
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='045') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='050') +'"/>'	
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE IN ('010')  ORDER BY T.COL
	END		
	IF		(SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1020')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1025')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1030')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1040')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1045')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1050')>0
	BEGIN 
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(4) + '< ="' + (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1010')  +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1020') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1025') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1030') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1040') +'" '	
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1045') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1050') +'"/>'	
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE IN ('1010')  ORDER BY T.COL
	END		
	IF		(SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2020')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2025')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2030')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2040')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2045')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2050')>0
	BEGIN 
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(4) + '< ="' + (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2010')  +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2020') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2025') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2030') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2040') +'" '	
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2045') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2050') +'"/>'	
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE IN ('2010')  ORDER BY T.COL
			
	END		
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</>'



--  /**  II **/

		CREATE TABLE #TAB_R2 (
			LINK INT identity(1,1), DATE_F_INC datetime, DATE_U_NAL VARCHAR(10), DATE_PER VARCHAR(10), SUM_FAKT_INC NUMERIC(18,2), SUM_U_NAL NUMERIC(18,2))

		CREATE TABLE #TEMP_R2 (ROW_CODE VARCHAR(10), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(10))
		INSERT INTO #TEMP_R2  (ROW_CODE, COL, SUMMA, STR_VAL)
		SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT, DEFAULT) T ORDER BY T.COL

		INSERT INTO #TAB_R2 (DATE_F_INC, DATE_U_NAL, DATE_PER, SUM_FAKT_INC,SUM_U_NAL)
		SELECT DISTINCT
			DATE_F_INC = (SELECT TOP 1 dbo.convertC2D(t.STR_VAL) FROM #TEMP_R2 T WHERE T.COL = 2 AND T.ROW_CODE = T2.ROW_CODE),
			DATE_U_NAL = (SELECT TOP 1 STR_VAL FROM #TEMP_R2 T WHERE T.COL = 3 AND T.ROW_CODE = T2.ROW_CODE),
			DATE_PER = (SELECT TOP 1 STR_VAL FROM #TEMP_R2 T WHERE T.COL = 4 AND T.ROW_CODE = T2.ROW_CODE),
			SUM_FAKT_INC = (SELECT TOP 1 SUMMA FROM #TEMP_R2 T WHERE T.COL = 5 AND T.ROW_CODE = T2.ROW_CODE),
			SUM_U_NAL = (SELECT TOP 1 SUMMA FROM #TEMP_R2 T WHERE T.COL = 6 AND T.ROW_CODE = T2.ROW_CODE)
		FROM
			#TEMP_R2 T2 


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, SPACE(3) + '<>'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, SPACE(4) + '< ="' + LTRIM(RTRIM(ISNULL(convert(varchar(10),DATE_F_INC,104),'00.00.0000'))) +'" '
					 + '="'+ LTRIM(RTRIM(ISNULL(DATE_U_NAL,'00.00.0000')))  +'" '
					 + '="'+ LTRIM(RTRIM(ISNULL(DATE_PER,'00.00.0000')))  +'" '
					 + '="'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUM_FAKT_INC),'')))   +'" '
					 + '="'+ LTRIM(RTRIM(ISNULL(CONVERT(int,SUM_U_NAL),'')))   +'"/>'
	FROM #TAB_R2  ORDER BY convert(datetime,DATE_F_INC,104)

	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</>'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(2) + '</6>'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(1) + '</>'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(0) + '</>'
/*exec [dbo].[SA_6NDFL_EXPORT_v5_01]         2833*/


SET NOCOUNT OFF


select * from #OUTPUT order by [ID]













GO


GRANT EXECUTE ON dbo.[SA_6NDFL_EXPORT_v5_02] TO PUBLIC

GO


GO

GO

-- FIX >>  : 9928.sql

DECLARE @spr_code varchar(20),
		@code varchar(30),
		@name varchar(254),
		@date1 datetime
SELECT @spr_code = 'ISCHISL_STAZH_DOP_SV',
	@code = 'KB',
	@name = '   ..,     , .     (  ), .    ,   , .       . ',
	@date1 = '20170101'		
IF  not exists (select * from dbo.SZV4_SPR where spr_code = @spr_code and code = @code)
	INSERT INTO dbo.SZV4_SPR WITH (ROWLOCK) (spr_code, code, [name], date1) 
	VALUES (@spr_code, LTRIM(RTRIM(@code)), LTRIM(RTRIM(@name)), @date1)

SELECT @spr_code = 'ISCHISL_STAZH_DOP_SV',
	@code = '',
	@name = '    ',
	@date1 = '20170101'		
IF  not exists (select * from dbo.SZV4_SPR where spr_code = @spr_code and code = @code)
	INSERT INTO dbo.SZV4_SPR WITH (ROWLOCK) (spr_code, code, [name], date1) 
	VALUES (@spr_code, LTRIM(RTRIM(@code)), LTRIM(RTRIM(@name)), @date1)
	
SELECT @spr_code = 'ISCHISL_STAZH_DOP_SV',
	@code = '',
	@name = '             ',
	@date1 = '20170101'		
IF  not exists (select * from dbo.SZV4_SPR where spr_code = @spr_code and code = @code)
	INSERT INTO dbo.SZV4_SPR WITH (ROWLOCK) (spr_code, code, [name], date1) 
	VALUES (@spr_code, LTRIM(RTRIM(@code)), LTRIM(RTRIM(@name)), @date1)	

SELECT @spr_code = 'ISCHISL_STAZH_DOP_SV',
	@code = '',
	@name = '   (  )    ',
	@date1 = '20170101'		
IF  not exists (select * from dbo.SZV4_SPR where spr_code = @spr_code and code = @code)
	INSERT INTO dbo.SZV4_SPR WITH (ROWLOCK) (spr_code, code, [name], date1) 
	VALUES (@spr_code, LTRIM(RTRIM(@code)), LTRIM(RTRIM(@name)), @date1)

SELECT @spr_code = 'ISCHISL_STAZH_DOP_SV',
	@code = '',
	@name = '  ,    ',
	@date1 = '20170101'		
IF  not exists (select * from dbo.SZV4_SPR where spr_code = @spr_code and code = @code)
	INSERT INTO dbo.SZV4_SPR WITH (ROWLOCK) (spr_code, code, [name], date1) 
	VALUES (@spr_code, LTRIM(RTRIM(@code)), LTRIM(RTRIM(@name)), @date1)	

SELECT @spr_code = 'ISCHISL_STAZH_DOP_SV',
	@code = '',
	@name = '  ,        ',
	@date1 = '20170101'		
IF  not exists (select * from dbo.SZV4_SPR where spr_code = @spr_code and code = @code)
	INSERT INTO dbo.SZV4_SPR WITH (ROWLOCK) (spr_code, code, [name], date1) 
	VALUES (@spr_code, LTRIM(RTRIM(@code)), LTRIM(RTRIM(@name)), @date1)	

SELECT @spr_code = 'ISCHISL_STAZH_DOP_SV',
	@code = '',
	@name = '   ,    -',
	@date1 = '20170101'		
IF  not exists (select * from dbo.SZV4_SPR where spr_code = @spr_code and code = @code)
	INSERT INTO dbo.SZV4_SPR WITH (ROWLOCK) (spr_code, code, [name], date1) 
	VALUES (@spr_code, LTRIM(RTRIM(@code)), LTRIM(RTRIM(@name)), @date1)	

				
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_PRINT_ODV1]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_ST_PRINT_ODV1]

GO

CREATE    PROCEDURE dbo.SZV_ST_PRINT_ODV1(@Link int, @mode tinyint = 0)
AS

DECLARE @varKSNOM_PF VARCHAR(20), @varKSname VARCHAR(254), @varKSDEP int,
	@varKSOKPO VARCHAR(40), @varKSINN VARCHAR(12), @varKSKPP VARCHAR(9), @Month int, @Year int, @date datetime,
	@COUNT_DOCS TINYINT

SET @COUNT_DOCS  = 1

create table #DOCS (link int)
/*---     
IF exists (select * from buffer where id = 'BUFF_PRINT_ODV1')
BEGIN
	Insert into #DOCS (link)
	select link from buffer where id = 'BUFF_PRINT_ODV1'
	---     
	set @COUNT_DOCS   = (select COUNT(*) from #docs)
END
ELSE
BEGIN*/
	Insert into #DOCS (link)
	select link = @Link
/*END*/

SELECT
	@varKSDEP = D.link, @varKSNOM_PF = PFNUMBER, @varKSname = UPPER([NAME]),
	@varKSOKPO = OKPO, @varKSINN = INN, @varKSKPP = KPP,
	@Month = month_end, @year = year_begin
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = @link

Set @date = dbo.ConvertDMY2Date(1,@Month,@Year)
Set @date = dbo.DateEndOfMonth(@date)

declare @TYPE_TARIF tinyint
SET @TYPE_TARIF = (
	SELECT TOP 1 FLAG_MS
	FROM dbo.DOCUMENTS_ESN_G
	WHERE
		FLAG_JC = 1
		AND YEAR_BASE = @Year and month_base <= @Month
	ORDER BY MONTH_BASE DESC	
)


IF @mode = 0 OR @mode = 1
	Select 	top 1
		LINK = p.link,
		[YEAR] = ISNULL(CASE WHEN year_begin <> 2010 THEN year_begin ELSE NULL END ,0),
		[PER] = ISNULL(CASE WHEN year_begin <> 2010 THEN PER ELSE NULL END ,0),
		PER_EDT = ISNULL(CASE WHEN year_edt >= 2017 THEN PER_edt ELSE NULL END ,0),
		year_EDT = ISNULL(CASE WHEN year_edt >= 2017 THEN year_edt ELSE NULL END ,0),
		[PER10] = ISNULL(CASE WHEN year_begin = 2010 THEN PER ELSE NULL END ,0),
		[TYPE] = P.[type],
		[VID_KOR]  = P.vid_kor ,
		[COUNT_P] = COUNT(distinct CASE WHEN P.vid_kor = 1 THEN S.pachka ELSE NULL END),
		[COUNT_PK] = (SELECT COUNT(distinct S1.pachka) from  dbo.SS_SZV_STAZH_PACHKA P1
									INNER JOIN dbo.SZV_STAZH_SVEDENIA S1 ON P1.link = S1.link_up
									INNER JOIN  #DOCS d1 on d1.link = p1.link
									where P1.proverka = 1 and P1.vid_kor > 1 ),
		[COUNT_PERS] = (SELECT COUNT(ss.link_PERs) from ( select s1.link_PERs FROM  dbo.SS_SZV_STAZH_PACHKA P1
									INNER JOIN dbo.SZV_STAZH_SVEDENIA S1 ON P1.link = S1.link_up
									INNER JOIN  #DOCS d1 on d1.link = p1.link
									where P1.proverka = 1  group by   s1.link_PERs) as ss),						
		@varKSNOM_PF AS REG_NOM_PF,
		[DEP_NAME] = @varKSname,
		@varKSOKPO AS OKPO,
		@varKSINN AS INN,
		@varKSKPP AS KPP,
		DATE_CRT = @date,
		DATE_DOC = [date],
		[GUID] = p.[GUID]
	from
		dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON P.link = S.link_up
		INNER JOIN  #DOCS d on d.link = p.link
	WHERE/*
		P.link = @Link
		 AND */ P.proverka = 1
	GROUP BY
		p.link, P.year_begin, P.PER, P.per_edt, P.year_edt, P.[date], P.[type],P.vid_kor,p.[GUID]

IF @mode = 0 OR @mode = 2
BEGIN 

	SELECT	
			link = p.link,
			s.link_pers ,
			KEP.subdiv_name,
			KEP.POST_NAME ,
			DS.num_stake,
			work_stake = (DS.num_stake - ds.free_stakes) ,
			Fakt_Work = KEP.POST_NAME ,
			DOC_NAME = null,
			OSOB_USL = isnull(st.OSOB_USL,0) ,
			N_OSOB_USL = st.n_OSOB_USL ,
			POS_SPIS = CASE WHEN OSOB_K1 IS NOT NULL AND  OSOB_K2 IS NOT NULL  THEN '' + ltrim(rtrim(OSOB_K1)) + ''+(CASE WHEN ltrim(rtrim(OSOB_K2)) <> '' then ',' + ltrim(rtrim(OSOB_K2)) ELSE '' END) + ''
							WHEN OSOB_K1 IS NULL AND  OSOB_K2 IS NOT NULL  THEN '' + ltrim(rtrim(OSOB_K2)) + ''
							WHEN OSOB_K1 IS NOT NULL AND  OSOB_K2 IS NULL  THEN '' + ltrim(rtrim(OSOB_K1)) + ''
			           END ,
			UD_OSNOV = st.ud_osnov ,
			N_UD_OSNOV = st.n_ud_osnov
			         
	INTO #res2
	FROM 	
			dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON P.link = S.link_up
			INNER JOIN  #DOCS d on d.link = p.link
			INNER JOIN (select  link, link1, orders, date1, date2  , ter_usl = ISNULL(ter_usl,''), n_ter_usl = ISNULL(n_ter_usl,''),
			                   ter_koef= ISNULL(ter_koef,''), f_ter_usl= ISNULL(f_ter_usl,''), osob_usl= ISNULL(osob_usl,''),
			                   n_osob_usl= ISNULL(n_osob_usl,''), osob_k1= ISNULL(osob_k1,''), n_osob_k1= ISNULL(n_osob_k1,''), osob_k2= ISNULL(osob_k2,''),
			                   n_osob_k2= ISNULL(n_osob_k2,''),osob_spo= ISNULL(osob_spo,''), n_osob_spo= ISNULL(n_osob_spo,''),
			                   osob_k3= ISNULL(osob_k3,''), n_osob_k3= ISNULL(n_osob_k3,''), f_osob_usl= ISNULL(f_osob_usl,''),
			                   is_osnov= ISNULL(is_osnov,''), n_is_osnov= ISNULL(n_is_osnov,''), is_dop_m= ISNULL(is_dop_m,''),
			                   is_dop_d= ISNULL(is_dop_d,''),is_dop= ISNULL(is_dop,''), f_is_osnov= ISNULL(f_is_osnov,''), n_is_dop= ISNULL(n_is_dop,''),
			                   f_is_dop= ISNULL(f_is_dop,''),ud_osnov= ISNULL(ud_osnov,''), n_ud_osnov= ISNULL(n_ud_osnov,''),
			                   ud_dop_m= ISNULL(ud_dop_m,''), ud_dop_d= ISNULL(ud_dop_d,''), ud_dop_k= ISNULL(ud_dop_k,''),
			                   f_ud_osnov= ISNULL(f_ud_osnov,''),f_ud_dop= ISNULL(f_ud_dop,'')
			              from dbo.ss_SZV_ST_STAZH  sst ) AS st on  st.link = s.link
			INNER JOIN dbo.KU_EMPL_PLACING  kep ON kep.PERS_LINK = s.link_pers AND st.date1 between kep.date_begin AND isnull(kep.date_sack,'21991231')
			INNER JOIN dbo.dictionary_staff ds ON ds.STAFF_LINK = kep.STAFF_LINK
	where
			/*P.link = @Link
			and */
			P.proverka = 1
			AND (isnull(st.osob_USL,'') <> '' OR isnull(st.osob_k1,'') <> '' OR isnull(st.osob_k2,'') <> '' OR isnull(st.osob_spo,'') <> '' OR isnull(st.ud_osnov,'') <> '')
	GROUP BY p.link,s.link_pers,KEP.subdiv_name,DS.num_stake , ds.free_stakes,  KEP.POST_NAME ,st.OSOB_USL, st.n_OSOB_USL,st.ud_osnov, st.n_ud_osnov,OSOB_K1,OSOB_K2
	ORDER BY KEP.subdiv_name, KEP.POST_NAME
	

	IF (select COUNT(*) FROM #res2 ) = 0
	BEGIN 
		insert into #res2
		SELECT 
			link = 0,
			link_pers = 0,
			subdiv_name = '',
			POST_NAME = '',
			num_stake = 0,
			work_stake = 0,
			Fakt_Work = '',
			DOC_NAME = '',
			OSOB_USL = '',
			N_OSOB_USL = '',
			POS_SPIS = '',
			UD_OSNOV = '',
			N_UD_OSNOV = ''

	END  

	SELECT 	link ,
			--link_pers ,
			subdiv_name = ISNULL(subdiv_name,''),
			POST_NAME = ISNULL(POST_NAME,''),
			num_stake,
			work_stake  = COUNT(link_pers) ,
			Fakt_Work  = ISNULL(Fakt_Work,''),
			DOC_NAME = ISNULL(DOC_NAME,''),
			OSOB_USL = ISNULL(OSOB_USL,''),
			N_OSOB_USL = ISNULL(N_OSOB_USL,''),
			POS_SPIS  = ISNULL(POS_SPIS,''),
			UD_OSNOV = ISNULL(UD_OSNOV,''),
			N_UD_OSNOV = ISNULL(N_UD_OSNOV,'')
	FROM #res2  
	GROUP BY link ,	subdiv_name,POST_NAME,Fakt_Work,num_stake,DOC_NAME ,OSOB_USL ,N_OSOB_USL ,POS_SPIS,UD_OSNOV,N_UD_OSNOV 
	ORDER BY subdiv_name, POST_NAME
	
	
END
	
/*
IF @mode = 0 OR @mode = 2
	Select
		[NGROUP] = S.pachka,
		[cGRP] = REPLACE(str(S.pachka,5),' ','0'),
		[CODE] = K.CODE,
		[INSUR] = CONVERT(NUMERIC(18,2),sum(S.sum_doh+ S.SUM_DOLG_STR)),
		[INSUR1] = CONVERT(NUMERIC(18,2),sum(S.sum_str+S.SUM_UPLATA_DOLGA_STR)),
		[GAIN] = CONVERT(NUMERIC(18,2),sum(S.sum_nak+ S.sum_dolg_nak)),
		[GAIN1] = CONVERT(NUMERIC(18,2),sum(S.sum_dop+S.SUM_UPLATA_DOLGA_NAK)),
		[PERS_CNT] = COUNT(S.orders),
		FNAME = 'PFR-700-Y-' + CONVERT(VARCHAR(4),year_begin) + '-ORG-' + LTRIM(RTRIM(@varKSNOM_PF)) + '-DCK-' + REPLACE(str(S.pachka,5),' ','0') + '-DPT-000000-DCK-00000.XML'
	from
		dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON P.link = S.link_up
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG AND year_begin BETWEEN YBEG AND YEND
		
	where
		P.link = @Link
		and P.proverka = 1
		and P.vid_kor = 1
	group by
		s.pachka, year_begin, K.CODE
	UNION ALL SELECT NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL
	WHERE NOT EXISTS(SELECT * FROM dbo.SS_SZV_STAZH_PACHKA P where P.link = @Link and P.proverka = 1 and P.vid_kor = 1)	
	order by S.pachka

IF @mode = 0 OR @mode = 3
	Select 	
		[NGROUP] = S.pachka,
		[cGRP] = REPLACE(str(S.pachka,5),' ','0'),
		[CODE] = K.CODE,
		[INSUR] =CONVERT(NUMERIC(18,2),sum(S.sum_doh)),
		[INSUR1] = CONVERT(NUMERIC(18,2),sum(S.sum_str)),
		[GAIN] = CONVERT(NUMERIC(18,2),sum(S.sum_nak)),
		[GAIN1] = CONVERT(NUMERIC(18,2),sum(S.sum_dop)),
		sd_str = CONVERT(NUMERIC(18,2),sum(S.sum_dolg_str)),
		sud_str = CONVERT(NUMERIC(18,2),sum(S.sum_uplata_dolga_str)),
		sd_nak = CONVERT(NUMERIC(18,2),sum(S.sum_dolg_nak)),
		sud_nak = CONVERT(NUMERIC(18,2),sum(S.sum_uplata_dolga_nak)),		
		[PERS_CNT] = COUNT(S.orders),
		FNAME = 'PFR-700-Y-' + CONVERT(VARCHAR(4),year_begin) + '-ORG-' + LTRIM(RTRIM(@varKSNOM_PF)) + '-DCK-' + REPLACE(str(S.pachka,5),' ','0') + '-DPT-000000-DCK-00000.XML'
	from
		dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SZV_STAZH_SVEDENIA S ON P.link = S.link_up
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG AND year_begin BETWEEN YBEG AND YEND
		INNER JOIN  #DOCS d on d.link = p.link
	where
		/*P.link = @Link
		and*/ P.proverka = 1
		and P.vid_kor > 1
	group by
		s.pachka, year_begin, K.CODE
	UNION ALL SELECT NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL		
	WHERE NOT EXISTS(SELECT * FROM dbo.SS_SZV_STAZH_PACHKA P INNER JOIN  #DOCS d on d.link = p.link where  P.proverka = 1 and P.vid_kor > 1)	
	order by
		S.pachka

*/







GO


GRANT EXECUTE ON dbo.[SZV_ST_PRINT_ODV1] TO PUBLIC

GO


-- --
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_STAZH_EXPORT_PFR_100_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_STAZH_EXPORT_PFR_100_17]

GO

CREATE      PROCEDURE [dbo].SZV_STAZH_EXPORT_PFR_100_17 (
@DOC_LINK int  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK = @DOC_LINK

CREATE TABLE #ODV1_ONLY(DOC_LINK INT , ODV1_ONLY TINYINT )	
insert into #ODV1_ONLY(DOC_LINK, ODV1_ONLY)
select 
	doc_link = d.link,
	ODV1_ONLY = (SELECT TOP 1 [type] FROM dbo.SS_SZV_STAZH_PACHKA WHERE link = d.Link)
from #DOC d


--  

CREATE TABLE #ODV1 (
		[LINK_SZV]     INT, 
		[YEAR]     INT ,
		[PER]      INT ,
		[PER_edt]      INT ,
		[YEAR_edt]     INT ,
		[PER10]    INT ,
		[TYPE]	   tinyint,
		[VID_KOR]  tinyint, 
		[COUNT_P]  INT,
		[COUNT_PK] INT,
		[COUNT_PERS] INT,  
		[REG_NOM_PF] VARCHAR(20),
		[DEP_NAME] VARCHAR(254),
		[OKPO] VARCHAR(40),
		[INN] VARCHAR(12),
		[KPP] VARCHAR(9),
		DATE_CRT datetime,
		DATE_DOC datetime,
		[GUID] UNIQUEIDENTIFIER)  

CREATE TABLE #ODV1_2 (
		[LINK_SZV]  INT,
		--[link_pers] INT , 
		[subdiv_name] VARCHAR(254), 
		[POST_NAME] VARCHAR(254) , 
		[num_stake] NUMERIC(5,2),
		[work_stake] NUMERIC(5,2),
		[Fakt_Work] VARCHAR(254) ,
		[DOC_NAME] VARCHAR(10), 
		[OSOB_USL] VARCHAR(10) , 
		[N_OSOB_USL] VARCHAR(150) ,
		POS_SPIS VARCHAR(150),
		UD_OSNOV VARCHAR(10),
		[N_UD_OSNOV] VARCHAR(254))  

create table #SZV_ST (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[NGROUP] INT,
	[T_DOG] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int,
	GOSSL int)



create table #PERS_INFO2 (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[T_DOG] INT ,
	[NGROUP] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int,
	GOSSL int)



--       -
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
		
			INSERT INTO #ODV1 ([LINK_SZV],[YEAR],[PER],[PER_EDT],[YEAR_EDT],[PER10],[TYPE],[VID_KOR],[COUNT_P],[COUNT_PK],[COUNT_PERS],
							   [REG_NOM_PF],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC,[GUID])  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 1 
			
			INSERT INTO #ODV1_2 ([LINK_SZV]/*,[link_pers]*/,[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],
								 [DOC_NAME],[OSOB_USL],[N_OSOB_USL] ,[POS_SPIS],UD_OSNOV , n_UD_OSNOV )  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 2 


			---  #SZV_ST
		
				INSERT INTO #SZV_ST([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP,GOSSL)
				exec dbo.SZV_STAZH_PRINT @LINK_DOC

	
				update #SZV_ST  set FM = UPPER(FM), IM = UPPER(IM), OT = UPPER(OT), ADDRESS2 = UPPER(ADDRESS2) WHERE link_SZV = @LINK_DOC 
			
				
				--  #PERS_INFO2 

				INSERT INTO #PERS_INFO2([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP,GOSSL)

				SELECT	[LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[TYPE_SV],[TYPE],[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP, GOSSL
				FROM #SZV_ST
			

			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			

DECLARE @NN INT, @PN INT, @ON INT
SELECT @NN = 0, @PN = 0, @ON = 0


DECLARE @PI_NGROUP INT, @PI_ID INT, @PI_link_szv int, @PI_T_DOG tinyint  
DECLARE @Cur_PI CURSOR
SET @Cur_PI = CURSOR FORWARD_ONLY

FOR select link_szv, NGROUP,T_DOG, [ID]  from #SZV_ST order by link_szv,T_DOG, NGROUP, [ID]

OPEN @Cur_PI
FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @NN = (CASE WHEN @PI_NGROUP <> @PN THEN 1 ELSE (CASE WHEN @ON <> @PI_ID THEN @NN + 1 ELSE @NN END) END)
		SET @PN = (CASE WHEN @PI_NGROUP <> @PN THEN @PI_NGROUP ELSE @PN END)

		UPDATE A
		SET 
			ID = @NN
		FROM #SZV_ST A 
		WHERE link_szv = @PI_link_szv and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID

		UPDATE A
		SET 
			ID = @NN
		FROM #PERS_INFO2 A 
		WHERE link_szv = @PI_link_szv and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID
		

		SET @ON = @NN				

	END

	FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
END

CLOSE @Cur_PI
DEALLOCATE @Cur_PI




-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @link_szv INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC datetime, 
	@INN VARCHAR(12), @KPP VARCHAR(9), @OKPO VARCHAR(40), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@COUNT_P VARCHAR(10) , @COUNT_PK VARCHAR(10), @COUNT_PERS VARCHAR(4), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4),@sved int , @TYP_SVED VARCHAR(20), @kor INT,
	@VID_KOR VARCHAR(20),@PER VARCHAR(1),@PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4),  @TYPE VARCHAR(20), @GUID VARCHAR(36),
	@EGRUL varchar(15), @CHIEF_POST_OUR VARCHAR(150) , @CH_FM  VARCHAR(150) , @CH_IM  VARCHAR(150),@CH_OT  VARCHAR(150)
	/*@INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	
	@KATEG VARCHAR(20)*/

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


SELECT @CHIEF_POST_OUR = (SELECT TOP 1 post_name FROM dbo.SD_EMPL AS se WHERE link  = a.face_link),
		@CH_FM = (SELECT TOP 1 LTRIM(RTRIM(FM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_IM = (SELECT TOP 1 LTRIM(RTRIM(IM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_OT = (SELECT TOP 1 LTRIM(RTRIM(OT)) FROM dbo.sd_empl WHERE link  = a.face_link)
FROM DICTIONARY_OTV_FACE_ALL A  
inner join dbo.SS_SZV_STAZH_PACHKA P on a.dep_link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )
AND  a.NAME = '' 


SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	link_szv,
	FNAME = '_'+ RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))) + '_'+LEFT(REPLACE([REG_NOM_PF],'-',''),6)+'_-_'+CONVERT(VARCHAR(8),ltrim(rtrim(replace(CONVERT(VARCHAR(10),DATE_DOC,102),'.',''))))+'_'+ltrim(rtrim([GUID]))+'.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	[OKPO] = RTRIM(LTRIM(COALESCE(OKPO,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))),
	--PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	[COUNT_P] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_P]))), 	
	[COUNT_PK] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PK]))),
	[COUNT_PERS] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PERS]))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = DATE_DOC,
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SVED = [TYPE] ,
	TYP_SVED = (CASE WHEN [TYPE] = 1 THEN '' else (CASE WHEN [TYPE] = 2 THEN '' else '' end) end),
	KOR = [VID_KOR] ,
	VID_KOR = (CASE WHEN [VID_KOR] = 2 THEN '' else (CASE WHEN [VID_KOR] = 3 THEN '' else '' end) end),
	[PER] = 0 ,  --CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	PER_EDT = CONVERT(VARCHAR(1),[PER_edt]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	[GUID] = RTRIM(LTRIM(CONVERT(VARCHAR(36),iSnull([GUID],null))))
from #ODV1 order by link_szv

/*  A63        61 */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	 @SVED, @TYP_SVED, @KOR,@VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'UTF-8' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://.///2014-01-01" xmlns:xs="http://www.w3.org/2001/XMLSchema">'
			/*UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21"'+CHAR(10)+CHAR(13)
+ ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://.//-/2017-01-01'+CHAR(10)
+'..\..\..\..\\\\2017\-_2017-01-01.xsd">'*/
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				 
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<-1>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + CASE when @VID_KOR = '' THEN '1' ELSE '0' end + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'					
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + RTRIM(LTRIM(ISNULL(@COUNT_PERS,''))) + '</>'
	

	IF (SELECT COUNT([work_stake])  FROM #ODV1_2 WHERE [LINK_SZV] =  @link_szv ) <>0
	BEGIN 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  SELECT @lcFNAME , SPACE(2) + '<>'
		
		
		-- 1 
		DECLARE @Cur2 CURSOR, @LINK_SZV1 int, @subdiv_name varchar(254), @POST_NAME varchar(254), @num_stake NUMERIC(5,2), @work_stake NUMERIC(5,2),
				@Fakt_Work VARCHAR(254), @DOC_NAME VARCHAR (10),@OSOB_USL VARCHAR(10),@POS_SPIS VARCHAR(150)  , @UD_OSNOV VARCHAR(10)
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
			Select	[LINK_SZV],[subdiv_name],
					[POST_NAME],[num_stake],[work_stake],
					[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] ,[UD_OSNOV] 
			FROM #ODV1_2  WHERE  [LINK_SZV] = @link_szv 
			GROUP BY [LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] , [UD_OSNOV] 			   			
		
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS,@UD_OSNOV
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN	
						IF isnull(@OSOB_USL,'') <> '' AND isnull(@POS_SPIS,'') <> ''  OR isnull(@UD_OSNOV,'') <> ''
						begin		
							  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											Select @lcFNAME, SPACE(3) + '<:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@subdiv_name,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@POST_NAME,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(CONVERT(VARCHAR(8),ISNULL(@num_stake,''))))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(ISNULL(@work_stake,''))))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@Fakt_Work,''))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@DOC_NAME,'-')))+'</:>' 
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@OSOB_USL,ISNULL(@UD_OSNOV,''))))+'</:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@POS_SPIS,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '</:>'
								  UNION ALL SELECT @lcFNAME, SPACE(3) + '</:>'
						end
					END
				
					FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS	,@UD_OSNOV				  
					
				END 
			CLOSE @Cur2
			DEALLOCATE @Cur2
								
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(3) + '<:>'+ RTRIM(LTRIM(CONVERT(VARCHAR(8),SUM(@num_stake))))+ '</:> '  + CHAR(10)
							  +	 SPACE(3) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(sum(work_stake))))) + '</:>'
				FROM #ODV1_2 WHERE LINK_SZV = @DOC_LINK  GROUP BY LINK_SZV
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
				
				
	END 
	--- exec SZV_STAZH_EXPORT_PFR_100_17 17
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+REPLACE(RTRIM(LTRIM(isnull(@CHIEF_POST_OUR,''))),' ','')+'</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_FM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_IM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_OT,'')))+'</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(VARCHAR(10),@DATE_DOC , 120) +'</>'
		UNION ALL SELECT @lcFNAME, SPACE(1) + '</-1>'

	-- - 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	Select @lcFNAME, SPACE(1) + '<->'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	UNION ALL Select @lcFNAME, SPACE(2) + '<>'+CASE WHEN  @SVED = 2 THEN '2' 
															     WHEN  @SVED = 1 AND @KOR = 1 THEN '0'	
															     WHEN @SVED = 1 AND @KOR = 2 THEN '1'
															ELSE '0'  END    
												  +'</>'  + CHAR(10)
	UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	



	DECLARE @LINK_SZV_ST int, @TYPE_SV INT , @TYPE_KOR INT , @ID int, @ID_EX INT, @PF_NUMBER VARCHAR(14)
	SET @Cur2 = CURSOR FORWARD_ONLY
	FOR 
	Select	[LINK_SZV],[TYPE_SV],[TYPE],[ID],[PFNUMBER]
	FROM #SZV_ST  WHERE  [LINK_SZV] = @link_szv 
	GROUP BY [LINK_SZV],[ID],[PFNUMBER],[TYPE_SV],[TYPE]
	ORDER BY [LINK_SZV],[ID],[PFNUMBER]	,[TYPE_SV],[TYPE]	   			
	
	OPEN @Cur2
	FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN	
			  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						Select @lcFNAME, SPACE(2) +'<>'	+ CHAR(10)
										  + SPACE(3) + '<>'	+ CHAR(10)  
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(FM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(IM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(OT,'')))+'</:>'+ CHAR(10) 
										  + SPACE(3) + '</>'+ CHAR(10) 
										  + SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL([PFNUMBER],''))) + '</>' + CHAR(10) 
										FROM 	
										(select top 1 FM , IM , OT , [PFNUMBER] FROM  #SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a

								--       ,    
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
									Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
									FROM #pers_info2
									where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
									and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
									and (isnull(gossl,0) = 0 and LTRIM(COALESCE(is_dop,'')) in ( '',''))
	


										
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
									Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
										FROM #pers_info2
										where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
										and ((isnull(gossl,0) = 0 and COALESCE(is_dop,'') not in ( '','')) or (isnull(gossl,0) <> 0 and COALESCE(is_dop,'') not in('','','','','','','','','')))
	

										
										-----         
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
										Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
											  + SPACE(4) + '<:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
												+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
											  + SPACE(4) + '</:>' + CHAR(10) 
											  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
														or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
														OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
													 THEN  
											  		SPACE(4) + '<:>' + CHAR(10) 
												  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
														 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
													  + SPACE(5) + '</:>' + CHAR(10) 		 
													ELSE '' END
												  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
														+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
													  + SPACE(5) + '</:>' + CHAR(10)
													ELSE '' END
												  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
													   SPACE(5) + '<:>' + CHAR(10)	
														+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														 SPACE(6) + '<:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</: >' + CHAR(10)
														  ELSE '' END
														+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
														  SPACE(6) + '<:>' + CHAR(10)
															--SPACE(9) + '<>0</>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
														+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+ SPACE(6) + '</:>' + CHAR(10)
														  ELSE '' END
													  + SPACE(5) + '</:>' + CHAR(10)	 
													 ELSE 
													   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
															+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
														 ELSE '' END	
													 END
													  
													  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
														SPACE(5) + '<:>' + CHAR(10)
														+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
															 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
															 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
														+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
														+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 		SPACE(6) + '<:>' + CHAR(10)
												  			--SPACE(9) + '<>0</>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
														+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 							+	SPACE(6) + '</:>' + CHAR(10)
															ELSE '' END
													  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  			SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  		ELSE '' END
													  +SPACE(5) + '</:>' + CHAR(10)
													   ELSE '' END
												  + SPACE(4) + '</:>' + CHAR(10) 
											  ELSE '' END											  
										  + SPACE(3) + '</>' + CHAR(10)  
										FROM #pers_info2
										where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
										and (isnull(gossl,0) <> 0 and COALESCE(is_dop,'') in ('','','','','','','','',''))
												
										
		  
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
								Select @lcFNAME, SPACE(2) +'</>'	+ CHAR(10)  
								FROM (select top 1 FM , IM , OT , [PFNUMBER] FROM  #SZV_ST WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a
		END
	
		FETCH NEXT FROM @Cur2 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER--,@ID_EX 				  
		
	END 
	CLOSE @Cur2
	DEALLOCATE @Cur2	
		

	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	 SELECT @lcFNAME, SPACE(1) + '</->'	
	UNION ALL SELECT @lcFNAME, SPACE(0) +'</>'

	FETCH NEXT FROM @Cur1 INTO  @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	@SVED, @TYP_SVED,@KOR, @VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]


GO


GRANT EXECUTE ON dbo.[SZV_STAZH_EXPORT_PFR_100_17] TO PUBLIC

GO


-- --


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_ODV1_EXPORT_PFR_100_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_ST_ODV1_EXPORT_PFR_100_17]

GO

CREATE      PROCEDURE [dbo].SZV_ST_ODV1_EXPORT_PFR_100_17 (
@DOC_LINK int  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK = @DOC_LINK

CREATE TABLE #ODV1_ONLY(DOC_LINK INT , ODV1_ONLY TINYINT )	
insert into #ODV1_ONLY(DOC_LINK, ODV1_ONLY)
select 
	doc_link = d.link,
	ODV1_ONLY = (SELECT TOP 1 [type] FROM dbo.SS_SZV_STAZH_PACHKA WHERE link = d.Link)
from #DOC d


--  

CREATE TABLE #ODV1 (
		[LINK_SZV]     INT, 
		[YEAR]     INT ,
		[PER]      INT ,
		[PER_edt]      INT ,
		[YEAR_edt]     INT ,
		[PER10]    INT ,
		[TYPE]	   tinyint,
		[VID_KOR]  tinyint, 
		[COUNT_P]  INT,
		[COUNT_PK] INT,
		[COUNT_PERS] INT,  
		[REG_NOM_PF] VARCHAR(20),
		[DEP_NAME] VARCHAR(254),
		[OKPO] VARCHAR(40),
		[INN] VARCHAR(12),
		[KPP] VARCHAR(9),
		DATE_CRT datetime,
		DATE_DOC datetime,
		[GUID] UNIQUEIDENTIFIER)  

CREATE TABLE #ODV1_2 (
		[LINK_SZV]  INT,
		[subdiv_name] VARCHAR(254), 
		[POST_NAME] VARCHAR(254) , 
		[num_stake] NUMERIC(5,2),
		[work_stake] NUMERIC(5,2),
		[Fakt_Work] VARCHAR(254) ,
		[DOC_NAME] VARCHAR(10), 
		[OSOB_USL] VARCHAR(10) , 
		[N_OSOB_USL] VARCHAR(150) ,
		POS_SPIS VARCHAR(150))  



--       -
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
	
			INSERT INTO #ODV1 ([LINK_SZV],[YEAR],[PER],[PER_EDT],[YEAR_EDT],[PER10],[TYPE],[VID_KOR],[COUNT_P],[COUNT_PK],[COUNT_PERS],
							   [REG_NOM_PF],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC,[GUID])  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 1 
			
			INSERT INTO #ODV1_2 ([LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],
								 [DOC_NAME],[OSOB_USL],[N_OSOB_USL] ,[POS_SPIS] )  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 2 
			
	
			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			




-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @link_szv INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC datetime, 
	@INN VARCHAR(12), @KPP VARCHAR(9), @OKPO VARCHAR(40), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@COUNT_P VARCHAR(10) , @COUNT_PK VARCHAR(10), @COUNT_PERS VARCHAR(4), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4),@sved int , @TYP_SVED VARCHAR(20), @kor INT,
	@VID_KOR VARCHAR(20),@PER VARCHAR(1),@PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4),  @TYPE VARCHAR(20), @GUID VARCHAR(36),
	@EGRUL varchar(15), @CHIEF_POST_OUR VARCHAR(150) , @CH_FM  VARCHAR(150) , @CH_IM  VARCHAR(150),@CH_OT  VARCHAR(150)
	/*@INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	
	@KATEG VARCHAR(20)*/

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


SELECT @CHIEF_POST_OUR = (SELECT TOP 1 post_name FROM dbo.SD_EMPL AS se WHERE link  = a.face_link),
		@CH_FM = (SELECT TOP 1 LTRIM(RTRIM(FM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_IM = (SELECT TOP 1 LTRIM(RTRIM(IM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_OT = (SELECT TOP 1 LTRIM(RTRIM(OT)) FROM dbo.sd_empl WHERE link  = a.face_link)
FROM DICTIONARY_OTV_FACE_ALL A  
inner join dbo.SS_SZV_STAZH_PACHKA P on a.dep_link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )
AND  a.NAME = '' 



SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	link_szv,
	FNAME = '_'+ RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))) + '_'+LEFT(REPLACE([REG_NOM_PF],'-',''),6)+'_-1_'+CONVERT(VARCHAR(8),ltrim(rtrim(replace(CONVERT(VARCHAR(10),DATE_DOC,102),'.',''))))+'_'+ltrim(rtrim([GUID]))+'.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	[OKPO] = RTRIM(LTRIM(COALESCE(OKPO,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))),
	--PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	[COUNT_P] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_P]))), 	
	[COUNT_PK] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PK]))),
	[COUNT_PERS] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PERS]))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = DATE_DOC,
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SVED = [TYPE] ,
	TYP_SVED = (CASE WHEN [TYPE] = 1 THEN '' else (CASE WHEN [TYPE] = 2 THEN '' else '' end) end),
	KOR = [VID_KOR] ,
	VID_KOR = (CASE WHEN [VID_KOR] = 2 THEN '' else (CASE WHEN [VID_KOR] = 3 THEN '' else '' end) end),
	[PER] = 0 ,  --CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	PER_EDT = CONVERT(VARCHAR(1),[PER_edt]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	[GUID] = RTRIM(LTRIM(CONVERT(VARCHAR(36),iSnull([GUID],null))))
from #ODV1 order by link_szv

/*  1  */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	 @SVED, @TYP_SVED, @KOR,@VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'UTF-8' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-1/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://.///2014-01-01" xmlns:xs="http://www.w3.org/2001/XMLSchema">'
			/*UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21"'+CHAR(10)+CHAR(13)
+ ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://.//-/2017-01-01'+CHAR(10)
+'..\..\..\..\\\\2017\-_2017-01-01.xsd">'*/
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				 
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<-1>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + CASE when @VID_KOR = '' THEN '1' ELSE '2' end + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'					
					--UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + RTRIM(LTRIM(ISNULL(@COUNT_PERS,''))) + '</>'
	

	IF (SELECT COUNT([work_stake])  FROM #ODV1_2 WHERE [LINK_SZV] =  @link_szv ) <>0
	BEGIN 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  SELECT @lcFNAME , SPACE(2) + '<>'
		
		
		-- 1 
		DECLARE @Cur2 CURSOR, @LINK_SZV1 int, @subdiv_name varchar(254), @POST_NAME varchar(254), @num_stake NUMERIC(5,2), @work_stake NUMERIC(5,2),
				@Fakt_Work VARCHAR(254), @DOC_NAME VARCHAR (10),@OSOB_USL VARCHAR(10),@POS_SPIS VARCHAR(150) 
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
			Select	[LINK_SZV],[subdiv_name],
					[POST_NAME],[num_stake],[work_stake],
					[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 
			FROM #ODV1_2  WHERE  [LINK_SZV] = @link_szv 
			GROUP BY [LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 			   			
		
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN	
						IF isnull(@OSOB_USL,'') <> '' AND isnull(@POS_SPIS,'') <> '' 
						begin		
							  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											Select @lcFNAME, SPACE(3) + '<:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@subdiv_name,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@POST_NAME,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(CONVERT(VARCHAR(8),ISNULL(@num_stake,''))))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(ISNULL(@work_stake,''))))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@Fakt_Work,''))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@DOC_NAME,'-')))+'</:>' 
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@OSOB_USL,'')))+'</:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@POS_SPIS,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '</:>'
								  UNION ALL SELECT @lcFNAME, SPACE(3) + '</:>'
						end
					END
				
					FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS					  
					
				END 
			CLOSE @Cur2
			DEALLOCATE @Cur2
								
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(3) + '<:>'+ RTRIM(LTRIM(CONVERT(VARCHAR(8),SUM(@num_stake))))+ '</:> '  + CHAR(10)
							  +	 SPACE(3) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(sum(@work_stake))))) + '</:>'
				FROM #ODV1_2 WHERE LINK_SZV = @DOC_LINK  GROUP BY LINK_SZV
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	END 

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+REPLACE(RTRIM(LTRIM(isnull(@CHIEF_POST_OUR,''))),' ','')+'</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_FM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_IM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_OT,'')))+'</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(VARCHAR(10),@DATE_DOC , 120) +'</>'
		UNION ALL SELECT @lcFNAME, SPACE(1) + '</-1>'


	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
--	 SELECT @lcFNAME, SPACE(1) + '</->'	
	SELECT @lcFNAME, SPACE(0) +'</>'

	FETCH NEXT FROM @Cur1 INTO  @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	@SVED, @TYP_SVED,@KOR, @VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]


GO


GRANT EXECUTE ON dbo.[SZV_ST_ODV1_EXPORT_PFR_100_17] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9839_1.sql

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSA_6NDFL_01032018_PREPARE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSA_6NDFL_01032018_PREPARE]

GO

CREATE PROCEDURE dbo.RSA_6NDFL_01032018_PREPARE
	@Res float output, @varcStr varchar(250), @vardBegin datetime = '20180101', @vardEnd datetime = '20181231', @variCol int, @variRow int, @variLSF int


AS BEGIN

SET NOCOUNT ON

/*declare
	@varKScYear varchar(4),			
	@nPERIOD int,
	@varKSnFirstNum INT,
	@nCHECK_S int,					   /*    */
	@nSumm_For_Check numeric(18,2), /*    */			
	@varKScVal1 char(1), @varKSnOtborLink1 int,	
	@varKScVal2 char(1), @varKSnOtborLink2 int,
	@nLinkEmpl int,
	@LINK_PERS INT*/



DECLARE @DEP_LINK INT,
		@R_DEP_LINK INT, 
		@r_SUB INT, 
		@START_DATE DATETIME, 
		@END_DATE DATETIME 
---------------------   /  
DECLARE @FILTER_SUBDIV_NAME VARCHAR(254) , @FILTER_SUBDIV_LINK INT
SET @FILTER_SUBDIV_NAME = (SELECT DBO.RN_GET_ATR_VALUE(@variLSF, 'REPORTS_FILTER_SUBDIV'))

IF @FILTER_SUBDIV_NAME IS NOT NULL
	SET @FILTER_SUBDIV_LINK = 
		( SELECT TOP 1 LINK FROM DBO.REPORT_KBK 
		  WHERE 
		   ('' + CONVERT(VARCHAR(3),PROPERTY) + ' - ' +  NAME ) =  @FILTER_SUBDIV_NAME
			AND 
			CODE_FORM='FILTER_NABOR' AND CODE='REPORTS_FILTER_SUBDIV')

DECLARE @BUFFER_SUBDIV VARCHAR(20) 
DECLARE @SUBDIV TABLE (LINK INT)

IF @FILTER_SUBDIV_LINK IS NOT NULL 
BEGIN

	EXEC DBO.GETRANDSTR 20, @BUFFER_SUBDIV OUT

	INSERT INTO @SUBDIV (LINK) 
	SELECT LINK FROM DBO.RN_VIEW_FILTER WHERE LINK_SELF = @FILTER_SUBDIV_LINK

END


SELECT @DEP_LINK = Link_Organization from report_saved_forms where link_saved_form =  @variLSF
------------------------------
---------------------------  /   ,       
SELECT @R_DEP_LINK  = R_DEP_LINK ,
	   @r_SUB = R_SUB 
FROM dbo.dict_reorganization WHERE rtrim(ltrim(NAME_REORG)) = ltrim((SELECT DBO.RN_GET_ATR_VALUE(@variLSF, 'REPORTS_ATR_REORG')))

--------------------------------------------------------------------
--         ,  @DEP_LINK  @SUBDIV      
IF isnull(@R_DEP_LINK,0) <> 0 
	set	@DEP_LINK = @R_DEP_LINK
IF isnull(@r_SUB,0) <> 0 BEGIN
	DELETE from	@SUBDIV 
	INSERT INTO @SUBDIV (LINK)
	select link = @r_SUB	
END


set @res = 0
SELECT @START_DATE = @vardBegin, @END_DATE = @vardEnd

DECLARE @BYearDate	datetime
SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)

declare @EndYear datetime
Set @EndYear = dbo.DateEndOfYear(@START_DATE)

DECLARE @varKSnYear INT,
		@nMonth INT 				
Set @nMonth = ISNULL(month(@vardEnd),12)

SET @varKSnYear = CAST(year(@vardBegin) AS INT)	



	CREATE TABLE #RES0 (
		ID INT IDENTITY,
		NOM_SPR INT,
		LINK_FACE INT,
		SEX INT,
		INNFIZ VARCHAR(20),
		NUMB_SERT VARCHAR(20),
		STATUS VARCHAR(1),
		FIO VARCHAR(254),
		FM VARCHAR(254),
		IM VARCHAR(254),
		OT VARCHAR(254),
		KDVD VARCHAR(4),
		SERNOM VARCHAR(254), 
		BIRTH DATETIME,
		GRAZD VARCHAR(3),
		KSTR VARCHAR(3),
		LINK_ADR INT,
		IND_ADR VARCHAR(10),
		REGION VARCHAR(4),
		RAION VARCHAR(254),
		GOROD VARCHAR(254),
		NASEL VARCHAR(254),
		STREET VARCHAR(254),
		HOUSE VARCHAR(20),
		KORP VARCHAR(10),
		FLAT VARCHAR(10),

		KSTR_ino VARCHAR(3),
		Adr_ino VARCHAR(200),

		O_OKATO VARCHAR(14),
		O_OKTMO VARCHAR(11),
		O_KPP VARCHAR(9),		

		ksv1 varchar(3), ssv1 numeric(11,2),
		ksv2 varchar(3), ssv2 numeric(11,2),
		ksv3 varchar(3), ssv3 numeric(11,2),
		ksv4 varchar(3), ssv4 numeric(11,2),
		ksv5 varchar(3), ssv5 numeric(11,2),
		ksv6 varchar(3), ssv6 numeric(11,2),
		ksv7 varchar(3), ssv7 numeric(11,2),
		ksv8 varchar(3), ssv8 numeric(11,2),
		ksv9 varchar(3), ssv9 numeric(11,2),
		ksv10 varchar(3), ssv10 numeric(11,2),
		ksv11 varchar(3), ssv11 numeric(11,2),
		ksv12 varchar(3), ssv12 numeric(11,2),
		ssv numeric(11,2), siv numeric(11,2),
		osd13 numeric(11,2), sdo13 numeric(11,2), 
		nalogn13 numeric(18), nalogu13 numeric(18),
		NALOG13S numeric(18),
		osd30 numeric(11,2), sdo30 numeric(11,2), 
		nalogn30 numeric(18), nalogu30 numeric(18),
		NALOG30S numeric(18),
		osd35 numeric(11,2), sdo35 numeric(11,2), 
		nalogn35 numeric(18), nalogu35 numeric(18),
		NALOG35S numeric(18),
		err int,
		S_5_6 NUMERIC(18,2), S_5_7 NUMERIC(18,2),		
		dolg_np numeric(8), dolg_na numeric(8),
		kbkcode1 varchar(30), kbkcode2 varchar(30), kbkcode3 varchar(30), kbkcode4 varchar(30), 
		kbksum1 numeric(18,2), kbksum2 numeric(18,2),kbksum3 numeric(18,2),kbksum4 numeric(18,2),
		VIFNSPL numeric(18,2),
		ZSummPL numeric(18,2),
		UdSumPL numeric(18,2),
		VzkIFNS numeric(18,2)

	)	


CREATE TABLE #FACES (LINK int,PERS_LINK int)

IF @r_SUB IS NULL  BEGIN
	INSERT INTO #FACES
	SELECT distinct PERS_LINK,PERS_LINK FROM dbo.sd_empl WHERE DEP_LINK = @DEP_LINK 
			AND (
		(@BUFFER_SUBDIV IS NULL )
			OR 
		(@BUFFER_SUBDIV IS NOT NULL  AND SUBDIV_head IN (SELECT LINK FROM @SUBDIV))
			)
	
	IF @BUFFER_SUBDIV IS NULL begin		
		INSERT INTO #FACES
			SELECT distinct PERS_LINK,PERS_LINK FROM dbo.SALARY_REESTR_DGH WHERE DEP_LINK = @DEP_LINK
				AND PERS_LINK NOT IN (SELECT PERS_LINK FROM #FACES)	
	end 				
END 		

IF @r_SUB IS not NULL  BEGIN
	INSERT INTO #FACES
	SELECT distinct PERS_LINK,PERS_LINK FROM dbo.sd_empl WHERE DEP_LINK = @DEP_LINK 
			AND SUBDIV_LINK IN (SELECT LINK FROM @SUBDIV)
END 

/*
declare  @Res float 
set @Res = ''
 EXEC RSA_6NDFL_01012016_PREPARE @Res output, '', '20160101', '20161231',2,1,553


*/

	-----------------------------
	delete  from dbo.SAL_DED_MONTH
	where 
	YEAR(DATE_DED) =@varKSnYear 
	AND
	Month(DATE_DED) <= @nMonth
	AND
	LINK_EMPL IN (Select EM.LINK from dbo.EMPL EM INNER JOIN #FACES F on EM.PERS_LINK = F.PERS_LINK)
	AND
	LINK IN 
	(
		select D.LINK 
		from dbo.SAL_DED_MONTH D inner join dbo.empl E on D.link_empl = E.link
		where YEAR(D.DATE_DED) = @varKSnYear AND Month(D.DATE_DED) <= @nMonth  
		and not exists (Select * from dbo.CALCULATE_JURNAL JC where YEAR(JC.PERIOD_BEGIN) = @varKSnYear AND Month(JC.PERIOD_BEGIN) <= @nMonth AND JC.LINK_EMPL = E.LINK AND JC.LINK_VKR = D.LINK_VKR)
	)
	

	-----------------------------

	EXEC dbo.BufferClear
	EXEC dbo.BufferPushTable '#faces', 'REP2NDFL', 'pers_link'

			
	create table #S_J_C_SHORT (LINK_FACE int,PERS_LINK int, link_empl int, link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), link_inc int, period_begin datetime, date1 datetime, link_dep int)

	Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep)
	Select E.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, P.LINK, link_vkr, ISNULL(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, summa, P.LINK_INC,
		period_begin = (Case 
						when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
						then JC.DATE_BEGIN else JC.period_begin 
					end) ,
		JC.DATE_BEGIN,
		JC.LINK_DEP  
	from 
		dbo.CALCULATE_JURNAL JC 
		INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS
		LEFT JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
		LEFT JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
		LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
	where
		(
				(ISNULL(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and @nMonth >= month(JC.PERIOD_BEGIN) and @varKSnYear = year(JC.PERIOD_BEGIN)
				or 
				ISNULL(d.code,'') = 'DOCUMENTS_ADD_TABEL'
				and (@nMonth >= month(JC.DATE_BEGIN) or @nMonth >= month(JC.PERIOD_BEGIN) )
				and (@varKSnYear = year(JC.DATE_BEGIN) or @varKSnYear = year(JC.PERIOD_BEGIN) )

			)
		AND  
			(	-->>NEW
			E.PERS_LINK in (select PERS_LINK from #FACES )
			or
			JC.PERS_LINK in (select PERS_LINK from #FACES )
			)	
		AND JC.LINK_DEP = @DEP_LINK 
	
	union all --
	SELECT   LINK_FACE, SJC.PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep
	from dbo.S_J_C_SHORT SJC 
		LEFT JOIN DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC 
		LEFT JOIN dbo.EMPL E ON SJC.LINK_EMPL = E.LINK
	where 
		SJC.LINK_DEP = @DEP_LINK
		and YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and Month(SJC.PERIOD_BEGIN) <= @nMonth
		and TYP_OPER = 2
		AND
		(	-->>NEW
		E.PERS_LINK in (select PERS_LINK from #FACES )
		or
		SJC.PERS_LINK in (select PERS_LINK from #FACES )
		)	

CREATE TABLE #S_J_C_SHORT_RES ( link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), link_inc int, period_begin datetime, date1 datetime, link_dep int)
	
INSERT INTO #S_J_C_SHORT_RES ( link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep) 		
SELECT link_pays,
	   link_vkr, 
	   link_ekr, 
	   typ_per, 
	   typ_oper, 
	   sum(summa), 
	   link_inc, 
	   period_begin, 
	   date1, 
	   link_dep
FROM #S_J_C_SHORT
GROUP BY link_pays,link_vkr,link_ekr,typ_per,typ_oper,link_inc,period_begin,date1,link_dep


-----------------------------------------------------------
--  
DECLARE @DATE DATETIME
SET @DATE = DBO.ConvertDMY2Date(1,@nMonth, @varKSnYear)
SET @DATE = DBO.DateEndOfMonth(@DATE)

CREATE TABLE #E_SUBDIV (EMPL_LINK INT, SUBDIV_LINK INT)
INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
SELECT EMPL_LINK, SUBDIV_LINK
FROM DBO.SA_EMPLS_INFO(@DATE, DEFAULT)
WHERE [STATUS] = 1 OR [STATUS] = 3

CREATE TABLE #S_OBOSOB (SUBDIV_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #S_OBOSOB (SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP)
SELECT SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP 
FROM [dbo].SUBDIVISION(@DATE) 
WHERE OBOSOB = 1

CREATE TABLE #P_OBOSOB (PERS_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #P_OBOSOB(PERS_LINK, O_OKATO, O_OKTMO, O_KPP)
SELECT E.PERS_LINK, SO.O_OKATO , SO.O_OKTMO, SO.O_KPP 
FROM 
	#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
	INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK

-----------------------------------------------------------
	INSERT INTO #RES0 (
		LINK_FACE,
		SEX,
		INNFIZ, --NALOG,
		NUMB_SERT,
		STATUS,
		FIO,
		FM, IM, OT,
		KDVD,
		SERNOM, 
		BIRTH,
		GRAZD,
		KSTR,
		LINK_ADR,
		IND_ADR,
		REGION,
		RAION,
		GOROD,
		NASEL,
		STREET,
		HOUSE,
		KORP,
		FLAT, 
		KSTR_ino,
		Adr_ino,
		ERR,
		O_OKATO,
		O_OKTMO,
		O_KPP
	)

	SELECT 	distinct 
		P.LINK, P.SEX, P.INN, /*P.IFNS,*/ P.INSUR_NUM, 
		CASE 
			WHEN P.RESIDENT  IS NULL THEN ''
			WHEN P.RESIDENT = 1 THEN '1'
			WHEN P.RESIDENT = 0 THEN '2'
			WHEN P.RESIDENT = 2 THEN '2'
		END,
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT),
		RTRIM(P.FM), RTRIM(P.IM), RTRIM(P.OT),
		[KDVD] = (SELECT TOP 1 CODE FROM FACE_DOCUMENT WHERE LINK = P.DOC_LINK),
		P.DOC_NUM,
		P.BIRTHDATE,
		GRAZD= (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK),
		KSTR= (case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then '643' else '' END),
		ADR.LINK_ADDR,
		ADR.IND_ADR,
		ADR.REGION,
		ADR.RAION,
		ADR.GOROD,
		ADR.NASEL,
		ADR.STREET,
		ADR.HOUSE,
		ADR.KORP,
		ADR.FLAT,
		KSTR_ino = '',
		Adr_ino = '',
		0,
		PO.O_OKATO,
		PO.O_OKTMO,
		PO.O_KPP
	FROM 
		#FACES F 
		INNER JOIN PERSON P ON P.LINK = F.PERS_LINK
		INNER JOIN (SELECT LINK_FACE from #S_J_C_Short SJC where LINK_FACE is not null
			UNION SELECT LINK_FACE= PERS_LINK from #S_J_C_Short SJC where PERS_LINK is not null) J on P.LINK = J.LINK_FACE
		LEFT OUTER JOIN dbo.NDFL_GET_ADDRESS() ADR ON P.LINK = ADR.LINK_FACE
		LEFT JOIN #P_OBOSOB PO ON PO.PERS_LINK = F.PERS_LINK
	ORDER BY 
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT)



		
	select DISTINCT SJC.LINK_FACE, Y = year(SJC.PERIOD_BEGIN), M = month(SJC.PERIOD_BEGIN),		
					PERC_TAX = CASE WHEN ISNULL(DTI.FLAG,0) = 0 THEN 0 
						WHEN ISNULL(DTI.FLAG,0) = 1 THEN 0
						WHEN ISNULL(DTI.FLAG,0) = 2 THEN 13
						WHEN ISNULL(DTI.FLAG,0) = 3 THEN 30
						WHEN ISNULL(DTI.FLAG,0) = 4 THEN 35  
					END ,  
					LINK_INC, LINK_VKR  
	into #spr_pays_kbk
	from 	#S_J_C_SHORT SJC
	LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
	 where SJC.TYP_OPER = 1

	CREATE TABLE #PAYS_0_tmp
	(
		ID INT IDENTITY,
		LINK_FACE INT,
		mes int, PERC_TAX INT , 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)

	CREATE TABLE #PAYS_0
	(
		ID INT IDENTITY,
		LINK_FACE INT, 
		mes int, PERC_TAX INT ,  
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)

	INSERT INTO #PAYS_0_tmp
	(LINK_FACE, mes, PERC_TAX,
	LINK_INC, CODE_INC, SUMMA_INC,
	LINK_DED, CODE_DED, SUMMA_DED)
	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		PERC_TAX = CASE WHEN ISNULL(DTI.FLAG,0) = 0 THEN 0 
						WHEN ISNULL(DTI.FLAG,0) = 1 THEN 0
						WHEN ISNULL(DTI.FLAG,0) = 2 THEN 13
						WHEN ISNULL(DTI.FLAG,0) = 3 THEN 30
						WHEN ISNULL(DTI.FLAG,0) = 4 THEN 35  
					END ,
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM 
		#S_J_C_SHORT SJC 
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.LINK_FACE = F.PERS_LINK
	WHERE 
		SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.PERS_LINK,0) = 0
		AND
		SJC.LINK_DEP = @DEP_LINK 
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED, DTI.FLAG

	---<<    	
	union all 

	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		PERC_TAX = CASE WHEN ISNULL(DTI.FLAG,0) = 0 THEN 0 
				WHEN ISNULL(DTI.FLAG,0) = 1 THEN 0
				WHEN ISNULL(DTI.FLAG,0) = 2 THEN 13
				WHEN ISNULL(DTI.FLAG,0) = 3 THEN 30
				WHEN ISNULL(DTI.FLAG,0) = 4 THEN 35  
			END ,
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM #S_J_C_SHORT SJC 	
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC --AND DTI.SNAME <> '0000'
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 	SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.LINK_FACE,0) = 0
		AND
		SJC.LINK_DEP = @DEP_LINK
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED, DTI.FLAG
	ORDER BY 
		1, ISNULL(DTI.SNAME,'0000'), COD_DED

	---   ,      
	--- --------------------------------------------------
	/*create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0)

	INSERT INTO #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS)
	Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS
	from dbo.SA_ESN_VIEW(@varKSnYear, @nMonth, @DEP_LINK, 0)
	
	SELECT * FROM #SPR_ESN
	*/-----------------------------------------------------
	-----------------------------------------------------
-- select( 8297996.42 - 1019455.00) * 0.13

	INSERT INTO #PAYS_0
	Select LINK_FACE, mes,perc_tax, LINK_INC, CODE_INC, sum(SUMMA_INC), LINK_DED, CODE_DED, sum(SUMMA_DED)
	from #PAYS_0_tmp
	group by LINK_FACE, mes,perc_tax, LINK_INC, CODE_INC, LINK_DED, CODE_DED
	having Sum(SUMMA_INC) <> 0

	drop table #PAYS_0_tmp

	---->>
	--
	SELECT D.LINK_FACE, D.mes, kbk.perc_tax, SUM(D.SUMMA) as SUMMA, D.REF_DED INTO #DED 
	FROM 
		dbo.SA_NDFL_MONTH_DED_ALL(@varKSnYear) D 
		inner join #spr_pays_kbk kbk on kbk.LINK_FACE = d.LINK_FACE and kbk.m = d.mes and kbk.link_inc = d.REF_INC and kbk.LINK_VKR = d.LINK_VKR
	where 
		kbk.y = @varKSnYear
		and kbk.m <= @nMonth
	GROUP BY 
		D.LINK_FACE, d.mes, d.REF_DED, kbk.perc_tax


	UPDATE #PAYS_0
	SET SUMMA_DED = 
		(SELECT SUM(SUMMA) FROM #DED D WHERE D.LINK_FACE = R.LINK_FACE AND D.REF_DED = R.LINK_DED AND D.mes = R.mes ) 
	FROM #PAYS_0 R 
	WHERE LINK_DED IS NOT NULL

	update #PAYS_0 
		Set CODE_DED = ''
		where ISNULL(SUMMA_DED,0) = 0

SELECT * FROM #PAYS_0

	CREATE TABLE #P0 (LINK_FACE INT, ID1 INT)

	--- 1
	CREATE TABLE #PAYS1_TMP (LINK_FACE INT , SM NUMERIC(18,2) , [MONTH] INT, PERC_TAX INT ) 
	INSERT INTO #PAYS1_TMP (LINK_FACE, SM, [MONTH], PERC_TAX) 
		SELECT EP.PERS_LINK, ISNULL(SUM(SJ.summa), 0) , MONTH(CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_END WHEN SJ.TYP_PER = 2 THEN SJ.DATE2 END) , 																																
				PERC_TAX = CASE WHEN ISNULL(DTI.FLAG,0) = 0 THEN 0 
				WHEN ISNULL(DTI.FLAG,0) = 1 THEN 0
				WHEN ISNULL(DTI.FLAG,0) = 2 THEN 13
				WHEN ISNULL(DTI.FLAG,0) = 3 THEN 30
				WHEN ISNULL(DTI.FLAG,0) = 4 THEN 35  
			END 
		
		FROM SALARY_JURNAL_CALCULAT_SHORT SJ 
		INNER JOIN dbo.NDFL_GroupTax() T ON SJ.link_PAYS=T.LINK_PAYS
		INNER JOIN dbo.KU_EMPL_PLACING EP ON EP.LINK = SJ.LINK_EMPL
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.dictionary_typ_incoms dti ON dti.link = SJ.LINK_INC
		WHERE 
			SJ.PERIOD_BEGIN >= @BYearDate AND SJ.PERIOD_END <=@vardEND
--			(CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_BEGIN WHEN SJ.TYP_PER = 2 THEN SJ.DATE1 END) >= @varKSdDate1 
--			AND (CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_END WHEN SJ.TYP_PER = 2 THEN SJ.DATE2 END)<=@varKSdDate2
			AND EP.DEP_LINK = @DEP_LINK
		GROUP BY EP.PERS_LINK, MONTH(CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_END WHEN SJ.TYP_PER = 2 THEN SJ.DATE2 END) , DTI.FLAG




	CREATE TABLE #PAYS1(LINK_FACE INT, SM NUMERIC(11,2), MONTH_NUM INT, PERC_TAX int)
	INSERT INTO #PAYS1
	SELECT LINK_FACE, SM, [MONTH], PERC_TAX 	 
	FROM #PAYS1_TMP ORDER BY  [MONTH], LINK_FACE

	DROP TABLE #PAYS1_TMP
	---<<    
	insert into #pays1

	SELECT 
		F.PERS_LINK,
		SUM(SUMMA) AS SUMMA_INC,
		Month(SJC.PERIOD_BEGIN),
		PERC_TAX = CASE WHEN ISNULL(DTI.FLAG,0) = 0 THEN 0 
				WHEN ISNULL(DTI.FLAG,0) = 1 THEN 0
				WHEN ISNULL(DTI.FLAG,0) = 2 THEN 13
				WHEN ISNULL(DTI.FLAG,0) = 3 THEN 30
				WHEN ISNULL(DTI.FLAG,0) = 4 THEN 35  
			END 
	FROM 
		#S_J_C_SHORT SJC 
		INNER JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND ISNULL(SJC.LINK_FACE,0) = 0
		AND SJC.LINK_DEP = @DEP_LINK 
	GROUP BY F.PERS_LINK, SJC.PERIOD_BEGIN, DTI.FLAG


	---->>

	SELECT LINK_FACE, SUM(SM) AS SM, PERC_TAX
	INTO #PAYS_R
	FROM #PAYS1
	GROUP BY LINK_FACE,PERC_TAX


	INSERT INTO #PAYS1
	SELECT 
		EP.PERS_LINK, -SUM(SUMMA), MONTH(DATE_DED),NULL
	FROM    
		dbo.empl EP 
		inner join SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND [TYPE] = 2)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
	where 
		EP.DEP_LINK = @DEP_LINK	
	GROUP BY 
		EP.PERS_LINK, MONTH(DATE_DED)




	CREATE TABLE #PAYS3(ID INT IDENTITY, LINK_FACE INT, LINK_DED INT, CODE_DED VARCHAR(6), SUMMA NUMERIC(18,2), SUMMA_FAKT NUMERIC(18,2))
	--     
	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.empl EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BYearDate) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE


	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.REESTR_DGH EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_DGH AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND S.[TYPE] = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BYearDate) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE
		
	--UPDATE #PAYS3
	--SET
	--	SUMMA = (Select sum(SUM_DED) from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	
	--where
	--	exists (Select * from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	

	UPDATE #PAYS3
	SET
		SUMMA = ISNULL(SUMMA_FAKT,0)
	where
		ISNULL(SUMMA,0) = 0

	--  (,     .)
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, SUM(S.SUMMA), SUM(S.SUMMA) 
	FROM 
		dbo.EMPL EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		--INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
	where 
		T.NUMBER NOT IN (	1, --
							6 --    
							)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

/*
declare  @Res float 
set @Res = ''
  EXEC RSA_6NDFL_01012016_PREPARE @Res output, '', '20160101', '20160331',1 ,0  ,703

*/	

	--   . 
	update #RES0
	Set siv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = @DEP_LINK AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0),
		ssv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED NOT IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = @DEP_LINK AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0)		
	from #RES0 R

--SELECT * FROM #RES0

	--
	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV1 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV1 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV2 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV2 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV3 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV3 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV4 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV4 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV5 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV5 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV6 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV6 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV7 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV7 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV8 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV8 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV9 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV9 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV10 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV10 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV11 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV11 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV12 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV12 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END



	UPDATE #RES0 SET OSD13 = ISNULL((SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE AND PR.PERC_TAX = 13),0) FROM #RES0 R
	UPDATE #RES0 SET OSD30 = ISNULL((SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE AND PR.PERC_TAX = 30),0) FROM #RES0 R
	UPDATE #RES0 SET OSD35 = ISNULL((SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE AND PR.PERC_TAX = 35),0) FROM #RES0 R


	----
	UPDATE #RES0 SET SDO13 = OSD13 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0  WHERE PERC_TAX = 13 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE

	UPDATE #RES0 SET SDO30 = OSD30 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0  WHERE PERC_TAX = 30 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE
	
	UPDATE #RES0 SET SDO35 = OSD35 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0  WHERE PERC_TAX = 35 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE

	-----
	UPDATE #RES0 SET SDO13 = 0 WHERE SDO13 < 0
	UPDATE #RES0 SET SDO30 = 0 WHERE SDO30 < 0
	UPDATE #RES0 SET SDO35 = 0 WHERE SDO35 < 0
	


	CREATE TABLE #NDFL_TAX(LINK_TAX INT, PERC_TAX INT )
	INSERT INTO #NDFL_TAX
	SELECT LINK, PERC_TAX = CASE WHEN P.WAY_CALC = 4 THEN 13 
								 WHEN P.WAY_CALC = 5 THEN 30
								 WHEN P.WAY_CALC = 6 THEN 35  end	
	FROM PAYS P WHERE P.OBJECT = 2 AND P.WAY_CALC IN (4,5,6)
	
	--- 13%
	Create table #NDLF13_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF13 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF13_tmp (LINK, SUMMA)
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  AND  T.PERC_TAX = 13
	WHERE 
		YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY 
		B.LINK
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX AND  T.PERC_TAX = 13  
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY B.LINK

	insert into #NDLF13 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF13_tmp group by LINK
	
	drop table #NDLF13_tmp


	-- 30% 
		Create table #NDLF30_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF30 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF30_tmp (LINK, SUMMA)
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  AND  T.PERC_TAX = 30
	WHERE 
		YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY 
		B.LINK
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX AND  T.PERC_TAX = 30  
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY B.LINK

	insert into #NDLF30 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF30_tmp group by LINK
	
	drop table #NDLF30_tmp
	
	-- 35% 
		Create table #NDLF35_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF35 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF35_tmp (LINK, SUMMA)
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  AND  T.PERC_TAX = 35
	WHERE 
		YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY 
		B.LINK
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX AND  T.PERC_TAX = 35
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY B.LINK

	insert into #NDLF35 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF35_tmp group by LINK
	
	drop table #NDLF35_tmp
	

	--->>

	UPDATE #RES0 SET NALOGU13 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF13 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN13 = SDO13 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX AND T.PERC_TAX =13 WHERE TARIF = 1)
								ELSE 0.30 END)
	
	UPDATE #RES0 SET NALOGU30 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF30 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN30 = SDO30 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX  AND T.PERC_TAX =30 WHERE TARIF = 1)
								ELSE 0.30 END)	
	
	UPDATE #RES0 SET NALOGU35 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF35 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN35 = SDO35 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX  AND T.PERC_TAX =35 WHERE TARIF = 1)
								ELSE 0.30 END)														



	--     
	DECLARE @SUMMA_PLAT_ALL NUMERIC(18,2)
		
/*	IF @nCHECK_S = 0
		BEGIN
			SET @SUMMA_PLAT_ALL =  @nSumm_For_Check 	
		END
	ELSE
		BEGIN 
*/			EXEC dbo.SA_NDFL_PLAT @varKSnYear, @DATE, @DEP_LINK, @SUMMA_PLAT_ALL OUT
/*		END */
	--     
	DECLARE @SUMMA_NACH_ALL NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL @varKSnYear, @DATE, @DEP_LINK, @SUMMA_NACH_ALL OUT
	
	--  30%    
	DECLARE @SUMMA_NACH_ALL30 NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL30 @varKSnYear, @DATE, @DEP_LINK, @SUMMA_NACH_ALL30 OUT
	
	--  35%    
	DECLARE @SUMMA_NACH_ALL35 NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL35 @varKSnYear, @DATE, @DEP_LINK, @SUMMA_NACH_ALL35 OUT
	
	--   13%	
	UPDATE #RES0 SET NALOG13S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL > 0 THEN (NALOGU13	/ @SUMMA_NACH_ALL) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG13S = CASE WHEN NALOG13S > NALOGU13 THEN NALOGU13 ELSE NALOG13S END

	UPDATE #RES0 SET NOM_SPR = ID --+ @varKSnFirstNum - 1
	
	--   30%	
	UPDATE #RES0 SET NALOG30S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL30 > 0 THEN (NALOGU30/ @SUMMA_NACH_ALL30) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG30S = CASE WHEN NALOG30S > NALOGU30 THEN NALOGU30 ELSE NALOG30S END

	UPDATE #RES0 SET NOM_SPR = ID --+ @varKSnFirstNum - 1

	--   35%	
	UPDATE #RES0 SET NALOG35S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL35 > 0 THEN (NALOGU35	/ @SUMMA_NACH_ALL35) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG35S = CASE WHEN NALOG35S > NALOGU35 THEN NALOGU35 ELSE NALOG35S END

	UPDATE #RES0 SET NOM_SPR = ID --+ @varKSnFirstNum - 1	

	--- /      
	UPDATE A SET 
		S_5_6 = (CASE WHEN R.NDFL > 0 THEN R.NDFL ELSE 0 END),
		S_5_7 = (CASE WHEN R.NDFL <= 0 THEN - R.NDFL ELSE 0 END)
	FROM
		#RES0 A INNER JOIN 
		(SELECT E.PERS_LINK, NDFL = SUM(SR.NDFL) FROM dbo.SAL_REMAIN SR INNER JOIN dbo.EMPL E ON E.LINK = SR.LINK_EMPL WHERE SR.YEAR_SAL = @varKSnYear GROUP BY E.PERS_LINK) R 
			ON R.PERS_LINK = A.LINK_FACE
			
		
	--	
	UPDATE #RES0 SET DOLG_NP = CASE WHEN NALOGN13 - NALOGU13 > 0 THEN NALOGN13 - NALOGU13 ELSE 0 END - ISNULL(S_5_6,0)
	UPDATE #RES0 SET DOLG_NA = CASE WHEN NALOGU13 - NALOGN13 > 0 THEN NALOGU13 - NALOGN13 ELSE 0 END - ISNULL(S_5_7,0)


	--^^^^^^^^^   ^^^^^^^^^^
	create table  #PAYS_NDFL (ID INT IDENTITY, LINK_FACE int, LINK_PAYS int, kbk_code varchar(30), SUMMA numeric(18,2))

	INSERT INTO #PAYS_NDFL (LINK_FACE, LINK_PAYS, kbk_code, SUMMA)
	SELECT LINK_FACE, SJC.LINK_PAYS, left(kbk.CODE,30), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.PERS_LINK,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)
	GROUP BY 
		LINK_FACE, LINK_PAYS, kbk.CODE

	union all ---<<    	

	SELECT  PERS_LINK, SJC.LINK_PAYS, left(kbk.CODE,20), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.LINK_FACE,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)

	GROUP BY 
		PERS_LINK, LINK_PAYS, kbk.CODE
	ORDER BY 
		1, 2, 3


	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode1 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum1 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode2 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum2 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode3 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum3 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode4 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum4 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	-------------------------------------
	update #res0
	set 	VIFNSPL =0, ZSummPL =0, UdSumPL =0, VzkIFNS =0


	DECLARE @varKSCNT INT

	SELECT @varKSCNT  = COUNT(*) FROM #RES0

	SELECT TOP 1 
		LTRIM(RTRIM(STR(@varKSCNT))) AS DOCCOUNT, 
		ISNULL(IMNS, '') AS NALOG,
		ISNULL(dd.INN, '') AS INN,
		ISNULL(KPP, '') AS KPP,
		ISNULL(OKATO, '')  AS OKATO,
		ISNULL(OKTMO, '')AS OKTMO,
		convert(varchar (254),(ISNULL(FULL_NAME, ''))) AS FULL_NAME,
		ISNULL(DOTF.PHONE, '') AS PHONE,
		ISNULL(RTRIM(FM), '') + ' ' + ISNULL(RTRIM(IM), '') + ' ' + ISNULL(RTRIM(OT), '') AS GLBUH,
		ISNULL(RTRIM(FM), '') AS FM,
		ISNULL(RTRIM(IM), '') AS IM, 
		ISNULL(RTRIM(OT), '') AS OT,
		ISNULL(RTRIM(DOTF.NAME), '') AS Dolzh
	INTO #DEP
	FROM DICTIONARY_DEPARTMENT DD 
	LEFT OUTER JOIN DICTIONARY_OTV_FACE DOTF ON 
		(DOTF.DEP_LINK = DD.LINK
		AND DOTF.NAME = ' ')
	LEFT OUTER JOIN KU_EMPL_PLACING EP ON DOTF.FACE_LINK = EP.LINK
	WHERE DD.link = @DEP_LINK



	DECLARE @varKScInn VARCHAR(254), @varKScKPP VARCHAR(254), @varKSFULL_NAME varchar(254), 
		@varKSNALOG VARCHAR(254), @varKSOKATO VARCHAR(254), @varKSOKTMO VARCHAR(254), @varKSPHONE VARCHAR(254), 
		@varKSGLBUH VARCHAR(254), 
		@varKSRESULT BIT

	SELECT 
		@varKScInn = INN, @varKScKPP = KPP,
		@varKSFULL_NAME = FULL_NAME, 
		@varKSNALOG = NALOG, @varKSOKATO = Replace(OKATO,' ',''), @varKSOKTMO = Replace(OKTMO,' ',''),
		@varKSPHONE = PHONE, 
		@varKSGLBUH  = GLBUH
	FROM #DEP

	/*  */  -- DED_TYPE = 1 - , 2-  
/*	CREATE TABLE #td (LINK_PERSON INT ,NUM_REF VARCHAR(15),DATE_REF DATETIME,IFNS_CODE VARCHAR(20),DED_TYPE TINYINT)
	INSERT INTO #td (LINK_PERSON ,NUM_REF,DATE_REF,IFNS_CODE,DED_TYPE)
	Select LINK_PERSON, 
		   NUM_REF, 
		   DATE_REF, 
		   IFNS_CODE,
		   DED_TYPE = 1 
	from dbo.TAX_DEDUCTIONS td
	where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER ='4')  )
	UNION SELECT 
		   LINK_PERSON, 
		   NUM_REF, 
		   DATE_REF, 
		   IFNS_CODE,
		   DED_TYPE = 2 
	from dbo.TAX_DEDUCTIONS td
	where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER IN('11','12','13')) )
*/

	declare @KBK_DEFAULT varchar(254)
	Set @KBK_DEFAULT = (select Top 1 CODE_KBK from dbo.sd_empl where LINK_KBK > 0)

	UPDATE #RES0 Set kbkcode1 = @KBK_DEFAULT, kbksum1 = 0 where ISNULL(kbksum1,0) = 0

/*	/*  */
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '        '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 inner join  #td on #RES0.LINK_FACE = #td.LINK_PERSON 
	WHERE rtrim(ltrim(ISNULL(NUM_REF,''))) = '' or rtrim(ltrim(ISNULL(IFNS_CODE,''))) = '' or DATE_REF is null AND OSD13 > 0 

*/	CREATE TABLE #RES_OUT (ID INT,LINK_FACE INT,mes INT,LINK_INC INT,CODE_INC VARCHAR(4),SUMMA_INC NUMERIC(18,2),LINK_DED INT,CODE_DED VARCHAR(3),SUMMA_DED NUMERIC(18,2),ID2 INT)

	INSERT INTO #RES_OUT (ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2)
	SELECT ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2 = 0 
	FROM #PAYS_0 
	ORDER BY LINK_FACE, MES, CODE_INC
	
	---
	CREATE TABLE #RES_OUT_ORD (NUM_PP INT IDENTITY(1,1), ID INT, LINK_FACE INT)
	INSERT INTO #RES_OUT_ORD (ID, LINK_FACE)
	SELECT ID, LINK_FACE FROM #PAYS_0 ORDER BY LINK_FACE, MES, CODE_INC
	--
	CREATE TABLE #RES_OUT_ORD2 (LINK_FACE INT, MIN_NUM INT)
	INSERT INTO #RES_OUT_ORD2 (LINK_FACE, MIN_NUM)
	SELECT LINK_FACE, MIN(NUM_PP) FROM #RES_OUT_ORD GROUP BY LINK_FACE
	---   
	UPDATE R
	SET R.ID2 = O.NUM_PP - O2.MIN_NUM + 1
	FROM 
		#RES_OUT R 
		INNER JOIN #RES_OUT_ORD O ON O.ID = R.ID
		INNER JOIN #RES_OUT_ORD2 O2 ON O2.LINK_FACE = R.LINK_FACE


	CREATE TABLE #ORDERS (ID int)
	DECLARE @SQL VARCHAR(1000)
	SET @SQL = 'ALTER TABLE #ORDERS ADD [NOM_SPR] INT IDENTITY(' + RTRIM(str(ISNULL(1,1))) + ',1)'
	EXEC(@SQL)

	INSERT INTO #ORDERS (ID) 
	SELECT DISTINCT ID 
	FROM #RES0 
	WHERE LINK_FACE IN ( Select DISTINCT LINK_FACE from #RES_OUT where [ID2]%2 = 1 )
			--AND ISNULL(OSD13,0) > 0
	ORDER BY ID

	--UPDATE #ORDERS SET NOM_SPR = NOM_SPR + @varKSnFirstNum - 1

	---   
	UPDATE #DEP SET DOCCOUNT = ISNULL((SELECT MAX(NOM_SPR) FROM #ORDERS),0)
	-------------------
	/*SELECT 
		R.ID, O.NOM_SPR, R.LINK_FACE, R.SEX, R.INNFIZ, R.NUMB_SERT, R.STATUS, 
		R.FIO, R.FM, R.IM, R.OT, R.KDVD, R.SERNOM, R.BIRTH, R.GRAZD, R.KSTR, 
		R.LINK_ADR, R.IND_ADR, R.REGION, R.RAION, R.GOROD, R.NASEL, R.STREET, 
		R.HOUSE, R.KORP, R.FLAT, R.KSTR_ino, R.Adr_ino, 
		R.ksv1, R.ssv1, R.ksv2, R.ssv2, R.ksv3, R.ssv3, R.ksv4, R.ssv4, R.ksv5, R.ssv5, R.ksv6, R.ssv6, 
		R.ksv7, R.ssv7, R.ksv8, R.ssv8, R.ksv9, R.ssv9, R.ksv10, R.ssv10, R.ksv11, R.ssv11, R.ksv12, R.ssv12, 
		R.ssv, R.siv, R.osd13, R.sdo13, R.nalogn13, R.nalogu13, R.nalog13s, R.err, R.S_5_6, R.S_5_7, R.dolg_np, R.dolg_na, 
		R.kbkcode1, R.kbkcode2, R.kbkcode3, R.kbkcode4, R.kbksum1, R.kbksum2, R.kbksum3, R.kbksum4, 
		R.VIFNSPL, R.ZSummPL, R.UdSumPL, R.VzkIFNS, 
		--ndoc_td = td1.NUM_REF , --   
		--ddoc_td = td1.DATE_REF,
		--ifnsdoc_td = td1.ifns_code,
		--nDoc_SD = td2.NUM_REF, --    
		--dDoc_SD = td2.DATE_REF,
		--ifnsdoc_sd = td2.ifns_code,
		--nalog	= @varKSNALOG,
		KPP1 = ISNULL(R.O_KPP,@varKScKPP),
		OKATO1 = replace(ISNULL(R.O_OKATO,@varKSOKATO),' ',''),
		OKATO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKATO else '' end),
		OKATO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKATO else '' end),
		OKATO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKATO else '' end),
		OKTMO1 = replace(ISNULL(R.O_OKATO,@varKSOKTMO),' ',''),
		OKTMO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKTMO else '' end),
		T.M1, T.CINC1, T.SINC1, T.CDED1, T.SDED1, T.M2, T.CINC2, T.SINC2, T.CDED2, T.SDED2--,
		--td1.LINK_PERSON/*, #td.NUM_REF, #td.DATE_REF, #td.IFNS_CODE*/
	FROM #RES0 R 
		INNER JOIN #ORDERS O ON O.ID = R.ID
		INNER JOIN ( 
			Select	T1.LINK_FACE, M1= T1.MES, CINC1= T1.CODE_INC, SINC1= T1.SUMMA_INC, CDED1= T1.CODE_DED, SDED1= T1.SUMMA_DED, M2= T2.MES, CINC2= T2.CODE_INC, SINC2= T2.SUMMA_INC, CDED2= T2.CODE_DED, SDED2= T2.SUMMA_DED
			from	(Select * from #RES_OUT where [ID2]%2 = 1) T1 left join (Select * from #RES_OUT where [ID2]%2 = 0) T2 on T1.link_FACE = T2.LINK_FACE AND T1.[ID2] = (T2.[ID2]-1)
		) T on R.LINK_FACE = T.LINK_FACE
	--	LEFT OUTER JOIN   #td td1 on R.LINK_FACE = td1.LINK_PERSON AND td1.DED_TYPE = 1 /* */
	--	LEFT OUTER JOIN   #td td2 on R.LINK_FACE = td2.LINK_PERSON AND td2.DED_TYPE = 2 /* */
	--where OSD13 > 0 
	ORDER BY O.NOM_SPR, T.M1, T.CINC1, T.M2, T.CINC2
	
	*/

	-------------------------------------------
	---        
	------------------------------------------
	CREATE TABLE #RES_OUT_MAIN (ID INT IDENTITY(1,1),PERC_TAX INT,SUMMA_INC NUMERIC(18,2),SUMMA_DED NUMERIC(18,2))

	INSERT INTO #RES_OUT_MAIN (PERC_TAX, SUMMA_INC, SUMMA_DED)
	SELECT PERC_TAX, SUM(SUMMA_INC), SUM(SUMMA_DED)
	FROM #PAYS_0 
	GROUP BY PERC_TAX
	ORDER BY PERC_TAX
	
	IF NOT EXISTS (SELECT * FROM #RES_OUT_MAIN WHERE PERC_TAX = 30)
	   INSERT INTO #RES_OUT_MAIN(PERC_TAX, SUMMA_INC, SUMMA_DED)
	   SELECT PERC_TAX = 30 ,
			  SUMMA_INC = NULL, 
			  SUMMA_DED = NULL
	IF NOT EXISTS (SELECT * FROM #RES_OUT_MAIN WHERE PERC_TAX = 35)
	   INSERT INTO #RES_OUT_MAIN(PERC_TAX, SUMMA_INC, SUMMA_DED)
	   SELECT PERC_TAX = 35 ,
			  SUMMA_INC = NULL, 
			  SUMMA_DED = NULL		  
	-------------------


/*
declare  @Res float 
set @Res = ''
  EXEC RSA_6NDFL_01012016_PREPARE @Res output, '', '20160101', '20160331',1 ,0  ,703

*/	

	CREATE TABLE  #RES0_PERC (ID INT , PERC_TAX INT, COUNT_FIZL INT, SUMMA_INC NUMERIC(18,2), SUMMA_DED NUMERIC(18,2)  ,ssv NUMERIC(18,2), siv NUMERIC(18,2), osd NUMERIC(18,2), sdo NUMERIC(18,2), nalogn NUMERIC(18,2), nalogu NUMERIC(18,2), nalogs NUMERIC(18,2), S_5_6 NUMERIC(18,2), S_5_7 NUMERIC(18,2), dolg_np NUMERIC(18,2),dolg_na NUMERIC(18,2)  )
	INSERT INTO  #RES0_PERC(ID, PERC_TAX,COUNT_FIZL,SUMMA_INC, SUMMA_DED, ssv, siv, osd, sdo, nalogn, nalogu, nalogs, S_5_6, S_5_7, dolg_np,dolg_na)
	SELECT ID = 1 , 
		   PERC_TAX = 13,
		   ISNULL(COUNT(LINK_FACE),NULL),
		   SUMMA_INC = NULL,
		   SUMMA_DED = NULL,
		   ISNULL(SUM(ssv),NULL), 
		   ISNULL(SUM(siv),NULL), 
		   osd = ISNULL(SUM(osd13),NULL), 
		   sdo = ISNULL(SUM(sdo13),NULL), 
		   nalogn = ISNULL(SUM(nalogn13),NULL), 
		   nalogu = ISNULL(SUM(nalogu13),NULL), 
		   nalogs = ISNULL(SUM(nalog13s),NULL), 
		  ISNULL( SUM(S_5_6),NULL) , 
		   ISNULL(SUM(S_5_7),NULL) , 
		   ISNULL(SUM(dolg_np),NULL),
		   ISNULL(SUM(dolg_na),NULL)
	FROM #RES0  r
	WHERE isnull(osd13,0) <> 0
	UNION ALL 
		SELECT ID = 2 , 
		   PERC_TAX = 30,
		    ISNULL(COUNT(LINK_FACE),NULL),
		   SUMMA_INC = NULL,
		   SUMMA_DED = NULL,
		    ISNULL(SUM(ssv),NULL), 
		    ISNULL(SUM(siv),NULL), 
		   osd =  ISNULL(SUM(osd30),NULL), 
		   sdo =  ISNULL(SUM(sdo30),NULL), 
		   nalogn =  ISNULL(SUM(nalogn30),NULL), 
		   nalogu =  ISNULL(SUM(nalogu30),NULL), 
		   nalogs =  ISNULL(SUM(nalog30s),NULL), 
		    ISNULL(SUM(S_5_6),NULL) , 
		    ISNULL(SUM(S_5_7),NULL) , 
		    ISNULL(SUM(dolg_np),NULL),
		    ISNULL(SUM(dolg_na),NULL)
	FROM #RES0  r
	WHERE isnull(osd30,0) <> 0	
	UNION ALL 
		SELECT ID = 3 , 
		   PERC_TAX = 35,
		   ISNULL(COUNT(LINK_FACE),NULL),
		   SUMMA_INC = NULL,
		   SUMMA_DED = NULL,
		   ISNULL(SUM(ssv),NULL), 
		   ISNULL(SUM(siv),NULL), 
		   osd = ISNULL(SUM(osd35),NULL), 
		   sdo = ISNULL(SUM(sdo35),NULL), 
		   nalogn = ISNULL(SUM(nalogn35),NULL), 
		   nalogu = ISNULL(SUM(nalogu35),NULL), 
		   nalogs = ISNULL(SUM(nalog35s),NULL), 
		   ISNULL(SUM(S_5_6),NULL) , 
		   ISNULL(SUM(S_5_7),NULL) , 
		   ISNULL(SUM(dolg_np),NULL),
		   ISNULL(SUM(dolg_na),NULL)
	FROM #RES0  r
	WHERE isnull(osd35,0) <> 0	
	
	update  P
	SET   SUMMA_INC = RO.SUMMA_INC ,
		SUMMA_DED = RO.SUMMA_DED
	FROM #RES0_PERC P 
	INNER JOIN #RES_OUT_MAIN RO ON RO.PERC_TAX = P.PERC_TAX 

	
CREATE TABLE #RES2(CODE_STR VARCHAR(10), COL3 NUMERIC(20,2))

	
INSERT INTO #RES2 SELECT '010', ISNULL(PERC_TAX,13) FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '020', isnull(OSD,0) FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '025', 0 FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '030', ISNULL(OSD,0) -  ISNULL(SDO,0)  FROM #RES0_PERC WHERE  ID = 1 ---isnull(ssv,0)+isnull(siv,0)+isnull(SUMMA_DED,0) FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '040', isnull(nalogn,0) FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '045', 0 FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '050', 0 FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '1010',ISNULL(PERC_TAX,30) FROM #RES0_PERC WHERE  ID = 2
INSERT INTO #RES2 SELECT '1020', isnull(OSD,0) FROM #RES0_PERC WHERE  ID = 2 
INSERT INTO #RES2 SELECT '1025', 0 FROM #RES0_PERC WHERE  ID = 2
INSERT INTO #RES2 SELECT '1030',ISNULL(OSD,0) -  ISNULL(SDO,0)  FROM #RES0_PERC WHERE  ID = 2 --isnull(ssv,0)+isnull(siv,0)+isnull(SUMMA_DED,0) FROM #RES0_PERC WHERE  ID = 2 
INSERT INTO #RES2 SELECT '1040', isnull(nalogn,0) FROM #RES0_PERC WHERE  ID = 2 
INSERT INTO #RES2 SELECT '1045', 0 FROM #RES0_PERC WHERE  ID = 2 
INSERT INTO #RES2 SELECT '1050', 0 FROM #RES0_PERC WHERE  ID = 2 
INSERT INTO #RES2 SELECT '2010', ISNULL(PERC_TAX,35) FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2020', isnull(OSD,0) FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2025', 0 FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2030', ISNULL(OSD,0) -  ISNULL(SDO,0)  FROM #RES0_PERC WHERE  ID = 3 --isnull(ssv,0)+isnull(siv,0)+isnull(SUMMA_DED,0) FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2040', isnull(nalogn,0) FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2045', 0 FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2050', 0 FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '3060', SUM(isnull(COUNT_FIZL,0)) FROM #RES0_PERC   
INSERT INTO #RES2 SELECT '3070', SUM(isnull(nalogu,0)) FROM #RES0_PERC   
INSERT INTO #RES2 SELECT '3080', SUM(isnull(dolg_np,0)) FROM #RES0_PERC  
INSERT INTO #RES2 SELECT '3090', SUM(isnull(dolg_na,0)) FROM #RES0_PERC 

--SELECT * FROM #RES2
/*  -      */
DECLARE @Table_Razd1 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd1 OUTPUT
EXEC ('select * INTO ' + @Table_Razd1 + ' from #RES2 order by code_str')
EXEC dbo.BufferPush -116, @Table_Razd1

	-----------------------------------------------------
	---------------------------------------------------

	---
	--SELECT *, CAST(  (CAST (DOCCOUNT AS INT) - @varKSCNT) AS VARCHAR(254) ) AS DOCCOUNT2 FROM #DEP 
	---	

/*	UPDATE L SET
		NUMBER = O.NOM_SPR
	FROM 
		#LOG L
		INNER JOIN #RES0 R ON L.LINK = R.LINK_FACE
		INNER JOIN #ORDERS O ON O.ID = R.ID
	
	SELECT * FROM #LOG ORDER BY LINK, ERR
*/	---
--	EXEC dbo.BufferClear

	DROP TABLE #FACES
	DROP TABLE #S_J_C_SHORT
	DROP TABLE #S_J_C_SHORT_RES
/*	DROP TABLE #E_SUBDIV
	DROP TABLE #S_OBOSOB
	DROP TABLE #P_OBOSOB	
	DROP TABLE #LOG	
*/	DROP TABLE #RES0	
	DROP TABLE #ORDERS				

END













GO


GRANT EXECUTE ON dbo.[RSA_6NDFL_01032018_PREPARE] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9949.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_ST_ODV1_EXPORT_PFR_100_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_ST_ODV1_EXPORT_PFR_100_17]

GO

CREATE      PROCEDURE [dbo].SZV_ST_ODV1_EXPORT_PFR_100_17 (
@DOC_LINK int  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK = @DOC_LINK

CREATE TABLE #ODV1_ONLY(DOC_LINK INT , ODV1_ONLY TINYINT )	
insert into #ODV1_ONLY(DOC_LINK, ODV1_ONLY)
select 
	doc_link = d.link,
	ODV1_ONLY = (SELECT TOP 1 [type] FROM dbo.SS_SZV_STAZH_PACHKA WHERE link = d.Link)
from #DOC d


--  

CREATE TABLE #ODV1 (
		[LINK_SZV]     INT, 
		[YEAR]     INT ,
		[PER]      INT ,
		[PER_edt]      INT ,
		[YEAR_edt]     INT ,
		[PER10]    INT ,
		[TYPE]	   tinyint,
		[VID_KOR]  tinyint, 
		[COUNT_P]  INT,
		[COUNT_PK] INT,
		[COUNT_PERS] INT,  
		[REG_NOM_PF] VARCHAR(20),
		[DEP_NAME] VARCHAR(254),
		[OKPO] VARCHAR(40),
		[INN] VARCHAR(12),
		[KPP] VARCHAR(9),
		DATE_CRT datetime,
		DATE_DOC datetime,
		[GUID] UNIQUEIDENTIFIER)  

CREATE TABLE #ODV1_2 (
		[LINK_SZV]  INT,
		[subdiv_name] VARCHAR(254), 
		[POST_NAME] VARCHAR(254) , 
		[num_stake] NUMERIC(5,2),
		[work_stake] NUMERIC(5,2),
		[Fakt_Work] VARCHAR(254) ,
		[DOC_NAME] VARCHAR(10), 
		[OSOB_USL] VARCHAR(10) , 
		[N_OSOB_USL] VARCHAR(150) ,
		POS_SPIS VARCHAR(150),
		UD_OSNOV VARCHAR(10),
		N_UD_OSNOV VARCHAR(254))  



--       -
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
	
			INSERT INTO #ODV1 ([LINK_SZV],[YEAR],[PER],[PER_EDT],[YEAR_EDT],[PER10],[TYPE],[VID_KOR],[COUNT_P],[COUNT_PK],[COUNT_PERS],
							   [REG_NOM_PF],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC,[GUID])  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 1 
			
			INSERT INTO #ODV1_2 ([LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],
								 [DOC_NAME],[OSOB_USL],[N_OSOB_USL] ,[POS_SPIS] ,UD_OSNOV,N_UD_OSNOV)  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 2 

	
			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			




-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @link_szv INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC datetime, 
	@INN VARCHAR(12), @KPP VARCHAR(9), @OKPO VARCHAR(40), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@COUNT_P VARCHAR(10) , @COUNT_PK VARCHAR(10), @COUNT_PERS VARCHAR(4), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4),@sved int , @TYP_SVED VARCHAR(20), @kor INT,
	@VID_KOR VARCHAR(20),@PER VARCHAR(1),@PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4),  @TYPE VARCHAR(20), @GUID VARCHAR(36),
	@EGRUL varchar(15), @CHIEF_POST_OUR VARCHAR(150) , @CH_FM  VARCHAR(150) , @CH_IM  VARCHAR(150),@CH_OT  VARCHAR(150)
	/*@INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	
	@KATEG VARCHAR(20)*/

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


SELECT @CHIEF_POST_OUR = (SELECT TOP 1 post_name FROM dbo.SD_EMPL AS se WHERE link  = a.face_link),
		@CH_FM = (SELECT TOP 1 LTRIM(RTRIM(FM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_IM = (SELECT TOP 1 LTRIM(RTRIM(IM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_OT = (SELECT TOP 1 LTRIM(RTRIM(OT)) FROM dbo.sd_empl WHERE link  = a.face_link)
FROM DICTIONARY_OTV_FACE_ALL A  
inner join dbo.SS_SZV_STAZH_PACHKA P on a.dep_link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )
AND  a.NAME = '' 



SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	link_szv,
	FNAME = '_'+ RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))) + '_'+LEFT(REPLACE([REG_NOM_PF],'-',''),6)+'_-1_'+CONVERT(VARCHAR(8),ltrim(rtrim(replace(CONVERT(VARCHAR(10),DATE_DOC,102),'.',''))))+'_'+ltrim(rtrim([GUID]))+'.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	[OKPO] = RTRIM(LTRIM(COALESCE(OKPO,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))),
	--PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	[COUNT_P] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_P]))), 	
	[COUNT_PK] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PK]))),
	[COUNT_PERS] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PERS]))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = DATE_DOC,
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SVED = [TYPE] ,
	TYP_SVED = (CASE WHEN [TYPE] = 1 THEN '' else (CASE WHEN [TYPE] = 2 THEN '' else '' end) end),
	KOR = [VID_KOR] ,
	VID_KOR = (CASE WHEN [VID_KOR] = 2 THEN '' else (CASE WHEN [VID_KOR] = 3 THEN '' else '' end) end),
	[PER] = 0 ,  --CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	PER_EDT = CONVERT(VARCHAR(1),[PER_edt]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	[GUID] = RTRIM(LTRIM(CONVERT(VARCHAR(36),iSnull([GUID],null))))
from #ODV1 order by link_szv

/*  1  */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	 @SVED, @TYP_SVED, @KOR,@VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'UTF-8' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-1/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://.///2014-01-01" xmlns:xs="http://www.w3.org/2001/XMLSchema">'
			/*UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21"'+CHAR(10)+CHAR(13)
+ ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://.//-/2017-01-01'+CHAR(10)
+'..\..\..\..\\\\2017\-_2017-01-01.xsd">'*/
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				 
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<-1>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + CASE when @VID_KOR = '' THEN '1' ELSE '2' end + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'					
					--UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + RTRIM(LTRIM(ISNULL(@COUNT_PERS,''))) + '</>'
	

	IF (SELECT COUNT([work_stake])  FROM #ODV1_2 WHERE [LINK_SZV] =  @link_szv ) <>0
	BEGIN 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  SELECT @lcFNAME , SPACE(2) + '<>'
		
		
		-- 1 
		DECLARE @Cur2 CURSOR, @LINK_SZV1 int, @subdiv_name varchar(254), @POST_NAME varchar(254), @num_stake NUMERIC(5,2), @work_stake NUMERIC(5,2),
				@Fakt_Work VARCHAR(254), @DOC_NAME VARCHAR (10),@OSOB_USL VARCHAR(10),@POS_SPIS VARCHAR(150) 
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
			Select	[LINK_SZV],[subdiv_name],
					[POST_NAME],[num_stake],[work_stake],
					[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 
			FROM #ODV1_2  WHERE  [LINK_SZV] = @link_szv 
			GROUP BY [LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] 			   			
		
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN	
						IF isnull(@OSOB_USL,'') <> '' AND isnull(@POS_SPIS,'') <> '' 
						begin		
							  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											Select @lcFNAME, SPACE(3) + '<:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@subdiv_name,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@POST_NAME,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(CONVERT(VARCHAR(8),ISNULL(@num_stake,''))))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(ISNULL(@work_stake,''))))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@Fakt_Work,''))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@DOC_NAME,'-')))+'</:>' 
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@OSOB_USL,'')))+'</:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@POS_SPIS,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '</:>'
								  UNION ALL SELECT @lcFNAME, SPACE(3) + '</:>'
						end
					END
				
					FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS					  
					
				END 
			CLOSE @Cur2
			DEALLOCATE @Cur2
								
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(3) + '<:>'+ RTRIM(LTRIM(CONVERT(VARCHAR(8),SUM(@num_stake))))+ '</:> '  + CHAR(10)
							  +	 SPACE(3) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(sum(@work_stake))))) + '</:>'
				FROM #ODV1_2 WHERE LINK_SZV = @DOC_LINK  GROUP BY LINK_SZV
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	END 

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+REPLACE(RTRIM(LTRIM(isnull(@CHIEF_POST_OUR,''))),' ','')+'</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_FM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_IM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_OT,'')))+'</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(VARCHAR(10),@DATE_DOC , 120) +'</>'
		UNION ALL SELECT @lcFNAME, SPACE(1) + '</-1>'


	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
--	 SELECT @lcFNAME, SPACE(1) + '</->'	
	SELECT @lcFNAME, SPACE(0) +'</>'

	FETCH NEXT FROM @Cur1 INTO  @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	@SVED, @TYP_SVED,@KOR, @VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]


GO


GRANT EXECUTE ON dbo.[SZV_ST_ODV1_EXPORT_PFR_100_17] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9872.sql
/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION_1_1')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_REORGANIZATION_1_1')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_REORGANIZATION_1_1')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_REORGANIZATION_1_1')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION_1_1'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION_1_1')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DICT_REORGANIZATION_1_1', '', 27, (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICTION_REPORT'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_DEDUCT'),1,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DICT_REORGANIZATION_1_1', NAME = '', ORDERS = '27', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICTION_REPORT'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_DEDUCT'), MANAGED = 1, INHERITED = 1
	WHERE CODE ='DICT_REORGANIZATION_1_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_MARKER_REORG_1_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_MARKER_REORG_1_1', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_MARKER_REORG_1_1', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_MARKER_REORG_1_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NUMBER_REORG_1_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NUMBER_REORG_1_1', ' -', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NUMBER_REORG_1_1', NAME = ' -', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NUMBER_REORG_1_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_DATE_REORG_1_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_DATE_REORG_1_1', ' ', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_DATE_REORG_1_1', NAME = ' ', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_DATE_REORG_1_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NAME_DEP_REORG_1_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NAME_DEP_REORG_1_1', '-', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NAME_DEP_REORG_1_1', NAME = '-', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NAME_DEP_REORG_1_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_R_NAME_DEP_REORG_1_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_R_NAME_DEP_REORG_1_1', ' ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_R_NAME_DEP_REORG_1_1', NAME = ' ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_R_NAME_DEP_REORG_1_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_R_CODE_SUB_REORG_1_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_R_CODE_SUB_REORG_1_1', '  ', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_R_CODE_SUB_REORG_1_1', NAME = '  ', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_R_CODE_SUB_REORG_1_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_R_NAME_SUB_REORG_1_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_R_NAME_SUB_REORG_1_1', '  ', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_R_NAME_SUB_REORG_1_1', NAME = '  ', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_R_NAME_SUB_REORG_1_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_F_NAME_REORG_1_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_F_NAME_REORG_1_1', ' ', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_F_NAME_REORG_1_1', NAME = ' ', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_F_NAME_REORG_1_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_COMMENT_REORG_1_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_COMMENT_REORG_1_1', '', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_COMMENT_REORG_1_1', NAME = '', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_COMMENT_REORG_1_1'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1_1', 'TITLE', ''
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1_1', 'INIT_OBJECT_METHOD', 'X_SPISOK("DICT_REORGANIZATION")'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1_1', 'CLOSE_CODE', 'NAME_REORG'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1_1', 'SELECT_RECORDS_METHOD', 'sa_select_dictions_zb(''DICT_REORGANIZATION'')'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1_1', 'SELECT_RECORDS_METHOD_EDIT', ''
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1_1', 'OPEN_CODE', 'NAME_REORG'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1_1', 'MSG_SEL_ONE', 'IIF(ISNULL(NUMBER),'''', NUMBER) + [-] + IIF(ISNULL(NAME_REORG), '''', NAME_REORG)'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1_1', 'SERVER_TABLE_NAME', 'DICTIONARY_REORGANIZATION'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1_1', 'OPERATION_MASK', '24'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REORG_1_1', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REORG_1_1', 'CONTROLSOURCE', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REORG_1_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1_1', 'TITLE', ' ..'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1_1', 'CONTROLSOURCE', 'm.cAlias + ".NUMBER"'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1_1', 'SHORT_CODE_OBJ', 'NUMBER'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1_1', 'TITLE', ' .'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1_1', 'CONTROLSOURCE', 'm.cAlias + ".DATE"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1_1', 'TYPE_FIELD_DICT', 'DATETIME'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1_1', 'SHORT_CODE_OBJ', 'DATE'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".DATE"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1_1', 'CONTROL_NAME_EDIT', 'Atxt2'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1_1', 'COMMENTARY', ' '
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1_1', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1_1', 'CONTROLSOURCE', 'm.cAlias + ".NAME_DEP"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1_1', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1_1', 'SHORT_CODE_OBJ', 'NAME_DEP'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1_1', 'COMMENTARY', '-'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1_1', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1_1', 'CONTROLSOURCE', 'm.cAlias + ".R_DEP_NAME"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1_1', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1_1', 'SHORT_CODE_OBJ', 'R_DEP_NAME'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1_1', 'COMMENTARY', ' '
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1_1', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1_1', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 ("DICTIONARY_SUBDIVISION", oForm.ALIAS, "link,CODE,NAME,O_KPP", "R_SUB,R_CODE_SUB,R_NAME_SUB,R_KPP_SUB", "", "", "", .T., 1, oForm, oObj)'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1_1', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1_1', 'CONTROLSOURCE', 'm.cAlias + ".R_CODE_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1_1', 'CONTROL_TYPE', '8'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1_1', 'STORAGE', 'SUBDIV'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1_1', 'TYPE_FIELD_DICT', 'VARCHAR(5)'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1_1', 'SHORT_CODE_OBJ', 'R_CODE_SUB'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".R_CODE_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1_1', 'CONTROL_NAME_EDIT', 'ASel_Spr5'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1_1', 'REFERENCE_TO_FIELD', 'CODE'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1_1', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1_1', 'CONTROLSOURCE', 'm.cAlias + ".R_NAME_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1_1', 'STORAGE', 'SUBDIV'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1_1', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1_1', 'SHORT_CODE_OBJ', 'R_NAME_SUB'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".R_NAME_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1_1', 'CONTROL_NAME_EDIT', 'ATxtn5'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1_1', 'REFERENCE_TO_FIELD', 'NAME'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1_1', 'TITLE', ' '
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1_1', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 ("RB_VIEW_ATR_TYPE_REORG",oForm.ALIAS, "LINK, CODE", "REORG_FORM,F_CODE", "", "", "", .T., 0, oForm, oObj)'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1_1', 'CONTROLSOURCE', 'm.cAlias + ".F_CODE"'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1_1', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1_1', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1_1', 'SHORT_CODE_OBJ', 'F_CODE'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".F_CODE"'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1_1', 'CONTROL_NAME_EDIT', 'ASel_Spr6'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1_1', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1_1', 'NAME', 'COMMENT'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1_1', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1_1', 'CONTROLSOURCE', 'm.cAlias + ".COMMENT"'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1_1', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1_1', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1_1', 'SHORT_CODE_OBJ', 'COMMENT'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".COMMENT"'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1_1', 'CONTROL_NAME_EDIT', 'Atxt7'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1_1', 'REFERENCE_TO_FIELD', 'COMMENT'
GO

/****************     *************/

EXEC DBO.W_SPERM_WRITE 'DICT_REORGANIZATION_1_1', '-', 63,0
GO
EXEC DBO.W_SPERM_WRITE 'DICT_REORGANIZATION_1_1', '-', 63,0
GO

/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION_1')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_REORGANIZATION_1')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_REORGANIZATION_1')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_REORGANIZATION_1')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION_1'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION_1')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DICT_REORGANIZATION_1', '', 126, (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORT_DICTIONARY'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_DEDUCT'),1,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DICT_REORGANIZATION_1', NAME = '', ORDERS = '126', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='REPORT_DICTIONARY'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_DEDUCT'), MANAGED = 1, INHERITED = 1
	WHERE CODE ='DICT_REORGANIZATION_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_MARKER_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_MARKER_REORG_1', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_MARKER_REORG_1', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_MARKER_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NUMBER_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NUMBER_REORG_1', ' -', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NUMBER_REORG_1', NAME = ' -', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NUMBER_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_DATE_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_DATE_REORG_1', ' ', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_DATE_REORG_1', NAME = ' ', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_DATE_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NAME_DEP_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NAME_DEP_REORG_1', '-', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NAME_DEP_REORG_1', NAME = '-', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NAME_DEP_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_R_NAME_DEP_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_R_NAME_DEP_REORG_1', ' ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_R_NAME_DEP_REORG_1', NAME = ' ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_R_NAME_DEP_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_R_CODE_SUB_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_R_CODE_SUB_REORG_1', '  ', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_R_CODE_SUB_REORG_1', NAME = '  ', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_R_CODE_SUB_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_R_NAME_SUB_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_R_NAME_SUB_REORG_1', '  ', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_R_NAME_SUB_REORG_1', NAME = '  ', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_R_NAME_SUB_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_F_NAME_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_F_NAME_REORG_1', ' ', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_F_NAME_REORG_1', NAME = ' ', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_F_NAME_REORG_1'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_COMMENT_REORG_1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_COMMENT_REORG_1', '', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_COMMENT_REORG_1', NAME = '', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION_1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_COMMENT_REORG_1'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'TITLE', ''
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'INIT_OBJECT_METHOD', 'X_SPISOK("DICT_REORGANIZATION")'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'REMOVE_OBJECT_METHOD', 'I_DELETE_RECORDS(m.oForm.Alias, "DICT_REORGANIZATION", "SS_DICTIONARY_REORGANIZATION_DEL", 4, .F., .F.)'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'SAVE_OBJECT_METHOD', 'X_SAVE(''SS_SAVE_DICTIONARY_REORGANIZATION'', m.cAlias,"NUMBER , sqlnull(DATE),  sqlnull(DEP_LINK), sqlnull(R_DEP_LINK), sqlnull(R_SUB),F_CODE,COMMENT","DICT_REORGANIZATION")'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'EDIT_OBJECT_METHOD', 'X_BROW()'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'SELECT_RECORDS_METHOD', 'X_SELECT_DICTIONS(''DICT_REORGANIZATION'')'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'SELECT_RECORDS_METHOD_EDIT', 'X_SELECT_DICTIONS(''DICT_REORGANIZATION'')'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'OPEN_CODE', 'link'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'SERVER_TABLE_NAME', 'DICTIONARY_REORGANIZATION'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'OPERATION_MASK', '24'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION_1', 'HISTORY_DOC_FIELD_NUMBER', 'NULL'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REORG_1', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'TITLE', ' ..'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".NUMBER"'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'TYPE_FIELD_DICT', 'INT'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'SHORT_CODE_OBJ', 'NUMBER'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NUMBER"'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'CONTROL_NAME_EDIT', 'aTxt1'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'REFERENCE_TO_FIELD', 'NUMBER'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG_1', 'COMMENTARY', '  '
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'TITLE', ' .'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".DATE"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'TYPE_FIELD_DICT', 'DATETIME'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'SHORT_CODE_OBJ', 'DATE'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".DATE"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'CONTROL_NAME_EDIT', 'Atxt2'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG_1', 'COMMENTARY', ' '
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'EDIT_OBJECT_METHOD', 'N_VIBOR_01 (''DICTIONARY_DEPARTMENT'', oForm.ALIAS, ''LINK, NAME,INN,KPP'', ''DEP_LINK, NAME_DEP,DEP_INN,DEP_KPP'', '''','''', "(TYPE=4 OR ZB=1) AND dbo.xu_GetAccessByDep (LINK) > 0 ", .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".NAME_DEP"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NAME_DEP"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'CONTROL_NAME', 'asel_spr3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'CONTROL_NAME_EDIT', 'asel_spr3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG_1', 'COMMENTARY', '-'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''DICTIONARY_DEPARTMENT'', oForm.ALIAS, ''LINK, NAME,INN,KPP'', ''R_DEP_LINK, R_DEP_NAME,R_DEP_INN,R_DEP_KPP'', '''','''', "(TYPE=4 OR ZB=1)  ", .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".R_DEP_NAME"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".R_DEP_NAME"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'CONTROL_NAME_EDIT', 'asel_SPR4'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG_1', 'COMMENTARY', ' '
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 ("DICTIONARY_SUBDIVISION", oForm.ALIAS, "link,CODE,NAME,O_KPP", "R_SUB,R_CODE_SUB,R_NAME_SUB,R_KPP_SUB", "", "", "", .T., 1, oForm, oObj)'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".R_CODE_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'CONTROL_TYPE', '8'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'STORAGE', 'SUBDIV'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'TYPE_FIELD_DICT', 'VARCHAR(5)'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'SHORT_CODE_OBJ', 'R_CODE_SUB'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".R_CODE_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'CONTROL_NAME_EDIT', 'ASel_Spr5'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG_1', 'REFERENCE_TO_FIELD', 'CODE'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".R_NAME_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'STORAGE', 'SUBDIV'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'SHORT_CODE_OBJ', 'R_NAME_SUB'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".R_NAME_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'CONTROL_NAME_EDIT', 'ATxtn5'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG_1', 'REFERENCE_TO_FIELD', 'NAME'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'TITLE', ' '
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 ("RB_VIEW_ATR_TYPE_REORG",oForm.ALIAS, "LINK, CODE", "REORG_FORM,F_CODE", "", "", "", .T., 0, oForm, oObj)'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".F_CODE"'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'SHORT_CODE_OBJ', 'F_CODE'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".F_CODE"'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG_1', 'CONTROL_NAME_EDIT', 'ASel_Spr6'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'NAME', 'COMMENT'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'CONTROLSOURCE', 'm.cAlias + ".COMMENT"'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'SHORT_CODE_OBJ', 'COMMENT'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".COMMENT"'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'CONTROL_NAME_EDIT', 'Atxt7'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG_1', 'REFERENCE_TO_FIELD', 'COMMENT'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'DICT_REORGANIZATION_1', '-', 63,0
GO
EXEC DBO.W_SPERM_WRITE 'DICT_REORGANIZATION_1', '-', 63,0
GO

/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_REORGANIZATION')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_REORGANIZATION')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_REORGANIZATION')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DICT_REORGANIZATION', '', 41, (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SALARY'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_DEDUCT'),1,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DICT_REORGANIZATION', NAME = '', ORDERS = '41', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SALARY'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_DEDUCT'), MANAGED = 1, INHERITED = 1
	WHERE CODE ='DICT_REORGANIZATION'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_MARKER_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_MARKER_REORG', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_MARKER_REORG', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_MARKER_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NUMBER_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NUMBER_REORG', ' -', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NUMBER_REORG', NAME = ' -', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NUMBER_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_DATE_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_DATE_REORG', ' ', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_DATE_REORG', NAME = ' ', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_DATE_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NAME_DEP_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NAME_DEP_REORG', '-', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NAME_DEP_REORG', NAME = '-', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NAME_DEP_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_R_NAME_DEP_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_R_NAME_DEP_REORG', ' ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_R_NAME_DEP_REORG', NAME = ' ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_R_NAME_DEP_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_R_CODE_SUB_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_R_CODE_SUB_REORG', '  ', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_R_CODE_SUB_REORG', NAME = '  ', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_R_CODE_SUB_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_R_NAME_SUB_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_R_NAME_SUB_REORG', '  ', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_R_NAME_SUB_REORG', NAME = '  ', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_R_NAME_SUB_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_F_NAME_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_F_NAME_REORG', ' ', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_F_NAME_REORG', NAME = ' ', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_F_NAME_REORG'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_COMMENT_REORG')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_COMMENT_REORG', '', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_COMMENT_REORG', NAME = '', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_REORGANIZATION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_COMMENT_REORG'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'TITLE', ''
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'INIT_OBJECT_METHOD', 'X_SPISOK("DICT_REORGANIZATION")'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'REMOVE_OBJECT_METHOD', 'I_DELETE_RECORDS(m.oForm.Alias, "DICT_REORGANIZATION", "SS_DICTIONARY_REORGANIZATION_DEL", 4, .F., .F.)'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'SAVE_OBJECT_METHOD', 'X_SAVE(''SS_SAVE_DICTIONARY_REORGANIZATION'', m.cAlias,"NUMBER , sqlnull(DATE),  sqlnull(DEP_LINK), sqlnull(R_DEP_LINK), sqlnull(R_SUB),F_CODE,COMMENT","DICT_REORGANIZATION")'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'EDIT_OBJECT_METHOD', 'X_BROW()'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'SELECT_RECORDS_METHOD', 'SA_SELECT_DICTIONS_ZB(''DICT_REORGANIZATION'')'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'SELECT_RECORDS_METHOD_EDIT', 'X_SELECT_DICTIONS(''DICT_REORGANIZATION'')'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'OPEN_CODE', 'link'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'SERVER_TABLE_NAME', 'DICTIONARY_REORGANIZATION'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'OPERATION_MASK', '24'
GO
EXEC X_SET_PROP 'DICT_REORGANIZATION', 'HISTORY_DOC_FIELD_NUMBER', 'NULL'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REORG', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REORG', 'CONTROLSOURCE', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'TITLE', ' ..'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'CONTROLSOURCE', 'm.cAlias + ".NUMBER"'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'TYPE_FIELD_DICT', 'INT'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'SHORT_CODE_OBJ', 'NUMBER'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NUMBER"'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'CONTROL_NAME_EDIT', 'aTxt1'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'REFERENCE_TO_FIELD', 'NUMBER'
GO
EXEC X_SET_PROP 'COLUMN_NUMBER_REORG', 'COMMENTARY', '  '
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'TITLE', ' .'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'CONTROLSOURCE', 'm.cAlias + ".DATE"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'TYPE_FIELD_DICT', 'DATETIME'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'SHORT_CODE_OBJ', 'DATE'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".DATE"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'CONTROL_NAME_EDIT', 'Atxt2'
GO
EXEC X_SET_PROP 'COLUMN_DATE_REORG', 'COMMENTARY', ' '
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'EDIT_OBJECT_METHOD', 'N_VIBOR_01 (''DICTIONARY_DEPARTMENT'', oForm.ALIAS, ''LINK, NAME,INN,KPP'', ''DEP_LINK, NAME_DEP,DEP_INN,DEP_KPP'', '''','''', "(TYPE=4 OR ZB=1) AND dbo.xu_GetAccessByDep (LINK) > 0 ", .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'CONTROLSOURCE', 'm.cAlias + ".NAME_DEP"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NAME_DEP"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'CONTROL_NAME', 'asel_spr3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'CONTROL_NAME_EDIT', 'asel_spr3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_DEP_REORG', 'COMMENTARY', '-'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''DICTIONARY_DEPARTMENT'', oForm.ALIAS, ''LINK, NAME,INN,KPP'', ''R_DEP_LINK, R_DEP_NAME,R_DEP_INN,R_DEP_KPP'', '''','''', "(TYPE=4 OR ZB=1)  ", .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'CONTROLSOURCE', 'm.cAlias + ".R_DEP_NAME"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'CONTROL_TYPE', '2'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".R_DEP_NAME"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'CONTROL_NAME_EDIT', 'asel_SPR4'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_DEP_REORG', 'COMMENTARY', ' '
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 ("DICTIONARY_SUBDIVISION", oForm.ALIAS, "subdiv_link,CODE,NAME,O_KPP", "R_SUB,R_CODE_SUB,R_NAME_SUB,R_KPP_SUB", "", "", "", .T., 1, oForm, oObj)'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'CONTROLSOURCE', 'm.cAlias + ".R_CODE_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'CONTROL_TYPE', '8'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'STORAGE', 'SUBDIV'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'TYPE_FIELD_DICT', 'VARCHAR(5)'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'SHORT_CODE_OBJ', 'R_CODE_SUB'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".R_CODE_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'CONTROL_NAME_EDIT', 'ASel_Spr5'
GO
EXEC X_SET_PROP 'COLUMN_R_CODE_SUB_REORG', 'REFERENCE_TO_FIELD', 'CODE'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'TITLE', '. '
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'CONTROLSOURCE', 'm.cAlias + ".R_NAME_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'STORAGE', 'SUBDIV'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'TYPE_FIELD_DICT', 'VARCHAR(254)'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'SHORT_CODE_OBJ', 'R_NAME_SUB'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".R_NAME_SUB"'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'CONTROL_NAME_EDIT', 'ATxtn5'
GO
EXEC X_SET_PROP 'COLUMN_R_NAME_SUB_REORG', 'REFERENCE_TO_FIELD', 'NAME'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'TITLE', ' '
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 ("RB_VIEW_ATR_TYPE_REORG",oForm.ALIAS, "LINK, CODE", "REORG_FORM,F_CODE", "", "", "", .T., 0, oForm, oObj)'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'CONTROLSOURCE', 'm.cAlias + ".F_CODE"'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'SHORT_CODE_OBJ', 'F_CODE'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".F_CODE"'
GO
EXEC X_SET_PROP 'COLUMN_F_NAME_REORG', 'CONTROL_NAME_EDIT', 'ASel_Spr6'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'NAME', 'COMMENT'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'CONTROLSOURCE', 'm.cAlias + ".COMMENT"'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'SHORT_CODE_OBJ', 'COMMENT'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".COMMENT"'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'CONTROL_NAME_EDIT', 'Atxt7'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_REORG', 'REFERENCE_TO_FIELD', 'COMMENT'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'DICT_REORGANIZATION', '-', 63,0
GO
EXEC DBO.W_SPERM_WRITE 'DICT_REORGANIZATION', '-', 63,0
GO

/****************     ""*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = NULL

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_SAL_DICTIONS' AND NAME = '')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DICT_REORGANIZATION')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_SAL_DICTIONS' AND NAME = ''))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_DICTIONARY_REORGANIZATION'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'NV_DICTIONARY_REORGANIZATION', '', @ORD, NULL, 1, @LINK_SELF, 'DICTIONARY', @OBJECT, @LINK_VAR, 3
GO


--  "    "
--   scriptObjectVar 'SQL_REPORT_2NDFL'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'SQL_REPORT_2NDFL'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'SQL_REPORT_2NDFL'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	'    ',201, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'SQL_REPORT_2NDFL',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'kir_export_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= 'declare @nSummForCheck numeric(18,2)

if len(ltrim(rtrim(@cText5)))= 0
begin 
   select @cText5 = null
end

if isnumeric(ltrim(rtrim(@cText5))) = 0 
begin 	
	select @cText5 = null
end
	select @cText5 =  REPLACE(ltrim(rtrim(convert(varchar(16),@cText5))),'','',''.'');
	select  @nSummForCheck  =  cast(ltrim(rtrim(@cText5))  as numeric(18,2)) 
			 
EXEC dbo.SD_REP_2NDFL
	@cText1					/*   */,
	@cText3					/*     */,
	@nCheck2 				/*      */,
	@nSummForCheck 		/*      */,
	@cVal1,  @nOtborLink1,	/*   */
	@cVal2,  @nOtborLink2,	/*   */
	DEFAULT, /*     	*/
	DEFAULT, /*     	*/
	DEFAULT, /*     	*/
	@nCheck3, /*     */
    @nOption1, /*   1 - , 2 - , 3 -  */
	@cText6    /*      */,
	@nSel_SPR1 /*    */			
'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#REPORT_2NDFL'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKER.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(kir_2ndfl_prepare_report(),"2NDFL-DATA1.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #REPORT_2NDFL
	@cText1 varchar(4)	/*   */,
	@nCheck1 int	/*   */,
	@cText2 varchar(3)	/*   () */,
	@cText3 varchar(4)	/*     */,
	@cText4 varchar(1)	/*  */,
	@nCheck2 int	/*      */,
	@cText5 varchar(16)	/*      */,
	@nOption1 int	/*  */,
	@cText6 varchar(2)	/*      */,
	@nCheck3 int	/*     */,
	@nSel_Spr1 int	/*    */,
	@nFilterLink int	/*  */
AS
BEGIN
	DECLARE @cVal1 char(1), @nOtborLink1 int	/*   */
	SELECT @nOtborLink1 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFilterLink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE=''OTBOR_QUERY_SQL_EMPL''))
	SELECT @cVal1 = (SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink1 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE=''QUERY_OTBOR_CHECK''))
	DECLARE @cVal2 char(1), @nOtborLink2 int	/*   */
	SELECT @nOtborLink2 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFilterLink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE=''OTBOR_QUERY_SQL_DGH''))
	SELECT @cVal2 = (SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink2 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE=''QUERY_OTBOR_CHECK''))

declare @nSummForCheck numeric(18,2)

if len(ltrim(rtrim(@cText5)))= 0
begin 
   select @cText5 = null
end

if isnumeric(ltrim(rtrim(@cText5))) = 0 
begin 	
	select @cText5 = null
end
	select @cText5 =  REPLACE(ltrim(rtrim(convert(varchar(16),@cText5))),'','',''.'');
	select  @nSummForCheck  =  cast(ltrim(rtrim(@cText5))  as numeric(18,2)) 
			 
EXEC dbo.SD_REP_2NDFL
	@cText1					/*   */,
	@cText3					/*     */,
	@nCheck2 				/*      */,
	@nSummForCheck 		/*      */,
	@cVal1,  @nOtborLink1,	/*   */
	@cVal2,  @nOtborLink2,	/*   */
	DEFAULT, /*     	*/
	DEFAULT, /*     	*/
	DEFAULT, /*     	*/
	@nCheck3, /*     */
    @nOption1, /*   1 - , 2 - , 3 -  */
	@cText6    /*      */,
	@nSel_SPR1 /*    */			


END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= 'PROTOCOLS_EOD_2NDFL#1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= 'KIR_2NDFL_AFTER_REP(oForm)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'KirRepCommon.bas'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ALTERNATIVE_PRINT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ALTERNATIVE_PRINT_METHOD'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REPORT_2NDFL') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REPORT_2NDFL'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'OTBOR_QUERY_SQL_EMPL' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_FILTER'),
		'   ',NULL, 
		(Select link from object_var where code = 'SQL_REPORT_2NDFL'),
		'OTBOR_QUERY_SQL_EMPL',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'W400311' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'OTBOR_QUERY_SQL_DGH'),
					' ',2, 
					(Select link from object_var where code = 'OTBOR_QUERY_SQL_EMPL'),
					'W400311',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_CHECK') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_OTBOR_CHECK'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE'),
							'DICTIONARY_PERSONS_DGH'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_FIELD') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_OTBOR_FIELD'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_PARENT_CODE') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_OTBOR_PARENT_CODE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_VALUE') and LINK_UP = (Select link from object_var where code = 'W400311') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400311'),
							(Select link from s_property where code = 'QUERY_OTBOR_VALUE'),
							''
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'W400312' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'OTBOR_QUERY_SQL_EMPL'),
					' ',1, 
					(Select link from object_var where code = 'OTBOR_QUERY_SQL_EMPL'),
					'W400312',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_CHECK') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_CHECK'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE'),
							'DICT_EMPLOYERS01'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_FIELD') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_FIELD'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_PARENT_CODE') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_PARENT_CODE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_VALUE') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE2') and LINK_UP = (Select link from object_var where code = 'W400312') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'W400312'),
							(Select link from s_property where code = 'QUERY_OTBOR_DICTIONARY_CODE2'),
							'DICTIONARY_SUBDIVISION01'
						
GO
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'SQL_REPRT_2NDFL_NASTR_GR' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		' ',3, 
		(Select link from object_var where code = 'SQL_REPORT_2NDFL'),
		'SQL_REPRT_2NDFL_NASTR_GR',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR1' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					' ',4, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR1',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(4)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'2017'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'2017'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR1'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR2' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					' ',5, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR2',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR2'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR3' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'  ()',6, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR3',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'  ()'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(3)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR3'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR4' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'   ',7, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR4',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'   '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(4)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'
						
GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR4'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR5' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'',8, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR5',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'EDITABLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'FORMAT'),
							'[1-2]'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'4'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText4'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(1)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'1'

						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR5'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR8' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_OPTIONGROUP'),
					'',11, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR8',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							' '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'OPTIONGROUP'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							',,'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nOption1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR8'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR10' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'    ',12, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR10',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'FORMAT'),
							'[01-98]'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText6'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(2)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'01'

GO
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR10'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR6' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					'    ',9, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR6',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR6'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR7' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_TEXTBOX'),
					'    ',10, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR7',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'    '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText5'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(16)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''

						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR7'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR9' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_CHECKBOX'),
					'   ',13, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR9',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'   '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'CHECKBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'2'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'.,.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nCheck3'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							'.'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR9'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REPORT_2NDFL_NASTR12' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_LSEL_SPR'),
					'  ',14, 
					(Select link from object_var where code = 'SQL_REPRT_2NDFL_NASTR_GR'),
					'SQL_REPORT_2NDFL_NASTR12',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'   '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'LSel_Spr'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							'   \   '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							'DICT_REORGANIZATION_1_1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nSel_Spr1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REPORT_2NDFL_NASTR12'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'1'
						
GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DICT_REORGANIZATION]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[DICT_REORGANIZATION]

GO

/*
  (Keysystems), 2005
*/
CREATE     VIEW dbo.DICT_REORGANIZATION
AS
SELECT 
	[LINK]	     = d.LINK,
	[NUMBER]	 = d.NUMBER,
	[DATE]		 = d.[DATE],
	[DEP_LINK]	 = d.DEP_LINK,
	[NAME_DEP]   = dep.NAME,
	[DEP_INN]    = dep.INN,
	[DEP_KPP]	 = dep.KPP,
	[R_DEP_LINK] = d.r_dep_link ,
	[R_DEP_NAME]   = dep1.NAME,
	[R_DEP_INN]    = dep1.INN,
	[R_DEP_KPP]	 = dep1.KPP,					   
	[R_SUB]		= d.R_SUBDIV,
	[R_CODE_SUB] = ds.code,	
	[R_NAME_SUB]  = ds.name,
	[R_KPP_SUB]  = ds.O_KPP,
	[REORG_FORM]	= d.REORG_FORM ,
	[F_CODE]	= FR.CODE ,
	[COMMENT]		= d.COMMENT,
	[NAME_REORG] =  d.[NAME_REORG] 
FROM 
	 dbo.DICTIONARY_REORGANIZATION d
	 INNER JOIN dbo.departments dep on dep.link = d.[DEP_LINK]
	 LEFT JOIN dbo.departments dep1 on dep1.link = d.[R_DEP_LINK]
	 LEFT JOIN dbo.DICTIONARY_SUBDIVISION ds ON ds.subdiv_link =  d.R_subdiv 
	 INNER JOIN dbo.RB_VIEW_ATR_TYPE_REORG fr ON  fr.link  =  d.reorg_form

GO


GRANT SELECT ON dbo.[DICT_REORGANIZATION] TO PUBLIC

GO



IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[NDFL_BASE_SUM_TAX_MONTH_ALL_BYDEP]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[NDFL_BASE_SUM_TAX_MONTH_ALL_BYDEP]

GO

CREATE   FUNCTION dbo.NDFL_BASE_SUM_TAX_MONTH_ALL_BYDEP
	(@varKSnMonth INT, @varKSnYEAR INT, @DEP INT = null)
RETURNS @varKSRES TABLE (LINK_FACE INT, SM NUMERIC(11,2), [MONTH] INT  )


AS  BEGIN
	declare @varKSdDate1 datetime, @varKSdDate2 datetime
	SELECT @varKSdDate1 = dbo.ConvertDMY2Date(1, 1, @varKSnYEAR)
	select @varKSdDate2 = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1, @varKSnMonth, @varKSnYEAR))

	
	declare @DEP_LINK int
	IF @DEP IS null
		Set @DEP_LINK = Coalesce( (SELECT TOP 1 ZB_LINK FROM dbo.KS_OPTIONS_ZB), dbo.GetOwnDepLink())
	ELSE 
		SET @DEP_LINK = @DEP
	
	INSERT INTO @varKSRES
		select EP.PERS_LINK, ISNULL(SUM(SJ.summa), 0), MONTH(CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_END WHEN SJ.TYP_PER = 2 THEN SJ.DATE2 END)
		FROM SALARY_JURNAL_CALCULAT_SHORT SJ 
		INNER JOIN dbo.NDFL_GroupTax() T ON SJ.link_PAYS=T.LINK_PAYS
		INNER JOIN KU_EMPL_PLACING EP ON EP.LINK = SJ.LINK_EMPL
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		WHERE 
			SJ.PERIOD_BEGIN >= @varKSdDate1 AND SJ.PERIOD_END <=@varKSdDate2
--			(CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_BEGIN WHEN SJ.TYP_PER = 2 THEN SJ.DATE1 END) >= @varKSdDate1 
--			AND (CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_END WHEN SJ.TYP_PER = 2 THEN SJ.DATE2 END)<=@varKSdDate2
			AND EP.DEP_LINK = @DEP_LINK
		GROUP BY EP.PERS_LINK, MONTH(CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_END WHEN SJ.TYP_PER = 2 THEN SJ.DATE2 END)
	return 
END


GO


GRANT SELECT ON dbo.[NDFL_BASE_SUM_TAX_MONTH_ALL_BYDEP] TO PUBLIC

GO


-- --
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_REP_2NDFL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_REP_2NDFL]

GO

CREATE PROCEDURE dbo.SD_REP_2NDFL
	@varKScYear varchar(4),			
	@varKSnFirstNum INT,	
	@nCHECK_S int = 0,					   /*    */
	@nSumm_For_Check numeric(18,2) = null, /*    */			
	@varKScVal1 char(1), @varKSnOtborLink1 int,	
	@varKScVal2 char(1), @varKSnOtborLink2 int,
	@nLinkEmpl int = 0,
	@nMonth int = 12,
	@LINK_PERS INT = NULL,
	@nCheck_CheeF int = 0,
	@nOption1 int = 1, /*   1 - , 2 - , 3 -  */
	@nKOrr VARCHAR(2) /*   */,
	@nSel_REORG int = null	/*    */
AS BEGIN

SET NOCOUNT ON
	
	Set @nMonth = ISNULL(@nMonth,12)

	DECLARE @varKSnYear INT
	SET @varKSnYear = CAST(@varKScYear AS INT)

	DECLARE @BEGIN_YEAR DATETIME, @END_YEAR DATETIME
	SET @BEGIN_YEAR = dbo.ConvertDMY2Date(1,1,@varKSnYear)
	SET @END_YEAR = dbo.DateEndOfYear(@BEGIN_YEAR)

	declare @DEP_LINK INT, @R_dep  INT , @R_SUB INT, @r_dep_name VARCHAR(254), @r_dep_INN VARCHAR(12), @R_DEP_KPP VARCHAR(9) ,
		    @R_NAME_SUB VARCHAR(254), @R_KPP_SUB VARCHAR(9) , @F_CODE VARCHAR(50), @REORG_FORM TINYINT 
	
	exec dbo.xd_whats_zb @DEP_LINK OUTPUT
	
	

	SELECT @R_dep = R_dep_link,
		   @r_dep_name = r_dep_name, 
		   @r_dep_INN = r_dep_INN, 
		   @R_DEP_KPP = R_DEP_KPP,
		   @R_NAME_SUB = R_NAME_SUB,
		   @R_KPP_SUB = R_KPP_SUB, 
		   @R_SUB = r_sub  , 
		   @F_CODE = F_CODE,
		   @REORG_FORM = REORG_FORM 
	FROM DICT_REORGANIZATION WHERE link =  isnull(@nSel_REORG,0)

	CREATE TABLE #RES0 (
		ID INT IDENTITY,
		NOM_SPR INT,
		nKorr VARCHAR(2),
		LINK_FACE INT,
		SEX INT,
		INNFIZ VARCHAR(20),
		NUMB_SERT VARCHAR(20),
		STATUS VARCHAR(1),
		FIO VARCHAR(254),
		FM VARCHAR(254),
		IM VARCHAR(254),
		OT VARCHAR(254),
		KDVD VARCHAR(4),
		SERNOM VARCHAR(254), 
		BIRTH DATETIME,
		GRAZD VARCHAR(3),
		KSTR VARCHAR(3),
		LINK_ADR INT,
		IND_ADR VARCHAR(10),
		REGION VARCHAR(4),
		RAION VARCHAR(254),
		GOROD VARCHAR(254),
		NASEL VARCHAR(254),
		STREET VARCHAR(254),
		HOUSE VARCHAR(20),
		KORP VARCHAR(10),
		FLAT VARCHAR(10),

		KSTR_ino VARCHAR(3),
		Adr_ino VARCHAR(200),

		O_OKATO VARCHAR(14),
		O_OKTMO VARCHAR(11),
		O_KPP VARCHAR(9),	
		r_dep_name VARCHAR(254),
		r_dep_INN VARCHAR(12), 
		R_DEP_KPP VARCHAR(9) ,
		R_NAME_SUB VARCHAR(254),
		R_KPP_SUB VARCHAR(9) ,
		F_CODE VARCHAR(50),	
		REORG_FORM TINYINT,

		ksv1 varchar(3), ssv1 numeric(11,2),
		ksv2 varchar(3), ssv2 numeric(11,2),
		ksv3 varchar(3), ssv3 numeric(11,2),
		ksv4 varchar(3), ssv4 numeric(11,2),
		ksv5 varchar(3), ssv5 numeric(11,2),
		ksv6 varchar(3), ssv6 numeric(11,2),
		ksv7 varchar(3), ssv7 numeric(11,2),
		ksv8 varchar(3), ssv8 numeric(11,2),
		ksv9 varchar(3), ssv9 numeric(11,2),
		ksv10 varchar(3), ssv10 numeric(11,2),
		ksv11 varchar(3), ssv11 numeric(11,2),
		ksv12 varchar(3), ssv12 numeric(11,2),
		ssv numeric(11,2), siv numeric(11,2),
		osd13 numeric(11,2), sdo13 numeric(11,2), 
		nalogn13 numeric(18), nalogu13 numeric(18),
		NALOG13S numeric(18),
		err int,
		S_5_6 NUMERIC(18,2), S_5_7 NUMERIC(18,2),		
		dolg_np numeric(8), dolg_na numeric(8),
		kbkcode1 varchar(30), kbkcode2 varchar(30), kbkcode3 varchar(30), kbkcode4 varchar(30), 
		kbksum1 numeric(18,2), kbksum2 numeric(18,2),kbksum3 numeric(18,2),kbksum4 numeric(18,2),
		VIFNSPL numeric(18,2),
		ZSummPL numeric(18,2),
		UdSumPL numeric(18,2),
		VzkIFNS numeric(18,2)

	)	


	CREATE TABLE #FACES (LINK int,PERS_LINK int)

	IF @nLinkEmpl = 0
	BEGIN

		--         ,  @DEP_LINK  @SUBDIV      
		DECLARE @SUBDIV TABLE (LINK INT)
		
		--IF isnull(@R_dep,0) <> 0 
		--	set	@DEP_LINK = @R_dep
		IF isnull(@r_SUB,0) <> 0 BEGIN
			DELETE from	@SUBDIV 
			INSERT INTO @SUBDIV (LINK)
			select link = @r_SUB	
		END



		IF (len(@varKScVal1) = 0) AND (len(@varKScVal2) = 0 )

			IF @R_SUB IS null
			BEGIN 
				INSERT INTO #FACES
				SELECT distinct PERS_LINK,PERS_LINK FROM dbo.sd_empl WHERE DEP_LINK = isnull(@R_dep,@DEP_LINK)  --AND dbo.ku_GetEmplSack(link,default) = 0
			END  
			ELSE BEGIN
			         INSERT INTO #FACES
			         SELECT distinct PERS_LINK,PERS_LINK FROM dbo.sd_empl WHERE DEP_LINK =  isnull(@R_dep,@DEP_LINK) AND SUBDIV_LINK IN (SELECT LINK FROM @SUBDIV)  --AND dbo.ku_GetEmplSack(link,default) = 0	
			END 
		ELSE 
		if len(@varKScVal1) <> 0
			IF @R_SUB IS null
			BEGIN 
				INSERT INTO #FACES 
				SELECT distinct Min(RECORD),E.PERS_LINK 
				FROM dbo.EMPL E INNER JOIN dbo.OBJECT_VAR_EMPL OVE ON OVE.RECORD = E.LINK
				WHERE LINK_UP = @varKSnOtborLink1 
				GROUP BY E.PERS_LINK
			END 
			ELSE BEGIN
					 INSERT INTO #FACES 
					 SELECT distinct Min(RECORD),E.PERS_LINK 
					 FROM dbo.SD_EMPL E INNER JOIN dbo.OBJECT_VAR_EMPL OVE ON OVE.RECORD = E.LINK
					 WHERE LINK_UP = @varKSnOtborLink1
					 AND  e.DEP_LINK =  isnull(@R_dep,@DEP_LINK)  AND e.SUBDIV_LINK IN (SELECT LINK FROM @SUBDIV)
					 GROUP BY E.PERS_LINK
			END  	

		IF (len(@varKScVal1) = 0) AND (len(@varKScVal2) = 0 )
			IF @R_SUB IS NULL BEGIN
				INSERT INTO #FACES
				SELECT distinct PERS_LINK,PERS_LINK FROM dbo.SALARY_REESTR_DGH WHERE DEP_LINK = isnull(@R_dep,@DEP_LINK) 
					AND PERS_LINK NOT IN (SELECT PERS_LINK FROM #FACES)
			END 		
		ELSE 
		IF len(@varKScVal2) <> 0
			INSERT INTO #FACES 
			SELECT distinct Min(RECORD), P.LINK 
			FROM dbo.PERSON P INNER JOIN dbo.OBJECT_VAR_PERSON OVE ON OVE.RECORD = P.LINK  
			WHERE LINK_UP = @varKSnOtborLink2 AND P.LINK NOT IN (SELECT PERS_LINK FROM #FACES)
			GROUP BY P.LINK
	END
	
	IF @nLinkEmpl > 0
	BEGIN
		INSERT INTO #FACES
		SELECT distinct LINK,PERS_LINK FROM dbo.empl WHERE LINK = @nLinkEmpl and DEP_LINK = isnull(@R_dep,@DEP_LINK) 
	END
	
	
	IF @nLinkEmpl IS NULL
		INSERT INTO #FACES (LINK, PERS_LINK)
		VALUES (0, @LINK_PERS)

	-----------------------------
	delete from dbo.SAL_DED_MONTH
	where 
	YEAR(DATE_DED) = @varKSnYear
	AND
	Month(DATE_DED) <= @nMonth
	AND
	LINK_EMPL IN (Select EM.LINK from dbo.EMPL EM INNER JOIN #FACES F on EM.PERS_LINK = F.PERS_LINK)
	AND
	LINK IN 
	(
		select D.LINK 
		from dbo.SAL_DED_MONTH D inner join dbo.empl E on D.link_empl = E.link
		where YEAR(D.DATE_DED) = @varKSnYear AND Month(D.DATE_DED) <= @nMonth
		and not exists (Select * from dbo.CALCULATE_JURNAL JC where YEAR(JC.PERIOD_BEGIN) = @varKSnYear AND Month(JC.PERIOD_BEGIN) <= @nMonth AND JC.LINK_EMPL = E.LINK AND JC.LINK_VKR = D.LINK_VKR)
	)

	-----------------------------	

	EXEC dbo.BufferClear
	EXEC dbo.BufferPushTable '#faces', 'REP2NDFL', 'pers_link'

	/* */
	Declare @isPrevPreiod tinyint
	--        ,     .                   
	Set @isPrevPreiod = dbo.sa_get_option_by_code('NDFL_OPT6')

	create table #S_J_C_SHORT (LINK_FACE int,PERS_LINK int, link_empl int, link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), link_inc int, period_begin datetime, date1 datetime, link_dep int)

	IF @nOption1 < 3
	BEGIN
		
		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep)
		Select 
			E.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, 
			P.LINK, link_vkr, ISNULL(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, summa, P.LINK_INC,
			period_begin = (case when @isPrevPreiod = 0 then JC.period_begin 
					else (Case 
							when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
							then JC.DATE_BEGIN else JC.period_begin 
						end) 
					end),
			JC.DATE_BEGIN,
			JC.LINK_DEP
		from 
			dbo.CALCULATE_JURNAL JC 
			INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS
			LEFT JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK 
			LEFT JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
			LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
		where
			(
					(@isPrevPreiod = 0 or ISNULL(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and @nMonth >= month(JC.PERIOD_BEGIN) and @varKSnYear = year(JC.PERIOD_BEGIN)
					or 
					@isPrevPreiod = 1 and ISNULL(d.code,'') = 'DOCUMENTS_ADD_TABEL'
					and (@nMonth >= month(JC.DATE_BEGIN) or @nMonth >= month(JC.PERIOD_BEGIN) )
					and (@varKSnYear = year(JC.DATE_BEGIN) or @varKSnYear = year(JC.PERIOD_BEGIN) )

				)
			AND  
				(	-->>NEW
				E.PERS_LINK in (select PERS_LINK from #FACES )
				or
				JC.PERS_LINK in (select PERS_LINK from #FACES )
				)	
			AND JC.LINK_DEP = isnull(@R_dep,@DEP_LINK) 
		union all --
		Select LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep
		from dbo.S_J_C_SHORT SJC 
			LEFT JOIN DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC 
		where 
			SJC.LINK_DEP =isnull(@R_dep,@DEP_LINK) 
			and
			(
				SJC.LINK_FACE in (select PERS_LINK from #FACES )
				or
				SJC.PERS_LINK in (select PERS_LINK from #FACES )
			)
			and YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
			and Month(SJC.PERIOD_BEGIN) <= @nMonth
			and TYP_OPER = 2
			
	END --IF @nOption1 < 3
	ELSE
	BEGIN

		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_dep)
		Select 
			F.PERS_LINK, F.PERS_LINK, E.LINK, @DEP_LINK
		FROM
			#FACES F
			LEFT JOIN dbo.EMPL E ON F.LINK = E.LINK
	END
	
-----------------------------------------------------------
--  
DECLARE @DATE DATETIME
SET @DATE = DBO.ConvertDMY2Date(1,@nMonth, @varKSnYear)
SET @DATE = DBO.DateEndOfMonth(@DATE)

CREATE TABLE #E_SUBDIV (EMPL_LINK INT, SUBDIV_LINK INT)

IF @nLinkEmpl > 0
BEGIN
	INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
	SELECT EMPL_LINK, SUBDIV_LINK
	FROM DBO.SA_EMPLS_INFO(@DATE, @nLinkEmpl)
	WHERE [STATUS] = 1 OR [STATUS] = 3	
END
ELSE 
	BEGIN
		INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
		SELECT EMPL_LINK, SUBDIV_LINK
		FROM DBO.SA_EMPLS_INFO(@DATE,DEFAULT)
		WHERE [STATUS] = 1 OR [STATUS] = 3	
	END	

CREATE TABLE #S_OBOSOB (SUBDIV_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #S_OBOSOB (SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP)
SELECT SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP 
FROM [dbo].SUBDIVISION(@DATE) 
WHERE OBOSOB = 1

CREATE TABLE #P_OBOSOB (PERS_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #P_OBOSOB(PERS_LINK, O_OKATO, O_OKTMO, O_KPP)
SELECT E.PERS_LINK, SO.O_OKATO , SO.O_OKTMO, SO.O_KPP 
FROM 
	#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
	INNER JOIN  DBO.EMPL E ON   E.LINK = ES.EMPL_LINK

-----------------------------------------------------------
	INSERT INTO #RES0 (
		LINK_FACE,
		SEX,
		INNFIZ, --NALOG,
		NUMB_SERT,
		STATUS,
		FIO,
		FM, IM, OT,
		KDVD,
		SERNOM, 
		BIRTH,
		GRAZD,
		KSTR,
		LINK_ADR,
		IND_ADR,
		REGION,
		RAION,
		GOROD,
		NASEL,
		STREET,
		HOUSE,
		KORP,
		FLAT, 
		KSTR_ino,
		Adr_ino,
		ERR,
		O_OKATO,
		O_OKTMO,
		O_KPP,
		r_dep_name ,
		r_dep_INN , 
		R_DEP_KPP ,
		R_NAME_SUB ,
		R_KPP_SUB ,
		F_CODE 	,
		REORG_FORM
	)

	SELECT 	distinct 
		P.LINK, P.SEX, P.INN, /*P.IFNS,*/ P.INSUR_NUM, 
		CASE 
			WHEN P.RESIDENT  IS NULL THEN ''
			WHEN P.RESIDENT = 1 THEN '1'
			WHEN P.RESIDENT = 0 THEN '2'
		END,
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT),
		RTRIM(P.FM), RTRIM(P.IM), RTRIM(P.OT),
		[KDVD] = (SELECT TOP 1 CODE FROM FACE_DOCUMENT WHERE LINK = P.DOC_LINK),
		P.DOC_NUM,
		P.BIRTHDATE,
		GRAZD= (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK),
		KSTR= (case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then '643' else '' END),
		ADR.LINK_ADDR,
		ADR.IND_ADR,
		ADR.REGION,
		ADR.RAION,
		ADR.GOROD,
		ADR.NASEL,
		ADR.STREET,
		ADR.HOUSE,
		ADR.KORP,
		ADR.FLAT,
		KSTR_ino = '',
		Adr_ino = '',
		0,
		PO.O_OKATO,
		PO.O_OKTMO,
		PO.O_KPP,
		@r_dep_name,
		@r_dep_INN, 
		@R_DEP_KPP ,
		@R_NAME_SUB ,
		@R_KPP_SUB,
		@F_CODE	,
		@REORG_FORM
	FROM 
		#FACES F 
		INNER JOIN PERSON P ON P.LINK = F.PERS_LINK
		INNER JOIN (SELECT LINK_FACE from #S_J_C_Short SJC where LINK_FACE is not null
			 		UNION 
			 		SELECT LINK_FACE= PERS_LINK from #S_J_C_Short SJC where PERS_LINK is not null) J on P.LINK = J.LINK_FACE
		LEFT OUTER JOIN dbo.NDFL_GET_ADDRESS() ADR ON P.LINK = ADR.LINK_FACE
		LEFT JOIN #P_OBOSOB PO ON PO.PERS_LINK = F.PERS_LINK 
	ORDER BY 
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT)

	CREATE TABLE #PAYS_0
	(
		ID INT IDENTITY,
		LINK_FACE INT, 
		mes int, 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)
	

	
	select distinct LINK_FACE, Y = year(PERIOD_BEGIN), M = month(PERIOD_BEGIN),  LINK_INC, LINK_VKR  
	into #spr_pays_kbk
	from 	#S_J_C_SHORT where TYP_OPER = 1
	

	CREATE TABLE #PAYS_0_tmp
	(
		ID INT IDENTITY,
		LINK_FACE INT,
		mes int, 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)


IF @nOption1 < 3
BEGIN

	INSERT INTO #PAYS_0_tmp
	(LINK_FACE, mes, 
	LINK_INC, CODE_INC, SUMMA_INC,
	LINK_DED, CODE_DED, SUMMA_DED)
	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM 
		#S_J_C_SHORT SJC 
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.LINK_FACE = F.PERS_LINK
	WHERE 
		SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.PERS_LINK,0) = 0
		AND
		SJC.LINK_DEP = isnull(@R_dep,@DEP_LINK) 
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED

	---<<    	
	union all 

	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM #S_J_C_SHORT SJC 	
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC --AND DTI.SNAME <> '0000'
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 	SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.LINK_FACE,0) = 0
		AND
		SJC.LINK_DEP = isnull(@R_dep,@DEP_LINK) 
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED
	ORDER BY 
		1, ISNULL(DTI.SNAME,'0000'), COD_DED

	INSERT INTO #PAYS_0
	Select LINK_FACE, mes, LINK_INC, CODE_INC, sum(SUMMA_INC), LINK_DED, CODE_DED, sum(SUMMA_DED)
	from #PAYS_0_tmp
	group by LINK_FACE, mes, LINK_INC, CODE_INC, LINK_DED, CODE_DED
	having Sum(SUMMA_INC) <> 0

	drop table #PAYS_0_tmp
	
END
ELSE
BEGIN

	INSERT INTO #PAYS_0
	Select PERS_LINK, 0, NULL, NULL, 0, NULL, NULL, 0 FROM #FACES
	
END

	
IF @nOption1 < 3
BEGIN
	---->>
	--
	SELECT D.LINK_FACE, D.mes, SUM(D.SUMMA) as SUMMA, D.REF_DED INTO #DED 
	FROM 
		dbo.SA_NDFL_MONTH_DED_ALL(@varKSnYear) D 
		inner join #spr_pays_kbk kbk on kbk.LINK_FACE = d.LINK_FACE and kbk.m = d.mes and kbk.link_inc = d.REF_INC and kbk.LINK_VKR = d.LINK_VKR
	where 
		kbk.y = @varKSnYear
		and kbk.m <= @nMonth
	GROUP BY 
		D.LINK_FACE, d.mes, d.REF_DED

	UPDATE #PAYS_0
	SET SUMMA_DED = 
		(SELECT SUM(SUMMA) FROM #DED D WHERE D.LINK_FACE = R.LINK_FACE AND D.REF_DED = R.LINK_DED AND D.mes = R.mes ) 
	FROM #PAYS_0 R 
	WHERE LINK_DED IS NOT NULL


	update #PAYS_0 
		Set CODE_DED = ''
		where ISNULL(SUMMA_DED,0) = 0


	CREATE TABLE #P0 (LINK_FACE INT, ID1 INT)

	--- 1

	CREATE TABLE #PAYS1(LINK_FACE INT, SM NUMERIC(11,2), MONTH_NUM INT)
	INSERT INTO #PAYS1
	SELECT LINK_FACE, SM, [MONTH]
	FROM dbo.NDFL_BASE_SUM_TAX_MONTH_ALL_BYDEP(@nMonth, @varKSnYear,isnull(@R_dep,@DEP_LINK))

	---<<    
	insert into #pays1

	SELECT 
		F.PERS_LINK,
		SUM(SUMMA) AS SUMMA_INC,
		Month(SJC.PERIOD_BEGIN)
	FROM 
		#S_J_C_SHORT SJC 
		INNER JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND ISNULL(SJC.LINK_FACE,0) = 0
		AND SJC.LINK_DEP = isnull(@R_dep,@DEP_LINK) 
	GROUP BY F.PERS_LINK, SJC.PERIOD_BEGIN

	---->>

	SELECT LINK_FACE, SUM(SM) AS SM
	INTO #PAYS_R
	FROM #PAYS1
	GROUP BY LINK_FACE

	INSERT INTO #PAYS1
	SELECT 
		EP.PERS_LINK, -SUM(SUMMA), MONTH(DATE_DED)
	FROM    
		dbo.empl EP 
		inner join SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND [TYPE] = 2)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
	where 
		EP.DEP_LINK = isnull(@R_dep,@DEP_LINK) 
	GROUP BY 
		EP.PERS_LINK, MONTH(DATE_DED)

	CREATE TABLE #PAYS3(ID INT IDENTITY, LINK_FACE INT, LINK_DED INT, CODE_DED VARCHAR(6), SUMMA NUMERIC(18,2), SUMMA_FAKT NUMERIC(18,2))
	--     
	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.empl EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BEGIN_YEAR) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = isnull(@R_dep,@DEP_LINK) 	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.REESTR_DGH EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_DGH AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND S.[TYPE] = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BEGIN_YEAR) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = isnull(@R_dep,@DEP_LINK) 	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE


	--UPDATE #PAYS3
	--SET
	--	SUMMA = (Select sum(SUM_DED) from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	
	--where
	--	exists (Select * from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	


	UPDATE #PAYS3
	SET
		SUMMA = ISNULL(SUMMA_FAKT,0)
	where
		ISNULL(SUMMA,0) = 0

	--  (,     .)
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, SUM(S.SUMMA), SUM(S.SUMMA) 
	FROM 
		dbo.EMPL EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
	where 
		T.NUMBER NOT IN (	1, --
							6 --    
							)
		AND			
		EP.DEP_LINK = isnull(@R_dep,@DEP_LINK) 	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

	--   . 
	update #RES0
	Set siv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = isnull(@R_dep,@DEP_LINK)  AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0),
		ssv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED NOT IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = isnull(@R_dep,@DEP_LINK)  AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0)		

	from #RES0 R
	

	--
	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV1 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV1 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV2 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV2 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV3 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV3 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV4 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV4 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV5 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV5 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV6 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV6 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV7 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV7 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV8 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV8 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV9 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV9 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV10 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV10 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV11 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV11 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV12 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV12 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	UPDATE #RES0 SET OSD13 = (SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE) FROM #RES0 R

	----
	UPDATE #RES0 SET SDO13 = OSD13 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE

	-----
	UPDATE #RES0 SET SDO13 = 0 WHERE SDO13 < 0

	CREATE TABLE #NDFL_TAX(LINK_TAX INT)
	INSERT INTO #NDFL_TAX
	SELECT LINK FROM PAYS P WHERE P.OBJECT = 2 AND P.WAY_CALC = 4

	Create table #NDLF13_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF13 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF13_tmp (LINK, SUMMA)
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  
	WHERE 
		YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY 
		B.LINK
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY B.LINK

	insert into #NDLF13 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF13_tmp group by LINK
	
	drop table #NDLF13_tmp
	--->>

	UPDATE #RES0 SET NALOGU13 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF13 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN13 = SDO13 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX WHERE TARIF = 1)
								ELSE 0.30 END)
	--     
	DECLARE @SUMMA_PLAT_ALL NUMERIC(18,2)
		
	IF @nCHECK_S = 0
		BEGIN
			SET @SUMMA_PLAT_ALL =  @nSumm_For_Check 	
		END
	ELSE
		BEGIN 
			EXEC dbo.SA_NDFL_PLAT @BEGIN_YEAR, @DATE, @DEP_LINK, @SUMMA_PLAT_ALL OUT
		END 
	
	--     
	DECLARE @SUMMA_NACH_ALL NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL @BEGIN_YEAR, @DATE, @DEP_LINK, @SUMMA_NACH_ALL OUT
	--  	
	UPDATE #RES0 SET NALOG13S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL > 0 THEN (NALOGU13	/ @SUMMA_NACH_ALL) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG13S = CASE WHEN NALOG13S > NALOGU13 THEN NALOGU13 ELSE NALOG13S END

	UPDATE #RES0 SET NOM_SPR = ID + @varKSnFirstNum - 1
	
	UPDATE #RES0 SET NKORR = CASE WHEN @nOption1 = 2 THEN (case when len(left(ltrim(rtrim(@nKOrr)),2)) = 1 THEN '0'+ltrim(rtrim(@nKOrr)) ELSE  left(ltrim(rtrim(@nKOrr)),2) END ) 
								  WHEN  @nOption1 = 1 THEN '00' 
								  WHEN @nOption1 =3 THEN '99' end

	--- /      
	UPDATE A SET 
		S_5_6 = (CASE WHEN R.NDFL > 0 THEN R.NDFL ELSE 0 END),
		S_5_7 = (CASE WHEN R.NDFL <= 0 THEN - R.NDFL ELSE 0 END)
	FROM
		#RES0 A INNER JOIN 
		(SELECT E.PERS_LINK, NDFL = SUM(SR.NDFL) FROM dbo.SAL_REMAIN SR INNER JOIN dbo.EMPL E ON E.LINK = SR.LINK_EMPL WHERE SR.YEAR_SAL = @varKSnYear GROUP BY E.PERS_LINK) R 
			ON R.PERS_LINK = A.LINK_FACE
	--	
	UPDATE #RES0 SET DOLG_NP = CASE WHEN NALOGN13 - NALOGU13 > 0 THEN NALOGN13 - NALOGU13 ELSE 0 END - ISNULL(S_5_6,0)
	UPDATE #RES0 SET DOLG_NA = CASE WHEN NALOGU13 - NALOGN13 > 0 THEN NALOGU13 - NALOGN13 ELSE 0 END - ISNULL(S_5_7,0)

	--^^^^^^^^^   ^^^^^^^^^^
	create table  #PAYS_NDFL (ID INT IDENTITY, LINK_FACE int, LINK_PAYS int, kbk_code varchar(30), SUMMA numeric(18,2))

	INSERT INTO #PAYS_NDFL (LINK_FACE, LINK_PAYS, kbk_code, SUMMA)
	SELECT LINK_FACE, SJC.LINK_PAYS, left(kbk.CODE,30), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.PERS_LINK,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)
	GROUP BY 
		LINK_FACE, LINK_PAYS, kbk.CODE

	union all ---<<    	

	SELECT  PERS_LINK, SJC.LINK_PAYS, left(kbk.CODE,20), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.LINK_FACE,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)

	GROUP BY 
		PERS_LINK, LINK_PAYS, kbk.CODE
	ORDER BY 
		1, 2, 3

	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode1 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum1 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode2 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum2 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode3 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum3 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode4 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum4 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

END --IF @nOption1 < 3
	-------------------------------------
	update #res0
	set 	VIFNSPL =0, ZSummPL =0, UdSumPL =0, VzkIFNS =0


	DECLARE @varKSCNT INT

	SELECT @varKSCNT  = COUNT(*) FROM #RES0

	SELECT TOP 1 
		LTRIM(RTRIM(STR(@varKSCNT))) AS DOCCOUNT, 
		ISNULL(IMNS, '') AS NALOG,
		ISNULL(dd.INN, '') AS INN,
		ISNULL(KPP, '') AS KPP,
		ISNULL(OKATO, '')  AS OKATO,
		ISNULL(OKTMO, '')AS OKTMO,
		convert(varchar (254),(ISNULL(FULL_NAME, ''))) AS FULL_NAME,
		ISNULL(DOTF.PHONE, '') AS PHONE,
		ISNULL(RTRIM(FM), '') + ' ' + ISNULL(RTRIM(IM), '') + ' ' + ISNULL(RTRIM(OT), '') AS GLBUH,
		ISNULL(RTRIM(FM), '') AS FM,
		ISNULL(RTRIM(IM), '') AS IM, 
		ISNULL(RTRIM(OT), '') AS OT,
		ISNULL(RTRIM(DOTF.NAME), '') AS Dolzh,
		ISNULL(RTRIM(@r_dep_name),'') AS r_dep_name ,
		ISNULL(RTRIM(@r_dep_INN),'') AS r_dep_INN,
		ISNULL(RTRIM(@R_dep_KPP),'') AS R_dep_KPP,
		ISNULL(RTRIM(@R_NAME_SUB),'') AS R_NAME_SUB,
		ISNULL(RTRIM(@R_KPP_SUB),'') AS R_KPP_SUB,
		LTRIM(RTRIM(STR(@REORG_FORM)))  AS REORG_FORM
	INTO #DEP
	FROM 
		dbo.DICTIONARY_DEPARTMENT DD 
		LEFT OUTER JOIN dbo.DICTIONARY_OTV_FACE DOTF ON 
		DOTF.DEP_LINK = DD.LINK
		AND 
		(
			(@nCheck_CheeF = 0 and DOTF.NAME = ' ' ) 
			OR 
			(@nCheck_CheeF = 1 and DOTF.NAME = '' )
		)
		LEFT OUTER JOIN dbo.KU_EMPL_PLACING EP ON DOTF.FACE_LINK = EP.LINK
	WHERE 
		DD.link = @DEP_LINK


	CREATE TABLE #LOG(
		LINK INT, ERR INT IDENTITY, 
		NUMBER VARCHAR(20), DETAIL VARCHAR(254) )

	DECLARE @varKScInn VARCHAR(254), @varKScKPP VARCHAR(254), @varKSFULL_NAME varchar(254), 
		@varKSNALOG VARCHAR(254), @varKSOKATO VARCHAR(254), @varKSOKTMO VARCHAR(254), @varKSPHONE VARCHAR(254), 
		@varKSGLBUH VARCHAR(254), 
		@varKSRESULT BIT

	SELECT 
		@varKScInn = INN, @varKScKPP = KPP,
		@varKSFULL_NAME = FULL_NAME, 
		@varKSNALOG = NALOG, @varKSOKATO = Replace(OKATO,' ',''), @varKSOKTMO = Replace(OKTMO,' ',''),
		@varKSPHONE = PHONE, 
		@varKSGLBUH  = GLBUH
	FROM #DEP
	
	IF LEN(@varKScInn) = 0
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKScInn) <> 10 BEGIN
			INSERT INTO #LOG (LINK, NUMBER, DETAIL)
			VALUES (0, ' ', '  ')
		END
		ELSE BEGIN
			EXEC SD_CHECK_INN @varKScInn, @varKSRESULT OUTPUT, 0
			IF @varKSRESULT = -1
				INSERT INTO #LOG (LINK, NUMBER, DETAIL)
				VALUES (0, ' ', '  ')
		END
	END

	
	IF LEN(@varKScKPP) = 0
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKScKPP) <>9  BEGIN
			INSERT INTO #LOG (LINK, NUMBER, DETAIL)
			VALUES (0, ' ', '    9 ')
		END
	END

	IF LEN(@varKSNALOG) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKSNALOG) <> 4  
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '    4 ')

	END

	IF LEN(@varKSFULL_NAME) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   -')



	IF LEN(@varKSOKTMO) = 0  
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)		VALUES (0, ' ', '   ')	

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT E.PERS_LINK, '', '      ,     ' + RTRIM(P.FM) + ' ' + SUBSTRING(RTRIM(P.IM),1,1) + '.' + SUBSTRING(RTRIM(P.OT),1,1) + '.'
	FROM
		#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
		INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK
		INNER JOIN #FACES F ON F.PERS_LINK = E.PERS_LINK
		INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK
	WHERE
		LEN(O_OKTMO) = 0 
		
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT E.PERS_LINK, '', '      KPP   ,     ' + RTRIM(P.FM) + ' ' + SUBSTRING(RTRIM(P.IM),1,1) + '.' + SUBSTRING(RTRIM(P.OT),1,1) + '.'
	FROM
		#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
		INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK
		INNER JOIN #FACES F ON F.PERS_LINK = E.PERS_LINK
		INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK		
	WHERE
		LEN(O_KPP) <> 9

	IF LEN(@varKSPHONE) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')

	IF LEN(@varKSGLBUH) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT DISTINCT
		0, ' ', '         ' + LTRIM(RTRIM(ISNULL(D.SNAME,'')))
	FROM
		dbo.TAX_DEDUCTIONS TD INNER JOIN DBO.DICTIONARY_TYP_DEDUCTION D ON D.LINK = TD.LINK_DICTION
	WHERE
		TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth
		AND
		TD.LINK_DICTION NOT IN (SELECT REF_PAY FROM dbo.Salary_deductions(@END_YEAR))

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '', '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(FM, '')) = 0 AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '', '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(IM, '')) = 0 AND OSD13 > 0 

/*	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(Ot, '')) = 0 AND OSD13 > 0 
*/
/*	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT NOM_SPR, NOM_SPR,  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE dbo.IsValidINNFiz(INNFIZ) = 0
*/
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '   ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE STATUS = '' AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE GRAZD IS NULL AND OSD13 > 0 
/*
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT NOM_SPR, NOM_SPR,  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = ''
*/
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '    ,  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' and KDVD IS NULL AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '     ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND ISNULL(SERNOM, '') = '' AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '     '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND BIRTH IS NULL AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND link_adr IS NULL AND OSD13 > 0 

	SET @varKSCNT = 0
	SELECT @varKSCNT = COUNT(DISTINCT LINK) FROM #LOG WHERE LINK > 0

	UPDATE #RES0
	SET ERR = 1
	WHERE LINK_FACE IN (SELECT LINK_FACE FROM #LOG)

	/*  */  -- DED_TYPE = 1 - , 2-  
	CREATE TABLE #td (LINK_PERSON INT ,NUM_REF VARCHAR(15),DATE_REF DATETIME,IFNS_CODE VARCHAR(20),DED_TYPE TINYINT)

	IF @nOption1 < 3
	BEGIN
		INSERT INTO #td (LINK_PERSON ,NUM_REF,DATE_REF,IFNS_CODE,DED_TYPE)
		Select LINK_PERSON, 
			   NUM_REF, 
			   DATE_REF, 
			   IFNS_CODE,
			   DED_TYPE = 1 
		from dbo.TAX_DEDUCTIONS td
		where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER ='4')  )
		UNION SELECT 
			   LINK_PERSON, 
			   NUM_REF, 
			   DATE_REF, 
			   IFNS_CODE,
			   DED_TYPE = 2 
		from dbo.TAX_DEDUCTIONS td
		where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER IN('11','12','13')) )
	END	--IF @nOption1 < 3

	declare @KBK_DEFAULT varchar(254)
	Set @KBK_DEFAULT = (select Top 1 CODE_KBK from dbo.sd_empl where LINK_KBK > 0)

	UPDATE #RES0 Set kbkcode1 = @KBK_DEFAULT, kbksum1 = 0 where ISNULL(kbksum1,0) = 0

	/*  */
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '        '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 inner join  #td on #RES0.LINK_FACE = #td.LINK_PERSON 
	WHERE rtrim(ltrim(ISNULL(NUM_REF,''))) = '' or rtrim(ltrim(ISNULL(IFNS_CODE,''))) = '' or DATE_REF is null AND OSD13 > 0 

	CREATE TABLE #RES_OUT (ID INT,LINK_FACE INT,mes INT,LINK_INC INT,CODE_INC VARCHAR(4),SUMMA_INC NUMERIC(18,2),LINK_DED INT,CODE_DED VARCHAR(3),SUMMA_DED NUMERIC(18,2),ID2 INT)

	INSERT INTO #RES_OUT (ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2)
	SELECT ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2 = 0 
	FROM #PAYS_0 
	ORDER BY LINK_FACE, MES, CODE_INC
	
	---
	CREATE TABLE #RES_OUT_ORD (NUM_PP INT IDENTITY(1,1), ID INT, LINK_FACE INT)
	INSERT INTO #RES_OUT_ORD (ID, LINK_FACE)
	SELECT ID, LINK_FACE FROM #PAYS_0 ORDER BY LINK_FACE, MES, CODE_INC
	--
	CREATE TABLE #RES_OUT_ORD2 (LINK_FACE INT, MIN_NUM INT)
	INSERT INTO #RES_OUT_ORD2 (LINK_FACE, MIN_NUM)
	SELECT LINK_FACE, MIN(NUM_PP) FROM #RES_OUT_ORD GROUP BY LINK_FACE
	---   
	UPDATE R
	SET R.ID2 = O.NUM_PP - O2.MIN_NUM + 1
	FROM 
		#RES_OUT R 
		INNER JOIN #RES_OUT_ORD O ON O.ID = R.ID
		INNER JOIN #RES_OUT_ORD2 O2 ON O2.LINK_FACE = R.LINK_FACE

	CREATE TABLE #ORDERS (ID int)
	DECLARE @SQL VARCHAR(1000)
	SET @SQL = 'ALTER TABLE #ORDERS ADD [NOM_SPR] INT IDENTITY(' + RTRIM(str(ISNULL(@varKSnFirstNum,1))) + ',1)'
	EXEC(@SQL)

	INSERT INTO #ORDERS (ID) 
	SELECT DISTINCT ID 
	FROM #RES0 
	WHERE LINK_FACE IN ( Select DISTINCT LINK_FACE from #RES_OUT where [ID2]%2 = 1 )
			--AND ISNULL(OSD13,0) > 0
	ORDER BY ID

	--UPDATE #ORDERS SET NOM_SPR = NOM_SPR + @varKSnFirstNum - 1

	---   
	UPDATE #DEP SET DOCCOUNT = ISNULL((SELECT MAX(NOM_SPR) FROM #ORDERS),0)

	-------------------
	SELECT 
		R.ID, O.NOM_SPR, r.nKorr, R.LINK_FACE, R.SEX, R.INNFIZ, R.NUMB_SERT, R.STATUS, 
		R.FIO, R.FM, R.IM, R.OT, R.KDVD, R.SERNOM, R.BIRTH, R.GRAZD, R.KSTR, 
		R.LINK_ADR, R.IND_ADR, R.REGION, R.RAION, R.GOROD, R.NASEL, R.STREET, 
		R.HOUSE, R.KORP, R.FLAT, R.KSTR_ino, R.Adr_ino, 
		R.ksv1, R.ssv1, R.ksv2, R.ssv2, R.ksv3, R.ssv3, R.ksv4, R.ssv4, R.ksv5, R.ssv5, R.ksv6, R.ssv6, 
		R.ksv7, R.ssv7, R.ksv8, R.ssv8, R.ksv9, R.ssv9, R.ksv10, R.ssv10, R.ksv11, R.ssv11, R.ksv12, R.ssv12, 
		R.ssv, R.siv, R.osd13, R.sdo13, R.nalogn13, R.nalogu13, R.nalog13s, R.err, R.S_5_6, R.S_5_7, R.dolg_np, R.dolg_na, 
		R.kbkcode1, R.kbkcode2, R.kbkcode3, R.kbkcode4, R.kbksum1, R.kbksum2, R.kbksum3, R.kbksum4, 
		R.VIFNSPL, R.ZSummPL, R.UdSumPL, R.VzkIFNS, 
		ndoc_td = td1.NUM_REF , --   
		ddoc_td = td1.DATE_REF,
		ifnsdoc_td = td1.ifns_code,
		nDoc_SD = td2.NUM_REF, --    
		dDoc_SD = td2.DATE_REF,
		ifnsdoc_sd = td2.ifns_code,
		nalog	= @varKSNALOG,
		KPP1 = ISNULL(R.O_KPP,@varKScKPP),
		OKATO1 = replace(ISNULL(R.O_OKATO,@varKSOKATO),' ',''),
		OKATO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKATO else '' end),
		OKATO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKATO else '' end),
		OKATO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKATO else '' end),
		OKTMO1 = replace(ISNULL(R.O_OKATO,@varKSOKTMO),' ',''),
		OKTMO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKTMO else '' end),
		R.R_DEP_NAME,
		R.R_DEP_INN,
		R.R_DEP_KPP,
		R.R_NAME_SUB,
		R.R_KPP_SUB,
		R.REORG_FORM,
		T.M1, T.CINC1, T.SINC1, T.CDED1, T.SDED1, T.M2, T.CINC2, T.SINC2, T.CDED2, T.SDED2,
		td1.LINK_PERSON/*, #td.NUM_REF, #td.DATE_REF, #td.IFNS_CODE*/
	FROM #RES0 R 
		INNER JOIN #ORDERS O ON O.ID = R.ID
		INNER JOIN ( 
			Select	T1.LINK_FACE, M1= T1.MES, CINC1= T1.CODE_INC, SINC1= T1.SUMMA_INC, CDED1= T1.CODE_DED, SDED1= T1.SUMMA_DED, M2= T2.MES, CINC2= T2.CODE_INC, SINC2= T2.SUMMA_INC, CDED2= T2.CODE_DED, SDED2= T2.SUMMA_DED
			from	(Select * from #RES_OUT where [ID2]%2 = 1) T1 left join (Select * from #RES_OUT where [ID2]%2 = 0) T2 on T1.link_FACE = T2.LINK_FACE AND T1.[ID2] = (T2.[ID2]-1)
		) T on R.LINK_FACE = T.LINK_FACE
		LEFT OUTER JOIN   #td td1 on R.LINK_FACE = td1.LINK_PERSON AND td1.DED_TYPE = 1 /* */
		LEFT OUTER JOIN   #td td2 on R.LINK_FACE = td2.LINK_PERSON AND td2.DED_TYPE = 2 /* */
	--where OSD13 > 0 
	ORDER BY O.NOM_SPR, T.M1, T.CINC1, T.M2, T.CINC2

	---
	SELECT *, CAST(  (CAST (DOCCOUNT AS INT) - @varKSCNT) AS VARCHAR(254) ) AS DOCCOUNT2 FROM #DEP 
	---	

	UPDATE L SET
		NUMBER = O.NOM_SPR
	FROM 
		#LOG L
		INNER JOIN #RES0 R ON L.LINK = R.LINK_FACE
		INNER JOIN #ORDERS O ON O.ID = R.ID
	
	SELECT * FROM #LOG ORDER BY LINK, ERR
	---
	EXEC dbo.BufferClear

	DROP TABLE #E_SUBDIV
	DROP TABLE #S_OBOSOB
	DROP TABLE #P_OBOSOB	
	DROP TABLE #LOG	
	DROP TABLE #RES0	
	DROP TABLE #ORDERS				
	
END


GO


GRANT EXECUTE ON dbo.[SD_REP_2NDFL] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 9947.sql

EXEC X_SET_PROP 'VACATION_MOVE', 'SAVE_OBJECT_METHOD', 'U_SAVE_TABLE_PART(''KU_VACATION_SAVE'', m.cAlias," NUMBER, SQLNULL(DATE), TYPE_LINK, 0, SQLNULL(PERIOD_BEGIN), SQLNULL(PERIOD_END), SQLNULL(DATE_BEGIN),  SQLNULL(DATE_END), null,REASON,null, EMPL_LINK, ORDER_LINK, null,null,null, VAC_LINK","VACATION")'
GO

GO

-- FIX >>  : 9903.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_6NDFL_PREPARE_R2]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_6NDFL_PREPARE_R2]

GO
-- exec [dbo].SA_6NDFL_PREPARE_R2 '2016', 1 , '1' ,95494

CREATE PROCEDURE dbo.SA_6NDFL_PREPARE_R2 @dBDATE datetime /*    */, 
									 @dEDATE DATETIME /*    */,
									 @cBUFFID_NAME VARCHAR(10), /*     */
									 @nDep_link int 	/*   */
AS




IF OBJECT_ID('tempdb..#FIZ_VID_DOH') IS NOT NULL 
BEGIN 


	DECLARE
		@DEP_LINK INT 
		
	SET @DEP_LINK = @nDep_link	
	set @cBUFFID_NAME = LTRIM(RTRIM(@cBUFFID_NAME))


	SET DATEFIRST 7

DECLARE @dBDATE_EMP DATETIME,
		@dEDATE_EMP datetime
	set @dBDATE_EMP  = DATEADD(MONTH , -1 ,@dBDATE)

	set @dEDATE_EMP  = DATEADD(MONTH , 1 ,@dEDATE)

		create table #S_J_C_SHORT (link int,LINK_FACE int,PERS_LINK int, link_empl int, link_doc INT, link_pays int, 
								 name_pays VARCHAR(60), link_vkr int,link_ekr int, typ_per tinyint, typ_oper tinyint, 
								 summa numeric(18,2), link_inc int, period_begin datetime,period_end datetime, date1 datetime, 
								 date2 datetime, link_dep INT ,way_calc INT, way_name VARCHAR(50), type_doc VARCHAR(100), 
								 num_doc VARCHAR(30), Dt_doc datetime, comm_doc VARCHAR(254), CODE VARCHAR(30))

		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl,link_doc, link_pays, 
								 name_pays,link_vkr, link_ekr, typ_per, typ_oper, 
								 summa,link_inc, period_begin, period_end, date1, 
								 date2,link_dep,way_calc, way_name,type_doc, 
								 num_doc,Dt_doc,comm_doc, CODE)
		Select E.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, JC.link_doc, P.LINK, 
				name_pays = p.name, link_vkr, ISNULL(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, 
				summa, P.LINK_INC,
			period_begin = (Case 
							when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
							then JC.DATE_BEGIN else JC.period_begin 
							end) ,
			JC.PERIOD_END,
			JC.DATE_BEGIN,
			JC.DATE_END,
			JC.LINK_DEP ,
			P.WAY_CALC ,
			way_name = w.name,
			type_doc = sd.[TYPE], 
			num_doc = sd.NUMBER,
			Dt_doc = sd.[DATE], 
			comm_doc = sd.COMMENTARY, 
			CODE = sd.CODE
		from 
			dbo.CALCULATE_JURNAL JC 
			INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS
			LEFT JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
			LEFT JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
			LEFT JOIN dbo.WAY_CALC w ON w.CODE = p.way_calc AND w.[TYPE] = 1 
			LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
			LEFT JOIN dbo.SALARY_FULL_JURNAL_DOC sd ON sd.link = jc.LINK_DOC
		where
			(
					(ISNULL(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and (JC.PERIOD_BEGIN between @dBDATE_EMP AND @dEDATE_EMP)
					or 
					ISNULL(d.code,'') = 'DOCUMENTS_ADD_TABEL'
					and (JC.DATE_BEGIN between @dBDATE_EMP AND @dEDATE_EMP or JC.PERIOD_BEGIN between @dBDATE_EMP AND @dEDATE_EMP )
					

				)
			AND 
				(	-->>NEW
				E.PERS_LINK in (select LINK from dbo.BufferGetTableById(@cBUFFID_NAME) )
				or
				JC.PERS_LINK in (select LINK from dbo.BufferGetTableById(@cBUFFID_NAME) )
				)	
			AND JC.LINK_DEP = @DEP_LINK 
		
		union all --
		SELECT LINK_FACE, PERS_LINK, link_empl, link_doc, link_pays, 
				 name_pays = p.name, sjc.link_vkr, sjc.link_ekr, sjc.typ_per, sjc.typ_oper, 
				 summa,sjc.link_inc, period_begin, period_end, date1, 
				 date2,SJC.link_dep, sjc.WAY_CALC, way_name = w.name,
				 type_doc = sd.[TYPE], 
				 num_doc = sd.NUMBER,
				 Dt_doc = sd.[DATE], 
				 comm_doc = sd.COMMENTARY, 
				 CODE = sd.CODE
		from dbo.S_J_C_SHORT SJC 
			LEFT JOIN DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC 
			LEFT JOIN dbo.SALARY_FULL_JURNAL_DOC sd ON sd.link = SJC.LINK_DOC
			LEFT JOIN dbo.PAYS P ON SJC.LINK_PAYS = P.LINK
			LEFT JOIN dbo.WAY_CALC w ON w.CODE = sjc.way_calc AND w.[TYPE] = 1
		where 
			SJC.LINK_DEP = @DEP_LINK
			and SJC.PERIOD_BEGIN between @dBDATE AND @dEDATE
			and TYP_OPER = 2



	--  #S_J_C_SHORT             , 
	--     - , ,       ,     DIS ,       
	IF OBJECT_ID('tempdb..#FIZ_EMPL_TAB') IS NOT NULL DROP TABLE #FIZ_EMPL_TAB
	CREATE TABLE #FIZ_EMPL_TAB (LINK_FACE INT, PERS_LINK INT , LINK_EMPL INT, INOSTR int, DIS TINYINT , DATE_DIS DATETIME)
	INSERT INTO #FIZ_EMPL_TAB (LINK_FACE, PERS_LINK, LINK_EMPL, INOSTR , DIS, DATE_DIS)
	SELECT sjc.LINK_FACE,
		sjc.pers_link,
		sjc.link_empl,
		INOSTR = CASE WHEN (SELECT TOP 1 code FROM citizenship WHERE link = p.CITIZ_LINK ) NOT IN('1','2') THEN 1 
					 ELSE 0 END,
		dis = CASE WHEN IDF.empl_link IS NOT NULL THEN 1 ELSE 0 END,
		IDF.DIS_DATE
	FROM 	#S_J_C_SHORT sjc
	INNER JOIN dbo.PERSON p ON p.link = ISNULL(sjc.LINK_FACE,sjc.pers_link) 
	left JOIN dbo.item_dis_face IDF ON IDF.empl_link = sjc.link_empl AND IDF.DIS_DATE BETWEEN @dBDATE-10 AND @dEDATE AND IDF.ACTIVE = 1
	WHERE sjc.typ_oper = 1
	GROUP BY sjc.LINK_FACE, sjc.pers_link , sjc.link_empl, IDF.DIS_DATE, IDF.empl_link , p.CITIZ_LINK 

--------------------------------------------------------
---     
--------------------------------------------------------
-------- 1)    

	----------              ,
	----------  ,       
	IF OBJECT_ID('tempdb..#FIZ_DOH') IS NOT NULL DROP TABLE #FIZ_DOH
	CREATE TABLE #FIZ_DOH(link_FACE INT, PERS_LINK INT, LINK_EMPL INT, INOSTR int, DIS TINYINT , DATE_DIS DATETIME, link_ved int ,VID_DOH CHAR(3),
						  mon int,summa_doh NUMERIC(18,2),summa_nal NUMERIC(18,2),DATE_VED DATETIME,DATE_CALC DATETIME,DATE_PAY DATETIME,
						  TYP_PAYMENT TINYINT, TYP_TAX TINYINT, LINK_VKR int, LINK_EKR INT,LINK_PD INT,CODE_PD CHAR(4),NAME_PD VARCHAR(50),
						  DATE_FACT TINYINT,  DATE_FACT_C VARCHAR(50), DATE_ENUM TINYINT,DATE_ENUM_C VARCHAR(50), LINK_NDFL INT,
						  NDFL_SUM_BASE NUMERIC(18,2), NDFL_MONTH_SK NUMERIC(18,2),NDFL_SUMMA NUMERIC(18,2),SUMMA NUMERIC(18,2),DISBURS NUMERIC(18,2), 
						  DATE_DOH DATETIME,DATE_NAL datetime, DATE_ISCH DATETIME , DED TINYINT, t3sum_d NUMERIC(18,2))
INSERT INTO #FIZ_DOH(link_FACE , PERS_LINK, LINK_EMPL , INOSTR, DIS , DATE_DIS, link_ved,VID_DOH,
						  mon, summa_doh ,summa_nal,DATE_VED,DATE_CALC,DATE_PAY,
						  TYP_PAYMENT , TYP_TAX , LINK_VKR , LINK_EKR,LINK_PD,CODE_PD ,NAME_PD,
						  DATE_FACT ,  DATE_FACT_C , DATE_ENUM ,DATE_ENUM_C , LINK_NDFL ,
						  NDFL_SUM_BASE , NDFL_MONTH_SK ,NDFL_SUMMA ,SUMMA ,DISBURS , 
						  DATE_DOH ,DATE_NAL , DATE_ISCH , DED ,t3sum_d)
	SELECT link_FACE = null,
			f.PERS_LINK, 
			f.LINK_EMPL , 
			f.INOSTR ,
			f.dis,
			F.date_DIS,
			link_ved = s.link,
			VID_DOH = 'DZP', 
			mon =  MONTH(S.DATE_CALC),
			summa_doh =  CASE WHEN f.PERS_LINK IS NOT NULL 
							  THEN (CASE WHEN F.INOSTR = 1
										THEN (sum(t.SUMMA) / 0.70)--sj.summa_doh
										ELSE (sum(t.SUMMA) / 0.87)
									END) 
							ELSE  0		
						 END  ,  			
			summa_nal = CASE WHEN f.PERS_LINK IS NOT NULL  
							THEN (CASE WHEN f.INOSTR = 1
									THEN (sum(t.SUMMA) / 0.70) - sum(t.DISBURS)  
									ELSE (sum(t.SUMMA) / 0.87)- sum(t.DISBURS) 
								   END)
							ELSE 0  
			            end ,
			DATE_VED = max(S.DATE),
			DATE_CALC =  dbo.DateEndOfMonth(S.DATE_CALC),
			DATE_PAY = null,
			SD.TYP_PAYMENT, 
			TYP_TAX = 0 ,
			SD.LINK_VKR,
			SD.LINK_EKR,
			LINK_PD = NULL,
			CODE_PD = NULL,
			NAME_PD = NULL,
			DATE_FACT = NULL,
			DATE_FACT_C = NULL,
			DATE_ENUM = NULL,
			DATE_ENUM_C = NULL,
			LINK_NDFL = null,
			NDFL_SUM_BASE = null,
			NDFL_MONTH_SK = null,
			NDFL_SUMMA = null,			
			SUMMA = sum(t.SUMMA),
			DISBURS = sum(t.DISBURS),	
			date_doh = 	dbo.DateEndOfMonth(S.DATE_CALC),
			DATE_NAL = max(S.DATE),
			DATE_ISCH = CASE WHEN ISNULL(max(S.DATE),'') <> '' THEN dbo.next_work_day(max(S.DATE)) ELSE NULL END,
			DED = 0, 
			t3sum_d = 0
	  FROM
			DBO.sdoc s 
			INNER JOIN dbo.SDOC_VEDOM_DGH sd ON sd.LINK_UP = s.LINK --AND sd.TYP_PAYMENT = 1
			INNER JOIN dbo.SDOC_VEDOM_DGH_TABLE1 T ON T.LINK_UP = s.LINK
			INNER JOIN #FIZ_EMPL_TAB f ON /*sj.LINK_FACE = f.LINK_FACE AND*/ t.PERS_LINK = f.PERS_LINK	
	  WHERE
			sd.TYP_PAYMENT IN ( 1,3)
			AND
			S.DATE_CALC BETWEEN @dBDATE AND @dEDATE
		GROUP BY	
			f.PERS_LINK, S.DATE_CALC, s.link , 
			f.LINK_EMPL,f.INOSTR,f.dis,F.date_DIS, /*S.DATE ,*/
			SD.TYP_PAYMENT,sd.LINK_VKR,sd.LINK_EKR


/*	UNION ALL */
	INSERT INTO #FIZ_DOH(link_FACE , PERS_LINK, LINK_EMPL , INOSTR, DIS , DATE_DIS, link_ved,VID_DOH,
						  mon, summa_doh ,summa_nal,DATE_VED,DATE_CALC,DATE_PAY,
						  TYP_PAYMENT , TYP_TAX , LINK_VKR , LINK_EKR,LINK_PD,CODE_PD ,NAME_PD,
						  DATE_FACT ,  DATE_FACT_C , DATE_ENUM ,DATE_ENUM_C , LINK_NDFL ,
						  NDFL_SUM_BASE , NDFL_MONTH_SK ,NDFL_SUMMA ,SUMMA ,DISBURS , 
						  DATE_DOH ,DATE_NAL , DATE_ISCH , DED ,t3sum_d)
-------- 2)    	
	SELECT  f.link_face,
		    PERS_LINK = NULL , 
		    t.link_EMPL, 
			f.INOSTR ,
			f.dis,
			F.date_DIS,
			link_ved = s.link,
			VID_DOH = CASE WHEN f.dis =1 AND month(F.date_DIS) = MONTH(S.DATE_CALC) THEN 'UV'					
						   WHEN sd.typ_payment = 1 THEN 'ZP' 
						   WHEN sd.typ_payment = 3 THEN 'DR' 
						   END , 
			mon =  MONTH(S.DATE_CALC),
			summa_doh = case when sd.typ_payment = 1
								THEN sum(isnull(t31.t3_SUM_D,0.00)) - (sum(isnull(t32.t3_sum_U,0.00)) - (CASE WHEN  sum(isnull(t32.t3_sum_U,0.00)) = 0 THEN 0
																										ELSE   SUM(isnull(t32.t3_sum_Av,0.00))
																								        END 	      
																									))
																	
										   --EXECUTE KIR_EXEC_QUERY 20302,'''2016'',3,10,0,20308'
							ELSE (CASE WHEN  isnull(dd.LINK,0) <> 0   --     -      
									   THEN sum(isnull(dd.summa_base,0.00)	)
									   WHEN  isnull(dd.LINK,0) = 0 and sd.typ_tax = 2    --    "  " -       
									   THEN  0 --               -      UPDATE
									   WHEN isnull(dd.LINK,0) = 0 and sd.typ_tax = 3  --    "   " -      
									   THEN (CASE WHEN   (sum(ISNULL(t32.t3_sum_U,0.00)) + sum(ISNULL(t32.t3_sum_AV,0.00))) <> 0 AND f.dis  = 1 AND  sd.typ_payment <> 3
												   THEN 
												   			sum(isnull(t31.t3_SUM_D,0.00)) - (sum(ISNULL(t32.t3_sum_N,0.00)) + sum(ISNULL(t32.t3_sum_U,0.00)) + sum(ISNULL(t32.t3_sum_AV,0.00))) 
												   ELSE 
												   			sum(isnull(t31.t3_SUM_D,0.00)) 
										   		   END 	 )   	
											  	
									   else sum(isnull(t31.t3_SUM_D,0.00)) 		     
										  END )	
							END ,
			summa_nal = case when sd.typ_payment = 1 
								THEN	sum(isnull(t32.t3_SUM_N,0))  
									/*(CASE WHEN f.INOSTR = 1
											THEN ROUND((sum(t.SUMMA) / 0.70) - sum(t.DISBURS),0,0) - (sum(isnull(dd.MONTH_SK,0)) *0.13) 
											ELSE ROUND((sum(t.SUMMA) / 0.87)- sum(t.DISBURS) ,0,0) - (sum(isnull(dd.MONTH_SK,0)) *0.13)
										   END)*/
							ELSE  (CASE WHEN  isnull(dd.LINK,0) <> 0   --     -      
											THEN sum(dd.SUMMA)
									
										WHEN  isnull(dd.LINK,0) = 0 and sd.typ_tax = 2 --    "  " -     
											THEN (CASE WHEN f.INOSTR = 1
														THEN ROUND((sum(t.SUMMA) / 0.70) - sum(t.DISBURS),0,0) 
														ELSE ROUND((sum(t.SUMMA) / 0.87)- sum(t.DISBURS) ,0,0)
													END)
										WHEN  isnull(dd.LINK,0) = 0 and sd.typ_tax = 3	--    "   " -      
											then  (CASE WHEN   sum(ISNULL(t32.t3_sum_U,0)) <> 0 AND f.dis  = 1 
													   THEN 
													   	    0
													   ELSE 
													   		sum(isnull(t32.t3_SUM_N,0)) 
												   	   END 	    	
											      )
											 ELSE sum(isnull(t32.t3_SUM_N,0))  	
							       END ) 
										
						END ,
			DATE_VED = S.DATE ,
			
			DATE_CALC = dbo.DateEndOfMonth(S.DATE_CALC),
			DATE_PAY = SD.DATE_PAY,
			SD.TYP_PAYMENT, 
			SD.TYP_TAX,
			LINK_VKR =  isnull(t.link_sfin,SD.LINK_VKR),
			LINK_EKR = isnull(t.link_ekr,SD.LINK_EKR),
			LINK_PD = sd.LINK_PD,
			CODE_PD = pd.CODE,
			NAME_PD = pd.NAME,
			DATE_FACT = pd.DATE_FACT,
			DATE_FACT_C = pd.DATE_FACT_C,
			DATE_ENUM = pd.DATE_ENUM,
			DATE_ENUM_C = pd.DATE_ENUM_C,
			LINK_NDFL = dd.LINK,
			NDFL_SUM_BASE = sum(dd.summa_base),
			NDFL_MONTH_SK = sum(dd.MONTH_SK),
			NDFL_SUMMA = sum(dd.SUMMA),			
			SUMMA = sum(t.SUMMA),
			DISBURS = sum(t.DISBURS),
			date_doh = 	case when sd.typ_payment = 1 
								then ISNULL(dbo.DateEndOfMonth(S.DATE_CALC),SD.DATE_PAY)
							 WHEN sd.typ_payment = 3  
			           			then (CASE WHEN pd.DATE_FACT = 1 
												THEN dbo.next_work_day(dbo.DateEndOfMonth(S.DATE_CALC)-1)
								           ELSE ISNULL(SD.DATE_PAY, S.DATE) 
									  END ) 	
			           	END ,
			DATE_NAL = case when sd.typ_payment = 1  
								then ISNULL(SD.DATE_PAY,dbo.DateEndOfMonth(S.DATE_CALC))
							WHEN sd.typ_payment = 3 
								THEN (CASE WHEN pd.DATE_ENUM = 1 
												THEN dbo.next_work_day(dbo.DateEndOfMonth(S.DATE_CALC)-1)
								           ELSE ISNULL(SD.DATE_PAY, S.DATE) 
									  END ) 		
						END ,
			DATE_ISCH = case when sd.typ_payment = 1   
								then dbo.next_work_day(ISNULL(SD.DATE_PAY,dbo.DateEndOfMonth(S.DATE_CALC)))
			                 WHEN sd.typ_payment = 3
								THEN (CASE WHEN pd.DATE_ENUM = 1 
												THEN dbo.next_work_day(dbo.DateEndOfMonth(S.DATE_CALC)-1)
								           ELSE dbo.next_work_day(ISNULL(SD.DATE_PAY, S.DATE)) 
									  END ) 
						 END ,
	      
	    
	     /* t.link_EMPL, 
	      LINK_FACE = f.link_face, 
	      TYP_PAYMENT  = sd.TYP_PAYMENT ,
	      DATE_DV = CASE WHEN sd.TYP_PAYMENT = 1
								then dbo.DateEndOfMonth(S.DATE_CALC) 
	                     else sd.date_pay end , 
	      DATE_V = case when sd.TYP_PAYMENT = 1 
							then max(S.DATE) 
						else (case when pd.date_fact = 1 
									 then dbo.DateEndOfMonth(S.DATE_CALC) 
								   else sd.date_pay end) 
	                    end , 
		
			s.link, T.LINK_EKR, sd.TYP_PAYMENT, sum(s.SUMMA_T) AS SUMMA_T, sum(t.SUMMA) AS SUMMA, sum(t.DISBURS) AS DISBURS */
			DED = 0,
			t3SUM_D = sum(isnull(t31.t3_SUM_D,0))
		FROM
			DBO.sdoc s 
			INNER JOIN dbo.SDOC_VEDOM sd ON sd.LINK_UP = s.LINK AND sd.TYP_PAYMENT IN( 1,3)
			INNER JOIN dbo.SDOC_VEDOM_TABLE1 T ON T.LINK_UP = s.LINK
			INNER JOIN #FIZ_EMPL_TAB f ON /*sj.LINK_FACE = f.LINK_FACE AND*/ t.LINK_EMPL = f.LINK_EMPL
			LEFT JOIN (SELECT t3_SUM_D = SUM(s3.summa),s3.link_empl, s3.link_UP, s3.link_ekr, s3.link_sfin from dbo.sdoc_vedom_table3 s3 
						INNER JOIN SDOC_VEDOM_TABLE1 AS svt ON svt.LINK_UP = s3.LINK_UP  AND svt.LINK_EMPL= s3.LINK_EMPL AND svt.link_ekr = s3.link_ekr AND svt.LINK_SFIN = s3.LINK_SFIN						
						INNER JOIN dbo.pays sp3 ON sp3.LINK = s3.LINK_PAY 
			           where  s3.typ_pay = 1
			           AND svt.disburs <> 0 AND sp3.way_calc not in (14)
			           GROUP BY s3.link_empl, s3.link_UP, s3.link_ekr, s3.link_sfin) AS t31 ON t31.LINK_UP = s.LINK AND  t31.link_empl = t.link_empl AND t31.link_ekr =  t.link_EKR AND t31.link_sfin = t.LINK_SFIN  --    
			LEFT JOIN (SELECT t3_sum_N = ISNULL(SUM(case when p3.way_calc = 4 then t3.summa 
												ELSE 0 end ),0),
							t3_sum_U =  ISNULL(sum(case when p3.way_calc = 1 and p3.name =' ' THEN t3.summa
												ELSE 0 end ),0), 
							t3_sum_av = ISNULL((SELECT sUM(t1.disburs) 
											   FROM  
											   DBO.sdoc s1 
											   INNER JOIN dbo.SDOC_VEDOM sd1 ON sd1.LINK_UP = s1.LINK 
											   INNER JOIN dbo.SDOC_VEDOM_TABLE1 T1 ON T1.LINK_UP = sd1.LINK_UP
											   WHERE  sd1.TYP_PAYMENT IN( 2) 
											   AND t1.LINK_EMPL = t3.link_empl AND s1.date_calc = ss.DATE_CALC AND t1.link_sfin = t3.LINK_SFIN AND t1.link_ekr = t3.link_ekr 
							            ),0),		
							link_empl, 
							link_UP, t3.LINK_SFIN,t3.link_ekr
			           FROM dbo.sdoc_vedom_table3 t3 
					   INNER JOIN dbo.pays p3 ON p3.LINK = t3.LINK_PAY 
					   LEFT JOIN DBO.sdoc ss ON ss.link = t3.LINK_UP 		
			           where t3.typ_pay = 2 AND p3.way_calc in (4 , 1)
						GROUP BY link_empl, link_UP,ss.DATE_CALC ,t3.LINK_SFIN,t3.link_ekr) AS t32 ON t32.LINK_UP = s.LINK AND  t32.link_empl = t.link_empl AND t.link_sfin = t32.LINK_SFIN AND t.link_ekr = t32.link_ekr   --    
			LEFT JOIN dbo.dict_pay_direction Pd ON PD.LINK = SD.LINK_PD
			LEFT JOIN (SELECT D.LINK,D.NUMBER,D.DATE, D.FLAG_JC,D.PERIOD,D.SUMMA AS SUM_all,D.MONTH_BASE,D.YEAR_BASE,D.RKO,D.name_dep,
						  DI.ORDERS,DI.REF_EMPL,DI.LINK_VKR,DI.SUMMA_BASE,DI.TOTAL_SK,DI.SUM_CALC,DI.SUMMA,DI.TOTAL_DED,DI.TOTAL_SUM,DI.TOTAL_TAX,
						  DI.MONTH_SK,DI.MONTH_DED,LINK_EKR,DI.NDFL_RANGE
					   FROM DOCUMENTS_INCTAX D 
							LEFT JOIN DOCUMENTS_INCTAX_table DI ON DI.LINK = D.LINK
					   WHERE D.FLAG_JC = 1 ) AS DD 
							ON DD.LINK = SD.LINK_NDFL	 
							AND DD.REF_EMPL = f.LINK_EMPL 
							AND DD.LINK_VKR = T.LINK_SFIN
							AND DD.LINK_EKR = T.LINK_EKR
		WHERE
			( ((sd.TYP_PAYMENT = 1 AND t.summa = 0 AND NOT EXISTS( SELECT * FROM DBO.sdoc s_1 
																	INNER JOIN dbo.SDOC_VEDOM sd_1 ON sd_1.LINK_UP = s_1.LINK AND sd_1.TYP_PAYMENT = 3
																	INNER JOIN dbo.SDOC_VEDOM_TABLE1 T_1 ON T_1.LINK_UP = s_1.LINK 
																	LEFT JOIN dbo.dict_pay_direction Pd_1 ON Pd_1.LINK = SD_1.LINK_PD
			                                                       WHERE  t_1.LINK_EMPL = f.LINK_EMPL
			                                                       AND s_1.FLAG_JC = 1
			                                                       AND ( (isnull(SD_1.LINK_PD,0)= 0 AND S_1.DATE_CALC BETWEEN @dBDATE AND @dEDATE) OR 
																			  (isnull(SD_1.LINK_PD,0)<> 0 AND (
			  																									(Pd_1.DATE_FACT = 1 and S_1.DATE_CALC BETWEEN @dBDATE AND @dEDATE) 
			  																									 OR  (Pd_1.DATE_FACT = 2 and SD_1.DATE_PAY BETWEEN @dBDATE AND @dEDATE) 
			  																								 )  
																		  )								 
																		)
																  )
			    ) 
			   OR (sd.TYP_PAYMENT = 1 AND t.summa <> 0)
			   )
			  or (sd.TYP_PAYMENT = 3 AND t.summa <> 0) 
			)
			AND 
			s.FLAG_JC = 1
			AND
			( (isnull(SD.LINK_PD,0)= 0 AND S.DATE_CALC BETWEEN @dBDATE AND @dEDATE) OR 
			  (isnull(SD.LINK_PD,0)<> 0 AND ( (sd.TYP_PAYMENT = 1 AND SD.DATE_PAY BETWEEN @dBDATE AND @dEDATE) or
											 	
			  								 ((sd.TYP_PAYMENT <> 1 AND PD.DATE_FACT = 1 and S.DATE_CALC BETWEEN @dBDATE AND @dEDATE) 
			  								 OR  (sd.TYP_PAYMENT <> 1 AND PD.DATE_FACT = 2 and (SD.DATE_PAY BETWEEN @dBDATE AND @dEDATE 
			  																					or /*      ,     ,          */ 
			  																						(SD.DATE_PAY BETWEEN dateadd(mm,-1,@dbDATE) AND dateadd(dd,-1,@dbDATE) 
			  																						  and S.DATE_CALC BETWEEN dateadd(mm,-1,@dbDATE) AND dateadd(dd,-1,@dbDATE)
			  																										 AND NOT EXISTS(SELECT * FROM DBO.sdoc s_11 
																																	INNER JOIN dbo.SDOC_VEDOM sd_11 ON sd_11.LINK_UP = s_11.LINK AND sd_11.TYP_PAYMENT = 1
																																	INNER JOIN dbo.SDOC_VEDOM_TABLE1 T_11 ON T_11.LINK_UP = s_11.LINK 
																																	LEFT JOIN dbo.dict_pay_direction Pd_11 ON Pd_11.LINK = SD_11.LINK_PD
																																   WHERE  t_11.LINK_EMPL = f.LINK_EMPL
																																   AND s_11.FLAG_JC = 1 AND SD.DATE_PAY BETWEEN dateadd(dd,-15,@dbDATE) AND dateadd(dd,-1,@dbDATE)
			  																												))) ) 
			  								 ))  
			  )								 
			)
			--AND T.LINK_UP =     22427
			--AND  t.LINK_EMPL = 17179
		GROUP BY T.LINK_EMPL ,date_calc ,f.link_face,f.INOSTR ,f.dis,F.date_DIS, s.link, S.DATE,SD.DATE_PAY,SD.TYP_PAYMENT, 
			SD.TYP_TAX,SD.LINK_VKR,SD.LINK_EKR,t.LINK_EKR,t.link_sfin,sd.LINK_PD,pd.CODE,pd.NAME,pd.DATE_FACT,pd.DATE_FACT_C,pd.DATE_ENUM,pd.DATE_ENUM_C,
			dd.link, sd.LINK_NDFL

--EXECUTE KIR_EXEC_QUERY 48700,'''2018'',2,4,0,48706'
--EXECUTE KIR_EXEC_QUERY 48700,'''2018'',1,3,0,48706'
----------------------------------

----------------------------------
---     UPDATE        "  " , 
--             
 UPDATE doh
		SET summa_doh = (CASE WHEN doh.INOSTR = 1
													THEN Floor(FLOOR(isnull(doh.summa,0.00)) / 0.70)/* + (sum(t.SUMMA) - Floor(sum(t.SUMMA)))*/ --sj.summa_doh
													ELSE Floor(FLOOR(isnull(doh.summa,0.00)) / 0.87) /*+ (sum(t.SUMMA) - Floor(sum(t.SUMMA)))*/
												END)   
						+ (disburs - FLOOR(DISBURS))						 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'DR'	AND doh.TYP_PAYMENT = 3
 AND doh.TYP_TAX = 2
 AND isnull(doh.LINK_NDFL,0) =  0



 -----------------------------------
 
 UPDATE doh
  SET  summa_doh = summa_nal + DISBURS
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'DR'	AND doh.TYP_PAYMENT = 3
 AND doh.TYP_TAX = 2
  AND isnull(doh.LINK_NDFL,0) <>  0		

----*********
 UPDATE doh
		SET summa_doh =  ISNULL(( SELECT SUM(DI.summa_base)
					    FROM DOCUMENTS_INCTAX D 
							LEFT JOIN DOCUMENTS_INCTAX_table DI ON DI.LINK = D.LINK
					   WHERE D.FLAG_JC = 1 
					   AND d.MONTH_BASE = doh.mon AND d.YEAR_BASE = YEAR(doh.date_calc)	 								
							AND DI.REF_EMPL = doh.link_empl
							AND DI.LINK_VKR = doh.LINK_VKR
							AND DI.LINK_EKR = doh.LINK_EKR 
							AND summa_base <> 0.00 /*and di.summa <> 0.00 */ --     ,      -   (      ? )
							AND d.[date] = (SELECT MAX(d1.[DATE]) FROM DOCUMENTS_INCTAX d1 LEFT JOIN DOCUMENTS_INCTAX_table DI1 ON DI1.LINK = D1.LINK 
															WHERE D1.FLAG_JC = 1 AND d1.MONTH_BASE = doh.mon AND d1.YEAR_BASE = YEAR(doh.date_calc) 
															AND DI1.REF_EMPL = doh.link_empl AND di1.summa_base <> 0.00 /* and di1.summa <> 0.00*/ ))--     ,      -   (   )
								
						- 
						(SELECT sum(fd.summa_doh) from #FIZ_DOH fd 
								WHERE fd.vid_doh = 'DR'	
									 AND fd.TYP_PAYMENT = 3 
									 AND fd.LINK_EMPL = doh.LINK_EMPL
									 AND fd.mon = doh.mon
									 AND fd.LINK_VKR = doh.LINK_VKR
									 AND fd.LINK_EKR = doh.link_ekr) ,0)							 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'ZP'	AND doh.TYP_PAYMENT = 1 
 AND EXISTS(select * from #FIZ_DOH fd 
			WHERE fd.vid_doh = 'DR'	
			 AND fd.TYP_PAYMENT = 3 
			 AND fd.LINK_EMPL = doh.LINK_EMPL
			 AND fd.mon = doh.mon
			 AND fd.LINK_VKR = doh.LINK_VKR
			 AND fd.LINK_EKR = doh.link_ekr)
	
/*     ,               */		 
DELETE FROM #FIZ_DOH WHERE  VID_DOH = 'DR'  AND  DATE_VED < @dbDATE AND date_pay < @dbDATE

 UPDATE doh
		SET summa_nal =  ( SELECT SUM(DI.summa)
					   FROM DOCUMENTS_INCTAX D 
							LEFT JOIN DOCUMENTS_INCTAX_table DI ON DI.LINK = D.LINK
					   WHERE D.FLAG_JC = 1 
					   AND d.MONTH_BASE = doh.mon AND d.YEAR_BASE = YEAR(doh.date_calc)	 
							AND DI.REF_EMPL = doh.link_empl
							AND DI.LINK_VKR = doh.LINK_VKR
							AND DI.LINK_EKR = doh.LINK_EKR) 
						- 
						(SELECT sum(fd.summa_nal) from #FIZ_DOH fd 
								WHERE fd.vid_doh = 'DR'	
									 AND fd.TYP_PAYMENT = 3 
									 AND fd.LINK_EMPL = doh.LINK_EMPL
									 AND fd.mon = doh.mon
									 AND fd.LINK_VKR = doh.LINK_VKR
									 AND fd.LINK_EKR = doh.link_ekr)							 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'ZP'	AND doh.TYP_PAYMENT = 1 
 AND EXISTS(select * from #FIZ_DOH fd 
			WHERE fd.vid_doh = 'DR'	
			 AND fd.TYP_PAYMENT = 3 
			 AND fd.LINK_EMPL = doh.LINK_EMPL
			 AND fd.mon = doh.mon
			 AND fd.LINK_VKR = doh.LINK_VKR
			 AND fd.LINK_EKR = doh.link_ekr)			 


 UPDATE doh
		SET summa_doh =  doh.summa_doh 
						- 
						(SELECT sum(fd.summa_doh) from #FIZ_DOH fd 
								WHERE fd.vid_doh = 'UV'	
									 AND fd.TYP_PAYMENT = 3 
									 AND fd.LINK_EMPL = doh.LINK_EMPL
									 AND fd.mon = doh.mon
									 AND fd.date_ved > doh.DATE_DIS
									 AND fd.LINK_VKR = doh.LINK_VKR
									 AND fd.LINK_EKR = doh.link_ekr 
									 AND fd.summa_nal = 0 )							 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'UV'	AND doh.TYP_PAYMENT = 3
 AND doh.DATE_VED = doh.DATE_DIS		
  AND EXISTS(select * from #FIZ_DOH fd 
			WHERE fd.vid_doh = 'UV'	
			 AND fd.TYP_PAYMENT = 3 
			 AND fd.LINK_EMPL = doh.LINK_EMPL
			 AND fd.mon = doh.mon 
			 AND fd.date_ved > doh.DATE_DIS
			 AND fd.LINK_VKR = doh.LINK_VKR
			 AND fd.LINK_EKR = doh.link_ekr
			 AND fd.summa_nal = 0)		 
--***

 UPDATE doh
		SET summa_doh =  doh.t3SUM_D 
						 -
						 (SELECT sum(fd.summa_doh) from #FIZ_DOH fd 
										WHERE fd.vid_doh = 'UV'	
										 AND fd.TYP_PAYMENT = 3
										 AND fd.LINK_NDFL IS NOT NULL  
										 AND fd.LINK_EMPL = doh.LINK_EMPL
										 AND fd.mon = doh.mon
										 AND fd.date_ved < doh.DATE_DIS
										 AND fd.LINK_VKR = doh.LINK_VKR
										 AND fd.LINK_EKR = doh.link_ekr
										 /*AND fd.summa_nal = 0 */)							 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'UV'	AND doh.TYP_PAYMENT = 1
 AND (doh.DATE_VED >= doh.DATE_DIS OR (  year(doh.DATE_VED) = year(doh.DATE_DIS)	AND  MONTH(doh.DATE_VED) = month(doh.DATE_DIS)	)	)
 AND EXISTS(select * from #FIZ_DOH fd 
			WHERE fd.vid_doh = 'UV'	
			 AND fd.TYP_PAYMENT = 3
			 AND fd.LINK_NDFL IS NOT NULL  
			 AND fd.LINK_EMPL = doh.LINK_EMPL
			 AND fd.mon = doh.mon
			 AND fd.date_ved < doh.DATE_DIS
			 AND fd.LINK_VKR = doh.LINK_VKR
			 AND fd.LINK_EKR = doh.link_ekr
			-- AND fd.summa_nal = 0)		
)


UPDATE  doh
SET summa_nal = ROUND(ROUND(summa,0,0)/ 0.87 - summa,0,0)
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'UV'	AND doh.TYP_PAYMENT = 1
 AND (doh.DATE_VED >= doh.DATE_DIS OR (  year(doh.DATE_VED) = year(doh.DATE_DIS)	AND  MONTH(doh.DATE_VED) = month(doh.DATE_DIS)	)	)
 AND EXISTS(select * from #FIZ_DOH fd 
			WHERE fd.vid_doh = 'UV'	
			 AND fd.TYP_PAYMENT = 3
			 AND fd.LINK_NDFL IS NOT NULL  
			 AND fd.LINK_EMPL = doh.LINK_EMPL
			 AND fd.mon = doh.mon
			 AND fd.date_ved < doh.DATE_DIS
			 AND fd.LINK_VKR = doh.LINK_VKR
			 AND fd.LINK_EKR = doh.link_ekr
			)	
 
 UPDATE doh
		SET summa_doh =  case when (doh.dISBURS - ceiling(doh.dISBURS) ) > 0
							  THEN CEILING(doh.summa_doh) + (doh.dISBURS - ceiling(doh.dISBURS))
							  ELSE CEILING(doh.summa_doh)
							  END 				 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'DZP'
 	
 UPDATE doh
		SET summa_nal =  ceiling(doh.summa_nal) 									 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'DZP'	

/*            0 */ 
DELETE FROM #FIZ_DOH WHERE  VID_DOH = 'UV'  AND  DATE_VED < @dbDATE AND date_pay < @dbDATE OR ( DATE_VED < @dbDATE AND summa_doh <=0)
--***	


 

 INSERT INTO #FIZ_VID_DOH(link_FACE, PERS_LINK, LINK_EMPL, INOSTR , DIS, DATE_DIS, VID_DOH, mon,summa_doh,summa_nal,DATE_DOH,DATE_NAL, DATE_ISCH, DED, link_ved , sum_ded ) 
 SELECT
		link_FACE, 
		PERS_LINK, 
		LINK_EMPL, 
		INOSTR , 
		DIS = CASE when MONTH(DATE_DIS) = mon  THEN 1 ELSE 0 end, 
		DATE_DIS, 
		VID_DOH, 
		mon,
		summa_doh, 
		summa_nal, 
		DATE_DOH,
		DATE_NAL, 
		DATE_ISCH, 
		DED, 
		link_ved ,
		SUM_DED_OTHER = 0
 FROM #FIZ_DOH 	WHERE (summa_doh <> 0 )--AND summa_nal <> 0)	 


--SELECT * FROM #FIZ_VID_DOH ORDER BY link_empl, mon, date_doh
-- -- EXECUTE KIR_EXEC_QUERY 20185,'''2016'',1,20193'


	DROP TABLE #S_J_C_SHORT
	DROP TABLE #FIZ_EMPL_TAB

--DROP TABLE #FIZ_DOH

END 

RETURN 0







GO


GRANT EXECUTE ON dbo.[SA_6NDFL_PREPARE_R2] TO PUBLIC

GO


-- --




-- --


GO

-- FIX >>  : 10015.sql
IF EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_MED_POL_PERS_LINK]'))
ALTER TABLE [dbo].[MED_POL] 
DROP CONSTRAINT [FK_MED_POL_PERS_LINK] 
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_MED_POL_PERS_LINK]'))
ALTER TABLE [dbo].[MED_POL] 
ADD CONSTRAINT [FK_MED_POL_PERS_LINK] FOREIGN KEY ([LINK_PERS]) REFERENCES [dbo].[PERSON] ([LINK]) ON DELETE CASCADE 
GO

GO

GO

-- FIX >>  : 10082.sql
--  "- (         )"
--   scriptObjectVar 'SZV_KORR_REP'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'SZV_KORR_REP'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'SZV_KORR_REP'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	'- (   ,       )',NULL, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'SZV_KORR_REP',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'SZV_KORR_REP') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'm_print_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'VISIBLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'VISIBLE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= 'exec SZV_KORR_PRINT @nSel_Spr1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#SZV_KORR_REP'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKER.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(.t.,"PFR_SZV_KORR.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #SZV_KORR_REP
	@nSel_Spr1 int	/* LSel_Spr */
AS
BEGIN

exec SZV_KORR_PRINT @nSel_Spr1

END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'KirRepCommon.bas'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_CODE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_CODE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATE_TYPE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATE_TYPE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'SQUERY_NO_SHOW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'SQUERY_NO_SHOW'),
	VALUE= '1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SZV_KORR_REP') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SZV_KORR_REP'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'SZV_KORR_REP_GRP' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		' ',1, 
		(Select link from object_var where code = 'SZV_KORR_REP'),
		'SZV_KORR_REP_GRP',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SZV_KORR_REP_MAIN_PARAM' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_LSEL_SPR'),
					'LSel_Spr',2, 
					(Select link from object_var where code = 'SZV_KORR_REP_GRP'),
					'SZV_KORR_REP_MAIN_PARAM',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'LSel_Spr'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@nSel_Spr1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'int'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''

GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SZV_KORR_REP_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_KORR_PRINT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_KORR_PRINT]

GO


CREATE PROCEDURE dbo.SZV_KORR_PRINT(@Link int)
AS
-- exec SZV_KORR_PRINT 2
DECLARE @varKSNOM_PF VARCHAR(20), @varKSname VARCHAR(254), @varKSDEP int,
	@varKSOKPO VARCHAR(40), @varKSINN VARCHAR(12), @varKSKPP VARCHAR(9), @Month int, @Year int, @date DATETIME,
	@dtBeginEDT DATETIME,@dtEndEDT  DATETIME 

SELECT
	@varKSDEP = D.link, @varKSNOM_PF = PFNUMBER, @varKSname = UPPER([NAME]),
	@varKSOKPO = OKPO, @varKSINN = INN, @varKSKPP = KPP,
	@Month = month_end, @year = year_begin,
	@dtBeginEDT  = CASE WHEN P.[TYPE] = 1  AND P.vid_kor <> 1 and isnull(p.YEAR_EDT,0) <> 0 AND  isnull(p.PER_EDT,0) <> 0   THEN (CASE p.PER_EDT WHEN 1  THEN dbo.ConvertDMY2Date('1','1',p.YEAR_EDT) 
																										  WHEN 2  THEN dbo.ConvertDMY2Date('1','1',p.YEAR_EDT) 
																										  WHEN 3  THEN dbo.ConvertDMY2Date('1','1',p.YEAR_EDT) 
																										  WHEN 4  THEN dbo.ConvertDMY2Date('1','1',p.YEAR_EDT)  		
																						   END )
						ELSE null END,				 
	@dtEndEDT   = CASE WHEN  P.[TYPE] = 1  AND P.vid_kor <> 1 and isnull(p.YEAR_EDT,0) <> 0 AND  isnull(p.PER_EDT,0) <> 0   THEN (CASE p.PER_EDT WHEN 1  THEN dbo.ConvertDMY2Date('31','3',p.YEAR_EDT) 
																										  WHEN 2  THEN dbo.ConvertDMY2Date('30','6',p.YEAR_EDT) 
																										  WHEN 3  THEN dbo.ConvertDMY2Date('31','9',p.YEAR_EDT) 
																										  WHEN 4  THEN dbo.ConvertDMY2Date('31','12',p.YEAR_EDT)  		
																						   END )
						ELSE null END
FROM dbo.DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = @link

Set @date = dbo.ConvertDMY2Date(1,@Month,@Year)
Set @date = dbo.DateEndOfMonth(@date)


SELECT
	LINK = P.link,
	[YEAR] = ISNULL(CASE WHEN year_begin <> 2010 THEN year_begin ELSE NULL END ,0),
	[INN] = @varKSINN,
	[KPP] = @varKSKPP,
	OKPO = @varKSOKPO,
	[CODE] = K.CODE,	
	[PER] = ISNULL(CASE WHEN year_begin <> 2010 THEN PER ELSE NULL END ,0),
	[PER10] = ISNULL(CASE WHEN year_begin = 2010 THEN PER ELSE NULL END ,0),
	[YEAR_EDT] = ISNULL(p.year_edt,0),
	[PER_EDT] = ISNULL(p.PER_EDT,0),
	[PFNUM_EDT] = CASE WHEN  ISNULL(@dtBeginEDT,0)<> 0 AND ISNULL(@dtEndEDT,0)<> 0 THEN 
						(SELECT top 1 d.pfnumber FROM SA_EMPLS_INFO_PERIOD(@dtBeginEDT, @dtEndEDT, NULL, NULL)  se
									       INNER JOIN  departments d ON d.LINK = se.DEP_LINK WHERE se.pers_link = S.link_FACE)   
						  
					  ELSE '' END   , 
	[INN_EDT] = CASE WHEN  ISNULL(@dtBeginEDT,0)<> 0 AND ISNULL(@dtEndEDT,0)<> 0 THEN 
						(SELECT top 1 d.INN FROM SA_EMPLS_INFO_PERIOD(@dtBeginEDT, @dtEndEDT, NULL, NULL)  se
									       INNER JOIN  departments d ON d.LINK = se.DEP_LINK WHERE se.pers_link = S.link_FACE)   
						  
					  ELSE '' END   ,
	[KPP_EDT] = CASE WHEN  ISNULL(@dtBeginEDT,0)<> 0 AND ISNULL(@dtEndEDT,0)<> 0 THEN 
						(SELECT top 1 d.KPP FROM SA_EMPLS_INFO_PERIOD(@dtBeginEDT, @dtEndEDT, NULL, NULL)  se
									       INNER JOIN  departments d ON d.LINK = se.DEP_LINK WHERE se.pers_link = S.link_FACE)   
						  
					  ELSE '' END ,
	[TYPE_SV] = P.[TYPE],
	[TYPE] = P.vid_kor,
	[ID] = S.orders,
	[NGROUP] = S.pachka,
	T_DOG = s.forma,
	[PFNUMBER] = PF_NUM,
	[FIO] = FIO2,
	[FM] = s.FM,
	[IM] = s.IM,
	[OT] = s.OT,
	[INN_PERS] = per.INN,
	[ADDRESS] = [ADDRESS],
	[ADDRESS2] = ADDRESS2,
	[INSUR] = COALESCE(S.sum_doh,0), --     . 
	[INSUR1] = COALESCE(S.INSUR,0), --     . 
	[GAIN] = COALESCE(S.GAIN,0), --     . 
	[GAIN1] = COALESCE(S.DOP,0), --     . 
	INC_T1_M1 = S.INCOME_T1_M1,--      1  1 
	INC_T1_M2 = S.INCOME_T1_M2,--      1  2 
	INC_T1_M3 = S.INCOME_T1_M3,--      1  3 
	INC_T2_M1 = S.INCOME_T2_M1,--      2  1 
	INC_T2_M2 = S.INCOME_T2_M2,--      2  2 
	INC_T2_M3 = S.INCOME_T2_M3,--      2  3 
	[ID_EX] = ST.orders,
	[DATE_BEGIN] = date1,
	[DATE_END] = date2,
	[STR_DIS] = (CASE WHEN coalesce(dper_vn_m,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_vn_m,0)) + ' .' else '' end)
	 		+ (CASE WHEN coalesce(dper_vn_d,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_vn_d,0)) + ' .' else '' end),
	dper_vn_m = coalesce(dper_vn_m,0),
	dper_vn_d = coalesce(dper_vn_d,0),
	[STR_VAC2] = (CASE WHEN coalesce(dper_oz_m,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_oz_m,0)) + ' .' else '' end)
	 		+ (CASE WHEN coalesce(dper_oz_d,0) <> 0 THEN CONVERT(VARCHAR(4),coalesce(dper_oz_d,0)) + ' .' else '' end),
	dper_oz_m = coalesce(dper_oz_m,0),
	dper_oz_d = coalesce(dper_oz_d,0),
	[TU_CODE] = f_ter_usl,
	ter_usl,
	ter_koef,
	[OS_CODE] = f_osob_usl,
	osob_usl,
	osob_spis = RTRIM(LTRIM(COALESCE(osob_k1,''))) + RTRIM(LTRIM(COALESCE(osob_k2,''))) + RTRIM(LTRIM(COALESCE(osob_k3,''))),
	[EX_CODE] = is_osnov,
	is_dop_m,
	is_dop_d,
	is_dop,
	f_is_dop,
	[P_CODE] = ud_osnov,
	ud_dop_m,
	ud_dop_d,
	ud_dop_k,
	f_ud_dop,
	@varKSNOM_PF AS REG_NOM_PF,
	@varKSname AS DEP_NAME,
	DATE_CRT = @date,
	DATE_DOC = [date], DD = DAY([date]), MM = M.MON, YY = YEAR([date]),
	UV = CASE WHEN exists(SELECT * FROM sd_empl WHERE pers_link = s.link_face AND DATE_end = @DATE) THEN 'X' ELSE '' end
from
	dbo.SS_SZV_STAZH_PACHKA P INNER JOIN dbo.SS_SZV_STAZH_SVEDENIA S ON P.link = S.link
	INNER JOIN dbo.person per ON  per.link = S.link_FACE
	left JOIN dbo.SS_SZV_ST_STAZH ST ON S.link1 = ST.link
	INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = P.KATEG AND year_begin BETWEEN YBEG AND YEND
	INNER JOIN dbo.MONTHS M ON M.NUM = MONTH([date])
where
	P.link = @Link
	--and P.[type] = 2
	and P.proverka = 1
order by
	S.pachka, S.orders, ST.orders




GO


GRANT EXECUTE ON dbo.[SZV_KORR_PRINT] TO PUBLIC

GO


-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_ST_REPORTS]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SS_SZV_ST_REPORTS]

GO
CREATE VIEW [dbo].SS_SZV_ST_REPORTS
AS

SELECT ORD = 1, YB = 2017, YE = 2999, [NAME] = '-1 (  ,       () )', REP_CODE = 'SZV_STAZH_REP_ODV1'
UNION
SELECT ORD = 2, YB = 2017, YE = 2999, [NAME] = '- (         )', REP_CODE = 'SZV_STAZH_REP' --'SZV_STAZH_PRINT#EVAL(THISFORM.ALIAS + ".TYPE")=2#    " "!'
UNION
SELECT ORD = 3, YB = 2017, YE = 2999, [NAME] = '- (   ,       )', REP_CODE = 'SZV_KORR_REP' --'SZV_STAZH_PRINT#EVAL(THISFORM.ALIAS + ".TYPE")=2#    " "!'





GO


GRANT SELECT ON dbo.[SS_SZV_ST_REPORTS] TO PUBLIC

GO


-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SZV_KORR_EXPORT_FORMATS_17]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SS_SZV_KORR_EXPORT_FORMATS_17]

GO
				
CREATE VIEW dbo.SS_SZV_KORR_EXPORT_FORMATS_17
AS
	 	SELECT FNAME = ' 1.00 (   11  2017. N3)', PROC_NAME = 'SZV_KORR_EXPORT_PFR_100_17', PRG_SKRIPT = '', DIR = 'PF'


GO


GRANT SELECT ON dbo.[SS_SZV_KORR_EXPORT_FORMATS_17] TO PUBLIC

GO


-- --

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SZV_KORR_EXPORT_PFR_100_17]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SZV_KORR_EXPORT_PFR_100_17]

GO

CREATE      PROCEDURE [dbo].SZV_KORR_EXPORT_PFR_100_17 (
@DOC_LINK int  /*  */
) AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

CREATE TABLE #DOC(LINK INT)

INSERT INTO #DOC (LINK)
SELECT LINK = @DOC_LINK

CREATE TABLE #ODV1_ONLY(DOC_LINK INT , ODV1_ONLY TINYINT )	
insert into #ODV1_ONLY(DOC_LINK, ODV1_ONLY)
select 
	doc_link = d.link,
	ODV1_ONLY = (SELECT TOP 1 [type] FROM dbo.SS_SZV_STAZH_PACHKA WHERE link = d.Link)
from #DOC d


--  

CREATE TABLE #ODV1 (
		[LINK_SZV]     INT, 
		[YEAR]     INT ,
		[PER]      INT ,
		[PER_edt]      INT ,
		[YEAR_edt]     INT ,
		[PER10]    INT ,
		[TYPE]	   tinyint,
		[VID_KOR]  tinyint, 
		[COUNT_P]  INT,
		[COUNT_PK] INT,
		[COUNT_PERS] INT,  
		[REG_NOM_PF] VARCHAR(20),
		[DEP_NAME] VARCHAR(254),
		[OKPO] VARCHAR(40),
		[INN] VARCHAR(12),
		[KPP] VARCHAR(9),
		DATE_CRT datetime,
		DATE_DOC datetime,
		[GUID] UNIQUEIDENTIFIER)  

CREATE TABLE #ODV1_2 (
		[LINK_SZV]  INT,
		--[link_pers] INT , 
		[subdiv_name] VARCHAR(254), 
		[POST_NAME] VARCHAR(254) , 
		[num_stake] NUMERIC(5,2),
		[work_stake] NUMERIC(5,2),
		[Fakt_Work] VARCHAR(254) ,
		[DOC_NAME] VARCHAR(10), 
		[OSOB_USL] VARCHAR(10) , 
		[N_OSOB_USL] VARCHAR(150) ,
		POS_SPIS VARCHAR(150),
		UD_OSNOV VARCHAR(10),
		[N_UD_OSNOV] VARCHAR(254))  

create table #SZV_KORR (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[PFNUM_EDT] VARCHAR(15),
	[INN_EDT] VARCHAR(12),
	[KPP_EDT] VARCHAR(9),
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[NGROUP] INT,
	[T_DOG] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int,
	GOSSL int)



create table #PERS_INFO2 (
	[LINK_SZV] INT,
	[YEAR]     int,
	[INN] VARCHAR(12),
	[KPP] VARCHAR(9),
	OKPO  VARCHAR(40),
	[CODE] VARCHAR(10),	
	[PER]   INT,
	[PER10] INT ,
	[YEAR_EDT] INT,
	[PER_EDT] INT,
	[PFNUM_EDT] VARCHAR(15),
	[INN_EDT] VARCHAR(12),
	[KPP_EDT] VARCHAR(9),	
	[TYPE_SV] tinyint,
	[TYPE] tinyint,
	[ID] INT,
	[T_DOG] INT ,
	[NGROUP] INT,
	[PFNUMBER] VARCHAR(14),
	[FIO] VARCHAR(302),
	[FM]  VARCHAR(100),
	[IM]  VARCHAR(100),
	[OT]  VARCHAR(100),
	[INN_PERS] VARCHAR(12),
	[ADDRESS] VARCHAR(293),
	[ADDRESS2]  VARCHAR(254),
	[INSUR] NUMERIC(18,2), --     . 
	[INSUR1] NUMERIC(18,2), --     . 
	[GAIN] NUMERIC(18,2), --     . 
	[GAIN1] NUMERIC(18,2), --     . 
	INC_T1_M1 NUMERIC(18,2),--      1  1 
	INC_T1_M2 NUMERIC(18,2),--      1  2 
	INC_T1_M3 NUMERIC(18,2),--      1  3 
	INC_T2_M1 NUMERIC(18,2),--      2  1 
	INC_T2_M2 NUMERIC(18,2),--      2  2 
	INC_T2_M3 NUMERIC(18,2),--      2  3 
	[ID_EX] INT,
	[DATE_BEGIN] datetime,
	[DATE_END] datetime,
	[STR_DIS] VARCHAR(15),
	dper_vn_m INT,
	dper_vn_d INT,
	[STR_VAC2] VARCHAR(15),
	dper_oz_m INT,
	dper_oz_d INT,
	[TU_CODE] VARCHAR(32),
	ter_usl VARCHAR(10),
	ter_koef NUMERIC(18,2),
	[OS_CODE] VARCHAR(92),
	osob_usl VARCHAR(10),
	osob_spis VARCHAR(100),
	[EX_CODE] VARCHAR(10),
	is_dop_m tinyint,
	is_dop_d tinyint,
	is_dop VARCHAR(20),
	f_is_dop VARCHAR(63),
	[P_CODE] VARCHAR(10),
	ud_dop_m INT,
	ud_dop_d INT,
	ud_dop_k NUMERIC(18,2),
	f_ud_dop VARCHAR(54),
	REG_NOM_PF VARCHAR(20),
	DEP_NAME VARCHAR(254),
	DATE_CRT datetime,
	DATE_DOC datetime, DD CHAR(2), MM VARCHAR(8), YY VARCHAR(4),
	UV CHAR(1),
	NPP  int,
	GOSSL int)



--       -
DECLARE @CURS1 CURSOR, @link_DOC int, @link_doc_old INT 

set @link_doc_old = 0

SET @CURS1 = CURSOR FORWARD_ONLY

FOR SELECT LINK FROM #DOC order by link 


OPEN @CURS1
FETCH NEXT FROM @CURS1 INTO @LINK_DOC

WHILE @@FETCH_STATUS = 0	

BEGIN
		
			if @link_doc_old = 0
			begin
				set @link_doc_old = @LINK_DOC 
			end
			--  
		
			INSERT INTO #ODV1 ([LINK_SZV],[YEAR],[PER],[PER_EDT],[YEAR_EDT],
							   [PER10],[TYPE],[VID_KOR],[COUNT_P],[COUNT_PK],[COUNT_PERS],
							   [REG_NOM_PF],[DEP_NAME],[OKPO],[INN],[KPP],DATE_CRT,DATE_DOC,[GUID])  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 1 
			
			INSERT INTO #ODV1_2 ([LINK_SZV]/*,[link_pers]*/,[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],
								 [DOC_NAME],[OSOB_USL],[N_OSOB_USL] ,[POS_SPIS],UD_OSNOV , n_UD_OSNOV )  
			exec dbo.SZV_ST_PRINT_ODV1 @LINK_DOC , 2 


			---  #SZV_KORR
		
				INSERT INTO #SZV_KORR([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT],[PFNUM_EDT],[INN_EDT],[KPP_EDT],[TYPE_SV],[TYPE],
										[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV/*,NPP,GOSSL*/)
				exec dbo.SZV_KORR_PRINT @LINK_DOC

	
				update #SZV_KORR  set FM = UPPER(FM), IM = UPPER(IM), OT = UPPER(OT), ADDRESS2 = UPPER(ADDRESS2) WHERE link_SZV = @LINK_DOC 
			
				
				--  #PERS_INFO2 

				INSERT INTO #PERS_INFO2([LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT], [PFNUM_EDT],[INN_EDT],[KPP_EDT],[TYPE_SV],[TYPE],
										[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP,GOSSL)

				SELECT	[LINK_SZV],[YEAR],[INN],[KPP],OKPO,[CODE],[PER],[PER10],[YEAR_EDT],
										[PER_EDT], [PFNUM_EDT],[INN_EDT],[KPP_EDT],[TYPE_SV],[TYPE],
										[ID],[NGROUP],[T_DOG],[PFNUMBER],[FIO],[FM],[IM],[OT],[INN_PERS],
										[ADDRESS],[ADDRESS2],[INSUR],[INSUR1],[GAIN],[GAIN1],
										INC_T1_M1,INC_T1_M2,INC_T1_M3,INC_T2_M1,INC_T2_M2,INC_T2_M3,
										[ID_EX],[DATE_BEGIN],[DATE_END],[STR_DIS],dper_vn_m,dper_vn_d,
										[STR_VAC2],dper_oz_m,dper_oz_d,[TU_CODE],ter_usl,ter_koef,
										[OS_CODE],osob_usl,osob_spis,
										[EX_CODE],is_dop_m,is_dop_d,is_dop,f_is_dop,
										[P_CODE],ud_dop_m,ud_dop_d,ud_dop_k,f_ud_dop,
										REG_NOM_PF,DEP_NAME,DATE_CRT,DATE_DOC,DD,MM,YY,UV,NPP, GOSSL
				FROM #SZV_KORR
			

			set @link_doc_old = @link_doc

	FETCH NEXT FROM @CURS1 INTO @LINK_DOC
END

CLOSE @CURS1
DEALLOCATE @CURS1			

DECLARE @NN INT, @PN INT, @ON INT
SELECT @NN = 0, @PN = 0, @ON = 0


DECLARE @PI_NGROUP INT, @PI_ID INT, @PI_link_szv int, @PI_T_DOG tinyint  
DECLARE @Cur_PI CURSOR
SET @Cur_PI = CURSOR FORWARD_ONLY

FOR select link_szv, NGROUP,T_DOG, [ID]  from #SZV_KORR order by link_szv,T_DOG, NGROUP, [ID]

OPEN @Cur_PI
FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		SET @NN = (CASE WHEN @PI_NGROUP <> @PN THEN 1 ELSE (CASE WHEN @ON <> @PI_ID THEN @NN + 1 ELSE @NN END) END)
		SET @PN = (CASE WHEN @PI_NGROUP <> @PN THEN @PI_NGROUP ELSE @PN END)

		UPDATE A
		SET 
			ID = @NN
		FROM #SZV_KORR A 
		WHERE link_szv = @PI_link_szv and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID

		UPDATE A
		SET 
			ID = @NN
		FROM #PERS_INFO2 A 
		WHERE link_szv = @PI_link_szv and  NGROUP = @PI_NGROUP and  T_DOG = @PI_T_DOG  AND ID = @PI_ID
		

		SET @ON = @NN				

	END

	FETCH NEXT FROM @Cur_PI INTO @PI_link_szv, @PI_NGROUP,@PI_T_DOG, @PI_ID
END

CLOSE @Cur_PI
DEALLOCATE @Cur_PI




-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------

DECLARE @Cur1 CURSOR, @link_szv INT, @NGROUP int /* */, @lcFNAME varchar(254) /*  */, 
	@TIPD varchar(254), @DATE_DOC datetime, 
	@INN VARCHAR(12), @KPP VARCHAR(9), @OKPO VARCHAR(40), @DEP_NAME VARCHAR(254), @PFNUMBER VARCHAR(254), @PACHNUM VARCHAR(5),
	@COUNT_P VARCHAR(10) , @COUNT_PK VARCHAR(10), @COUNT_PERS VARCHAR(4), @DATE_CRT VARCHAR(10),
	@YEAR VARCHAR(4),@sved int , @TYP_SVED VARCHAR(20), @kor INT,
	@VID_KOR VARCHAR(20),@PER VARCHAR(1),@PER_EDT VARCHAR(1), @YEAR_EDT VARCHAR(4),  @TYPE VARCHAR(20), @GUID VARCHAR(36),
	@EGRUL varchar(15), @CHIEF_POST_OUR VARCHAR(150) , @CH_FM  VARCHAR(150) , @CH_IM  VARCHAR(150),@CH_OT  VARCHAR(150),
	@dtBeginEDT datetime, @dtEndEDT DATETIME,
	@PFNUM_EDT VARCHAR(15),@INN_EDT VARCHAR(12),@KPP_EDT VARCHAR(9), @NAME_EDT VARCHAR(254)
	/*@INSUR VARCHAR(20), @INSUR1 VARCHAR(20), @GAIN VARCHAR(20), @GAIN1 VARCHAR(20),
	@INC_T1_M1 VARCHAR(20),@INC_T1_M2 VARCHAR(20),@INC_T1_M3 VARCHAR(20),@INC_T2_M1 VARCHAR(20),@INC_T2_M2 VARCHAR(20),@INC_T2_M3 VARCHAR(20),  
	
	@KATEG VARCHAR(20)*/

SELECT 
	@EGRUL = LTRIM(RTRIM(EGRUL))
FROM DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )


SELECT @CHIEF_POST_OUR = (SELECT TOP 1 post_name FROM dbo.SD_EMPL AS se WHERE link  = a.face_link),
		@CH_FM = (SELECT TOP 1 LTRIM(RTRIM(FM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_IM = (SELECT TOP 1 LTRIM(RTRIM(IM)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@CH_OT = (SELECT TOP 1 LTRIM(RTRIM(OT)) FROM dbo.sd_empl WHERE link  = a.face_link),
		@dtBeginEDT  = CASE WHEN P.[TYPE] = 1  AND P.vid_kor <> 1 and isnull(p.YEAR_EDT,0) <> 0 AND  isnull(p.PER_EDT,0) <> 0   THEN (CASE p.PER_EDT WHEN 1  THEN dbo.ConvertDMY2Date('1','1',p.YEAR_EDT) 
																											  WHEN 2  THEN dbo.ConvertDMY2Date('1','1',p.YEAR_EDT) 
																											  WHEN 3  THEN dbo.ConvertDMY2Date('1','1',p.YEAR_EDT) 
																											  WHEN 4  THEN dbo.ConvertDMY2Date('1','1',p.YEAR_EDT)  		
																							   END )
							ELSE null END,				 
		@dtEndEDT   = CASE WHEN  P.[TYPE] = 1  AND P.vid_kor <> 1 and isnull(p.YEAR_EDT,0) <> 0 AND  isnull(p.PER_EDT,0) <> 0   THEN (CASE p.PER_EDT WHEN 1  THEN dbo.ConvertDMY2Date('31','3',p.YEAR_EDT) 
																											  WHEN 2  THEN dbo.ConvertDMY2Date('30','6',p.YEAR_EDT) 
																											  WHEN 3  THEN dbo.ConvertDMY2Date('31','9',p.YEAR_EDT) 
																											  WHEN 4  THEN dbo.ConvertDMY2Date('31','12',p.YEAR_EDT)  		
																							   END )
							ELSE null END
FROM DICTIONARY_OTV_FACE_ALL A  
inner join dbo.SS_SZV_STAZH_PACHKA P on a.dep_link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )
AND  a.NAME = '' 

SELECT 
	@PFNUM_EDT = CASE WHEN  ISNULL(@dtBeginEDT,0)<> 0 AND ISNULL(@dtEndEDT,0)<> 0 THEN 
						(SELECT top 1 d.pfnumber FROM SA_EMPLS_INFO_PERIOD(@dtBeginEDT, @dtEndEDT, NULL, NULL)  se
									       INNER JOIN  departments d ON d.LINK = se.DEP_LINK WHERE se.pers_link = ( select top 1 link_FACE FROM dbo.SS_SZV_STAZH_SVEDENIA S WHERE   S.link = P.link ) 
						)   
						  
					  ELSE '' END   , 
	@INN_EDT = CASE WHEN  ISNULL(@dtBeginEDT,0)<> 0 AND ISNULL(@dtEndEDT,0)<> 0 THEN 
						(SELECT top 1 d.INN FROM SA_EMPLS_INFO_PERIOD(@dtBeginEDT, @dtEndEDT, NULL, NULL)  se
									       INNER JOIN  departments d ON d.LINK = se.DEP_LINK WHERE se.pers_link = ( select top 1 link_FACE FROM dbo.SS_SZV_STAZH_SVEDENIA S WHERE   S.link = P.link ) 
						)   
						  
					  ELSE '' END   ,
	@KPP_EDT = CASE WHEN  ISNULL(@dtBeginEDT,0)<> 0 AND ISNULL(@dtEndEDT,0)<> 0 THEN 
						(SELECT top 1 d.KPP FROM SA_EMPLS_INFO_PERIOD(@dtBeginEDT, @dtEndEDT, NULL, NULL)  se
									       INNER JOIN  departments d ON d.LINK = se.DEP_LINK WHERE se.pers_link = ( select top 1 link_FACE FROM dbo.SS_SZV_STAZH_SVEDENIA S WHERE   S.link = P.link ) 
						)   
						  
					  ELSE '' END ,
	@NAME_EDT = CASE WHEN  ISNULL(@dtBeginEDT,0)<> 0 AND ISNULL(@dtEndEDT,0)<> 0 THEN 
						(SELECT top 1 d.NAME FROM SA_EMPLS_INFO_PERIOD(@dtBeginEDT, @dtEndEDT, NULL, NULL)  se
									       INNER JOIN  departments d ON d.LINK = se.DEP_LINK WHERE se.pers_link = ( select top 1 link_FACE FROM dbo.SS_SZV_STAZH_SVEDENIA S WHERE   S.link = P.link ) 
						)   
						  
					  ELSE '' END 				  
					  
FROM dbo.DICTIONARY_DEPARTMENT D inner join dbo.SS_SZV_STAZH_PACHKA P on D.link = P.link_dep
WHERE P.link = (SELECT TOP 1 LINK FROM #DOC )

-- exec dbo.SZV_KORR_PRINT 2

SET @Cur1 = CURSOR FORWARD_ONLY
FOR 
select 	
	link_szv,
	FNAME = '_'+ RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))) + '_'+LEFT(REPLACE([REG_NOM_PF],'-',''),6)+'_-_'+CONVERT(VARCHAR(8),ltrim(rtrim(replace(CONVERT(VARCHAR(10),DATE_DOC,102),'.',''))))+'_'+ltrim(rtrim([GUID]))+'.XML',
	INN = 	RTRIM(LTRIM(COALESCE(INN,''))),
	KPP = RTRIM(LTRIM(COALESCE(KPP,''))),
	[OKPO] = RTRIM(LTRIM(COALESCE(OKPO,''))),
	DEP_NAME = RTRIM(LTRIM(COALESCE(DEP_NAME,''))),
	PFNUMBER = RTRIM(LTRIM(COALESCE([REG_NOM_PF],''))),
	--PACHNUM = RTRIM(LTRIM(CONVERT(VARCHAR(10),NGROUP))), 	
	[COUNT_P] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_P]))), 	
	[COUNT_PK] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PK]))),
	[COUNT_PERS] = RTRIM(LTRIM(CONVERT(VARCHAR(10),[COUNT_PERS]))),
	DATE_CRT = CONVERT(VARCHAR(10),DATE_CRT,104),
	DATE_DOC = DATE_DOC,
	[YEAR] = CONVERT(VARCHAR(4),CASE WHEN [YEAR] = 0 THEN 2010 ELSE [YEAR] END),
	SVED = [TYPE] ,
	TYP_SVED = (CASE WHEN [TYPE] = 1 THEN '' else (CASE WHEN [TYPE] = 2 THEN '' else '' end) end),
	KOR = [VID_KOR] ,
	VID_KOR = (CASE WHEN [VID_KOR] = 2 THEN '' else (CASE WHEN [VID_KOR] = 3 THEN '' else '' end) end),
	[PER] = 0 ,  --CONVERT(VARCHAR(1),CASE WHEN [PER] = 0 THEN [PER10] ELSE [PER] END),
	PER_EDT = CONVERT(VARCHAR(1),[PER_edt]), 
	YEAR_EDT = CONVERT(VARCHAR(4),[YEAR_EDT]), 
	[TYPE] = (CASE [TYPE] WHEN 1 THEN '' WHEN 2 THEN '' WHEN 3 THEN '' ELSE '' end),
	[GUID] = RTRIM(LTRIM(CONVERT(VARCHAR(36),iSnull([GUID],null))))
from #ODV1 order by link_szv

/*  -1 */
OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	 @SVED, @TYP_SVED, @KOR,@VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			  SELECT @lcFNAME, 'UTF-8' -- 
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8" ?>'
			  UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21" xmlns:="http://.///2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://.///2014-01-01" xmlns:xs="http://www.w3.org/2001/XMLSchema">'
			/*UNION ALL SELECT @lcFNAME, SPACE(0) + '< xmlns="http://.//-/2017-01-01" xmlns:="http://.//2014-01-01" xmlns:="http://.///2017-01-01" xmlns:="http://./" xmlns:2="http://.//2016-06-21"'+CHAR(10)+CHAR(13)
+ ' xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://.//-/2017-01-01'+CHAR(10)
+'..\..\..\..\\\\2017\-_2017-01-01.xsd">'*/
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<>'
				 
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<:GUID>'+RTRIM(LTRIM(COALESCE(@GUID,'')))+'</:GUID>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<:>'+CONVERT(VARCHAR(25),ltrim(rtrim(replace(convert(varchar(19),GETDATE(),126 ),'.','')+'+03:00')))+'</:>' + CHAR(13) + CHAR(10)
										   + SPACE(2) + '<2:>'+ @NAME_PROG +' ' + @VERS_PROG +'</2:>' + CHAR(13) + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(1) + '<-1>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + CASE when @VID_KOR = '' THEN '0'  WHEN @VID_KOR = '' THEN '1' ELSE '2' end + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
					  UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'					
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>' + RTRIM(LTRIM(ISNULL(@COUNT_PERS,''))) + '</>'
	

/*	IF (SELECT COUNT([work_stake])  FROM #ODV1_2 WHERE [LINK_SZV] =  @link_szv ) <>0
	BEGIN 
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  SELECT @lcFNAME , SPACE(2) + '<>'
		
		
		-- 1 
		DECLARE @Cur2 CURSOR, @LINK_SZV1 int, @subdiv_name varchar(254), @POST_NAME varchar(254), @num_stake NUMERIC(5,2), @work_stake NUMERIC(5,2),
				@Fakt_Work VARCHAR(254), @DOC_NAME VARCHAR (10),@OSOB_USL VARCHAR(10),@POS_SPIS VARCHAR(150)  , @UD_OSNOV VARCHAR(10)
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR 
			Select	[LINK_SZV],[subdiv_name],
					[POST_NAME],[num_stake],[work_stake],
					[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] ,[UD_OSNOV] 
			FROM #ODV1_2  WHERE  [LINK_SZV] = @link_szv 
			GROUP BY [LINK_SZV],[subdiv_name],[POST_NAME],[num_stake],[work_stake],[Fakt_Work],[DOC_NAME],[OSOB_USL],[POS_SPIS] , [UD_OSNOV] 			   			
		
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS,@UD_OSNOV
				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN	
						IF isnull(@OSOB_USL,'') <> '' AND isnull(@POS_SPIS,'') <> ''  OR isnull(@UD_OSNOV,'') <> ''
						begin		
							  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											Select @lcFNAME, SPACE(3) + '<:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@subdiv_name,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@POST_NAME,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(CONVERT(VARCHAR(8),ISNULL(@num_stake,''))))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(ISNULL(@work_stake,''))))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@Fakt_Work,''))) + '</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(@DOC_NAME,'-')))+'</:>' 
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@OSOB_USL,ISNULL(@UD_OSNOV,''))))+'</:>'
										UNION ALL SELECT @lcFNAME, SPACE(5) + '<:>'+RTRIM(LTRIM(ISNULL(@POS_SPIS,'')))+'</:>'
									  UNION ALL SELECT @lcFNAME, SPACE(4) + '</:>'
								  UNION ALL SELECT @lcFNAME, SPACE(3) + '</:>'
						end
					END
				
					FETCH NEXT FROM @Cur2 INTO @LINK_SZV1, @subdiv_name, @POST_NAME,@num_stake,@work_stake,@Fakt_Work,@DOC_NAME,@OSOB_USL,@POS_SPIS	,@UD_OSNOV				  
					
				END 
			CLOSE @Cur2
			DEALLOCATE @Cur2
								
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(3) + '<:>'+ RTRIM(LTRIM(CONVERT(VARCHAR(8),SUM(@num_stake))))+ '</:> '  + CHAR(10)
							  +	 SPACE(3) + '<:>' + RTRIM(LTRIM(CONVERT(VARCHAR(8),ceiling(sum(work_stake))))) + '</:>'
				FROM #ODV1_2 WHERE LINK_SZV = @DOC_LINK  GROUP BY LINK_SZV
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
				
				
	END 
*/	

	--- exec SZV_KORR_EXPORT_PFR_100_17 2
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'+REPLACE(RTRIM(LTRIM(isnull(@CHIEF_POST_OUR,''))),' ','')+'</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_FM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_IM,'')))+'</:>'
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>'+RTRIM(LTRIM(isnull(@CH_OT,'')))+'</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
			UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'+convert(VARCHAR(10),@DATE_DOC , 120) +'</>'
		UNION ALL SELECT @lcFNAME, SPACE(1) + '</-1>'


--exec SZV_KORR_EXPORT_PFR_100_17 2


	DECLARE @Cur02 CURSOR
	DECLARE @LINK_SZV_ST int, @TYPE_SV INT , @TYPE_KOR INT , @ID int, @ID_EX INT, @PF_NUMBER VARCHAR(14)
	SET @Cur02 = CURSOR FORWARD_ONLY
	FOR 
	Select	[LINK_SZV],[TYPE_SV],[TYPE],[ID],[PFNUMBER]
	FROM #szv_korr  WHERE  [LINK_SZV] = @link_szv 
	GROUP BY [LINK_SZV],[ID],[PFNUMBER],[TYPE_SV],[TYPE]
	ORDER BY [LINK_SZV],[ID],[PFNUMBER]	,[TYPE_SV],[TYPE]	   			
	
	OPEN @Cur02
	FETCH NEXT FROM @Cur02 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN	
				-- - 
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				Select @lcFNAME, SPACE(1) + '<->'
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUMBER,''))) + '</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@INN,''))) + '</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP,''))) + '</:>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@DEP_NAME,''))) + '</:>'
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@PER,''))) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR,''))) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	
				UNION ALL Select @lcFNAME, SPACE(2) + '<>'+CASE WHEN @KOR = 1 THEN '2'	
																   WHEN @KOR = 2 THEN '0'
																		ELSE '1'  END    
															  +'</>'  + CHAR(10)
				UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'
						UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + RTRIM(LTRIM(ISNULL(@PER_EDT,''))) + '</>'
						UNION ALL SELECT @lcFNAME, SPACE(4) + '<>' + RTRIM(LTRIM(ISNULL(@YEAR_EDT,''))) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
					UNION ALL SELECT @lcFNAME, SPACE(2) + '<>'
					UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@PFNUM_EDT,''))) + '</:>'
						UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@INN_EDT,''))) + '</:>'
						UNION ALL SELECT @lcFNAME, SPACE(4) + '<:>' + RTRIM(LTRIM(ISNULL(@KPP_EDT,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(3) + '<:>' + RTRIM(LTRIM(ISNULL(@NAME_EDT,''))) + '</:>'
					UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	
						
			
			
			  INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						Select @lcFNAME, SPACE(2) +'<>'	+ CHAR(10)
										  + SPACE(3) + '<>'	+ CHAR(10)  
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(FM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(IM,'')))+'</:>'+ CHAR(10) 
											  + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(OT,'')))+'</:>'+ CHAR(10) 
										  + SPACE(3) + '</>'+ CHAR(10) 
										  + SPACE(3) + '<>' + RTRIM(LTRIM(ISNULL([PFNUMBER],''))) + '</>' + CHAR(10) 
									   + SPACE(2) +'</>'	+ CHAR(10)  	
									 FROM 	
										(select top 1 FM , IM , OT , [PFNUMBER] FROM  #szv_korr WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
										and TYPE = @TYPE_KOR and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a
								
						
						--exec SZV_KORR_EXPORT_PFR_100_17 2

							
								IF @TYPE_KOR <> 3 BEGIN 
									 INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
									 Select @lcFNAME, SPACE(3) +'<>' + CHAR(10)
													+ SPACE(4) + '<>'+RTRIM(LTRIM(ISNULL(CODE,'')))+'</>'+ CHAR(10) 
													+ SPACE(4) + '<>'	+ CHAR(10)  
													  + SPACE(5) + '<>'+RTRIM(LTRIM(ISNULL(T_DOG,'')))+'</>'+ CHAR(10) 
													 -- + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(IM,'')))+'</:>'+ CHAR(10) 
													 -- + SPACE(4) + '<:>'+RTRIM(LTRIM(ISNULL(OT,'')))+'</:>'+ CHAR(10) 
													+ SPACE(4) + '</>'+ CHAR(10) 
													+ SPACE(3) +'</>' + CHAR(10)
											FROM 	
									 (select top 1 FM , IM , OT , [PFNUMBER],  CODE , T_DOG FROM  #szv_korr WHERE LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
									  and [TYPE] = @TYPE_KOR  and ID = @ID AND ID_EX = 1 AND [PFNUMBER] = @PF_NUMBER) a
										
										--       ,    
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
											Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
													  + SPACE(4) + '<:>' + CHAR(10) 
														+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
														+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
													  + SPACE(4) + '</:>' + CHAR(10) 
													  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
																OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
																or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
																OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
																OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
															 THEN  
											  				SPACE(4) + '<:>' + CHAR(10) 
														  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
															   SPACE(5) + '<:>' + CHAR(10)
																 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
																 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
															  + SPACE(5) + '</:>' + CHAR(10) 		 
															ELSE '' END
														  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
															   SPACE(5) + '<:>' + CHAR(10)
																+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
																+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
															  + SPACE(5) + '</:>' + CHAR(10)
															ELSE '' END
														  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
															   SPACE(5) + '<:>' + CHAR(10)	
																+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
																+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
																 SPACE(6) + '<:>' + CHAR(10)
																+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
																+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 									+ SPACE(6) + '</: >' + CHAR(10)
																  ELSE '' END
																+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
																  SPACE(6) + '<:>' + CHAR(10)
																	--SPACE(9) + '<>0</>' + CHAR(10)
																+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
																+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 									+ SPACE(6) + '</:>' + CHAR(10)
																  ELSE '' END
															  + SPACE(5) + '</:>' + CHAR(10)	 
															 ELSE 
															   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
																	+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
																 ELSE '' END	
															 END
															  
															  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
																SPACE(5) + '<:>' + CHAR(10)
																+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
																+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 				SPACE(6) + '<:>' + CHAR(10)
																	 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
																	 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
																+	SPACE(6) + '</:>' + CHAR(10)
																	ELSE '' END
																+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 				SPACE(6) + '<:>' + CHAR(10)
												  					--SPACE(9) + '<>0</>' + CHAR(10)
																+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
																+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 									+	SPACE(6) + '</:>' + CHAR(10)
																	ELSE '' END
															  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  					SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  				ELSE '' END
															  +SPACE(5) + '</:>' + CHAR(10)
															   ELSE '' END
														  + SPACE(4) + '</:>' + CHAR(10) 
													  ELSE '' END											  
												  + SPACE(3) + '</>' + CHAR(10)  
											FROM #pers_info2
											where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
											and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
											and (isnull(gossl,0) = 0 and LTRIM(COALESCE(is_dop,'')) in ( '',''))
			


												
											INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
											Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
													  + SPACE(4) + '<:>' + CHAR(10) 
														+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
														+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
													  + SPACE(4) + '</:>' + CHAR(10) 
													  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
																OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
																or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
																OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
																OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
															 THEN  
											  				SPACE(4) + '<:>' + CHAR(10) 
														  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
															   SPACE(5) + '<:>' + CHAR(10)
																 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
																 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
															  + SPACE(5) + '</:>' + CHAR(10) 		 
															ELSE '' END
														  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
															   SPACE(5) + '<:>' + CHAR(10)
																+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
																+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
															  + SPACE(5) + '</:>' + CHAR(10)
															ELSE '' END
														  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
															   SPACE(5) + '<:>' + CHAR(10)	
																+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
																+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
																 SPACE(6) + '<:>' + CHAR(10)
																+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
																+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 									+ SPACE(6) + '</: >' + CHAR(10)
																  ELSE '' END
																+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
																  SPACE(6) + '<:>' + CHAR(10)
																	--SPACE(9) + '<>0</>' + CHAR(10)
																+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
																+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 									+ SPACE(6)+ '</:>' + CHAR(10)
																  ELSE '' END
															  + SPACE(5) + '</:>' + CHAR(10)	 
															 ELSE 
															   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
																	+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
																 ELSE '' END	
															 END
															  
															  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
																SPACE(5) + '<:>' + CHAR(10)
																+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
																+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 				SPACE(6) + '<:>' + CHAR(10)
																	 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
																	 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
																+	SPACE(6) + '</:>' + CHAR(10)
																	ELSE '' END
																+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 				SPACE(6) + '<:>' + CHAR(10)
												  					--SPACE(9) + '<>0</>' + CHAR(10)
																+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
																+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 									+	SPACE(6) + '</:>' + CHAR(10)
																	ELSE '' END
															  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  					SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  				ELSE '' END
															  +SPACE(5) + '</:>' + CHAR(10)
															   ELSE '' END
														  + SPACE(4) + '</:>' + CHAR(10) 
													  ELSE '' END											  
												  + SPACE(3) + '</>' + CHAR(10)  
												FROM #pers_info2
												where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
												and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
												and ((isnull(gossl,0) = 0 and COALESCE(is_dop,'') not in ( '','')) or (isnull(gossl,0) <> 0 and COALESCE(is_dop,'') not in('','','','','','','','','')))
			

												
												-----         
												INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)		  
												Select @lcFNAME, SPACE(3) + '<>'+ CHAR(10)   
													  + SPACE(4) + '<:>' + CHAR(10) 
														+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_BEGIN,120)+'</:>' + CHAR(10) 
														+ SPACE(5) + '<:>'+CONVERT(VARCHAR(10),DATE_END,120)+'</:>' + CHAR(10) 
													  + SPACE(4) + '</:>' + CHAR(10) 
													  + CASE  WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> ''
																OR RTRIM(LTRIM(COALESCE(osob_usl,''))) <> ''
																or RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> ''
																OR RTRIM(LTRIM(COALESCE(P_CODE,''))) <> ''
																OR RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' 
															 THEN  
											  				SPACE(4) + '<:>' + CHAR(10) 
														  + CASE WHEN RTRIM(LTRIM(COALESCE(ter_usl,''))) <> '' THEN
															   SPACE(5) + '<:>' + CHAR(10)
																 + SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(ter_usl,''))) + '</:>' + CHAR(10) 
																 + CASE WHEN RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) <> '0.00' then SPACE(6) + '<:>'+ RTRIM(LTRIM(COALESCE(STR(ter_koef,4,2),''))) +'</:>'+ CHAR(10) else '' end
															  + SPACE(5) + '</:>' + CHAR(10) 		 
															ELSE '' END
														  +	CASE WHEN RTRIM(LTRIM(COALESCE(osob_usl,''))) <> '' THEN
															   SPACE(5) + '<:>' + CHAR(10)
																+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_usl,'')))+'</:>' + CHAR(10) 
																+ SPACE(6) + '<:>'+RTRIM(LTRIM(ISNULL(osob_spis,'')))+'</:>' + CHAR(10) 
															  + SPACE(5) + '</:>' + CHAR(10)
															ELSE '' END
														  + CASE WHEN RTRIM(LTRIM(COALESCE(EX_CODE,''))) <> '' THEN
															   SPACE(5) + '<:>' + CHAR(10)	
																+ SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(EX_CODE,''))) + '</:>' + CHAR(10)
																+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
																 SPACE(6) + '<:>' + CHAR(10)
																+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
																+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 									+ SPACE(6)+ '</: >' + CHAR(10)
																  ELSE '' END
																+ CASE WHEN COALESCE(f_is_dop,'') LIKE '%.%' OR COALESCE(f_is_dop,'') LIKE '%.%' THEN
																  SPACE(6) + '<:>' + CHAR(10)
																	--SPACE(9) + '<>0</>' + CHAR(10)
																+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_m,0),3))) + '</:>' + CHAR(10)
																+	SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(is_dop_d,0),3))) + '</:>' + CHAR(10)
							 									+ SPACE(6) + '</:>' + CHAR(10)
																  ELSE '' END
															  + SPACE(5) + '</:>' + CHAR(10)	 
															 ELSE 
															   + CASE WHEN RTRIM(LTRIM(COALESCE(is_dop,''))) <> '' THEN
																	+	SPACE(7) + '<:>' + RTRIM(LTRIM(COALESCE(is_dop,''))) + '</:>' + CHAR(10)
																 ELSE '' END	
															 END
															  
															  +	CASE WHEN RTRIM(LTRIM(COALESCE(P_CODE,''))) <> '' THEN
																SPACE(5) + '<:>' + CHAR(10)
																+	SPACE(6) + '<:>' + RTRIM(LTRIM(COALESCE(P_CODE,''))) + '</:>' + CHAR(10)
																+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 				SPACE(6) + '<:>' + CHAR(10)
																	 + 		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
																	 +		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
																+	SPACE(6) + '</:>' + CHAR(10)
																	ELSE '' END
																+	CASE WHEN COALESCE(f_ud_dop,'') LIKE '%.%' OR COALESCE(f_ud_dop,'') LIKE '%.%' THEN
													 				SPACE(6) + '<:>' + CHAR(10)
												  					--SPACE(9) + '<>0</>' + CHAR(10)
																+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_m,0),3))) + '</:>' + CHAR(10)
																+		SPACE(7) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_d,0),3))) + '</:>' + CHAR(10)
							 									+	SPACE(6) + '</:>' + CHAR(10)
																	ELSE '' END
															  +	CASE WHEN COALESCE(ud_dop_k,0) <> 0 THEN
												  					SPACE(6) + '<:>' + RTRIM(LTRIM(STR(COALESCE(ud_dop_k,0),4,2))) + '</:>' + CHAR(10)
												  				ELSE '' END
															  +SPACE(5) + '</:>' + CHAR(10)
															   ELSE '' END
														  + SPACE(4) + '</:>' + CHAR(10) 
													  ELSE '' END											  
												  + SPACE(3) + '</>' + CHAR(10)  
												FROM #pers_info2
												where LINK_SZV = @LINK_SZV_ST and TYPE_SV = @TYPE_SV 
												and TYPE = @TYPE_KOR and ID = @ID  AND [PFNUMBER] = @PF_NUMBER 
												and (isnull(gossl,0) <> 0 and COALESCE(is_dop,'') in ('','','','','','','','',''))
											

										END	
										
		  		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		  		SELECT @lcFNAME, SPACE(1) + '</->'	

		END
	
		FETCH NEXT FROM @Cur02 INTO @LINK_SZV_ST ,@TYPE_SV,@TYPE_KOR,@ID,@PF_NUMBER--,@ID_EX 				  
		
	END 
	CLOSE @Cur02
	DEALLOCATE @Cur02	
		

	END


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, SPACE(0) +'</>'

	FETCH NEXT FROM @Cur1 INTO  @link_szv,@lcFNAME, @INN, @KPP, @OKPO, @DEP_NAME, @PFNUMBER, @COUNT_P, @COUNT_PK, @COUNT_PERS, @DATE_CRT, @DATE_DOC, @YEAR,
	@SVED, @TYP_SVED,@KOR, @VID_KOR, @PER, @PER_EDT, @YEAR_EDT, @TYPE, @GUID
END

CLOSE @Cur1
DEALLOCATE @Cur1


SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--select OUT_TEXT from #OUTPUT order by [ID]















GO


GRANT EXECUTE ON dbo.[SZV_KORR_EXPORT_PFR_100_17] TO PUBLIC

GO


-- --

GO

GO

-- FIX >>  : 10040.sql
--  [USED]   DICTIONARY_TYP_DEDUCTION
IF COLUMNPROPERTY(object_id('[dbo].[DICTIONARY_TYP_DEDUCTION]'), 'USED', 'AllowsNull') is null
	ALTER TABLE [dbo].[DICTIONARY_TYP_DEDUCTION] ADD [USED] tinyint NULL
GO


IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_DICTIONARY_TYP_DEDUCTION_USED_SRC]'))
ALTER TABLE [dbo].[DICTIONARY_TYP_DEDUCTION] 
ADD CONSTRAINT [DF_DICTIONARY_TYP_DEDUCTION_USED_SRC] DEFAULT ((1)) FOR [USED]
GO

IF EXISTS(SELECT * FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE USED IS NULL)
BEGIN 
	UPDATE dbo.[DICTIONARY_TYP_DEDUCTION]
		SET USED = case when left(ltrim(rtrim(NAME)),1) = '#' THEN 0 ELSE 1	END 
	WHERE USED IS NULL
END

IF EXISTS(SELECT * FROM dbo.[DICTIONARY_TYP_DEDUCTION] WHERE CODE in (SELECT code FROM DICTIONARY_MROT_TABLE1 WHERE LINK_MINROT =  (SELECT TOP 1 link FROM MINROT AS m WHERE m.period = (select max(PERIOD) FROM minrot)))) 
BEGIN
	UPDATE a
		SET USED = CASE WHEN CODE = (SELECT top 1 code FROM DICTIONARY_MROT_TABLE1 WHERE LINK_MINROT =  (SELECT TOP 1 link FROM MINROT AS m WHERE m.period = (select max(PERIOD) FROM minrot)) AND  code = a.code )  THEN  1
		           ELSE 0
		           end
	FROM dbo.[DICTIONARY_TYP_DEDUCTION] a
END		
GO
 	

/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_USED_D_T')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_USED_D_T')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_USED_D_T')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_USED_D_T')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_USED_D_T'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_USED_D_T')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_USED_D_T')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_USED_D_T', '', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_TYP_DEDUCTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_USED_D_T', NAME = '', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_TYP_DEDUCTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_USED_D_T'
GO
EXEC X_SET_PROP 'COLUMN_USED_D_T', 'TITLE', '  '
GO
EXEC X_SET_PROP 'COLUMN_USED_D_T', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'COLUMN_USED_D_T', 'CONTROLSOURCE', 'm.cAlias+".USED"'
GO
EXEC X_SET_PROP 'COLUMN_USED_D_T', 'EDITABLE', '0'
GO
EXEC X_SET_PROP 'COLUMN_USED_D_T', 'TYPE_FIELD_DICT', 'bit'
GO
EXEC X_SET_PROP 'COLUMN_USED_D_T', 'SHORT_CODE_OBJ', 'USED'
GO
EXEC X_SET_PROP 'COLUMN_USED_D_T', 'CONTROLSOURCE_EDIT', 'm.cAlias+".USED"'
GO
EXEC X_SET_PROP 'COLUMN_USED_D_T', 'CONTROL_NAME_EDIT', 'aChkUsed'
GO
EXEC X_SET_PROP 'COLUMN_USED_D_T', 'REFERENCE_TO_FIELD', 'USED'
GO
EXEC X_SET_PROP 'COLUMN_USED_D_T', 'FIELD_DATA', 'USED'
GO
EXEC X_SET_PROP 'COLUMN_USED_D_T', 'FIELD_KEY', 'USED'
GO

GO

/****** :   (/)******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_N_USED_D_T')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_N_USED_D_T')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_N_USED_D_T')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_N_USED_D_T')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_N_USED_D_T'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_N_USED_D_T')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_N_USED_D_T')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_N_USED_D_T', '  (/)', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_TYP_DEDUCTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_N_USED_D_T', NAME = '  (/)', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_TYP_DEDUCTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_N_USED_D_T'
GO
EXEC X_SET_PROP 'COLUMN_N_USED_D_T', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_N_USED_D_T', 'VISIBLE', '11'
GO
EXEC X_SET_PROP 'COLUMN_N_USED_D_T', 'CONTROLSOURCE', 'm.cAlias+".N_USED"'
GO
EXEC X_SET_PROP 'COLUMN_N_USED_D_T', 'EDITABLE', '0'
GO
EXEC X_SET_PROP 'COLUMN_N_USED_D_T', 'TYPE_FIELD_DICT', 'char(3)'
GO
EXEC X_SET_PROP 'COLUMN_N_USED_D_T', 'SHORT_CODE_OBJ', 'N_USED'
GO
EXEC X_SET_PROP 'COLUMN_N_USED_D_T', 'CONTROLSOURCE_EDIT', 'm.cAlias+".N_USED"'
GO
EXEC X_SET_PROP 'COLUMN_N_USED_D_T', 'REFERENCE_TO_FIELD', 'N_USED'
GO
EXEC X_SET_PROP 'COLUMN_N_USED_D_T', 'FIELD_DATA', 'N_USED'
GO
EXEC X_SET_PROP 'COLUMN_N_USED_D_T', 'FIELD_KEY', 'N_USED'
GO

/****************     *************/

GO


EXEC X_SET_PROP 'DICTIONARY_TYP_DEDUCTION', 'SAVE_OBJECT_METHOD', 'X_SAVE(''SS_SAVE_DICTIONARY_TYP_DEDUCTION'', m.cAlias," SNAME, NAME, CODE, NUMBER, SUMMA,USED","DICTIONARY_TYP_DEDUCTION")'
GO
EXEC X_SET_PROP 'DICTIONARY_TYP_DEDUCTION', 'SELECT_RECORDS_METHOD', 'X_SELECT_DICTIONS("DICTIONARY_TYP_DEDUCT",m.cAlias,''DICTIONARY_TYP_DEDUCTION'')'
GO
EXEC X_SET_PROP 'DICTIONARY_TYP_DEDUCTION', 'SELECT_RECORDS_METHOD_EDIT', 'X_SELECT_DICTIONS("DICTIONARY_TYP_DEDUCT",m.cAlias,''DICTIONARY_TYP_DEDUCTION'')'
GO


/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_COD_MROT_T1')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_COD_MROT_T1')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_COD_MROT_T1')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_COD_MROT_T1')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_COD_MROT_T1'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_COD_MROT_T1')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_COD_MROT_T1')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_COD_MROT_T1', '', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_MROT_TABLE1'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_COD_MROT_T1', NAME = '', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_MROT_TABLE1'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_COD_MROT_T1'
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T1', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T1', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01( ''DICTIONARY_TYP_DEDUCTION'', oForm.pgfMain.Page1.Bspisok.Bgrid1.RecordSource, ''LINK, SNAME, NAME,SUMMA'', ''REF_PAY, CODE, NAME,SUMMA'', '''', '''', '''', .T., 1, oForm, oObj, "",.F.,.T.)'
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T1', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T1', 'CONTROLSOURCE', 'm.cAlias+ ".CODE"'
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T1', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T1', 'TYPE_FIELD_DICT', 'VARCHAR(3)'
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T1', 'CONTROLSOURCE_EDIT', 'm.cAlias+ ".CODE"'
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T1', 'CONTROL_NAME_EDIT', 'ASel_spr1'
GO

/****************     *************/
/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_COD_MROT_T2')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_COD_MROT_T2')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_COD_MROT_T2')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_COD_MROT_T2')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_COD_MROT_T2'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_COD_MROT_T2')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_COD_MROT_T2')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_COD_MROT_T2', '', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_MROT_TABLE2'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_COD_MROT_T2', NAME = '', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_MROT_TABLE2'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_COD_MROT_T2'
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T2', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T2', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01( ''DICTIONARY_TYP_DEDUCTION'', oForm.pgfMain.Page2.Bspisok.Bgrid1.RecordSource, ''LINK, SNAME, NAME'', ''REF_PAY, CODE, NAME'', '''', '''', '''', .T., 1, oForm, oObj, "",.F.,.T.)'
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T2', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T2', 'CONTROLSOURCE', 'm.cAlias+ ".CODE"'
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T2', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T2', 'TYPE_FIELD_DICT', 'VARCHAR(3)'
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T2', 'CONTROLSOURCE_EDIT', 'm.cAlias+ ".CODE"'
GO
EXEC X_SET_PROP 'COLUMN_COD_MROT_T2', 'CONTROL_NAME_EDIT', 'ASelSpr1'
GO

/****************     *************/
GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DICTIONARY_TYP_DEDUCT]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[DICTIONARY_TYP_DEDUCT]

GO

CREATE view [dbo].DICTIONARY_TYP_DEDUCT
as
select DT.LINK, 
	   DT.SNAME,
	   DT.NAME,
	   DT.CODE,
	   DT.NUMBER,
	   DT.SUMMA,
	   USED = CASE WHEN EXISTS (SELECT TOP 1 CODE FROM  DICTIONARY_MROT_TABLE1 m WHERE  m.CODE = dt.CODE	
									AND  m.LINK_MINROT =  (SELECT TOP 1 mm.link FROM MINROT AS mm WHERE mm.period = (select max(PERIOD) FROM minrot)) ) 
							OR EXISTS (SELECT TOP 1 CODE FROM  DICTIONARY_MROT_TABLE2 m WHERE  m.CODE = dt.CODE	
									and m.LINK_MINROT =  (SELECT TOP 1 mm.link FROM MINROT AS mm WHERE mm.period = (select max(PERIOD) FROM minrot)))
						THEN 
							CAST(1 AS BIT)
						ELSE 
							CAST(0 AS BIT) 
						end	 ,
	   N_USED = CASE WHEN EXISTS (SELECT TOP 1 CODE FROM  DICTIONARY_MROT_TABLE1 m WHERE  m.CODE = dt.CODE	
									AND  m.LINK_MINROT =  (SELECT TOP 1 mm.link FROM MINROT AS mm WHERE mm.period = (select max(PERIOD) FROM minrot)) ) 
							OR EXISTS (SELECT TOP 1 CODE FROM  DICTIONARY_MROT_TABLE2 m WHERE  m.CODE = dt.CODE	
									and m.LINK_MINROT =  (SELECT TOP 1 mm.link FROM MINROT AS mm WHERE mm.period = (select max(PERIOD) FROM minrot)))
					 THEN '' ELSE '' end,
	   deleted = CASE WHEN EXISTS (SELECT TOP 1 CODE FROM  DICTIONARY_MROT_TABLE1 m WHERE  m.CODE = dt.CODE	
									AND  m.LINK_MINROT =  (SELECT TOP 1 mm.link FROM MINROT AS mm WHERE mm.period = (select max(PERIOD) FROM minrot)) ) 
							OR EXISTS (SELECT TOP 1 CODE FROM  DICTIONARY_MROT_TABLE2 m WHERE  m.CODE = dt.CODE	
									and m.LINK_MINROT =  (SELECT TOP 1 mm.link FROM MINROT AS mm WHERE mm.period = (select max(PERIOD) FROM minrot)))
					 THEN CAST(0 AS BIT) ELSE CAST(1 AS BIT) end

from 
	dbo.DICTIONARY_TYP_DEDUCTION DT 






GO


GRANT SELECT ON dbo.[DICTIONARY_TYP_DEDUCT] TO PUBLIC

GO


-- --





IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SAVE_DICTIONARY_TYP_DEDUCTION]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SAVE_DICTIONARY_TYP_DEDUCTION]

GO




/*
  (Keysystems), 2005
*/
/*
 KS  .., 2011     
*/
CREATE   PROCEDURE dbo.SS_SAVE_DICTIONARY_TYP_DEDUCTION
	@varKSparLINK	int	OUTPUT,
	@varKSparSNAME          VARCHAR(6) = null,
	@varKSparNAME           VARCHAR(254) = null,
	@varKSparCODE           VARCHAR(6) = null,
	@varKSparNUMBER         NUMERIC(3,0) = null,
	@varKSparSUMMA          NUMERIC(10,2) = NULL,
	@varKSparUSED	TINYINT
AS
DECLARE @varKSSQLError	int, 
		@varKSEventText	varchar(7000),
		@varKStrancount	int,  
		@varKSObjLink int, 
		@varKSRowCount INT

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

SET @varKSparCODE = @varKSparSNAME	

IF LEN(@varKSparNAME) = 0 or LEN(@varKSparSNAME)= 0 OR LEN(@varKSparCODE) = 0 
BEGIN
	ROLLBACK
	RETURN 5
END


SELECT @varKSObjLink = LINK FROM S_OBJECTS WHERE CODE = 'DICTIONARY_TYP_DEDUCTION'

IF @varKSparLINK is null OR @varKSparLINK = 0
BEGIN
	IF  EXISTS ( select link from  dbo.DICTIONARY_TYP_DEDUCTION where SNAME =@varKSparSNAME and NAME = @varKSparNAME and CODE = @varKSparCODE )
	BEGIN 
		ROLLBACK
		RETURN 8
	END
	ELSE
	BEGIN
		INSERT INTO dbo.DICTIONARY_TYP_DEDUCTION WITH (ROWLOCK) (SNAME,NAME,CODE,NUMBER,SUMMA,USED) 
		VALUES (@varKSparSNAME,@varKSparNAME,@varKSparCODE,@varKSparNUMBER, @varKSparSUMMA,@varKSparUSED)
		SELECT @varKSSQLError = @@ERROR, @varKSparLINK = @@IDENTITY
		IF @varKSSQLError <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
	END
END
ELSE
BEGIN
	UPDATE dbo.DICTIONARY_TYP_DEDUCTION WITH (ROWLOCK) 
	SET SNAME = @varKSparSNAME, NAME = @varKSparNAME ,CODE = @varKSparCODE,NUMBER = @varKSparNUMBER,SUMMA = @varKSparSUMMA, USED = @varKSparUSED
	WHERE LINK =@varKSparLINK
	SELECT @varKSSQLError = @@ERROR, @varKSRowCount = @@ROWCOUNT
	IF @varKSSQLError <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
	IF @varKSRowCount = 0
	BEGIN
		ROLLBACK
		RETURN 2
	END
END	


SET @varKSEventText = ' ' + ' ' +  RTRIM(CONVERT(VARCHAR(6),@varKSparSNAME))+' '+ RTRIM(CONVERT(VARCHAR(254), @varKSparNAME))+' '+ RTRIM(CONVERT(VARCHAR(6), @varKSparCODE))
EXECUTE WF_GENERATEEVENT '  ', @varKSEventText, @varKSObjLink, 'DICTIONARY_TYP_DEDUCTION', @varKSparLINK

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN
RETURN 0









GO


GRANT EXECUTE ON dbo.[SS_SAVE_DICTIONARY_TYP_DEDUCTION] TO PUBLIC

GO


-- --


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_EMPL_DED]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SD_EMPL_DED]

GO

CREATE VIEW dbo.SD_EMPL_DED
AS
SELECT 
	[LINK] 			=	ED.LINK,
	[LINK_EMPL] 	= 	ED.EMPL_LINK,
	[LINK_DED] 		= 	ED.DED_LINK,
	[CODE_DED] 		= 	D.SNAME, 
	[NAME_DED] 		= 	D.NAME, 
	[DATE1] 		= 	ED.DATE1,
	[DATE2] 		=	COALESCE(ED.DATE2,'20991231'),
	[LINK_DGH] 		=	ED.LINK_DGH		
FROM 
	dbo.EMPL_DED ED
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCT D ON D.LINK = ED.DED_LINK
WHERE d.used = 1

GO


GRANT SELECT ON dbo.[SD_EMPL_DED] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_DEDUCTIONS_GET_LIST]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_DEDUCTIONS_GET_LIST]

GO
CREATE PROCEDURE [dbo].SA_DEDUCTIONS_GET_LIST AS
/*   */
select 	[DED_NAME] = RTRIM(LTRIM(CONVERT(VARCHAR(5),DA.VALUE))) + ' - ' + RTRIM(LTRIM(CONVERT(VARCHAR(100),d.NAME))), d.LINK
from s_objects o, diction d, diction_app da
where 
	o.code = 'DICTIONARY_TYP_DEDUCTION'   
	and
	o.link = d.object 
	and
	dbo.salaryCalcPeriod() between begindate and enddate
	and
	d.link = da.link_up
	and
	da.object = (select top 1 link from s_objects where code = 'COLUMN_CODE_T_D')
	AND 
	(
		RTRIM(LTRIM(CONVERT(VARCHAR(5),DA.VALUE))) like '2%' 
		OR RTRIM(LTRIM(CONVERT(VARCHAR(5),DA.VALUE))) like '3%' 	
	)
	AND d.LINK IN (SELECT link FROM dbo.DICTIONARY_TYP_DEDUCTION WHERE [USED] = 1 )	
order by 
	CONVERT(int,LTRIM(RTRIM(DA.VALUE)))


GO


GRANT EXECUTE ON dbo.[SA_DEDUCTIONS_GET_LIST] TO PUBLIC

GO


-- --

GO

GO

-- FIX >>  : 10105.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_REP_2NDFL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_REP_2NDFL]

GO

CREATE PROCEDURE dbo.SD_REP_2NDFL
	@varKScYear varchar(4),			
	@varKSnFirstNum INT,	
	@nCHECK_S int = 0,					   /*    */
	@nSumm_For_Check numeric(18,2) = null, /*    */			
	@varKScVal1 char(1), @varKSnOtborLink1 int,	
	@varKScVal2 char(1), @varKSnOtborLink2 int,
	@nLinkEmpl int = 0,
	@nMonth int = 12,
	@LINK_PERS INT = NULL,
	@nCheck_CheeF int = 0,
	@nOption1 int = 1, /*   1 - , 2 - , 3 -  */
	@nKOrr VARCHAR(2) /*   */,
	@nSel_REORG int = null	/*    */
AS BEGIN


SET NOCOUNT ON

	Set @nMonth = ISNULL(@nMonth,12)

	DECLARE @varKSnYear INT
	SET @varKSnYear = CAST(@varKScYear AS INT)

	DECLARE @BEGIN_YEAR DATETIME, @END_YEAR DATETIME
	SET @BEGIN_YEAR = dbo.ConvertDMY2Date(1,1,@varKSnYear)
	SET @END_YEAR = dbo.DateEndOfYear(@BEGIN_YEAR)

	declare @DEP_LINK INT, @R_dep  INT , @R_SUB INT, @r_dep_name VARCHAR(254), @r_dep_INN VARCHAR(12), @R_DEP_KPP VARCHAR(9) ,
		    @R_NAME_SUB VARCHAR(254), @R_KPP_SUB VARCHAR(9) , @F_CODE VARCHAR(50), @REORG_FORM TINYINT 
	
	exec dbo.xd_whats_zb @DEP_LINK OUTPUT
	
	

	SELECT @R_dep = R_dep_link,
		   @r_dep_name = r_dep_name, 
		   @r_dep_INN = r_dep_INN, 
		   @R_DEP_KPP = R_DEP_KPP,
		   @R_NAME_SUB = R_NAME_SUB,
		   @R_KPP_SUB = R_KPP_SUB, 
		   @R_SUB = r_sub  , 
		   @F_CODE = F_CODE,
		   @REORG_FORM = REORG_FORM 
	FROM DICT_REORGANIZATION WHERE link =  isnull(@nSel_REORG,0)

	CREATE TABLE #RES0 (
		ID INT IDENTITY,
		NOM_SPR INT,
		nKorr VARCHAR(2),
		LINK_FACE INT,
		SEX INT,
		INNFIZ VARCHAR(20),
		NUMB_SERT VARCHAR(20),
		STATUS VARCHAR(1),
		FIO VARCHAR(254),
		FM VARCHAR(254),
		IM VARCHAR(254),
		OT VARCHAR(254),
		KDVD VARCHAR(4),
		SERNOM VARCHAR(254), 
		BIRTH DATETIME,
		GRAZD VARCHAR(3),
		KSTR VARCHAR(3),
		LINK_ADR INT,
		IND_ADR VARCHAR(10),
		REGION VARCHAR(4),
		RAION VARCHAR(254),
		GOROD VARCHAR(254),
		NASEL VARCHAR(254),
		STREET VARCHAR(254),
		HOUSE VARCHAR(20),
		KORP VARCHAR(10),
		FLAT VARCHAR(10),

		KSTR_ino VARCHAR(3),
		Adr_ino VARCHAR(200),

		O_OKATO VARCHAR(14),
		O_OKTMO VARCHAR(11),
		O_KPP VARCHAR(9),	
		r_dep_name VARCHAR(254),
		r_dep_INN VARCHAR(12), 
		R_DEP_KPP VARCHAR(9) ,
		R_NAME_SUB VARCHAR(254),
		R_KPP_SUB VARCHAR(9) ,
		F_CODE VARCHAR(50),	
		REORG_FORM TINYINT,

		ksv1 varchar(3), ssv1 numeric(11,2),
		ksv2 varchar(3), ssv2 numeric(11,2),
		ksv3 varchar(3), ssv3 numeric(11,2),
		ksv4 varchar(3), ssv4 numeric(11,2),
		ksv5 varchar(3), ssv5 numeric(11,2),
		ksv6 varchar(3), ssv6 numeric(11,2),
		ksv7 varchar(3), ssv7 numeric(11,2),
		ksv8 varchar(3), ssv8 numeric(11,2),
		ksv9 varchar(3), ssv9 numeric(11,2),
		ksv10 varchar(3), ssv10 numeric(11,2),
		ksv11 varchar(3), ssv11 numeric(11,2),
		ksv12 varchar(3), ssv12 numeric(11,2),
		ssv numeric(11,2), siv numeric(11,2),
		osd13 numeric(11,2), sdo13 numeric(11,2), 
		nalogn13 numeric(18), nalogu13 numeric(18),
		NALOG13S numeric(18),
		err int,
		S_5_6 NUMERIC(18,2), S_5_7 NUMERIC(18,2),		
		dolg_np numeric(8), dolg_na numeric(8),
		kbkcode1 varchar(30), kbkcode2 varchar(30), kbkcode3 varchar(30), kbkcode4 varchar(30), 
		kbksum1 numeric(18,2), kbksum2 numeric(18,2),kbksum3 numeric(18,2),kbksum4 numeric(18,2),
		VIFNSPL numeric(18,2),
		ZSummPL numeric(18,2),
		UdSumPL numeric(18,2),
		VzkIFNS numeric(18,2)

	)	


	CREATE TABLE #FACES (LINK int,PERS_LINK int)

	IF @nLinkEmpl = 0
	BEGIN

		--         ,  @DEP_LINK  @SUBDIV      
		DECLARE @SUBDIV TABLE (LINK INT)
		
		--IF isnull(@R_dep,0) <> 0 
		--	set	@DEP_LINK = @R_dep
		IF isnull(@r_SUB,0) <> 0 BEGIN
			DELETE from	@SUBDIV 
			INSERT INTO @SUBDIV (LINK)
			select link = @r_SUB	
		END

		IF (len(@varKScVal1) = 0) AND (len(@varKScVal2) = 0 )
			IF @R_SUB IS null
			BEGIN 
				INSERT INTO #FACES
				SELECT distinct PERS_LINK,PERS_LINK FROM dbo.sd_empl WHERE DEP_LINK = isnull(@R_dep,@DEP_LINK)  --AND dbo.ku_GetEmplSack(link,default) = 0
			END  
			ELSE BEGIN
			         INSERT INTO #FACES
			         SELECT distinct PERS_LINK,PERS_LINK FROM dbo.sd_empl WHERE DEP_LINK =  isnull(@R_dep,@DEP_LINK) AND SUBDIV_LINK IN (SELECT LINK FROM @SUBDIV)  --AND dbo.ku_GetEmplSack(link,default) = 0	
			END 
		ELSE 
			if len(@varKScVal1) <> 0
			BEGIN
				IF @R_SUB IS null
				BEGIN 
					INSERT INTO #FACES 
					SELECT distinct Min(RECORD),E.PERS_LINK 
					FROM dbo.EMPL E INNER JOIN dbo.OBJECT_VAR_EMPL OVE ON OVE.RECORD = E.LINK
					WHERE LINK_UP = @varKSnOtborLink1 
					GROUP BY E.PERS_LINK
				END 
				ELSE BEGIN
						 INSERT INTO #FACES 
						 SELECT distinct Min(RECORD),E.PERS_LINK 
						 FROM dbo.SD_EMPL E INNER JOIN dbo.OBJECT_VAR_EMPL OVE ON OVE.RECORD = E.LINK
						 WHERE LINK_UP = @varKSnOtborLink1
						 AND  e.DEP_LINK =  isnull(@R_dep,@DEP_LINK)  AND e.SUBDIV_LINK IN (SELECT LINK FROM @SUBDIV)
						 GROUP BY E.PERS_LINK
				END  	
			END
			IF (len(@varKScVal1) = 0) AND (len(@varKScVal2) = 0 )
			BEGIN
				IF @R_SUB IS NULL 
					select @R_SUB
					INSERT INTO #FACES
					SELECT distinct PERS_LINK,PERS_LINK FROM dbo.SALARY_REESTR_DGH WHERE DEP_LINK = isnull(@R_dep,@DEP_LINK) 
						AND PERS_LINK NOT IN (SELECT PERS_LINK FROM #FACES)
				 		
			END
			ELSE BEGIN	
				IF len(@varKScVal2) <> 0
					INSERT INTO #FACES 
					SELECT distinct Min(RECORD), P.LINK 
					FROM dbo.PERSON P INNER JOIN dbo.OBJECT_VAR_PERSON OVE ON OVE.RECORD = P.LINK  
					WHERE LINK_UP = @varKSnOtborLink2 AND P.LINK NOT IN (SELECT PERS_LINK FROM #FACES)
					GROUP BY P.LINK
					
			END
			
	END


	IF @nLinkEmpl > 0
	BEGIN
		INSERT INTO #FACES
		SELECT distinct LINK,PERS_LINK FROM dbo.empl WHERE LINK = @nLinkEmpl and DEP_LINK = isnull(@R_dep,@DEP_LINK) 
	END
		
	IF @nLinkEmpl IS NULL
		INSERT INTO #FACES (LINK, PERS_LINK)
		VALUES (0, @LINK_PERS)



	-----------------------------
	delete from dbo.SAL_DED_MONTH
	where 
	YEAR(DATE_DED) = @varKSnYear
	AND
	Month(DATE_DED) <= @nMonth
	AND
	LINK_EMPL IN (Select EM.LINK from dbo.EMPL EM INNER JOIN #FACES F on EM.PERS_LINK = F.PERS_LINK)
	AND
	LINK IN 
	(
		select D.LINK 
		from dbo.SAL_DED_MONTH D inner join dbo.empl E on D.link_empl = E.link
		where YEAR(D.DATE_DED) = @varKSnYear AND Month(D.DATE_DED) <= @nMonth
		and not exists (Select * from dbo.CALCULATE_JURNAL JC where YEAR(JC.PERIOD_BEGIN) = @varKSnYear AND Month(JC.PERIOD_BEGIN) <= @nMonth AND JC.LINK_EMPL = E.LINK AND JC.LINK_VKR = D.LINK_VKR)
	)

	-----------------------------	

	EXEC dbo.BufferClear
	EXEC dbo.BufferPushTable '#faces', 'REP2NDFL', 'pers_link'

	/* */
	Declare @isPrevPreiod tinyint
	--        ,     .                   
	Set @isPrevPreiod = dbo.sa_get_option_by_code('NDFL_OPT6')

	create table #S_J_C_SHORT (LINK_FACE int,PERS_LINK int, link_empl int, link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), link_inc int, period_begin datetime, date1 datetime, link_dep int)

	IF @nOption1 < 3
	BEGIN
		
		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep)
		Select 
			E.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, 
			P.LINK, link_vkr, ISNULL(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, summa, P.LINK_INC,
			period_begin = (case when @isPrevPreiod = 0 then JC.period_begin 
					else (Case 
							when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
							then JC.DATE_BEGIN else JC.period_begin 
						end) 
					end),
			JC.DATE_BEGIN,
			JC.LINK_DEP
		from 
			dbo.CALCULATE_JURNAL JC 
			INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS
			LEFT JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK 
			LEFT JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
			LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
		where
			(
					(@isPrevPreiod = 0 or ISNULL(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and @nMonth >= month(JC.PERIOD_BEGIN) and @varKSnYear = year(JC.PERIOD_BEGIN)
					or 
					@isPrevPreiod = 1 and ISNULL(d.code,'') = 'DOCUMENTS_ADD_TABEL'
					and (@nMonth >= month(JC.DATE_BEGIN) or @nMonth >= month(JC.PERIOD_BEGIN) )
					and (@varKSnYear = year(JC.DATE_BEGIN) or @varKSnYear = year(JC.PERIOD_BEGIN) )

				)
			AND  
				(	-->>NEW
				E.PERS_LINK in (select PERS_LINK from #FACES )
				or
				JC.PERS_LINK in (select PERS_LINK from #FACES )
				)	
			AND JC.LINK_DEP = isnull(@R_dep,@DEP_LINK) 
		union all --
		Select LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep
		from dbo.S_J_C_SHORT SJC 
			LEFT JOIN DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC 
		where 
			SJC.LINK_DEP =isnull(@R_dep,@DEP_LINK) 
			and
			(
				SJC.LINK_FACE in (select PERS_LINK from #FACES )
				or
				SJC.PERS_LINK in (select PERS_LINK from #FACES )
			)
			and YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
			and Month(SJC.PERIOD_BEGIN) <= @nMonth
			and TYP_OPER = 2
			
	END --IF @nOption1 < 3
	ELSE
	BEGIN

		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_dep)
		Select 
			F.PERS_LINK, F.PERS_LINK, E.LINK, @DEP_LINK
		FROM
			#FACES F
			LEFT JOIN dbo.EMPL E ON F.LINK = E.LINK
	END
	
-----------------------------------------------------------
--  
DECLARE @DATE DATETIME
SET @DATE = DBO.ConvertDMY2Date(1,@nMonth, @varKSnYear)
SET @DATE = DBO.DateEndOfMonth(@DATE)

CREATE TABLE #E_SUBDIV (EMPL_LINK INT, SUBDIV_LINK INT)

IF @nLinkEmpl > 0
BEGIN
	INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
	SELECT EMPL_LINK, SUBDIV_LINK
	FROM DBO.SA_EMPLS_INFO(@DATE, @nLinkEmpl)
	WHERE [STATUS] = 1 OR [STATUS] = 3	
END
ELSE 
	BEGIN
		INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
		SELECT EMPL_LINK, SUBDIV_LINK
		FROM DBO.SA_EMPLS_INFO(@DATE,DEFAULT)
		WHERE [STATUS] = 1 OR [STATUS] = 3	
	END	

CREATE TABLE #S_OBOSOB (SUBDIV_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #S_OBOSOB (SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP)
SELECT SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP 
FROM [dbo].SUBDIVISION(@DATE) 
WHERE OBOSOB = 1

CREATE TABLE #P_OBOSOB (PERS_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #P_OBOSOB(PERS_LINK, O_OKATO, O_OKTMO, O_KPP)
SELECT E.PERS_LINK, SO.O_OKATO , SO.O_OKTMO, SO.O_KPP 
FROM 
	#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
	INNER JOIN  DBO.EMPL E ON   E.LINK = ES.EMPL_LINK

-----------------------------------------------------------
	INSERT INTO #RES0 (
		LINK_FACE,
		SEX,
		INNFIZ, --NALOG,
		NUMB_SERT,
		STATUS,
		FIO,
		FM, IM, OT,
		KDVD,
		SERNOM, 
		BIRTH,
		GRAZD,
		KSTR,
		LINK_ADR,
		IND_ADR,
		REGION,
		RAION,
		GOROD,
		NASEL,
		STREET,
		HOUSE,
		KORP,
		FLAT, 
		KSTR_ino,
		Adr_ino,
		ERR,
		O_OKATO,
		O_OKTMO,
		O_KPP,
		r_dep_name ,
		r_dep_INN , 
		R_DEP_KPP ,
		R_NAME_SUB ,
		R_KPP_SUB ,
		F_CODE 	,
		REORG_FORM
	)

	SELECT 	distinct 
		P.LINK, P.SEX, P.INN, /*P.IFNS,*/ P.INSUR_NUM, 
		CASE 
			WHEN P.RESIDENT  IS NULL THEN ''
			WHEN P.RESIDENT = 1 THEN '1'
			WHEN P.RESIDENT = 0 THEN '2'
		END,
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT),
		RTRIM(P.FM), RTRIM(P.IM), RTRIM(P.OT),
		[KDVD] = (SELECT TOP 1 CODE FROM FACE_DOCUMENT WHERE LINK = P.DOC_LINK),
		P.DOC_NUM,
		P.BIRTHDATE,
		GRAZD= (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK),
		KSTR= (case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then '643' else '' END),
		ADR.LINK_ADDR,
		ADR.IND_ADR,
		ADR.REGION,
		ADR.RAION,
		ADR.GOROD,
		ADR.NASEL,
		ADR.STREET,
		ADR.HOUSE,
		ADR.KORP,
		ADR.FLAT,
		KSTR_ino = '',
		Adr_ino = '',
		0,
		PO.O_OKATO,
		PO.O_OKTMO,
		PO.O_KPP,
		@r_dep_name,
		@r_dep_INN, 
		@R_DEP_KPP ,
		@R_NAME_SUB ,
		@R_KPP_SUB,
		@F_CODE	,
		@REORG_FORM
	FROM 
		#FACES F 
		INNER JOIN PERSON P ON P.LINK = F.PERS_LINK
		INNER JOIN (SELECT LINK_FACE from #S_J_C_Short SJC where LINK_FACE is not null
			 		UNION 
			 		SELECT LINK_FACE= PERS_LINK from #S_J_C_Short SJC where PERS_LINK is not null) J on P.LINK = J.LINK_FACE
		LEFT OUTER JOIN dbo.NDFL_GET_ADDRESS() ADR ON P.LINK = ADR.LINK_FACE
		LEFT JOIN #P_OBOSOB PO ON PO.PERS_LINK = F.PERS_LINK 
	ORDER BY 
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT)

	CREATE TABLE #PAYS_0
	(
		ID INT IDENTITY,
		LINK_FACE INT, 
		mes int, 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)
	

	
	select distinct LINK_FACE, Y = year(PERIOD_BEGIN), M = month(PERIOD_BEGIN),  LINK_INC, LINK_VKR  
	into #spr_pays_kbk
	from 	#S_J_C_SHORT where TYP_OPER = 1
	

	CREATE TABLE #PAYS_0_tmp
	(
		ID INT IDENTITY,
		LINK_FACE INT,
		mes int, 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)


IF @nOption1 < 3
BEGIN

	INSERT INTO #PAYS_0_tmp
	(LINK_FACE, mes, 
	LINK_INC, CODE_INC, SUMMA_INC,
	LINK_DED, CODE_DED, SUMMA_DED)
	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM 
		#S_J_C_SHORT SJC 
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.LINK_FACE = F.PERS_LINK
	WHERE 
		SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.PERS_LINK,0) = 0
		AND
		SJC.LINK_DEP = isnull(@R_dep,@DEP_LINK) 
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED

	---<<    	
	union all 

	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM #S_J_C_SHORT SJC 	
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC --AND DTI.SNAME <> '0000'
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 	SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.LINK_FACE,0) = 0
		AND
		SJC.LINK_DEP = isnull(@R_dep,@DEP_LINK) 
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED
	ORDER BY 
		1, ISNULL(DTI.SNAME,'0000'), COD_DED

	INSERT INTO #PAYS_0
	Select LINK_FACE, mes, LINK_INC, CODE_INC, sum(SUMMA_INC), LINK_DED, CODE_DED, sum(SUMMA_DED)
	from #PAYS_0_tmp
	group by LINK_FACE, mes, LINK_INC, CODE_INC, LINK_DED, CODE_DED
	having Sum(SUMMA_INC) <> 0

	drop table #PAYS_0_tmp
	
END
ELSE
BEGIN

	INSERT INTO #PAYS_0
	Select PERS_LINK, 0, NULL, NULL, 0, NULL, NULL, 0 FROM #FACES
	
END

	
IF @nOption1 < 3
BEGIN
	---->>
	--
	SELECT D.LINK_FACE, D.mes, SUM(D.SUMMA) as SUMMA, D.REF_DED INTO #DED 
	FROM 
		dbo.SA_NDFL_MONTH_DED_ALL(@varKSnYear) D 
		inner join #spr_pays_kbk kbk on kbk.LINK_FACE = d.LINK_FACE and kbk.m = d.mes and kbk.link_inc = d.REF_INC and kbk.LINK_VKR = d.LINK_VKR
	where 
		kbk.y = @varKSnYear
		and kbk.m <= @nMonth
	GROUP BY 
		D.LINK_FACE, d.mes, d.REF_DED

	UPDATE #PAYS_0
	SET SUMMA_DED = 
		(SELECT SUM(SUMMA) FROM #DED D WHERE D.LINK_FACE = R.LINK_FACE AND D.REF_DED = R.LINK_DED AND D.mes = R.mes ) 
	FROM #PAYS_0 R 
	WHERE LINK_DED IS NOT NULL


	update #PAYS_0 
		Set CODE_DED = ''
		where ISNULL(SUMMA_DED,0) = 0


	CREATE TABLE #P0 (LINK_FACE INT, ID1 INT)

	--- 1

	CREATE TABLE #PAYS1(LINK_FACE INT, SM NUMERIC(11,2), MONTH_NUM INT)
	INSERT INTO #PAYS1
	SELECT LINK_FACE, SM, [MONTH]
	FROM dbo.NDFL_BASE_SUM_TAX_MONTH_ALL_BYDEP(@nMonth, @varKSnYear,isnull(@R_dep,@DEP_LINK))

	---<<    
	insert into #pays1

	SELECT 
		F.PERS_LINK,
		SUM(SUMMA) AS SUMMA_INC,
		Month(SJC.PERIOD_BEGIN)
	FROM 
		#S_J_C_SHORT SJC 
		INNER JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND ISNULL(SJC.LINK_FACE,0) = 0
		AND SJC.LINK_DEP = isnull(@R_dep,@DEP_LINK) 
	GROUP BY F.PERS_LINK, SJC.PERIOD_BEGIN

	---->>

	SELECT LINK_FACE, SUM(SM) AS SM
	INTO #PAYS_R
	FROM #PAYS1
	GROUP BY LINK_FACE

	INSERT INTO #PAYS1
	SELECT 
		EP.PERS_LINK, -SUM(SUMMA), MONTH(DATE_DED)
	FROM    
		dbo.empl EP 
		inner join SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND [TYPE] = 2)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
	where 
		EP.DEP_LINK = isnull(@R_dep,@DEP_LINK) 
	GROUP BY 
		EP.PERS_LINK, MONTH(DATE_DED)

	CREATE TABLE #PAYS3(ID INT IDENTITY, LINK_FACE INT, LINK_DED INT, CODE_DED VARCHAR(6), SUMMA NUMERIC(18,2), SUMMA_FAKT NUMERIC(18,2))
	--     
	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.empl EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BEGIN_YEAR) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = isnull(@R_dep,@DEP_LINK) 	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.REESTR_DGH EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_DGH AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND S.[TYPE] = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BEGIN_YEAR) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = isnull(@R_dep,@DEP_LINK) 	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE


	--UPDATE #PAYS3
	--SET
	--	SUMMA = (Select sum(SUM_DED) from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	
	--where
	--	exists (Select * from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	


	UPDATE #PAYS3
	SET
		SUMMA = ISNULL(SUMMA_FAKT,0)
	where
		ISNULL(SUMMA,0) = 0

	--  (,     .)
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, SUM(S.SUMMA), SUM(S.SUMMA) 
	FROM 
		dbo.EMPL EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
	where 
		T.NUMBER NOT IN (	1, --
							6 --    
							)
		AND			
		EP.DEP_LINK = isnull(@R_dep,@DEP_LINK) 	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

	--   . 
	update #RES0
	Set siv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = isnull(@R_dep,@DEP_LINK)  AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0),
		ssv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED NOT IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = isnull(@R_dep,@DEP_LINK)  AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0)		

	from #RES0 R
	

	--
	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV1 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV1 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV2 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV2 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV3 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV3 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV4 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV4 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV5 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV5 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV6 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV6 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV7 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV7 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV8 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV8 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV9 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV9 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV10 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV10 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV11 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV11 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV12 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV12 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	UPDATE #RES0 SET OSD13 = (SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE) FROM #RES0 R

	----
	UPDATE #RES0 SET SDO13 = OSD13 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE

	-----
	UPDATE #RES0 SET SDO13 = 0 WHERE SDO13 < 0

	CREATE TABLE #NDFL_TAX(LINK_TAX INT)
	INSERT INTO #NDFL_TAX
	SELECT LINK FROM PAYS P WHERE P.OBJECT = 2 AND P.WAY_CALC = 4

	Create table #NDLF13_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF13 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF13_tmp (LINK, SUMMA)
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  
	WHERE 
		YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY 
		B.LINK
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY B.LINK

	insert into #NDLF13 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF13_tmp group by LINK
	
	drop table #NDLF13_tmp
	--->>

	UPDATE #RES0 SET NALOGU13 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF13 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN13 = SDO13 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX WHERE TARIF = 1)
								ELSE 0.30 END)
	--     
	DECLARE @SUMMA_PLAT_ALL NUMERIC(18,2)
		
	IF @nCHECK_S = 0
		BEGIN
			SET @SUMMA_PLAT_ALL =  @nSumm_For_Check 	
		END
	ELSE
		BEGIN 
			EXEC dbo.SA_NDFL_PLAT @BEGIN_YEAR, @DATE, @DEP_LINK, @SUMMA_PLAT_ALL OUT
		END 
	
	--     
	DECLARE @SUMMA_NACH_ALL NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL @BEGIN_YEAR, @DATE, @DEP_LINK, @SUMMA_NACH_ALL OUT
	--  	
	UPDATE #RES0 SET NALOG13S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL > 0 THEN (NALOGU13	/ @SUMMA_NACH_ALL) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG13S = CASE WHEN NALOG13S > NALOGU13 THEN NALOGU13 ELSE NALOG13S END

	UPDATE #RES0 SET NOM_SPR = ID + @varKSnFirstNum - 1
	
	UPDATE #RES0 SET NKORR = CASE WHEN @nOption1 = 2 THEN (case when len(left(ltrim(rtrim(@nKOrr)),2)) = 1 THEN '0'+ltrim(rtrim(@nKOrr)) ELSE  left(ltrim(rtrim(@nKOrr)),2) END ) 
								  WHEN  @nOption1 = 1 THEN '00' 
								  WHEN @nOption1 =3 THEN '99' end

	--- /      
	UPDATE A SET 
		S_5_6 = (CASE WHEN R.NDFL > 0 THEN R.NDFL ELSE 0 END),
		S_5_7 = (CASE WHEN R.NDFL <= 0 THEN - R.NDFL ELSE 0 END)
	FROM
		#RES0 A INNER JOIN 
		(SELECT E.PERS_LINK, NDFL = SUM(SR.NDFL) FROM dbo.SAL_REMAIN SR INNER JOIN dbo.EMPL E ON E.LINK = SR.LINK_EMPL WHERE SR.YEAR_SAL = @varKSnYear GROUP BY E.PERS_LINK) R 
			ON R.PERS_LINK = A.LINK_FACE
	--	
	UPDATE #RES0 SET DOLG_NP = CASE WHEN NALOGN13 - NALOGU13 > 0 THEN NALOGN13 - NALOGU13 ELSE 0 END - ISNULL(S_5_6,0)
	UPDATE #RES0 SET DOLG_NA = CASE WHEN NALOGU13 - NALOGN13 > 0 THEN NALOGU13 - NALOGN13 ELSE 0 END - ISNULL(S_5_7,0)

	--^^^^^^^^^   ^^^^^^^^^^
	create table  #PAYS_NDFL (ID INT IDENTITY, LINK_FACE int, LINK_PAYS int, kbk_code varchar(30), SUMMA numeric(18,2))

	INSERT INTO #PAYS_NDFL (LINK_FACE, LINK_PAYS, kbk_code, SUMMA)
	SELECT LINK_FACE, SJC.LINK_PAYS, left(kbk.CODE,30), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.PERS_LINK,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)
	GROUP BY 
		LINK_FACE, LINK_PAYS, kbk.CODE

	union all ---<<    	

	SELECT  PERS_LINK, SJC.LINK_PAYS, left(kbk.CODE,20), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.LINK_FACE,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)

	GROUP BY 
		PERS_LINK, LINK_PAYS, kbk.CODE
	ORDER BY 
		1, 2, 3

	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode1 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum1 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode2 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum2 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode3 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum3 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode4 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum4 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

END --IF @nOption1 < 3
	-------------------------------------
	update #res0
	set 	VIFNSPL =0, ZSummPL =0, UdSumPL =0, VzkIFNS =0


	DECLARE @varKSCNT INT

	SELECT @varKSCNT  = COUNT(*) FROM #RES0

	SELECT TOP 1 
		LTRIM(RTRIM(STR(@varKSCNT))) AS DOCCOUNT, 
		ISNULL(IMNS, '') AS NALOG,
		ISNULL(dd.INN, '') AS INN,
		ISNULL(KPP, '') AS KPP,
		ISNULL(OKATO, '')  AS OKATO,
		ISNULL(OKTMO, '')AS OKTMO,
		convert(varchar (254),(ISNULL(FULL_NAME, ''))) AS FULL_NAME,
		ISNULL(DOTF.PHONE, '') AS PHONE,
		ISNULL(RTRIM(FM), '') + ' ' + ISNULL(RTRIM(IM), '') + ' ' + ISNULL(RTRIM(OT), '') AS GLBUH,
		ISNULL(RTRIM(FM), '') AS FM,
		ISNULL(RTRIM(IM), '') AS IM, 
		ISNULL(RTRIM(OT), '') AS OT,
		ISNULL(RTRIM(DOTF.NAME), '') AS Dolzh,
		ISNULL(RTRIM(@r_dep_name),'') AS r_dep_name ,
		ISNULL(RTRIM(@r_dep_INN),'') AS r_dep_INN,
		ISNULL(RTRIM(@R_dep_KPP),'') AS R_dep_KPP,
		ISNULL(RTRIM(@R_NAME_SUB),'') AS R_NAME_SUB,
		ISNULL(RTRIM(@R_KPP_SUB),'') AS R_KPP_SUB,
		LTRIM(RTRIM(STR(@REORG_FORM)))  AS REORG_FORM
	INTO #DEP
	FROM 
		dbo.DICTIONARY_DEPARTMENT DD 
		LEFT OUTER JOIN dbo.DICTIONARY_OTV_FACE DOTF ON 
		DOTF.DEP_LINK = DD.LINK
		AND 
		(
			(@nCheck_CheeF = 0 and DOTF.NAME = ' ' ) 
			OR 
			(@nCheck_CheeF = 1 and DOTF.NAME = '' )
		)
		LEFT OUTER JOIN dbo.KU_EMPL_PLACING EP ON DOTF.FACE_LINK = EP.LINK
	WHERE 
		DD.link = @DEP_LINK


	CREATE TABLE #LOG(
		LINK INT, ERR INT IDENTITY, 
		NUMBER VARCHAR(20), DETAIL VARCHAR(254) )

	DECLARE @varKScInn VARCHAR(254), @varKScKPP VARCHAR(254), @varKSFULL_NAME varchar(254), 
		@varKSNALOG VARCHAR(254), @varKSOKATO VARCHAR(254), @varKSOKTMO VARCHAR(254), @varKSPHONE VARCHAR(254), 
		@varKSGLBUH VARCHAR(254), 
		@varKSRESULT BIT

	SELECT 
		@varKScInn = INN, @varKScKPP = KPP,
		@varKSFULL_NAME = FULL_NAME, 
		@varKSNALOG = NALOG, @varKSOKATO = Replace(OKATO,' ',''), @varKSOKTMO = Replace(OKTMO,' ',''),
		@varKSPHONE = PHONE, 
		@varKSGLBUH  = GLBUH
	FROM #DEP
	
	IF LEN(@varKScInn) = 0
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKScInn) <> 10 BEGIN
			INSERT INTO #LOG (LINK, NUMBER, DETAIL)
			VALUES (0, ' ', '  ')
		END
		ELSE BEGIN
			EXEC SD_CHECK_INN @varKScInn, @varKSRESULT OUTPUT, 0
			IF @varKSRESULT = -1
				INSERT INTO #LOG (LINK, NUMBER, DETAIL)
				VALUES (0, ' ', '  ')
		END
	END

	
	IF LEN(@varKScKPP) = 0
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKScKPP) <>9  BEGIN
			INSERT INTO #LOG (LINK, NUMBER, DETAIL)
			VALUES (0, ' ', '    9 ')
		END
	END

	IF LEN(@varKSNALOG) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKSNALOG) <> 4  
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '    4 ')

	END

	IF LEN(@varKSFULL_NAME) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   -')



	IF LEN(@varKSOKTMO) = 0  
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)		VALUES (0, ' ', '   ')	

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT E.PERS_LINK, '', '      ,     ' + RTRIM(P.FM) + ' ' + SUBSTRING(RTRIM(P.IM),1,1) + '.' + SUBSTRING(RTRIM(P.OT),1,1) + '.'
	FROM
		#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
		INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK
		INNER JOIN #FACES F ON F.PERS_LINK = E.PERS_LINK
		INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK
	WHERE
		LEN(O_OKTMO) = 0 
		
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT E.PERS_LINK, '', '      KPP   ,     ' + RTRIM(P.FM) + ' ' + SUBSTRING(RTRIM(P.IM),1,1) + '.' + SUBSTRING(RTRIM(P.OT),1,1) + '.'
	FROM
		#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
		INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK
		INNER JOIN #FACES F ON F.PERS_LINK = E.PERS_LINK
		INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK		
	WHERE
		LEN(O_KPP) <> 9

	IF LEN(@varKSPHONE) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')

	IF LEN(@varKSGLBUH) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT DISTINCT
		0, ' ', '         ' + LTRIM(RTRIM(ISNULL(D.SNAME,'')))
	FROM
		dbo.TAX_DEDUCTIONS TD INNER JOIN DBO.DICTIONARY_TYP_DEDUCTION D ON D.LINK = TD.LINK_DICTION
	WHERE
		TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth
		AND
		TD.LINK_DICTION NOT IN (SELECT REF_PAY FROM dbo.Salary_deductions(@END_YEAR))

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '', '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(FM, '')) = 0 AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '', '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(IM, '')) = 0 AND OSD13 > 0 

/*	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(Ot, '')) = 0 AND OSD13 > 0 
*/
/*	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT NOM_SPR, NOM_SPR,  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE dbo.IsValidINNFiz(INNFIZ) = 0
*/
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '   ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE STATUS = '' AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE GRAZD IS NULL AND OSD13 > 0 
/*
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT NOM_SPR, NOM_SPR,  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = ''
*/
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '    ,  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' and KDVD IS NULL AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '     ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND ISNULL(SERNOM, '') = '' AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '     '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND BIRTH IS NULL AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND link_adr IS NULL AND OSD13 > 0 

	SET @varKSCNT = 0
	SELECT @varKSCNT = COUNT(DISTINCT LINK) FROM #LOG WHERE LINK > 0

	UPDATE #RES0
	SET ERR = 1
	WHERE LINK_FACE IN (SELECT LINK_FACE FROM #LOG)

	/*  */  -- DED_TYPE = 1 - , 2-  
	CREATE TABLE #td (LINK_PERSON INT ,NUM_REF VARCHAR(15),DATE_REF DATETIME,IFNS_CODE VARCHAR(20),DED_TYPE TINYINT)

	IF @nOption1 < 3
	BEGIN
		INSERT INTO #td (LINK_PERSON ,NUM_REF,DATE_REF,IFNS_CODE,DED_TYPE)
		Select LINK_PERSON, 
			   NUM_REF, 
			   DATE_REF, 
			   IFNS_CODE,
			   DED_TYPE = 1 
		from dbo.TAX_DEDUCTIONS td
		where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER ='4')  )
		UNION SELECT 
			   LINK_PERSON, 
			   NUM_REF, 
			   DATE_REF, 
			   IFNS_CODE,
			   DED_TYPE = 2 
		from dbo.TAX_DEDUCTIONS td
		where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER IN('11','12','13')) )
	END	--IF @nOption1 < 3

	declare @KBK_DEFAULT varchar(254)
	Set @KBK_DEFAULT = (select Top 1 CODE_KBK from dbo.sd_empl where LINK_KBK > 0)

	UPDATE #RES0 Set kbkcode1 = @KBK_DEFAULT, kbksum1 = 0 where ISNULL(kbksum1,0) = 0

	/*  */
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '        '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 inner join  #td on #RES0.LINK_FACE = #td.LINK_PERSON 
	WHERE rtrim(ltrim(ISNULL(NUM_REF,''))) = '' or rtrim(ltrim(ISNULL(IFNS_CODE,''))) = '' or DATE_REF is null AND OSD13 > 0 

	CREATE TABLE #RES_OUT (ID INT,LINK_FACE INT,mes INT,LINK_INC INT,CODE_INC VARCHAR(4),SUMMA_INC NUMERIC(18,2),LINK_DED INT,CODE_DED VARCHAR(3),SUMMA_DED NUMERIC(18,2),ID2 INT)

	INSERT INTO #RES_OUT (ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2)
	SELECT ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2 = 0 
	FROM #PAYS_0 
	ORDER BY LINK_FACE, MES, CODE_INC
	
	---
	CREATE TABLE #RES_OUT_ORD (NUM_PP INT IDENTITY(1,1), ID INT, LINK_FACE INT)
	INSERT INTO #RES_OUT_ORD (ID, LINK_FACE)
	SELECT ID, LINK_FACE FROM #PAYS_0 ORDER BY LINK_FACE, MES, CODE_INC
	--
	CREATE TABLE #RES_OUT_ORD2 (LINK_FACE INT, MIN_NUM INT)
	INSERT INTO #RES_OUT_ORD2 (LINK_FACE, MIN_NUM)
	SELECT LINK_FACE, MIN(NUM_PP) FROM #RES_OUT_ORD GROUP BY LINK_FACE
	---   
	UPDATE R
	SET R.ID2 = O.NUM_PP - O2.MIN_NUM + 1
	FROM 
		#RES_OUT R 
		INNER JOIN #RES_OUT_ORD O ON O.ID = R.ID
		INNER JOIN #RES_OUT_ORD2 O2 ON O2.LINK_FACE = R.LINK_FACE

	CREATE TABLE #ORDERS (ID int)
	DECLARE @SQL VARCHAR(1000)
	SET @SQL = 'ALTER TABLE #ORDERS ADD [NOM_SPR] INT IDENTITY(' + RTRIM(str(ISNULL(@varKSnFirstNum,1))) + ',1)'
	EXEC(@SQL)

	INSERT INTO #ORDERS (ID) 
	SELECT DISTINCT ID 
	FROM #RES0 
	WHERE LINK_FACE IN ( Select DISTINCT LINK_FACE from #RES_OUT where [ID2]%2 = 1 )
			--AND ISNULL(OSD13,0) > 0
	ORDER BY ID

	--UPDATE #ORDERS SET NOM_SPR = NOM_SPR + @varKSnFirstNum - 1

	---   
	UPDATE #DEP SET DOCCOUNT = ISNULL((SELECT MAX(NOM_SPR) FROM #ORDERS),0)

	-------------------
	SELECT 
		R.ID, O.NOM_SPR, r.nKorr, R.LINK_FACE, R.SEX, R.INNFIZ, R.NUMB_SERT, R.STATUS, 
		R.FIO, R.FM, R.IM, R.OT, R.KDVD, R.SERNOM, R.BIRTH, R.GRAZD, R.KSTR, 
		R.LINK_ADR, R.IND_ADR, R.REGION, R.RAION, R.GOROD, R.NASEL, R.STREET, 
		R.HOUSE, R.KORP, R.FLAT, R.KSTR_ino, R.Adr_ino, 
		R.ksv1, R.ssv1, R.ksv2, R.ssv2, R.ksv3, R.ssv3, R.ksv4, R.ssv4, R.ksv5, R.ssv5, R.ksv6, R.ssv6, 
		R.ksv7, R.ssv7, R.ksv8, R.ssv8, R.ksv9, R.ssv9, R.ksv10, R.ssv10, R.ksv11, R.ssv11, R.ksv12, R.ssv12, 
		R.ssv, R.siv, R.osd13, R.sdo13, R.nalogn13, R.nalogu13, R.nalog13s, R.err, R.S_5_6, R.S_5_7, R.dolg_np, R.dolg_na, 
		R.kbkcode1, R.kbkcode2, R.kbkcode3, R.kbkcode4, R.kbksum1, R.kbksum2, R.kbksum3, R.kbksum4, 
		R.VIFNSPL, R.ZSummPL, R.UdSumPL, R.VzkIFNS, 
		ndoc_td = td1.NUM_REF , --   
		ddoc_td = td1.DATE_REF,
		ifnsdoc_td = td1.ifns_code,
		nDoc_SD = td2.NUM_REF, --    
		dDoc_SD = td2.DATE_REF,
		ifnsdoc_sd = td2.ifns_code,
		nalog	= @varKSNALOG,
		KPP1 = ISNULL(R.O_KPP,@varKScKPP),
		OKATO1 = replace(ISNULL(R.O_OKATO,@varKSOKATO),' ',''),
		OKATO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKATO else '' end),
		OKATO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKATO else '' end),
		OKATO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKATO else '' end),
		OKTMO1 = replace(ISNULL(R.O_OKATO,@varKSOKTMO),' ',''),
		OKTMO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKTMO else '' end),
		R.R_DEP_NAME,
		R.R_DEP_INN,
		R.R_DEP_KPP,
		R.R_NAME_SUB,
		R.R_KPP_SUB,
		R.REORG_FORM,
		T.M1, T.CINC1, T.SINC1, T.CDED1, T.SDED1, T.M2, T.CINC2, T.SINC2, T.CDED2, T.SDED2,
		td1.LINK_PERSON/*, #td.NUM_REF, #td.DATE_REF, #td.IFNS_CODE*/
	FROM #RES0 R 
		INNER JOIN #ORDERS O ON O.ID = R.ID
		INNER JOIN ( 
			Select	T1.LINK_FACE, M1= T1.MES, CINC1= T1.CODE_INC, SINC1= T1.SUMMA_INC, CDED1= T1.CODE_DED, SDED1= T1.SUMMA_DED, M2= T2.MES, CINC2= T2.CODE_INC, SINC2= T2.SUMMA_INC, CDED2= T2.CODE_DED, SDED2= T2.SUMMA_DED
			from	(Select * from #RES_OUT where [ID2]%2 = 1) T1 left join (Select * from #RES_OUT where [ID2]%2 = 0) T2 on T1.link_FACE = T2.LINK_FACE AND T1.[ID2] = (T2.[ID2]-1)
		) T on R.LINK_FACE = T.LINK_FACE
		LEFT OUTER JOIN   #td td1 on R.LINK_FACE = td1.LINK_PERSON AND td1.DED_TYPE = 1 /* */
		LEFT OUTER JOIN   #td td2 on R.LINK_FACE = td2.LINK_PERSON AND td2.DED_TYPE = 2 /* */
	--where OSD13 > 0 
	ORDER BY O.NOM_SPR, T.M1, T.CINC1, T.M2, T.CINC2

	---
	SELECT *, CAST(  (CAST (DOCCOUNT AS INT) - @varKSCNT) AS VARCHAR(254) ) AS DOCCOUNT2 FROM #DEP 
	---	

	UPDATE L SET
		NUMBER = O.NOM_SPR
	FROM 
		#LOG L
		INNER JOIN #RES0 R ON L.LINK = R.LINK_FACE
		INNER JOIN #ORDERS O ON O.ID = R.ID
	
	SELECT * FROM #LOG ORDER BY LINK, ERR
	---
	EXEC dbo.BufferClear

	DROP TABLE #E_SUBDIV
	DROP TABLE #S_OBOSOB
	DROP TABLE #P_OBOSOB	
	DROP TABLE #LOG	
	DROP TABLE #RES0	
	DROP TABLE #ORDERS				
	
END


GO


GRANT EXECUTE ON dbo.[SD_REP_2NDFL] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 10117.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_REP_2NDFL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_REP_2NDFL]

GO

CREATE PROCEDURE dbo.SD_REP_2NDFL
	@varKScYear varchar(4),			
	@varKSnFirstNum INT,	
	@nCHECK_S int = 0,					   /*    */
	@nSumm_For_Check numeric(18,2) = null, /*    */			
	@varKScVal1 char(1), @varKSnOtborLink1 int,	
	@varKScVal2 char(1), @varKSnOtborLink2 int,
	@nLinkEmpl int = 0,
	@nMonth int = 12,
	@LINK_PERS INT = NULL,
	@nCheck_CheeF int = 0,
	@nOption1 int = 1, /*   1 - , 2 - , 3 -  */
	@nKOrr VARCHAR(2) /*   */,
	@nSel_REORG int = null	/*    */
AS BEGIN


SET NOCOUNT ON

	Set @nMonth = ISNULL(@nMonth,12)

	DECLARE @varKSnYear INT
	SET @varKSnYear = CAST(@varKScYear AS INT)

	DECLARE @BEGIN_YEAR DATETIME, @END_YEAR DATETIME
	SET @BEGIN_YEAR = dbo.ConvertDMY2Date(1,1,@varKSnYear)
	SET @END_YEAR = dbo.DateEndOfYear(@BEGIN_YEAR)

	declare @DEP_LINK INT, @R_dep  INT , @R_SUB INT, @r_dep_name VARCHAR(254), @r_dep_INN VARCHAR(12), @R_DEP_KPP VARCHAR(9) ,
		    @R_NAME_SUB VARCHAR(254), @R_KPP_SUB VARCHAR(9) , @F_CODE VARCHAR(50), @REORG_FORM TINYINT 
	
	exec dbo.xd_whats_zb @DEP_LINK OUTPUT
	
	

	SELECT @R_dep = R_dep_link,
		   @r_dep_name = r_dep_name, 
		   @r_dep_INN = r_dep_INN, 
		   @R_DEP_KPP = R_DEP_KPP,
		   @R_NAME_SUB = R_NAME_SUB,
		   @R_KPP_SUB = R_KPP_SUB, 
		   @R_SUB = r_sub  , 
		   @F_CODE = F_CODE,
		   @REORG_FORM = REORG_FORM 
	FROM DICT_REORGANIZATION WHERE link =  isnull(@nSel_REORG,0)

	CREATE TABLE #RES0 (
		ID INT IDENTITY,
		NOM_SPR INT,
		nKorr VARCHAR(2),
		LINK_FACE INT,
		SEX INT,
		INNFIZ VARCHAR(20),
		NUMB_SERT VARCHAR(20),
		STATUS VARCHAR(1),
		FIO VARCHAR(254),
		FM VARCHAR(254),
		IM VARCHAR(254),
		OT VARCHAR(254),
		KDVD VARCHAR(4),
		SERNOM VARCHAR(254), 
		BIRTH DATETIME,
		GRAZD VARCHAR(3),
		KSTR VARCHAR(3),
		LINK_ADR INT,
		IND_ADR VARCHAR(10),
		REGION VARCHAR(4),
		RAION VARCHAR(254),
		GOROD VARCHAR(254),
		NASEL VARCHAR(254),
		STREET VARCHAR(254),
		HOUSE VARCHAR(20),
		KORP VARCHAR(10),
		FLAT VARCHAR(10),

		KSTR_ino VARCHAR(3),
		Adr_ino VARCHAR(200),

		O_OKATO VARCHAR(14),
		O_OKTMO VARCHAR(11),
		O_KPP VARCHAR(9),	
		r_dep_name VARCHAR(254),
		r_dep_INN VARCHAR(12), 
		R_DEP_KPP VARCHAR(9) ,
		R_NAME_SUB VARCHAR(254),
		R_KPP_SUB VARCHAR(9) ,
		F_CODE VARCHAR(50),	
		REORG_FORM TINYINT,

		ksv1 varchar(3), ssv1 numeric(11,2),
		ksv2 varchar(3), ssv2 numeric(11,2),
		ksv3 varchar(3), ssv3 numeric(11,2),
		ksv4 varchar(3), ssv4 numeric(11,2),
		ksv5 varchar(3), ssv5 numeric(11,2),
		ksv6 varchar(3), ssv6 numeric(11,2),
		ksv7 varchar(3), ssv7 numeric(11,2),
		ksv8 varchar(3), ssv8 numeric(11,2),
		ksv9 varchar(3), ssv9 numeric(11,2),
		ksv10 varchar(3), ssv10 numeric(11,2),
		ksv11 varchar(3), ssv11 numeric(11,2),
		ksv12 varchar(3), ssv12 numeric(11,2),
		ssv numeric(11,2), siv numeric(11,2),
		osd13 numeric(11,2), sdo13 numeric(11,2), 
		nalogn13 numeric(18), nalogu13 numeric(18),
		NALOG13S numeric(18),
		err int,
		S_5_6 NUMERIC(18,2), S_5_7 NUMERIC(18,2),		
		dolg_np numeric(8), dolg_na numeric(8),
		kbkcode1 varchar(30), kbkcode2 varchar(30), kbkcode3 varchar(30), kbkcode4 varchar(30), 
		kbksum1 numeric(18,2), kbksum2 numeric(18,2),kbksum3 numeric(18,2),kbksum4 numeric(18,2),
		VIFNSPL numeric(18,2),
		ZSummPL numeric(18,2),
		UdSumPL numeric(18,2),
		VzkIFNS numeric(18,2)

	)	


	CREATE TABLE #FACES (LINK int,PERS_LINK int)

	IF @nLinkEmpl = 0
	BEGIN

		--         ,  @DEP_LINK  @SUBDIV      
		DECLARE @SUBDIV TABLE (LINK INT)
		
		--IF isnull(@R_dep,0) <> 0 
		--	set	@DEP_LINK = @R_dep
		IF isnull(@r_SUB,0) <> 0 BEGIN
			DELETE from	@SUBDIV 
			INSERT INTO @SUBDIV (LINK)
			select link = @r_SUB	
		END

		IF (len(@varKScVal1) = 0) AND (len(@varKScVal2) = 0 )
			IF @R_SUB IS null
			BEGIN 
				INSERT INTO #FACES
				SELECT distinct PERS_LINK,PERS_LINK FROM dbo.sd_empl WHERE DEP_LINK = isnull(@R_dep,@DEP_LINK)  --AND dbo.ku_GetEmplSack(link,default) = 0
			END  
			ELSE BEGIN
			         INSERT INTO #FACES
			         SELECT distinct PERS_LINK,PERS_LINK FROM dbo.sd_empl WHERE DEP_LINK =  isnull(@R_dep,@DEP_LINK) AND SUBDIV_LINK IN (SELECT LINK FROM @SUBDIV)  --AND dbo.ku_GetEmplSack(link,default) = 0	
			END 
		ELSE 
			if len(@varKScVal1) <> 0
			BEGIN
				IF @R_SUB IS null
				BEGIN 
					INSERT INTO #FACES 
					SELECT distinct Min(RECORD),E.PERS_LINK 
					FROM dbo.EMPL E INNER JOIN dbo.OBJECT_VAR_EMPL OVE ON OVE.RECORD = E.LINK
					WHERE LINK_UP = @varKSnOtborLink1 
					GROUP BY E.PERS_LINK
				END 
				ELSE BEGIN
						 INSERT INTO #FACES 
						 SELECT distinct Min(RECORD),E.PERS_LINK 
						 FROM dbo.SD_EMPL E INNER JOIN dbo.OBJECT_VAR_EMPL OVE ON OVE.RECORD = E.LINK
						 WHERE LINK_UP = @varKSnOtborLink1
						 AND  e.DEP_LINK =  isnull(@R_dep,@DEP_LINK)  AND e.SUBDIV_LINK IN (SELECT LINK FROM @SUBDIV)
						 GROUP BY E.PERS_LINK
				END  	
			END
			IF (len(@varKScVal1) = 0) AND (len(@varKScVal2) = 0 )
			BEGIN
				IF @R_SUB IS NULL 
					INSERT INTO #FACES
					SELECT distinct PERS_LINK,PERS_LINK FROM dbo.SALARY_REESTR_DGH WHERE DEP_LINK = isnull(@R_dep,@DEP_LINK) 
						AND PERS_LINK NOT IN (SELECT PERS_LINK FROM #FACES)
				 		
			END
			ELSE BEGIN	
				IF len(@varKScVal2) <> 0
					INSERT INTO #FACES 
					SELECT distinct Min(RECORD), P.LINK 
					FROM dbo.PERSON P INNER JOIN dbo.OBJECT_VAR_PERSON OVE ON OVE.RECORD = P.LINK  
					WHERE LINK_UP = @varKSnOtborLink2 AND P.LINK NOT IN (SELECT PERS_LINK FROM #FACES)
					GROUP BY P.LINK
					
			END
			
	END


	IF @nLinkEmpl > 0
	BEGIN
		INSERT INTO #FACES
		SELECT distinct LINK,PERS_LINK FROM dbo.empl WHERE LINK = @nLinkEmpl and DEP_LINK = isnull(@R_dep,@DEP_LINK) 
	END
		
	IF @nLinkEmpl IS NULL
		INSERT INTO #FACES (LINK, PERS_LINK)
		VALUES (0, @LINK_PERS)



	-----------------------------
	delete from dbo.SAL_DED_MONTH
	where 
	YEAR(DATE_DED) = @varKSnYear
	AND
	Month(DATE_DED) <= @nMonth
	AND
	LINK_EMPL IN (Select EM.LINK from dbo.EMPL EM INNER JOIN #FACES F on EM.PERS_LINK = F.PERS_LINK)
	AND
	LINK IN 
	(
		select D.LINK 
		from dbo.SAL_DED_MONTH D inner join dbo.empl E on D.link_empl = E.link
		where YEAR(D.DATE_DED) = @varKSnYear AND Month(D.DATE_DED) <= @nMonth
		and not exists (Select * from dbo.CALCULATE_JURNAL JC where YEAR(JC.PERIOD_BEGIN) = @varKSnYear AND Month(JC.PERIOD_BEGIN) <= @nMonth AND JC.LINK_EMPL = E.LINK AND JC.LINK_VKR = D.LINK_VKR)
	)

	-----------------------------	

	EXEC dbo.BufferClear
	EXEC dbo.BufferPushTable '#faces', 'REP2NDFL', 'pers_link'

	/* */
	Declare @isPrevPreiod tinyint
	--        ,     .                   
	Set @isPrevPreiod = dbo.sa_get_option_by_code('NDFL_OPT6')

	create table #S_J_C_SHORT (LINK_FACE int,PERS_LINK int, link_empl int, link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), link_inc int, period_begin datetime, date1 datetime, link_dep int)

	IF @nOption1 < 3
	BEGIN
		
		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep)
		Select 
			E.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, 
			P.LINK, link_vkr, ISNULL(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, summa, P.LINK_INC,
			period_begin = (case when @isPrevPreiod = 0 then JC.period_begin 
					else (Case 
							when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
							then JC.DATE_BEGIN else JC.period_begin 
						end) 
					end),
			JC.DATE_BEGIN,
			JC.LINK_DEP
		from 
			dbo.CALCULATE_JURNAL JC 
			INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS
			LEFT JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK 
			LEFT JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
			LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
		where
			(
					(@isPrevPreiod = 0 or ISNULL(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and @nMonth >= month(JC.PERIOD_BEGIN) and @varKSnYear = year(JC.PERIOD_BEGIN)
					or 
					@isPrevPreiod = 1 and ISNULL(d.code,'') = 'DOCUMENTS_ADD_TABEL'
					and (@nMonth >= month(JC.DATE_BEGIN) or @nMonth >= month(JC.PERIOD_BEGIN) )
					and (@varKSnYear = year(JC.DATE_BEGIN) or @varKSnYear = year(JC.PERIOD_BEGIN) )

				)
			AND  
				(	-->>NEW
				E.PERS_LINK in (select PERS_LINK from #FACES )
				or
				JC.PERS_LINK in (select PERS_LINK from #FACES )
				)	
			AND JC.LINK_DEP = isnull(@R_dep,@DEP_LINK) 
		union all --
		Select LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep
		from dbo.S_J_C_SHORT SJC 
			LEFT JOIN DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC 
		where 
			SJC.LINK_DEP =isnull(@R_dep,@DEP_LINK) 
			and
			(
				SJC.LINK_FACE in (select PERS_LINK from #FACES )
				or
				SJC.PERS_LINK in (select PERS_LINK from #FACES )
			)
			and YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
			and Month(SJC.PERIOD_BEGIN) <= @nMonth
			and TYP_OPER = 2
			
	END --IF @nOption1 < 3
	ELSE
	BEGIN

		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_dep)
		Select 
			F.PERS_LINK, F.PERS_LINK, E.LINK, @DEP_LINK
		FROM
			#FACES F
			LEFT JOIN dbo.EMPL E ON F.LINK = E.LINK
	END
	
-----------------------------------------------------------
--  
DECLARE @DATE DATETIME
SET @DATE = DBO.ConvertDMY2Date(1,@nMonth, @varKSnYear)
SET @DATE = DBO.DateEndOfMonth(@DATE)

CREATE TABLE #E_SUBDIV (EMPL_LINK INT, SUBDIV_LINK INT)

IF @nLinkEmpl > 0
BEGIN
	INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
	SELECT EMPL_LINK, SUBDIV_LINK
	FROM DBO.SA_EMPLS_INFO(@DATE, @nLinkEmpl)
	WHERE [STATUS] = 1 OR [STATUS] = 3	
END
ELSE 
	BEGIN
		INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
		SELECT EMPL_LINK, SUBDIV_LINK
		FROM DBO.SA_EMPLS_INFO(@DATE,DEFAULT)
		WHERE [STATUS] = 1 OR [STATUS] = 3	
	END	

CREATE TABLE #S_OBOSOB (SUBDIV_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #S_OBOSOB (SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP)
SELECT SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP 
FROM [dbo].SUBDIVISION(@DATE) 
WHERE OBOSOB = 1

CREATE TABLE #P_OBOSOB (PERS_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #P_OBOSOB(PERS_LINK, O_OKATO, O_OKTMO, O_KPP)
SELECT E.PERS_LINK, SO.O_OKATO , SO.O_OKTMO, SO.O_KPP 
FROM 
	#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
	INNER JOIN  DBO.EMPL E ON   E.LINK = ES.EMPL_LINK

-----------------------------------------------------------
	INSERT INTO #RES0 (
		LINK_FACE,
		SEX,
		INNFIZ, --NALOG,
		NUMB_SERT,
		STATUS,
		FIO,
		FM, IM, OT,
		KDVD,
		SERNOM, 
		BIRTH,
		GRAZD,
		KSTR,
		LINK_ADR,
		IND_ADR,
		REGION,
		RAION,
		GOROD,
		NASEL,
		STREET,
		HOUSE,
		KORP,
		FLAT, 
		KSTR_ino,
		Adr_ino,
		ERR,
		O_OKATO,
		O_OKTMO,
		O_KPP,
		r_dep_name ,
		r_dep_INN , 
		R_DEP_KPP ,
		R_NAME_SUB ,
		R_KPP_SUB ,
		F_CODE 	,
		REORG_FORM
	)

	SELECT 	distinct 
		P.LINK, P.SEX, P.INN, /*P.IFNS,*/ P.INSUR_NUM, 
		CASE 
			WHEN P.RESIDENT  IS NULL THEN ''
			WHEN P.RESIDENT = 1 THEN '1'
			WHEN P.RESIDENT = 0 THEN '2'
		END,
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT),
		RTRIM(P.FM), RTRIM(P.IM), RTRIM(P.OT),
		[KDVD] = (SELECT TOP 1 CODE FROM FACE_DOCUMENT WHERE LINK = P.DOC_LINK),
		P.DOC_NUM,
		P.BIRTHDATE,
		GRAZD= (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK),
		KSTR= (case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then '643' else '' END),
		ADR.LINK_ADDR,
		ADR.IND_ADR,
		ADR.REGION,
		ADR.RAION,
		ADR.GOROD,
		ADR.NASEL,
		ADR.STREET,
		ADR.HOUSE,
		ADR.KORP,
		ADR.FLAT,
		KSTR_ino = '',
		Adr_ino = '',
		0,
		PO.O_OKATO,
		PO.O_OKTMO,
		PO.O_KPP,
		@r_dep_name,
		@r_dep_INN, 
		@R_DEP_KPP ,
		@R_NAME_SUB ,
		@R_KPP_SUB,
		@F_CODE	,
		@REORG_FORM
	FROM 
		#FACES F 
		INNER JOIN PERSON P ON P.LINK = F.PERS_LINK
		INNER JOIN (SELECT LINK_FACE from #S_J_C_Short SJC where LINK_FACE is not null
			 		UNION 
			 		SELECT LINK_FACE= PERS_LINK from #S_J_C_Short SJC where PERS_LINK is not null) J on P.LINK = J.LINK_FACE
		LEFT OUTER JOIN dbo.NDFL_GET_ADDRESS() ADR ON P.LINK = ADR.LINK_FACE
		LEFT JOIN #P_OBOSOB PO ON PO.PERS_LINK = F.PERS_LINK 
	ORDER BY 
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT)

	CREATE TABLE #PAYS_0
	(
		ID INT IDENTITY,
		LINK_FACE INT, 
		mes int, 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)
	

	
	select distinct LINK_FACE, Y = year(PERIOD_BEGIN), M = month(PERIOD_BEGIN),  LINK_INC, LINK_VKR  
	into #spr_pays_kbk
	from 	#S_J_C_SHORT where TYP_OPER = 1
	

	CREATE TABLE #PAYS_0_tmp
	(
		ID INT IDENTITY,
		LINK_FACE INT,
		mes int, 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)


IF @nOption1 < 3
BEGIN

	INSERT INTO #PAYS_0_tmp
	(LINK_FACE, mes, 
	LINK_INC, CODE_INC, SUMMA_INC,
	LINK_DED, CODE_DED, SUMMA_DED)
	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM 
		#S_J_C_SHORT SJC 
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.LINK_FACE = F.PERS_LINK
	WHERE 
		SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.PERS_LINK,0) = 0
		AND
		SJC.LINK_DEP = isnull(@R_dep,@DEP_LINK) 
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED

	---<<    	
	union all 

	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM #S_J_C_SHORT SJC 	
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC --AND DTI.SNAME <> '0000'
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 	SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.LINK_FACE,0) = 0
		AND
		SJC.LINK_DEP = isnull(@R_dep,@DEP_LINK) 
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED
	ORDER BY 
		1, ISNULL(DTI.SNAME,'0000'), COD_DED

	INSERT INTO #PAYS_0
	Select LINK_FACE, mes, LINK_INC, CODE_INC, sum(SUMMA_INC), LINK_DED, CODE_DED, sum(SUMMA_DED)
	from #PAYS_0_tmp
	group by LINK_FACE, mes, LINK_INC, CODE_INC, LINK_DED, CODE_DED
	having Sum(SUMMA_INC) <> 0

	drop table #PAYS_0_tmp
	
END
ELSE
BEGIN

	INSERT INTO #PAYS_0
	Select PERS_LINK, 0, NULL, NULL, 0, NULL, NULL, 0 FROM #FACES
	
END

	
IF @nOption1 < 3
BEGIN
	---->>
	--
	SELECT D.LINK_FACE, D.mes, SUM(D.SUMMA) as SUMMA, D.REF_DED INTO #DED 
	FROM 
		dbo.SA_NDFL_MONTH_DED_ALL(@varKSnYear) D 
		inner join #spr_pays_kbk kbk on kbk.LINK_FACE = d.LINK_FACE and kbk.m = d.mes and kbk.link_inc = d.REF_INC and kbk.LINK_VKR = d.LINK_VKR
	where 
		kbk.y = @varKSnYear
		and kbk.m <= @nMonth
	GROUP BY 
		D.LINK_FACE, d.mes, d.REF_DED

	UPDATE #PAYS_0
	SET SUMMA_DED = 
		(SELECT SUM(SUMMA) FROM #DED D WHERE D.LINK_FACE = R.LINK_FACE AND D.REF_DED = R.LINK_DED AND D.mes = R.mes ) 
	FROM #PAYS_0 R 
	WHERE LINK_DED IS NOT NULL


	update #PAYS_0 
		Set CODE_DED = ''
		where ISNULL(SUMMA_DED,0) = 0


	CREATE TABLE #P0 (LINK_FACE INT, ID1 INT)

	--- 1

	CREATE TABLE #PAYS1(LINK_FACE INT, SM NUMERIC(11,2), MONTH_NUM INT)
	INSERT INTO #PAYS1
	SELECT LINK_FACE, SM, [MONTH]
	FROM dbo.NDFL_BASE_SUM_TAX_MONTH_ALL_BYDEP(@nMonth, @varKSnYear,isnull(@R_dep,@DEP_LINK))

	---<<    
	insert into #pays1

	SELECT 
		F.PERS_LINK,
		SUM(SUMMA) AS SUMMA_INC,
		Month(SJC.PERIOD_BEGIN)
	FROM 
		#S_J_C_SHORT SJC 
		INNER JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND ISNULL(SJC.LINK_FACE,0) = 0
		AND SJC.LINK_DEP = isnull(@R_dep,@DEP_LINK) 
	GROUP BY F.PERS_LINK, SJC.PERIOD_BEGIN

	---->>

	SELECT LINK_FACE, SUM(SM) AS SM
	INTO #PAYS_R
	FROM #PAYS1
	GROUP BY LINK_FACE

	INSERT INTO #PAYS1
	SELECT 
		EP.PERS_LINK, -SUM(SUMMA), MONTH(DATE_DED)
	FROM    
		dbo.empl EP 
		inner join SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND [TYPE] = 2)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
	where 
		EP.DEP_LINK = isnull(@R_dep,@DEP_LINK) 
	GROUP BY 
		EP.PERS_LINK, MONTH(DATE_DED)

	CREATE TABLE #PAYS3(ID INT IDENTITY, LINK_FACE INT, LINK_DED INT, CODE_DED VARCHAR(6), SUMMA NUMERIC(18,2), SUMMA_FAKT NUMERIC(18,2))
	--     
	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.empl EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BEGIN_YEAR) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = isnull(@R_dep,@DEP_LINK) 	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.REESTR_DGH EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_DGH AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND S.[TYPE] = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BEGIN_YEAR) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = isnull(@R_dep,@DEP_LINK) 	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE


	--UPDATE #PAYS3
	--SET
	--	SUMMA = (Select sum(SUM_DED) from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	
	--where
	--	exists (Select * from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	


	UPDATE #PAYS3
	SET
		SUMMA = ISNULL(SUMMA_FAKT,0)
	where
		ISNULL(SUMMA,0) = 0

	--  (,     .)
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, SUM(S.SUMMA), SUM(S.SUMMA) 
	FROM 
		dbo.EMPL EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
	where 
		T.NUMBER NOT IN (	1, --
							6 --    
							)
		AND			
		EP.DEP_LINK = isnull(@R_dep,@DEP_LINK) 	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

	--   . 
	update #RES0
	Set siv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = isnull(@R_dep,@DEP_LINK)  AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0),
		ssv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED NOT IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = isnull(@R_dep,@DEP_LINK)  AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0)		

	from #RES0 R
	

	--
	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV1 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV1 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV2 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV2 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV3 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV3 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV4 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV4 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV5 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV5 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV6 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV6 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV7 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV7 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV8 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV8 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV9 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV9 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV10 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV10 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV11 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV11 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV12 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV12 = (SELECT top 1 P00.SUMMA_FAKT FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	UPDATE #RES0 SET OSD13 = (SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE) FROM #RES0 R

	----
	UPDATE #RES0 SET SDO13 = OSD13 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE

	-----
	UPDATE #RES0 SET SDO13 = 0 WHERE SDO13 < 0

	CREATE TABLE #NDFL_TAX(LINK_TAX INT)
	INSERT INTO #NDFL_TAX
	SELECT LINK FROM PAYS P WHERE P.OBJECT = 2 AND P.WAY_CALC = 4

	Create table #NDLF13_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF13 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF13_tmp (LINK, SUMMA)
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  
	WHERE 
		YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY 
		B.LINK
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY B.LINK

	insert into #NDLF13 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF13_tmp group by LINK
	
	drop table #NDLF13_tmp
	--->>

	UPDATE #RES0 SET NALOGU13 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF13 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN13 = SDO13 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX WHERE TARIF = 1)
								ELSE 0.30 END)
	--     
	DECLARE @SUMMA_PLAT_ALL NUMERIC(18,2)
		
	IF @nCHECK_S = 0
		BEGIN
			SET @SUMMA_PLAT_ALL =  @nSumm_For_Check 	
		END
	ELSE
		BEGIN 
			EXEC dbo.SA_NDFL_PLAT @BEGIN_YEAR, @DATE, @DEP_LINK, @SUMMA_PLAT_ALL OUT
		END 
	
	--     
	DECLARE @SUMMA_NACH_ALL NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL @BEGIN_YEAR, @DATE, @DEP_LINK, @SUMMA_NACH_ALL OUT
	--  	
	UPDATE #RES0 SET NALOG13S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL > 0 THEN (NALOGU13	/ @SUMMA_NACH_ALL) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG13S = CASE WHEN NALOG13S > NALOGU13 THEN NALOGU13 ELSE NALOG13S END

	UPDATE #RES0 SET NOM_SPR = ID + @varKSnFirstNum - 1
	
	UPDATE #RES0 SET NKORR = CASE WHEN @nOption1 = 2 THEN (case when len(left(ltrim(rtrim(@nKOrr)),2)) = 1 THEN '0'+ltrim(rtrim(@nKOrr)) ELSE  left(ltrim(rtrim(@nKOrr)),2) END ) 
								  WHEN  @nOption1 = 1 THEN '00' 
								  WHEN @nOption1 =3 THEN '99' end

	--- /      
	UPDATE A SET 
		S_5_6 = (CASE WHEN R.NDFL > 0 THEN R.NDFL ELSE 0 END),
		S_5_7 = (CASE WHEN R.NDFL <= 0 THEN - R.NDFL ELSE 0 END)
	FROM
		#RES0 A INNER JOIN 
		(SELECT E.PERS_LINK, NDFL = SUM(SR.NDFL) FROM dbo.SAL_REMAIN SR INNER JOIN dbo.EMPL E ON E.LINK = SR.LINK_EMPL WHERE SR.YEAR_SAL = @varKSnYear GROUP BY E.PERS_LINK) R 
			ON R.PERS_LINK = A.LINK_FACE
	--	
	UPDATE #RES0 SET DOLG_NP = CASE WHEN NALOGN13 - NALOGU13 > 0 THEN NALOGN13 - NALOGU13 ELSE 0 END - ISNULL(S_5_6,0)
	UPDATE #RES0 SET DOLG_NA = CASE WHEN NALOGU13 - NALOGN13 > 0 THEN NALOGU13 - NALOGN13 ELSE 0 END - ISNULL(S_5_7,0)

	--^^^^^^^^^   ^^^^^^^^^^
	create table  #PAYS_NDFL (ID INT IDENTITY, LINK_FACE int, LINK_PAYS int, kbk_code varchar(30), SUMMA numeric(18,2))

	INSERT INTO #PAYS_NDFL (LINK_FACE, LINK_PAYS, kbk_code, SUMMA)
	SELECT LINK_FACE, SJC.LINK_PAYS, left(kbk.CODE,30), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.PERS_LINK,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)
	GROUP BY 
		LINK_FACE, LINK_PAYS, kbk.CODE

	union all ---<<    	

	SELECT  PERS_LINK, SJC.LINK_PAYS, left(kbk.CODE,20), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.LINK_FACE,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)

	GROUP BY 
		PERS_LINK, LINK_PAYS, kbk.CODE
	ORDER BY 
		1, 2, 3

	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode1 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum1 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode2 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum2 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode3 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum3 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode4 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum4 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

END --IF @nOption1 < 3
	-------------------------------------
	update #res0
	set 	VIFNSPL =0, ZSummPL =0, UdSumPL =0, VzkIFNS =0


	DECLARE @varKSCNT INT

	SELECT @varKSCNT  = COUNT(*) FROM #RES0

	SELECT TOP 1 
		LTRIM(RTRIM(STR(@varKSCNT))) AS DOCCOUNT, 
		ISNULL(IMNS, '') AS NALOG,
		ISNULL(dd.INN, '') AS INN,
		ISNULL(KPP, '') AS KPP,
		ISNULL(OKATO, '')  AS OKATO,
		ISNULL(OKTMO, '')AS OKTMO,
		convert(varchar (254),(ISNULL(FULL_NAME, ''))) AS FULL_NAME,
		ISNULL(DOTF.PHONE, '') AS PHONE,
		ISNULL(RTRIM(FM), '') + ' ' + ISNULL(RTRIM(IM), '') + ' ' + ISNULL(RTRIM(OT), '') AS GLBUH,
		ISNULL(RTRIM(FM), '') AS FM,
		ISNULL(RTRIM(IM), '') AS IM, 
		ISNULL(RTRIM(OT), '') AS OT,
		ISNULL(RTRIM(DOTF.NAME), '') AS Dolzh,
		ISNULL(RTRIM(@r_dep_name),'') AS r_dep_name ,
		ISNULL(RTRIM(@r_dep_INN),'') AS r_dep_INN,
		ISNULL(RTRIM(@R_dep_KPP),'') AS R_dep_KPP,
		ISNULL(RTRIM(@R_NAME_SUB),'') AS R_NAME_SUB,
		ISNULL(RTRIM(@R_KPP_SUB),'') AS R_KPP_SUB,
		LTRIM(RTRIM(STR(@REORG_FORM)))  AS REORG_FORM
	INTO #DEP
	FROM 
		dbo.DICTIONARY_DEPARTMENT DD 
		LEFT OUTER JOIN dbo.DICTIONARY_OTV_FACE DOTF ON 
		DOTF.DEP_LINK = DD.LINK
		AND 
		(
			(@nCheck_CheeF = 0 and DOTF.NAME = ' ' ) 
			OR 
			(@nCheck_CheeF = 1 and DOTF.NAME = '' )
		)
		LEFT OUTER JOIN dbo.KU_EMPL_PLACING EP ON DOTF.FACE_LINK = EP.LINK
	WHERE 
		DD.link = @DEP_LINK


	CREATE TABLE #LOG(
		LINK INT, ERR INT IDENTITY, 
		NUMBER VARCHAR(20), DETAIL VARCHAR(254) )

	DECLARE @varKScInn VARCHAR(254), @varKScKPP VARCHAR(254), @varKSFULL_NAME varchar(254), 
		@varKSNALOG VARCHAR(254), @varKSOKATO VARCHAR(254), @varKSOKTMO VARCHAR(254), @varKSPHONE VARCHAR(254), 
		@varKSGLBUH VARCHAR(254), 
		@varKSRESULT BIT

	SELECT 
		@varKScInn = INN, @varKScKPP = KPP,
		@varKSFULL_NAME = FULL_NAME, 
		@varKSNALOG = NALOG, @varKSOKATO = Replace(OKATO,' ',''), @varKSOKTMO = Replace(OKTMO,' ',''),
		@varKSPHONE = PHONE, 
		@varKSGLBUH  = GLBUH
	FROM #DEP
	
	IF LEN(@varKScInn) = 0
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKScInn) <> 10 BEGIN
			INSERT INTO #LOG (LINK, NUMBER, DETAIL)
			VALUES (0, ' ', '  ')
		END
		ELSE BEGIN
			EXEC SD_CHECK_INN @varKScInn, @varKSRESULT OUTPUT, 0
			IF @varKSRESULT = -1
				INSERT INTO #LOG (LINK, NUMBER, DETAIL)
				VALUES (0, ' ', '  ')
		END
	END

	
	IF LEN(@varKScKPP) = 0
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKScKPP) <>9  BEGIN
			INSERT INTO #LOG (LINK, NUMBER, DETAIL)
			VALUES (0, ' ', '    9 ')
		END
	END

	IF LEN(@varKSNALOG) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')
	ELSE BEGIN
		IF LEN(@varKSNALOG) <> 4  
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '    4 ')

	END

	IF LEN(@varKSFULL_NAME) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   -')



	IF LEN(@varKSOKTMO) = 0  
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)		VALUES (0, ' ', '   ')	

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT E.PERS_LINK, '', '      ,     ' + RTRIM(P.FM) + ' ' + SUBSTRING(RTRIM(P.IM),1,1) + '.' + SUBSTRING(RTRIM(P.OT),1,1) + '.'
	FROM
		#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
		INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK
		INNER JOIN #FACES F ON F.PERS_LINK = E.PERS_LINK
		INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK
	WHERE
		LEN(O_OKTMO) = 0 
		
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT E.PERS_LINK, '', '      KPP   ,     ' + RTRIM(P.FM) + ' ' + SUBSTRING(RTRIM(P.IM),1,1) + '.' + SUBSTRING(RTRIM(P.OT),1,1) + '.'
	FROM
		#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
		INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK
		INNER JOIN #FACES F ON F.PERS_LINK = E.PERS_LINK
		INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK		
	WHERE
		LEN(O_KPP) <> 9

	IF LEN(@varKSPHONE) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')

	IF LEN(@varKSGLBUH) = 0 
		INSERT INTO #LOG (LINK, NUMBER, DETAIL)
		VALUES (0, ' ', '   ')

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT DISTINCT
		0, ' ', '         ' + LTRIM(RTRIM(ISNULL(D.SNAME,'')))
	FROM
		dbo.TAX_DEDUCTIONS TD INNER JOIN DBO.DICTIONARY_TYP_DEDUCTION D ON D.LINK = TD.LINK_DICTION
	WHERE
		TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth
		AND
		TD.LINK_DICTION NOT IN (SELECT REF_PAY FROM dbo.Salary_deductions(@END_YEAR))

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '', '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(FM, '')) = 0 AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '', '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(IM, '')) = 0 AND OSD13 > 0 

/*	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE LEN(ISNULL(Ot, '')) = 0 AND OSD13 > 0 
*/
/*	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT NOM_SPR, NOM_SPR,  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE dbo.IsValidINNFiz(INNFIZ) = 0
*/
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '   ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE STATUS = '' AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE GRAZD IS NULL AND OSD13 > 0 
/*
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT NOM_SPR, NOM_SPR,  '  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = ''
*/
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '    ,  ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' and KDVD IS NULL AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '     ' + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND ISNULL(SERNOM, '') = '' AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '     '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND BIRTH IS NULL AND OSD13 > 0 

	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '  '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 WHERE ISNULL(INNFIZ, '') = '' AND link_adr IS NULL AND OSD13 > 0 

	SET @varKSCNT = 0
	SELECT @varKSCNT = COUNT(DISTINCT LINK) FROM #LOG WHERE LINK > 0

	UPDATE #RES0
	SET ERR = 1
	WHERE LINK_FACE IN (SELECT LINK_FACE FROM #LOG)

	/*  */  -- DED_TYPE = 1 - , 2-  
	CREATE TABLE #td (LINK_PERSON INT ,NUM_REF VARCHAR(15),DATE_REF DATETIME,IFNS_CODE VARCHAR(20),DED_TYPE TINYINT)

	IF @nOption1 < 3
	BEGIN
		INSERT INTO #td (LINK_PERSON ,NUM_REF,DATE_REF,IFNS_CODE,DED_TYPE)
		Select LINK_PERSON, 
			   NUM_REF, 
			   DATE_REF, 
			   IFNS_CODE,
			   DED_TYPE = 1 
		from dbo.TAX_DEDUCTIONS td
		where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER ='4')  )
		UNION SELECT 
			   LINK_PERSON, 
			   NUM_REF, 
			   DATE_REF, 
			   IFNS_CODE,
			   DED_TYPE = 2 
		from dbo.TAX_DEDUCTIONS td
		where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER IN('11','12','13')) )
	END	--IF @nOption1 < 3

	declare @KBK_DEFAULT varchar(254)
	Set @KBK_DEFAULT = (select Top 1 CODE_KBK from dbo.sd_empl where LINK_KBK > 0)

	UPDATE #RES0 Set kbkcode1 = @KBK_DEFAULT, kbksum1 = 0 where ISNULL(kbksum1,0) = 0

	/*  */
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '        '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 inner join  #td on #RES0.LINK_FACE = #td.LINK_PERSON 
	WHERE rtrim(ltrim(ISNULL(NUM_REF,''))) = '' or rtrim(ltrim(ISNULL(IFNS_CODE,''))) = '' or DATE_REF is null AND OSD13 > 0 

	CREATE TABLE #RES_OUT (ID INT,LINK_FACE INT,mes INT,LINK_INC INT,CODE_INC VARCHAR(4),SUMMA_INC NUMERIC(18,2),LINK_DED INT,CODE_DED VARCHAR(3),SUMMA_DED NUMERIC(18,2),ID2 INT)

	INSERT INTO #RES_OUT (ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2)
	SELECT ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2 = 0 
	FROM #PAYS_0 
	ORDER BY LINK_FACE, MES, CODE_INC
	
	---
	CREATE TABLE #RES_OUT_ORD (NUM_PP INT IDENTITY(1,1), ID INT, LINK_FACE INT)
	INSERT INTO #RES_OUT_ORD (ID, LINK_FACE)
	SELECT ID, LINK_FACE FROM #PAYS_0 ORDER BY LINK_FACE, MES, CODE_INC
	--
	CREATE TABLE #RES_OUT_ORD2 (LINK_FACE INT, MIN_NUM INT)
	INSERT INTO #RES_OUT_ORD2 (LINK_FACE, MIN_NUM)
	SELECT LINK_FACE, MIN(NUM_PP) FROM #RES_OUT_ORD GROUP BY LINK_FACE
	---   
	UPDATE R
	SET R.ID2 = O.NUM_PP - O2.MIN_NUM + 1
	FROM 
		#RES_OUT R 
		INNER JOIN #RES_OUT_ORD O ON O.ID = R.ID
		INNER JOIN #RES_OUT_ORD2 O2 ON O2.LINK_FACE = R.LINK_FACE

	CREATE TABLE #ORDERS (ID int)
	DECLARE @SQL VARCHAR(1000)
	SET @SQL = 'ALTER TABLE #ORDERS ADD [NOM_SPR] INT IDENTITY(' + RTRIM(str(ISNULL(@varKSnFirstNum,1))) + ',1)'
	EXEC(@SQL)

	INSERT INTO #ORDERS (ID) 
	SELECT DISTINCT ID 
	FROM #RES0 
	WHERE LINK_FACE IN ( Select DISTINCT LINK_FACE from #RES_OUT where [ID2]%2 = 1 )
			--AND ISNULL(OSD13,0) > 0
	ORDER BY ID

	--UPDATE #ORDERS SET NOM_SPR = NOM_SPR + @varKSnFirstNum - 1

	---   
	UPDATE #DEP SET DOCCOUNT = ISNULL((SELECT MAX(NOM_SPR) FROM #ORDERS),0)

	-------------------
	SELECT 
		R.ID, O.NOM_SPR, r.nKorr, R.LINK_FACE, R.SEX, R.INNFIZ, R.NUMB_SERT, R.STATUS, 
		R.FIO, R.FM, R.IM, R.OT, R.KDVD, R.SERNOM, R.BIRTH, R.GRAZD, R.KSTR, 
		R.LINK_ADR, R.IND_ADR, R.REGION, R.RAION, R.GOROD, R.NASEL, R.STREET, 
		R.HOUSE, R.KORP, R.FLAT, R.KSTR_ino, R.Adr_ino, 
		R.ksv1, R.ssv1, R.ksv2, R.ssv2, R.ksv3, R.ssv3, R.ksv4, R.ssv4, R.ksv5, R.ssv5, R.ksv6, R.ssv6, 
		R.ksv7, R.ssv7, R.ksv8, R.ssv8, R.ksv9, R.ssv9, R.ksv10, R.ssv10, R.ksv11, R.ssv11, R.ksv12, R.ssv12, 
		R.ssv, R.siv, R.osd13, R.sdo13, R.nalogn13, R.nalogu13, R.nalog13s, R.err, R.S_5_6, R.S_5_7, R.dolg_np, R.dolg_na, 
		R.kbkcode1, R.kbkcode2, R.kbkcode3, R.kbkcode4, R.kbksum1, R.kbksum2, R.kbksum3, R.kbksum4, 
		R.VIFNSPL, R.ZSummPL, R.UdSumPL, R.VzkIFNS, 
		ndoc_td = td1.NUM_REF , --   
		ddoc_td = td1.DATE_REF,
		ifnsdoc_td = td1.ifns_code,
		nDoc_SD = td2.NUM_REF, --    
		dDoc_SD = td2.DATE_REF,
		ifnsdoc_sd = td2.ifns_code,
		nalog	= @varKSNALOG,
		KPP1 = ISNULL(R.O_KPP,@varKScKPP),
		OKATO1 = replace(ISNULL(R.O_OKATO,@varKSOKATO),' ',''),
		OKATO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKATO else '' end),
		OKATO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKATO else '' end),
		OKATO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKATO else '' end),
		OKTMO1 = replace(ISNULL(R.O_OKATO,@varKSOKTMO),' ',''),
		OKTMO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKTMO else '' end),
		R.R_DEP_NAME,
		R.R_DEP_INN,
		R.R_DEP_KPP,
		R.R_NAME_SUB,
		R.R_KPP_SUB,
		R.REORG_FORM,
		T.M1, T.CINC1, T.SINC1, T.CDED1, T.SDED1, T.M2, T.CINC2, T.SINC2, T.CDED2, T.SDED2,
		td1.LINK_PERSON/*, #td.NUM_REF, #td.DATE_REF, #td.IFNS_CODE*/
	FROM #RES0 R 
		INNER JOIN #ORDERS O ON O.ID = R.ID
		INNER JOIN ( 
			Select	T1.LINK_FACE, M1= T1.MES, CINC1= T1.CODE_INC, SINC1= T1.SUMMA_INC, CDED1= T1.CODE_DED, SDED1= T1.SUMMA_DED, M2= T2.MES, CINC2= T2.CODE_INC, SINC2= T2.SUMMA_INC, CDED2= T2.CODE_DED, SDED2= T2.SUMMA_DED
			from	(Select * from #RES_OUT where [ID2]%2 = 1) T1 left join (Select * from #RES_OUT where [ID2]%2 = 0) T2 on T1.link_FACE = T2.LINK_FACE AND T1.[ID2] = (T2.[ID2]-1)
		) T on R.LINK_FACE = T.LINK_FACE
		LEFT OUTER JOIN   #td td1 on R.LINK_FACE = td1.LINK_PERSON AND td1.DED_TYPE = 1 /* */
		LEFT OUTER JOIN   #td td2 on R.LINK_FACE = td2.LINK_PERSON AND td2.DED_TYPE = 2 /* */
	--where OSD13 > 0 
	ORDER BY O.NOM_SPR, T.M1, T.CINC1, T.M2, T.CINC2

	---
	SELECT *, CAST(  (CAST (DOCCOUNT AS INT) - @varKSCNT) AS VARCHAR(254) ) AS DOCCOUNT2 FROM #DEP 
	---	

	UPDATE L SET
		NUMBER = O.NOM_SPR
	FROM 
		#LOG L
		INNER JOIN #RES0 R ON L.LINK = R.LINK_FACE
		INNER JOIN #ORDERS O ON O.ID = R.ID
	
	SELECT * FROM #LOG ORDER BY LINK, ERR
	---
	EXEC dbo.BufferClear

	DROP TABLE #E_SUBDIV
	DROP TABLE #S_OBOSOB
	DROP TABLE #P_OBOSOB	
	DROP TABLE #LOG	
	DROP TABLE #RES0	
	DROP TABLE #ORDERS				
	
END


GO


GRANT EXECUTE ON dbo.[SD_REP_2NDFL] TO PUBLIC

GO


-- --


GO

-- FIX >>  : 10156.sql
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_DICTIONARY_POST]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_DICTIONARY_POST]

GO

CREATE  PROCEDURE [dbo].[SYNCH_DICTIONARY_POST] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
      -
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_SERVER_NAME') AND SID IS NULL 
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_BASE_NAME') AND SID IS NULL 


declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 7,@p2 output,@p3 output
select @p2, @p3


SELECT * FROM [SYNCH_DICTIONARY_POST] WHERE LINK = 4
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)


SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT

--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	inner join ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''
'	

EXEC SP_EXECUTESQL @SQL


--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(ISNULL(CODE,''))) + '/' + LTRIM(RTRIM(ISNULL(INN,''))) + '/' + LTRIM(RTRIM(ISNULL(KPP,'')))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(ISNULL(CODE,''))) + '/' + LTRIM(RTRIM(isnull(INN,''))) + '/' + LTRIM(RTRIM(isnull(KPP,'')))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 101
END

------------------
DECLARE @PERIOD DATETIME
SET @PERIOD = 
	(SELECT TOP 1 PERIOD
	FROM 
		[dbo].[SYNCH_SMETA_SMART_JOURN] J
		INNER JOIN [dbo].[SYNCH_SMETA_SMART_TAB] T ON T.[LINK_UP] = J.[LINK]
	WHERE
		T.LINK = @LINK_JOURN_TAB)



---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
---------------------
DECLARE @iOBJECT INT
SET @SQL = 
N'	
SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + '''
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
DECLARE @LINK_DOCUMENTS_SALARY INT
SET @LINK_DOCUMENTS_SALARY = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = @OBJECT_CODE)



------------------
declare @DEP_LINK INT 

exec dbo.xd_whats_zb @DEP_LINK output

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
				WHERE
					D.LINK  = @DEP_LINK 
					AND 
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)

	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 102
END



----

CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2)
SELECT D1.LINK, D2.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D2.CODE ' + @COLLATE + '=D1.CODE AND D2.INN ' + @COLLATE + '=D1.INN AND D2.KPP ' + @COLLATE + '=D1.KPP 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	   D1.LINK = ' + str(@DEP_LINK) + '
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK ) 	
'
EXEC SP_EXECUTESQL @SQL

---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN


IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 103
END

---     
CREATE TABLE #DICT ([LINK] INT, [CODE] VARCHAR(10), [NAME] VARCHAR(8000), NUM INT)
SET @SQL = 
N'	
INSERT INTO #DICT ([LINK], [CODE], [NAME] , NUM )
SELECT P.LINK, P.CODE,P.NAME , NUM = ROW_NUMBER() OVER (PARTITION BY [code],[NAME] ORDER BY [NAME], [code])
FROM
	dbo.POST P
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD
---

----------
--    - -       
CREATE TABLE #TAB_KS_SMART ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)



SET @ERR_MSG = NULL
SET @SQL = 
N'
INSERT INTO #TAB_KS_SMART ([LINK1],[LINK2],[DEP1], [DEP2]) 
SELECT  
	[LINK1] = P.LINK,
	[LINK2] = p2.LINK , 
	[dep1] = dsk.link1,
	[dep2] = dsk.link2
FROM 
	#DICT as p
	left join  ' + @DB + 'dbo.POST p2 on (ltrim(rtrim(p2.name ' + @COLLATE + '))=ltrim(rtrim(p.name)))
	left join #DEPARTMENTS_SMETA_KS dsk on  p2.link_dep  = (select top 1 link_cb from ' + @DB + 'dbo.V_DEP where link = dsk.link2)
WHERE 
--	and dsk.link1= ' + str(@DEP_LINK) + ' 
	/*and*/ p.num = 1

'	
EXEC SP_EXECUTESQL @SQL



/*
declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 46,@p2 output,@p3 output
select @p2, @p3
*/

-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK_1 INT, LINK_2 INT)

CREATE TABLE #EXEC (text varchar(8000), id int identity(1,1))


	---   POST    ,      
	SET @SQL = 
	N'
	
		CREATE table #REL_POST (link int)
		INSERT INTO #REL_POST
		SELECT DISTINCT link_TABLE FROM '+ @DB+' dbo.ZP_RELATIONS_POST  
		
		delete from '+ @DB +'dbo.[POST]
				where link not in (select link2 from #TAB_KS_SMART)
				and link not in (select link from #REL_POST)	
		
		drop table #REL_POST
		  
	'
	EXEC SP_EXECUTESQL @SQL		


INSERT INTO #EXEC ([text]) SELECT
'
INSERT #PROTOKOL (OP, LINK_1,LINK_2)
SELECT 
	''U'',
	LINK_1 = t.link,
	LINK_2 = a.link
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
	INNER JOIN ' + @DB + 'dbo.[POST] A ON  A.link  = ks.link2
WHERE
	a.link_dep = (select top 1 link_cb from ' + @DB + 'dbo.[V_DEP]  where link = ks.dep2) 
	and num = 1 
	and 
	(((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) <> right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) = left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) )) 
	or 
	((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) = right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) <> left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) )))

--    -    
UPDATE A SET
	A.NAME = left(ltrim(rtrim(ISNULL(T.NAME,''''))),254),
	A.CODE = RIGHT(LTRIM(RTRIM(ISNULL(T.CODE,''''))),6)
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
	INNER JOIN ' + @DB + 'dbo.[POST] A ON  A.link  = ks.link2
	INNer JOIN #PROTOKOL p on t.link = p.link_1 and A.link  = p.link_2 and  p.OP = ''U''
WHERE
	a.link_dep  = (select top 1 link_cb from ' + @DB + 'dbo.[V_DEP]  where link = ks.dep2) 
	and num = 1 
	and 
	(((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) <> right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) = left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) ))
	or 
	((right(ltrim(rtrim(ISNULL(A.CODE ' + @COLLATE + ',''''))),6) = right(ltrim(rtrim(ISNULL(T.CODE,''''))),6)) and (left(ltrim(rtrim(ISNULL(a.name ' + @COLLATE + ',''''))),254) <> left(ltrim(rtrim(ISNULL(T.NAME,''''))),254) )))

--    
INSERT INTO ' + @DB + 'dbo.[POST] (CODE, [NAME], LINK_DEP)
SELECT distinct
	CODE        = RIGHT(LTRIM(RTRIM(T.CODE)),6), 
	[NAME]      = LTRIM(RTRIM(T.NAME)), 
	LINK_DEP    = (select top 1 link_cb from ' + @DB + 'dbo.[V_DEP]  where link = (select top 1 link2 from #DEPARTMENTS_SMETA_KS where link1= '+STR(@DEP_LINK)+'))
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
WHERE 
	 t.num = 1 
	and ks.link2 is null  


INSERT #PROTOKOL (OP, LINK_1,LINK_2)
SELECT distinct
	''A'',
	LINK_1      = t.link, 
	LINK_2      = a.link
FROM
	#DICT T
	inner join #TAB_KS_SMART KS  on t.link = ks.link1
	inner join ' + @DB + 'dbo.[POST] a on a.CODE ' + @COLLATE + ' = RIGHT(LTRIM(RTRIM(T.CODE)),6) 
										and a.[NAME] ' + @COLLATE + ' =  LTRIM(RTRIM(T.NAME))									
WHERE 
	 t.num = 1 
	and ks.link2 is null  
	and a.LINK_DEP = (select top 1 link_cb from ' + @DB + 'dbo.[V_DEP]  where link = (select top 1 link2 from #DEPARTMENTS_SMETA_KS where link1= '+STR(@DEP_LINK)+'))

'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB


END





GO


GRANT EXECUTE ON dbo.[SYNCH_DICTIONARY_POST] TO PUBLIC

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_KU_EMPL_PLACING]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_KU_EMPL_PLACING]

GO

CREATE  PROCEDURE [dbo].[SYNCH_KU_EMPL_PLACING] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
     -
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_SERVER_NAME') AND SID IS NULL 
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_BASE_NAME') AND SID IS NULL 


declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 899,@p2 output,@p3 output
select @p2, @p3


SELECT * FROM [SYNCH_DICTIONARY_POST] WHERE LINK = 125
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)
DECLARE @STR NVARCHAR(800)
DECLARE @STR1 NVARCHAR(800)

SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT


--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	inner join ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	

EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 101
END

------------------
---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('       .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
---------------------
DECLARE @iOBJECT INT
SET @SQL = 
N'	
SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + '''
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------


---  POST    
IF OBJECT_ID('tempdb..#POST') IS NOT NULL DROP TABLE #POST
CREATE TABLE #POST ([LINK] INT, [CODE] VARCHAR(10), [NAME] VARCHAR(8000), NUM INT , LINK_NEW INT)
SET @SQL = 
N'	
INSERT INTO #POST ([LINK], [CODE], [NAME] , NUM )
SELECT P.LINK, right(ltrim(rtrim(ISNULL(p.CODE,''''))),6),P.NAME , NUM = ROW_NUMBER() OVER (PARTITION BY [NAME] ,  [CODE]  ORDER BY [NAME] )
FROM
	dbo.POST P
'	
EXEC SP_EXECUTESQL @SQL 
---
----------

--      
SET @ERR_MSG = NULL
SET @SQL = 
N'

UPDATE P 
SET LINK_NEW = p2.LINK 
FROM 
	#POST as p
	left join  ' + @DB + 'dbo.POST p2 on (p2.name ' + @COLLATE + ' = p.name) and right(ltrim(rtrim(ISNULL(p2.CODE ' + @COLLATE + ',''''))),6) = right(ltrim(rtrim(ISNULL(p.CODE,''''))),6)
WHERE 
 p.num = 1

 
'	
EXEC SP_EXECUTESQL @SQL


--    
SET @ERR_MSG = NULL
SET @SQL = 
N'

Delete from #POST 
WHERE 
 LINK_NEW is null
'	
EXEC SP_EXECUTESQL @SQL
 

---------- C  --------
IF OBJECT_ID('tempdb..#SUBDIV_HEAD') IS NOT NULL DROP TABLE #SUBDIV_HEAD
CREATE TABLE #SUBDIV_HEAD (DEP INT, LINK INT,[GUID] UNIQUEIDENTIFIER, NEW_LINK INT)
SET @SQL =
N'	
INSERT INTO #SUBDIV_HEAD (DEP , LINK,[GUID], NEW_LINK)
SELECT H.DEP_LINK, H.LINK, [GUID] = ISNULL(H.[GUID],NEWID()) ,  null
FROM
	dbo.SUBDIV_HEAD H
	inner join dbo.DEPARTMENTS d on  d.link = h.dep_link
WHERE
	EXISTS (SELECT * FROM dbo.SUBDIV S WHERE S.LINK_UP = H.LINK)
	and (d.type = 4 or d.zb = 1)
'	
EXEC SP_EXECUTESQL @SQL 



---     
IF OBJECT_ID('tempdb..#SUBDIV') IS NOT NULL DROP TABLE #SUBDIV
CREATE TABLE #SUBDIV ([LINK] INT,[link_up] INT, [CODE] VARCHAR(10), [NAME] VARCHAR(8000), LINK_SELF INT, ORDERS INT,LIM INT , 
					   DATE_BEGIN  DATETIME , DATE_END DATETIME, OBOSOB TINYINT , O_OKATO VARCHAR(14) , O_KPP VARCHAR(9) ,O_OKTMO VARCHAR(11))
SET @SQL = 
N'	
INSERT INTO #SUBDIV ([LINK],[link_up], [CODE], [NAME],LINK_SELF,ORDERS,LIM ,  DATE_BEGIN , DATE_END , OBOSOB , O_OKATO , O_KPP , O_OKTMO )
SELECT S.LINK,S.LINK_UP, S.CODE,S.NAME,S.LINK_SELF,ORDERS,LIM ,  DATE_BEGIN , DATE_END , OBOSOB , O_OKATO , O_KPP , O_OKTMO  
FROM
	dbo.SUBDIV S
	inner join #SUBDIV_HEAD h on h.link = S.LINK_UP
'	
EXEC SP_EXECUTESQL @SQL --, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD
---

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG =
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #SUBDIV_HEAD H ON D.LINK = H.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
	
	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 102
END



----

CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT, DEP INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2, DEP)
SELECT D1.LINK, D2.LINK, D1.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D2.CODE ' + @COLLATE + ' = D1.CODE  AND D2.INN ' + @COLLATE + ' = D1.INN  AND D2.KPP ' + @COLLATE + ' = D1.KPP  
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	EXISTS (SELECT * FROM #SUBDIV_HEAD T WHERE D1.LINK = T.DEP) 
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	

---   #subdiv_head  #subdiv       #DEPARTMENTS_SMETA_KS
  delete from #subdiv_head where dep not in (select link1 from #DEPARTMENTS_SMETA_KS ) 
  delete from  #subdiv where link_up not in (select link from #subdiv_head)

'
EXEC SP_EXECUTESQL @SQL


---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN



IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 103
END


----------

--   GUID
SET @ERR_MSG = NULL
SET @SQL = 
N'
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON H2.[GUID]  = H.[GUID]
	WHERE H.[GUID] IS NOT NULL
'	
EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @SQL = 
N'

	--     
	DECLARE @Date datetime
	SET @date = GETDATE()
	
	--     
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''99991231'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END], CONVERT(DATETIME, ''99991231'', 112))
								OR S2.[DATE_BEGIN] = S.[DATE_BEGIN]  AND (S2.[DATE_END]  = S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END]  IS NULL))
							AND S2.[CODE] ' + @COLLATE + ' = S.[CODE]  AND S2.[NAME] ' + @COLLATE + ' = S.[NAME] 
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP] = H2.[LINK] AND H2.[DEP_LINK]  = d.[LINK2] 
	WHERE H.[NEW_LINK] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK]  = sh.[NEW_LINK] )
	
	--   
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''99991231'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END] , CONVERT(DATETIME, ''99991231'', 112))
								OR S2.[DATE_BEGIN]  = S.[DATE_BEGIN]  AND ( S2.[DATE_END]  = S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END] IS NULL))
							AND S2.[NAME] ' + @COLLATE + ' = S.[NAME]
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP] = H2.[LINK]  AND  H2.[DEP_LINK]  = d.[LINK2] 
	WHERE H.[NEW_LINK] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK]  = sh.[NEW_LINK])

	--   
	UPDATE H
	SET [NEW_LINK] = H2.[LINK]
	FROM #subdiv_head H
	JOIN #subdiv S ON H.[LINK] = S.[LINK_UP]
	join #DEPARTMENTS_SMETA_KS  d on  d.link1 = h.dep
	JOIN '+@DB+'dbo.[SUBDIV] S2 ON (@date BETWEEN S.[DATE_BEGIN] AND ISNULL(S.[DATE_END], CONVERT(DATETIME, ''99991231'', 112)) AND @date BETWEEN S2.[DATE_BEGIN]  AND ISNULL(S2.[DATE_END] , CONVERT(DATETIME, ''99991231'', 112))
								OR S2.[DATE_BEGIN]  = S.[DATE_BEGIN] AND (S2.[DATE_END]  = S.[DATE_END] OR S.[DATE_END] IS NULL AND S2.[DATE_END]  IS NULL))
							AND S2.[CODE] ' + @COLLATE + ' = S.[CODE] 
	JOIN '+@DB+'dbo.[SUBDIV_HEAD] H2 ON S2.[LINK_UP]= H2.[LINK] AND H2.[DEP_LINK]  = d.[LINK2]
	WHERE H.[NEW_LINK] IS NULL AND NOT EXISTS(SELECT 1 FROM #subdiv_head sh WHERE H2.[LINK]  = sh.[NEW_LINK])	
	
'	
EXEC SP_EXECUTESQL @SQL



---------------------------------- 
----    --
----------------------------------
SET @ERR_MSG = NULL


IF OBJECT_ID('tempdb..#person') IS NOT NULL DROP TABLE #person
CREATE TABLE #person ([LINK] INT, [FM] VARCHAR(100),[IM] VARCHAR(100), [OT] VARCHAR(100), [DOC_LINK] INT, [DOC_CODE] VARCHAR(2), [DOC_NUM] VARCHAR(20), [DOC_WHOM] VARCHAR(254), [DOC_DATE] DATETIME, [SNILS] VARCHAR(11), [INN] VARCHAR(12), [KLADR_LINK] INT, [KLADR_CODE_REAL] VARCHAR(19), [HOUSE_REAL] VARCHAR(10), [CORP_REAL] VARCHAR(5), [FLAT_REAL] VARCHAR(5), [ADR_OFIC_LINK] INT, [KLADR_CODE_OFIC] VARCHAR(19), [HOUSE_OFIC] VARCHAR(10), [DRIVER_DOC_NUM] VARCHAR(12), [DRIVER_KLASS] TINYINT, [GUID] UNIQUEIDENTIFIER, [LINK_NEW] INT)


SET @ERR_MSG = NULL
SET @SQL = 
N'
INSERT #person ([LINK],[FM],[IM],[OT],[DOC_CODE],[DOC_NUM],[DOC_WHOM],[DOC_DATE],[SNILS],[INN],[KLADR_CODE_REAL],[HOUSE_REAL],[CORP_REAL],[FLAT_REAL],[KLADR_CODE_OFIC],[HOUSE_OFIC],[DRIVER_DOC_NUM],[DRIVER_KLASS],[GUID])
SELECT [LINK],
	   [FM],
	   [IM],
	   [OT],
	   [DOC_CODE]= (SELECT TOP 1 code FROM dbo.face_document WHERE LINK = p.DOC_LINK),
	   [DOC_NUM],
	   [DOC_WHOM],
	   [DOC_DATE],
	   [SNILS] = left(ltrim(rtrim(p.INSUR_NUM)),11),
	   [INN],
	   [KLADR_CODE_REAL] = (select top 1 code from dbo.[KLADR] WHERE [LINK] = P.[ADR_REAL_LINK] ),
	   [HOUSE_REAL],
	   [CORP_REAL],
	   [FLAT_REAL],
	   [KLADR_CODE_OFIC] = (select top 1 code from dbo.[KLADR] WHERE [LINK] = p.[ADR_OFIC_LINK] ),
	   [HOUSE_OFIC],
	   [DRIVER_DOC_NUM],
	   [DRIVER_KLASS],
	   [GUID]  =  ISNULL([GUID],NEWID())
FROM dbo.person AS p
'	
EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @SQL = 
N'
	--   GUID
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@DB+'dbo.[PERSON] P ON P.[GUID]  = T.[GUID]
	join #DEPARTMENTS_SMETA_KS d on  p.link_dep = (select link_cb from '+@DB+'dbo.[V_DEP] where  link = d.[LINK2] )
	WHERE T.[GUID] IS NOT NULL

	--   
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@db+'dbo.[PERSON] P ON P.[INN] ' + @COLLATE + ' = T.[INN]
	join #DEPARTMENTS_SMETA_KS d on  p.link_dep = (select link_cb from '+@DB+'dbo.[V_DEP] where  link = d.[LINK2] )
	WHERE T.[LINK_NEW] IS NULL AND P.[INN] ' + @COLLATE + ' <> ''''

	--    
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@db+'dbo.[PERSON] P ON REPLACE(REPLACE(P.[DOC_NUM] ' + @COLLATE + ', ''-'', ''''), '' '', '''') = REPLACE(REPLACE(T.[DOC_NUM], ''-'', ''''), '' '', '''')
	join #DEPARTMENTS_SMETA_KS d on  p.link_dep = (select link_cb from '+@DB+'dbo.[V_DEP] where  link = d.[LINK2] )
	WHERE T.[LINK_NEW] IS NULL AND REPLACE(REPLACE(P.[DOC_NUM] ' + @COLLATE + ', ''-'', ''''), '' '', '''') <> ''''
	
	--   
	UPDATE T
	SET [LINK_NEW] = P.[LINK]
	FROM #person T
	JOIN '+@db+'dbo.[PERSON] P ON LTRIM(RTRIM(P.[FM] ' + @COLLATE + ')) = T.[FM] AND LTRIM(RTRIM(P.[IM] ' + @COLLATE + '))= T.[IM] AND LTRIM(RTRIM(P.[OT] ' + @COLLATE + ')) = T.[OT]
	join #DEPARTMENTS_SMETA_KS d on p.link_dep = (select link_cb from '+@DB+'dbo.[V_DEP] where  link = d.[LINK2] )
	WHERE T.[LINK_NEW] IS NULL AND P.[FM] ' + @COLLATE + ' <> '''' AND P.[IM] ' + @COLLATE + ' <> ''''

	--   
	UPDATE T
	SET  [DOC_LINK] = D.[LINK]
		,[KLADR_LINK] = ISNULL(K1.[LINK], 0)
		,[ADR_OFIC_LINK] = ISNULL(K2.[LINK], 0)
	FROM #person T
	LEFT JOIN '+@db+'dbo.[FACE_DOCUMENT] D ON D.[CODE] ' + @COLLATE + ' =T.[DOC_CODE]
	LEFT JOIN '+@db+'dbo.[KLADR] K1 ON K1.[CODE] ' + @COLLATE + ' =T.[KLADR_CODE_REAL]
	LEFT JOIN '+@db+'dbo.[KLADR] K2 ON K2.[CODE] ' + @COLLATE + ' =T.[KLADR_CODE_OFIC]
	
	--  GUID
	UPDATE P
	SET [GUID] = T.[GUID]
	FROM dbo.[PERSON] P
	JOIN #person T ON P.[LINK] = T.[LINK]
	WHERE T.[GUID] IS NOT NULL AND P.[GUID] IS NULL

	--  GUID
	UPDATE P
	SET [GUID] = T.[GUID]
	FROM '+@db+'dbo.[PERSON] P
	JOIN #person T ON P.[LINK] = T.[LINK_NEW]
	WHERE T.[GUID] IS NOT NULL AND P.[GUID]  IS NULL
'	
EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @SQL = 
N'
			--   
			UPDATE P
			SET  [FM] = T.[FM]
				,[IM] = T.[IM]
				,[OT] = T.[OT]
				,[DOC_LINK] = T.[DOC_LINK]
				,[DOC_NUM] = T.[DOC_NUM]
				,[DOC_WHOM] = T.[DOC_WHOM]
				,[DOC_DATE] = T.[DOC_DATE]
				,[SNILS] = T.[SNILS]
				,[INN] = T.[INN]
				,[KLADR_LINK] = T.[KLADR_LINK]
				,[HOUSE] = LEFT(T.[HOUSE_REAL], 8)
				,[CORP] = T.[CORP_REAL]
				,[FLAT] = LEFT(T.[FLAT_REAL], 4)
				,[ADR_OFIC_LINK] = T.[ADR_OFIC_LINK]
				,[HOUSE_OFIC] = T.[HOUSE_OFIC]
				,[DRIVER_DOC_NUMBER] = LEFT(T.[DRIVER_DOC_NUM], 10)
				,[DRIVER_CLASS] = T.[DRIVER_KLASS]
			FROM '+@db+'[dbo].[PERSON] P
			JOIN #person T ON P.[LINK] = T.[LINK_NEW]
			WHERE T.[LINK_NEW] IS NOT NULL

'	

EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL



IF OBJECT_ID('tempdb..#PERSON_SNEW') IS NOT NULL DROP TABLE #PERSON_SNEW
CREATE TABLE #PERSON_SNEW ( [FM] VARCHAR(100),[IM] VARCHAR(100), [OT] VARCHAR(100), [DOC_LINK] INT, [DOC_CODE] VARCHAR(2), [DOC_NUM] VARCHAR(20), [DOC_WHOM] VARCHAR(254), [DOC_DATE] DATETIME, [SNILS] VARCHAR(11), [INN] VARCHAR(12), [KLADR_LINK] INT, [KLADR_CODE_REAL] VARCHAR(19), [HOUSE_REAL] VARCHAR(10), [CORP_REAL] VARCHAR(5), [FLAT_REAL] VARCHAR(5), [ADR_OFIC_LINK] INT, [KLADR_CODE_OFIC] VARCHAR(19), [HOUSE_OFIC] VARCHAR(10), LINK_DEP INT, [DRIVER_DOC_NUM] VARCHAR(12), [DRIVER_KLASS] TINYINT, [GUID] UNIQUEIDENTIFIER, [LINK_OLD] INT)


IF OBJECT_ID('tempdb..#tabLink') IS NOT NULL DROP TABLE #tabLink
CREATE TABLE #tabLink ([LINK_OLD] INT,[LINK_NEW] INT)

SET @ERR_MSG = NULL
SET @SQL = 
N'
	
		SELECT	 p.FM
				,p.IM
				,p.OT
				,p.DOC_LINK
				,p.DOC_NUM
				,p.DOC_WHOM
				,p.DOC_DATE
				,p.INN
				,p.KLADR_LINK
				,[HOUSE_REAL] = LEFT(p.HOUSE_REAL, 8)
				,p.CORP_REAL
				,FLAT_REAL = LEFT(p.FLAT_REAL, 4)
				,p.ADR_OFIC_LINK
				,p.HOUSE_OFIC
				,[LINK_DEP] = (select link_cb from '+@DB+'dbo.V_DEP where link = (select top 1 link2 from  #DEPARTMENTS_SMETA_KS) )
				,[DEP] = (select top 1 link2 from  #DEPARTMENTS_SMETA_KS)
				,DRIVER_DOC_NUM = LEFT(p.DRIVER_DOC_NUM, 10)
				,p.DRIVER_KLASS
				,p.SNILS
				,p.GUID
				,LINK_OLD = p.LINK
		INTO #PERSON_SNEW		 
		FROM #person  p 
			WHERE p.LINK_NEW IS NULL

		--   
			INSERT '+@DB+'dbo.[PERSON]([FM],[IM],[OT],[DOC_LINK],[DOC_NUM],[DOC_WHOM],[DOC_DATE],[INN],[KLADR_LINK],[HOUSE],[CORP],[FLAT],[ADR_OFIC_LINK],[HOUSE_OFIC],[LINK_DEP],[DRIVER_DOC_NUMBER],[DRIVER_CLASS],[SNILS],[GUID])
			SELECT
				 [FM]
				,[IM]
				,[OT]
				,[DOC_LINK]
				,[DOC_NUM]
				,[DOC_WHOM]
				,[DOC_DATE]
				,[INN]
				,[KLADR_LINK] = Isnull(p.[KLADR_LINK],0)
				,[HOUSE_REAL]
				,[CORP_REAL]
				,[FLAT_REAL]
				,[ADR_OFIC_LINK]
				,[HOUSE_OFIC]
				,LINK_DEP = p.[LINK_DEP]
				,[DRIVER_DOC_NUM]
				,[DRIVER_KLASS]
				,[SNILS]
				,[GUID]
			FROM #PERSON_SNEW  p

			
			INSERT #tabLink([LINK_OLD],[LINK_NEW])
			SELECT
				LINK_OLD =a.LINK_OLD, 
				LINK_NEW = b.link
			FROM #PERSON_SNEW a
			inner join '+@DB+'dbo.[PERSON] b on b.[GUID] = a.[GUID] 

			UPDATE H
			SET [LINK_NEW] = L.[LINK_NEW]
			FROM #person H
			JOIN #tabLink L ON H.[LINK] = L.[LINK_OLD]


'
EXEC SP_EXECUTESQL @SQL

---   PERSON    ,      
	SET @SQL = 
	N'
		CREATE table #REL_PERS (link int)
		INSERT INTO #REL_PERS
		SELECT DISTINCT link_table FROM '+ @DB +'dbo.ZP_RELATIONS_PERSON   

		delete from '+ @DB +'dbo.[PERSON]
				where link  not in (select LINK_NEW from #person)
				and link not in (select isnull(link,0) from #REL_PERS)	

		drop table #REL_PERS
		  
	'	
	EXEC SP_EXECUTESQL @SQL		


SET @ERR_MSG = NULL
SET @SQL = 
N'
			UPDATE P
			SET [LINK_NEW] = L.[LINK_NEW]
			FROM #person P
			JOIN #tabLink L ON P.[LINK] = L.[LINK_OLD]
'
EXEC SP_EXECUTESQL @SQL


------------------------------
-------------------------------



SET @ERR_MSG = NULL

IF OBJECT_ID('tempdb..#empl') IS NOT NULL DROP TABLE #empl
CREATE TABLE #empl([LINK] INT, [PERS_LINK] INT, [DEP_LINK] INT, [TAB] VARCHAR(10), [GUID] UNIQUEIDENTIFIER, [LINK_NEW] INT, [DEP_LINK_NEW] INT, [SACK] INT)

IF OBJECT_ID('tempdb..#emplPost') IS NOT NULL DROP TABLE #emplPost
CREATE TABLE #emplPost([EMPL_LINK] INT, [SUBDIV_LINK] INT, [POST_LINK] INT, [POST_NAME] VARCHAR(254), [DATE_BEGIN] DATETIME, [DATE_END] DATETIME , N int)
------------***************************************
SET @ERR_MSG = NULL
SET @SQL = 
N' 
INSERT #empl([LINK],[PERS_LINK],[DEP_LINK],[TAB],[GUID],[SACK])
select E.[LINK],E.[PERS_LINK],E.[DEP_LINK],E.[TAB],[GUID] = ISNULL(E.GUID,NEWID()), KU.SACK
from dbo.EMPL  E
INNER JOIN dbo.KU_EMPL_PLACING KU ON KU.LINK = E.LINK  /*where   status =1  */


		--       
;WITH T ([EMPL_LINK],[SUBDIV_LINK],[POST_LINK],[POST_NAME],[DATE_BEGIN],[DATE_END],[N]) AS
(
	SELECT
		 E.[LINK]
		,S.[SUBDIV_LINK]
		,S.[POST_LINK]
		,p.[NAME]
		,(CASE WHEN ROW_NUMBER() OVER(PARTITION BY E.[LINK],M.[STAFF_LINK] ORDER BY MIN(S.[DATE_BEGIN])) > 1 THEN MIN(S.[DATE_BEGIN]) ELSE MIN(M.[DATE_BEGIN]) END) as [DATE_BEGIN]
		,MAX(D.[DIS_DATE]) as [DATE_END]
		,ROW_NUMBER() OVER(PARTITION BY E.[LINK] ORDER BY MIN(m.[DATE_BEGIN]) desc)
	FROM #empl E 
	JOIN dbo.SA_ITEM_MOVE M ON E.[LINK] = M.[EMPL_LINK] AND M.[NEW_FACE] IN (0,1,2) AND M.[ACTIVE] = 1
	LEFT JOIN dbo.ITEM_DIS_FACE D ON E.[LINK] = D.[EMPL_LINK] AND D.[ACTIVE] = 1
	JOIN dbo.STAFF S ON M.[STAFF_LINK] = S.[LINK_UP] AND S.[DATE_END] > M.[DATE_BEGIN] AND M.[DATE_END3] > S.[DATE_BEGIN] AND (D.[DIS_DATE] IS NULL OR S.[DATE_BEGIN] < D.[DIS_DATE])
	join dbo.post p on p.link = S.[POST_LINK] 
	GROUP BY E.[LINK],M.[STAFF_LINK],S.[SUBDIV_LINK],S.[POST_LINK], p.name
)
INSERT #emplPost([EMPL_LINK],[SUBDIV_LINK],[POST_LINK],[POST_NAME],[DATE_BEGIN],[DATE_END], [N])
SELECT
	 T1.[EMPL_LINK]
	,T1.[SUBDIV_LINK]
	,T1.[POST_LINK]
	,t1.[POST_NAME]
	,T1.[DATE_BEGIN]
	,CASE WHEN T1.[N] = 1 THEN T1.[DATE_END] ELSE DATEADD(dd, -1, T2.[DATE_BEGIN]) END [DATE_END]
	,t1.N
FROM T T1
LEFT JOIN T T2 ON T1.[EMPL_LINK] = T2.[EMPL_LINK] AND T1.[N] = (T2.[N] + 1)
ORDER BY T1.[EMPL_LINK],T1.[DATE_BEGIN]
'	
EXEC SP_EXECUTESQL @SQL


SET @ERR_MSG = NULL
SET @SQL = 
N'
	
		UPDATE E
		SET [DEP_LINK_NEW] = D.[LINK2]
		FROM #empl E
		JOIN #DEPARTMENTS_SMETA_KS D ON E.[DEP_LINK] = D.[LINK1]
		
		delete from #empl where  [DEP_LINK_NEW] is null 
		--   GUID
		UPDATE T
		SET [LINK_NEW] = E.[LINK]
		FROM #empl T
		JOIN '+@DB+'dbo.[EMPL] E ON E.[GUID] = T.[GUID]
		WHERE T.[GUID] IS NOT NULL 
		and ltrim(rtrim(e.tab ' + @COLLATE + ')) = ltrim(rtrim(t.tab))

		--      GUID
		UPDATE E
		SET [TAB] = T.[TAB], [PERS_LINK] = T.[PERS_LINK]
		FROM '+@DB+'dbo.[EMPL] E
		JOIN #empl T ON E.[LINK] = T.[LINK_NEW]
		
		--      
		--          
		UPDATE T
		SET [LINK_NEW] = T2.[LINK] 
		FROM #empl T
		INNER JOIN DBO.KU_EMPL_PLACING KU ON T.LINK = ku.LINK  
		LEFT JOIN (SELECT LINK, DEP_LINK, TAB, FIO, NUM = ROW_NUMBER() OVER (PARTITION BY DEP_LINK, TAB, FIO ORDER BY LINK) FROM '+@DB+'dbo.v_empl) T2 ON 
		T.[DEP_LINK_NEW] = T2.[DEP_LINK]
		--left JOIN '+@DB+'dbo.[EMPL] E ON T.[DEP_LINK_NEW] = E.[DEP_LINK] AND T.[TAB] = E.[TAB]
		WHERE /* t.pers_link = 17166 and */  T2.NUM = 1 AND T2.[TAB] ' + @COLLATE + ' = T.[TAB] AND t2.fio ' + @COLLATE + ' = ku.fio AND T.[LINK_NEW] IS NULL AND T.[TAB] IS NOT NULL AND T.[TAB] <> ''''
	
	
		--    
		UPDATE T
		SET [LINK_NEW] = E.[LINK]
		FROM #empl T
		JOIN #person P ON T.[PERS_LINK] = P.[LINK]
		JOIN '+@DB+'dbo.[EMPL] E ON E.[DEP_LINK]  = T.[DEP_LINK_NEW]  AND E.[PERS_LINK] = P.[LINK_NEW] 
		WHERE T.[LINK_NEW] IS NULL and E.[TAB] ' + @COLLATE + ' = T.[TAB]

'	
EXEC SP_EXECUTESQL @SQL



SET @ERR_MSG = NULL
SET @SQL = 
N'


		update ep
		set post_link = (select top 1 link from #post where num = 1 and name = ep.post_name)
		from #emplPost ep where not exists( select * from #post where link = ep.post_link)


		DELETE E
		FROM #empl E
		JOIN #emplPost P ON E.[LINK] = P.[EMPL_LINK]
		LEFT JOIN #subdiv_head S ON P.[SUBDIV_LINK] = S.[LINK]
		LEFT JOIN #Post D ON P.[POST_LINK] = D.[LINK]
		WHERE S.[NEW_link] IS NULL OR D.[LINK_NEW] IS NULL

		--   
		DELETE E
		FROM '+@DB+'dbo.[EMPL_POST] E
		JOIN #empl T ON E.[LINK_UP] = T.[LINK_NEW]

'	
EXEC SP_EXECUTESQL @SQL


		--LEFT JOIN #subdiv_head S ON P.[SUBDIV_LINK] = S.[LINK]
		--LEFT JOIN #Post D ON P.[POST_LINK] = D.[LINK]
	---   EMPL    ,      
	SET @SQL = 
	N'


		CREATE table #REL_EMPL (link int)
		INSERT INTO #REL_EMPL
		 SELECT DISTINCT link_table FROM '+ @DB +'dbo.ZP_RELATIONS_EMPL  
				
		delete from '+ @DB +'dbo.[EMPL]
				where link not in (select LINK from #EMPL)
				and link not in (select link from #REL_EMPL)	
				and dep_link in (select link2 from #DEPARTMENTS_SMETA_KS) 
		drop table #REL_EMPL
		 
	'	


	EXEC SP_EXECUTESQL @SQL	


--------------------------------------
-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT, NEW_LINK INT )

CREATE TABLE #EXEC (text varchar(8000), id int identity(1,1))

SET @ERR_MSG = NULL
SET @SQL = 
	N'
				
		
		SELECT DISTINCT
			 P.[LINK_NEW]
			,E.[TAB]
			,E.[DEP_LINK_NEW]
			,E.[GUID]
			,link_old = E.link
			,E.[SACK]
		INTO #empl_snew 
		FROM #empl E
		inner JOIN #person P ON E.[PERS_LINK] = P.[LINK]
		WHERE E.[LINK_NEW] IS NULL AND E.[DEP_LINK_NEW] IS NOT NULL AND P.[LINK_NEW] IS NOT NULL AND E.[SACK] = 0
		order by P.[LINK_NEW],E.[TAB],E.[DEP_LINK_NEW],E.[GUID],E.link


		--       
		INSERT '+@DB+'dbo.[EMPL]([PERS_LINK],[TAB],[DEP_LINK],[PHONE_S],[PHONE_M],[EMAIL],[FIO],[COMMENT],[GUID])
		SELECT DISTINCT
			 E.[LINK_NEW]
			,E.[TAB]
			,E.[DEP_LINK_NEW]
			,''''
			,''''
			,''''
			,''''
			,''''
			,E.[GUID]
		FROM #empl_snew E

		INSERT #PROTOKOL (OP, LINK, NEW_LINK)
		SELECT
			''A'',
			link =s.LINK_OLD , 
			NEW_LINK = e1.link 
		FROM #empl e
		--INNER JOIN #person P ON E.[PERS_LINK] = P.[LINK]
		inner join '+@DB+'dbo.[EMPL] e1 on e1.[GUID]  = e.[GUID] 
		INNER JOIN #empl_snew s on s.[GUID]  = e1.[GUID] AND S.[SACK] = 0
		WHERE e.[LINK_NEW] IS NULL	
				
		--select * from #PROTOKOL
		UPDATE E
		SET [LINK_NEW] = L.[NEW_LINK]
		FROM #empl E
		JOIN #PROTOKOL L ON E.[LINK] = L.[LINK]


'	
EXEC SP_EXECUTESQL @SQL


	
INSERT INTO #EXEC ([text]) SELECT
	'
	
		---             (     ),     , 
		---              ,      
		delete 
			from #emplpost 
			where empl_link in (
								select min(ep.empl_link)
								from  #emplpost ep
								inner join #empl e on e.link = ep.empl_link  
								GROUP BY e.pers_link , DATE_BEGIN,DATE_END 
								having count(*)> 1 ) 
	
		--   
		INSERT '+@DB+'dbo.[EMPL_POST]([LINK_UP],[POST_LINK],[SUBDIV_LINK],[DATE_BEG],[DATE_END])
		SELECT DISTINCT
			 E.[LINK_NEW]
			,P.[LINK_NEW]
			,S.[NEW_link]
			,EP.[DATE_BEGIN]
			,EP.[DATE_END]
		FROM #empl E
		JOIN #emplPost EP ON EP.[EMPL_LINK] = E.[LINK]
		JOIN #Post P ON P.[LINK] = EP.[POST_LINK] 
		JOIN #subdiv_head S ON  S.[LINK] = EP.[SUBDIV_LINK]
		WHERE E.[LINK_NEW] IS NOT NULL AND P.[LINK_NEW] IS NOT NULL AND S.[NEW_link] IS NOT null 
		ORDER BY  E.[LINK_NEW] ,P.[LINK_NEW] ,S.[NEW_link] 	,EP.[DATE_BEGIN] ,EP.[DATE_END]
	'	
IF EXISTS (SELECT text FROM #EXEC)
EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB



END


GO


GRANT EXECUTE ON dbo.[SYNCH_KU_EMPL_PLACING] TO PUBLIC

GO


GO

-- FIX >>  : 10164.sql

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_6NDFL_EXPORT_v5_02]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_6NDFL_EXPORT_v5_02]

GO

/*EXEC dbo.BK_SELECT_EXPORT_FORMAT 2486*/
/*exec [dbo].[SA_6NDFL_EXPORT_v5_02]       42251*/
CREATE      PROCEDURE [dbo].SA_6NDFL_EXPORT_v5_02 ( @Link int /*  */ )
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))


INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------
DECLARE @FILTER_SUBDIV_NAME VARCHAR(254) , @FILTER_SUBDIV_LINK INT ,  @R_DEP_LINK INT, 
		@r_SUB INT , @reorg_form int, @PLACE INT 
		
SET @FILTER_SUBDIV_NAME = (SELECT DBO.RN_GET_ATR_VALUE(@Link, 'REPORTS_FILTER_SUBDIV'))

IF @FILTER_SUBDIV_NAME IS NOT NULL
	SET @FILTER_SUBDIV_LINK = 
		( SELECT TOP 1 LINK FROM DBO.REPORT_KBK 
		  WHERE 
		   ('' + CONVERT(VARCHAR(3),PROPERTY) + ' - ' +  NAME ) =  @FILTER_SUBDIV_NAME
			AND 
			CODE_FORM='FILTER_NABOR' AND CODE='REPORTS_FILTER_SUBDIV')

DECLARE @BUFFER_SUBDIV VARCHAR(20) 
DECLARE @SUBDIV TABLE (LINK INT)

IF @FILTER_SUBDIV_LINK IS NOT NULL 
BEGIN

	EXEC DBO.GETRANDSTR 20, @BUFFER_SUBDIV OUT

	INSERT INTO @SUBDIV (LINK) 
	SELECT LINK FROM DBO.RN_VIEW_FILTER WHERE LINK_SELF = @FILTER_SUBDIV_LINK

END


DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT,
		@Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME


SELECT
	@LINK_DEP = LINK_ORGANIZATION,
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date))),
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS
WHERE LINK_SAVED_FORM = @link

SET @PLACE = ltrim((SELECT DBO.RN_GET_ATR_VALUE(@Link, 'REPORTS_ATR_PALCE_CODE')))
---------------------------  /   ,       

SELECT @R_DEP_LINK  = R_DEP_LINK ,
	   @r_SUB = R_SUB ,
	   @reorg_form = reorg_form
FROM dbo.dict_reorganization WHERE rtrim(ltrim(NAME_REORG)) = ltrim((SELECT DBO.RN_GET_ATR_VALUE(@link, 'REPORTS_ATR_REORG')))

--------------------------------------------------------------------
--         ,  @DEP_LINK  @SUBDIV      
/*IF isnull(@R_DEP_LINK,0) <> 0 
	set	@LINK_DEP = @R_DEP_LINK
IF isnull(@r_SUB,0) <> 0 BEGIN
	DELETE from	@SUBDIV 
	INSERT INTO @SUBDIV (LINK)
	select link = @r_SUB	
END*/


DECLARE
	@first_month_of_quarter TINYINT,
	@second_month_of_quarter TINYINT,
	@third_month_of_quarter TINYINT

IF @Period_Number = 1
	SELECT @first_month_of_quarter = 1, @second_month_of_quarter = 2, @third_month_of_quarter = 3
IF @Period_Number = 2
	SELECT @first_month_of_quarter = 4, @second_month_of_quarter = 5, @third_month_of_quarter = 6
IF @Period_Number = 3
	SELECT @first_month_of_quarter = 7, @second_month_of_quarter = 8, @third_month_of_quarter = 9
IF @Period_Number = 4
	SELECT @first_month_of_quarter = 10, @second_month_of_quarter = 11, @third_month_of_quarter = 12

SELECT  @first_month_of_quarter = ISNULL(@first_month_of_quarter,1), @second_month_of_quarter = ISNULL(@second_month_of_quarter,2), @third_month_of_quarter = ISNULL(@third_month_of_quarter,3)


SELECT top 1
	DD1.OKPO AS OKPO1,
	DD1.INN AS INN1, 
    KPP1 =  CASE WHEN EXISTS(SELECT * FROM @SUBDIV) 
				 then (SELECT TOP 1 O_KPP FROM  subdiv WHERE LINK_up = (SELECT TOP 1 link FROM @SUBDIV) AND  @End_Date BETWEEN DATE_BEGIN AND DATE_END )
				 else DD1.KPP END ,
	FULL_NAME = UPPER(DD1.FULL_NAME),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	DD1.OGRN AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE  ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	CHIEF.FM as CHIEF_FM,
	CHIEF.IM as CHIEF_IM,
	CHIEF.OT as CHIEF_OT,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	DD1.OGRN,
	DD1.OKATO,
	OKTMO = CASE WHEN EXISTS(SELECT * FROM @SUBDIV) 
				 then (SELECT TOP 1 O_OKATO FROM  subdiv WHERE LINK_up = (SELECT TOP 1 link FROM @SUBDIV) AND  @End_Date BETWEEN DATE_BEGIN AND DATE_END)
				 else DD1.OKTMO END ,
	DD1.OKVED,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TaxType = DD1.FSS_KP_PC1,
	TaxType2 = DD1.FSS_KP_PC2,
	TaxType3 = DD1.FSS_KP_PC3
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP

 --     / 
SELECT top 1
	DD1.OKPO AS OKPO1,
	DD1.INN AS INN1, 
    KPP1 =  CASE WHEN isnull(@r_SUB,0) <> 0 
				 then (SELECT TOP 1 O_KPP FROM  subdiv WHERE LINK_up =  isnull(@r_SUB,0) AND  @End_Date BETWEEN DATE_BEGIN AND DATE_END )
				 else DD1.KPP END ,
	FULL_NAME = UPPER(DD1.FULL_NAME),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	DD1.OGRN AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE  ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	CHIEF.FM as CHIEF_FM,
	CHIEF.IM as CHIEF_IM,
	CHIEF.OT as CHIEF_OT,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	DD1.OGRN,
	DD1.OKATO,
	OKTMO = CASE WHEN isnull(@r_SUB,0) <> 0 
				 then (SELECT TOP 1 O_OKATO FROM  subdiv WHERE LINK_up = isnull(@r_SUB,0) AND  @End_Date BETWEEN DATE_BEGIN AND DATE_END)
				 else DD1.OKTMO END ,
	DD1.OKVED,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TaxType = DD1.FSS_KP_PC1,
	TaxType2 = DD1.FSS_KP_PC2,
	TaxType3 = DD1.FSS_KP_PC3
INTO #DEP_DATA_REORG	
FROM DICTIONARY_DEPARTMENT DD1
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(ISNULL(@R_DEP_LINK,@LINK_DEP), '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(ISNULL(@R_DEP_LINK,@LINK_DEP), ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE ((isnull(@r_sub,0) = 0 AND DD1.LINK = @R_DEP_LINK )
		OR (isnull(@r_sub,0)<> 0 AND DD1.LINK = @LINK_DEP ))
	
	
/*exec [dbo].[SA_6NDFL_EXPORT_v5_02]        1119*/

/*exec [dbo].[SA_6NDFL_EXPORT_v5_02]        1114*/

DECLARE @NumDotC VARCHAR(2), @NumDot INT
SELECT @NumDotC = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_NOM_OBR'),'00')
SET @NumDot = CASE WHEN ISNUMERIC(@NumDotC) =1 THEN CONVERT(INT,@NumDotC) ELSE 0 END

DECLARE @LIKV VARCHAR(3), @nLIKV INT
SELECT @LIKV = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_LIKVID'),'00')
SET @nLIKV = CASE WHEN LTRIM(RTRIM(@LIKV)) = '' THEN 1 ELSE 0 END

/*DECLARE @LIKV_TYPE VARCHAR(3), @nLIKV_TYPE CHAR(1)
SELECT @LIKV_TYPE = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_LIKVID'),'')
SET @nLIKV_TYPE = CASE 	WHEN LTRIM(RTRIM(@LIKV_TYPE)) = '' THEN '1' 
						WHEN LTRIM(RTRIM(@LIKV_TYPE)) = '' THEN '2' 
						WHEN LTRIM(RTRIM(@LIKV_TYPE)) = '' THEN '3' 
						WHEN LTRIM(RTRIM(@LIKV_TYPE)) = '' THEN '5' 
						WHEN LTRIM(RTRIM(@LIKV_TYPE)) = '' THEN '6' 
						WHEN LTRIM(RTRIM(@LIKV_TYPE)) = '   ' THEN '0' 
						ELSE '' END*/



DECLARE @Cur0 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @Cur CURSOR, @Cur1 CURSOR, @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254)

DECLARE @lcFNAME varchar(254),
		@lcFidNAME VARCHAR(254)

SELECT @lcFNAME ='NO_NDFL6_'+ isnull(IMNS_SONO,'0000000000') + '_'+ isnull(SONO,'0000000000') + '_'+ LTRIM(rtrim(INN1))+LTRIM(rtrim(KPP1))+ '_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.',''))))  + '_0.XML' FROM #DEP_DATA
SELECT @lcFidNAME ='NO_NDFL6_'+isnull(IMNS_SONO,'0000000000')  + '_'+ isnull(SONO,'0000000000') + '_'+ LTRIM(rtrim(INN1))+LTRIM(rtrim(KPP1))+ '_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.',''))))  + '_0' FROM #DEP_DATA
/*exec [dbo].[SA_6NDFL_EXPORT_v5_01]       2060*/
--SELECT convert(varchar(10),@modify_date,104)


INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, 'OEM' -- 
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="windows-1251"?>'
--UNION ALL SELECT @lcFNAME, SPACE(0) + '<?F4FORM version="0.7"?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '< ="'+LTRIM(RTRIM(@lcFidNAME))+'" ="'+@NAME_PROG+ ':'+ @VERS_PROG+'" ="5.02">'

/**  **/

	UNION ALL SELECT @lcFNAME, SPACE(1) + '<'
		+ ' ="1151099"'
		+ ' ="' + convert(varchar(10),@modify_date,104) + '"'
		--+ ' DOP_NUM="' + ISNULL(LTRIM(RTRIM(FSS_KOD_DOP)),'') + '"'
		+ ' ="' + (CASE @Period_Number WHEN 1 THEN '21' WHEN 2 THEN '31' WHEN 3 THEN '33' ELSE '34' END) + '"'
		+ ' ="' + CONVERT(VARCHAR(4),@YEAR) + '"'
		+ ' ="' + LTRIM(RTRIM(isnull(IMNS_SONO,''))) + '"'
		+ ' ="' + LTRIM(RTRIM(CONVERT(VARCHAR(3),@Version))) + '"' -- 
		+ ' ="'+LTRIM(RTRIM(convert(varchar(3),@PLACE)))+'">'
	FROM #DEP_DATA	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '<'	
			+ ' ="' + LTRIM(RTRIM(OKTMO)) + '"'
			+ CASE WHEN ISNULL((SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = ''),'') = '' 
				THEN '' ELSE 
				' ="' +(SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = '') + '"'
				END 
				+ '>'
		FROM #DEP_DATA	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(3) + '< '	
										  + ' = "' + LTRIM(RTRIM(REPLACE(FULL_NAME,'"',''))) + '" ="' +LTRIM(RTRIM(INN1)) + '" ="' + LTRIM(RTRIM(KPP1)) + '">'
					FROM #DEP_DATA
					
					IF EXISTS (SELECT R_DEP_LINK , R_SUB 
									FROM dbo.dict_reorganization WHERE rtrim(ltrim(NAME_REORG)) = ltrim((SELECT DBO.RN_GET_ATR_VALUE(@link, 'REPORTS_ATR_REORG')))
					)
					BEGIN 
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
							SELECT @lcFNAME, SPACE(4) + '< ="' + LTRIM(RTRIM(CONVERT(char(1),@reorg_form))) + '" ="' +LTRIM(RTRIM(INN1)) + '" ="' + LTRIM(RTRIM(KPP1)) + '"/>'
								FROM #DEP_DATA_REORG			
					END				
			  
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
			  SELECT @lcFNAME, SPACE(3) + '</>'	
			

		UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '< ="1">'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<'	+ ' ="' + LTRIM(RTRIM(CHIEF_FM)) + '"'
					+ ' ="' +LTRIM(RTRIM(CHIEF_IM)) + '"'
					+ ' ="' + LTRIM(RTRIM(CHIEF_OT)) + '"/>'
				FROM #DEP_DATA	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'

--  /**  I **/

	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, SPACE(2) + '<6>'

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(3) + '<' 
					 +' ="' + isnull((select ltrim(rtrim(SUMMA)) from DBO.SA_SAVED_REPORT_VIEW (@link, 1, DEFAULT, DEFAULT) T WHERE T.COL = 3 AND t.ROW_CODE = '3060' ),0) + '"'  
					 +' ="' + + isnull((select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) from DBO.SA_SAVED_REPORT_VIEW (@link, 1, DEFAULT, DEFAULT) T WHERE T.COL = 3 AND t.ROW_CODE = '3070' ),0) + '"'
					 +' ="' + + isnull((select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) from DBO.SA_SAVED_REPORT_VIEW (@link, 1, DEFAULT, DEFAULT) T WHERE T.COL = 3 AND t.ROW_CODE = '3080'),0) + '"'
					 +' ="' + + isnull((select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) from DBO.SA_SAVED_REPORT_VIEW (@link, 1, DEFAULT, DEFAULT) T WHERE T.COL = 3 AND t.ROW_CODE = '3090' ),0) + '">'
  
	IF		(SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='020')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='025')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='030')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='040')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='045')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='050')>0
	BEGIN 
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(4) + '< ="' + (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='010')  +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='020') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='025') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='030') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='040') +'" '	
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='045') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='050') +'"/>'	
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE IN ('010')  ORDER BY T.COL
	END		
	IF		(SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1020')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1025')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1030')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1040')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1045')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1050')>0
	BEGIN 
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(4) + '< ="' + (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1010')  +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1020') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1025') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1030') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1040') +'" '	
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1045') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='1050') +'"/>'	
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE IN ('1010')  ORDER BY T.COL
	END		
	IF		(SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2020')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2025')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2030')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2040')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2045')>0
		or (SELECT ISNULL(SUMMA2,0) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2050')>0
	BEGIN 
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(4) + '< ="' + (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2010')  +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2020') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2025') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2030') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2040') +'" '	
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2045') +'" '
							+ '="'+ (SELECT LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),T.SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE ='2050') +'"/>'	
			FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, default, DEFAULT) T WHERE T.COL IN (3) AND t.ROW_CODE IN ('2010')  ORDER BY T.COL
			
	END		
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</>'



--  /**  II **/

		CREATE TABLE #TAB_R2 (
			LINK INT identity(1,1), DATE_F_INC datetime, DATE_U_NAL VARCHAR(10), DATE_PER VARCHAR(10), SUM_FAKT_INC NUMERIC(18,2), SUM_U_NAL NUMERIC(18,2))

		CREATE TABLE #TEMP_R2 (ROW_CODE VARCHAR(10), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(10))
		INSERT INTO #TEMP_R2  (ROW_CODE, COL, SUMMA, STR_VAL)
		SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT, DEFAULT) T ORDER BY T.COL

		INSERT INTO #TAB_R2 (DATE_F_INC, DATE_U_NAL, DATE_PER, SUM_FAKT_INC,SUM_U_NAL)
		SELECT DISTINCT
			DATE_F_INC = (SELECT TOP 1 dbo.convertC2D(t.STR_VAL) FROM #TEMP_R2 T WHERE T.COL = 2 AND T.ROW_CODE = T2.ROW_CODE),
			DATE_U_NAL = (SELECT TOP 1 STR_VAL FROM #TEMP_R2 T WHERE T.COL = 3 AND T.ROW_CODE = T2.ROW_CODE),
			DATE_PER = (SELECT TOP 1 STR_VAL FROM #TEMP_R2 T WHERE T.COL = 4 AND T.ROW_CODE = T2.ROW_CODE),
			SUM_FAKT_INC = (SELECT TOP 1 SUMMA FROM #TEMP_R2 T WHERE T.COL = 5 AND T.ROW_CODE = T2.ROW_CODE),
			SUM_U_NAL = (SELECT TOP 1 SUMMA FROM #TEMP_R2 T WHERE T.COL = 6 AND T.ROW_CODE = T2.ROW_CODE)
		FROM
			#TEMP_R2 T2 


	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, SPACE(3) + '<>'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @lcFNAME, SPACE(4) + '< ="' + LTRIM(RTRIM(ISNULL(convert(varchar(10),DATE_F_INC,104),'00.00.0000'))) +'" '
					 + '="'+ LTRIM(RTRIM(ISNULL(DATE_U_NAL,'00.00.0000')))  +'" '
					 + '="'+ LTRIM(RTRIM(ISNULL(DATE_PER,'00.00.0000')))  +'" '
					 + '="'+ LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUM_FAKT_INC),'')))   +'" '
					 + '="'+ LTRIM(RTRIM(ISNULL(CONVERT(int,SUM_U_NAL),'')))   +'"/>'
	FROM #TAB_R2  ORDER BY convert(datetime,DATE_F_INC,104)

	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</>'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(2) + '</6>'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(1) + '</>'
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(0) + '</>'
/*exec [dbo].[SA_6NDFL_EXPORT_v5_01]         2833*/


SET NOCOUNT OFF


select * from #OUTPUT order by [ID]













GO


GRANT EXECUTE ON dbo.[SA_6NDFL_EXPORT_v5_02] TO PUBLIC

GO



GO

-- FIX >>  : 10166.sql

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSA_RPSV_PERS_UCH_SZV]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSA_RPSV_PERS_UCH_SZV]

GO

--   EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20171001', '20171231', 74578, 0 , 3161
CREATE PROCEDURE dbo.RSA_RPSV_PERS_UCH_SZV
	@dDate1 DATETIME,
	@dDate2 DATETIME,
	@LINK_DEP int = NULL,
	@REP TINYINT = 0,
	@VARILSF INT = null
AS BEGIN


	declare @DEP_LINK int
	exec dbo.xd_whats_zb @DEP_LINK output

	SET @DEP_LINK = COALESCE(@LINK_DEP,@DEP_LINK)

DECLARE @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

	SELECT
		@nYEAR = YEAR(@dDATE1),
		@nMONTH1 = MONTH(@dDATE1),
		@nMONTH2 = MONTH(@dDATE1)+1,
		@nMONTH3 = MONTH(@dDATE1)+2

	DECLARE @ATR_PERS_UCH INT
	DECLARE @ATR_likvid INT
	DECLARE @NUM_KOR  INT
	SET @ATR_PERS_UCH  = (SELECT DBO.RN_GET_ATR_VALUE(@VARILSF, 'REPORTS_ATR_PERS_UCH'))
	SET @ATR_likvid  = CASE WHEN (SELECT DBO.RN_GET_ATR_VALUE(@VARILSF, 'REPORTS_ATR_LIKVID')) = '' THEN 0 ELSE 1 END
	SET @NUM_KOR  = (SELECT [version] FROM REPORT_SAVED_FORMS AS rsf WHERE Link_Saved_Form = @VARILSF)

	DECLARE  @Period_Number TINYINT, @Begin_Date DATETIME, @End_Date DATETIME
	SELECT
		@Period_Number = Period_Number,
		@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
		@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date)))
	FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @VARILSF

--************************************************************
	--      
	--    
--***********************************************************

	create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int , REF_PHYS_PERS INT , link_empl int, link_vkr INT  , FACE_GROUP TINYINT, I TINYINT, E TINYINT, INO TINYINT, TDOG INT , SP VARCHAR(4) , KATEG TINYINT)
	-----     ,  , ,           13%,
	--	  PERSON_CZ  - 0 ..        .
	SELECT DISTINCT PERS_LINK = p.link , p.RESIDENT ,
					PERSON_CZ =  CASE WHEN ltrim(rtrim(c.name)) LIKE ('%%') THEN
									 (case when (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
											or (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
											OR (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%')
											OR (p.BIRTHPLACE LIKE '%%' OR p.doc_whom LIKE '%%') then 0 else 1 end) WHEN ltrim(rtrim(c.name)) LIKE ('% %') THEN  2 ELSE 0 end
	
	INTO #PERS_INO
	FROM person p
	INNER JOIN  citizenship  c ON c.link = p.CITIZ_LINK  AND (ltrim(rtrim(c.name)) LIKE ('%%') OR  ltrim(rtrim(c.name)) LIKE ('% %'))

	Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS , link_empl, FACE_GROUP, I, E, INO, TDOG , SP, KATEG)
	Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS,
		link_empl  = null,
		( CASE WHEN P.RESIDENT = 0 THEN 3
			   WHEN YEAR(birthdate)<= 1966 THEN 1
			   WHEN YEAR(birthdate)>= 1967 THEN 2 END ) AS FACE_GROUP,
		1,---   dbo.is_invalid(REF_PHYS_PERS,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH_BASE,@nYEAR))),
		F.ENVD,
		IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		TDOG = 1,
		SP = isnull(left(s4.code,4),''),
		KATEG
	from dbo.SA_ESN_VIEW(@nYEAR, @nMONTH3, @DEP_LINK, 0) S
		inner join PERSON P on S.REF_PHYS_PERS = P.link
		inner join dbo.SAL_SFIN F on F.LINK = S.LINK_VKR
		LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = S.SPECO  AND s4.spr_code = 'SPO_USL_TRUDA'
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND (o.PERSON_CZ <> 0 AND o.RESIDENT <> 1)
	WHERE  WAY_CALC not in (5)
	
	UPDATE s
	SET  link_empl = ( SELECT top 1 link FROM  dbo.sd_empl sd WHERE  sd.pers_link = s.REF_PHYS_PERS AND  dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR) BETWEEN sd.DATE_begin AND isnull(sd.DATE_end,'20991231')  )
	from #SPR_ESN s


	--  
	INSERT INTO #SPR_ESN
		([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E, INO, TDOG, KATEG)
	SELECT
		MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK,
		( CASE WHEN P.RESIDENT = 0  THEN 3
			   WHEN YEAR(birthdate)<= 1966 THEN 1
			   WHEN YEAR(birthdate)>= 1967 THEN 2 END) AS FACE_GROUP ,
		1,---   dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))),
		F.ENVD,
		IN0 = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		TDOG = 2,
		KATEG = 	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))) = 2
					THEN 3
					ELSE
					(CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END )
		        	END
		
	FROM
		DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
		inner join PERSON P on GT.PERS_LINK = P.link
		inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = P.link AND (o.PERSON_CZ <> 0 AND o.RESIDENT <> 1)
	WHERE
		FLAG_JC = 1
		AND GT.WAY_CALC  not in (5)
		AND YEAR(G.[DATE]) = @nYEAR
		AND MONTH(G.[DATE]) <= @nMONTH3
		AND LINK_DEP = @DEP_LINK


	DELETE FROM #SPR_ESN
	WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0 AND DATE_PENS <= @dDate1)
		

	Declare @StBase2 table (link int)
	Insert into @StBase2 (link)
	select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 6)

	--   
	SELECT
		GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, F.ENVD, SUMMA_BASE = sum(GT.SUMMA_BASE)
	INTO #DGH_FAKT_BASE
	FROM
		dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
		INNER JOIN dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
	WHERE
		FLAG_JC = 1
		AND GT.WAY_CALC  = 6
		AND YEAR(G.[DATE]) = @nYEAR
		AND MONTH(G.[DATE]) <= @nMONTH3
		AND LINK_DEP = @DEP_LINK
	GROUP BY
		GT.PERS_LINK, MONTH(G.[DATE]), F.ENVD

	SELECT  PERS_LINK, MONTH_BASE, SUMMA_BASE = SUM(SUMMA_BASE)
	INTO #DGH_FAKT_BASE1
	FROM #DGH_FAKT_BASE
	GROUP BY PERS_LINK, MONTH_BASE

	DECLARE @LINK_EKR213 INT
	SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

	DECLARE @ESN_213 INT --      213 
	SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')

	------
	CREATE TABLE #CALCULATE_JURNAL (LINK_PAYS INT, PERIOD_BEGIN DATETIME, LINK_DOC INT, PERS_LINK INT, LINK_VKR INT, LINK_EKR INT, LINK_EMPL INT, SUMMA NUMERIC(18,2), WAY_CALC TINYINT , SPECO int)
	INSERT INTO #CALCULATE_JURNAL (LINK_PAYS, PERIOD_BEGIN, LINK_DOC, PERS_LINK, LINK_VKR, LINK_EKR, LINK_EMPL, SUMMA,way_calc , SPECO)
	SELECT CJ.LINK_PAYS, CJ.PERIOD_BEGIN, CJ.LINK_DOC, CJ.PERS_LINK, CJ.LINK_VKR, cj.LINK_EKR, CJ.LINK_EMPL, SUMMA = SUM(CJ.SUMMA), p.way_calc , SPECO
	FROM dbo.CALCULATE_JURNAL CJ INNER JOIN dbo.PAYS P ON  CJ.LINK_PAYS = p.link
	WHERE
		Year(period_begin) = @nYEAR
		and Month(period_begin) <= @nMONTH3
		and CJ.LINK_DEP = @DEP_LINK
	GROUP BY
		cj.LINK_PAYS, cj.PERIOD_BEGIN, cj.LINK_DOC, cj.PERS_LINK, cj.LINK_VKR, cj.LINK_EKR, cj.LINK_EMPL, P.WAY_CALC,cj.SPECO


	DELETE FROM #CALCULATE_JURNAL
	WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = (SELECT e.PERS_LINK FROM empl e WHERE e.link = LINK_EMPL  )  and K.CHECK_SZV = 0  AND DATE_PENS <= @dDate1)


	------	      
	CREATE TABLE #PERS_INV (PERS_LINK INT)
	--SELECT DISTINCT PERS_LINK
	--INTO #PERS_INV
	--FROM dbo.PERS_INVALID I
	--WHERE COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate


	------	            
	SELECT DISTINCT sd.LINK, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,'')
	INTO #EMPL_DT
	FROM DBO.KU_EMPL_PLACING SD
		left JOIN (select * from STAFF WHERE dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR)) BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD  AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR )) BETWEEN S.DATE_BEGIN AND S.DATE_END
		LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD  AND s4.spr_code = 'SPO_USL_TRUDA'
		WHERE
			(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL)


	--  #SALARY_SUM2
	CREATE TABLE #SALARY_SUM_DATA (PERS_LINK INT,LINK_EMPL INT ,T_DOG INT , PERIOD_BEGIN DATETIME, SUMMA_ALL NUMERIC(18,2), SUMMA_NO NUMERIC(18,2), SUMMA_ALL_I NUMERIC(18,2), SUMMA_NO_I NUMERIC(18,2), SUMMA_ALL_E NUMERIC(18,2), SUMMA_NO_E NUMERIC(18,2), INV TINYINT , INO TINYINT,
			SUMMA_ALL_INO NUMERIC(18,2), SUMMA_NO_INO NUMERIC(18,2)
			/*,SUMMA_ALL_D1 NUMERIC(18,2)*/, SUMMA_NO_D1 NUMERIC(18,2)/*, SUMMA_ALL_D2 NUMERIC(18,2)*/, SUMMA_NO_D2 NUMERIC(18,2),
		SUM_NO_D1_O4 NUMERIC(18,2) ,SUM_NO_D1_B34 NUMERIC(18,2) ,SUM_NO_D1_B33 NUMERIC(18,2),SUM_NO_D1_B32 NUMERIC(18,2), SUM_NO_D1_B31 NUMERIC(18,2),
			SUM_NO_D2_O4 NUMERIC(18,2) ,SUM_NO_D2_B34 NUMERIC(18,2) ,SUM_NO_D2_B33 NUMERIC(18,2),SUM_NO_D2_B32 NUMERIC(18,2), SUM_NO_D2_B31 NUMERIC(18,2), sack CHAR(1) DEFAULT ''
			)
	--


	INSERT INTO #SALARY_SUM_DATA (PERS_LINK,LINK_EMPL,T_DOG, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO ,
				SUMMA_ALL_INO , SUMMA_NO_INO
			/*,SUMMA_ALL_D1*/, SUMMA_NO_D1/*, SUMMA_ALL_D2*/, SUMMA_NO_D2,SUM_NO_D1_O4,SUM_NO_D1_B34,SUM_NO_D1_B33, SUM_NO_D1_B32, SUM_NO_D1_B31,
			SUM_NO_D2_O4,SUM_NO_D2_B34,SUM_NO_D2_B33, SUM_NO_D2_B32, SUM_NO_D2_B31, sack)
	select
		E.PERS_LINK,
		CJ.LINK_EMPL,
		T_DOG  = 1 ,
		CJ.PERIOD_BEGIN,
		SUMMA_ALL = SUM(SUMMA),
		SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
		SUMMA_ALL_I = 0,
		SUMMA_NO_I = 0,
		SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
		SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 AND (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) THEN SUMMA ELSE 0 END),
		INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		
		SUMMA_ALL_INO = 0,
		SUMMA_NO_INO = 0,
		--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D1 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 1 AND isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),

		----SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D2 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 2 and  isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='4'  THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
		SUM_NO_D1_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.1' THEN SUMMA ELSE 0 END),	
		SUM_NO_D2_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='4' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
		SUM_NO_D2_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.1' THEN SUMMA ELSE 0 END),
		sack = ''--CASE WHEN isnull(e.DATE_END,'') BETWEEN dbo.DateENDOfMonth(@dDate1) AND @dDate2 THEN (case when isnull(e.sack,0) = 0 THEN '' ELSE CONVERT( char(1),e.sack ) end ) ELSE '' END
	from
		#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
		INNER JOIN DBO.sd_EMPL E ON E.LINK = CJ.LINK_EMPL
		LEFT JOIN @StBase2 B ON B.LINK = cj.LINK_PAYS
		LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = E.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
		LEFT JOIN #EMPL_DT ED ON ED.link = CJ.LINK_EMPL
	where 	
		P.[OBJECT] = 1
	GROUP BY
		E.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN , O.pers_LINK,CJ.LINK_EMPL--, e.DATE_END --, e.sack

	INSERT INTO #SALARY_SUM_DATA (PERS_LINK,LINK_EMPL,T_DOG, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO ,
				SUMMA_ALL_INO , SUMMA_NO_INO
			/*,SUMMA_ALL_D1*/, SUMMA_NO_D1/*, SUMMA_ALL_D2*/, SUMMA_NO_D2,SUM_NO_D1_O4,SUM_NO_D1_B34,SUM_NO_D1_B33, SUM_NO_D1_B32, SUM_NO_D1_B31,
			SUM_NO_D2_O4,SUM_NO_D2_B34,SUM_NO_D2_B33, SUM_NO_D2_B32, SUM_NO_D2_B31, sack)
	select
		s.ref_phys_pers,
		s.LINK_EMPL,
		T_DOG  = 1 ,
		dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR),
		SUMMA_ALL = SUM(SUMMA),
		SUMMA_NO = 0, --     
		SUMMA_ALL_I = 0,
		SUMMA_NO_I = 0,
		SUMMA_ALL_E = 0,
		SUMMA_NO_E = 0,
		INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		
		SUMMA_ALL_INO = 0,
		SUMMA_NO_INO = 0,
		--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D1 =0,

		----SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
		SUMMA_NO_D2 = 0,
		SUM_NO_D1_O4 = 0,
		SUM_NO_D1_B34 = 0,
		SUM_NO_D1_B33 = 0,
		SUM_NO_D1_B32 = 0,
		SUM_NO_D1_B31 = 0,	
		SUM_NO_D2_O4 = 0,
		SUM_NO_D2_B34 = 0,
		SUM_NO_D2_B33 = 0,
		SUM_NO_D2_B32 = 0,
		SUM_NO_D2_B31 = 0,
		sack = ''--CASE WHEN isnull(e.DATE_END,'') BETWEEN dbo.DateENDOfMonth(@dDate1) AND @dDate2 THEN (case when isnull(e.sack,0) = 0 THEN '' ELSE CONVERT( char(1),e.sack ) end ) ELSE '' END
	from
		#SPR_ESN s
		INNER JOIN DBO.sd_EMPL E ON E.LINK = s.LINK_EMPL
		LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = E.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
		LEFT JOIN #EMPL_DT ED ON ED.link = s.LINK_EMPL
	WHERE  NOT EXISTS( SELECT  link_empl FROM #SALARY_SUM_DATA AS ss WHERE ss.PERS_LINK = s.REF_PHYS_PERS AND ss.PERIOD_BEGIN = dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR))
		  AND   dbo.ConvertDMY2Date(1, s.[MONTH_BASE], @nYEAR) BETWEEN e.DATE_begin AND isnull(e.DATE_END,'21991231')
	GROUP BY
		s.ref_phys_pers, E.PERS_LINK, I.PERS_LINK , s.[MONTH_BASE] , O.pers_LINK,s.LINK_EMPL--, e.DATE_END --, e.sack
	



	--
	INSERT INTO #SALARY_SUM_DATA (PERS_LINK,  T_DOG, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV, INO,SUMMA_ALL_INO,SUMMA_NO_INO
			--,SUMMA_ALL_D1, SUMMA_NO_D1, SUMMA_ALL_D2, SUMMA_NO_D2
			)
	select
		CJ.PERS_LINK,
		T_DOG = 2,
		CJ.PERIOD_BEGIN,
		SUMMA_ALL = SUM(SUMMA),
		SUMMA_NO = SUM(SUMMA) - ISNULL((SELECT SUM(B1.SUMMA_BASE) FROM #DGH_FAKT_BASE1 B1 WHERE B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)),0), --     
		SUMMA_ALL_I = 0,
		SUMMA_NO_I = 0,
		SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
		SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END)  - ISNULL((SELECT SUM(B.SUMMA_BASE) FROM #DGH_FAKT_BASE B WHERE B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1),0),
		INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		INO = CASE WHEN O.PERS_LINK IS NULL THEN 0 ELSE 1 END,
		SUMMA_ALL_INO = 0,
		SUMMA_NO_INO = 0
		--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
		--SUMMA_NO_D1 = 0,

		--SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
		--SUMMA_NO_D2 = 0
			
	from
		#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
		INNER JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
		--     
	--	LEFT JOIN #DGH_FAKT_BASE B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1
		--   
	--	LEFT JOIN #DGH_FAKT_BASE1 B1 ON B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
		LEFT JOIN #PERS_INV I ON I.PERS_LINK = CJ.PERS_LINK
		LEFT JOIN #PERS_INO O ON O.PERS_LINK = CJ.PERS_LINK AND (o.PERSON_CZ <> 0 AND O.resident<>1)
	where 	
		P.[OBJECT] = 1
	GROUP BY
		CJ.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN, P1.RESIDENT, p1.birthdate , O.pers_LINK



	----    ,      
	--UPDATE D SET
	--	SUMMA_ALL_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL ELSE 0 END),
	--	SUMMA_NO_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO ELSE 0 END),
	--	SUMMA_ALL_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL_E ELSE 0 END),
	--	SUMMA_NO_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO_E ELSE 0 END)
	--FROM #SALARY_SUM_DATA D
	--WHERE INV = 1 --    -  	

	--    ,      
	UPDATE D SET
		SUMMA_ALL_INO = (CASE when D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_ALL ELSE 0 END),
		SUMMA_NO_INO = (CASE WHEN D.PERS_LINK = (SELECT top 1 i1.pers_link FROM #PERS_INO I1 WHERE I1.PERS_LINK =  D.PERS_LINK) THEN SUMMA_NO ELSE 0 END)
	FROM #SALARY_SUM_DATA D
	WHERE INO = 1 --  -  	


-----------
DECLARE @PREDEL NUMERIC(18,2)
SET @PREDEL = ISNULL((SELECT MIN(PREDEL) FROM dbo.DICTIONARY_RANGE_PF WHERE WAY_CALC = 6 AND TARIF = 1 AND [DATE] >= dbo.ConvertDMY2Date(1,1,YEAR(@dDate1))),0)
-----------

	--   
	SELECT
		PERS_LINK,
		--MON = Month(PERIOD_BEGIN),
		T_DOG = MIN(T_DOG),
		SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO),
		SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I),
		SUMMA_ALL_E = SUM(SUMMA_ALL_E), SUMMA_NO_E = SUM(SUMMA_NO_E),
		SUMMA_ALL_INO = SUM(SUMMA_ALL_INO), SUMMA_NO_INO = SUM(SUMMA_NO_INO),
		SUMMA_ALL_DO_I = (CASE WHEN SUM(SUMMA_ALL_I) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL_I) - SUM(SUMMA_NO_I)) END ),
		SUMMA_ALL_DO = (CASE WHEN SUM(SUMMA_ALL) > @PREDEL THEN  @PREDEL ELSE (SUM(SUMMA_ALL) - SUM(SUMMA_NO)) END ),
		SUMMA_ALL_AFTER = (CASE WHEN SUM(SUMMA_ALL - SUMMA_ALL_I - SUMMA_NO - SUMMA_NO_I)  > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END ),
		SUMMA_ALL_AFTER_I = (CASE WHEN SUM(SUMMA_ALL_I) > @PREDEL THEN  SUM(SUMMA_ALL) - @PREDEL ELSE 0 END )
		,BASE_DOG = SUM(CASE WHEN T_DOG = 2 THEN SUMMA_ALL - SUMMA_NO ELSE 0 END),
		SUMMA_NO_D1 = SUM(SUMMA_NO_D1), SUMMA_NO_D2 = SUM(SUMMA_NO_D2),
		SUM_NO_D1_O4  = SUM(SUM_NO_D1_O4), SUM_NO_D1_B34 = SUM(SUM_NO_D1_B34),
		SUM_NO_D1_B33 = SUM(SUM_NO_D1_B33), SUM_NO_D1_B32 = SUM(SUM_NO_D1_B32), SUM_NO_D1_B31 = SUM(SUM_NO_D1_B31),
		SUM_NO_D2_O4  = SUM(SUM_NO_D2_O4), SUM_NO_D2_B34 = SUM(SUM_NO_D2_B34),
		SUM_NO_D2_B33 = SUM(SUM_NO_D2_B33), SUM_NO_D2_B32 = SUM(SUM_NO_D2_B32), SUM_NO_D2_B31 = SUM(SUM_NO_D2_B31) /*,
		SACK = MAX(SACK)*/
	INTO #SALARY_SUM2
	FROM #SALARY_SUM_DATA WHERE month(PERIOD_BEGIN)BETWEEN @nMONTH1 AND @nMONTH3
	GROUP BY
		PERS_LINK
		

	------   
	--
	--,        
	DECLARE @LIMIT NUMERIC(18,2)

	SELECT
		@LIMIT  = MIN(S.PREDEL)
	FROM
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
	WHERE
		tarif =1
		and
		[DATE] =  (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0
		
	SET @LIMIT = ISNULL(@LIMIT,0)


	--,        
	DECLARE @LIMIT_OMS NUMERIC(18,2)

	SELECT @LIMIT_OMS = MAX(S.PREDEL)
	FROM
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
	WHERE
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0
		
	SET @LIMIT_OMS = ISNULL(@LIMIT_OMS,0)


	--  ,        (%)
	--   
	--    2014         ,      " 1967"
	DECLARE
		@PERCENT NUMERIC(18,2),
		--    2014  
		-- @PERCENT_N NUMERIC(18,2)  --
		@PERCENT_OMS NUMERIC(18,2), @IPERCENT_OMS NUMERIC(18,2)
		
	SELECT
		@PERCENT = S.PERCENT3
	FROM
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
	WHERE
		predel = @LIMIT
		and tarif =1
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT3 > 0
		
	SET @PERCENT = ISNULL(@PERCENT,0)	


	--
	SELECT @PERCENT_OMS = S.PERCENT1
	FROM
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
	WHERE
		predel = @LIMIT_OMS
		and tarif =1
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0

	--
	SELECT @IPERCENT_OMS = S.PERCENT1
	FROM
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
	WHERE
		predel = @LIMIT_OMS
		and tarif =3
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0	

	SET @PERCENT_OMS = ISNULL(@PERCENT_OMS,0)	
	SET @IPERCENT_OMS = ISNULL(@IPERCENT_OMS,0)

	--  
	---  
	DECLARE @IPERCENT NUMERIC(28,2)
	SELECT @IPERCENT = S.PERCENT3
	FROM
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
	WHERE
		predel = @LIMIT
		and tarif = 3
		and
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
		 ORDER BY [DATE] DESC)
		AND
		S.PERCENT1 > 0
	SET @IPERCENT = ISNULL(@IPERCENT,0)		


	SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1 FROM #SPR_ESN WHERE WAY_CALC = 6 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END  FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
	INSERT INTO #SPR_ESN1 SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS

	SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
	INTO #SPR_ESN2
	FROM
		#SPR_ESN1 T INNER JOIN dbo.months_ex(@dDate1, @dDate2) M ON 1=1
		LEFT JOIN #SPR_ESN1 T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
		LEFT JOIN #SPR_ESN1 T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
		

		
--************************************************************
	--     (****)
--***********************************************************

	--   
	DECLARE @ROUND_TYPE tinyint, @ROUND_LEN tinyint
	Set @ROUND_TYPE = dbo.sa_get_option_by_code('SA_SZV4_OPT2')
	Set @ROUND_LEN = (case when @ROUND_TYPE <= 1 then 2 else 0 end)
	Set @ROUND_TYPE = (case when @ROUND_TYPE = 3 then 1 else 0 end)

	--  
	DECLARE @IT_ROUND_TYPE tinyint
	Set @IT_ROUND_TYPE = dbo.sa_get_option_by_code('SA_SZV4_OPT5')
	
	/*SELECT DISTINCT PERS_LINK = p.link , p.RESIDENT ,  PERSON_CZ =  CASE WHEN ltrim(rtrim(c.name)) LIKE ('%%') THEN  1 WHEN ltrim(rtrim(c.name)) LIKE ('% %') THEN  2 ELSE 0 end
	INTO #PERS_INO
	FROM person p
	INNER JOIN  citizenship  c ON c.link = p.CITIZ_LINK  AND (ltrim(rtrim(c.name)) LIKE ('%%') OR  ltrim(rtrim(c.name)) LIKE ('% %'))
	*/
	-----  

		
	SELECT 	
		[YEAR] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @nYEAR ELSE NULL END ,0),
		[CODE] = CASE WHEN ss.INV = 1 then '' ELSE
												(CASE WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 2 THEN ''
												WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 0 THEN ''
												ELSE '' END)
							end ,
		[PER] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @Period_Number ELSE NULL END ,0),
		[PER10] = ISNULL(CASE WHEN @nYEAR = 2013 THEN @Period_Number ELSE NULL END ,0),
		[TYPE] = '1' /*        */,
		[PER_EDT] = 0 /*    */,
		[YEAR_EDT] = 0 /*     */,
		[NGROUP] = 100 /*  -  */,
		[PFNUMBER] = p.INSUR_NUM,
		[T_DOG] = 1,
		link_FACE = ss.PERS_LINK,
		EMPL_LINK = SE.LINK,
		NUM = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY SS.T_DOG),
		[FM]=p.FM,
		[IM]=p.IM,
		[OT] = p.OT,
		[ADDRESS] = (SELECT dbo.GetAddressByKladr(P.ADR_OFIC_LINK)),
		[MON] = month(ss.PERIOD_BEGIN),
		[INC] = ss.SUMMA_ALL,
		[B_BEF] = ((select sum(summa_base) - sum(ded_m) - sum(inv_m) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND WAY_CALC = 6 AND I = 1 AND TDOG = SS.T_DOG  )/(SELECT COUNT(link_empl) FROM #salary_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND month(PERIOD_BEGIN) = month(ss.period_begin) AND T_DOG = SS.T_DOG )   ),
		[B_AFT] = CASE WHEN ss.INV = 1 	THEN (CASE WHEN
													(CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL_I) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG ))
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND month_base <= month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG ),0) ))
													) > @limit
													THEN
													(CONVERT(numeric(18,2),(SELECT CONVERT(numeric(18,2),sum(SUMMA_ALL_I) - sum(SUMMA_NO_I)) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN AND T_DOG = SS.T_DOG ) )
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) - @limit
													ELSE
													0 END)
											ELSE
												(CASE WHEN
													( CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL) - sum(SUMMA_ALL_I) - SUM(SUMMA_NO) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG))
													- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = ss.PERS_LINK AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) > @limit
												THEN @limit
												ELSE
													0
												END)
											END			
										
											
		,
		[INC_T1] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK  and link_empl = se.link AND MONTH_base = month(ss.period_begin) AND way_calc = 10  AND TDOG = SS.T_DOG),0),
		[INC_T2] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK  and link_empl = se.link  AND MONTH_base = month(ss.period_begin) AND way_calc = 11  AND TDOG = SS.T_DOG),0),
		[INSUR] = isnull((select sum(summa) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 6 AND i = case when ss.inv= 0 THEN 1 ELSE 2 END  AND TDOG = SS.T_DOG ),0), --     . 
		/*[INSUR1] = COALESCE(S.INSUR,0), --     . 
		[GAIN] = COALESCE(S.GAIN,0), --     . 
		[GAIN1] = COALESCE(S.DOP,0), --     . 
		*/[DOP] = COALESCE((SELECT ISNULL(dt.dop,0) FROM #empl_dt dt WHERE dt.link = se.link ),0) ,
		--[ID_EX] = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY ,ss.pers_link),
		[DATE_BEGIN] = ss.PERIOD_BEGIN,
		[DATE_END] = dbo.DateENDOfMonth(ss.PERIOD_BEGIN), /*
		dper_vn_m = coalesce(s.dper_vn_m,0),
		dper_vn_d = coalesce(s.dper_vn_d,0),
		dper_oz_m = coalesce(s.dper_oz_m,0),
		dper_oz_d = coalesce(s.dper_oz_d,0),
		[TU_CODE] = f_ter_usl,
		[OS_CODE] = f_osob_usl,
		osob_usl,*/
		OSOB_SPO = (SELECT ISNULL(dt.spo,'') FROM #empl_dt dt WHERE dt.link = se.link ) ,
		/*[EX_CODE] = is_osnov,
		f_is_dop,
		[P_CODE] = ud_osnov,
		f_ud_dop,
		DATE_DOC = [date],*/
		dep_PFNUM = (select PFNUMBER from dbo.departments where link=@DEP_LINK)
	INTO #SZV_ALL
	FROM #SALARY_SUM_DATA AS ss
	INNER JOIN dbo.PERSON AS p ON ss.PERS_LINK = p.LINK
	inner JOIN dbo.sd_empl AS se ON   se.link = ss.link_empl /*AND se.sack = 0*/ AND  se.DATE_BEGIN <= @dDate2   and (isnull(se.date_END,'20991231')  >= @dDate1 OR year(isnull(se.date_END,'20991231'))  = year(@dDate1))
	where  (CASE WHEN  exists(SELECT TOP 1  status_empl  from dbo.sd_empl AS s1 where  s1.link = se.link  /*AND se.sack = 0*/ AND  s1.DATE_BEGIN <= @dDate2    and (isnull(se.date_END,'20991231')  >= @dDate1 OR year(isnull(se.date_END,'20991231'))  = year(@dDate1)) and s1.status_empl = 1)
		THEN 1 ELSE (SELECT TOP 1  status_empl  from dbo.sd_empl AS s1 where s1.link = se.link  /*AND se.sack = 0*/ AND  s1.DATE_BEGIN <= @dDate2   and (isnull(se.date_END,'20991231')  >= @dDate1 OR year(isnull(se.date_END,'20991231'))  = year(@dDate1)))
			      END ) = se.statuS_empl
	ORDER BY se.FM, se.IM,se.OT,se.DATE_BEGIN, ss.PERIOD_BEGIN
		


---    



	INSERT INTO #SZV_ALL
	SELECT 	
		[YEAR] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @nYEAR ELSE NULL END ,0),
		[CODE] = CASE WHEN ss.INV = 1 then '' ELSE
							(CASE WHEN t_dog = 1 THEN
												(CASE WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 2 THEN ''
												WHEN (SELECT resident FROM person WHERE link =ss.pers_link) = 0 THEN ''
												ELSE '' END)
								 WHEN  t_dog = 2 then ''  END )
							end ,
		[PER] = ISNULL(CASE WHEN @nYEAR >= 2013 THEN @Period_Number ELSE NULL END ,0),
		[PER10] = ISNULL(CASE WHEN @nYEAR = 2013 THEN @Period_Number ELSE NULL END ,0),
		[TYPE] = '1' /*        */,
		[PER_EDT] = 0 /*    */,
		[YEAR_EDT] = 0 /*     */,
		[NGROUP] = 100 /*  -  */,
		[PFNUMBER] = p.INSUR_NUM,
		[T_DOG] = SS.T_DOG,
		link_FACE = ss.PERS_LINK,
		EMPL_LINK = '',
		NUM = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY SS.T_DOG),
		[FM]=p.FM,
		[IM]=p.IM,
		[OT] = p.OT,
		[ADDRESS] = (SELECT dbo.GetAddressByKladr(P.ADR_OFIC_LINK)),
		[MON] = month(ss.PERIOD_BEGIN),
		[INC] = ss.SUMMA_ALL,
		[B_BEF] = ((select sum(summa_base) - sum(ded_m) - sum(inv_m) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND WAY_CALC = 6 AND I = 1 AND TDOG = SS.T_DOG  )   ),
		[B_AFT] = CASE WHEN ss.INV = 1 	THEN (CASE WHEN
													(CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL_I) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG ))
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND month_base <= month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG ),0) ))
													) > @limit
													THEN
													(CONVERT(numeric(18,2),(SELECT CONVERT(numeric(18,2),sum(SUMMA_ALL_I) - sum(SUMMA_NO_I)) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN AND T_DOG = SS.T_DOG ) )
													- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = ss.pers_link AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) - @limit
													ELSE
													0 END)
											ELSE
												(CASE WHEN
													( CONVERT(numeric(18,2),(SELECT sum(SUMMA_ALL) - sum(SUMMA_ALL_I) - SUM(SUMMA_NO) - sum(SUMMA_NO_I) FROM #SALARY_SUM_DATA WHERE PERS_LINK = ss.PERS_LINK AND PERIOD_BEGIN <=ss.PERIOD_BEGIN  AND T_DOG = SS.T_DOG))
													- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = ss.PERS_LINK AND  month_base = month(ss.PERIOD_BEGIN ) AND TDOG = SS.T_DOG) ,0) ))
													) > @limit
												THEN  @limit
												ELSE
													0
												END)
											END			
										
											
		,
		[INC_T1] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK  AND MONTH_base = month(ss.period_begin) AND way_calc = 10  AND TDOG = SS.T_DOG),0),
		[INC_T2] = isnull((select sum(summa_base) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 11  AND TDOG = SS.T_DOG),0),
		[INSUR] = isnull((select sum(summa) from #SPR_ESN  where ref_phys_pers =ss.PERS_LINK AND MONTH_base = month(ss.period_begin) AND way_calc = 6 AND i = case when ss.inv= 0 THEN 1 ELSE 2 END  AND TDOG = SS.T_DOG ),0), --     . 
		/*[INSUR1] = COALESCE(S.INSUR,0), --     . 
		[GAIN] = COALESCE(S.GAIN,0), --     . 
		[GAIN1] = COALESCE(S.DOP,0), --     . 
		*/[DOP] = 0 ,
		--[ID_EX] = ROW_NUMBER() OVER (PARTITION BY ss.pers_link ORDER BY ,ss.pers_link),
		[DATE_BEGIN] = ss.PERIOD_BEGIN,
		[DATE_END] = dbo.DateENDOfMonth(ss.PERIOD_BEGIN), /*
		dper_vn_m = coalesce(s.dper_vn_m,0),
		dper_vn_d = coalesce(s.dper_vn_d,0),
		dper_oz_m = coalesce(s.dper_oz_m,0),
		dper_oz_d = coalesce(s.dper_oz_d,0),
		[TU_CODE] = f_ter_usl,
		[OS_CODE] = f_osob_usl,
		osob_usl,*/
		OSOB_SPO = '',
		/*[EX_CODE] = is_osnov,
		f_is_dop,
		[P_CODE] = ud_osnov,
		f_ud_dop,
		DATE_DOC = [date],*/
		dep_PFNUM = (select PFNUMBER from dbo.departments where link=@DEP_LINK)
	
	FROM #SALARY_SUM_DATA AS ss
	INNER JOIN dbo.PERSON AS p ON ss.PERS_LINK = p.LINK
	WHERE /*NOT EXISTS (SELECT link_FACE FROM #SZV_ALL WHERE link_FACE = p.link and ss.PERIOD_BEGIN between date_begin and date_end )AND*/ ss.T_DOG = 2
	ORDER BY SS.T_DOG , p.FM, p.IM,p.OT --,se.DATE_BEGIN


SELECT * INTO #SZV_SUM FROM	
(SELECT
	RN = ROW_NUMBER() OVER (PARTITION BY LINK_FACE, CODE, T_DOG, [TYPE], PER_EDT, NGROUP/*, ID_EX*/ ORDER BY T_DOG),
	CODE,
	LINK_FACE,
	[PFNUMBER],
	T_DOG,
	INC_M1= convert(numeric(18,2),0) ,
	B_BEF_M1= convert(numeric(18,2),0) ,
	B_AFT_M1= convert(numeric(18,2),0) ,
	INC_M2 = convert(numeric(18,2),0) ,
	B_BEF_M2 = convert(numeric(18,2),0),
	B_AFT_M2 = convert(numeric(18,2),0),
	INC_M3 = convert(numeric(18,2),0),
	B_BEF_M3 = convert(numeric(18,2),0),
	B_AFT_M3 = convert(numeric(18,2),0),		
	per,
	[year],
	[TYPE],
	per_edt,
	year_edt,
	INSUR  = convert(numeric(18,2),0)
FROM
	#SZV_ALL
	GROUP BY CODE ,LINK_FACE,[PFNUMBER],T_DOG,per,[year],[TYPE],per_edt,year_edt,NGROUP, num
) T WHERE RN = 1





UPDATE s 	
set INC_M1 = (SELECT isnull(SUM(s1.INC),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND LTRIM(RTRIM(s1.link_face)) = LTRIM(RTRIM(s.link_face)) AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG)) AND  ltrim(rtrim(s1.mon)) = ltrim(rtrim(@nMONTH1))),
	B_BEF_M1 = (SELECT isnull(SUM(s1.B_BEF),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH1),
	B_AFT_M1 = (SELECT isnull(SUM(s1.B_AFT),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH1),
	INC_M2 = (SELECT isnull(SUM(s1.INC),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH2),
	B_BEF_M2 = (SELECT isnull(SUM(s1.B_BEF),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH2),
	B_AFT_M2 = (SELECT isnull(SUM(s1.B_AFT),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH2),
	INC_M3 = (SELECT isnull(SUM(s1.INC),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH3),
	B_BEF_M3 = (SELECT isnull(SUM(s1.B_BEF),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon = @nMONTH3),
	B_AFT_M3 = (SELECT isnull(SUM(s1.B_AFT),0) FROM #SZV_ALL s1 WHERE LTRIM(RTRIM(s1.code)) = LTRIM(RTRIM(s.code)) AND s1.link_face = s.link_face AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND ltrim(rtrim(s1.per)) = rtrim(ltrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND s1.mon = @nMONTH3),
	INSUR = (select isnull(sum(s1.INSUR),0) from #SZV_ALL s1 WHERE s1.link_face = s.link_face AND  LTRIM(RTRIM(s1.code))= LTRIM(RTRIM(s.code))  AND  ltrim(rtrim(s1.T_DOG)) = ltrim(rtrim(s.T_DOG))  AND rtrim(ltrim(s1.per)) = ltrim(rtrim(s.per)) AND LTRIM(RTRIM(s1.[year])) = LTRIM(RTRIM(s.[year]))  AND  s1.mon IN( @nMONTH1,@nMONTH2,@nMONTH3 ) GROUP BY s1.code, s1.link_face,s1.T_DOG ,s1.per ,s1.[year])
FROM 	
#SZV_SUM s


----------------------------

SELECT
	LINK_FACE, [PFNUMBER], CODE, per, [year], [TYPE], per_edt, year_edt, INSUR = SUM(INSUR)
INTO
	#SZV_PC		
FROM
	(
	SELECT
		A.LINK_FACE, A.[PFNUMBER], A.CODE, A.T_DOG, A.per, A.[year], A.[TYPE], A.per_edt, A.year_edt,
		INSUR = CASE WHEN MIN(B_AFT_M1) + MIN(B_AFT_M2) + MIN(B_AFT_M3) <> 0 THEN
					MIN(B_BEF_M1 * PERCENT1 / 100) + MIN(B_BEF_M2 * PERCENT1 / 100) + MIN(B_BEF_M3 * PERCENT1 / 100)
				ELSE
					MIN(INSUR)
				END				
	FROM
		#SZV_SUM A left JOIN dbo.SA_PFR_KATEG B ON A.CODE = B.CODE AND [year] BETWEEN YBEG AND YEND
			left JOIN
			(
				SELECT
					TARIF, PERCENT1
				FROM
					dbo.DICTIONARY_RANGE_PF D
				WHERE
					WAY_CALC = 6 AND PREDEL = @PREDEL
					AND [DATE] = (SELECT TOP 1 [DATE] FROM dbo.DICTIONARY_RANGE_PF D1 WHERE D1.TARIF = D.TARIF AND ISNULL(D1.SPECO,0) = ISNULL(D.SPECO,0) AND WAY_CALC = 6 AND DATE <= @dDate1 ORDER BY [DATE] DESC)
			) C ON C.TARIF = B.LINK2
	GROUP BY
		A.LINK_FACE, A.[PFNUMBER], A.CODE, A.T_DOG, A.per, A.[year], A.[TYPE], A.per_edt, A.year_edt
	) T
GROUP BY
	LINK_FACE, [PFNUMBER], CODE, per, [year], [TYPE], per_edt, year_edt

-----------------------------------------------------
	IF @REP = 0
	BEGIN
		
		declare @modify_date DATETIME
		SELECT  @modify_date = modify_date
		FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @VARILSF
	--PARTITION BY SNILS, [TYPE] ORDER BY CODE_STR
	--(ORDER BY a.[PFNUMBER]))
		SELECT
			CODE = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY  a.[TYPE],a.[T_DOG], a.[FM],a.[IM],a.[OT],p.INN )),
			COL1 = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY a.[TYPE],a.[T_DOG], a.[FM],a.[IM],a.[OT],p.INN )),
			COL2 = @NUM_KOR,
			COL3 = CASE WHEN @ATR_likvid = 0 then (CASE a.per when 1 THEN 21
															  WHEN 2 THEN 31
															  WHEN 3 THEN 33
															  WHEN 4 THEN 34 END )
											 ELSE (CASE a.per when 1 THEN 51
															  WHEN 2 THEN 52
															  WHEN 3 THEN 53
															  WHEN 4 THEN 90 END )			
											END ,
			COL4 = a.year,
			COL5 = CONVERT(VARCHAR(10), @modify_date, 104),
			COL6 = p.INN ,
			COL7 = CONVERT(VARCHAR(14),a.[PFNUMBER]),
			COL8 = CONVERT(varchar(100),a.[FM]),
			COL9 = CONVERT(varchar(100),a.[IM]),
			COL10 = CONVERT(varchar(100),a.[OT]),
			COL11 = CONVERT(VARCHAR(10),p.BIRTHDATE, 104),
			COL12 = CASE WHEN (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) IN (1,2)
							THEN '643'
							ELSE (CASE WHEN p.DOC_WHOM = 'MDA' THEN '498'
										WHEN p.DOC_WHOM LIKE '%%' THEN '398'
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '804'
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '051'
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '112'
										WHEN p.BIRTHPLACE LIKE '%%' AND (SELECT CODE FROM CITIZENSHIP WHERE link = p.CITIZ_LINK) not IN (1,2)   then '417'
										ELSE '000' end) end ,
			COL13 = p.SEX,
			col14 = (SELECT code FROM FACE_DOCUMENT WHERE LINK = p.DOC_LINK ) ,
			col15 = substring(REPLACE(REPLACE(ltrim(rtrim(p.DOC_NUM)),'.',''),'/',''),1, len(REPLACE(ltrim(RTRIM(p.DOC_NUM)), right(LTRIM(RTRIM(p.DOC_NUM)),6) , ''))),
			col16 = right(REPLACE(ltrim(rtrim(p.DOC_NUM)),' ','') , 6),
			col17 = 1, --(CASE WHEN (SELECT SUM(summa) FROM  #SPR_ESN WHERE MONTH_BASE BETWEEN 1 AND month(@dDate2) AND WAY_CALC = 6 AND REF_PHYS_PERS = a.LINK_FACE) <> 0 THEN 1 ELSE 2 end),
			col18 = 1,--(CASE WHEN (SELECT SUM(summa) FROM  #SPR_ESN WHERE MONTH_BASE BETWEEN 1 AND month(@dDate2) AND WAY_CALC IN(3,4) AND REF_PHYS_PERS = a.LINK_FACE) <> 0 THEN 1 ELSE 2 end),
			col19 = 1,--(CASE WHEN (SELECT SUM(summa) FROM  #SPR_ESN WHERE MONTH_BASE BETWEEN 1 AND month(@dDate2) AND WAY_CALC = 2 AND REF_PHYS_PERS = a.LINK_FACE) <> 0 THEN 1 ELSE 2 end),
			COL20 = [TYPE],
			COL21 = [NGROUP],
			COL22 = a.LINK_FACE,
			col23 = per_EDT
		FROM
			#SZV_ALL a
		inner join dbo.PERSON p on p.LINK = a.LINK_FACE   AND a.mon BETWEEN month(@dDate1) AND month(@dDate2)
		GROUP BY a.[TYPE],a.[T_DOG],a.[FM],a.[IM],a.[OT],a.[PFNUMBER],a.LINK_FACE, a.[NGROUP]/*, a.[FNAME],a.DATE_DOC*/,a.per_EDT,
		a.PER, a.[YEAR], p.inn,p.BIRTHDATE,p.CITIZ_LINK,p.SEX,p.DOC_LINK,p.DOC_NUM,p.DOC_WHOM ,p.BIRTHPLACE
		ORDER BY
			a.[TYPE],a.[T_DOG],a.[FM],a.[IM],a.[OT],a.per_EDT

	END



	IF @REP = 1
	BEGIN 	

	/*****************************************************/
	--     
	/*****************************************************/
		create table #TMP1(CODE int,col1 int,   COL2 varchar(14), COL3 varchar(100), COL4 varchar (4), COL5 varchar (4), COL6 numeric(18,2), COL7 numeric(18,2),
						   COL8 numeric(18,2), COL9 numeric(18,2),COL10 numeric(18,2) , COL11 varchar(1), COL12 varchar(4), COL13 varchar(15), COL14 varchar(1), COL15 varchar(4),
						   COL16 int, COL17 varchar(100), COL18 varchar(100), COL19 varchar(100), COL20 int, COL21 int, COL22 numeric(18,2), COL23 numeric(18,2), COL24 numeric(18,2),
						   COL25 int, COL26 int, COL27 numeric(18,2), COL28 numeric(18,2), COL29 numeric(18,2),
						   COL30 int, COL31 int, COL32 numeric(18,2), COL33 numeric(18,2), COL34 numeric(18,2),
						   COL35 int, COL36 int, COL37 numeric(18,2), COL38 numeric(18,2), COL39 numeric(18,2),
						   COL40 int, COL41 int, COL42 numeric(18,2), COL43 numeric(18,2), COL44 numeric(18,2), COL45 char(1) DEFAULT '' )
		
		
		/***************************************/
		--          
---------->>>>>>>>>>

-----------<<<<<<<<</*   ,  */
		
		DECLARE @nYEAR1_K INT, @nMONTH_1_K INT, @nMONTH_2_K INT, @nMONTH_3_K INT	
		select
		@nYEAR1_K = YEAR_EDT,
		@nMONTH_1_K = /*case when YEAR_EDT  between '2011' and '2013' then (*/case  PER_EDT when 1 then  1 when 2 then  4 when 3 then  7 when 4 then  10 else 10 end/*)
					when  YEAR_EDT >= '2014'  then (case  PER_EDT when 3 then  1 when 6 then  4 when 9 then  7 else  10 end)
					else null end */
		from #SZV_ALL	
		where [TYPE] = 2
		and YEAR_EDT >=2014
							
		select @nMONTH_2_K = @nMONTH_1_K+1,
				@nMONTH_3_K = @nMONTH_1_K +2	

		DECLARE @BYearDate_K	datetime , @EndYear_K datetime
		SET @BYearDate_K = dbo.DateBeginOfYear (@nYEAR1_K+'0101')
		Set @EndYear_K = dbo.DateEndOfYear(@BYearDate_K)


		DECLARE @PREDEL_K NUMERIC(18,2)
		SET @PREDEL_K = (SELECT TOP 1 PREDEL FROM DICTIONARY_RANGE WHERE TARIF = 1 AND YEAR([DATE]) =  @nYEAR1_K)


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20180101', '20180331', 13488,1 ,  408


		/*******************   ********************/
		DECLARE @Cur1 CURSOR, @CODE varchar(4), @TYPE tinyint , @T_DOG tinyint, @PFNUMBER VARCHAR (14) , @FM VARCHAR(100),@IM VARCHAR(100),@OT VARCHAR(100),
		@LINK_FACE1 int , @CODE_old VARCHAR(4), @TYPE_OLD TINYINT, @nom_pp INT, @MON INT, @LINK_FACE INT , @EMPL_LINK INT
		SET @LINK_FACE1 = 0
		set @CODE_old = ''
		set @TYPE_OLD = 0
		set @nom_pp = 1

		SET @Cur1 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],LINK_FACE/*,EMPL_LINK*/, [PFNUMBER], [FM],[IM],[OT], MIN(MON) AS mon
			FROM #SZV_ALL where [TYPE] = 1 AND mon BETWEEN month(@dDate1) AND month(@dDate2) 
			GROUP BY [FM],[IM],[OT],[PFNUMBER],LINK_FACE/*,EMPL_LINK*/,[TYPE],CODE,  mon
			ORDER BY [FM],[IM],[OT],[PFNUMBER],LINK_FACE/*,EMPL_LINK*/, mon
		OPEN @Cur1
		FETCH NEXT FROM @Cur1 INTO  @CODE,@TYPE/*,@T_DOG*/,@LINK_FACE/*,@EMPL_LINK*/,@PFNUMBER,@FM,@IM,@OT, @MON
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN

				---        ( , , )
				IF (/*@T_DOG = 1 and */ @LINK_FACE <> @LINK_FACE1 )
				BEGIN
				
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19, COL45)
					SELECT CODE =  @nom_pp,
						   COL1 =  @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'400'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' THEN ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I ,0) END,
						   COL7 =
								CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0)
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL
										THEN @PREDEL
										ELSE
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0) - ISNULL(SS.BASE_DOG,0)
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											)
										END)	
									ELSE
										(CASE WHEN
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL
										THEN @PREDEL
										ELSE
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0)  - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
											- ISNULL(SS.BASE_DOG,0)
											)
											- CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3) ),0) )  --      =   -    
											
										END)
								 END,
						   COL8 = ISNULL(SS.BASE_DOG,0),
						   COL9 = CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0)
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) > @PREDEL
										THEN
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0)
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
											) - @PREDEL
										ELSE
											0
										END)	
									ELSE
										 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3) ),0) )
					
									 END,
						   COL10 =  (	 CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= @nmonth3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3))/*     */
						   								  )
						   								  * (@PERCENT/100) ,0)) /*     */
						   							else
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   							END
						   						 ),	
						   COL11 = ISNULL([per],''),
						   COL12 = ISNULL([year], ''),
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''),
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''),
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT),
						  -- COL44 = isnull([INSUR],0),
						   COL45 = '' --ISNULL([sack],'')
					FROM #SZV_PC s LEFT JOIN #SALARY_SUM2 ss ON ss.pers_link = s.link_face
					WHERE
						code = @CODE and [TYPE] = @TYPE AND  S.LINK_FACE = @link_face

				/*	select row_number() over (order by PER_EDT) as ID ,
							[PER_EDT] as k_PER_EDT,
							YEAR_EDT as k_YEAR_EDT,
							INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum_r1 WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.[PER_EDT]  )  as k_INSUR,
							GAIN - (SELECT SUM(SUM_NAK) FROM #tmp_pers_kor_sum_r1 WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.[PER_EDT] ) as k_GAIN,
							PFNUMBER as k_PFNUMBER ,
							FM as k_FM
					INTO #TMP01
					from  #SZV_ALL s
					WHERE  [TYPE] = 2 AND mon =1 and FM = @FM AND PFNUMBER = @PFNUMBER

					UPDATE #TMP1
					SET COL20 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=1),
						COL21 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1),
						COL22 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=1)  ELSE 0 END ),
						COL23 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=1) ELSE 0 END ),
						COL24 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=1) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=1) ELSE 0 END ),
						COL25 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=2),
					    COL26 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2),
					    COL27 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=2)  ELSE 0 END ),
					    COL28 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=2) ELSE 0 END ),
					    COL29 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=2) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=2) ELSE 0 END ),
					    COL30 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=3),
					    COL31 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3),
					    COL32 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=3)  ELSE 0 END ),
					    COL33 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=3) ELSE 0 END ),
					    COL34 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=3) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=3) ELSE 0 END ),
					    COL35 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=4),
					    COL36 = (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4),
					    COL37 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=4)  ELSE 0 END ),
					    COL38 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=4) ELSE 0 END ),
					    COL39 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=4) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=4) ELSE 0 END ),
					    COL40 = (SELECT TOP 1 k_PER_EDT FROM #TMP01 where ID=5),
					    COL41 = (SELECT TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5),
					    COL42 = (CASE WHEN (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) >= '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=5)  ELSE 0 END ),
					    COL43 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) < '2014' THEN (SELECT TOP 1 k_INSUR FROM #TMP01 where ID=5) ELSE 0 END ),
					    COL44 = (case when (select TOP 1 k_YEAR_EDT FROM #TMP01 where ID=5) < '2014' THEN (SELECT TOP 1 k_GAIN FROM #TMP01 where ID=5) ELSE 0 END )--,
					FROM #TMP1
					WHERE #TMP1.COL5 = @CODE
						AND #TMP1.COL12 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), '')
						AND #TMP1.COL2 = @PFNUMBER and #TMP1.COL17 = @FM and #TMP1.COL18 = @IM and #TMP1.COL19= @OT

					drop table #TMP01
				*/
					set @nom_pp = @nom_pp + 1

					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14,COL15, COL16,COL17, COL18 , COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(s.[PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'401'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
									--        ,      
						   COL6 = case when SUM(s.[INC_M1]) < 0
									   THEN 0
									   ELSE (CASE WHEN SUM(s.[INC_M2]) >= 0
												THEN SUM(s.[INC_M1])
												ELSE SUM(s.[INC_M1]) - ABS(SUM(s.[INC_M2])) END)
												/*+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0
																THEN ss.summa_all ELSE 0 END ) */
									   END ,
						   COL7 = CASE WHEN SUM(s.[B_BEF_M1])<0
										THEN 0
						   				ELSE
						   					(CASE WHEN  SUM(s.[B_BEF_M2]) >= 0
													THEN (case when  SUM(s.[B_BEF_M1]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH1) <=0 THEN 0
														  ELSE SUM(s.[B_BEF_M1]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH1)
														  END  ) --      =   -    
													ELSE SUM(s.[B_BEF_M1]) - ABS(SUM(s.[B_BEF_M2]))
													  END )
													 - SUM(CASE WHEN s.T_DOG = 2 THEN [B_BEF_M1]
														   ELSE
													 0 END)
													  /*+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0
																THEN ss.summa_all ELSE 0 END ) */
																		
										END ,
						   COL8 = SUM(CASE WHEN s.T_DOG = 2 THEN [B_BEF_M1]
										   ELSE /* (CASE WHEN  isnull(ss.summa_all,0)   <> 0
												THEN ss.summa_all ELSE 0 END ) */
						             0 END),
						   COL9 = case when SUM([B_AFT_M1])>=0
										THEN (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH1)
										ELSE SUM([B_AFT_M1]) END ,
						   COL10 =   CASE WHEN [per] = 1 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 1)/*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0)))
						   								 END )
						   						END
						   					 )
						   				WHEN [per] = 2 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 4)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   									  ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0)))
						   								 END )
						   						END
						   					 )
						   				WHEN [per] = 3 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 7)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   									  ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0)))
						   								 END )
						   						END
						   					 )
						   				WHEN [per] = 4 THEN
								   			 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 10)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   									  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   									  ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0)))
						   								 END )
						   						END
						   					 ) END ,	
						    --CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1 WHERE  I = 1 AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ),
						   COL11 = ISNULL(s.[per],''),
						   COL12 = ISNULL(s.[year],''),
						   COL13 = ISNULL((case WHEN s.[TYPE] = 1 then '' when s.[TYPE] = 2 then '' else '' end), ''),
						   COL14 = ISNULL(CONVERT(VARCHAR(1),s.[per_edt]), ''),
						   COL15 = ISNULL(CONVERT(VARCHAR(4),s.[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s
					LEFT outer JOIN
					(SELECT PERS_LINK,T_DOG,PERIOD_BEGIN,
							SUMMA_ALL = SUM(SUMMA_ALL),SUMMA_NO= SUM(SUMMA_NO),SUMMA_ALL_I = SUM(SUMMA_ALL_I),SUMMA_NO_I = SUM(SUMMA_NO_I),
							SUMMA_ALL_E = SUM(SUMMA_ALL_E),SUMMA_NO_E = SUM(SUMMA_NO_E),INV,INO,SUMMA_ALL_INO = SUM(SUMMA_ALL_INO),SUMMA_NO_INO =SUM(SUMMA_NO_INO),
							SUMMA_NO_D1 = SUM(SUMMA_NO_D1),SUMMA_NO_D2 = SUM(SUMMA_NO_D2),SUM_NO_D1_O4 = SUM(SUM_NO_D1_O4),SUM_NO_D1_B34 = SUM(SUM_NO_D1_B34),
							SUM_NO_D1_B33 = sum(SUM_NO_D1_B33),SUM_NO_D1_B32 = SUM(SUM_NO_D1_B32),SUM_NO_D1_B31 = SUM(SUM_NO_D1_B31),SUM_NO_D2_O4 = SUM(SUM_NO_D2_O4),
							SUM_NO_D2_B34 = SUM(SUM_NO_D2_B34),SUM_NO_D2_B33 = SUM(SUM_NO_D2_B33),SUM_NO_D2_B32 = SUM(SUM_NO_D2_B32),SUM_NO_D2_B31 = SUM(SUM_NO_D2_B31),
							sack
					FROM #salary_sum_data WHERE PERS_LINK = @link_face AND /*and ss.t_dog = 2*/  month(period_begin) = @nMonth1
					 GROUP BY PERS_LINK,T_DOG,PERIOD_BEGIN,INV,INO,sack
					) SS ON SS.pers_link =   s.LINK_FACE
					WHERE s.code = @CODE and s.[TYPE] = @TYPE and s.T_DOG = ss.T_DOG AND s.LINK_FACE = @link_face
					GROUP BY s.[PFNUMBER], s.link_face,s.[per],s.[year],s.[TYPE],s.[per_edt],s.[year_edt]
					
						
					--LEFT outer JOIN #salary_sum_data  ss on ss.pers_link =   s.LINK_FACE /*and ss.t_dog = 2*/ and  month(ss.period_begin) = @nMonth1
					--WHERE s.code = @CODE and s.[TYPE] = @TYPE and s.T_DOG = ss.T_DOG AND s.LINK_FACE = @link_face	
					--GROUP BY s.[PFNUMBER], s.link_face,s.[per],s.[year],s.[TYPE],s.[per_edt],s.[year_edt]
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20180101', '20180331', 13488,1 ,  408


				
					set @nom_pp = @nom_pp + 1

					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(s.[PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'402'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   	--        ,      
						   COL6 = case when SUM(s.[INC_M2]) < 0
									   THEN 0
									   ELSE (CASE WHEN SUM(s.[INC_M3]) >= 0
												THEN SUM(s.[INC_M2])
												ELSE SUM(s.[INC_M2]) - ABS(SUM(s.[INC_M3])) END)
												/*+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0
																THEN ss.summa_all ELSE 0 END )*/
																
									   END ,
						   COL7 = CASE WHEN SUM(s.[B_BEF_M2])<0
										THEN 0
						   				ELSE
						   					(CASE WHEN  SUM(s.[B_BEF_M3]) >= 0
													THEN (case when  SUM(s.[B_BEF_M2]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH2) <=0 THEN 0
														  ELSE SUM(s.[B_BEF_M2]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH2)
														  END  )--      =   -    
													ELSE SUM(s.[B_BEF_M2]) - ABS(SUM(s.[B_BEF_M3])) END )
													- SUM(CASE WHEN s.T_DOG = 2 THEN [B_BEF_M2]
														   ELSE
													 0 END)
													/*+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0
																THEN ss.summa_all ELSE 0 END )*/
										END ,
						   COL8 = SUM(CASE WHEN s.T_DOG = 2 THEN [B_BEF_M2]
										   ELSE /* (CASE WHEN  isnull(ss.summa_all,0)   <> 0
												THEN ss.summa_all ELSE 0 END ) */ 0
						              END),
						   COL9 = case when SUM([B_AFT_M2])>=0
										THEN (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH2)
										ELSE SUM([B_AFT_M2]) END,
						   COL10 =   CASE WHEN s.[per] = 1 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 2)/*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0)))
						   										 END )
						   								   END) 		
						   						END
						   					 )
						   				WHEN s.[per] = 2 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 5)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							ELSE
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0)))
						   										 END )
						   								   END ) 		 						   								
						   						END
						   					 )
						   				WHEN s.[per] = 3 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 8)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE	
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0)))
						   										 END )	
						   								END ) 		 					   								
						   						END
						   					 )
						   				WHEN s.[per] = 4 THEN
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 11)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) < 0
														   THEN 0
														   ELSE	
						   										(CASE WHEN ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) >=0
						   											  THEN CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   										 ELSE CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) - ABS(ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0)))
						   										 END )	
						   								END ) 		 					   		
						   							END
						   					 ) END ,
						   COL11 = ISNULL(s.[per],''),
						   COL12 = ISNULL(s.[year], ''),
						   COL13 = ISNULL((case WHEN s.[TYPE] = 1 then '' when s.[TYPE] = 2 then '' else '' end ), ''),
						   COL14 = ISNULL(CONVERT(VARCHAR(1),s.[per_edt]), ''),
						   COL15 = ISNULL(CONVERT(VARCHAR(4),s.[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s
					
					LEFT outer JOIN
					(SELECT PERS_LINK,T_DOG,PERIOD_BEGIN,
							SUMMA_ALL = SUM(SUMMA_ALL),SUMMA_NO= SUM(SUMMA_NO),SUMMA_ALL_I = SUM(SUMMA_ALL_I),SUMMA_NO_I = SUM(SUMMA_NO_I),
							SUMMA_ALL_E = SUM(SUMMA_ALL_E),SUMMA_NO_E = SUM(SUMMA_NO_E),INV,INO,SUMMA_ALL_INO = SUM(SUMMA_ALL_INO),SUMMA_NO_INO =SUM(SUMMA_NO_INO),
							SUMMA_NO_D1 = SUM(SUMMA_NO_D1),SUMMA_NO_D2 = SUM(SUMMA_NO_D2),SUM_NO_D1_O4 = SUM(SUM_NO_D1_O4),SUM_NO_D1_B34 = SUM(SUM_NO_D1_B34),
							SUM_NO_D1_B33 = sum(SUM_NO_D1_B33),SUM_NO_D1_B32 = SUM(SUM_NO_D1_B32),SUM_NO_D1_B31 = SUM(SUM_NO_D1_B31),SUM_NO_D2_O4 = SUM(SUM_NO_D2_O4),
							SUM_NO_D2_B34 = SUM(SUM_NO_D2_B34),SUM_NO_D2_B33 = SUM(SUM_NO_D2_B33),SUM_NO_D2_B32 = SUM(SUM_NO_D2_B32),SUM_NO_D2_B31 = SUM(SUM_NO_D2_B31),
							sack
					FROM #salary_sum_data WHERE PERS_LINK = @link_face AND /*and ss.t_dog = 2*/  month(period_begin) = @nMonth2
					 GROUP BY PERS_LINK,T_DOG,PERIOD_BEGIN,INV,INO,sack
					) SS ON SS.pers_link =   s.LINK_FACE
					--LEFT JOIN #salary_sum_data  ss on ss.pers_link =   s.LINK_FACE and /*ss.t_dog = 2 and */ month(ss.period_begin) = @nMonth2
					WHERE s.code = @CODE and s.[TYPE] = @TYPE AND s.LINK_FACE = @link_face	and ss.t_dog = s.t_dog
					GROUP BY s.[PFNUMBER], s.link_face,s.[per],s.[year],s.[TYPE],s.[per_edt],s.[year_edt]
	

			--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20180101', '20180331', 74578,1 ,  3412
			
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(s.[PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'403'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   --        ,        
						   COL6 = case when SUM(s.[INC_M3]) <= 0
									   THEN 0
									   ELSE SUM(s.[INC_M3])
									   END
									   /*+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0
																THEN ss.summa_all ELSE 0 END )*/,
						   COL7 = CASE WHEN SUM(s.[B_BEF_M3])<=0
										THEN 0
						   				ELSE
											(case when  SUM(s.[B_BEF_M3]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH3) <=0 THEN 0
														  ELSE SUM(s.[B_BEF_M3]) - (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH3)
														  END  ) --      =   -    
										END
										- SUM(CASE WHEN s.T_DOG = 2 THEN [B_BEF_M3]
														   ELSE
													 0 END)
										/*+ SUM(CASE WHEN  isnull(ss.summa_all,0)   <> 0
																THEN ss.summa_all ELSE 0 END )*/,

						   COL8 = SUM(CASE WHEN s.T_DOG = 2 THEN s.[B_BEF_M3]
										   ELSE /* (CASE WHEN  isnull(ss.summa_all,0)   <> 0
												THEN ss.summa_all ELSE 0 END ) */ 0
						              END),
						   COL9 = case when SUM([B_AFT_M3])>=0
										THEN (SELECT isnull(sum(summa),0) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m =@nMONTH3)
										ELSE SUM([B_AFT_M3]) END,
						   COL10 =   CASE WHEN s.[per] = 1 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 3)/*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END) 	
						   						END
						   					 )
						   				WHEN s.[per] = 2 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 6)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END)

						   						END
						   					 )
						   				WHEN s.[per] = 3 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 9)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								(case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END)
						   						END
						   					 )
						   				WHEN s.[per] = 4 THEN
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 12)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   							  (case when ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0) <= 0
														   THEN 0
														   ELSE
																 CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   								   END)
						   						END
						   					 ) END ,

						   COL11 = ISNULL(s.[per],''),
						   COL12 = ISNULL(s.[year], ''),
						   COL13 = ISNULL((case WHEN s.[TYPE] = 1 then '' when s.[TYPE] = 2 then '' else '' end ), ''),
						   COL14 = ISNULL(CONVERT(VARCHAR(1),s.[per_edt]), ''),
						   COL15 = ISNULL(CONVERT(VARCHAR(4),s.[year_edt]), ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s
					LEFT outer JOIN
					(SELECT PERS_LINK,T_DOG,PERIOD_BEGIN,
							SUMMA_ALL = SUM(SUMMA_ALL),SUMMA_NO= SUM(SUMMA_NO),SUMMA_ALL_I = SUM(SUMMA_ALL_I),SUMMA_NO_I = SUM(SUMMA_NO_I),
							SUMMA_ALL_E = SUM(SUMMA_ALL_E),SUMMA_NO_E = SUM(SUMMA_NO_E),INV,INO,SUMMA_ALL_INO = SUM(SUMMA_ALL_INO),SUMMA_NO_INO =SUM(SUMMA_NO_INO),
							SUMMA_NO_D1 = SUM(SUMMA_NO_D1),SUMMA_NO_D2 = SUM(SUMMA_NO_D2),SUM_NO_D1_O4 = SUM(SUM_NO_D1_O4),SUM_NO_D1_B34 = SUM(SUM_NO_D1_B34),
							SUM_NO_D1_B33 = sum(SUM_NO_D1_B33),SUM_NO_D1_B32 = SUM(SUM_NO_D1_B32),SUM_NO_D1_B31 = SUM(SUM_NO_D1_B31),SUM_NO_D2_O4 = SUM(SUM_NO_D2_O4),
							SUM_NO_D2_B34 = SUM(SUM_NO_D2_B34),SUM_NO_D2_B33 = SUM(SUM_NO_D2_B33),SUM_NO_D2_B32 = SUM(SUM_NO_D2_B32),SUM_NO_D2_B31 = SUM(SUM_NO_D2_B31),
							sack
					FROM #salary_sum_data WHERE PERS_LINK = @link_face AND /*and ss.t_dog = 2*/  month(period_begin) = @nMonth3
					 GROUP BY PERS_LINK,T_DOG,PERIOD_BEGIN,INV,INO,sack
					) SS ON SS.pers_link =   s.LINK_FACE
				
					--LEFT JOIN #salary_sum_data  ss on ss.pers_link =   s.LINK_FACE and ss.t_dog = s.t_dog and  month(ss.period_begin) = @nMonth3
					WHERE s.code = @CODE and s.[TYPE] = @TYPE AND s.LINK_FACE = @link_face
					GROUP BY s.[PFNUMBER], s.link_face,s.[per],s.[year],s.[TYPE],s.[per_edt],s.[year_edt]

	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 13488, 1 ,  3239	
					
					set @nom_pp = @nom_pp + 1
				END
	
	

				---        (         )
				IF /*@T_DOG = 1 and*/  @LINK_FACE = @LINK_FACE1 and @CODE <> @CODE_old	and  @TYPE = @TYPE_OLD
				BEGIN

					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19,COL45)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' then ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL- SS.SUMMA_ALL_I,0) end,
						   COL7 =
								CASE WHEN @CODE = '' THEN
									--  
									(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0)
									- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
									)
								ELSE
									--  
									( (ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0)) - (ISNULL(SS.SUMMA_NO,0) -  ISNULL(SS.SUMMA_NO_I,0))
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
									)
								END
								- -- 
								CASE WHEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0)
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0)
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL
								ELSE
									0
								END,	
														
						   COL8 = ISNULL(SS.BASE_DOG,0),

						   COL9 =
								-- 
								CASE WHEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0)
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0)
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL
								ELSE
									0
								END,
						   COL10 = (	 CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= @nmonth3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m IN (@nMONTH1,@nmonth2,@nmonth3))/*     */
						   								  )
						   								  * (@PERCENT/100) ,0)) /*     */
						   							else
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base IN (@nMONTH1,@nmonth2,@nmonth3) and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   							END
						   						 ),
						   COL11 = ISNULL([per],''),
						   COL12 = ISNULL([year], ''),
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''),
						   COL14 = ISNULL([per_edt], ''),
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT),
						   COL45 = '' -- ISNULL(SACK,'')
					FROM
						#SZV_PC s LEFT JOIN #SALARY_SUM2 ss ON ss.pers_link = s.link_face
					WHERE
						code = @CODE and [TYPE] = @TYPE AND LINK_FACE = @link_face
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =   CASE WHEN [per] = 1 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 1)/*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 1 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END
						   					 )
						   				WHEN [per] = 2 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 4)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 4 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END
						   					 )
						   				WHEN [per] = 3 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 7)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 7 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END
						   					 )
						   				WHEN [per] = 4 THEN
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 10)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 10 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END
						   					 ) END ,
						   COL11 = ISNULL([per],''),
						   COL12 = ISNULL([year], ''),
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''),
						   COL14 = ISNULL([per_edt], ''),
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
						
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =    CASE WHEN [per] = 1 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 2)/*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 2 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END
						   					 )
						   				WHEN [per] = 2 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 5)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 5 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END
						   					 )
						   				WHEN [per] = 3 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 8)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 8 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END
						   					 )
						   				WHEN [per] = 4 THEN
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 11)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 11 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END
						   					 ) END ,
						   COL11 = ISNULL([per],''),
						   COL12 = ISNULL([year], ''),
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''),
						   COL14 = ISNULL([per_edt], ''),
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =    CASE WHEN [per] = 1 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 3)/*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 3 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END
						   					 )
						   				WHEN [per] = 2 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 6)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 6 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END
						   					 )
						   				WHEN [per] = 3 THEN
						   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 9)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 9 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END
						   					 )
						   				WHEN [per] = 4 THEN
								   					 ( CASE WHEN  (SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base <= 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) > @PREDEL
						   							THEN  CONVERT(numeric(18,2),ISNULL(((SELECT sum(summa_base) - sum(ded_m) - sum(inv_M) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face) /*   */
						   								  - (SELECT sum(summa) FROM #spr_esn2  WHERE ref_phys_pers = s.link_face AND m = 12)  /*     */
						   								  )
						   								  * (@PERCENT/100),0))  /*     */
						   							else
						   								CONVERT(numeric(18,2),ISNULL((SELECT sum(summa) FROM #SPR_ESN WHERE month_base = 12 and I = 1 AND WAY_CALC = 6  AND  ref_phys_pers = s.link_face),0))
						   						END
						   					 ) END ,
						   COL11 = ISNULL([per],''),
						   COL12 = ISNULL([year], ''),
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''),
						   COL14 = ISNULL([per_edt], ''),
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = s.link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND LINK_FACE = @link_face
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
				END						
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 1 ,  803
				---    '410','411','412','413'
			
				if not exists (select * from #tmp1
								where COl2 = @PFNUMBER
								and COL13 = (case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end)
								and COL4 = '410' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER AND CODE != @CODE AND [TYPE] = 1)
				begin
							
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((SELECT TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''),
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''),
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''),
						   COL14 = '',
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') ,
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''),
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''),
						   COL14 = '',
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
				
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						 COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') ,
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''),
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''),
						   COL14 = '', 		
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1		
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13, COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),'') ,
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = '' and COL4 = '400'),''),
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''),
						   COL14 = '',
						   COL15 = '',
						   COL16 = @link_face,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1	
				
				end

					set @LINK_FACE1 = @LINK_FACE
					set @CODE_old = @CODE
					set @TYPE_OLD = @TYPE
			END

			FETCH NEXT FROM @Cur1 INTO @CODE,@TYPE/*,@T_DOG*/,@LINK_FACE/*,@EMPL_LINK*/,@PFNUMBER,@FM,@IM,@OT, @MON
		END

		CLOSE @Cur1
		DEALLOCATE @Cur1

/*
		/*****************************************************/
		--    /
		/*****************************************************/
		DECLARE @Cur2 CURSOR , @PER_EDT1 INT, @PER_OLD INT
		set @pf_num1 = ''
		
		set @CODE_old = ''
		set @TYPE_OLD = 0
		set @nom_pp = (SELECT MAX(CODE) FROM #TMP1 WHERE COL12= '') + 1
		
		SET @Cur2 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], PER_EDT  FROM #SZV_ALL where /*T_DOG = 1 and*/ [TYPE] != 1 /*AND YEAR_EDT >=2014*/ GROUP BY [FM],[IM],[OT],[PFNUMBER],[TYPE],CODE/*, [T_DOG]*/, PER_EDT ORDER BY [FM],[IM],[OT],[PFNUMBER],[TYPE],CODE/*, [T_DOG]*/, PER_EDT
		OPEN @Cur2
		FETCH NEXT FROM @Cur2 INTO  @CODE,@TYPE,@PFNUMBER,@FM,@IM,@OT,@PER_EDT1
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				---        ( , , )
				IF (/*@T_DOG = 1 and */ @PFNUMBER <> @pf_num1  OR ( @PFNUMBER = @pf_num1 AND  @PER_EDT1 <> @PER_OLD))
				BEGIN
					
				 					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19, COL45)
					SELECT CODE =  @nom_pp,
						   COL1 =  @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'400'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' THEN ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I,0) END,
						   COL7 =
								CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0)
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K
										THEN @PREDEL_K
										ELSE
											(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0)
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											)
										END)	
									ELSE
										(CASE WHEN
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K
										THEN @PREDEL_K
										ELSE
											( ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											)
										END)
								 END,								

						   COL8 = ISNULL(SS.BASE_DOG,0),

						   COL9 = CASE WHEN @CODE = '' THEN
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0)
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K
										THEN
											(ISNULL(SS.SUMMA_ALL_I,0) - ISNULL(SS.SUMMA_NO_I,0)
											- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) - @PREDEL_K
										ELSE
											0
										END)	
									ELSE
										(CASE WHEN
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) > @PREDEL_K
										THEN
											(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
											- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face
																						and month_base <= (case when @PER_EDT1  = 1 then  3
																						when @PER_EDT1  = 2 then 6
																						when @PER_EDT1  = 3 then 9
																						when @PER_EDT1  = 0 then 12 END )) ,0) ))
											) - @PREDEL_K
										ELSE
											0
										END)
								 END,
						   COL10 = isnull([INSUR],0),												
						   COL11 = ISNULL([per],''),
						   COL12 = ISNULL([year], ''),
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''),
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''),
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT),
						
						   COL45 = ISNULL([SACK],'')
					FROM
						#SZV_PC s LEFT JOIN #SALARY_SUM2_K ss ON ss.pers_link = s.link_face
					WHERE
						code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER  AND PER_EDT = @PER_EDT1
						
					

					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14,COL15, COL16,COL17, COL18 , COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'401'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ) ,
						   COL11 = ISNULL([per],''),
						   COL12 = ISNULL([year], ''),
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''),
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''),
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE  code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]

			
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'402'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 2) ,0) ) ,
						   COL11 = ISNULL([per],''),
						   COL12 = ISNULL([year], ''),
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''),
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''),
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]

										
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),	
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'403'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face AND month_base = 3) ,0) ) ,
						   COL11 = ISNULL([per],''),
						   COL12 = ISNULL([year], ''),
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''),
						   COL14 = ISNULL(CONVERT(VARCHAR(1),[per_edt]), ''),
						   COL15 = ISNULL(CONVERT(VARCHAR(4),[year_edt]), ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_SUM s WHERE code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER], s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
					
					set @nom_pp = @nom_pp + 1
				END
					

		
				---        (         )
				IF /*@T_DOG = 1 and*/  @PFNUMBER = @pf_num1 and @CODE <> @CODE_old	and  @TYPE = @TYPE_OLD
				BEGIN
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = CASE WHEN @CODE = '' then ISNULL(SS.SUMMA_ALL_I,0) ELSE ISNULL(SS.SUMMA_ALL - SS.SUMMA_ALL_I,0) end,
						   COL7 =
								CASE WHEN @CODE = '' THEN
									--  
									(ISNULL(SS.SUMMA_ALL_I - SS.SUMMA_NO_I,0)
									- ( CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 2 AND ref_phys_pers = s.link_face) ,0) ))
									)
								ELSE
									--  
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_ALL_I,0) - (ISNULL(SS.SUMMA_NO,0) - ISNULL(SS.SUMMA_NO_I,0))
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND I = 1 AND ref_phys_pers = s.link_face) ,0) ))
									)
								END
								- -- 
								CASE WHEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0)
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL_K
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0)
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL_K
								ELSE
									0
								END,
													
						   COL8 = ISNULL(SS.BASE_DOG,0),
						
						   COL9 =
								-- 
								CASE WHEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0)
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) > @PREDEL_K
								THEN
									(ISNULL(SS.SUMMA_ALL,0) - ISNULL(SS.SUMMA_NO,0)
									- ( CONVERT(numeric(18,2),ISNULL((SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN1_K WHERE WAY_CALC = 6 AND ref_phys_pers = s.link_face) ,0) ))
									) - @PREDEL_K
								ELSE
									0
								END,
						   COL10 = isnull([INSUR],0), 										
						   COL11 = ISNULL([per],''),
						   COL12 = ISNULL([year], ''),
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else ''end), ''),
						   COL14 = ISNULL([per_edt], ''),
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM
						#SZV_ALL s LEFT JOIN #SALARY_SUM2_K ss ON ss.pers_link = s.link_face
					WHERE
						S.NUM = 1 AND code = @CODE and [TYPE] = @TYPE AND PFNUMBER = @PFNUMBER and FM = @FM					
					GROUP BY
						[TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt],[INSUR],[INC_M1],[INC_M2],[INC_M3],[B_BEF_M1],[B_BEF_M2],[B_BEF_M3], [B_AFT_M1],[B_AFT_M2],[B_AFT_M3],SS.SUMMA_ALL_I, SS.SUMMA_NO, SS.SUMMA_NO_I, SS.SUMMA_NO_E
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M1]),
						   COL7 = SUM([B_BEF_M1]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M1] ELSE 0 END),
						   COL9 = SUM([B_AFT_M1]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 1) ,0) ) ,
						   COL11 = ISNULL([per],''),
						   COL12 = ISNULL([year], ''),
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end), ''),
						   COL14 = ISNULL([per_edt], ''),
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM
						#SZV_ALL s WHERE  code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER and per_edt = @per_edt1
					GROUP BY
						[TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],s.link_face,[per],[year],[per_edt],[year_edt],[INSUR],[INC_M1],[INC_M2],[INC_M3],[B_BEF_M1],[B_BEF_M2],[B_BEF_M3], [B_AFT_M1],[B_AFT_M2],[B_AFT_M3]
					
					set @nom_pp = @nom_pp + 1
			
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M2]),
						   COL7 = SUM([B_BEF_M2]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M2] ELSE 0 END),
						   COL9 = SUM([B_AFT_M2]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 2) ,0) ) ,
						   COL11 = ISNULL([per],''),
						   COL12 = ISNULL([year], ''),
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''),
						   COL14 = ISNULL([per_edt], ''),
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_ALL s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND per_edt = @per_edt1
					GROUP BY [PFNUMBER],s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
										
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL([PFNUMBER],0),
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),@CODE),
						   COL6 = SUM([INC_M3]),
						   COL7 = SUM([B_BEF_M3]),
						   COL8 = SUM(CASE WHEN T_DOG = 2 THEN [B_BEF_M3] ELSE 0 END),
						   COL9 = SUM([B_AFT_M3]),
						   COL10 =  CONVERT(numeric(18,2),ISNULL((SELECT TOP 1 SUMMA FROM #SPR_ESN1_K WHERE WAY_CALC = 6  AND ref_phys_pers = s.link_face AND month_base = 3) ,0) ) ,
						   COL11 = ISNULL([per],''),
						   COL12 = ISNULL([year], ''),
						   COL13 = ISNULL((case WHEN [TYPE] = 1 then '' when [TYPE] = 2 then '' else '' end ), ''),
						   COL14 = ISNULL([per_edt], ''),
						   COL15 = ISNULL([year_edt], ''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					FROM #SZV_ALL s WHERE code = @CODE and [TYPE] = @TYPE /*and T_DOG = @T_DOG*/ AND PFNUMBER = @PFNUMBER AND  per_edt = @PER_EDT1
					GROUP BY [PFNUMBER] ,s.link_face,[per],[year],[TYPE],[per_edt],[year_edt]
										
					set @nom_pp = @nom_pp + 1
				END						

				---    '410','411','412','413'
			
				if not exists (select * from #tmp1
								where COL2 = @PFNUMBER
								and COL12 = (case WHEN @TYPE = 2 then '' else ''end)
								and COL4 = '410' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER AND CODE != @CODE AND [TYPE] = 1)
				begin
						
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,	
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '    ,         :'),
						   COL4 = CONVERT(VARCHAR(4),'410'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''),
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						 COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '1 '),
						   COL4 = CONVERT(VARCHAR(4),'411'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''),
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13,COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '2 '),
						   COL4 = CONVERT(VARCHAR(4),'412'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''),
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''), 		
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
					
					set @nom_pp = @nom_pp + 1		
					
					INSERT INTO #TMP1 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL11, COL12, COL13, COL14, COL15, COL16,COL17, COL18, COL19)
					SELECT CODE = @nom_pp,
						   COL1 = @nom_pp,
						   COL2 = ISNULL(@PFNUMBER,''),
						   COL3 = CONVERT(VARCHAR(100), '3 '),
						   COL4 = CONVERT(VARCHAR(4),'413'),
						   COL5 = CONVERT(VARCHAR(4),''),
						   COL6 = 0,
						   COL7 = 0,
						   COL8 = 0,
						   COL9 = 0,
						   COL10 = 0,
						   COL11 = ISNULL((select TOP 1 COL11 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL12 = ISNULL((select TOP 1 COL12 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL13 = ISNULL((case WHEN @TYPE = 1 then '' when @TYPE = 2 then '' else ''end), ''),
						   COL14 = ISNULL((select TOP 1 COL14 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL15 = ISNULL((select TOP 1 COL15 from #tmp1 where COl2 = @PFNUMBER and COL13 = (case when @TYPE = 2 then '' else ''end) and COL4 = '400'),''),
						   COL16 = @nom_pp,
						   COL17 = CONVERT(varchar(100),@FM),
						   COL18 = CONVERT(varchar(100),@IM),
						   COL19 = CONVERT(varchar(100),@OT)
						
					set @nom_pp = @nom_pp + 1	
					--exec [dbo].RSA_RSV_1_PERS_UCH_SZV '20141001', '20141231', 74578 ,1,  2190
		
				end
			
					set @pf_num1 = @PFNUMBER
					set @CODE_old = @CODE
					set @TYPE_OLD = @TYPE
					SET @PER_OLD = @PER_EDT1
			END

			FETCH NEXT FROM @Cur2 INTO @CODE,@TYPE/*,@T_DOG*/,@PFNUMBER,@FM,@IM,@OT, @PER_EDT1
		END

		CLOSE @Cur2
		DEALLOCATE @Cur2
*/
		SELECT DISTINCT
			CODE = ROW_NUMBER() OVER (ORDER BY CODE),
			COL1 = ROW_NUMBER() OVER (ORDER BY COL1),
			COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10,
			COL11, COL12, COL13, COL14, COL15, COL16, COL17, COL18, COL19, COL20,
			COL21, COL22, COL23, COL24, COL25, COL26, COL27, COL28, COL29, COL30,
			COL31, COL32, COL33, COL34, COL35, COL36, COL37, COL38, COL39, COL40,
			COL41, COL42, COL43, COL44, COL45	
		FROM #TMP1 where col5 <> '' ORDER BY  CODE, COL15
		
	--drop table #SALARY_SUM2_K
	--drop table #SPR_ESN1_K			
	drop table #SPR_ESN
	DROP TABLE #SPR_ESN1
	DROP TABLE #SALARY_SUM_DATA
	drop table #SALARY_SUM2
	DROP TABLE #CALCULATE_JURNAL
	drop table #TMP1

	END

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 1 ,  803

/*	IF @REP = 2
	BEGIN 	
		/*   6.6    */
		/*            ,          
		*  ,     .     6.6 ,
		*      ()   6  ()   -6-1,  () -6-2,  () -6-4.
		*/
		/*   ,      */
	
		---    
			DECLARE @BYDateK	datetime , @nYEAR_K INT, @nMON1 INT, @nMON2 INT, @nMON3 INT
	

			select top 1
			@BYDateK = (convert(varchar(4),YEAR_EDT)+'0101'),
			@nYEAR_K = YEAR_EDT,
			@nMON1 = (case  PER_EDT when 1 then  1 when 2 then  4 when 3 then  7 when 4 then  10 else 10 end)
			from #SZV_ALL WHERE [TYPE] = 2
			
			SELECT  @nMON2 = @nMON1 +1 , 	
					@nMON3 = @nMON1 +2 	
					
----------<<<<<<<<< #SPR_ESN     (  )

		/*    */
		SELECT year_edt = p.YEAR_EDT,
				PER_EDT = p.PER_EDT,
				link_dep = p.link_dep,
				link_pers = s.link_pers,
				Link_kateg = case when S.Link_kateg = 3 then 1 else S.Link_kateg  end ,
				pachka = s.pachka
		INTO #tmp_pers
		FROM 	dbo.SA_SZV4_PACHKA P
				INNER JOIN dbo.SZV4_SVEDENIA S ON P.link = S.link_up 															
		where
			P.link in (select link from #DOCS WHERE vid_kor = 2)
			and P.proverka = 1
			and P.vid_kor > 1
			and p.link_dep = @DEP_LINK


		CREATE TABLE #tmp_pers_kor_sum (link INT  , [date] DATETIME, YEAR_degin INT , per INT , vid_kor int, link_dep INT , proverka INT  , CODE VARCHAR(5), link_pers INT ,
										sum_doh NUMERIC(18,2), sum_str NUMERIC(18,2), sum_nak NUMERIC(18,2),sum_dop NUMERIC(18,2) , pachka int)
	
		DECLARE @Cur_R2 CURSOR, @link int ,@LINK_pers INT, @year_edt INT , @per_edt INT , @Link_kateg INT ,@pachka int
		SET @Cur_R2 = CURSOR FORWARD_ONLY

		FOR SELECT LINK_pers, year_edt, per_edt, Link_kateg ,pachka FROM #tmp_pers ORDER by link_pers

		OPEN @Cur_R2
		FETCH NEXT FROM @Cur_R2 INTO @LINK_pers, @year_edt, @per_edt , @link_kateg, @pachka
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				
					SET @link = 0
					
					SELECT @link =max(pp.link)
					FROM SA_SZV4_PACHKA pp
					INNER JOIN dbo.SZV4_SVEDENIA Ss ON ss.link_up = pp.link
					WHERE  pp.proverka = 1 AND pp.vid_kor = 1
										  AND pp.link_dep = @DEP_LINK
										  AND pp.year_begin =@year_edt
										  AND pp.PER =@per_edt
										  AND @LINK_pers = ss.link_pers
										  --AND @link_kateg = ss.link_kateg
										  AND pp.date = (SELECT MAX(p1.[date]) FROM SA_SZV4_PACHKA p1
																INNER JOIN dbo.SZV4_SVEDENIA S1 ON s1.link_up = p1.link
																WHERE  pp.proverka = 1 AND p1.vid_kor = 1
																					  AND p1.link_dep = @DEP_LINK
																					  AND p1.year_begin =@year_edt
																					  AND p1.PER =@per_edt
																					  AND @LINK_pers = s1.link_pers
																					  /*AND @link_kateg = s1.link_kateg*/ )
					
					INSERT INTO #tmp_pers_kor_sum (link, [date], YEAR_degin, per, vid_kor, link_dep, proverka , CODE, link_pers,
										sum_doh, sum_str, sum_nak,sum_dop, pachka)
					SELECT pp.link, pp.[date], pp.YEAR_begin, pp.per, pp.vid_kor, pp.link_dep, pp.proverka, CODE = k.code, ss.link_pers,
										ss.sum_doh, ss.sum_str, ss.sum_nak,ss.sum_dop , pachka = @pachka
					FROM SA_SZV4_PACHKA pp
					INNER JOIN dbo.SZV4_SVEDENIA Ss ON ss.link_up = pp.link
					INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = ss.LINK_KATEG AND pp.YEAR_begin BETWEEN YBEG AND YEND		
					WHERE pp.link = @link and pp.proverka = 1
										 AND pp.vid_kor = 1
										 AND pp.link_dep = @DEP_LINK
										 AND pp.year_begin =@year_edt
										 AND pp.PER =@per_edt
										 AND ss.link_pers = @LINK_pers
										/* AND ss.link_kateg = @link_kateg*/
										

			END

			FETCH NEXT FROM @Cur_R2 INTO @LINK_pers, @year_edt, @per_edt, @link_kateg, @pachka
		END

		CLOSE @Cur_R2
		DEALLOCATE @Cur_R2
--exec [dbo].RSA_RSV_1_PERS_UCH_SZV '20141001', '20141231', 74578 ,1,  2191


---------->>>>>>>>>>
		create table #TMP2(CODE int identity(1,1) ,col1 int,   COL2 tinyint, COL3 varchar(4), COL4 numeric(18,2), COL5 numeric(18,2), COL6 numeric(18,2), COL7 VARCHAR(14), COL8 INT)

		INSERT INTO #TMP2 (COL2, COL3, COL4, COL5, COL6, COL7)
		SELECT
			   COL2 = /*case when YEAR_EDT between '2011' and '2013'  then (case*/ [PER_EDT]/* when 1 then 1 when 2 then 2 when 3 then 3 when 4 then 4 else 0 end)
							when YEAR_EDT = '2014' then (case [PER_EDT] when 1 then 3 when 2 then 6 when 3 then 9 when 4 then 0 else null end) end */,
			   COL3 = CONVERT(VARCHAR(4),YEAR_EDT),
			   COL4 = (CASE WHEN YEAR_EDT = '2014' THEN INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.per_edt )  ELSE 0 END ),
			   COL5 = (CASE WHEN YEAR_EDT < '2014' THEN INSUR - (SELECT SUM(SUM_doh) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face  AND  per = s.per_edt )  ELSE 0 END ),
			   COL6 = (CASE WHEN YEAR_EDT < '2014' THEN GAIN - (SELECT SUM(SUM_NAK) FROM #tmp_pers_kor_sum WHERE CODE = '' AND LINK_pers = s.link_face AND  per = s.per_edt )   ELSE 0 END ),
			   COL7 = CONVERT(VARCHAR(14),PFNUMBER)
		FROM #SZV_ALL s WHERE  [TYPE] = 2 AND id_ex =1
		GROUP BY link_face, YEAR_EDT,  [PER_EDT] , INSUR , GAIN ,[FM],[IM],[OT], PFNUMBER
		ORDER BY [FM],[IM],[OT],[PFNUMBER]
		
		UPDATE #TMP2
			SET col1 = CODE , COL8 = CODE

		
		SELECT * FROM #TMP2 ORDER BY CODE


		drop table #tmp_pers
		drop table #tmp_pers_kor_sum
		--DROP TABLE #SPR_ESN_K
		drop table #TMP2
		--GROUP BY [TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt]	
	

	
	END	
*/	
	IF @REP = 3
	BEGIN 	
		/*   3.2.2           ,     ,
		*              ,    1, 2  2.1  58.3
		*    24  2009 .  212- */

	/*****************************************************/
	--     
	/*****************************************************/

		DECLARE @BYear_Date	datetime
			SET @BYear_Date = dbo.DateBeginOfYear (@dDate1)

		/*UPDATE #SZV_ALL
			SET [OSOB_SPO] =  SP
			FROM #SPR_ESN   WHERE pf_num = #SZV_ALL.[PFNUMBER] AND WAY_CALC IN (10,11) AND MONTH_BASE = @nMONTH3  AND SUMMA_BASE <> 0 */

		create table #TMP3(CODE int,col1 int,   COL2 varchar(100), COL3 varchar(4), COL4 varchar (4), COL5 numeric(18,2), COL6 numeric(18,2), COL7 VARCHAR(14), COL8 int, COL9 int,
							COL10 VARCHAR(10), COL11 VARCHAR(10), COL12 VARCHAR(10),COL13 VARCHAR(30), COL14 VARCHAR(10), COL15 VARCHAR(100), COL16 VARCHAR(10),COL17 VARCHAR(100),
							COL18 VARCHAR(10), COL19 VARCHAR(10), COL20 VARCHAR(10),COL21 VARCHAR(30), COL22 VARCHAR(10), COL23 VARCHAR(100), COL24 VARCHAR(10), COL25 VARCHAR(100),
							COL26 VARCHAR(10), COL27 VARCHAR(10), COL28 VARCHAR(10),COL29 VARCHAR(30), COL30 VARCHAR(10), COL31 VARCHAR(100), COL32 VARCHAR(10), COL33 VARCHAR(100),
							COL34 VARCHAR(10), COL35 VARCHAR(10), COL36 VARCHAR(10), COL37 VARCHAR(30), COL38 VARCHAR(10), COL39 VARCHAR(100), COL40 VARCHAR(10), COL41 VARCHAR(100), COL42 varchar(100), COL43 varchar(100), COL44 varchar(100),
							COL45 VARCHAR(300), COL46 VARCHAR(300))


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20180101', '20180331', 13488, 3 , 407

		DECLARE @Cur3 CURSOR, @CODE1 varchar(4), @TYPE1 tinyint , @PFNUMBER1 VARCHAR (14) , @FM1 VARCHAR(100),@IM1 VARCHAR(100),@OT1 VARCHAR(100),
		@LINK_FACE11 INT ,@LINK_FACE01 int ,@TYPE_OLD1 TINYINT, @nom_pp1 INT, @OSOB_SPO VARCHAR(4), @OSOB_SPO_old VARCHAR(4),
		@DateM1B DATETIME, @DateM2B DATETIME, @DateM3B DATETIME, @DateM1E DATETIME, @dateM2E DATETIME, @dateM3E DATETIME
		
		set @Link_FACE11 = 0
		set @OSOB_SPO_old = NULL
		set @TYPE_OLD1 = 0
		set @nom_pp1 = 1
	
		SELECT @DateM1B = @dDate1,
			   @DateM2B =  dbo.ConvertDMY2Date(1,month(@dDate1)+1,YEAR(@dDate1)), 	
			   @DateM3B =  dbo.ConvertDMY2Date(1,month(@dDate1)+2,YEAR(@dDate1)),
			   @DateM1E =  dbo.DateEndOfMonth(@DateM1B),
			   @DateM2E =  dbo.DateEndOfMonth(@DateM2B), 	
			   @DateM3E =  @dDate2



--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20180101', '20180331', 13488, 3 , 407
		SET @Cur3 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],LINK_FACE,[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]
			FROM #SZV_ALL
			where [TYPE] = 1  AND ISNULL([OSOB_SPO],'') <> '' AND mon BETWEEN month(@dDate1) AND month(@dDate2) 
			GROUP BY [FM],[IM],[OT],LINK_FACE,[PFNUMBER],[TYPE],CODE,mon, [OSOB_SPO]
			ORDER BY [FM],[IM],[OT],LINK_FACE,[PFNUMBER],[TYPE],CODE,mon, [OSOB_SPO]
		OPEN @Cur3
		FETCH NEXT FROM @Cur3 INTO  @CODE1,@TYPE1,@LINK_FACE01,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				SELECT @OSOB_SPO = ISNULL(@OSOB_SPO, '')
				select @OSOB_SPO_old = ISNULL(@OSOB_SPO_old, '')
				---        ( , , )
				
				IF @LINK_FACE01 <> @LINK_FACE11
				BEGIN

					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42, COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'700'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL(  (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN e.MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL(  (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL(  ( sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END  ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   ,0)
								  END,
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM
						#SZV_ALL s
						left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		AND  s.mon = e.MONTH_BASE					
					WHERE
						s.code = @CODE1 and s.[TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO --AND s.MON = month(@DateM1B)
						AND  s.mon between 	@nMONTH1 AND @nMONTH3	
						AND  e.MONTH_BASE between @nMONTH1 AND @nMONTH3							
					GROUP BY
						[TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt]/*, INC_T1,INC_T2*/,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS
----------------------------------------

-----------------------------------------------
					--                   -      
					UPDATE TMP3
					SET COL5 = (SELECT case when s.per = 1 THEN sum((CASE WHEN  mon = 1 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1
																		 WHEN  mon = 1 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 2 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1
																		 WHEN  mon = 2 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 3 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1
																		 WHEN  mon = 3 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )		)
											when s.per = 2 then sum((CASE WHEN  mon = 4 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1
																		 WHEN  mon = 4 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 5 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1
																		 WHEN  mon = 5 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 6 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1
																		 WHEN  mon = 6 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END ) 		)
											when s.per = 3 then sum((CASE WHEN  mon = 7 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1
																		 WHEN  mon = 7 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 8 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1
																		 WHEN  mon = 8 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 9 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1
																		 WHEN  mon = 9 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )		)
											when s.per = 4 then sum((CASE WHEN  mon = 10 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1
																		 WHEN  mon = 10 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 11 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1
																		 WHEN  mon = 11 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																+ 	(CASE WHEN  mon = 11 AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1
																		 WHEN  mon = 11 AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )		)  end
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon between 	@nMONTH1 AND @nMONTH3
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '700' 			


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170301', '20170630', 74578, 3 ,  3400

					SELECT  @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					select CODE, COL1, COL2, COL3, COL4, COL5 = sum(COL5), COL6 = sum(COL6), COL7, COL8, COL9, COL42 , COL43, COL44 from
					(	select CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44  
					from (SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'701'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11)  THEN DED_M + INV_M  ELSE 0 END))   ,0),
						   COL6 = ISNULL( (sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11)  THEN SUMMA ELSE 0 END))  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.MON = month(@DateM1B)
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1,INC_T1,INC_T1,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS
					) a
					group by  CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44	) b
					group by  CODE, COL1, COL2, COL3, COL4,  COL7, COL8, COL9, COL42 , COL43, COL44				

					UPDATE TMP3
					SET COL5 = (SELECT  sum((CASE WHEN  mon = month(@DateM1E) AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1
																		 WHEN  mon = month(@DateM1E) AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																	)
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon = month(@DateM1E)
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '701'

			

					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					select CODE, COL1, COL2, COL3, COL4, COL5 = sum(COL5), COL6 = sum(COL6), COL7, COL8, COL9, COL42 , COL43, COL44 from
					(select CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44 from
					( SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'702'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))   ,0),
						   COL6 = ISNULL( (sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.MON =month(@DateM2B)
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1,INC_T1,INC_T1,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS
					) a
					group by  CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44) b
					group by  CODE, COL1, COL2, COL3, COL4, COL7, COL8, COL9, COL42 , COL43, COL44
					

--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20180101', '20180331', 13488, 3 , 407

					UPDATE TMP3
					SET COL5 = (SELECT  sum((CASE WHEN  mon = month(@DateM2E) AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1
																		 WHEN  mon = month(@DateM2E) AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																	)
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon = month(@DateM2E)
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '702'

			
					set @nom_pp1 = @nom_pp1 + 1

					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					select CODE, COL1, COL2, COL3, COL4, COL5 = sum(COL5), COL6 = sum(COL6), COL7, COL8, COL9, COL42 , COL43, COL44 from
					(					select CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44 from
					(SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'703'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL(( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @LINK_FACE01,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.REF_PHYS_PERS = s.LINK_FACE AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND s.LINK_FACE =@LINK_FACE01 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.MON = month(@DateM3B)
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],LINK_FACE,[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1,INC_T1,INC_T1,s.OSOB_SPO,E.SP, e.REF_PHYS_PERS
					) a
					group by  CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44) b
					group by  CODE, COL1, COL2, COL3, COL4, COL7, COL8, COL9, COL42 , COL43, COL44

				
					UPDATE TMP3
					SET COL5 = (SELECT  sum((CASE WHEN  mon = month(@DateM3E) AND ((inc_t1 <> 0 AND inc_t2 <> 0) OR (inc_t1 <> 0 AND inc_t2 = 0) ) THEN inc_t1
																		 WHEN  mon = month(@DateM3E) AND (inc_t2 <> 0 AND inc_t1 = 0) THEN inc_t2 ELSE 0 END )
																	)
										from #SZV_ALL s WHERE s.link_face = TMP3.col8   AND ISNULL(s.OSOB_SPO,'') = @OSOB_SPO AND  s.code = @CODE1 and s.[TYPE] = @TYPE1 AND  s.mon = month(@DateM3E)
								GROUP BY s.per  ) - COL5
					FROM #TMP3 TMP3 WHERE col8 =  @LINK_FACE01	AND  COL3 = '703'


--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170401', '20170630', 74578, 3 ,  3400						
					set @nom_pp1 = @nom_pp1 + 1
				
				END
		
					
		/*		---        (         )
				IF @PFNUMBER1 = @pf_num11 and @OSOB_SPO <> @OSOB_SPO_old
				BEGIN
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )   ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)
								  END,
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM
					
					set @nom_pp1 = @nom_pp1 + 1
				
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM
				
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL  s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 	
				
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT distinct CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO /*AND s.ID_EX = 2*/
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM
				
					set @nom_pp1 = @nom_pp1 + 1
				END						
			*/	---    '410','411','412','413'
	
			/*	if not exists (select * from #tmp3
								where COL7 = @PFNUMBER1
								and COL9 = @TYPE1
								and COL4 = '710' )
					AND NOT EXISTS (
						SELECT * FROM #SZV_ALL
						WHERE PFNUMBER = @PFNUMBER1
							AND ISNULL(OSOB_SPO,'') != ISNULL(@OSOB_SPO,'')
							AND [TYPE] = 1
						)
				begin
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT
						   CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
			
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
			
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						 COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)

					set @nom_pp1 = @nom_pp1 + 1		
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
	
					set @nom_pp1 = @nom_pp1 + 1	
				end
				*/
					select	row_number() over (order by DATE_BEGIN) as ID ,
							FM1 = [FM]  ,
							IM1 = [IM],
							OT1 = [OT],
							PFNUMBER1 = [PFNUMBER],
							T_DOG1= T_DOG,
							TYPE1 = [TYPE],
							DATE_BEGIN1 = [DATE_BEGIN],
							DATE_END1 = (CASE WHEN [DATE_END]> @dDate2 THEN @dDate2 ELSE [DATE_END] end),
							link_face1 = link_face
					into #TMP03
					FROM #SZV_ALL  WHERE  mon IS NOT NULL AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN) and [TYPE] = @TYPE1 AND LINK_FACE =@LINK_FACE01 and fm = @FM1 and T_DOG = 1
					GROUP BY [FM],[IM],[OT],LINK_FACE,[PFNUMBER], T_DOG,[TYPE], [DATE_BEGIN], [DATE_END]
					ORDER BY  [FM],[IM],[OT],LINK_FACE,[PFNUMBER], T_DOG,[TYPE]
			
	--SELECT * FROM #TMP03
	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 0 ,  356	
--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 3 ,  803
					UPDATE #TMP3
					set COL10 = (SELECT distinct convert(varchar(10),DATE_BEGIN1,104 ) FROM #TMP03 where ID=1 and FM1= @FM1),
						COL11 = (SELECT distinct convert(varchar(10),DATE_END1,104 ) FROM #TMP03 where ID=1 and FM1= @FM1),
						COL12 = NULL,
						COL13 = NULL,
						COL14 = NULL,
						COL15 = NULL,
					    COL16 = NULL,
					    COL17 = NULL,
					    COL18 = NULL,
					    COL19 = NULL,
					    COL20 = NULL,
					    COL21 = NULL,
						COL22 = NULL,
						COL23 = NULL,
					    COL24 = NULL,
					    COL25 = NULL,
					    COL26 = NULL,
					    COL27 = NULL,
					    COL28 = NULL,
					    COL29 = NULL,
						COL30 = NULL,
						COL31 = NULL,
					    COL32 = NULL,
					    COL33 = NULL,
					    COL34 = NULL,
					    COL35 = NULL,
					    COL36 = NULL,
					    COL37 = NULL,
						COL38 = NULL,
						COL39 = NULL,
					    COL40 = NULL,
					    COL41 = NULL,
					
					    COL45 = NULL,
					    COL46 = NULL
					

					from #TMP3	
					WHERE #TMP3.COL9 = @TYPE1
					and #TMP3.COL8 = @LINK_FACE01 AND #TMP3.COL3 = '700' /*and #TMP3.CODE =  @nom_pp1*/


					drop table #TMP03				


				
				
					set @LINK_FACE11 = @LINK_FACE01
					set @OSOB_SPO_old = @OSOB_SPO
					set @TYPE_OLD1 = @TYPE1
					
			
			END

			FETCH NEXT FROM @Cur3 INTO @CODE1,@TYPE1,@LINK_FACE01,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		END

		CLOSE @Cur3
		DEALLOCATE @Cur3
		
		
		
		
	/*	/*****************************************************/
		--    /
		/*****************************************************/
		--create table #TMP1(CODE int,col1 int,   COL2 varchar(14), COL3 varchar(100), COL4 varchar (4), COL5 varchar (4), COL6 numeric(18,2), COL7 numeric(18,2), COL8 numeric(18,2), COL9 numeric(18,2), COL10 varchar(1), COL11 varchar(4), COL12 varchar(15), COL13 varchar(1), COL14 varchar(4),COL15 int)
	

		DECLARE @Cur4 CURSOR
		set @pf_num11 = ''
		set @OSOB_SPO_old = ''
		set @TYPE_OLD1 = 0
		set @nom_pp1 = (SELECT MAX(CODE) FROM #TMP3 WHERE COL9 = 1) + 1
		
			
		SET @Cur4 = CURSOR FORWARD_ONLY
		FOR SELECT  [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]  FROM #SZV_ALL where /*T_DOG = 1 and */[TYPE] != 1 /*and year_edt >=2014*/  GROUP BY [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]ORDER BY [CODE],[TYPE],[PFNUMBER], [FM],[IM],[OT], [OSOB_SPO]
		OPEN @Cur4
		FETCH NEXT FROM @Cur4 INTO  @CODE1,@TYPE1,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		WHILE (@@fetch_status <> -1)
		BEGIN

			IF (@@fetch_status <> -2)
			BEGIN
				
				
				SELECT @OSOB_SPO = ISNULL(@OSOB_SPO, '')
				select @OSOB_SPO_old = ISNULL(@OSOB_SPO_old, '')	
				---        ( , , )
				IF (@PFNUMBER1 <> @pf_num11 )
				BEGIN
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'700'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)
								  END,

						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt], INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3 , date_end,s.OSOB_SPO,E.SP, e.PF_NUM
					

					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'701'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC = 10 THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end ,s.OSOB_SPO,E.SP, e.PF_NUM 	
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'702'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'703'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt]	,INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 		
					
					set @nom_pp1 = @nom_pp1 + 1
				END
					
				
				---        (         )
				IF @PFNUMBER1 = @pf_num11 and @OSOB_SPO <> @OSOB_SPO_old
				BEGIN
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = CASE WHEN PER = 1 THEN  ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))  ,0)
										WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																 + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)) ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END))
																+ (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END) - sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0)
									END ,
						   COL6 = CASE WHEN PER = 1 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 2 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))  ,0)
									   WHEN PER = 3 THEN ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)
													ELSE ISNULL( (sum(CASE WHEN MONTH_BASE= 1 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 2 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 3 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 4 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 5 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 6 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 7 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 8 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 9 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END) )
															   + (sum(CASE WHEN MONTH_BASE= 10 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 11 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))
															   + (sum(CASE WHEN MONTH_BASE= 12 AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END))   ,0)
								  END,						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM 	
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM1E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 		
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM2E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)		
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end,s.OSOB_SPO,E.SP, e.PF_NUM 			
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),ISNULL(s.OSOB_SPO,'')),
						   COL5 = ISNULL((sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA_BASE ELSE 0 END)- sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN DED_M + INV_M  ELSE 0 END)),0),
						   COL6 = ISNULL( ( sum(CASE WHEN MONTH_BASE= month(@DateM3E) AND e.WAY_CALC IN(10,11) THEN SUMMA ELSE 0 END)),0),
						   COL7 = ISNULL([PFNUMBER],0),
						   COL8 = @nom_pp1,
						   COL9 = [TYPE],
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					FROM #SZV_ALL s
					left JOIN #SPR_ESN  e ON 	e.PF_NUM = s.PFNUMBER AND ISNULL(e.SP,'') = ISNULL(s.OSOB_SPO,'') AND e.WAY_CALC IN (10,11)	
					WHERE  code = @CODE1 and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') = @OSOB_SPO AND s.ID_EX = 1
					GROUP BY [TYPE],CODE,[FM],[IM],[OT],[PFNUMBER],[per],[year],[TYPE],[per_edt],[year_edt],INC_T1M1,INC_T1M2,INC_T1M3, INC_T2M1,INC_T2M2,INC_T2M3,date_end	,s.OSOB_SPO,E.SP, e.PF_NUM  		
					
					set @nom_pp1 = @nom_pp1 + 1
				END						

				---    '710','711','712','713'
			
				if not exists (select * from #tmp3
								where COL7 = @PFNUMBER1
								and COL9 = @TYPE1
								and COL4 = '710' ) AND NOT EXISTS (SELECT * FROM #SZV_ALL WHERE PFNUMBER = @PFNUMBER1 AND ISNULL(OSOB_SPO,'') != @OSOB_SPO AND [TYPE] = 2)
				begin
						
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '    ,         :'),	
						   COL3 = CONVERT(VARCHAR(4),'710'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '1 '),	
						   COL3 = CONVERT(VARCHAR(4),'711'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '2 '),	
						   COL3 = CONVERT(VARCHAR(4),'712'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1		
					
					INSERT INTO #TMP3 (CODE, COL1, COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL42 , COL43, COL44)
					SELECT CODE =  @nom_pp1,
						   COL1 =  @nom_pp1,	
						   COL2 = CONVERT(VARCHAR(100), '3 '),	
						   COL3 = CONVERT(VARCHAR(4),'713'),
						   COL4 = CONVERT(VARCHAR(4),''),
						   COL5 = 0,
						   COL6 = 0,
						   COL7 = ISNULL(@PFNUMBER1,''),
						   COL8 = @nom_pp1,
						   COL9 = @TYPE1,
						   COL42 = CONVERT(varchar(100),@FM1),
						   COL43 = CONVERT(varchar(100),@IM1),
						   COL44 = CONVERT(varchar(100),@OT1)
					
					set @nom_pp1 = @nom_pp1 + 1	
				
				end


					select	row_number() over (order by DATE_BEGIN) as ID ,
							FM1 = [FM]  ,
							IM1 = [IM],
							OT1 = [OT],
							PFNUMBER1 = [PFNUMBER],
							T_DOG1= T_DOG,
							TYPE1 = [TYPE],
							DATE_BEGIN1 = [DATE_BEGIN],
							DATE_END1 = (CASE WHEN [DATE_END] > @dDate2 THEN @dDate2 ELSE  [DATE_END] END )  ,
							TU_CODE1 = [TU_CODE],
							OS_CODE1 = [OS_CODE],
							EX_CODE1 = [EX_CODE],
							f_is_dop1 = [f_is_dop],
							P_CODE1 = [P_CODE],
							f_ud_dop1 = [f_ud_dop]
					into #TMP04
					FROM #SZV_ALL  WHERE  id_ex IS NOT NULL /*AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN)*/ and [TYPE] = @TYPE1 AND PFNUMBER = @PFNUMBER1 and fm = @FM1 --and T_DOG = 1
					GROUP BY [FM],[IM],[OT],[PFNUMBER], T_DOG,[TYPE], [DATE_BEGIN], [DATE_END] , [TU_CODE], [OS_CODE], [EX_CODE], [f_is_dop], [P_CODE], [f_ud_dop]
					ORDER BY  [FM],[IM],[OT],[PFNUMBER], T_DOG,[TYPE]
				
				

					UPDATE #TMP3
					set COL10 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL11 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL12 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1) ,
						COL13 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL14 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=1 and FM1= @FM1),
						COL15 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=1 and FM1= @FM1),
					    COL16 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=1 and FM1= @FM1),
					    COL17 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=1 and FM1= @FM1),
					    COL18 = (SELECT distinct convert(varchar(10),DATE_BEGIN1 , 104 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL19 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL20 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL21 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
						COL22 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
						COL23 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL24 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL25 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=2 and FM1= @FM1),
					    COL26 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL27 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL28 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL29 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
						COL30 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
						COL31 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL32 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL33 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=3 and FM1= @FM1),
					    COL34 = (SELECT distinct convert(varchar(10),DATE_BEGIN1, 104 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL35 = (SELECT distinct convert(varchar(10),DATE_END1, 104 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL36 = (SELECT distinct convert(varchar(10),TU_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL37 = (SELECT distinct convert(varchar(30),OS_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
						COL38 = (SELECT distinct convert(varchar(10),EX_CODE1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
						COL39 = (SELECT distinct convert(varchar(100),f_is_dop1 ) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL40 = (SELECT distinct convert(varchar(10),P_CODE1) FROM #TMP04 where ID=4 and FM1= @FM1),
					    COL41 = (SELECT distinct convert(varchar(100),f_ud_dop1) FROM #TMP04 where ID=4 and FM1= @FM1),
						
					    COL45 = CONVERT(VARCHAR(300),ISNULL((SELECT distinct isnull(convert(varchar(10),DATE_BEGIN1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),DATE_END1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),TU_CODE1 ),' ')
																	  + ',' + isnull(convert(varchar(30),OS_CODE1 ),' ')
																		+ ','  + isnull(convert(varchar(10),EX_CODE1 ),' ')
																	 + ','  + isnull(convert(varchar(100),f_is_dop1 ),' ')
																	 + ','  + isnull(convert(varchar(10),P_CODE1) ,' ')
																	 + ','  + isnull(convert(varchar(100),f_ud_dop1),' ')			
																	 + ','
					                                         FROM #TMP04 where ID=5 and FM1= @FM1),' ')),
					    COL46 = CONVERT(VARCHAR(300),ISNULL((SELECT distinct isnull(convert(varchar(10),DATE_BEGIN1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),DATE_END1,104 ),' ')
																	  + ',' + isnull(convert(varchar(10),TU_CODE1 ), ' ')
																	  + ',' + isnull(convert(varchar(30),OS_CODE1 ),' ')
																		+ ','  + isnull(convert(varchar(10),EX_CODE1 ),' ')
																	 + ','  + isnull(convert(varchar(100),f_is_dop1 ),' ')
																	 + ','  + isnull(convert(varchar(10),P_CODE1) ,' ')
																	 + ','  + isnull(convert(varchar(100),f_ud_dop1),' ')
																	 + ','  			
															 FROM #TMP04 where ID=6 and FM1= @FM1),' '))
				
					
					from #TMP3	
					WHERE #TMP3.COL9 = @TYPE1
					and #TMP3.COL7 = @PFNUMBER1 and  #TMP3.COL3 = '700'

				
					drop table #TMP04	


					set @pf_num11 = @PFNUMBER1
					set @OSOB_SPO_old = @OSOB_SPO
					set @TYPE_OLD1 = @TYPE1
					
			END

			FETCH NEXT FROM @Cur4 INTO @CODE1,@TYPE1,@PFNUMBER1,@FM1,@IM1,@OT1, @OSOB_SPO
		END

		CLOSE @Cur4
		DEALLOCATE @Cur4
	*/
	--EXEC DBO.RSA_RPSV_PERS_UCH_SZV  '20170101', '20170331', 13488, 3 ,  803
		
		SELECT DISTINCT
			CODE = ROW_NUMBER() OVER (ORDER BY CODE),
			COL1 = ROW_NUMBER() OVER (ORDER BY COL1),
			COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10,
			COL11, COL12, COL13, COL14, COL15, COL16, COL17, COL18, COL19, COL20,
			COL21, COL22, COL23, COL24, COL25, COL26, COL27, COL28, COL29, COL30,
			COL31, COL32, COL33, COL34, COL35, COL36, COL37, COL38, COL39, COL40,
			COL41, COL42, COL43, COL44, COL45, COL46
		FROM #TMP3 where col5 <> 0 or col6 <> 0 or ISNULL(COL10,'') <> '' ORDER BY CODE, COL8

--RSA_RSV_1_PERS_UCH_szv '20140401', '20140630', 13488 , 3, 2786
		drop table #TMP3
	
	END		

	IF @REP = 4
	BEGIN 	
		/*  6.8          6 */
		create table #TMP4(CODE int identity(1,1) ,col1 int,   COL2 VARCHAR(10), COL3 VARCHAR(10), COL4 VARCHAR(10), COL5 VARCHAR(30), COL6 VARCHAR(10), COL7 varchar(100), COL8 VARCHAR(10), COL9 varchar(100), COL10 VARCHAR(14), COL11 INT , COL12 INT, COL13 VARCHAR(100), COL14 varchar(100), COL15 VARCHAR(100) )

		INSERT INTO #TMP4 (COL2, COL3, COL4, COL5, COL6, COL7, COL8, COL9, COL10, COL12, COL13, COL14, COL15 )
		SELECT
			   COL2 = convert(varchar(10),(CASE WHEN [DATE_BEGIN] > @dDate2 THEN @dDate2 ELSE [DATE_BEGIN] END) , 104),
			   COL3 = CONVERT(varchar(10),[DATE_END] , 104),
			   COL4 = CONVERT(VARCHAR(10),ISNULL([TU_CODE],'')),
			   COL5 = CONVERT(VARCHAR(30),ISNULL([OS_CODE],'')),
			   COL6 = CONVERT(VARCHAR(10),ISNULL([EX_CODE],'')),
			   COL7 = CONVERT(VARCHAR(100),ISNULL([f_is_dop],'')),
			   COL8 = CONVERT(VARCHAR(10),ISNULL([P_CODE],'')),
			   COL9 = CONVERT(VARCHAR(100),ISNULL([f_ud_dop],'')),
			   COL10 = CONVERT(VARCHAR(100),ISNULL([PFNUMBER],'')),
			   COL12 = ISNULL([TYPE],0),
			   COL13 = CONVERT(varchar(100),FM),
			   COL14 = CONVERT(varchar(100),IM),
			   COL15 = CONVERT(varchar(100),OT)
		FROM #SZV_ALL
		WHERE
			id_ex IS NOT NULL AND YEAR(@dDate1)<=YEAR(Date_END) and MONTH(@dDate2) >= MONTH(Date_END) and MONTH(@dDate2) >= MONTH(Date_BEGIN)
		GROUP BY
			[FM],[IM],[OT],[PFNUMBER],[TYPE], [DATE_BEGIN], [DATE_END] , [TU_CODE], [OS_CODE], [EX_CODE], [f_is_dop], [P_CODE], [f_ud_dop]
		ORDER BY
			[FM],[IM],[OT],[PFNUMBER],[TYPE]

		UPDATE #TMP4
			SET col1 = CODE , COL11 = CODE

		SELECT * FROM #TMP4 ORDER BY CODE
		
		drop table #TMP4
		--GROUP BY [TYPE],CODE, [T_DOG],[FM],[IM],[OT],[PFNUMBER],[per],[year],[per_edt],[year_edt]	
		
	END	
	
	
		
		drop table #SZV_ALL
		--drop table #docs_kor_otm
		--drop table #docs

END











GO


GRANT EXECUTE ON dbo.[RSA_RPSV_PERS_UCH_SZV] TO PUBLIC

GO


-- --



-- --
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_RPSV_EXPORT_v5_01]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_RPSV_EXPORT_v5_01]

GO

CREATE   PROCEDURE [dbo].SS_RPSV_EXPORT_v5_01( @Link int /*  */ )
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT ON

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254), @WORK_END VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------
--      
DECLARE @OKATO_OR_OKTMO int
SET @OKATO_OR_OKTMO = dbo.SA_GET_OPTION_BY_CODE('NASTR_USE_OKATO_OKTMO')

DECLARE @ATR_TYPE_KOR INT
SET @ATR_TYPE_KOR  = (SELECT DBO.RN_GET_ATR_VALUE(@Link, 'REPORTS_ATR_TYPE_KOR'))	

-- " "
SET @WORK_END = (SELECT DBO.RN_GET_ATR_VALUE(@Link, 'REPORTS_ATR_LIKVID'))
SET @WORK_END = CASE WHEN @WORK_END LIKE '' THEN '0' ELSE '' END
	
DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT, @Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME
SELECT
	@LINK_DEP = LINK_ORGANIZATION,
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date))),
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS WHERE LINK_SAVED_FORM = @link

SELECT top 1
	DD1.OKPO AS OKPO1,
	RIGHT(LTRIM(RTRIM(DD1.INN)), 12) AS INN1,
	DD1.KPP AS KPP1,
	FULL_NAME = CONVERT(VARCHAR(160),UPPER(DD1.FULL_NAME)),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	RIGHT(REPLICATE('0',15) + LTRIM(RTRIM(DD1.OGRN)), 15) AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	CHIEF.FM as CHIEF_FM,
	CHIEF.IM as CHIEF_IM,
	CHIEF.OT as CHIEF_OT,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	OGRN = RIGHT(REPLICATE('0',15) + LTRIM(RTRIM(DD1.OGRN)), 15),
	DD1.OKATO,
	DD1.OKTMO,
	OKVED = (CASE WHEN LEN(ltrim(rtrim(DD1.OKVED)))<8 AND RIGHT(DD1.OKVED,1) = '.' THEN STUFF(DD1.OKVED,LEN(ltrim(rtrim(DD1.OKVED))),1,'') ELSE DD1.OKVED end) ,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TFOMS_KTI = '03',
	WORK_END = '1'
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP


/*       ,       */
IF OBJECT_ID('tempdb..#t_osn') IS NOT NULL DROP TABLE #t_osn
CREATE table #t_osn (code CHAR(10), COL1 INT , COL2 VARCHAR(10) , COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 INT, COL6 VARCHAR(100), COL7 VARCHAR(10), col8 int , col9 int, col10 int, col11 int)
IF OBJECT_ID('tempdb..#t_kor') IS NOT NULL DROP TABLE #t_kor
CREATE table #t_kor (code CHAR(10), COL1 INT , COL2 CHAR(4) , COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 VARCHAR(50), COL6 VARCHAR(50), COL7 VARCHAR(50), col8 int , col9 VARCHAR(100), col10 VARCHAR(10), col11 int, col12 int , col13 int, col14 VARCHAR(50), col15 VARCHAR(50), col16 VARCHAR(10))


INSERT INTO #t_osn /*(code, COL1, COL2, COL3, COL4, COL5, COL6, COL7, col8, col9, col10, col11)*/
exec [dbo].RSA_RSV_1_PERS_UCH @Begin_Date, @End_Date, @LINK_DEP ,0,  @link   

INSERT INTO #t_kor
exec [dbo].RSA_RSV_1_PERS_UCH @Begin_Date, @End_Date, @LINK_DEP ,1,  @link   

INSERT INTO #t_osn (code, COL1 , COL2 , COL4)
SELECT code, COL1 , COL2 , COL4
FROM #t_kor

DECLARE @NUM_P INT 
IF COALESCE(dbo.sa_get_option_by_code('SA_SZV4_OPT3'),0) = 1
	SET @NUM_P = (SELECT MIN(COALESCE(COL1,0))-1 FROM #t_osn) 
ELSE 
	SET @NUM_P = (SELECT MAX(COALESCE(COL1,0))+1 FROM #t_osn) 

drop table #t_osn 
drop table #t_kor

/**/




DECLARE @Cur0 CURSOR, @CurD0 CURSOR, @Cur00 CURSOR,@Cur000 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @TABD_NUM TINYINT, @TABD_NAME VARCHAR(254), @TAB1_NAME VARCHAR(254), @TAB1_NUM TINYINT, @Cur CURSOR, @Cur1 CURSOR , @Cur2 CURSOR , @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254),
		@CurI0 CURSOR,@CurI00 CURSOR,@CurI000 CURSOR,@CurI CURSOR, @CurI1 CURSOR, @CurI2 CURSOR


DECLARE @lcFNAME varchar(254),
		@lcFidNAME VARCHAR(254)
SELECT @lcFNAME = 'NO_RASCHSV_' + ltrim(rtrim(ISNULL(IMNS_SONO,'0000000000'))) + '_' + ltrim(rtrim(ISNULL(SONO,'0000000000'))) + '_' + ltrim(rtrim(INN1)) + '' + ltrim(rtrim(KPP1))+ '_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.','')))) + '_0.XML' FROM #DEP_DATA
SELECT @lcFidNAME = 'NO_RASCHSV_' + ltrim(rtrim(ISNULL(IMNS_SONO,'0000000000'))) + '_' + ltrim(rtrim(ISNULL(SONO,'0000000000'))) + '_' + ltrim(rtrim(INN1)) + '' + ltrim(rtrim(KPP1))+ '_' + CONVERT(VARCHAR(8),ltrim(rtrim(replace(convert(varchar(10),@modify_date,102),'.','')))) + '_0' FROM #DEP_DATA

--exec SS_RPSV_EXPORT_v5_01   3229	
INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, 'OEM' -- 
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="Windows-1251" ?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '< ="'+LTRIM(RTRIM(@lcFidNAME))+'" ="'+@NAME_PROG+ ':'+ @VERS_PROG+'" ="5.01">'
	UNION ALL SELECT @lcFNAME, SPACE(1) + '<'
										+ ' ="1151111"'
										+ ' ="' + convert(varchar(10),@modify_date,104) + '"'
										+ ' ="' + ISNULL(LTRIM(RTRIM(@ATR_TYPE_KOR)),'') + '"'
										+ ' ="' + (CASE WHEN @Period_Number = 1 and @WORK_END = '' THEN '21'
															  WHEN @Period_Number = 2 and @WORK_END = '' THEN '31' 
															  WHEN @Period_Number = 3 and @WORK_END = '' THEN '33' 
															  WHEN @Period_Number = 4 and @WORK_END = '' THEN '34' 
															  WHEN @Period_Number = 1 and @WORK_END = '0' THEN '51'
															  WHEN @Period_Number = 2 and @WORK_END = '0' THEN '52' 
															  WHEN @Period_Number = 3 and @WORK_END = '0' THEN '53' 
															  WHEN @Period_Number = 4 and @WORK_END = '0' THEN '90'	END) + '"'
										+ ' ="' + CONVERT(VARCHAR(4),@YEAR) + '"'
										+ ' ="' + LTRIM(RTRIM(isnull(IMNS_SONO,''))) + '"'
										+ ' ="214">'
	FROM #DEP_DATA
		UNION ALL SELECT @lcFNAME, SPACE(2) + '<'	
			+ ' ="' + LTRIM(RTRIM(ISNULL(OKVED,''))) + '"'
			+ CASE WHEN ISNULL((SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = ''),'') = '' 
				THEN '' ELSE 
				' ="' +(SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = '') + '"'
				END 
				+ '>'
		FROM #DEP_DATA	
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<'	
					+ ' ="' + LTRIM(RTRIM(REPLACE(FULL_NAME,'"',''))) + '"'
					+ ' ="' +LTRIM(RTRIM(INN1)) + '"'
					+ ' ="' + LTRIM(RTRIM(KPP1)) + '">'
				FROM #DEP_DATA	
					UNION ALL SELECT @lcFNAME,  
						  CASE WHEN @WORK_END = '0'
							   THEN   SPACE(4) + '<'
						   	   + '  = "' + @WORK_END + '"'
						   	   + ' ="' +LTRIM(RTRIM(INN1)) + '"'
						   	   + ' ="' + LTRIM(RTRIM(KPP1)) + '"/>' 
						   	   ELSE '' END
						 	   FROM #DEP_DATA
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'				 	   	
		
				/*UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<></>'
					FROM #DEP_DATA
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<'
						+ ' =" "'
						+ ' =" "'
						+ ' =" "/>'	
						FROM #DEP_DATA		
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'	
				*/
				/*UNION ALL SELECT @lcFNAME, SPACE(3) + '<>'	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<'
						+ ' =" "'
						+ ' =" "'
						+ ' =" "/>'	
						FROM #DEP_DATA	
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<></>'
					FROM #DEP_DATA
					UNION ALL SELECT @lcFNAME, SPACE(4) + '<'
							+ ' ="          "'
							+ ' =" "'
							+ ' ="   ">'	
							FROM #DEP_DATA	
						UNION ALL SELECT @lcFNAME, SPACE(5) + '<'
							+ ' ="  "'
							+ ' =" "'
							+ ' =" "'
							+ ' ="          "/>'	
							FROM #DEP_DATA	
						UNION ALL SELECT @lcFNAME, SPACE(5) + '<'
							+ '  ="      "'
							+ ' ="  "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+ ' =" "'
							+' />'	
							FROM #DEP_DATA				
					UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '</>'	*/				
	    UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'	
	    UNION ALL SELECT @lcFNAME, SPACE(2) + '< ="1">'
				UNION ALL SELECT @lcFNAME, SPACE(3) + '<'	+ ' ="' + LTRIM(RTRIM(CHIEF_FM)) + '"'
					+ ' ="' +LTRIM(RTRIM(CHIEF_IM)) + '"'
					+ ' ="' + LTRIM(RTRIM(CHIEF_OT)) + '"/>'
				FROM #DEP_DATA	
		UNION ALL SELECT @lcFNAME, SPACE(2) + '</>'
	--exec SS_RPSV_EXPORT_v5_01   3229	
	
	--   
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(2) + '<>'
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(3) + '< ="'+ REPLACE(LTRIM(RTRIM(ISNULL(OKTMO,''))),SPACE(1),'') +'">' 			
		FROM #DEP_DATA

	---  1  1
	--     
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME, SPACE(4) + '< ="18210202010061010160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 2, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 4, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 5, 4)) +'"/>'	
	---     
			UNION ALL
			SELECT @lcFNAME, SPACE(4) + '< ="18210202101081013160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 7, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 8, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 10, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 11, 4)) +'"/>'	
	---          
			
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (13,14,15,16)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202131061010160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 13, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 14, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 15, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 16, 4)) +'"/>'	
			END
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (18,19,20,21)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202131061020160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 18, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 19, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 20, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 21, 4)) +'"/>'	
			END
			
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (23,24,25,26)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202132061010160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 23, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 24, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 25, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 26, 4)) +'"/>'				
			END
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (28,29,30,31)) > 0.00
			BEGIN 		
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202132061020160" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 28, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 29, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 30, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 31, 4)) +'"/>'				
			END


			---       
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (33,34,35,36)) > 0.00
			BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="00020253062060000151" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 33, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 34, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 35, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 36, 4)) +'"/>'				
			END
		
			---       
			IF (select sum(SUMMA2) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT , 4) WHERE  row in (38,39,40,41)) > 0.00
			BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="00020253066060000151" '
					+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 38, 4)) +'" '
					+ '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 39, 4)) +'" '
					+ '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 40, 4)) +'" '
					+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 41, 4)) +'"/>'				
			END			
			---       
			--             
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(4) + '< ="18210202090071010160" >'
				UNION ALL
				SELECT @lcFNAME, SPACE(5) + '< '
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 43, 4)) = 0 then  ''
						ELSE '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 43, 4)) +'" ' 
					end
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 44, 4)) = 0 then  ''
						ELSE '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 44, 4)) +'" '
					END
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 45, 4)) = 0 then  ''
						ELSE '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 45, 4)) +'" '
					end
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 46, 4)) = 0 then  ''
					     else '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 46, 4)) +'" '
					END     
					+ '/>'		
					
			
			--exec SS_RPSV_EXPORT_v5_01    5020
			--        
			--        
			--     
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(5) + '< '
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 47, 4)) = 0 then  ''
						else '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2))  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 47, 4)) +'" '
					end
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 48, 4)) = 0 then  ''
						ELSE '1="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 48, 4)) +'" '
					END
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 49, 4)) = 0 then  ''
						ELSE '2="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 49, 4)) +'" '
					END	
					+ 
					case when (select top 1 SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link,2, 50, 4)) = 0 then  ''
						ELSE '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(20),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 50, 4)) +'" '
					END	
					+ '/>'					
				UNION ALL SELECT @lcFNAME, SPACE(4) + '</>'


	--           (1-.1)	
	-- 
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			--__	 -   
			SELECT @lcFNAME, SPACE(4) + '<__ '	 	
			--	
				 + '="' + (select LTRIM(RTRIM(ISNULL(TFOMS_KT,''))) FROM #DEP_DATA) + '">' 
			--_ -  
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'	
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 7)) +'"/>'	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 15, 7)) +'"/>'	
				UNION ALL
				SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 3))+'" '
							+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 4)) +'" '
							+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 5)) +'" '
							+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 6)) +'" '
							+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 7)) +'"/>'	
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
	


---  1..1.3.1            
		--_428 - 
		--	_428.1-2 - 	  
		
			if   (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (1) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
				OR (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (6) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
				OR (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, default, DEFAULT ) WHERE row IN (1,6,11,16,21) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
				OR (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, default, DEFAULT ) WHERE row IN (1,6,11,16,21) AND col IN (3,4,5,6,7) and summa<> 0 ) > 0 
			BEGIN
						
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_428>'
				--   1
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (1) AND col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.1-2 ="1">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 4, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.1-2>'	
				END 	
					
				--   2
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, default, DEFAULT ) WHERE row IN (6) AND col IN (3,4,5,6,7) and summa<> 0 )>0  
				BEGIN				
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.1-2 ="2">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 9, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 10, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.1-2>'									
				END
				
				--              
				--        428     (1 .1.3.2)
			--exec SS_RPSV_EXPORT_v5_01   3229		
	 ----------------------------
	  -----------  1 ----------
	  ------------------------------
				-- -  4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="1">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 1, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 2, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 3, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 4, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 5, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END
	  
				--  3.4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="2">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 6, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 7, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 8, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 9, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 10, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END			
				--  3.3
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="3">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 11, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 12, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 13, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 14, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 15, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.2
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="4">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 16, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 17, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 18, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 19, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 20, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.1
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="5">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 21, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 22, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 23, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 24, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, 25, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
			---------------------
			----------   2
			--------------------
							-- -  4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="2" ="1" ="1">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 3, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 4, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 5, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END
	  
				--  3.4
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="2">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 6, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 7, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 8, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 9, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 10, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END			
				--  3.3
	--exec SS_RPSV_EXPORT_v5_01   3229	
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="3">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 11, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 12, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 13, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 14, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 15, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.2
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="4">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 16, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 17, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 18, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 19, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 20, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
				END		
				--  3.1
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<_428.3 ="1" ="1" ="5">'
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 21, 7)) +'"/>'	
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 22, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 23, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 24, 7)) +'"/>'					
					UNION ALL
						SELECT @lcFNAME, SPACE(7) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 3))+'" '
								+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 4)) +'" '
								+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 5)) +'" '
								+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 6)) +'" '
								+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 25, 7)) +'"/>'					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '</_428.3>'	
					END			
				
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_428>'
				END 
	---            
	--     ,        
	--    (1 .1.4)
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'				  		  		
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<>1</>'	
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 3, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 7)) +'"/>'		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
				END	
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>'				  		  		
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(6) + '<>2</>'	
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 6, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 7, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 8, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 9, 7)) +'"/>'		
							UNION ALL
								SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 3))+'" '
										+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 4)) +'" '
										+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 5)) +'" '
										+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 6)) +'" '
										+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 10, 7)) +'"/>'		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</_>'	
				END	
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</__>'	 			  					  
	
	--         
	--        (1 .2)
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<_.'	
																				 + ' ="1">' 
					UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 7)) +'"/>'
					UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 4, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 6, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 7, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 8, 7)) +'"/>'
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 9, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 7)) +'"/>'	
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 7)) +'"/>'		
							UNION ALL
					SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 12, 7)) +'"/>'	
			--exec SS_RPSV_EXPORT_v5_01   3229	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'		
					UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 3)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 3))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 3)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<3 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 4)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 4))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 4)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<13 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 5)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 5))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 5)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<23 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 6)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 6))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 6)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<33 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 10, 7)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 11, 7))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 13, 7)) +'"/>'

					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	    																			
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</_.>'	
				END 
				
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, DEFAULT ) WHERE col IN (3,4,5,6,7) and summa<> 0 )  > 0
				BEGIN
				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<_.'	
																				 + ' ="2">'  
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 14, 7)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 15, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 16, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 17, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 18, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 19, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 20, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 21, 7)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 22, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 7)) +'"/>'	
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 7)) +'"/>'		
					UNION ALL SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 3))+'" '
						+ '3="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 4)) +'" '
						+ '13="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 5)) +'" '
						+ '23="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 6)) +'" '
						+ '33="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 25, 7)) +'"/>'	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'		
					UNION ALL SELECT @lcFNAME, SPACE(6) + ' < ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 3)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 3))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 3)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<3 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 4)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 4))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 4)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<13 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 5)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 5))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 5)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<23 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 6)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 6))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 6)) +'"/>'
					UNION ALL SELECT @lcFNAME, SPACE(6) + '<33 ="' +
					case when 
					(select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 23, 7)) >= (select SUMMA2 FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 24, 7))
						 THEN '1' 
						 ELSE '2'
						 end	+'" '
						+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),abs(SUMMA2)),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 26, 7)) +'"/>'
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	    																			


				INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</_.>'	
				END 	
				

	---        
	--        ,   
	--      (1 .3)

				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, DEFAULT ) WHERE col IN (5,6) and summa<> 0 )  > 0
				BEGIN
					
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<>'	
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, DEFAULT ) WHERE col IN (5,6) and summa<> 0 )  > 0
					BEGIN	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 6)) +'"/>'
					END
					
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, DEFAULT ) WHERE col IN (5,6) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 3, 5)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 4, 5)) +'"/>'
					END
					
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 5, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 6, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 7, 5)) +'"/>'
					END 
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 8, 5)) +'"/>'
					END
					
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 9, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 10, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 11, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 12, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 13, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 13, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 13, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, 3))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, 4)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 14, 5)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 15, 6)) +'"/>'
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 16, DEFAULT ) WHERE col IN (5) and summa<> 0 )  > 0
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< ="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 16, 5)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 16, 6)) +'"/>'
					END
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</>'	
				END
				
			
---------------------------
----------------
---------------------------


--exec SS_RPSV_EXPORT_v5_01   3229	
	-- ,    ,     (1. .4)
				if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, DEFAULT, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
				begin
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<>'
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'	
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA) ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 5, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 5, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 5, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 6, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 6, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 6, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					end	
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 7, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 8, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 8, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 8, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 9, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 9, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 9, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 10, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 10, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 10, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 11, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 12, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 13, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 14, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 14, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 14, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 15, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 16, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 16, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 16, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 17, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 17, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 17, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 18, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 18, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 18, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 19, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 19, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 19, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 20, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 20, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 20, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'		
					END
					if (select COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, DEFAULT ) WHERE col=2 and summa<> 0 )  > 0
					begin		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<255>'		
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 21, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 22, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 22, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 22, 4)) +'"/>'
						UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 23, 2))+'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 23, 3)) +'" '
							+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 23, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</255>'	
					END
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<>'			
							SELECT @lcFNAME, SPACE(6) + '<>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 31, 4))+'"</> '
							 
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 24, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 24, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 24, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 25, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 25, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 25, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 26, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 26, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 26, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 27, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 27, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 27, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '<1 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 28, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 28, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 28, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '<2 ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 29, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 29, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 29, 4)) +'"/>'
							UNION ALL SELECT @lcFNAME, SPACE(6) + '< ="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(4),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 30, 2))+'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(3),SUMMA)  ,''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 30, 3)) +'" '
								+ '="'+ (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 30, 4)) +'"/>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</>'	
				END	

------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------
	--           , 
	--    3  1  427     (1 .5)  
------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------
				IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, DEFAULT,DEFAULT) WHERE row IN(1,2,4) AND col IN(3,4) AND  summa <> 0 ) > 0 
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<3.1.427>'	
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1,3) WHERE summa <> 0 ) > 0 
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1,3))+'"</_9> '
					END
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),SUMMA),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 1,4))+'"</_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2,3) WHERE summa <> 0 ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<248_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2,3))+'"</248_9> '
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<248_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 2,4))+'"</248_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3,3) WHERE summa <> 0 ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5.427_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3,3))+'"</5.427_9> '
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5..427_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 3,4))+'"</5..427_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4,3) WHERE summa <> 0 ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5.427_9>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4,3))+'"</5.427_9> '
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '<5.427_>"' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),SUMMA2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 4,4))+'"</5.427_> '
					IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5,5) WHERE isnull(str_val,'') <> '' ) > 0 
					BEGIN	
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
						SELECT @lcFNAME, SPACE(5) + '< =""' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),STR_VAL),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5,5))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),STR_VAL),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 11, 5,6))+'"/>'
					END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</3.1.427>'			
				END
-----------------------------------------------------------------------------------------------------------
	--1 .6_7
	--          , 
	--   5  1  427     (1 .6)
---------------------------------------------------------------------------------------------------------	

				IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, DEFAULT,DEFAULT) WHERE row IN(1,2,3) AND col IN(3) AND  summa <> 0 ) > 0 
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					SELECT @lcFNAME, SPACE(4) + '<5.1.427 346.15=""' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1,3))+'" '
						+ '6.427="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2,3))+'" '
						+ '6.427="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 3,3))+'"/>'

				END 
------------------------------------------------------------------------------------------------------------
--1 .6_7
	--           , 
	--    7  1  427     (1 .7)
------------------------------------------------------------------------------------------------------------	
				IF (select count(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, DEFAULT,DEFAULT) WHERE row IN(4,5,6,7,8) AND col IN(4,5) AND  summa <> 0 ) > 0 
				BEGIN
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
					SELECT @lcFNAME, SPACE(4) + '<7.1.427 =""' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4,4))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4,5))+'" '
						+ CASE WHEN (select summa FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5,4) ) > 0 THEN 
								'6.427="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5,4))+'"'
							 ELSE ''
						  END 	
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5,5))+'" '
						+ CASE WHEN (select summa FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6,4) ) > 0 THEN 
								'="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6,4))+'"'
							 ELSE ''
						  END 	
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6,5))+'" '
						+ CASE WHEN (select summa FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,4) ) > 0 THEN 
								'="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,4))+'"'
							 ELSE ''
						  END 			
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(14),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,5))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 8,4))+'" '
						+ '="' + (select LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(7),summa2),''))) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 8,5))+'"/>'
				END 
--exec SS_RPSV_EXPORT_v5_01   3229	
--------------------------------------------------------------------------------------------------------
--- 1 .8   
	--,        , 
	--   9  1  427     (1 .8)

	--***9.1.427 - 	
--------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------
--- 1..9
------ ,      ,    
------  2  2  425 (   1  2  426) 
------     (1..9)
-----------------------------------------------------------------------------------------------------------




				if (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, DEFAULT, DEFAULT) WHERE ROW_code ='1' AND COL = 2 AND ISNULL(STR_VAL,'') <> '') > 0
				begin

						/*   */
						CREATE TABLE #INOST (LINK INT, FM VARCHAR(60), IM VARCHAR(60), OT VARCHAR(60), INN VARCHAR(12), SNILS VARCHAR(14),
							 GR_CODE VARCHAR(3), SUM_NACH NUMERIC(11,2),SUM_M1 NUMERIC(11,2),SUM_M2 NUMERIC(11,2),SUM_M3 NUMERIC(11,2) )

						CREATE TABLE #TAB1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
						INSERT INTO #TAB1 (ROW_CODE, COL, SUMMA, STR_VAL)
						SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

						INSERT INTO #INOST (LINK, FM, IM, OT, INN, SNILS, GR_CODE, SUM_NACH,SUM_M1,SUM_M2,SUM_M3)
						SELECT DISTINCT
							LINK = (SELECT TOP 1 row_code FROM #TAB1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
							FM = (SELECT TOP 1 LEFT(STR_VAL,60) FROM #TAB1 T WHERE T.COL = 2 AND T.ROW_CODE = T1.ROW_CODE),
							IM = (SELECT TOP 1 LEFT(STR_VAL,60) FROM #TAB1 T WHERE T.COL = 3 AND T.ROW_CODE = T1.ROW_CODE),
							OT = (SELECT TOP 1 LEFT(STR_VAL,60) FROM #TAB1 T WHERE T.COL = 4 AND T.ROW_CODE = T1.ROW_CODE),
							INN = (SELECT TOP 1 left(STR_VAL,12) FROM #TAB1 T WHERE T.COL = 5 AND T.ROW_CODE = T1.ROW_CODE),
							SNILS = (SELECT TOP 1 left(STR_VAL,14) FROM #TAB1 T WHERE T.COL = 6 AND T.ROW_CODE = T1.ROW_CODE),
							GR_CODE = (SELECT TOP 1 left(STR_VAL,3) FROM #TAB1 T WHERE T.COL = 7 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_NACH = (SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 8 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_M1 = (SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 9 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_M2 = (SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 10 AND T.ROW_CODE = T1.ROW_CODE),
							SUM_M3 =(SELECT TOP 1 ISNULL(summa,0) FROM #TAB1 T WHERE T.COL = 11 AND T.ROW_CODE = T1.ROW_CODE)
						FROM
							#TAB1 T1 
	

						DROP TABLE #TAB1

						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<2.2.425>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						SELECT @lcFNAME,
							SPACE(5) + ' <'  +
								' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_NACH),0)))) + '"' +
								' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(sum(SUM_M1),0)+ISNULL(sum(SUM_M2),0)+ISNULL(sum(SUM_M3),0))))) + '"' +
								' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_M1),0)))) + '"' +
								' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_M2),0)))) + '"' +
								' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SUM_M3),0)))) + '"' +
							' />'
						FROM #INOST
					
							INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
							SELECT @lcFNAME, SPACE(5) + '<'+	
								         ' ="' + UPPER(LTRIM(RTRIM(ISNULL(INN,'')))) + '"' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(SNILS,'')))) + '"' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(GR_CODE,'')))) + '">' + 
								SPACE(6) + '<' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(FM,'')))) + '"' +
										 ' ="' + UPPER(LTRIM(RTRIM(ISNULL(IM,'')))) + '"' +
										 CASE WHEN ISNULL(OT,'')<>'' THEN ' ="' + UPPER(LTRIM(RTRIM(ISNULL(OT,'')))) + '"'
										 ELSE '' END +
										  '/>'+
								SPACE(6) + '<' + 
												' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_NACH,0)))) + '"' +
												' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(SUM_M1,0)+ISNULL(SUM_M2,0)+ISNULL(SUM_M3,0))))) + '"' +
												' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_M1,0)))) + '"' +
												' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_M2,0)))) + '"' +
												' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(SUM_M3,0)))) + '"' +				
												' />'+	
								SPACE(5) + '</>'					
							FROM #INOST
							ORDER BY fm, im, ot, snils
							--INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(5) + '</>'
						
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</2.2.425>'	

						DROP TABLE #INOST	
				END
				
--exec SS_RPSV_EXPORT_v5_01   355	

-----------------------------------------------------------------
	-- ,      1  3  422     
	-- ,            
	-- ,          ,  
	--    (         ,  
	--  )      - ,    
	--    ()   (1 .10)

--- 
------------------------------------------------------------------

				CREATE TABLE #STUD (LINK INT, FM VARCHAR(60), IM VARCHAR(60),OT VARCHAR(60), NUM_SPR1 VARCHAR(30), 
									DATE_SPR1 VARCHAR(10),NUM_SPR2 VARCHAR(30), DATE_SPR2 VARCHAR(10),
									SM_ALL 	NUMERIC(18,2), SM1 NUMERIC(18,2), SM2 NUMERIC(18,2), SM3 NUMERIC(18,2) )

				CREATE TABLE #STUD_1 ( LINK_UP INT , N_PP INT ,SVED VARCHAR(1000), DATE_R VARCHAR(10),NUM_R VARCHAR(28) )

				CREATE TABLE #TAB110 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
				INSERT INTO #TAB110 (ROW_CODE, COL, SUMMA, STR_VAL)
				SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

				CREATE TABLE #TAB110_1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
				INSERT INTO #TAB110_1 (ROW_CODE, COL, SUMMA, STR_VAL)
				SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

				INSERT INTO #STUD (LINK, FM,IM,OT, NUM_SPR1, DATE_SPR1,NUM_SPR2, DATE_SPR2,
					SM_ALL, SM1, SM2, SM3 )
				SELECT DISTINCT
					link = (SELECT TOP 1 ROW_CODE FROM #TAB110 T WHERE T.COL = 2 AND T.ROW_CODE = T110.ROW_CODE),
					FM = (SELECT TOP 1 LEFT(LTRIM(RTRIM(ISNULL(STR_VAL,''))),60) FROM #TAB110 T WHERE T.COL = 2 AND T.ROW_CODE = T110.ROW_CODE),
					IM = (SELECT TOP 1 LEFT(LTRIM(RTRIM(ISNULL(STR_VAL,''))),60) FROM #TAB110 T WHERE T.COL = 3 AND T.ROW_CODE = T110.ROW_CODE),
					OT = (SELECT TOP 1 LEFT(LTRIM(RTRIM(ISNULL(STR_VAL,''))),60) FROM #TAB110 T WHERE T.COL = 4 AND T.ROW_CODE = T110.ROW_CODE),
					NUM_SPR1 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(dbo.SA_GET_WORD_NUM(STR_VAL,1,' '))),30) FROM #TAB110 T WHERE T.COL = 5 AND T.ROW_CODE = T110.ROW_CODE),
					DATE_SPR1 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB110 T WHERE T.COL = 6 AND T.ROW_CODE = T110.ROW_CODE),
					NUM_SPR2 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(dbo.SA_GET_WORD_NUM(STR_VAL,1,' '))),30) FROM #TAB110 T WHERE T.COL = 7 AND T.ROW_CODE = T110.ROW_CODE),
					DATE_SPR2 = (SELECT TOP 1 LEFT(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB110 T WHERE T.COL = 8 AND T.ROW_CODE = T110.ROW_CODE),
					SM_ALL = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 9 AND T.ROW_CODE = T110.ROW_CODE),
					SM1 = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 10 AND T.ROW_CODE = T110.ROW_CODE),
					SM2 = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 11 AND T.ROW_CODE = T110.ROW_CODE),
					SM3 = (SELECT TOP 1 SUMMA FROM #TAB110 T WHERE T.COL = 12 AND T.ROW_CODE = T110.ROW_CODE)
				FROM
					#TAB110 T110

				DROP TABLE #TAB110


				INSERT INTO #STUD_1 ( LINK_UP, N_PP,SVED, DATE_R,NUM_R)
				SELECT DISTINCT
					link_up = (SELECT TOP 1 ROW_CODE FROM #TAB110_1 T WHERE T.COL = 2 AND T.ROW_CODE = T110_1.ROW_CODE),
					N_PP = (SELECT TOP 1 ROW_CODE FROM #TAB110_1 T WHERE T.COL = 2 AND T.ROW_CODE = T110_1.ROW_CODE),
					SVED = (SELECT TOP 1 LTRIM(RTRIM(ISNULL(STR_VAL,''))) FROM #TAB110_1 T WHERE T.COL = 2 AND T.ROW_CODE = T110_1.ROW_CODE),
					DATE_R = (SELECT TOP 1 LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10),STR_VAL,104),''))) FROM #TAB110_1 T WHERE T.COL = 3 AND T.ROW_CODE = T110_1.ROW_CODE),
					NUM_R = (SELECT TOP 1 LTRIM(RTRIM(ISNULL(STR_VAL,''))) FROM #TAB110_1 T WHERE T.COL = 4 AND T.ROW_CODE = T110_1.ROW_CODE)
				FROM
					#TAB110_1 T110_1

				DROP TABLE #TAB110_1


				--  
				DECLARE @NEXT_NUM2 INT
				SET @NEXT_NUM2 = 0
				UPDATE #STUD SET @NEXT_NUM2 = @NEXT_NUM2 + 1, LINK = @NEXT_NUM2

				-- 
				DECLARE @COUNT_STUD INT
				set @COUNT_STUD = (select count(*) from #STUD )


				--IF (SELECT COUNT(*) FROM #STUD) > 0 -- 
				--	OR (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 15, DEFAULT, DEFAULT) WHERE COL = 5 AND SUMMA <> 0) > 0 --  
				--BEGIN

				IF (SELECT COUNT(*) FROM #STUD) > 0 -- 
				BEGIN


					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '<1.3.422>'
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
						SELECT @lcFNAME,
							SPACE(5) + ' <'  +
								' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM_ALL),0)))) + '"' +
								' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(sum(SM1),0)+ISNULL(sum(SM2),0)+ISNULL(sum(SM3),0))))) + '"' +
								' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM1),0)))) + '"' +
								' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM2),0)))) + '"' +
								' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(sum(SM3),0)))) + '"' +
							' />'
						FROM #STUD
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,   
							SPACE(5) + '<>' + CHAR(10) +		
								SPACE(6) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(3),ISNULL(S.link,0)))) + '</>' + CHAR(10) + 		
								SPACE(6) + '<' + 
										'  ="' + UPPER(LTRIM(RTRIM(ISNULL(S.FM,'')))) + '"' + 		
										'  ="' + UPPER(LTRIM(RTRIM(ISNULL(S.IM,'')))) + '"' +		
										'  ="' + UPPER(LTRIM(RTRIM(ISNULL(S.OT,'')))) + '"' +											
										'"/>'+ CHAR(10) +
								SPACE(6) + '<' +
										   ' ="' + UPPER(LTRIM(RTRIM(ISNULL(S.NUM_SPR1,'')))) + '"' + 		
										   ' ="' + LTRIM(RTRIM(ISNULL(convert(varchar(10),SUBSTRING(S.DATE_SPR1,1,2)+'.'+SUBSTRING(S.DATE_SPR1,3,2)+'.'+SUBSTRING(S.DATE_SPR1,5,4),104),''))) + '"' + 		
										   '"/>'+ CHAR(10) +
								SPACE(6) + '<' +
										' ="' + LTRIM(RTRIM(ISNULL(S.NUM_SPR2,''))) + '"' + 		
										' ="' + LTRIM(RTRIM(ISNULL(convert(varchar(10),SUBSTRING(S.DATE_SPR2,1,2)+'.'+SUBSTRING(S.DATE_SPR2,3,2)+'.'+SUBSTRING(S.DATE_SPR2,5,4),104),''))) + '"' + 			
										'"/>' + CHAR(10) +
								SPACE(6) + '<' + 
												' ="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM_ALL,0)))) + '"' +
												' 3="' + LTRIM(RTRIM(convert(varchar(14),(ISNULL(S.SM1,0)+ISNULL(S.SM2,0)+ISNULL(S.SM3,0))))) + '"' +
												' 13="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM1,0)))) + '"' +
												' 23="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM2,0)))) + '"' +
												' 33="' + LTRIM(RTRIM(convert(varchar(14),ISNULL(S.SM3,0)))) + '"' +				
												'"/>' + CHAR(10) +
								SPACE(6) + '<>' + CHAR(10) +	
									SPACE(7) + '<>' + LTRIM(RTRIM(CONVERT(VARCHAR(1000),ISNULL(S1.SVED,0)))) + '</>' + CHAR(10) + 
									SPACE(7) + '<>' + LTRIM(RTRIM(ISNULL(CONVERT(VARCHAR(10), SUBSTRING(S1.DATE_R,1,2)+'.'+SUBSTRING(S1.DATE_R,3,2)+'.'+SUBSTRING(S1.DATE_R,5,4),104),''))) + '</>' + CHAR(10) + 
									SPACE(7) + '<>' + LTRIM(RTRIM(convert(varchar(28),ISNULL(S1.NUM_R,0)))) + '</>' + CHAR(10) + 
								SPACE(6) + '</>' + CHAR(10) +	
							SPACE(5) + '</>'                                   
						FROM #STUD S 
						LEFT JOIN #STUD_1 S1 ON S.LINK	= S1.LINK_UP		
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(4) + '</1.3.422>'		

				END	
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</>' 	
	-- <_>'  -     
	
-----------------------------------------------------
-----------------------------------------------------
------    
------     2.5.1   
------ 
-----------------------------------------------------	

	---     -     
	  			
if (SELECT COUNT(*) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 19, DEFAULT, DEFAULT) WHERE COL = 22 and ISNULL(STR_VAL,'') <> '') <> 0
begin	
	
				
					
		--  exec SS_RPSV_EXPORT_v5_01 2932			
/********************************/
--				* 
--				*  3 
/********************** */	
 
					CREATE TABLE #TAB3 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
					INSERT INTO #TAB3 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
					SELECT ROW_CODE, COL, SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 19, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

  --  exec SS_RPSV_EXPORT_v5_01 803

					CREATE TABLE #P_3 (	LINK INT, [TYPE] varchar(15), NOM_PP INT, NOM_K CHAR(3), PER VARCHAR(2),YEAR_BEGIN VARCHAR(4),DATE_PU VARCHAR(10), 
										PER_EDT VARCHAR(2), YEAR_EDT VARCHAR(4), 
										INN VARCHAR(12), SNILS VARCHAR(14), FM varchar(100), IM varchar(100), OT varchar(100), BIRTH_DATE VARCHAR(10),
										GRAZHD VARCHAR(3),SEX INT, DOC_CODE CHAR(2), DOC_SR VARCHAR(20) , DOC_NM  VARCHAR(20), PRIZ_OPS INT , PRIZ_OMS INT , PRIZ_FSS INT , link_face int
										/*NOM_PACH varchar(5)*/)

					INSERT INTO #P_3 ( /*LINK,*/[TYPE], NOM_PP, NOM_K, PER,YEAR_BEGIN,DATE_PU, 
										PER_EDT, YEAR_EDT, 
										INN, SNILS, FM, IM, OT, BIRTH_DATE,
										GRAZHD,SEX, DOC_CODE, DOC_SR,DOC_NM, PRIZ_OPS, PRIZ_OMS, PRIZ_FSS,  link_face
										/*NOM_PACH*/ )
					SELECT
								/*LINK */
								[TYPE],
								NOM_PP =  ROW_NUMBER() OVER ( ORDER BY fm, im , ot, SNILS, LINK_FACE) ,
								NOM_K,
								PER,YEAR_BEGIN,DATE_PU,PER_EDT, YEAR_EDT,
								INN, SNILS, FM, IM, OT, BIRTH_DATE,
								GRAZHD,SEX, DOC_CODE, DOC_SR,DOC_NM,  PRIZ_OPS, PRIZ_OMS, PRIZ_FSS , link_face--, NOM_PACH
						FROM
					(
					SELECT DISTINCT
						[TYPE] = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),15) FROM #TAB3 T WHERE T.COL = 20 AND T.ROW_CODE = T3.ROW_CODE),
						--NOM_PP = 0,--(SELECT TOP 1 ROW_CODE FROM #TAB3 T WHERE T.COL = 2 AND T.ROW_CODE = T3.ROW_CODE),
						NOM_K = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),3) FROM #TAB3 T WHERE T.COL = 2 AND T.ROW_CODE = T3.ROW_CODE), 
						PER = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),2) FROM #TAB3 T WHERE T.COL = 3 AND T.ROW_CODE = T3.ROW_CODE),
						YEAR_BEGIN = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),4) FROM #TAB3 T WHERE T.COL = 4 AND T.ROW_CODE = T3.ROW_CODE),
						DATE_PU = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB3 T WHERE T.COL = 5 AND T.ROW_CODE = T3.ROW_CODE),
						PER_EDT = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),2) FROM #TAB3 T WHERE T.COL = 23 AND T.ROW_CODE = T3.ROW_CODE),
						YEAR_EDT = ''/*(SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL = 14 AND T.ROW_CODE = T3.ROW_CODE)*/,		
						INN= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),12) FROM #TAB3 T WHERE T.COL = 6 AND T.ROW_CODE = T3.ROW_CODE), 
						SNILS = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),14) FROM #TAB3 T WHERE T.COL = 7 AND T.ROW_CODE = T3.ROW_CODE),
						FM= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),100) FROM #TAB3 T WHERE T.COL = 8 AND T.ROW_CODE = T3.ROW_CODE),
						IM= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),100) FROM #TAB3 T WHERE T.COL = 9 AND T.ROW_CODE = T3.ROW_CODE),
						OT= (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),100) FROM #TAB3 T WHERE T.COL = 10 AND T.ROW_CODE = T3.ROW_CODE),
						BIRTH_DATE = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),10) FROM #TAB3 T WHERE T.COL =11 AND T.ROW_CODE = T3.ROW_CODE),
						GRAZHD  = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),3) FROM #TAB3 T WHERE T.COL =12 AND T.ROW_CODE = T3.ROW_CODE),
						SEX = (SELECT TOP 1 left(LTRIM(RTRIM(STR(SUMMA))),1) FROM #TAB3 T WHERE T.COL =13 AND T.ROW_CODE = T3.ROW_CODE),
						DOC_CODE = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),2) FROM #TAB3 T WHERE T.COL =14 AND T.ROW_CODE = T3.ROW_CODE),
						DOC_SR = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),20) FROM #TAB3 T WHERE T.COL =15 AND T.ROW_CODE = T3.ROW_CODE),
						DOC_NM = (SELECT TOP 1 left(LTRIM(RTRIM(STR_VAL)),20) FROM #TAB3 T WHERE T.COL =16 AND T.ROW_CODE = T3.ROW_CODE),
						PRIZ_OPS= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =17 AND T.ROW_CODE = T3.ROW_CODE),
						PRIZ_OMS= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =18 AND T.ROW_CODE = T3.ROW_CODE),
						PRIZ_FSS= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =19 AND T.ROW_CODE = T3.ROW_CODE),
						LINK_FACE= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =22 AND T.ROW_CODE = T3.ROW_CODE)--,
						--NOM_PACH= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3 T WHERE T.COL =21 AND T.ROW_CODE = T3.ROW_CODE)
					FROM
					#TAB3 T3	
						) T GROUP BY [TYPE]/*,NOM_PP*/,NOM_K,PER,YEAR_BEGIN,DATE_PU,PER_EDT,YEAR_EDT,INN,SNILS, FM,IM,OT,BIRTH_DATE	,GRAZHD,SEX,DOC_CODE,DOC_SR,DOC_SR,DOC_NM,PRIZ_OPS,PRIZ_OMS,PRIZ_FSS, LINK_FACE
					ORDER BY t.FM,IM,OT,SNILS

/****************************************************/
/* 3.1*/
/**************************************************/
   				
					CREATE TABLE #TAB3_1 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
					INSERT INTO #TAB3_1 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
					SELECT ROW_CODE, COL, SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 20, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL


					CREATE TABLE #P_3_1 (
												LINK INT, [TYPE] varchar(15), NOM_PP INT, SNILS VARCHAR(14), CODE_STR int, CODE_KAT varchar(5),CODE_TAR char(2), INSUR NUMERIC(18,2), B_BEF NUMERIC(18,2), GB_BEF NUMERIC(18,2),B_AFT NUMERIC(18,2),
												PER VARCHAR(1), YEAR_BEGIN VARCHAR(4), PER_EDT VARCHAR(1), YEAR_EDT VARCHAR(4), FM varchar(100), IM varchar(100), OT varchar(100),
												k_PER_EDT1 VARCHAR(1), k_YEAR_EDT1 VARCHAR(4), k_INSUR1 NUMERIC(18,2), k_INSUR_1 NUMERIC(18,2), k_GAIN1 NUMERIC(18,2),
												k_PER_EDT2 VARCHAR(1), k_YEAR_EDT2 VARCHAR(4), k_INSUR2 NUMERIC(18,2), k_INSUR_2 NUMERIC(18,2), k_GAIN2 NUMERIC(18,2),
												k_PER_EDT3 VARCHAR(1), k_YEAR_EDT3 VARCHAR(4), k_INSUR3 NUMERIC(18,2), k_INSUR_3 NUMERIC(18,2), k_GAIN3 NUMERIC(18,2),
												k_PER_EDT4 VARCHAR(1), k_YEAR_EDT4 VARCHAR(4), k_INSUR4 NUMERIC(18,2), k_INSUR_4 NUMERIC(18,2), k_GAIN4 NUMERIC(18,2),
												k_PER_EDT5 VARCHAR(1), k_YEAR_EDT5 VARCHAR(4), k_INSUR5 NUMERIC(18,2), k_INSUR_5 NUMERIC(18,2), k_GAIN5 NUMERIC(18,2),SUM_VZNOS NUMERIC(18,2), UVOL CHAR(1),LINK_FACE INT)
					
					INSERT INTO #P_3_1 (/*LINK,*/ [TYPE], NOM_PP,SNILS,CODE_STR,CODE_KAT,CODE_TAR,INSUR,B_BEF, GB_BEF, B_AFT,
											PER,YEAR_BEGIN,PER_EDT,YEAR_EDT,FM,IM,OT,
											k_PER_EDT1,k_YEAR_EDT1,k_INSUR1,k_INSUR_1,k_GAIN1,k_PER_EDT2,k_YEAR_EDT2,k_INSUR2,k_INSUR_2,k_GAIN2,
											k_PER_EDT3,k_YEAR_EDT3,k_INSUR3,k_INSUR_3,k_GAIN3,k_PER_EDT4,k_YEAR_EDT4,k_INSUR4,k_INSUR_4,k_GAIN4,
											k_PER_EDT5,k_YEAR_EDT5,k_INSUR5,k_INSUR_5,k_GAIN5,SUM_VZNOS,UVOL,LINK_FACE)
					SELECT
								/*LINK = ROW_NUMBER()  OVER (PARTITION BY  [type],snils ORDER BY  snils  ),*/
								[TYPE],
								NOM_PP = ROW_NUMBER() OVER (PARTITION BY SNILS, FM , IM, OT, [TYPE], PER_EDT ORDER BY CODE_STR , PER_EDT ),
								SNILS,CODE_STR,CODE_KAT,CODE_TAR,INSUR,B_BEF, GB_BEF, B_AFT,
											PER,YEAR_BEGIN,PER_EDT,YEAR_EDT,FM,IM,OT,
											k_PER_EDT1,k_YEAR_EDT1,k_INSUR1,k_INSUR_1,k_GAIN1,k_PER_EDT2,k_YEAR_EDT2,k_INSUR2,k_INSUR_2,k_GAIN2,
											k_PER_EDT3,k_YEAR_EDT3,k_INSUR3,k_INSUR_3,k_GAIN3,k_PER_EDT4,k_YEAR_EDT4,k_INSUR4,k_INSUR_4,k_GAIN4,
											k_PER_EDT5,k_YEAR_EDT5,k_INSUR5,k_INSUR_5,k_GAIN5,SUM_VZNOS,UVOL,LINK_FACE

						FROM
					(
					SELECT DISTINCT
						[TYPE] = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 13 AND T.ROW_CODE = T3_1.ROW_CODE),
						SNILS = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 2 AND T.ROW_CODE = T3_1.ROW_CODE),
						CODE_STR = convert(int, (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 4 AND T.ROW_CODE = T3_1.ROW_CODE)),
						CODE_KAT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 5 AND T.ROW_CODE = T3_1.ROW_CODE),
						CODE_TAR = '',
						INSUR = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 6 AND T.ROW_CODE = T3_1.ROW_CODE),
						B_BEF = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 7 AND T.ROW_CODE = T3_1.ROW_CODE ),
						GB_BEF = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 8 AND T.ROW_CODE = T3_1.ROW_CODE ),
						B_AFT = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 9 AND T.ROW_CODE = T3_1.ROW_CODE ),
						SUM_VZNOS = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 10 AND T.ROW_CODE = T3_1.ROW_CODE),
						PER = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL))FROM #TAB3_1 T WHERE T.COL = 11 AND T.ROW_CODE = T3_1.ROW_CODE),
						YEAR_BEGIN = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 12 AND T.ROW_CODE = T3_1.ROW_CODE),
						PER_EDT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 14 AND T.ROW_CODE = T3_1.ROW_CODE),
						YEAR_EDT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 15 AND T.ROW_CODE = T3_1.ROW_CODE),
						FM= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 17 AND T.ROW_CODE = T3_1.ROW_CODE),
						IM= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 18 AND T.ROW_CODE = T3_1.ROW_CODE),
						OT= (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_1 T WHERE T.COL = 19 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT1 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 20 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT1 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 21 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR1 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 22 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_1 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 23 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN1 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 24 AND T.ROW_CODE = T3_1.ROW_CODE),
						
						k_PER_EDT2= (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 25 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT2 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA)))FROM #TAB3_1 T WHERE T.COL = 26 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR2 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 27 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_2 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 28 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN2 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 29 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT3 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 30 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT3 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 31 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR3 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 32 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_3 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 33 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN3 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 34 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT4 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 35 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT4 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 36 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR4 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 37 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_4 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 38 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN4 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 39 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_PER_EDT5 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 40 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_YEAR_EDT5 = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 41 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR5 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 42 AND T.ROW_CODE = T3_1.ROW_CODE),
						k_INSUR_5 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 43 AND T.ROW_CODE = T3_1.ROW_CODE ),
						k_GAIN5 = (SELECT TOP 1 SUMMA2 FROM #TAB3_1 T WHERE T.COL = 44 AND T.ROW_CODE = T3_1.ROW_CODE),
						UVOL = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 45 AND T.ROW_CODE = T3_1.ROW_CODE),
						LINK_FACE = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_1 T WHERE T.COL = 16 AND T.ROW_CODE = T3_1.ROW_CODE)
						
					FROM
					#TAB3_1 T3_1
						) T	


				--exec SA_RSV1_EXPORT_0700_2014     42276
					DECLARE @NEXT_NUM3 INT 
					SET @NEXT_NUM3 = 0
					UPDATE  p  SET  LINK = (select top 1 NOM_PP from #P_3 where ltrim(rtrim(SNILS)) = ltrim(rtrim(p.SNILS))
																										 and  ltrim(rtrim(FM)) = ltrim(rtrim(p.FM))
																										 and ltrim(rtrim(IM)) = ltrim(rtrim(p.IM))	 and ltrim(rtrim(OT)) = ltrim(rtrim(p.OT))
																										 and [type] = (case p.[type] when '' then 1 when '' then 2 else 3 end)
																										 and PER_EDT  = p.PER_EDT)
					FROM #P_3_1 p

					
/****************************************************/
/* 3.2*/
/**************************************************/

					CREATE TABLE #TAB3_2 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
					INSERT INTO #TAB3_2 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
					SELECT ROW_CODE, COL, SUMMA, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 21, DEFAULT, DEFAULT) T  ORDER BY T.COL	


					CREATE TABLE #P_3_2 (
												LINK INT, [TYPE] INT , NOM_PP INT, SNILS VARCHAR(14), FM varchar(100), IM varchar(100), OT varchar(100), CODE_STR INT, CODE_SPO varchar(5),CODE_TAR char(2), INC_T1M NUMERIC(18,2), INC_T2M NUMERIC(18,2),
												DATE_BEGIN1 varchar(10),DATE_END1 VARCHAR(10),TU_CODE1 VARCHAR(10), OS_CODE1 VARCHAR(30), EX_CODE1 VARCHAR(10), f_is_dop1 VARCHAR(100), P_CODE1 varchar(10), f_ud_dop1 varchar(100),
												DATE_BEGIN2 varchar(10),DATE_END2 VARCHAR(10),TU_CODE2 VARCHAR(10), OS_CODE2 VARCHAR(30), EX_CODE2 VARCHAR(10), f_is_dop2 VARCHAR(100), P_CODE2 varchar(10), f_ud_dop2 varchar(100),
												DATE_BEGIN3 varchar(10),DATE_END3 VARCHAR(10),TU_CODE3 VARCHAR(10), OS_CODE3 VARCHAR(30), EX_CODE3 VARCHAR(10), f_is_dop3 VARCHAR(100), P_CODE3 varchar(10), f_ud_dop3 varchar(100),
												DATE_BEGIN4 varchar(10),DATE_END4 VARCHAR(10),TU_CODE4 VARCHAR(10), OS_CODE4 VARCHAR(30), EX_CODE4 VARCHAR(10), f_is_dop4 VARCHAR(100), P_CODE4 varchar(10), f_ud_dop4 varchar(100),
											LINK_FACE int)
					
					INSERT INTO #P_3_2 (/*LINK,*/ [TYPE], NOM_PP,SNILS, FM, IM, OT,CODE_STR,CODE_SPO,CODE_TAR,INC_T1M,INC_T2M,
												DATE_BEGIN1,DATE_END1,TU_CODE1, OS_CODE1, EX_CODE1, f_is_dop1, P_CODE1, f_ud_dop1,
												DATE_BEGIN2,DATE_END2,TU_CODE2, OS_CODE2, EX_CODE2, f_is_dop2, P_CODE2, f_ud_dop2,
												DATE_BEGIN3,DATE_END3,TU_CODE3, OS_CODE3, EX_CODE3, f_is_dop3, P_CODE3, f_ud_dop3,
												DATE_BEGIN4,DATE_END4,TU_CODE4, OS_CODE4, EX_CODE4, f_is_dop4, P_CODE4, f_ud_dop4,LINK_FACE)
					SELECT
								/*LINK = dEnse_RANK() OVER (PARTITION BY SNILS, [TYPE] ORDER BY SNILS, [TYPE]),*/
								[TYPE],
								NOM_PP = ROW_NUMBER() OVER (PARTITION BY SNILS,FM, IM, OT, [TYPE] ORDER BY CODE_STR),
												SNILS,FM, IM, OT,CODE_STR,CODE_SPO,CODE_TAR,INC_T1M,INC_T2M,
												DATE_BEGIN1,DATE_END1,TU_CODE1, OS_CODE1, EX_CODE1, f_is_dop1, P_CODE1, f_ud_dop1,
												DATE_BEGIN2,DATE_END2,TU_CODE2, OS_CODE2, EX_CODE2, f_is_dop2, P_CODE2, f_ud_dop2,
												DATE_BEGIN3,DATE_END3,TU_CODE3, OS_CODE3, EX_CODE3, f_is_dop3, P_CODE3, f_ud_dop3,
												DATE_BEGIN4,DATE_END4,TU_CODE4, OS_CODE4, EX_CODE4, f_is_dop4, P_CODE4, f_ud_dop4,LINK_FACE		
					FROM
					(
						SELECT DISTINCT
							[TYPE] = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_2 T WHERE T.COL = 9 AND T.ROW_CODE = T32.ROW_CODE),
							SNILS = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 7 AND T.ROW_CODE = T32.ROW_CODE),
							FM = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 42 AND T.ROW_CODE = T32.ROW_CODE), 
							IM = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 43 AND T.ROW_CODE = T32.ROW_CODE), 
							OT = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 44 AND T.ROW_CODE = T32.ROW_CODE),							
							CODE_STR = CONVERT( int ,(SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 3 AND T.ROW_CODE = T32.ROW_CODE)),
							CODE_SPO = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 4 AND T.ROW_CODE = T32.ROW_CODE),
							CODE_TAR = '',
							INC_T1M = (SELECT TOP 1 SUMMA2 FROM #TAB3_2 T WHERE T.COL = 5 AND T.ROW_CODE = T32.ROW_CODE),
							INC_T2M = (SELECT TOP 1 SUMMA2 FROM #TAB3_2 T WHERE T.COL = 6 AND T.ROW_CODE = T32.ROW_CODE ),

							DATE_BEGIN1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 10 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 11 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 12 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 13 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 14 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 15 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 16 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop1 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 17 AND T.ROW_CODE = T32.ROW_CODE),
							
							DATE_BEGIN2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 18 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 19 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 20 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 21 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 22 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 23 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 24 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop2 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 25 AND T.ROW_CODE = T32.ROW_CODE),
							
							DATE_BEGIN3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 26 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 27 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 28 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 29 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 30 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 31 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 32 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop3 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 33 AND T.ROW_CODE = T32.ROW_CODE),
							
							DATE_BEGIN4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 34 AND T.ROW_CODE = T32.ROW_CODE ),
							DATE_END4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 35 AND T.ROW_CODE = T32.ROW_CODE),
							TU_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 36 AND T.ROW_CODE = T32.ROW_CODE),
							OS_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 37 AND T.ROW_CODE = T32.ROW_CODE ),
							EX_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 38 AND T.ROW_CODE = T32.ROW_CODE),
							f_is_dop4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 39 AND T.ROW_CODE = T32.ROW_CODE ),
							P_CODE4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 40 AND T.ROW_CODE = T32.ROW_CODE),
							f_ud_dop4 = (SELECT TOP 1 LTRIM(RTRIM(STR_VAL)) FROM #TAB3_2 T WHERE T.COL = 41 AND T.ROW_CODE = T32.ROW_CODE),
							LINK_FACE = (SELECT TOP 1 LTRIM(RTRIM(STR(SUMMA))) FROM #TAB3_2 T WHERE T.COL = 8 AND T.ROW_CODE = T32.ROW_CODE)
						FROM
						#TAB3_2 T32	
					) T	


				UPDATE  p  SET  LINK = (select top 1 NOM_PP from #P_3 where ltrim(rtrim(SNILS)) = ltrim(rtrim(p.SNILS))
																										 and [type] = p.[type] )
					FROM #P_3_2 p

					------	            
					SELECT DISTINCT sd.LINK , SD.PERS_LINK, sd.SNILS, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,'')
					INTO #EMPL_DT
					FROM DBO.KU_EMPL_PLACING SD
						left JOIN (select * from STAFF WHERE @End_Date BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD  AND @End_Date BETWEEN S.DATE_BEGIN AND S.DATE_END
						LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD  AND s4.spr_code = 'SPO_USL_TRUDA'
						WHERE
							(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL)

					UPDATE  p  SET  CODE_TAR = CASE WHEN LTRIM(RTRIM(p.CODE_KAT)) IN ('','','') AND LTRIM(RTRIM(isnull(p2.CODE_SPO,''))) = '' AND LTRIM(RTRIM(e.DOP)) NOT IN(1,2) THEN '01'
													WHEN LTRIM(RTRIM(p.CODE_KAT)) = '' and LTRIM(RTRIM(isnull(p2.CODE_SPO,''))) = '' AND LTRIM(RTRIM(e.DOP)) NOT IN(1,2)  THEN '03'
													WHEN LTRIM(RTRIM(p.CODE_KAT)) = '' and LTRIM(RTRIM(isnull(p2.CODE_SPO,''))) = '' AND LTRIM(RTRIM(e.DOP)) NOT IN(1,2)  THEN '02'
													WHEN LTRIM(RTRIM(e.DOP)) = 1 AND e.SPO = '' THEN '21'
													WHEN LTRIM(RTRIM(e.DOP)) = 2 AND e.SPO = '' THEN '22' 
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '4'  THEN '23'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.4'  THEN '24'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.3'  THEN '25'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.2'  THEN '26'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.1'  THEN '27'
												end
																		   
					FROM #P_3_1 p 
						LEFT JOIN #P_3_2 p2 ON p2.LINK = p.LINK 	
						LEFT JOIN #EMPL_DT e ON ltrim(rtrim(e.SNILS)) = ltrim(rtrim(p2.SNILS))



					UPDATE  p2  SET  CODE_TAR = CASE 
													WHEN LTRIM(RTRIM(e.DOP)) = 1 AND e.SPO = '' THEN '21'
													WHEN LTRIM(RTRIM(e.DOP)) = 2 AND e.SPO = '' THEN '22'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '4'  THEN '23'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.4'  THEN '24'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.3'  THEN '25'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.2'  THEN '26'
													when e.SPO <> '' and LTRIM(RTRIM(p2.CODE_SPO)) = '3.1'  THEN '27'

												end
																		   
					FROM  #P_3_2 p2 
					LEFT JOIN #EMPL_DT e ON ltrim(rtrim(e.SNILS)) = ltrim(rtrim(p2.SNILS))

				--exec SS_RPSV_EXPORT_v5_01     5021
				--DROP TABLE #P_3_1
				DROP TABLE #TAB3_1
				DROP TABLE #TAB3_2
				DROP TABLE #EMPL_DT	


--exec SS_RPSV_EXPORT_v5_01 409
/*
SELECT * FROM #P_3 ORDER BY fm 
select * from #p_3_1
select * from #p_3_2 */

/**********************************************************/
----------------------------------------------------------
----- 3   -     
--- (       )
----------------------------------------------------------

----         
DECLARE  @LINK_3 int , @TYPE VARCHAR(14),@NOM_PP int, @NOM_K int, @PER_3 int, @YEAR_BEGIN_3 VARCHAR(4),
	@DATE_PU_3 VARCHAR(10),@PER_EDT_3 CHAR(2),@INN_3 VARCHAR(12),@SNILS VARCHAR(14),@FM varchar(60),
	@IM varchar(60),@OT varchar(60),@BIRTH_DATE VARCHAR(10),@GRAZHD CHAR(3),@SEX CHAR(1),
	@DOC_CODE CHAR(2),@DOC_SR VARCHAR(6), @DOC_NM VARCHAR(10),@PRIZ_OPS int, @PRIZ_OMS INT,@PRIZ_FSS INT , @LINK_FACE INT /*,
	@NOM_PACH CHAR(3)*/

SET @Cur1= CURSOR FORWARD_ONLY
FOR
select 	 
	[TYPE] = case [TYPE] when 1 then '' WHEN 2 then '' else '' end ,
	NOM_PP,
	NOM_K, 
	PER ,
	YEAR_BEGIN,
	DATE_PU,
	PER_EDT,
	INN, 
	SNILS,
	FM,
	IM,
	OT,
	BIRTH_DATE,
	GRAZHD ,
	SEX,
	DOC_CODE,
	DOC_SR, 
	DOC_NM,
	PRIZ_OPS,
	PRIZ_OMS,
	PRIZ_FSS,
	LINK_FACE/*,
	NOM_PACH*/
from #P_3   order by [TYPE],FM, SNILS,link_face

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @TYPE ,@NOM_PP , @NOM_K , @PER_3, @YEAR_BEGIN_3,
	@DATE_PU_3,@PER_EDT_3,@INN_3,@SNILS,@FM,@IM,@OT,@BIRTH_DATE,@GRAZHD,@SEX,
	@DOC_CODE,@DOC_SR, @DOC_NM,@PRIZ_OPS, @PRIZ_OMS,@PRIZ_FSS,@LINK_FACE/*,@NOM_PACH*/


WHILE (@@fetch_status <> -1)
BEGIN
	
	IF (@@fetch_status <> -2)
	BEGIN	


					IF @NOM_K IS NOT null and isnull(@PER_3,'')<> '' and isnull(@YEAR_BEGIN_3,'')<>'' and isnull(@NOM_PP,'') <> '' and isnull(@SNILS,'') <> '' and isnull(@FM,'') <> ''
					BEGIN

					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '<'
											    + ' ="'+LTRIM(RTRIM(STR(isnull(@NOM_K,''))))+'"'
											    + ' ="'+LTRIM(RTRIM(STR(isnull(@PER_3,''))))+'"'	
											    + ' ="'+LTRIM(RTRIM(isnull(@YEAR_BEGIN_3,'')))+'"'
											    + ' ="'+LTRIM(RTRIM(STR(isnull(@NOM_PP,''))))+'"'
											    + ' ="'+LTRIM(RTRIM(CONVERT(varchar(10),isnull(@DATE_PU_3,''),104)))+'">' 
					-----------------------------------------------------
					--- 3 -     
					-----------------------------------------------------

					--exec SS_RPSV_EXPORT_v5_01 409
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT TOP 1 @lcFNAME,SPACE(4) + '<' 
												 + ' ="'+LTRIM(RTRIM(isnull(@INN_3,'')))+'"'
												 + ' ="'+LTRIM(RTRIM(isnull(@SNILS,'')))+'"'	
												 + ' ="'+LTRIM(RTRIM(isnull(@BIRTH_DATE,'')))+'"'
												 + ' ="'+case when LTRIM(RTRIM(STR(isnull(@GRAZHD,'')))) = '000' then '643' else LTRIM(RTRIM(STR(isnull(@GRAZHD,'')))) end +'"'
												 + ' ="'+LTRIM(RTRIM(STR(isnull(@SEX,''))))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(isnull(@DOC_CODE,''))))+'"'
												 + ' ="'+LTRIM(RTRIM(isnull(@DOC_SR,'')))+' '+LTRIM(RTRIM(isnull(@DOC_NM,'')))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(isnull(@PRIZ_OPS,''))))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(isnull(@PRIZ_OMS,''))))+'"'
												 + ' ="'+LTRIM(RTRIM(STR(isnull(@PRIZ_FSS,''))))+'">' + CHAR(10) +	
												   SPACE(5) + '<' +
								   						' ="' + left(LTRIM(RTRIM(ISNULL(@FM,''))),60) + '"' +
														' ="' + left(LTRIM(RTRIM(ISNULL(@IM,''))),60) + '"' +
														CASE WHEN ISNULL(@OT,'') <> '' THEN 
														' ="' + left(LTRIM(RTRIM(ISNULL(@OT,''))),60) + '"'
														ELSE '' END + '/>' + CHAR(10) +			
												/*  CASE WHEN @GRAZHD = '643' 
													   then (SPACE(5) + '<' +
														' ="'+LTRIM(RTRIM((select PINDEX from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select REGCODE from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select RAION from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +										
														' ="'+LTRIM(RTRIM((select GOROD from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select NASEL from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +
														' ="'+LTRIM(RTRIM((select STREET from dbo.GetAddressPartsByKladr(p.ADR_OFIC_LINK,0))))+'"' +		
														' ="'+LTRIM(RTRIM(REPLACE(p.HOUSE_OFIC,'"','')))+'"' +
														' ="'+LTRIM(RTRIM(p.CORP_OFIC))+'"' +
														' ="'+LTRIM(RTRIM(p.FLAT_OFIC))+'' +												
														'"/>' )
													   WHEN @GRAZHD <> '643' 	
									   					THEN (SPACE(5) + '<' +
																' ="000"' +
																' ="'+LTRIM(RTRIM(dbo.GetAddressBykladr(p.ADR_OFIC_LINK)))+'' +
																'"/>' )	
													   ELSE ''
													   END + CHAR(10) +	*/		
												SPACE(4) + '</>' 		
								--FROM person p where  p.INSUR_NUM = @SNILS AND p.FM = @FM
							  
						
						-----------------------------------------------------------------------
						-------- 3.2        
						-----------------------------------------------------------------------
				
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(4) + '<>' --
							IF exists(SELECT * FROM  #P_3_1 WHERE link = @NOM_PP AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(@SNILS))  AND FM = @FM  AND NOM_PP <> 1 )
							BEGIN
							
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '< ' 
														+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(INSUR,0)),15,2)))+'"'
														+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(B_BEF,0)),15,2)))+'"'
														+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(GB_BEF,0)),15,2)))+'"'
														+ ' 3="'+RTRIM(LTRIM(STR((select SUM(COALESCE(SUM_VZNOS,0)) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP = 1),15,2)))+'">'
									 FROM #P_3_1 WHERE link = @NOM_PP  AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(@SNILS)) AND FM = @FM   AND NOM_PP <> 1	
								IF EXISTS (SELECT * FROM  #P_3_1 WHERE link = @NOM_PP AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(@SNILS))  AND FM = @FM  AND code_str = '401')
								BEGIN 
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											SELECT @lcFNAME,SPACE(6) + '< '
																 + ' ="'+CASE WHEN p.per = 1 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '01' 
																						WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) in ('402', '412') THEN '02'
																						WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) in ('403', '413') THEN '03'
																						WHEN p.per = 2 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '04' 
																						WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR))in ('402', '412') THEN '05'
																						WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR)) in ('403', '413') THEN '06'
																						WHEN p.per = 3 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '07' 
																						WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR))in ('402', '412') THEN '08'
																						WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR))in ('403', '413') THEN '09'
																						WHEN p.per = 4 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '10' 
																						WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR)) in ('402', '412') THEN '11'
																						WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR))in ('403', '413') THEN '12' END  +'"'
																 + ' ="'+RTRIM(LTRIM(p.CODE_KAT))+'"'
																 + ' ="'+RTRIM(LTRIM(STR(COALESCE(INSUR,0),15,2)))+'"'
																 + ' ="'+RTRIM(LTRIM(STR(COALESCE(B_BEF,0),15,2)))+'"'
																 + ' ="'+RTRIM(LTRIM(STR(COALESCE(GB_BEF,0),15,2)))+'"'
																 + ' ="'+ (CASE WHEN ISNULL(INSUR,0) <> 0 
																								and (SELECT sum(SUM_VZNOS) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP = 1) <> 0 
																								and (SELECT sum(INSUR) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP <> 1 )<>0 
																							  THEN  RTRIM(LTRIM(STR( (SELECT sum(SUM_VZNOS) from #P_3_1  WHERE link = @NOM_PP AND NOM_PP = p.NOM_PP ),15,2)))
																							  ELSE '0.00' END) 
																		 + '"/>'
											FROM #P_3_1 p WHERE 	p.link = @NOM_PP  AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(SNILS)) AND FM = @FM   AND  p.NOM_PP <> 1	 AND code_str = '401' 								
								END 
								ELSE  BEGIN  
											INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											SELECT @lcFNAME,SPACE(6) + '< '
															 + ' ="'+case when len(ltrim(rtrim(STR(MONTH(@End_Date)-2)))) = 1 then '0'+ltrim(rtrim(STR(MONTH(@End_Date)-2))) else ltrim(rtrim(STR(MONTH(@End_Date)-2))) end +'"'
															 + ' =""'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"/>'
											
									  END 
								
								
								IF EXISTS (SELECT * FROM  #P_3_1 WHERE link = @NOM_PP AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(@SNILS))  AND FM = @FM  AND code_str = '402')
								BEGIN 
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											SELECT @lcFNAME,SPACE(6) + '< '
																 + ' ="'+CASE WHEN p.per = 1 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '01' 
																						WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) in ('402', '412') THEN '02'
																						WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) in ('403', '413') THEN '03'
																						WHEN p.per = 2 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '04' 
																						WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR))in ('402', '412') THEN '05'
																						WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR)) in ('403', '413') THEN '06'
																						WHEN p.per = 3 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '07' 
																						WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR))in ('402', '412') THEN '08'
																						WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR))in ('403', '413') THEN '09'
																						WHEN p.per = 4 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '10' 
																						WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR)) in ('402', '412') THEN '11'
																						WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR))in ('403', '413') THEN '12' END  +'"'
																 + ' ="'+RTRIM(LTRIM(p.CODE_KAT))+'"'
																 + ' ="'+RTRIM(LTRIM(STR(COALESCE(INSUR,0),15,2)))+'"'
																 + ' ="'+RTRIM(LTRIM(STR(COALESCE(B_BEF,0),15,2)))+'"'
																 + ' ="'+RTRIM(LTRIM(STR(COALESCE(GB_BEF,0),15,2)))+'"'
																 + ' ="'+ (CASE WHEN ISNULL(INSUR,0) <> 0 
																								and (SELECT sum(SUM_VZNOS) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP = 1) <> 0 
																								and (SELECT sum(INSUR) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP <> 1 )<>0 
																							  THEN  RTRIM(LTRIM(STR( (SELECT sum(SUM_VZNOS) from #P_3_1  WHERE link = @NOM_PP AND NOM_PP = p.NOM_PP ),15,2)))
																							  ELSE '0.00' END) 
																		 + '"/>'
											FROM #P_3_1 p WHERE 	p.link = @NOM_PP  AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(SNILS)) AND FM = @FM   AND  p.NOM_PP <> 1	 AND code_str = '402' 								
								END 
								ELSE  BEGIN  
											INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											SELECT @lcFNAME,SPACE(6) + '< '
															 + ' ="'+case when len(ltrim(rtrim(STR(MONTH(@End_Date)-1)))) = 1 then '0'+ltrim(rtrim(STR(MONTH(@End_Date)-1))) else ltrim(rtrim(STR(MONTH(@End_Date)-1))) end +'"'
															 + ' =""'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"/>'
											
									  END 

								IF EXISTS (SELECT * FROM  #P_3_1 WHERE link = @NOM_PP AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(@SNILS))  AND FM = @FM  AND code_str = '403')
								BEGIN 
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											SELECT @lcFNAME,SPACE(6) + '< '
																 + ' ="'+CASE WHEN p.per = 1 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '01' 
																						WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) in ('402', '412') THEN '02'
																						WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) in ('403', '413') THEN '03'
																						WHEN p.per = 2 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '04' 
																						WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR))in ('402', '412') THEN '05'
																						WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR)) in ('403', '413') THEN '06'
																						WHEN p.per = 3 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '07' 
																						WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR))in ('402', '412') THEN '08'
																						WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR))in ('403', '413') THEN '09'
																						WHEN p.per = 4 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '10' 
																						WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR)) in ('402', '412') THEN '11'
																						WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR))in ('403', '413') THEN '12' END  +'"'
																 + ' ="'+RTRIM(LTRIM(p.CODE_KAT))+'"'
																 + ' ="'+RTRIM(LTRIM(STR(COALESCE(INSUR,0),15,2)))+'"'
																 + ' ="'+RTRIM(LTRIM(STR(COALESCE(B_BEF,0),15,2)))+'"'
																 + ' ="'+RTRIM(LTRIM(STR(COALESCE(GB_BEF,0),15,2)))+'"'
																 + ' ="'+ (CASE WHEN ISNULL(INSUR,0) <> 0 
																								and (SELECT sum(SUM_VZNOS) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP = 1) <> 0 
																								and (SELECT sum(INSUR) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP <> 1 )<>0 
																							  THEN  RTRIM(LTRIM(STR( (SELECT sum(SUM_VZNOS) from #P_3_1  WHERE link = @NOM_PP AND NOM_PP = p.NOM_PP ),15,2)))
																							  ELSE '0.00' END) 
																		 + '"/>'
											FROM #P_3_1 p WHERE 	p.link = @NOM_PP  AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(SNILS)) AND FM = @FM   AND  p.NOM_PP <> 1	 AND code_str = '403' 								
								END 
								ELSE  BEGIN  
											INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
											SELECT @lcFNAME,SPACE(6) + '< '
															 + ' ="'+case when len(ltrim(rtrim(STR(MONTH(@End_Date))))) = 1 then '0'+ltrim(rtrim(STR(MONTH(@End_Date)))) else ltrim(rtrim(STR(MONTH(@End_Date)))) end +'"'
															 + ' =""'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"/>'
											
									  END 

								/*
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
										SELECT @lcFNAME,SPACE(6) + '< '
															 + ' ="'+CASE WHEN p.per = 1 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '01' 
																					WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) in ('402', '412') THEN '02'
																					WHEN  p.per = 1 and  ltrim(rtrim(p.CODE_STR)) in ('403', '413') THEN '03'
																					WHEN p.per = 2 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '04' 
																					WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR))in ('402', '412') THEN '05'
																					WHEN  p.per = 2 and  ltrim(rtrim(p.CODE_STR)) in ('403', '413') THEN '06'
																					WHEN p.per = 3 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '07' 
																					WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR))in ('402', '412') THEN '08'
																					WHEN  p.per = 3 and  ltrim(rtrim(p.CODE_STR))in ('403', '413') THEN '09'
																					WHEN p.per = 4 and ltrim(rtrim(p.CODE_STR)) in ('401', '411') THEN '10' 
																					WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR)) in ('402', '412') THEN '11'
																					WHEN  p.per = 4 and  ltrim(rtrim(p.CODE_STR))in ('403', '413') THEN '12' END  +'"'
															 + ' ="'+RTRIM(LTRIM(p.CODE_KAT))+'"'
															 + ' ="'+RTRIM(LTRIM(STR(COALESCE(INSUR,0),15,2)))+'"'
															 + ' ="'+RTRIM(LTRIM(STR(COALESCE(B_BEF,0),15,2)))+'"'
															 + ' ="'+RTRIM(LTRIM(STR(COALESCE(GB_BEF,0),15,2)))+'"'
															 + ' ="'+ (CASE WHEN ISNULL(INSUR,0) <> 0 
																							and (SELECT sum(SUM_VZNOS) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP = 1) <> 0 
																							and (SELECT sum(INSUR) from #P_3_1 WHERE link = @NOM_PP AND NOM_PP <> 1 )<>0 
																						  THEN  RTRIM(LTRIM(STR( (SELECT sum(SUM_VZNOS) from #P_3_1  WHERE link = @NOM_PP AND NOM_PP = p.NOM_PP ),15,2)))
																						  ELSE '0.00' END) 
																	 + '"/>'
										FROM #P_3_1 p WHERE 	p.link = @NOM_PP  AND LTRIM(RTRIM(SNILS)) = LTRIM(RTRIM(SNILS)) AND FM = @FM   AND  p.NOM_PP <> 1	 
										*/
											
										--GROUP BY p.CODE_KAT, p.CODE_STR, p.NOM_PP, INSUR

--exec SS_RPSV_EXPORT_v5_01 408

								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '</>' 
							end	
							ELSE BEGIN
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '< ' 
														+ ' 3="0"'
														+ ' 3="0"'
														+ ' 3="0"'
														+ ' 3="0">'
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
										SELECT @lcFNAME,SPACE(6) + '< '
															 + ' ="'+case when len(ltrim(rtrim(STR(MONTH(@End_Date)-2)))) = 1 then '0'+ltrim(rtrim(STR(MONTH(@End_Date)-2))) else ltrim(rtrim(STR(MONTH(@End_Date)-2))) end +'"'
															 + ' =""'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"/>'
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
										SELECT @lcFNAME,SPACE(6) + '< '
															 + ' ="'+case when len(ltrim(rtrim(STR(MONTH(@End_Date)-1)))) = 1 then '0'+ltrim(rtrim(STR(MONTH(@End_Date)-1))) else ltrim(rtrim(STR(MONTH(@End_Date)-1))) end+'"'
															 + ' =""'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"/>'
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
										SELECT @lcFNAME,SPACE(6) + '< '
															 + ' ="'+case when len(ltrim(rtrim(STR(MONTH(@End_Date))))) = 1 then '0'+ltrim(rtrim(STR(MONTH(@End_Date)))) else ltrim(rtrim(STR(MONTH(@End_Date)))) end+'"'
															 + ' =""'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"'
															 + ' ="0"/>'															 
								INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(5) + '</>' 		
							END  
							
						-----------------------------------------------------------------------
						-------- 3.3       
						-----------------------------------------------------------------------
								
							IF exists(SELECT  * FROM #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND link_FACE = @LINK_FACE  and p.NOM_PP = 1 )
							BEGIN
								
								IF EXISTS(SELECT  * FROM #P_3_2 p WHERE SNILS = @SNILS AND link_FACE = @LINK_FACE  and p.NOM_PP <> 1 AND (INC_T1M <> 0 or INC_T2M <> 0))
								BEGIN
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
									SELECT @lcFNAME,SPACE(5) + '<' 		 -- H
																+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(INC_T1M,0)),15,2)))+'"'
																+ ' 3="'+RTRIM(LTRIM(STR(SUM(COALESCE(INC_T2M,0)),15,2)))+'">'
											 FROM #P_3_2 WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND FM = @FM  and	NOM_PP <>1		
									GROUP BY SNILS  
									
									/*IF @SNILS = '029-033-987 55'
									 begin 
									 	SELECT * FROM  #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) and p.NOM_PP <> 1	AND snils = '029-033-987 55'
											--	GROUP BY SNILS,p.CODE_STR, p.CODE_TAR , p.INC_T1M, p.INC_T2M
										SELECT p.CODE_STR,p.CODE_TAR,SUM(INC_T1M),SUM(INC_T2M),ltrim(RTRIM(SNILS))  FROM  #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) and p.NOM_PP <> 1	AND snils = '029-033-987 55'
												GROUP BY SNILS,p.CODE_STR, p.CODE_TAR --, p.INC_T1M, p.INC_T2M	
									end*/
									INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
												SELECT @lcFNAME,SPACE(6) + '< '--- 
																	+ ' ="'+CASE WHEN ltrim(rtrim(p.CODE_STR)) = '701' THEN '01' 
																							WHEN ltrim(rtrim(p.CODE_STR)) = '702' THEN '02'
																							WHEN ltrim(rtrim(p.CODE_STR)) = '703' THEN '03' END  +'"'+
																	+ ' ="'+RTRIM(LTRIM(isnull(p.CODE_TAR,'22')))+'"'
																	+ ' ="'+RTRIM(LTRIM(STR(COALESCE(SUM(INC_T1M),0),15,2)))+'"'
																	+ ' ="'+RTRIM(LTRIM(STR(COALESCE(SUM(INC_T2M),0),15,2))) +'"/>'
												FROM #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) and fm = @fm  and p.NOM_PP <> 1	
												GROUP BY SNILS,p.CODE_STR, p.CODE_TAR , p.INC_T1M, p.INC_T2M
									IF exists(SELECT  * FROM #P_3_2 p WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND fm = @fm  and p.NOM_PP = 1 )
									BEGIN
										INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) 
										SELECT @lcFNAME,SPACE(5) + '</>'
										FROM #P_3_2 WHERE ltrim(RTRIM(SNILS)) = ltrim(RTRIM(@SNILS)) AND fm = @fm  and	NOM_PP <>1		
										GROUP BY SNILS   
									END
								END	
							END		
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME,SPACE(4) + '</>' --			
					INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(3) + '</>' 	
					END
		end
	
	FETCH NEXT FROM @Cur1 INTO @TYPE ,@NOM_PP , @NOM_K , @PER_3, @YEAR_BEGIN_3,
	@DATE_PU_3,@PER_EDT_3,@INN_3,@SNILS,@FM,@IM,@OT,@BIRTH_DATE,@GRAZHD,@SEX,
	@DOC_CODE,@DOC_SR, @DOC_NM,@PRIZ_OPS, @PRIZ_OMS,@PRIZ_FSS,@LINK_FACE--,@NOM_PACH	
end

CLOSE @Cur1
DEALLOCATE @Cur1

END
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)	
				SELECT @lcFNAME, SPACE(2) + '</>'		
	--SELECT *  FROM DBO.SA_SAVED_REPORT_VIEW (3229, 17, default, default)	WHERE  COL = 6 
--exec SS_RPSV_EXPORT_v5_01   3229	
	UNION ALL SELECT @lcFNAME, SPACE(1) + '</>'
	UNION ALL SELECT @lcFNAME, SPACE(0) + '</>'
				
SET NOCOUNT OFF

select * from #OUTPUT order by [ID]
--exec SS_RPSV_EXPORT_v5_01 2891

GO


GRANT EXECUTE ON dbo.[SS_RPSV_EXPORT_v5_01] TO PUBLIC

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_6NDFL_REPORT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_6NDFL_REPORT]

GO
-- exec  SA_6NDFL_REPORT '2016', 1 , '1' ,95494

CREATE PROCEDURE dbo.SA_6NDFL_REPORT @cYear1 VARCHAR(4)/*  */,
									 @nQuarter1 INT 	/*  */,
									 @nMonth INT = 0 /**/,
									 @nCheck1 INT = 0	/*      */,
									 @cVal1 CHAR(1), @nOtborLink1 int  	/*  */
AS

DECLARE
	@DEP_LINK INT,
	@nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SET DATEFIRST 7

exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @SUBDIV TABLE (LINK INT)

IF ISNULL(@cVal1,'0') <> '0' 
BEGIN
	INSERT INTO @SUBDIV (LINK) 
	SELECT RECORD FROM DBO.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink1
	
END


/*****************************************/
--       - 

CREATE TABLE #FACES (LINK int,PERS_LINK int)

	INSERT INTO #FACES
	SELECT distinct PERS_LINK,PERS_LINK FROM dbo.sd_empl e WHERE e.DEP_LINK = @DEP_LINK 
			AND (
		ISNULL(@cVal1,'0') = '0'
			OR 
		ISNULL(@cVal1,'0') <> '0' AND  EXISTS(SELECT LINK FROM @SUBDIV WHERE link = e.SUBDIV_head )
		)
	
	INSERT INTO #FACES
	SELECT distinct PERS_LINK,PERS_LINK FROM dbo.SALARY_REESTR_DGH s WHERE s.DEP_LINK = @DEP_LINK
		AND NOT exists(SELECT PERS_LINK FROM #FACES WHERE pers_link = s.PERS_LINK )		



-----------------------------

	EXEC dbo.BufferClear
	EXEC dbo.BufferPushTable '#faces', 'REP6NDFL', 'pers_link'


IF @nQuarter1 = 1 
SELECT
	@nMONTH1 = 1,
	@nMONTH2 = 2,
	@nMONTH3 = 3
IF @nQuarter1 = 2
SELECT
	@nMONTH1 = 4,
	@nMONTH2 = 5,
	@nMONTH3 = 6	
IF @nQuarter1 = 3
SELECT
	@nMONTH1 = 7,
	@nMONTH2 = 8,
	@nMONTH3 = 9	
IF @nQuarter1 = 4
SELECT
	@nMONTH1 = 10,
	@nMONTH2 = 11,
	@nMONTH3 = 12			
	
DECLARE @BDATE DATETIME , @EDATE DATETIME

IF @nCheck1 = 0 
BEGIN
	SET @BDATE = dbo.ConvertDMY2Date(1,@nMONTH1,@cYear1)
	SET @EDATE = dbo.dateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@cYear1))
END 
ELSE BEGIN 
		SET @BDATE = dbo.ConvertDMY2Date(1,@nMONTH,@cYear1)
		SET @EDATE = dbo.dateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH,@cYear1))
	END 

--------------------------------------------
IF OBJECT_ID('tempdb..#FIZ_VID_DOH') IS NOT NULL DROP TABLE #FIZ_VID_DOH
CREATE TABLE #FIZ_VID_DOH(link_FACE INT, PERS_LINK INT, LINK_EMPL INT, INOSTR int, DIS TINYINT , DATE_DIS DATETIME
							, VID_DOH CHAR(3), mon int,summa_doh NUMERIC(18,2),summa_nal NUMERIC(18,2),DATE_DOH DATETIME,DATE_NAL datetime, DATE_ISCH DATETIME , DED tinyint , LINK_VED INT, SUM_DED NUMERIC(18,2))


--INSERT INTO #FIZ_VID_DOH(link_FACE, PERS_LINK, LINK_EMPL, INOSTR , DIS, DATE_DIS, link_doc  ,OBJ_CODE, OBJ_NAME, VID_DOH, mon,summa_doh,summa_nal,DATE_DOH,DATE_NAL, DATE_ISCH, DED)
EXEC dbo.SA_6NDFL_PREPARE_R2 @BDATE, @EDATE,'REP6NDFL', @DEP_LINK


-- EXECUTE KIR_EXEC_QUERY 20179,'''2016'',1,20185'

SELECT 
	  PERS_LINK = LINK_FACE
	  ,LINK_EMPL
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_ZP	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'ZP'
GROUP BY link_FACE,LINK_EMPL,PERS_LINK,DIS, INOSTR, VID_DOH, mon,DATE_DOH, DATE_NAL, DATE_ISCH	  


SELECT 
	  PERS_LINK
	  ,link_EMPL = null
	  , DGH  = 1
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_DZP	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'DZP'
GROUP BY  link_FACE,PERS_LINK,DIS, INOSTR, VID_DOH, mon,DATE_DOH, DATE_NAL, DATE_ISCH	


SELECT
	  PERS_LINK = LINK_FACE
	  ,LINK_EMPL
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_UV	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'UV'
GROUP BY link_FACE,LINK_EMPL,LINK_EMPL,PERS_LINK,DIS, INOSTR, VID_DOH, mon,DATE_DOH, DATE_NAL, DATE_ISCH	


SELECT
	  PERS_LINK = LINK_FACE
	  ,LINK_EMPL
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
	  ,DED
INTO #TAB_DR	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'DR'
GROUP BY link_FACE,LINK_EMPL,DIS, INOSTR, VID_DOH, mon, DATE_DOH, DATE_NAL, DATE_ISCH,DED





CREATE TABLE #PAYS_TMP (VID_DOH CHAR(3), SUMMA_DOH NUMERIC(18,2), SUMMA_NAL NUMERIC(18,2), MON tinyint, DATE_DOH datetime, DATE_NAL datetime, DATE_ISCH DATETIME)
INSERT INTO #PAYS_TMP(VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH)

--SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
--FROM #TAB_DR TDR

SELECT TB.VID_DOH, SUMMA_DOH = SUM(TB.SUMMA_DOH), SUMMA_NAL = SUM(TB.SUMMA_NAL),MON,TB.DATE_DOH,TB.DATE_NAL, TB.DATE_ISCH
FROM 
(SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_ZP TZP
UNION ALL
SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_DZP TDZP
UNION ALL
SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_UV TUV
UNION ALL
SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_DR TDR) TB
GROUP BY TB.VID_DOH,MON, TB.DATE_DOH, TB.DATE_NAL, TB.DATE_ISCH--, TB.SUMMA_DOH, TB.SUMMA_NAL


CREATE TABLE #RAZD2 (LINK INT IDENTITY (1,1), COL2 VARCHAR(10),COL3 VARCHAR(10), COL4 VARCHAR(10), COL5 NUMERIC(18,2), COL6 NUMERIC(18,2))
INSERT INTO #RAZD2 ( COL2, COL3, COL4, COL5, COL6)
SELECT
	CONVERT (VARCHAR (10), A.DATE_DOH,104),
	CONVERT(VARCHAR (10), A.DATE_NAL,104),
	CONVERT(VARCHAR (10), A.DATE_ISCH,104),
	sum(A.SUMMA_DOH),
	SUM(A.SUMMA_NAL)
FROM 
	#PAYS_TMP  A
GROUP BY A.[mon],A.DATE_DOH, A.DATE_NAL,A.DATE_ISCH /*, B.PERIOD_ndfl*/
ORDER BY
	A.DATE_DOH, A.DATE_NAL,A.DATE_ISCH
	
/*SELECT
	CODE = REPLICATE( '0', 3-len(CONVERT(VARCHAR(4),RANK() OVER (ORDER BY link)) ))+CONVERT(VARCHAR(4),RANK() OVER (ORDER BY link)) ,
	COL1 = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY link)),
	COL2,
	COL3,
	COL4,
	COL5,
	COL6
FROM
	#RAZD2 E
ORDER BY
	month(convert(datetime,COL2,104))
*/

--      #TAB_nn     #Razd2 . 
--                 #Razd2 
SELECT CODE =  CONVERT(VARCHAR(4),REPLICATE( '0', 3-LEN(CONVERT(VARCHAR(4),r.link)))+ CONVERT(VARCHAR(4),r.link)),
	   PERS_LINK = CASE WHEN F.VID_DOH = 'DZP' THEN F.PERS_LINK ELSE F.LINK_FACE END,
	   LINK_EMPL = F.LINK_EMPL,
	   DGH  = CASE WHEN F.VID_DOH = 'DZP' THEN 1 ELSE 0 END,
	   FIO  = CASE WHEN F.VID_DOH = 'DZP' 
					THEN (p.FM+' '+p.IM +' '+ p.OT) 
					ELSE (SE.FM+' '+se.IM +' '+ se.OT) 
	          END ,
	   TAB  = CASE WHEN F.VID_DOH = 'DZP' 
					THEN '' 
					ELSE SE.TAB 
	          END ,
	   F.INOSTR,
	   F.DIS,
	   KAT = CASE WHEN F.VID_DOH = 'DZP' THEN '  '
				  WHEN F.VID_DOH = 'ZP' THEN ''
				  WHEN F.VID_DOH = 'UV' THEN ' '
				  WHEN F.VID_DOH = 'DR' THEN ' '
			 END,	  
--	   DOC_INF = LTRIM(RTRIM(SUBSTRING ((SELECT
--							', '+ isnull(so1.NAME,'') + ' ' + ISNULL (sd1.number, '') +'  '+ ISNULL(convert(varchar(10),sd1.[DATE],104),'')
--							FROM dbo.SDOC sd1
--							LEFT JOIN dbo.s_objects so1 ON so1.LINK = sd1.[OBJECT]
--	                        WHERE sd1.link =F.link_doc 
--	                        FOR XML PATH ('')),
--							2,
--							1000) )) ,
							--sd.NUMBER,
	  -- DOC_DATE = sd.[DATE],
	  -- DOC_CODE = so.CODE,
	  -- DOC_NAME = so.NAME,
	   F.VID_DOH,
	   ved_TYPE = CASE WHEN F.VID_DOH = 'DZP'
	                   THEN (case when sdV2.TYP_PAYMENT = 1 THEN ''
								when sdV2.TYP_PAYMENT = 2 THEN ''
								when sdV2.TYP_PAYMENT = 3 THEN ' ' 
								END)
	                   ELSE 
	                       (case when sdV1.TYP_PAYMENT = 1 THEN ''
								when sdV1.TYP_PAYMENT = 2 THEN ''
								when sdV1.TYP_PAYMENT = 3 THEN ' ' 
								END)
						END	,
	   VED_NUM = sdV.NUMBER,
	   VED_DATE = sdV.[DATE],
	   SUMMA_DOH = sum(F.SUMMA_DOH),
	   SUMMA_NAL = SUM(F.SUMMA_NAL),
	   F.MON,
	   DATE_DOH = CONVERT (VARCHAR (10),F.DATE_DOH,104),
	   DATE_NAL = CONVERT (VARCHAR (10),F.DATE_NAL,104),
	   DATE_ISCH = CONVERT (VARCHAR (10),F.DATE_ISCH,104),
	   SUM_DOH_GR = r.COL5,
	   SUM_NAL_GR = r.COL6,
 	   SUM_DED_GR = sum(F.SUM_DED)
INTO #FIZ_VID_DOH_RES
FROM #FIZ_VID_DOH F
INNER JOIN #RAZD2 r ON  r.COL2 = CONVERT (VARCHAR (10),F.DATE_DOH,104) AND r.COL3 = CONVERT (VARCHAR (10),F.DATE_NAL,104) AND r.COL4 = CONVERT (VARCHAR (10),F.DATE_ISCH,104)
LEFT JOIN dbo.SD_EMPL se ON se.pers_link = F.LINK_FACE AND se.link= f.link_empl  AND (se.DATE_END IS NULL OR se.DATE_END >=@BDATE-15) AND se.DATE_BEGIN IS NOT null 
LEFT JOIN dbo.PERSON  p  ON p.link = f.PERS_LINK 
--LEFT JOIN dbo.SDOC    sd ON sd.link =F.link_doc 
--LEFT JOIN dbo.s_objects so ON so.LINK = sd.[OBJECT]
LEFT JOIN dbo.SDOC    sdV ON sdV.link = F.link_ved
left JOIN dbo.SDOC_VEDOM sdV1 ON sdV1.LINK_UP = sdv.LINK
left JOIN dbo.SDOC_VEDOM_DGH sdV2 ON sdV2.LINK_UP = sdv.LINK
GROUP BY r.link , F.LINK_FACE,  F.PERS_LINK , F.LINK_EMPL , F.DATE_DOH,
		 p.FM,p.IM,p.OT,SE.FM,se.IM,se.OT,SE.TAB,F.INOSTR, 
		 F.DIS,  f.VID_DOH,sdV1.TYP_PAYMENT,sdV2.TYP_PAYMENT,sdV.NUMBER,sdV.[DATE],F.MON,F.DATE_DOH,F.DATE_NAL,F.DATE_ISCH,r.COL5,r.COL6
ORDER BY r.link,  se.FM /*,F.VID_DOH*/, f.PERS_LINK,f.link_empl, F.DATE_DOH --, so.CODE


-- EXECUTE KIR_EXEC_QUERY 20582,'''2016'',1,0,0,20586'
SELECT CODE,
	   PERS_LINK ,
	   LINK_EMPL,
	   DGH  ,
	   FIO,  
	   TAB ,
	   INOSTR,
	   DIS,
	   KAT ,	  
	  -- LINK_DOC,
	  -- DOC_INF = LTRIM(RTRIM(SUBSTRING ((SELECT
		--					', '+ isnull(f1.DOC_INF,'') 
		--					FROM #FIZ_VID_DOH_RES f1
		--					WHERE f1.FIO =F.FIO AND  f1.TAB = f.TAB AND f1.KAT = f.KAT AND f1.VED_NUM = f.VED_NUM AND  f1.VED_DATE = f.ved_date
	      --                  FOR XML PATH ('')),
			--				2,
			--				1000) )) ,
							--sd.NUMBER,
	  -- DOC_DATE = sd.[DATE],
	  -- DOC_CODE = so.CODE,
	  -- DOC_NAME = so.NAME,
	   VID_DOH,
	   ved_TYPE,
	   VED_NUM ,
	   VED_DATE,
	   SUMMA_DOH = SUM(SUMMA_DOH),
	   SUMMA_NAL = SUM(SUMMA_NAL),
	   MON,
	   DATE_DOH ,
	   DATE_NAL,
	   DATE_ISCH,
	   SUM_DOH_GR,
	   SUM_NAL_GR,
 	   SUM_DED_GR = sum(SUM_DED_GR)
FROM #FIZ_VID_DOH_RES f
GROUP BY f.CODE,f.PERS_LINK,f.LINK_EMPL,f.DGH,f.FIO,f.TAB,f.INOSTR,f.DIS,f.KAT,
		 f.VID_DOH,f.ved_TYPE,f.VED_NUM,f.VED_DATE,f.MON,f.DATE_DOH,f.DATE_NAL,
		 f.DATE_ISCH,f.SUM_DOH_GR,f.SUM_NAL_GR
ORDER BY f.CODE,f.KAT,f.FIO,f.TAB,f.VED_NUM,f.DATE_DOH	 

DROP TABLE #FIZ_VID_DOH
DROP TABLE #RAZD2

-- EXECUTE KIR_EXEC_QUERY 20582,'''2016'',2,0,0,20586'
	

RETURN 0




GO


GRANT EXECUTE ON dbo.[SA_6NDFL_REPORT] TO PUBLIC

GO

